# Emotet growing slowly but steadily since November resurgence
## The notorious Emotet botnet is still being distributed steadily in the wild, having now infected 92,000 systems in 172 countries.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/emotet-growing-slowly-but-steadily-since-november-resurgence/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 08 March 2022, 15:00
+ Date scraped: 08 March 2022, 16:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/10/06/Emotet-map.jpg)



The notorious Emotet botnet is still being distributed steadily in the wild, having now infected 92,000 systems in 172 countries.


While this may be a far cry from the once global dominance of having 1.6 million devices under its control, it shows that the malware is still undergoing a resurgence, and it’s getting stronger every day.


Emotet activity stopped in 2019 while its second major version was in circulation, and the malware returned only in November 2021, [with the help of Trickbot](https://www.bleepingcomputer.com/news/security/emotet-malware-is-back-and-rebuilding-its-botnet-via-trickbot/).


A few days later, it became evident that the revival was [orchestrated by the Conti ransomware gang](https://www.bleepingcomputer.com/news/security/emotet-botnet-comeback-orchestrated-by-conti-ransomware-gang/), who use it to gain initial access to corporate networks.


Apart from the initial infection, Emotet continued to skip dropping TrickBot as a payload and went straight to [dropping the Cobalt Strike pentesting tool](https://www.bleepingcomputer.com/news/security/emotet-starts-dropping-cobalt-strike-again-for-faster-attacks/) for quick remote access to networks.


## Tracking the Emotet botnet


Threat analysts at Black Lotus labs have decided to take a deeper dive into Emotet’s “Epoch 3” to identify new features and map its current distribution patterns.


As you can see below, the Emotet botnet started to slowly recreate itself in November, seeing far greater distribution via phishing campaigns beginning in January 2022.



![Bot distribution shifting up gear](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/fluxuations.jpg)**Emotet bot distribution shifting up a gear** *(Black Lotus)*
The new Emotet campaign also includes features like a new elliptic curve cryptography (ECC) scheme that replaces the RSA encryption used for network traffic protection and validation.


Moreover, the new version deploys a process list module only after the connection with the C2 has been established.


Additionally, the malware authors have now added more info-gathering capabilities for better system profiling, whereas previously, Emotet would only send back a list of running processes.



![The malware now beacons additional info about the host](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/new-info.jpg)**The malware now beacons additional info about the host** *(Black Lotus)*
## Slow and steady restructuring


Black Lotus reports that there are currently 170 unique C2s supporting Emotet’s resurgence, with the number growing slowly but steadily. The average number of days of activity for C2s is presently 28.



![Emotet tier 1 C2s observed in recent months](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/c2-diagram.jpg)**Emotet tier 1 C2s observed in recent months** *(Black Lotus)*
Like in previous epochs, most of Emotet’s C2 infrastructure is located in the United States and Germany, followed by France, Canada, Singapore, the UK, Brazil, and others.



![Emotet C2 locations](https://www.bleepstatic.com/images/news/u/1220909/Maps/X2-heatmap.jpg)**Emotet C2 locations** *(Black Lotus)*
In terms of bot distribution, the focus is India, Indonesia, Thailand, Japan, South Africa, the United States, Italy, China, Mexico, and South Korea.



![Heatmap of emotet victims](https://www.bleepstatic.com/images/news/u/1220909/Maps/bots-heatmap.jpg)**Heatmap of Emotet victims** *(Black Lotus)*
The threat analysts believe that the reason for the first three countries topping this list is the number of outdated and thus vulnerable Windows machines in the region.


As Bleeping Computer [reported in December](https://www.bleepingcomputer.com/news/security/emotet-now-spreads-via-fake-adobe-windows-app-installer-packages/), Emotet exploited a Windows AppX Installer spoofing vulnerability to install apps on the host directly from a remote source.


Microsoft addressed the problem, tracked as CVE-2021-43890, with December 2021 Path Tuesday, but due to slow upgrade uptick vs. the projected benefits of keeping the abused MSIX handler, the software giant decided to [simply disable it](https://www.bleepingcomputer.com/news/microsoft/microsoft-disables-msix-protocol-handler-abused-in-emotet-attacks/).


Still, pirated Windows copies that have purposefully severed their connectivity to Microsoft update servers remain vulnerable to malware attacks like Emotet’s.





## Tags:
***CVE's***: CVE-2021-43890

### Autogenerated tags:
[[emotet]] [[malware]] [[botnet]] [[c2]] [[c2s]] [[windows]]
