# Iranian hackers exposed in a highly targeted espionage campaign
## Threat analysts have spotted a novel attack attributed to the Iranian hacking group known as APT34 group or Oilrig, who targeted a Jordanian diplomat with custom-crafted tools.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/iranian-hackers-exposed-in-a-highly-targeted-espionage-campaign/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 12 May 2022, 21:30
+ Date scraped: 13 May 2022, 04:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/11/09/iran-flag-scanline-2.jpg)



Threat analysts have spotted a novel attack attributed to the Iranian hacking group known as APT34 group or Oilrig, who targeted a Jordanian diplomat with custom-crafted tools.


The attack involved advanced anti-detection and anti-analysis techniques and had some characteristics that indicate lengthy and careful preparation.


Security researchers at Fortinet have gathered evidence and artifacts from the attack in May 2022 and compiled a technical report to highlight APT34’s latest techniques and methods.


## Targeting diplomats


The spear-phishing email seen by Fortinet targeted a Jordanian diplomat, pretending to be from a colleague in the government, with the email address spoofed accordingly.


The email carried a malicious Excel attachment that contained VBA macro code that executes to create three files, a malicious executable, a configuration file, and a signed and clean DLL.


The macro also creates persistence for the malicious executable (update.exe) by adding a scheduled task that repeats every four hours.


“Since Excel is a signed binary, maintaining persistence in this way may be missed by some behavioral detection engines,” [comment Fortinet’s analysts](https://www.fortinet.com/blog/threat-research/please-confirm-you-received-our-apt).


Another unusual finding concerns two anti-analysis mechanisms implemented in the macro: the toggling of sheet visibility in the spreadsheet and the other a check for the existence of a mouse, which may not be present on malware analysis sandbox services.


## The payload


The malicious executable is a .NET binary that checks program states and puts itself to sleep for eight hours after launching. The analysts believe the hackers probably set this delay on the assumption that the diplomat would open the email in the morning and leave after eight hours so that the computer would be unattended.


When active, the malware communicates with C2 subdomains using a domain generation algorithm (DGA) tool. DGA is a widely-used technique that makes malware operations more resilient to domain takedowns and block-listing.



![Domain generation algorithm system](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/DGA(1).png)**Domain generation algorithm system** *(Fortinet)*
It then sets up a DNS tunnel to communicate with the provided IP address. This is a rarely seen technique that helps threat actors encrypt the data exchanged in the context of this communication, making it hard for network monitors to catch anything suspicious.



![DNS tunneling in C2 communication](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/dns-tunneling.png)**DNS tunneling in C2 communication** *(Fortinet)*
Some of the domains used in the campaign are suspiciously named, obviously attempting to masquerade as well-known and trusted entities like AstraZeneca, HSBC, and Cisco.


Next, the C2 sends twenty-two different backdoor commands to the malware, which are executed through PowerShell or the Windows CMD interpreter.


Finally, the exfiltration of stolen data is done via DNS, with the data embedded into the request, making it appear standard in network logs.



![APT34's DNS exfiltration](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/dns-exfiltration.png)**APT34's DNS exfiltration** *(Fortinet)*
APT34 has been [previously linked](https://www.bleepingcomputer.com/news/security/hacker-group-exposes-iranian-apt-operations-and-members/) to the Iranian government and is a capable threat actor that [operates in the shadows](https://www.bleepingcomputer.com/news/security/iranian-hacking-group-targets-israel-with-wiper-disguised-as-ransomware/), not leaving many traces behind.


As such, Fortinet’s report is valuable for researchers and defenders alike, who should take note of the published indicators of compromise.





## Tags:


### Autogenerated tags:
[[fortinet]] [[apt34]] [[malware]] [[dns]] [[c2]]
