# Japan warns of malicious PyPi packages created by North Korean hackers
## Japan's Computer Security Incident Response Team (JPCERT/CC) is warning that the notorious North Korean hacking group Lazarus has uploaded four malicious PyPI packages to infect developers with malware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/japan-warns-of-malicious-pypi-packages-created-by-north-korean-hackers/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 28 February 2024, 10:04
+ Date scraped: 28 February 2024, 16:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/10/04/Python-packages.jpg)



Japan's Computer Security Incident Response Team (JPCERT/CC) is warning that the notorious North Korean hacking group Lazarus has uploaded four malicious PyPI packages to infect developers with malware.


PyPI (Python Package Index) is a repository of open-source software packages that software developers can utilize in their Python projects to add additional functionality to their programs with minimal effort.


The lack of strict checks on the platform allows threat actors to upload malicious packages like information-stealing malware and backdoors that infect developers' computers with malware when added to their projects.


This malware allows the hacking group to access the developer's network, where they conduct financial fraud or compromise software projects to conduct supply chain attacks.


Lazarus previously leveraged PyPI to distribute malware in August 2023, when the North Korean state-sponsored hackers submitted packages camouflaged as a [VMware vSphere connector module](https://www.bleepingcomputer.com/news/security/lazarus-hackers-deploy-fake-vmware-pypi-packages-in-vmconnect-attacks/).


Lazarus' new PyPi packages
--------------------------


Today, JPCERT/CC is warning that Lazarus has once again uploaded packages to PyPi that will install the 'Comebacker' malware loader.


The four new packages that [JPCERT/CC attributes to Lazarus](https://blogs.jpcert.or.jp/en/2024/02/lazarus_pypi.html) are:


* **pycryptoenv** – [743 downloads](https://www.pepy.tech/projects/pycryptoenv)
* **pycryptoconf** – [1344 downloads](https://www.pepy.tech/projects/pycryptoconf)
* **quasarlib** – [778 downloads](https://www.pepy.tech/projects/quasarlib)
* **swapmempool** – [392 downloads](https://www.pepy.tech/projects/swapmempool)

The first two packages' names create a false link to the legitimate '[pycrypto](https://pypi.org/project/pycrypto/)' project (Python Cryptography Toolkit), a collection of secure hash functions and various encryption algorithms downloaded 9 million times every month.


None of the four packages are currently available on PyPI, as they were removed from the repository as recently as yesterday.


However, download stats tracking platform PePy reports a total installation count of 3,252, so thousands of systems have been compromised by Lazarus malware.


The malicious packages share a similar file structure, containing a 'test.py' file that isn't really a Python script but an XOR-encoded DLL file executed by the '\_\_init\_\_.py' file, which is also included in the package.



![Decoding and executing test.py](https://www.bleepstatic.com/images/news/u/1220909/2024/APTs/03/decoding-testpy.png)**Decoding and executing test.py** *(JPCERT/CC)*


The execution of test.py triggers the decoding and creation of additional DLL files that falsely appear as database files, as shown in the following diagram.



![Execution chain](https://www.bleepstatic.com/images/news/u/1220909/2024/APTs/03/diagram.png)**Execution chain** *(JPCERT/CC)*


The Japanese cybersecurity agency says that the final payload (IconCache.db), executed in memory, is a malware known as "Comebacker," first identified by [Google analysts in January 2021](https://blog.google/threat-analysis-group/new-campaign-targeting-security-researchers/), who reported that it was used against security researchers.


The Comebacker malware connects to the attacker's command and control (C2) server, sends an HTTP POST request with encoded strings, and waits for further Windows malware to be loaded in memory.


Based on various indicators, JPCERT/CC says this latest attack is another wave of the same campaign [Phylum reported in November 2023](https://blog.phylum.io/crypto-themed-npm-packages-found-delivering-stealthy-malware/) involving five crypto-themed npm packages.


Lazarus has a long history of breaching corporate networks to conduct financial fraud, usually to steal cryptocurrency.


Previous attacks attributed to Lazarus include the [theft of $620 million worth of Ethereum](https://www.bleepingcomputer.com/news/cryptocurrency/620-million-in-crypto-stolen-from-axie-infinitys-ronin-bridge/) from Axie Infinity's Ronin network bridge and other crypto thefts on [Harmony Horizon](https://www.bleepingcomputer.com/news/security/fbi-north-korean-hackers-stole-100-million-in-harmony-crypto-hack/), [Alphapo](https://www.bleepingcomputer.com/news/security/lazarus-hackers-linked-to-60-million-alphapo-cryptocurrency-heist/), [CoinsPaid](https://www.bleepingcomputer.com/news/security/coinspaid-blames-lazarus-hackers-for-theft-of-37-300-000-in-crypto/), and [Atomic Wallet](https://www.bleepingcomputer.com/news/security/lazarus-hackers-linked-to-the-35-million-atomic-wallet-heist/).


In July, GitHub warned that [Lazarus was targeting developers](https://www.bleepingcomputer.com/news/security/github-warns-of-lazarus-hackers-targeting-devs-with-malicious-projects/) at blockchain, cryptocurrency, online gambling, and cybersecurity companies using malicious repositories.





## Tags:


### Autogenerated tags:
[[malware]] [[jpcert/cc]] [[pypi]]
