# Mozilla Firefox to roll out DNS over HTTPS for Canadian users
## Mozilla has decided to roll out the DNS over HTTPS (DoH) feature by default for Canadian Firefox users later this month. The move comes after DoH has already been offered to US-based Firefox users since 2020.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/mozilla-firefox-to-roll-out-dns-over-https-for-canadian-users/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 08 July 2021, 09:00
+ Date scraped: 12 December 2023, 10:40

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/09/01/Firefox-headpic.jpg)



Mozilla has decided to roll out the DNS over HTTPS (DoH) feature by default for Canadian Firefox users later this month.


The move comes after DoH has already been offered to US-based Firefox users since 2020.


Firefox to enable DoH by default for Canadian users
---------------------------------------------------


Mozilla Firefox users based in Canada will soon start noticing DNS over HTTPS (DoH) enabled by default, in a gradual rollout.


Starting July 20th, DoH will first be offered to 1% of Canadian Firefox users, and eventually, reach all Firefox users in Canada by September 2021.



![](https://www.bleepstatic.com/images/news/u/1164866/2021/Jul-2021/firefox%20doh%20canada/doh-firefox-canada.png)**Canadian Firefox users will start seeing a panel informing them that their DNS requests are encrypted and routed through DoH**  

Source: Mozilla


DoH encrypts regular DNS traffic over HTTPS with both DNS requests and responses being transmitted over port 443, making the traffic blend right in with regular traffic to HTTPS websites.


This not only provides end-to-end encryption to the user but also extended privacy, as now their DNS traffic cannot easily be intercepted by a network administrator.


By contrast, standard DNS protocol functioning over UDP has no encryption, integrity assurance, or privacy protections:


"Because there is no encryption, other devices along the way might collect (or even block or change) this data too."


"[DNS lookups are sent to servers that can spy on your website browsing history](https://cdt.org/blog/dns-strengthening-the-weakest-link-in-internet-privacy/) without either informing you or publishing a policy about what they do with that information," Mozilla's Principal Engineer, Patrick McManus had [previously said](https://blog.nightly.mozilla.org/2018/06/01/improving-dns-privacy-in-firefox/).


Therefore, this initiative by Mozilla is aimed at strengthening the online security and privacy of its Canadian users.


Mozilla picks CIRA as DoH provider for Firefox Canada
-----------------------------------------------------


Mozilla has announced partnering with Canadian Internet Registration Authority (CIRA) as the choice of its DoH provider for Firefox Canada users, as a part of this rollout.


CIRA is the latest DoH provider, which also happens to be an internet registration authority, to join [Firefox's Trusted Recursive Resolver (TRR)](https://wiki.mozilla.org/Trusted_Recursive_Resolver) program.


Previously, Cloudflare, NextDNS, and Comcast have been enrolled as Mozilla Firefox's TRRs.


"Unencrypted DNS is a major privacy issue and part of the legacy of the old, insecure, Internet."


We're very excited to be able to partner with CIRA to help fix that for our Canadian users and protect more of their browsing history by default," said Eric Rescorla, Firefox CTO.


Although DoH offers security and privacy benefits to the end-user, it is worth noting, merely being end-to-end encrypted does not alone make DoH service providers immune to abuse by adversaries.


As previously reported by BleepingComputer, attackers have very much [abused Google's own DNS-over-HTTPS service](https://www.bleepingcomputer.com/news/security/attackers-abuse-google-dns-over-https-to-download-malware/) to facilitate their malware's command-and-control (C2) activities.


Also, using DoH in corporate environments would provide network administrators with little to no visibility into DNS traffic, unless a Man-in-the-Middle (MitM) proxy was in use, at which point, the potential privacy benefits offered by DoH to the users would be stripped off.


Later this month, Firefox users in Canada will begin seeing the pop-up (shown above) starting July 20th, asking them to approve or "disable" DoH protections.


Users can also follow the below steps to switch between DoH providers, or opt-out of DoH altogether:


1. Open Firefox, go to **Settings.**
2. Scroll down to **Network Settings**, and click on Network Settings button again.
3. To enable DoH, make sure the "Enable DNS over HTTPS" option is checked, and click **OK.**


![DoH Firefox settings](https://www.bleepstatic.com/images/news/u/1164866/2021/Jul-2021/firefox%20doh%20canada/firefox-doh-settings.jpg)**Firefox DoH settings where custom DoH providers can be set** (BleepingComputer)


Canadian users should start seeing "CIRA Canadian Shield" listed as their default provider soon.


Users can also uncheck the box to disable DoH, or select a different DoH provider (e.g. Cloudflare or NextDNS) enrolled in Firefox's Trusted Recursive Resolver program, from the dropdown menu.


According to Mozilla, encrypting DNS queries and responses with DoH is just a first step.


"A necessary second step is to require that the companies handling this data have appropriate rules in place – like the ones outlined in Mozilla’s TRR Program."


"This program aims to standardize requirements in three areas: limiting data collection and retention from the resolver, ensuring transparency for any data retention that does occur, and limiting any potential use of the resolver to block access or modify content," explains Mozilla in a [blog post](https://blog.mozilla.org/en/mozilla/news/firefox-by-default-dns-over-https-rollout-in-canada/).


By providing DoH enabled by default to users and setting out strict operational requirements for parties implementing it, Mozilla and its partners aim to enhance online user privacy.





## Tags:


### Autogenerated tags:
[[firefox]] [[mozilla]] [[dns]] [[https]] [[cira]]
