# LiveAction tackles encryption blindness with new offering
## ThreatEye NV combines behavior analysis and machine learning to expose malware in encrypted network traffic.
## Information:

+ Link: https://www.csoonline.com/article/3650533/liveaction-tackles-encryption-blindness-with-new-offering.html
+ Source: CSO
+ Author: John P. Mello Jr.
+ Date published: 22 February 2022, 09:07
+ Date scraped: 23 February 2022, 21:00

## Article:
![Main article image](https://images.idgesg.net/images/article/2019/06/network_encryption_encrypted_data_transfers_by_matejmo_gettyimages-953553164_2400x1600-100800554-large.jpg?auto=webp&quality=85,70)


Encryption can keep bad actors from peeking at critical data, but it can also allow them to hide malicious activity from network defenders. That's why LiveAction, a network visibility company, has introduced ThreatEye NV, a platform that gives SecOps teams powerful tools to find threats and anomalies in encrypted traffic.

"In 2014, about 30% of traffic was encrypted. Now it's 80% to 90%. By the end of 2025, it will be almost all traffic," says LiveAction Director of Product Marketing Thomas Pore. "For a network defender, this creates a problem. If you're unable to get visibility into these encrypted tunnels and connections, how can you identify threats?"

Ed Cabrera, chief cybersecurity officer at Trend Micro adds: "Encrypted traffic provides more opportunities for cybercriminals to forge or create legitimate SSL/TLS certificates for their credential phishing sites, deliver malware using encrypted C2 servers, and exfiltrate stolen data using asymmetric and symmetric encryption."

## **ThreatEye can analyze more than 150 packet traits and behaviors**

LiveAction explained in a [news release](https://www.liveaction.com/resources/news/liveaction-launches-threateye-nv-a-network-detection-and-response-platform-that-delivers-complete-encrypted-traffic-analysis-and-visibility/) that ThreatEye uses Deep Packet Analysis to eliminate the need to decrypt network traffic and inspect it for malicious payloads. The platform can analyze more than 150 packet traits and behaviors across multi-vendor, multi-domain, and multi-cloud network environments.

That helps accelerate real-time threat detection, eliminates encryption blindness, validates encryption compliance, and allows teams to better secure the entire network and coordinate responses with other security tools such as SIEM and SOAR, the company added.

Other benefits of the platform include:

 * Real-time threat and anomaly detection
* Elimination of encryption blindness without decryption or performance degradation
* Simple deployment through a SaaS model with software sensors that can be deployed anywhere visibility is needed
* SOC support, including dashboards to drive response efficiency
* Use of machine-learning models custom-built for specific security and visibility use cases

## **91.5% of malware discovered and blocked was in encrypted traffic**

"Web encryption and encryption, in general, are good things. They serve a huge business purpose we all want," says Corey Nachreiner, CSO of Watchguard,

a network security company in Seattle, Washington. "Unfortunately, it offers easy and new ways for threat actors to hide from traditional and legacy security controls."


[![CIO's Guide to Data & Application Modernization](//ntvcld-a.akamaihd.net/image/upload/w_640,h_360,c_fill,g_auto:text,f_auto,fl_lossy,e_sharpen:70/assets/8540E3DEEDA948FA82E2385CDD8D7A22.png "CIO's Guide to Data & Application Modernization")](https://ad.doubleclick.net/ddm/trackclk/N118402.124998IDGCOMMUNICATIONS/B26859225.328808802;dc_trk_aid=520861350;dc_trk_cid= "CIO's Guide to Data & Application Modernization")

aside.nativo-promo.smartphone.tablet.desktop p { font-size: 16px !important; line-height: 1.2 !important; }
aside.nativo-promo.smartphone.tablet.desktop p.post-meta { margin-top:0px !important;}
aside.nativo-promo.smartphone.tablet.desktop p.crawl-headline { font-size: 20px !important; line-height:1 !important; }

#ntvImageBox {float: left;margin-right:20px;width: 300px; height:169px; overflow:hidden;}

@media only screen and (max-width: 667px) {
#ntvImageBox {margin-right:0; margin-bottom:10px; float:none; width:100%; height:auto;}

}


![Advertisement](https://ad.doubleclick.net/ddm/trackimp/N118402.124998IDGCOMMUNICATIONS/B26859225.328808802;dc_trk_aid=520861350;dc_trk_cid=166533877;ord=-1407694295;dc_lat=;dc_rdid=;tag_for_child_directed_treatment=;tfua=;gdpr=1;gdpr_consent=;ltd=?)Watchguard tackles the encryption blindness problem with a network appliance.  Inside the appliance the traffic is decrypted, inspected, encrypted again, and sent on its way. The approach doesn't seem to be very popular, though. Nachreiner concedes that only about 20% of Watchguard's customers use the feature. "Setting it up does require some effort from an administrator," he admits.

However, there are some significant benefits to making the effort to set up the process. Nachreiner notes that in the organizations using decryption, 91.5% of the malware discovered and blocked was in encrypted traffic.

## **Encrypted traffic analysis the future for fortifying security posture**

"The world has shifted from a security response perspective," Pore says. "Security analysts can't rely on only syslog messages to identify challenges. We need to leverage machine learning and identify network traffic and patterns for these advanced attacks."

Pore adds that encryption will continue to get better, making it more difficult and expensive for solutions that depend on decrypting and re-encrypting data to address the issue of encryption blindness. "In future versions of encryption, you'll have zero visibility," he says. "That will be a massive problem for defenders. That's why encrypted traffic analysis is really going to be the future for fortifying an organization's security posture."


[![Cloud vs. on-prem? Now you can choose not to choose.](//ntvcld-a.akamaihd.net/image/upload/w_640,h_360,c_fill,g_auto:text,f_auto/assets/1C5687A536D84E46ACF3D5EAA05EE048.jpg "Cloud vs. on-prem? Now you can choose not to choose.")](https://ad.doubleclick.net/ddm/trackclk/N118402.124998IDGCOMMUNICATIONS/B26859225.328808802;dc_trk_aid=520861350;dc_trk_cid=166887501;dc_lat=;dc_rdid=;tag_for_child_directed_treatment=;tfua=;ltd= "Cloud vs. on-prem? Now you can choose not to choose.")

aside.nativo-promo.smartphone.tablet.desktop p { font-size: 16px !important; line-height: 1.2 !important; }
aside.nativo-promo.smartphone.tablet.desktop p.post-meta { margin-top:0px !important;}
aside.nativo-promo.smartphone.tablet.desktop p.crawl-headline { font-size: 18px !important; }

#ntvImageBox {float: left;margin-right:20px;width: 300px; height:169px; overflow:hidden;}

@media only screen and (max-width: 667px) {
#ntvImageBox {margin-right:0; margin-bottom:10px; float:none; width:100%; height:auto;}

}


![Advertisement](https://ad.doubleclick.net/ddm/trackimp/N118402.124998IDGCOMMUNICATIONS/B26859225.328808802;dc_trk_aid=520861350;dc_trk_cid=166887501;ord=-2091870421;dc_lat=;dc_rdid=;tag_for_child_directed_treatment=;tfua=;gdpr=1;gdpr_consent=;ltd=?)



## Tags:


### Autogenerated tags:
[[liveaction]] [[threateye]] [[malware]] [[nachreiner]]
