# CyberSec Firm i-Soon Leak Exposes The Tools Used By Chinese Hackers
## A cybersecurity company data breach could be extremely damaging as it not only compromises sensitive client information but also corrupts the
## Information:

+ Link: https://cybersecuritynews.com/?p=58249
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 27 February 2024, 14:34
+ Date scraped: 27 February 2024, 15:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjbusYd4Spueg5c_OSZIY7J6_si3DA0H0MCdimiK113gPlwoJ0x3TlTpt3mUl28iqxBH8mZGW7kpY9HCGbIztqRxPVau2GGkXvnJmUGxlwyg5EKwzGwicLfVKZnqNNjnVWjZMFOPeDXEXiq_MrvW1Ee5ZmnC50vlaTKD7Nmwu0Spz-5IIZx8iXdeIErJWUo/s16000/Cybersec%20Firm%20i-Soon%20Leak%20Exposes%20the%20Tools%20Used%20by%20Chinese%20Hackers.webp)


A cybersecurity company data breach could be extremely damaging as it not only compromises sensitive client information but also corrupts the trust in the company’s ability to safeguard data.


The incident may also lead to financial losses, legal consequences, and reputation loss.


Recently, sensitive data from a Chinese IT security firm, “i-Soon” (aka Anxun Information Technology), got [leaked on GitHub](https://gbhackers.com/leak-of-chinas-hacking-documentation/) on Feb. 16, 2024, and this breach includes internal communications, sales materials, and product manuals.


The leaked materials reveal a commercial entity aiding Chinese-affiliated cyber espionage.


Cybersecurity researchers at Unit 42 find links to past APT campaigns, confirming the authenticity of the data leak with high confidence.


*You can analyze a malware file, network, module, and registry activity with the*[*ANY.RUN malware sandbox*](https://app.any.run/#register/?utm_source=csnsandgbhackers&utm_medium=article&utm_campaign=rspamd&utm_content=register&utm_term=200224)*, and the*[*Threat Intelligence Lookup*](https://any.run/threat-intelligence-lookup/?utm_source=csnsandgbhackers&utm_medium=article&utm_campaign=rspamd&utm_content=ti&utm_term=200224)*that will let you interact with the OS directly from the browser.*


**CyberSec Firm i-Soon Leak**
-----------------------------


Unit 42 [uncovers](https://unit42.paloaltonetworks.com/i-soon-data-leaks/) actor-owned infrastructure and possible malware tied to past Chinese threat activities. 


Despite the GitHub takedown, the cybersecurity researchers persist in analyzing the shared data.


The GitHub repo alleges that i-Soon targeted India, Thailand, Vietnam, South Korea, and NATO. While researchers verified these claims and analyzed the mix of chat logs, screenshots, victim data, and documents.


Dated between November 2018 and January 2023, the conversations involved 37 usernames and discussed various topics from work to software vulnerabilities.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhbpfH8AOAMETjIO9x4m6cjGmerstCNivMO2Ss4fP4IJXYHRH7Lc-rrJSiMJMQA0FnMXkWovb_tgGZlcocg2lQKTJNpVZnL-XHd9-Z5oepEvWMz_iQM1G5rCMJ2A7mPSgKrBzLXYjNmjmxTClwIXPOblB5-wmuB8vGu280zxIbd8bZS30o9mrmVMWkyAAoZ/s16000/i-Soon%E2%80%99s%20leaked%20online%20chats%20(Source%20-%20Palo%20Alto%20Networks)%20(1).webp)i-Soon’s leaked online chats (Source – Palo Alto Networks)


Besides this, the security experts at Unite 42 connect the leaked i-Soon messages to two known Chinese APT campaigns.


Here below, we have mentioned those two campaigns:-


* Campaign 1: 2022 Supply Chain Attack
* Campaign 2: 2019 Poison Carp Attack


The data leaks reveal manuals for software tools tied to Chinese APT groups. While it’s uncertain if i-Soon developed, resold, or used these tools.


Besides this, the documents confirm shared malware sets among China-attributed threat actors.


One manual links to i-Soon and features a tool named ‘Treadstone,’ referenced in a 2019 U.S. indictment against Chengdu 404 employees.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgfGfSKMvHte8glcYLKDSu8KgkbRejGXv6Vsy5I08obfDl6whFuWUYGoRrYSy9xTYsHyGpphn9i3CU7ylH5wlUzchjpiiOtgi260a4mmrtLBRfZd3N5gN6oIjxahWrDu_MzEoTRflq0qhLX0uZTBfXHvmzmmT225CPWCBNv0ECUSIbpdT2o0L7TH6BWk5Jv/s16000/Treadstone%20Linux%20malware%20control%20panel%20(Source%20-%20Palo%20Alto%20Networks)%20(1).webp)Treadstone Linux malware control panel (Source – Palo Alto Networks)


The indictment links Treadstone to Winnti malware and a small hacker group. Considering the 2023 court case, i-Soon may have developed the Treadstone panel.


Another document details a Chinese APT tool with a whitepaper featuring an admin panel screenshot.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgPl93VfJQrPaC_7Fzg4CFzjKGUKz1jcryGqE9Y0FoLj76ysYCCCFLmiU5qNN-gJ_ntCs6jO-8kSiBhBMYud9mz6u2PNR9nxSU10S1kui-qihHY9811I6KmBO-yAd5_m6HI5pi446bQESo9YoRu0k_8nZaXdcqxHEqKmHqE_BRP1Ej3VAFmE4sO_4-rZMl_/s16000/Administrator%20panel%20(Source%20-%20Palo%20Alto%20Networks).webp)Administrator panel (Source – Palo Alto Networks)


The panel displays a public IP and port (TCP://118.31.3.116:44444) which was previously linked by SentinelLabs to a [ShadowPad](https://cybersecuritynews.com/chinese-hacker-group/) C2 server used by Winnti in August 2021. 


This strengthens the connection between i-Soon and Winnti’s tool development.


Bushidotokens finds data leak links to known threat actors, as the POISON CARP connection via IP 74.120.172.10 ties to Chinese MPS operations.


The legal dispute links i-SOON to Chengdu 404. The JACKPOT PANDA connection through IP 8.218.67.52 aligns with i-SOON’s focus on online gambling targets.


The data leak offers infrequent insight into China’s private hacking sector, which supplements the U.S. government reports.


It reveals how Chinese threat actors share or sell tool sets, which complicates the attribution for defenders and analysts.


You can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits, with [**Perimeter81 malware protection**](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428). All are extremely harmful, can wreak havoc, and damage your network.





## Tags:
***ipv4-adresses***: 118.31.3.116 8.218.67.52 74.120.172.10
***urls***: http://118.31.3.116:44444

### Autogenerated tags:
[[i-soon]] [[malware]] [[cybersecurity]] [[github]] [[palo]] [[treadstone]] [[winnti]] [[ip]]
