# Gitgub Campaign Attacking GitHub Users To Steal Login Credentials
## ⁤Threat actors often target GitHub users due to the plenty of valuable code repositories and sensitive information stored on the platform. ⁤
## Information:

+ Link: https://cybersecuritynews.com/?p=59653
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 15 March 2024, 08:35
+ Date scraped: 15 March 2024, 09:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiG0E9AHqa_iGb96Dwcu7ZK_3COE7lnaZhl1FZSSAdm1E8aw55PZKQRJH1OJtRx_HbSTU-rVUYdzEUWDx_qBcL122vfATzH5hv20SfXhTlvSKey438BJFX3dJgkshkOJ3iMOZVP0RY2xtAWWZSZ8kRuyE9lIYcUW6upmwzgzFH5811pC5XjxR4q8hZub0-r/s16000/Gitgub%20Campaign%20Attacking%20GitHub%20Users%20to%20Steal%20Login%20Credentials.webp)


⁤Threat actors often target GitHub users due to the plenty of valuable code repositories and sensitive information stored on the platform. ⁤


However, the collaborative nature of ⁤GitHub makes it an exceptional target for surveillance by threat actors seeking to gather intelligence on organizations and their development practices.


Cybersecurity analysts at G Data Defense recently discovered that threat actors are actively attacking GitHub users to steal login credentials via the Gitgub campaign.


**Gitgub Campaign Attacking GitHub Users**
------------------------------------------


RisePro employs encrypted strings and bloated installers crashing [reverse-engineering](https://cybersecuritynews.com/malware-analysis-tools/) tools. “Gitgub” exfiltrated over 700 data archives to Telegram.


Document

Mitigating Vulnerability & 0-day Threats
----------------------------------------


Alert Fatigue that helps no one as security teams need to triage 100s of vulnerabilities.

:


* The problem of vulnerability fatigue today
* Difference between CVSS-specific vulnerability vs risk-based vulnerability
* Evaluating vulnerabilities based on the business impact/risk
* Automation to reduce alert fatigue and enhance security posture significantly


AcuRisQ, that helps you to quantify risk accurately:


  [Book Your spot](https://www.indusface.com/mitigating-alert-fatigue-with-acurisq.php?utm_source=gbhackers-blog-cta&utm_medium=referral&utm_campaign=2024-mar-webinar-mitigating-alert-fatigue-with-acurisq) 



13 repos from this RisePro stealer campaign featured the README lures. While the fake green Unicode circles mimicked build statuses for recency illusion. 
Red and green circles usually indicate real build outcomes on GitHub.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgFzsU1xZyhZlRTT38gxFRwpK6nffe3w1OiPP7FgFeyPas1rZUBbgOMIskePwjVNVhU1Sln5sWxXp-LMA9QC5eKDPcBaw-QLzrk7N-6k7qQRn3fdah5IOsFd4wG94gdyWKv8pjd_E7szRLUtDihMoyt5Akhkxe-QxKqeoD6YVS3YTlJpl3tT6Afcmx4AsbG/s16000/Malicious%20Repos%20(Source%20-%20G%20Data%20Defense).webp)Malicious Repos (Source – G Data Defense)


The following download link remains the same across repos:-


**hxxps://site/INSTALLER%20PASSWORD.rar**


The user unpacks nested archives with “GIT1HUB1FREE” password. While the Installer\_Mega\_v0.7.4t.msi is the first executable.


Orca shows it unpacks the next stage using the “LBjWCsXKUz1Gwhg” password, and the final payload is “Installer-Ultimate\_v4.3e.9b.exe.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_OutX1w1ZMnrySjyrhtRE2UtZIqqj3HBGFQFeDMm4IsI-r2sIQD3B7wKUjybizXqjSbmSupmH-fRjqAbup7FhBSVBlAbTW5u5KzM6ArxYN6RZNwG1IEP_V7cmeCyFxRJVnAS-IPnrVRNJVb11McioUlE8oGwaBR1UTwP5PYfT4vTSVOTLoG9oy284qyQ4/s16000/Installer_Mega_v0.7.4t.msi%20in%20Orca.exe%20(Source%20-%20G%20Data%20Defense).webp)Installer\_Mega\_v0.7.4t.msi in Orca.exe (Source – G Data Defense)


The Installer-Ultimate\_v4.3e.9b.exe is 699MB and it crashes the analysts’ tools. PortexAnalyzer shows non-trivial bloat with high entropy and no overlay.


The original archive had a 70MB size which suggests a repeating pattern.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiqjazfDNz9U8o4HBzgUwepBLjWuZs_VUAIBq22R1sP7O4CgKGXaGkPY8T0ZkJOp_7A9P10FeMsyv4t4pmSxKTZsBkTzCER_GDOPFhqCz2SwnlO8-lnEssiHmwdRFlljExrR65iamcn6TE4xraI7F5p1K9Mv0ooQr_L6avEKUyZvf663DUuqnOjeFcTXG01/s16000/PortexAnalyzer%20visualization%20(Source%20-%20G%20Data%20Defense).webp)PortexAnalyzer visualization (Source – G Data Defense)


Visualization revealed 0x1C0 byte repeating blocks with 0x2d byte unique blocks between. Repeating blocks enable compression while maintaining high entropy when unpacked.


MICROSOFTVISUALSTUDIODEBUGGERI resource was bloat data of 0x2b85418f bytes, and removing it slimmed the file from 699MB to 3.43MB.


The innoSetup signature was fake, and it is a .NET assembly. Two #Blob, #Strings streams break CLI spec, allowing only one each, while the #Schema stream isn’t part of CLI, reads the [report](https://www.gdatasoftware.com/blog/2024/03/37885-risepro-stealer-campaign-github).


There are three streams that had 1-byte invalid sizes pointing to the same offset, likely confusing parsers.


ModuleRef table references 727 DLL files with dictionary word pairs as names, except kernel32. The file uses obfuscated .NET Reactor 6 with virtualization, requiring a custom disassembler.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhT_BxDhxTOWDM847xqyRVC3UyTsyzouj3us50Ke-DZRWKDUMetu7pUHD0EIthLpyQLw39rBs9dOsOdM_PP7eh74ZCm0GU7Gx9XAmqBFQpWxKz2XOWbqiW2CRrtYAs2mxSn0TYacOt8IN3TyLQbKzxTwnRJ5_KPdfRl5EvscUOtZ1DYddO2dVLa5Uy3eeQg/s16000/Moduleref%20(Source%20-%20G%20Data%20Defense).webp)Moduleref (Source – G Data Defense)


Loader connects to 176.113.115.227:56385 and injects RisePro 1.6 stealer into AppLaunch.exe or RegAsm.exe. RisePro now uses custom [XOR string](https://cybersecuritynews.com/powerful-ddos-malware-attack/) decryption instead of xorstr library. 


Multiple hardcoded decryption functions per string length replace vectorized xorstr scheme.


Researchers used a Python script to decrypt RisePro’s network data over a still-used TCP 50500 port. Config packet revealed grabber components, Telegram bot API token, and message template.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgAZpjkxR8qXQftj2qQYxM2NQ5ivXMDR-Q2TPUkSjTCW_IIHQMXO70Hdhgsg6NuQgNQdn61N0K-jnnyE7AN4LiUwmDb-Q3m-dO4xcumeODW7sUwphu5prAVBq5NMz1VImqh_RaCZijRdmJJali0C5CYOx8jM85DtD7l0zVgK-ibtLSEqwsT8XXLv7ATa9Wc/s16000/Telegram%20channel%20with%20exfiltrated%20data%20archives%20(Source%20-%20G%20Data%20Defense).webp)Telegram channel with exfiltrated data archives (Source – G Data Defense)


The Base64 packet contained zipped analysis machine data. Over 700 zipped data archives were exfiltrated to 2 Telegram channels. The channel names and C2 IPs suggest Russia-based operations.


**Gitgub Campaign Repositories**
--------------------------------


Here below we have mentioned all the repositories that belong to the Gitgub campaign:-


* andreastanaj/AVAST
* andreastanaj/Sound-Booster
* aymenkort1990/fabfilter
* BenWebsite/-IObit-Smart-Defrag-Crack
* Faharnaqvi/VueScan-Crack
* javisolis123/Voicemod
* lolusuary/AOMEI-Backupper
* lolusuary/Daemon-Tools
* lolusuary/EaseUS-Partition-Master
* lolusuary/SOOTHE-2
* mostofakamaljoy/ccleaner
* rik0v/ManyCam
* Roccinhu/Tenorshare-Reiboot
* Roccinhu/Tenorshare-iCareFone
* True-Oblivion/AOMEI-Partition-Assistant
* vaibhavshiledar/droidkit
* vaibhavshiledar/TOON-BOOM-HARMONY


**IoCs**
--------



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjXwk5Ra8B4DL30PIZvpRINRMPCLqEql66EoMBuYMKXT5B3dzy1epxDup7TElasARzb_QFJFdqgz7X8OzQvCOkf3mqWwJ4bK_MGPYU_4tZ4XeitWnECo9Vyr7Hc_sVjbHxMGfce-KmOKJDrIAucjQc19g4mjh-ksaRcGpV1eHSSmRV-FnkWZ-CkI_YsDwue/s16000/IoCs%20(Source%20-%20G%20Data%20Defense).webp)IoCs (Source – G Data Defense)


With [Perimeter81 malware protection](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428), you can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits. All are incredibly harmful and can wreak havoc on your network.





## Tags:
***ipv4-adresses***: 176.113.115.227
***urls***: https://site/INSTALLER%20PASSWORD.rar

### Autogenerated tags:
[[risepro]] [[github]] [[gitgub]] [[exfiltrated]] [[repos]]
