# Hackers Targeting Multiple Military & Weapons Contractor
## Securonix Threat Labs has identified a new covert attack campaign targeting Military and Weapons Contractor companies including an F-35 Lightning II fighter aircraft components supplier.
## Information:

+ Link: https://cybersecuritynews.com/?p=10553
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 29 September 2022, 16:18
+ Date scraped: 29 September 2022, 17:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhg8JZwquH6radigfFbruXyfuMUoMmLSzatUJKLMRj3k7m4DexczVACjvpcBt70jEWdOKzVfQLxw6Fe1JaI9na-Zj5r0DP377zePJcM-g1POxPBsiHkqGFxxZ7zEre7yClXMkoHUgKtpUQbd5LROLn1f_jLwxl6-3kthcmypDbTg3J37IrgxXsvbE07QA/s16000/Hackers%20Targets%20%20Military%20&%20Weapons%20Contractor.png)

Securonix Threat Labs has identified a new covert attack campaign targeting Military and Weapons Contractor companies including an F-35 Lightning II fighter aircraft components supplier.

 googletag.cmd.push(function() { googletag.display('div-gpt-ad-1663938601381-0'); }); This campaign involved the use of PowerShell, secured [C2 infrastructure](https://cybersecuritynews.com/command-and-controlc2-server/) and multiple layers of obfuscation in the PowerShell stagers.

### **Spear Phishing Attack**

Experts [say](https://www.securonix.com/blog/detecting-steepmaverick-new-covert-attack-campaign-targeting-military-contractors/) ‘SpearPhishing’ was the primary means of initial compromise. Also, the attacks targeted at least two high-profile military contractor companies.

‘Spear phishing’ is an email or electronic communications scam targeted towards a specific individual, organization or business. Although often intended to steal data for malicious purposes, cybercriminals may also intend to install malware on a targeted user’s computer.

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://www.perimeter81.com/lp/ztna-vs-vpn?a_aid=2428&a_bid=1682633c&chan=code33&data1=csn)![https://www.securonix.com/wp-content/uploads/2022/09/Maverick-1.png](https://lh4.googleusercontent.com/Rq92CPi0HaVp4IG8HOi1lRIWsmgcTDVg1fJs9fBG9qNZCgUldDmURjcfG47Ymd1uSZaUXnsjoCnbk30fOm-WtqGpggw3MUUu7RNniCD3I8dcmozsvGeh1MGYA8PQ7Jt1tECISb8h6W7uc3Gapu2N4objmk3VPZecEpkI20qnh7qbIYXvrKHV-zyZfZq9igT_ub8B2g)Attack Chain

The infection phase started initially with [phishing](https://cybersecuritynews.com/phishing-attack/) email sent to the target containing a malicious attachment. This was similar to the STIFF#BIZON campaign reported earlier. The email has a compressed file containing a shortcut file, in this case “Company & Benefits.lnk”.

![https://www.securonix.com/wp-content/uploads/2022/09/Maverick-2.png](https://lh4.googleusercontent.com/bvvWFVLnjSKOUGHxplftSEE4l-NIb3k69zl55o0fWI7l3F781Ool_-QW3OUN8tJUq6qo4tNQ88JvgL0eWEynWZRpj5cYXL53G9NaFqx2dNaNSrF7yD77mTK_pGu4qr6Uc-Bk4wS7cwGepXpnRHuQRL9SjK4sJPTPlSEIVBwji87fed3IndeP5yDpj1lYZUxOdXo4kw)Company & Benefits.pdf.lnk

To avoid detection, the shortcut file attempts to hide its execution by calling forfiles rather than cmd.exe or powershell.exe, and it relies on the unusual “C:\Windows\System32\ForFiles.exe” command to execute commands.

The obfuscation techniques include reordering/symbol obfuscation, IEX obfuscation, byte value obfuscation, raw compression, reordering, string replacement, and backtick obfuscation.

Researchers say the script scans for a list of processes linked to debugging and monitoring software, checks that the screen height is above 777 pixels and the memory is above 4GB to evade sandboxes, and verifies that the system was installed more than three days ago.

If the check fails, the script will disable the system network adapters, configure the Windows Firewall to block all traffic, delete everything in all detected drives, and then shut down the computer.

Subsequently, if all checks pass, the script proceeds by disabling the PowerShell Script Block Logging and adds Windows Defender exclusions for “.lnk,” “.rar,” and “.exe” files and also for directories critical for the function of the malware.

*“While we were able to download and analyze the header.png file, we were not able to decode it as we believe the campaign was completed and our theory is that the file was replaced in order to prevent further analysis,” Securonix*

*“Our attempts to decode the payload would only produce garbage data.”*

**Domains Used In Various Portions of the Attack Chain:**

* terma[.]dev
* terma[.]icu
* terma[.]app
* terma[.]vip
* terma[.]wiki
* terma[.]pics
* terma[.]lol
* terma[.]ink

Therefore, this attack was sophisticated with the malicious threat actor paying specific attention to opsec. Researchers say in this case, ‘Persistence’ is achieved through multiple methods, including adding new Registry keys, embedding the script into a scheduled task, adding a new entry on the Startup directory, and also WMI subscriptions.




## Tags:
***urls***: http://terma.devterma.icuterma.appterma.vipterma.wikiterma.picsterma.lolterma.inkTherefore

### Autogenerated tags:
[[powershell]] [[phishing]]
