# Hackers Use Weaponized PDF Files to Attack Manufacturing, Commercial, and Healthcare Organizations
## Recently, eSentire TRU reported, Hackers Use Weaponized PDF Files to Attack Manufacturing, Commercial, and Healthcare Organizations.
## Information:

+ Link: https://cybersecuritynews.com/?p=21596
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 21 June 2023, 07:13
+ Date scraped: 21 June 2023, 08:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgIC1d2SwXR3eojKRECR1iNPb0KWgtKJ_KSZuGvXnOp_QWje3O3n7Ct44HwUxMAIfwfmJPqL3N6ofK9L9x4Xh3O5E4cUeuaiVDPAcQ86rh5SDmY5nxIXGs6IcKexNsGcacdGwyEN3ElzBXX0tQWXootVOaaHqMPHBlBCTZFzozLuR-i8XouZGWQ7UXZr3Rx/s1600/Hackers%20Use%20Weaponized%20PDF%20Files%20to%20Attack%20Manufacturing,%20Commercial,%20and%20Healthcare%20Organizations.webp)


Recently, eSentire TRU (Threat Response Unit) reported that since November 2022, it had observed the resurrection of a malicious campaign that Hackers Attack on targets explicitly the following organizations:-


* Manufacturing
* Commercial
* Healthcare


While [cybersecurity researchers](https://gbhackers.com/category/cyber-security-news/) acknowledge that the campaign is being carried out by threat actors who are native Russian speakers.


In this analysis, experts mainly focus on four separate instances where Bluesteel, a machine-learning tool for [PowerShell of eSentire](https://www.esentire.com/resources/library/anatomy-of-a-powershell-attack), identified harmful commands executing a script from a domain under the control of an attacker.


## **Weaponized PDF Files** as Initial Vector


Here the phishing email has been identified as the initial infection vector.


To distribute the malicious payload, the Hackers attack are actively adopting email hijacking, and via PDF attachments, they deliver the malicious payload.



![matthewblanchard](https://lh3.googleusercontent.com/jPM6joxB1szR6Qrt1c3eZ8_32RGdipXRFUIMjfnwiUa-ue_QpL7rS9NUGUFNzacS6Xy_2ON7IXIXKkfIH1yFhQLIfu7OuS3wL4gC2rwTnSGPQI4dS_wLstavpLANJ2UiIYA-5nDbUM8qa4HhtwCfwZQ)


To deceive users into thinking the domain is genuine, the attackers include the sender domain within the [Vesta Control Panel](https://vestacp.com/).


The user is redirected to saprefx[.]com domain via a link to the domain embedded with the PDF attachment.


The behavior of the domain changes depending on the user’s location.



![phishing email](https://lh3.googleusercontent.com/ZNVk6y42_Nmz0pTHyo_Miw_xgfF_cO0MWCN3DxsDsvorHCpYN3MZ0BmD5VWtp5zJVpcbqnArQjEtPPa1jczWyk7D_zpn_3vyaB8lxA7fBMgc2GjFTkTdP-BI6JVAnbqz2OWnrpVp6716V8n110dzoJM)


Here we have mentioned the two options available:-


* Users will either be redirected to the final domain with the JavaScript payload.


Or


* Users will encounter the [TeamViewer installer page](https://www.teamviewer.com/en-in/download/windows/).


Generally, the compromised WordPress websites are the hosting platform for the JavaScript payload.


By utilizing the InstallProduct method, the malicious script downloads and executes the MSI file, and all this occurs when the user opens the JavaScript attachment.


![coding](https://lh5.googleusercontent.com/osx1dIslS5N0If2zKsPw1N-FTKSyHQYD1cG5ofUM1vuJx6x7srYn-Rue8OLP8QThaRvLyQwcsAuUXKmg0VxIfWhZYvnLTlf57-suEBeW0hbDp_Sh6ObzveTUJX97yQgGi4VhA1tMGETP3kDyJPRGoW8)


Using the C drive’s serial number as a parameter, the VBS file establishes a connection to the [C2 server](https://cybersecuritynews.com/command-and-controlc2-server/)**.** 


It subsequently fetches the [Windows Installer](https://support.microsoft.com/en-us/topic/windows-installer-4-5-is-available-bf06be18-3e0a-d5eb-4549-b482f67e1c46)product and stealthily launches it in the background without the user’s knowledge.


Several tools and scripts are included inside the MSI files, and they are mainly tailored to capture screenshots of the computer when it was infected.


This process is executed through the implementation of an [AutoHotKey script](https://www.autohotkey.com/docs/v1/scripts/). And here below, we have mentioned the tools that are observed:-


* AutoIt
* Python scripts
* i\_view32.exe


## **Hackers Use Weaponized PDF Files to Attack**


In the early stages of the campaign, security analysts observed the threat actors dropping:-


* Backdoor
* Cobalt Strike payload
* Python script


The previously mentioned malicious PowerShell command fetches and executes the PowerShell script, which is located at:-


* 31.41.244[.]142


The PowerShell script utilizes LoadLibraryA to load *kernel32.dll* and *crypt32.dll*. 


Then to convert the base64 string into a binary format, it employs the CryptStringToBinaryA function from crypt32.dll.


Using CreateToolhelp32Snapshot, the Cobalt Strike loader, acting as the malicious payload, examines the “[powershell.exe](https://learn.microsoft.com/en-us/powershell/module/microsoft.powershell.core/about/about_powershell_exe?view=powershell-5.1)” process.


The threat actors introduced their personally developed backdoor tool called “resident2.exe” in the second incident, and this tool is a 32-bit executable written in [C programming language](https://en.wikipedia.org/wiki/C_(programming_language)).


The threat actors involved in the third incident kickstart their intrusion by manipulating wscript.exe to launch the malicious JavaScript file.


![heirarchy](https://lh3.googleusercontent.com/cxjB8OXTyc_f2MUXt0LrBgd1CktYYjXBzcKjzJhQh-aiVGLbYlYBxI0Sha-fh1OPTskFtz6mDnRljIkgTCGlpP5GikA6uFOX0qmDvRsC7IAUEGU-rqZr497F0MOjBuydU7SI5D9diwThTsj_MolEoh4)


In the last instance of the attack, the threat actors first employed au3.exe, which then generated a chain of additional malicious executables.


![level](https://lh4.googleusercontent.com/n8ykV4nim4pacAB29u4r8MFtQ9w2R2TlRc1lgsac1Jyy2-8dxxk9wsxeBJE1W7pw3FPfXUig7XOSfskteBE6Xtc_Wxs30A-IAHOeBVCfc_hFy8ukkcuI6CQZ0Oa-PfbA3TKhaVvCeMfnLwTAC8WLWLQ)


Here below, we have mentioned the files that the threat actors drop:-


* Terminal App Service.vbs (C:\ProgramData\Cis)
* app.js (C:\ProgramData\Dored) – similar to the previous case
* au3.exe (C:\ProgramData\2020)
* au3.ahk (C:\ProgramData\2020)
* index.js (C:\ProgramData\Dored) – screenshot sender script, similar to the 3rd incident
* i\_view32.exe (C:\ProgramData\Dored)
* skev.jpg – screenshot image (C:\ProgramData\Dored)
* hcmd.exe (AppData\Roaming\hcmd\hcmd.exe)
* index.js (AppData\Roaming\hcmd)
* hcmd.exe (AppData\Roaming\hcmd)


## **Recommendations**


Here below, we have mentioned all the recommendations offered by the [security researchers](https://cybersecuritynews.com/security-researchers-gained-access-to-git-repositories-of-the-united-nations/):-


* Validate that every device has the necessary EDR solutions implemented for enhanced protection.
* Make use of PSAT to provide your employees with proper education on the risks involved with commodity stealers and drive-by downloads.
* Ensure there are established protocols for employees to follow when submitting content that may be deemed malicious for proper assessment.
* Use Windows Attack Surface Reduction rules to block the execution of downloaded content initiated by JavaScript and VBScript.






## Tags:
***ipv4-adresses***: 31.41.244.142
***urls***: http://31.41.244.142 http://saprefx.com

### Autogenerated tags:
[[javascript]] [[powershell]] [[pdf]] [[c:\programdata\dored]]
