# Hackers Using Weaponized Virtual Hard Disk Files to Deliver Remcos RAT
## Hackers have been found leveraging weaponized virtual hard disk (VHD) files to deploy the notorious Remote Control Software (RAT), Remcos.
## Information:

+ Link: https://cybersecuritynews.com/?p=60855
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 28 March 2024, 13:47
+ Date scraped: 28 March 2024, 14:16

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjXDl3Puc92eVVKEeDuzQhp4-SQvUBCeRSguAU10ShDrEmxDdPDD5LIX4A72NqWKCj-IyWCX-KRqQQG82vr1BlwlBrCnBvw0At-lQkwCJkFtbVJUf9di208BPCxjyNjjV7fa-D9JNBTG61UevgqNp2AnkVSwHkn6siseNmAflWnsU8KT1f-YRZH73L1vgs/s1600/REmcos%20RAt%20(1).webp)


Hackers have been found leveraging weaponized virtual hard disk (VHD) files to deploy the notorious Remote Control Software (RAT), Remcos.


This method marks a significant evolution in [cyberattack](https://cybersecuritynews.com/nist-details-cyberattacks/) strategies, aiming to bypass traditional security measures and gain unauthorized access to victims’ devices.


Remcos RAT has been a known entity in the cyber realm since 2016, initially introduced by BreakingSecurity, a European company, as a legitimate tool for remote control.


However, cybercriminals quickly recognized its potential for misuse, transforming it into a tool for illicit activities despite the company’s claims of its intended use for lawful purposes only.


As per the latest [report](https://labs.k7computing.com/index.php/unknown-ttps-of-remcos-rat/) from K7SecurityLabs, cyber attackers are utilizing weaponized Virtual Hard Disk (VHD) files to distribute the Remcos Remote Access Trojan (RAT).


**The Discovery of Weaponized VHD Files**
-----------------------------------------


Recent investigations have uncovered an alarming trend where threat actors are distributing Remcos RAT through .vhd files.


This discovery was made after analyzing several samples on VirusTotal, where one particular sample stood out due to its unique delivery mechanism.


Upon extracting the .vhd file, researchers found a collection of files, including a shortcut file containing a PowerShell command line.


This command line was designed to execute a script named “MacOSX.ps1,” which harbored multiple functionalities, some of which were identified as remnants of old Tactics, Techniques, and Procedures (TTP).


![Extracted VHD File](https://cybersecuritynews.com/wp-content/uploads/2024/03/image-80.png)Extracted VHD File



Cyber attackers are using weaponized Virtual Hard Disk (VHD) files to distribute the Remcos Remote Access Trojan (RAT), as per the latest tweet from Virus Bulletin.







**The Intricacies of the Attack**
---------------------------------


The MacOSX.ps1 script showcased a variety of operations, such as downloading a [PDF file](https://cybersecuritynews.com/hackers-using-weaponized/) disguised as a PNG and creating a task to download and execute another PowerShell script. 


Notably, the script included an AMSI Bypass technique and a method to download a VB script encoded within a PNG file, further illustrating the attackers’ sophistication.


![Downloading PDF as PNG](https://cybersecuritynews.com/wp-content/uploads/2024/03/image-81.png)Downloading PDF as PNG


Once decoded, the VB script within the PNG file revealed a PowerShell script encoded with base64.


This script, upon execution, downloaded another image file containing a base64 encoded value, which was then decoded to reveal a .NET DLL file.


**The Final Payload: Remcos RAT**
---------------------------------


The .NET DLL file played a crucial role in the attack, performing process hollowing to inject the Remcos payload into a newly created “RegAsm.exe” process.


This technique allowed the attackers to evade detection by security solutions.


The Remcos payload, a VC8 compiled binary, contained an RC4 encrypted configuration block within its resource section.


This block held crucial information such as the [Command and Control (C2)](https://cybersecuritynews.com/command-and-controlc2-server/) server details, enabling the malware to establish persistence, log keystrokes, capture audio, and perform other malicious activities.


![C++ Binary Payload](https://cybersecuritynews.com/wp-content/uploads/2024/03/image-82.png)C++ Binary Payload


![Decoded RC4 in the setting](https://cybersecuritynews.com/wp-content/uploads/2024/03/image-83.png)Decoded RC4 in the setting


This campaign underscores the continuous evolution of cyber threats and the lengths to which attackers will go to circumvent security measures.


Using weaponized VHD files to deliver malware like Remcos RAT represents a significant shift in attack methodologies, highlighting the need for advanced detection and response capabilities.





## Tags:


### Autogenerated tags:
[[remcos]] [[vhd]] [[weaponized]] [[png]] [[powershell]]
