# New SugarGh0st RAT Delivered via Malicious Windows Shortcut & JavaScript
## Recently cybersecurity researchers at Cisco Talos discovered a malicious campaign that was found to delivering a new RAT dubbed "SugarGh0st."
## Information:

+ Link: https://cybersecuritynews.com/?p=52363
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 01 December 2023, 12:09
+ Date scraped: 01 December 2023, 19:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhGH0mYidHtPcpzgy4evTG_WTtnzQVY5sTnG5FPjJGsPzjsAG69Nc3HrTuDmSZ1aGrwONeUJawvqzQ8lIgl7LKE4zMLUzxLKZrcBzUzliYPBEqOHLloAP345vodVzS3ZF52UQl89zN-7sWuD1DHN4fUeAbKtgVBVh5idYwSof00bvBC3nuKrePvqOfs67Sb/s1600/New%20SugarGh0st%20RAT%20Delivered%20via%20Malicious%20Windows%20Shortcut%20&%20JavaScript.webp)


Hackers use Remote Access Trojans (RATs) to gain unauthorized access and control over a victim’s computer remotely.


RATs allow threat actors to execute the following malicious actions while remaining hidden from the victim:-


* Stealing sensitive information
* Monitoring activities
* Deploying additional malware


Recently, cybersecurity researchers at Cisco Talos [discovered](https://blog.talosintelligence.com/new-sugargh0st-rat/) a malicious campaign that was found to be delivering a new RAT that’s been dubbed “SugarGh0st.”


Security analysts also affirmed that this new malicious campaign has been active since early August 2023.


Document

Protect Your Storage With SafeGuard
[Is Your Storage & Backup Systems Fully Protected? – Watch 40-second Tour of SafeGuard](#)
------------------------------------------------------------------------------------------


StorageGuard scans, detects, and fixes security misconfigurations and vulnerabilities across hundreds of storage and backup devices.


  [Try StorageGuard for Free](https://www.continuitysoftware.com/webinar-ensure-cyber-resilient-with-the-new-dora-regulation/?utm_source=CyberSecurityNews) 


**SugarGh0st RAT via Windows Shortcut**
---------------------------------------


Besides this, the distribution of this new SugarGh0st RAT is done by the threat actors via malicious Windows Shortcut and JavaScript.


In this campaign, Talos researchers identified four samples targeting users in the following two countries primarily:-


* Uzbekistan
* South Korea


The samples include an archive with a Windows [ShortCut LNK](https://cybersecuritynews.com/hackers-deliver-weaponized-lnk-files/) file, delivering a decoy document related to a presidential decree in Uzbekistan.


The lure content matches Uzbek sources from 2021. The likely initial vector is a phishing email with a malicious RAR archive sent to a Ministry of Foreign Affairs employee.


![](https://lh7-us.googleusercontent.com/0L0ijKmX9cuNZUEov6NKOBVuqsYJQYkmQlE3iQ1WfxUlPGxy-Eyq7FmTeDr31Bw8tdzGUuRodXyc-teckR2tJOiyUNLuF4CxAfRSoe1thD-HNmOkrjfaQUaMKVRmrguB6E0Ey3UKFdHv58RIBSo2J6cmLDHn9aim)


Targets extend to South Korea alongside Uzbekistan, evidenced by three Korean-language decoy documents dropped via a malicious JavaScript file in a Windows Shortcut. Documents mimic a Microsoft account notification, leverage blockchain news content, and provide computer maintenance instructions.


![](https://lh7-us.googleusercontent.com/9y0S2vx0x1MoLnfBgS9oydVlUMs9Faz7q_BmO6Iu8ZCm7lIzDI9AbjbRqRG-jXSPQqdYbCpTyTJyTODHeLa67RIRL74CAGrUgZms7dhUhX_HqwsN2hNSgMm0frc_2G9v0MQG1YtOuDVETCdSogU77s1XYApKPmvH)


C2 domain requests from South Korean IPs further affirm the focus. Artifacts hint at a Chinese-speaking actor, with decoy files showing names in Simplified Chinese.


The actor’s preference for SugarGh0st, a [Gh0st RAT variant](https://cybersecuritynews.com/hiddengh0st-malware/), aligns with Chinese threat actor practices, which have been known since 2008. Chinese actors historically target Uzbekistan, supporting the current campaign’s alignment with the Ministry of Foreign Affairs.


SugarGh0st, a customized Gh0st RAT variant, can be traced back to the Chinese C.Rufus Security Team’s 2008 release. Gh0st RAT’s public source code availability led to numerous variants favored by Chinese-speaking actors for surveillance.


SugarGh0st enhances reconnaissance, seeking specific ODBC registry keys and modifying the [C2 communication](https://cybersecuritynews.com/command-and-controlc2-server/) protocol. 


It adapts features for remote administration and evading detection and aligns with Gh0st RAT’s capabilities, including:-


* Remote control
* Keylogging
* Webcam access
* Running arbitrary binaries


Malicious RAR with Windows Shortcut triggers JavaScript and then drops the following elements:-


* Encrypted SugarGh0st payload
* DLL loader
* Batch script


Then it executes the batch script via sideloaded rundll32 and decrypts the payload to run reflectively.


In the second infection chain, RAR holds malicious Windows shortcuts, executes commands to drop JavaScript dropper in %TEMP%, and runs with cscript. Then, in the later part, the JavaScript drops:-


* Decoy
* DynamicWrapperX DLL
* Encrypted SugarGh0st


While the legitimate DLL enables the shellcode for the SugarGh0st payload.


![](https://lh7-us.googleusercontent.com/PodCBvkaNPYZs1d5XsBdXJLy7WACBlNo9bA8lwBZV90ippLBSsCtkeEVH_YCvqt78rtQAHKa80jy2Ydi640m0B2k4ggvy77rA26Wy5M7Pk8JMotqisyA4TBpGy5ZB-FMGJ-OBWNOzDp7cd4nnaU6pkrzwKQ0Zmmv)


Using the hardcoded domain and port, the SugarGh0st connects to C2 via the “WSAStartup” functions. Here below, we have mentioned two C2 domains found:-


* login[.]drive-google-com[.]tk
* account[.]drive-google-com[.]tk


**Functionalities of SugarGh0st**
---------------------------------


Here below, we have mentioned the functionalities of SugarGh0st:-


* Gathers computer name.
* Gathers operating system version.
* Gathers root and other drive information of victim machine.
* Gathers registry key “HKEY\_LOCAL\_MACHINE\Software\ODBC\H” if exists.
* Gathers Windows version number.
* Gathers root drive’s volume serial number.
* Access the victim’s machine camera.
* It can search, copy, move, and delete the files.
* Compress the captured data.





## Tags:
***urls***: http://login.drive-google-com.tk http://account.drive-google-com.tk

### Autogenerated tags:
[[sugargh0st]] [[windows]] [[javascript]] [[uzbekistan]] [[c2]] [[gh0st]] [[rar]] [[dll]]
