# North Korea's Hacker Group Deploys Malicious Version of Python Package in PyPI Repository
## ReversingLabs spotted "VMConnect" in early August, a malicious supply chain campaign with two dozen rogue Python packages on PyPI.
## Information:

+ Link: https://cybersecuritynews.com/?p=40879
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 01 September 2023, 16:17
+ Date scraped: 01 September 2023, 17:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgHoW0vTWsRDvkQfQEwwxRk7qtIa13Un6pDZTeAd_sonpMU4WTvG2ayGqMgCP0Sr_kORcVh0_p6HT2voIntmgGLsTj_78et3CYN-8vhA3iLopTkogdmCMelKw-uH7nzkaQJ_oAA2uriAhvUcheVKqMRcoVDJMeXnVb53_PNTsHhm3JC8GEvfiuwWVdtGVrl/s16000/Malicious%20Versions%20of%20%20PyPI%20Package.webp)


ReversingLabs spotted “VMConnect” in early August, a [malicious supply chain](https://cybersecuritynews.com/pypi-cryptomining-malware/) campaign with two dozen rogue Python packages on PyPI.


It’s been observed that these packages mimicked the following known open-source Python tools:-






* vConnector
* eth-tester
* Databases


Cybersecurity researchers at ReversingLabs recently identified that a North Korean hacker group is actively deploying malicious versions of [Python Packages](https://cybersecuritynews.com/11-malicious-python-packages-downloaded-over-41000-times/) in the PyPI repository.


The security analysts analyzed all the malicious packages, and after successfully decrypting the malicious packages, they linked their roots to Labyrinth Chollima, a branch of the renowned North Korean state-sponsored group Lazarus.


Recent years witnessed malicious actors imitating open-source packages, using tactics like typosquatting to trick busy developers into installing malware.


**Malicious packages**
----------------------


Here below, we have mentioned all the malicious packages that the security experts identified:-


* tablediter (736 downloads)
* request-plus (43 downloads)
* requestspro (341 downloads)


The first of the three new packages pretends to be a table editing tool, while the others imitate the ‘requests’ Python library, adding ‘plus’ and ‘pro’ to seem like enhanced [legitimate versions](https://cybersecuritynews.com/python-tools/).


**Malicious Python Package in PyPI Repository**
-----------------------------------------------


The malicious actors used evasion tactics like typosquatting and mimicked the ‘requests’ package, copying its description and files without any additions.


The malicious packages in the “\_\_init\_\_.py” file were only altered and modified to launch a thread executing a function from the “cookies.py” file after the addition of a few lines of code.


The cookies.py file was altered with malicious functions to gather machine data, sending it via POST to a [C2 server](https://cybersecuritynews.com/command-and-controlc2-server/) URL. It then retrieves a token via a GET HTTP request to another C2 server URL.


![](https://lh4.googleusercontent.com/YYT2olo1qOP3daSYGuIOBp2bsbEWQm2gx9hjVVe7REpAPAwfJro5WwA_crCQ0eINw4YzHji_o0pidvwoe6L8fuNSHOE1ihcUgofj0AZJzpqhywUJ7bnd7QO88_M2Tr5WlI-Rsg2uNddA8htfwF4DYmk)Code for communication with C2 server (Source – Reversing Labs)


The infected host receives a double-encrypted Python module with execution parameters, decoding it and downloading the next [malware stage](https://cybersecuritynews.com/gwisinlocker-new-ransomware/) from a provided URL.


Similar to the previous VMConnect campaign, the C2 server waited for suitable targets, withholding additional commands, making campaign assessment challenging.


While investigating VMConnect, ReversingLabs aimed to connect it with other malware campaigns, uncovering hints linking it to Lazarus Group, a North Korean APT group.


Further investigation found the py\_QRcode package mentioned in a July 2023 JPCERT report (https://blogs.jpcert.or.jp/en/2023/07/dangerouspassword\_dev.html), but it was never on PyPI. This raises questions about how the malware reached victims despite being tied to this package.


Code similarities between VMConnect and JPCERT/CC findings link both to the Lazarus Group, confirming North Korean state sponsorship.


**IoCs**
--------


**Command and control (C2) domains and IP address:**


* packages-api.test
* tableditermanaging.pro
* 45.61.136.133


**PyPI packages:**


![](https://lh5.googleusercontent.com/n3AQRnDsHF54KOEGk8RkIyDc_HzoA72G_UAZ-vbSSDF1K0xvVatzFH5vayqvTi26gaPJlj1y3DHAHvdN-zmJlmoCz2vmhyP4jCB4g6pnvHZDud-c8M-LlNL2C5hKFhzZbWbFCGzNIj5uMv-gr303js0)PyPI packages (Source – Reversing Labs)






## Tags:
***ipv4-adresses***: 45.61.136.133
***urls***: https://blogs.jpcert.or.jp/en/2023/07/dangerouspassword_dev.html

### Autogenerated tags:
[[pypi]] [[c2]] [[malware]] [[reversinglabs]] [[url]] [[vmconnect]]
