# PhonyC2 - MuddyWater's New C2 (command & control) Center Uncovered
## PhonyC2, an actively developed framework, was used in the Technion attack (Feb 2023), and the MuddyWater keeps updating the PhonyC2 and modifying the TTPs to evade detection.
## Information:

+ Link: https://cybersecuritynews.com/?p=24117
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 02 July 2023, 03:44
+ Date scraped: 02 July 2023, 04:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh3L4PUYuCipRMmOB2qemYzRU5VHQJIO9r4_kERxNrfBzP65OloopSOFqpLYQqXCtQWOFEgvL8m0cvxhNZ_Ydb-jaHeQVY7aRlDaEihlqecvyQIDwngtQnWaOzL3Nhbz83qUMG0Sk5e2BCCby8aBoqxc4DxPgm3zzIIml_c3dIi0QJ5Viuel5ttCNgUs3DI/s16000/PhonyC2%20-%20MuddyWaters%20New%20C2%20(command%20&%20control)%20Center%20Uncovered.webp)


Recently, it has been found by the security analysts at Deep Instinct that MuddyWater (aka Mango Sandstorm and Mercury), an Iranian state-backed group, has been using a new command-and-control framework since 2021 that is dubbed “PhonyC2.”


PhonyC2, an actively developed framework, was used in the Technion attack (Feb 2023), and the MuddyWater keeps updating the PhonyC2 and modifying the TTPs to evade detection.


Leveraging social engineering, MuddyWater breaches patched systems as its primary access point. The threat research team of Deep Instinct discovered three malicious PowerShell scripts in April 2023 within the PhonyC2\_v6.zip archive.


## **MuddyWater’s New PhonyC2**


[MuddyWater](https://cybersecuritynews.com/muddywater-campaign-legit-remote-admin/), a cyber espionage group linked to Iran’s MOIS since 2017, and Microsoft implicated them in destructive attacks on hybrid environments and collaboration with Storm-1084 for:-


* Reconnaissance
* Persistence
* Lateral movement


Iran engages in strategic cyber operations, primarily targeting neighboring states, including geopolitical rivals for intelligence collection. Here below, we have mentioned the primarily focused rivals:-


* Israel
* Saudi Arabia
* Arabic Gulf countries


Along with the PhonyC2 zip file, Sicehice (An organization automating cyber threat intelligence collection from 30+ sources and facilitating IP search for users.) shared more server files, including the revealing “.bash\_history” file with the executed commands by the threat actors.



![](https://lh4.googleusercontent.com/QmMw7lr2qlpCLfGNkJEYzQ5xzCJrfdN77u8aEQQ7V3RCsrQ6VdGtz5SVG8Qe1F4zawiWV8CvciBoRIBJ037TrDPE4jIH7BYKIG73y-w39wJSiNH4vCLwnWFRw-r4MLOhLscsSi_DK78iguOhvviAGtk)Start of .bash\_history file (Source – Deep Instinct)



![](https://lh3.googleusercontent.com/VqNZpylaFzwnja5DNCP8D7CNyHy-c-QApIGfvmHqNnywLXGg_uyebyfhvPZkBq5Q7FHf1PczgTSLPdMXOIUcL9v4bQZM-LIPyKB7CwDU-ztwrHMYAHiVGTUFHb9Q4agMQ09He3r2yt-UHAg9zQsRzBU)End of .bash\_history file (Source – Deep Instinct)


Suspicion arises due to known MuddyWater tools on the server and communication with their recognized IP addresses, suggesting PhonyC2 as their framework.


The group orchestrates attack chains using vulnerable public servers and social engineering as primary access points to breach targeted interests, similar to other Iran-linked intrusion sets.



![](https://lh6.googleusercontent.com/BXiiuPMfYehkABi7-vqlHngLSAHl5k9FG460UJME7Cr769d0W3T6WGGIBbESbYsQ5ik7Q05oaTL1f7DZosIy7lZG1nhLnRs-nVfIcOUAS04BycYgrgHj8eiE1ucGzRqxXxcwBiJWZ4leuj8G702FLjw)Attack flow (Source – Deep Instinct)


[Social engineering](https://cybersecuritynews.com/social-engineering/) plays a vital role in Iranian APT tradecraft for cyber espionage and information operations. In April 2023, Deep Instinct found the PhonyC2 framework on a server linked to MuddyWater’s broader infrastructure used in the Technion attack this year.


PhonyC2, the latest version, is written in Python3, sharing structural and functional similarities with Python2-based MuddyC3, a previous custom C2 framework by MuddyWater.


![](https://lh5.googleusercontent.com/DrUx2d1ROhKqyemAX4MBUxFQt9M84usHwzmwjqrc4BbZfnxdH-wdrWUkf2SJkXfjaHQP8kVnRF6OxaMWcfQdBvQbNimCqJk3akqiIO3JGLgBRxIxot6HyutUMosLIpom1vGh2uBg_Lbj7Cd4d3NEuzg)


MuddyC3 (Source – Deep Instinct)


Artifact names “C:\programdata\db.sqlite” and “C:\programdata\db.ps1” connect to MuddyWater, and Microsoft labeled them as customized PowerShell backdoors. In contrast, these backdoors are dynamically generated through PhonyC2 for execution on the hosts that are infected.


PhonyC2, a post-exploitation framework, generates payloads connecting to [C2](https://cybersecuritynews.com/command-and-controlc2-server/) for final intrusion steps. The threat intel researcher, [Simon Kenin](https://twitter.com/k3yp0d) notes that it’s a successor to MuddyC3 and [POWERSTATS](https://cybersecuritynews.com/apt-attack/).  


## **Supported Commands**


Here below, we have mentioned all the commands that are supported by the framework:-


* payload
* droper
* Ex3cut3
* list
* setcommandforall
* use
* persist


The framework creates diverse PowerShell payloads for the operator, requiring initial access to the victim machine.


The C2 bridges the attack’s initial and final phases, which is crucial for MuddyWater’s stealth and data collection from victims. Not only that even they also employ multiple custom C2 frameworks in major attacks.






## Tags:


### Autogenerated tags:
[[muddywater]] [[phonyc2]] [[c2]] [[powershell]] [[muddyc3]]
