# Sandman APT Attacks Telcos Organizations to Steal System Information
## Due to its vital infrastructure and the enormous quantity of sensitive data it manages, which includes both personal and business communications, the telecommunications sector is aggressively targeted by hackers.
## Information:

+ Link: https://cybersecuritynews.com/?p=44182
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 25 September 2023, 11:45
+ Date scraped: 25 September 2023, 12:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjLaumC_X8r3HMrsA_TqwkEt9C2ERPChLMkEYu2HEAr8XNOC5hjZCkDDAxv8m20MSQU9pBw-0StLhr0TSemlmb_vxspcNgFflVuZPtO7i53YlkCzdhCeegYGUmgs6J0afsuaTrHauxQN4YFKdGl3iuqmtEJYvHFNDVe6OIwnvMY57DiLlR57EfVpl8A3SVy/s16000/Sandman%20APT%20Attacks%20Telcos%20to%20Deploy%20LuaDream%20Malware%20and%20Steal%20System%20Information.webp)


Due to its vital infrastructure and the enormous quantity of sensitive data it manages, which includes both personal and business communications, the telecommunications sector is aggressively targeted by hackers.


Cyberattacks on telecommunications can lead to:-






* Service disruptions
* Data breaches
* National security risks


In August 2023, SentinelLabs and QGroup GmbH identified an unknown threat cluster targeting telecoms, orchestrated by an unknown actor using the LuaJIT-based backdoor, dubbed ‘Sandman’ and ‘LuaDream.’


Researchers at SentinelLabs [reported](https://www.sentinelone.com/labs/sandman-apt-a-mystery-group-targeting-telcos-with-a-luajit-toolkit/) recently that the Sandman APT group is actively targeting telecom companies to deploy LuaDream malware and steal system information.


**Targeted Victims**
--------------------


Security experts noted a clear focus on [telecom](https://cybersecuritynews.com/hackers-telecommunications-industry/) providers across diverse regions in the activity cluster, as evidenced by C2 netflow data.


Here below, we have mentioned the targeted regions:-


* Middle East
* Western Europe
* South Asian subcontinent


![](https://lh6.googleusercontent.com/tMafbagm7mTc-PmPImFEVaobvP9UrXk80LgV89QPvNRRPgF1s3NPTJEmqqFqGExSAhCVk_pdEiQZpag8g-o2PsGflPEPucuFzg4g2e7g20aKCXVt_GZnsomzKsuvKJzOLz9BLPnerqOiCL2mht5o1N0)Targeted victims (Source – SentinelLabs)


LuaDream is a multi-component backdoor with multi-protocol capabilities like:-


* Managing plugins
* Exfiltrating system data
* Exfiltrating user data


**Technical Analysis**


LuaDream’s architecture indicates an actively developed, versioned project with modular, multi-protocol capabilities, which includes:-


* Stealing data for precise follow-up attacks.
* Controlling plugins to expand LuaDream’s capabilities.


Accurate clustering is challenging due to sophisticated tactics, suggesting a motivated adversary with likely espionage goals targeting communication providers for sensitive data.


The string artifacts and compilation timestamps of LuaDream point to malware development activities in the first half of 2022, suggesting probable activity beginning in that year.




Document

FREE Demo
[Deploy Advanced AI-Powered Email Security Solution](#)
-------------------------------------------------------


Implementing AI-Powered Email security solutions “Trustifi” can secure your business from today’s most dangerous email threats, such as Email Tracking, Blocking, Modifying, Phishing, Account Take Over, Business Email Compromise, Malware & Ransomware


  [Free Demo](https://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynewshttps://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


Experts can’t attribute [LuaDream](https://cybersecuritynews.com/sandman-apt-attacks-telcos/) to known actors but lean toward private contractors. LuaJIT’s use in APT malware, historically associated with Western actors, is expanding to a broader threat landscape, as seen with Sandman APT.


Security analysts saw Sandman attack certain workstations during August 2023 using pass-the-hash methods and stolen passwords. Sandman primarily concentrated on deploying LuaDream, with an average of five days elapsing between endpoint intrusions.


Sandman used DLL hijacking with a malicious ualapi.dll, loaded by the Spooler service without restarting it, which is part of the LuaDream loading process.


Here below, we have mentioned the DLL images that are involved in LuaDream staging:-


* ualapi.dll
* MemoryLoadPex64.dll
* common.dll



![](https://lh6.googleusercontent.com/NdsMFio_SRe_-EkIKBfBTzbE-pwX-14C5vBoDK29LP7lEf9F8wE_ciNFSYVNSTX7KcHPlGcWhwofhfRgDjIsBNyx1Ars2nhQZMihkrtF_-Whj4QMq8H4uN8YPCuZPo2oZwQm_bZCbZ6hs45d3jKpK9A)LuaDream staging (Source – SentinelLabs)


While besides this, the C2 details were included in LuaDream’s config, and it’s been revealed that it communicates via WebSocket protocol with mode.encagil[.]com.


Netflow data analysis shows a lack of [C2](https://cybersecuritynews.com/command-and-controlc2-server/) infrastructure segmentation, as multiple LuaDream deployments in different regions communicate with the same server.


Moreover, Sandman’s attribution and mysterious actors like Metador remain a mystery. LuaDream exemplifies the ongoing innovation in cyber espionage malware.


**IOCs**



![](https://lh6.googleusercontent.com/fKb-pZ-9n824Ey13987uLtvMX5dIE0PPvts2w-VLdB9BnUawvi4OIh_P7MNcM1cRaWsMCJ-0Od-bcXZbpttZwRbDHg6z6Oe7DZUHa3_UnC1UG4U0kKg3EabrNCFk0My-kiHnPgZ3mJORm211vbafok4)IOCs (Source – SentinelLabs)






## Tags:
***urls***: http://mode.encagil.com

### Autogenerated tags:
[[luadream]] [[sentinellabs]] [[malware]] [[c2]]
