# Linux Variants of Bifrost Trojan Evade Detection via Typosquatting
## Spike in new versions of an old Trojan — which mimic legitimate VMware domains — alarms security researchers.
## Information:

+ Link: https://www.darkreading.com/cloud-security/stealthy-bifrost-rat-linux-variants-use-typosquatting-to-evade-detection-
+ Source: DarkReading
+ Author: Elizabeth Montalbano, Contributing Writer
+ Date published: 07 March 2024, 15:41
+ Date scraped: 08 March 2024, 20:44

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/blt6084c97e1cd01dc7/65e9dd08342a13040a8d7d0d/Frost_Piotr_Malczyk_AlamyStockPhoto.jpeg?disable=upscale&width=1200&height=630&fit=crop)

A 20-year-old Trojan resurfaced recently with new variants that target Linux and impersonate a trusted hosted domain to evade detection.

Researchers from Palo Alto Networks spotted a new Linux variant of the[Bifrost (aka Bifrose) malware](https://www.darkreading.com/vulnerabilities-threats/kelihos-botnet-taps-spam-blocklists-to-hone-attacks)that uses a deceptive practice known as[typosquatting](https://www.darkreading.com/application-security/powershell-gallery-prone-to-typosquatting-other-supply-chain-attacks)to mimic a legitimate VMware domain, which allows the malware to fly under the radar.[Bifrost](https://www.darkreading.com/cyberattacks-data-breaches/molerats-go-after-governments-us-financial-institution)is a remote access Trojan (RAT) that's been active since 2004 and gathers sensitive information, such as hostname and IP address, from a compromised system.

There has been a worrying spike in Bifrost Linux variants during the past few months: Palo Alto Networks has detected more than 100 instances of Bifrost samples, which "raises concerns among security experts and organizations," researchers Anmol Murya and Siddharth Sharma wrote in the company's newly published findings.

Moreover, there is evidence that cyberattackers aim to expand Bifrost's attack surface even further, using a malicious IP address associated with a Linux variant hosting an ARM version of Bifrost as well, they said.

"By providing an ARM version of the malware, attackers can expand their grasp, compromising devices that may not be compatible with x86-based malware," the researchers explained. "As ARM-based devices become more common, cybercriminals will likely change their tactics to include ARM-based malware, making their attacks stronger and able to reach more targets."

Distribution and Infection
--------------------------

Attackers typically distribute Bifrost through email attachments or malicious websites, the researchers noted, though they didn't elaborate on the initial attack vector for the newly surfaced Linux variants.

Palo Alto researchers observed a sample of Bifrost hosted on a server at the domain 45.91.82[.]127. Once installed on a victim's computer, Bifrost reaches out to a command-and-control (C2) domain with a deceptive name, download.vmfare[.]com, which appears similar to a legitimate VMware domain. The malware collects user data to send back to this server, using RC4 encryption to encrypt the data.

"The malware often adopts such deceptive domain names as C2 instead of IP addresses to evade detection and make it more difficult for researchers to trace the source of the malicious activity," the researchers wrote.

They also observed the malware trying to contact a Taiwan-based public DNS resolver with the IP address 168.95.1[.]1. The malware uses the resolver to initiate a DNS query to resolve the domain download.vmfare[.]com, a process that's crucial to ensure that Bifrost can successfully connect to its intended destination, according to the researchers.

Safeguarding Sensitive Data
---------------------------

Though it may be an old-timer when it comes to malware, the Bifrost RAT remains a significant and evolving threat to individuals and organizations alike, particularly with new variants adopting[typosquatting](https://www.darkreading.com/cyberattacks-data-breaches/solarwinds-attackers-gearing-up-typosquatting-attacks)to evade detection, the researchers said.

"Tracking and counteracting malware like Bifrost is crucial to safeguarding sensitive data and preserving the integrity of computer systems," they wrote. "This also helps minimize the likelihood of unauthorized access and subsequent harm."

In their post, the researchers shared a list of indicators of compromise, including malware samples and domain and IP addresses associated with the latest Bifrost Linux variants. The researchers advise that enterprises use next-generation firewall products and[cloud-specific security services](https://www.darkreading.com/cloud-security/microsoft-expands-cloud-security-posture-management-to-google-cloud)— including URL filtering, malware-prevention applications, and visibility and analytics — to secure cloud environments.

Ultimately, the process of infection allows the malware to bypass security measures and evade detection, and ultimately compromise targeted systems, the researchers said.




## Tags:
***urls***: http://168.95.1.1 http://download.vmfare.com http://45.91.82.127

### Autogenerated tags:
[[malware]] [[linux]] [[ip]]
