# Governments Targeted by Discord-Based Threat Campaign
## Threat actor delivers multiple malware types via PureCrypter
## Information:

+ Link: https://www.infosecurity-magazine.com/news/governments-targeted-by-discord/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 27 February 2023, 09:00
+ Date scraped: 27 February 2023, 11:01

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/1da5a2a6-efcf-4ccd-9fbe-d60653484801.png)

An unknown threat actor is targeting APAC and North American governments with info-stealing malware and ransomware, according to [Menlo Security](https://www.menlosecurity.com/).


The group’s attacks begin with a phishing email containing a malicious Discord link, which points to a password-protected zip file. That in turn contains a .NET malware downloader known as PureCrypter.


The loader will try to download a secondary payload from the group’s command and control (C2) infrastructure, which is a compromised domain belonging to a non-profit, Menlo Security said.


Among the malicious payloads observed by the security vendor in this campaign are various info-stealers and ransomware variants: Redline Stealer, AgentTesla, Eternity, Blackmoon and Philadelphia ransomware.


In the sample analyzed by security experts, PureCrypter attempts to download AgentTesla, an advanced backdoor designed to steal browser-based passwords, as well as take screen captures and log keystrokes.


“In our investigation, we found that AgentTesla establishes a connection to an FTP server where it stores the stolen victim’s credentials. The FTP server appears to have been taken over and the leaked credentials for the domain were found online, thus suggesting that the threat actors used these credentials to gain access to the server,” [the report revealed.](https://www.menlosecurity.com/blog/purecrypter-targets-government-entities-through-discord/)


“The FTP server was also seen in a campaign using OneNote to deliver malware. Attackers have been sending phishing emails with links to malicious OneNote files that can download additional malware or steal information from the victim’s device. Altogether, the labs team found 106 files using said FTP server.”


AgentTesla has been around for several years but continues to prove popular among threat actors.


The remote access Trojan (RAT) and info-stealer was the most widely used malware [in October 2022](https://www.infosecurity-magazine.com/news/advanced-rat-agenttesla-malware/), accounting for 7% of global detections by [Check Point Software](https://www.checkpoint.com/).


The malware stood at third place on the vendor’s monthly *[Global Threat Index](https://www.checkpoint.com/press-releases/january-2023s-most-wanted-malware-infostealer-vidar-makes-a-return-while-earth-bogle-njrat-malware-campaign-strikes/)* report for January 2023.



Editorial credit icon image: Ink Drop / Shutterstock.com





## Tags:


### Autogenerated tags:
[[malware]] [[agenttesla]] [[ftp]] [[ransomware]]
