# Interpol-Led Initiative Targets 1300 Suspicious IPs
## Global collaborative effort focused on combating the global rise of phishing, malware and ransomware
## Information:

+ Link: https://www.infosecurity-magazine.com/news/interpol-targets-1300-suspicious/
+ Source: Infosecurity News
+ Author: Alessandro  Mascellino
+ Date published: 01 February 2024, 16:00
+ Date scraped: 01 February 2024, 17:01

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/f244a147-d259-4d7d-a3cf-be9d650cf44f.jpeg)


Unveiling a new operation named Synergia, law enforcement agencies from over 50 Interpol member countries have joined forces in a three-month initiative spanning September to November 2023. This collaborative effort focused on combating the global rise of phishing, malware and ransomware attacks.


Responding to the escalating threat of transnational cybercrime, the operation identified 1300 suspicious IP addresses or URLs associated with malicious activities.


During the operation, officers conducted house searches and seized servers and electronic devices. A total of 31 individuals were detained, and an additional 70 suspects were identified.


The majority of command-and-control (C2) servers taken down were located in Europe, resulting in the arrest of 26 individuals. Hong Kong and Singapore police dismantled 153 and 86 servers, respectively, while South Sudan and Zimbabwe reported the highest takedowns on the African continent, leading to the arrest of four suspects. Kuwait collaborated closely with internet service providers (ISPs) to identify victims and mitigate impacts.


[*Read more on Interpol operations: Global Police Seize $300m Linked to Online Scams*](https://www.infosecurity-magazine.com/news/global-police-seize-300m-linked-to/)


Notably, 70% of the identified C2 servers have already been taken down, with the remaining under investigation.


“The results of this operation, achieved through the collective efforts of multiple countries and partners, show our unwavering commitment to safeguarding the digital space,” said Bernardo Pillot, assistant director of the Interpol Cybercrime Directorate.


“By dismantling the infrastructure behind phishing, banking malware and ransomware attacks, we are one step closer to protecting our digital ecosystems and a safer, more secure online experience for all.”


Interpol, along with its Gateway Partners Group-IB, Kaspersky, TrendMicro, Shadowserver and Ad hoc partner Team Cymru, [provided analysis and intelligence support](https://www.interpol.int/en/News-and-Events/News/2024/INTERPOL-led-operation-targets-growing-cyber-threats) throughout the operation.


Writing in its blog today, Group-IB said it identified over 500 IP addresses hosting phishing resources and 1900 IP addresses associated with ransomware, Trojans and banking malware.


“Operation Synergia has shown that the synergy of global law enforcement, national cyber police forces and the private sector is paramount,” [said Dmitry Volkov](https://www.group-ib.com/media-center/press-releases/interpol-operation-synergia/), CEO and co-founder of Group-IB. 


“Together, we forge a collective front, sharing cyber intelligence and best practices to fight cybercrime. This approach highlights the pivotal role collaboration and effective data sharing plays in reducing the global impact of cybercrime.”


Image credit: iama\_sing / Shutterstock.com






## Tags:


### Autogenerated tags:
[[phishing]] [[malware]] [[ransomware]] [[cybercrime]] [[ip]] [[group-ib]]
