# Proxyjacking and Cryptomining Campaign Targets GitLab
## Threat actors use several evasion techniques to stay hidden
## Information:

+ Link: https://www.infosecurity-magazine.com/news/proxyjacking-cryptomining-campaign/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 18 August 2023, 09:30
+ Date scraped: 18 August 2023, 09:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/9fd734b4-0270-4c0a-85c3-7ff39592ef66.png)


Security researchers have discovered a new financially motivated cyber-threat campaign designed to make money from cryptomining and proxyjacking while staying hidden using a variety of techniques.


The Labrat campaign was discovered by a team at Sysdig, who observed the threat actors compromise a targeted container via legacy GitLab remote code execution vulnerability CVE-2021-22205.


The end goal is to make money by cryptomining and proxyjacking; the latter being attacks where threat actors rent out a compromised system to a proxy network.


To maintain this revenue stream, the threat group are going to extreme lengths to stay hidden from researchers and network defenders, Sysdig claimed.


“It is common to see attackers utilize scripts as their malware because they are simpler to create. However, this attacker chose to use undetected compiled binaries, written in Go and .NET, which allowed the attacker to hide more effectively,” the security vendor explained.


“Furthermore, the attacker abused a legitimate service, TryCloudFlare, to obfuscate their C2 network.”


[*Read more on stealthy crypto attacks: Satacom Malware Campaign Steals Crypto Via Stealthy Browser Extension*](https://www.infosecurity-magazine.com/news/satacom-campaign-steals-crypto/)


Moreover, the attackers are constantly updating their binaries in order to avoid detection, Sysdig claimed.


To maintain persistence, the Labrat attackers use a legitimate open-source tool known as Global Socket (GSocket).


“Much like Netcat, GSocket has legitimate uses, but of course it can also be used by attackers,” [Sysdig wrote](https://sysdig.com/blog/labrat-cryptojacking-proxyjacking-campaign/).


“Unlike Netcat, GSocket provides features such as a custom relay or proxy network, encryption, and the ability to use TOR, making it a very capable tool for stealthy C2 communications. To remove evidence of its installation, the LABRAT attacker tried to hide the process.”


The campaign is ongoing and may even be designed to go beyond proxyjacking and cryptomining, given that the backdoor used provides access to compromised systems, the research team concluded.


Editorial image credit: T. Schneider / Shutterstock.com






## Tags:
***CVE's***: CVE-2021-22205

### Autogenerated tags:
[[sysdig]] [[cryptomining]] [[labrat]] [[gsocket]]
