# Attackers evade detection by leveraging Microsoft Graph API
## Microsoft Graph API has become popular with hackers because running criminal ops on widely used cloud services raises less suspicion.
## Information:

+ Link: https://www.scmagazine.com/news/attackers-evade-detection-by-leveraging-microsoft-graph-api
+ Source: SC Magazine
+ Author: Steve Zurier
+ Date published: 03 May 2024, 00:00
+ Date scraped: 03 May 2024, 19:01

## Article:
![Main article image](https://files.scmagazine.com/wp-content/uploads/2024/05/050324_microsoft_azure.jpg)

Attackers were observed evading detection by leveraging the Microsoft Graph API used by developers to access resources on Microsoft cloud services.

In a [May 2 blog post](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/graph-api-threats), Symantec researchers said attackers are drawn to Graph API because they believe that executing their activities on known entities such as widely used Microsoft cloud services are less likely to raise suspicion.

This technique was brought to light in October 2021 when Symantec reported on the [Harvester group](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/harvester-new-apt-attacks-asia), a nation-state-backed espionage operation that targeted South Asia organizations.

The researchers said in addition to being inconspicuous, it’s also a cheap and secure source of infrastructure for attackers because basic accounts like Microsoft OneDrive are free.

Graph API was most recently used in an attack against an organization in Ukraine, where a previously undocumented piece of malware used Microsoft Graph API to leverage [Microsoft OneDrive](https://www.scmagazine.com/news/doubledrive-attack-turns-microsoft-onedrive-into-ransomware) for command-and-control (C2) purposes. Symantec said the new malware found in Ukraine was named BirdyClient or OneDriveBirdyClient by its developers because references to both names were found in its code.

Sophisticated actors such as APT28, [APT29](https://www.scmagazine.com/brief/apt29s-new-microsoft-365-hacking-techniques-examined), and others have adopted the use of Microsoft Graph API in their operations because of several inherent features that make it an effective means for evading detection and facilitating malicious operations, explained [Callie Guenther](https://www.scmagazine.com/perspective/navigating-the-ethical-frontiers-of-our-digital-society), senior manager of threat research at Critical Start, and an SC Media columnist. Guenther said this method offers a stealthy, effective, and resilient way to control compromised environments, extract valuable information, and maintain persistence in target networks with reduced risk of exposure.

“Microsoft Graph API is a legitimate, widely used interface that provides access to various Microsoft cloud services, including Office 365 and Azure services,” said Guenther. “By using this API, attackers can blend their malicious communications with normal, legitimate traffic, significantly reducing the likelihood of their activities being detected as anomalous or malicious. This is a classic example of ‘living off the land,’ where attackers use built-in tools and services to hide their activities.”

Attackers use Microsoft Graph API to hide their malicious activities and make them appear as legitimate traffic, explained Eric Schwake, director of cybersecurity strategy at Salt Security, thus making it difficult for traditional security tools to detect such activities. Schwake added that attackers can also use Microsoft's cloud infrastructure for C2 communication, which further conceals their activity as Microsoft services are often trusted.

“Graph API's rich functionality provides attackers with a powerful toolkit, and compromised credentials can offer easy access to sensitive data,” said Schwke. “Unfortunately, many organizations lack visibility and control over their API usage, making it challenging to identify and prevent such misuse.”




## Tags:


### Autogenerated tags:
[[microsoft]] [[api]] [[cloud]] [[symantec]] [[guenther]]
