# FDCA JuleCTF Challenge 13 and 14 – Write Up Intro -
## Scrooge4lyf in the house When I got asked to create these challenges, I was incredibly excited and immediately knew what I wanted to do. I had an idea which fit quite well into the overall storyline of the CTF focusing on the latest threat actor on the scene "Scrooge4lyf". Now of course as highlighted in
## Information:

+ Link: https://www.sagasecurity.dk/fdca-julectf-challenge-13-and-14-write-up-intro/
+ Source: Saga Security
+ Author: Saga Security
+ Date published: 07 January 2023, 21:56
+ Date scraped: 07 January 2023, 22:00

## Article:
![Main article image](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2022/11/Saga-security-white.png?media=1669405758)


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/David_Thejl-Clayton_christmas_cyber_capturing_glags_df934d97-16c0-4b6e-b198-17cdb6c140e5.png?media=1669405758)


## Scrooge4lyf in the house


When I got asked to create these challenges, I was incredibly excited and immediately knew what I wanted to do. I had an idea which fit quite well into the overall storyline of the CTF focusing on the latest threat actor on the scene “Scrooge4lyf”. Now of course as highlighted in the fakes CTI blog posts, this threat actor isn’t real. But I wanted to give the CTF participants the feeling of what it is like to have to perform an incident response investigation, where the only support you have is from someone else’s intrusion analysis.


Often in the real world this is exactly how we as incident responders perform threat hunting, we have a source of cyber threat intelligence and we digest it into something actionable. In this case the participants had access to two blog posts featuring an extensive write up of a “Scrooge4lyf” attack, which aided them in their investigation.


Challenge 13’s cyber threat intelligence: <https://www.sagasecurity.dk/bah-scumbugs-scrooge4lyf-is-back/>


Challenge 14’s cyber threat intelligence: <https://www.sagasecurity.dk/scrooge4lyf-is-your-domain-administrator-now/>


On a slight side note, how cool are the images on these blog posts? They were created via the app MidJourney which I am completely obsessed with! At some point I’m sure I’ll write a blog post about that app.


## Challenge 13 and 14 setup


In order to create these Challenges for the participants, an instance of SagaLabs was utilized. You can read a lot more about SagaLabs at the following place: <https://fdca.dk/sagalabs>


Essentially what was created was a small organisation made up of two endpoints running Windows 11, and a domain controller running Server 2022, with a domain created called “SagaLab”. There was also a Linux host within the environment which was used to host the attackers C2 framework. For the firewall OPNSense is being utilized, simply to provide NAT and segmentation within the datacenter. All Windows hosts including the domain controller had Elastic Agents installed onto them, which gave the huge benefit of being able to run one of the best EDR platforms on the market, alongside being able to collect lots of other logs from the hosts themselves, including Powershell, Windows Events, Network traffic etc.


All of the prevention capabilities within the environment were turned off, this was to ensure that the attack was not prohibited in anyway. It also meant that I did not have to use any crazy level of obfuscation to carry out the attack, as I wanted this attack to be investigated by beginner level and upward incident responders.


I ran the attack path myself, utilizing the Convenant C2 framework. This was incredibly fun and also quite scary as it showed me how easy it is to do these attacks nowadays. Covenant is a GUI based C2 framework and at times is as simple and point and click, to do the attack.


## Reflections


One thing worth mentioning is how strange it is that doing this attack in such a way to leave behind lots of “breadcrumbs” for investigation, is much more complex than simply just performing the attack. What do I mean when I say this? I mean that it would have been far more easy for me to simply run the attack and take over the organisation without caring about leaving any interesting investigation artefacts behind.


Instead I had to carefully plan each step of the attack and ensure that I made the relevant amount of noise to enable the investigations to take place. For example, ensuring that files were dropped to disk and not just simply executed in memory without leaving any traces behind.


I hope if you participated in this CTF that you enjoyed these challenges and even if you didn’t, I hope that you enjoy reading my write up as it is also a sneak peak at how I would approach doing any sort of incident response analysis.





## Tags:
***urls***: https://fdca.dk/sagalabs https://www.sagasecurity.dk/bah-scumbugs-scrooge4lyf-is-back/ https://www.sagasecurity.dk/scrooge4lyf-is-your-domain-administrator-now/

### Autogenerated tags:
[[blog]] [[windows]] [[c2]]
