# Experts analyzed the evolution of the Emotet supply chain
## Threat actors behind the Emotet bot are continually improving their tactics, techniques, and procedures to avoid detection. VMware researchers have analyzed the supply chain behind the Emotet malware reporting that its operators are continually shifting their tactics, techniques, and procedures to avoid detection. The Emotet banking trojan has been active at least since 2014, the botnet is operated by […]
## Information:

+ Link: https://securityaffairs.co/wordpress/136935/malware/emotet-evolution-ttps.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 11 October 2022, 10:40
+ Date scraped: 11 October 2022, 11:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/Emotet-evolution.jpg?resize=300%2C300&ssl=1)


VMware researchers have analyzed the supply chain behind the [Emotet](https://securityaffairs.co/wordpress/132090/cyber-crime/emotet-google-chrome-info-stealer.html) malware reporting that its operators are continually shifting their tactics, techniques, and procedures to avoid detection.


The Emotet banking trojan [has been active](https://securityaffairs.co/wordpress/109717/hacking/emotet-windows-update-attachment.html) at least since 2014, the botnet is operated by a threat actor tracked as [TA542](https://securityaffairs.co/wordpress/101031/hacking/emotet-attack-microsoft-customer.html). 


The infamous banking trojan was also used to deliver other malicious code, such as [Trickbot](https://securityaffairs.co/wordpress/102658/malware/trickbot-covid-19-lures.html) and [QBot](https://securityaffairs.co/wordpress/104916/hacking/qbot-campaign-us-banks.html) trojans, or ransomware such as [Conti](https://www.bleepingcomputer.com/news/security/conti-ransomware-shows-signs-of-being-ryuks-successor/), [ProLock](https://www.bleepingcomputer.com/news/security/prolock-ransomware-teams-up-with-qakbot-trojan-for-network-access/), [Ryuk](https://securityaffairs.co/wordpress/115064/reports/ryuk-ransomware-self-spreading-capabilities.html), and [Egregor](https://securityaffairs.co/wordpress/114590/cyber-crime/egregor-ransomware-arrests.html).


In April, the operators of the infamous [Emotet botnet](https://securityaffairs.co/wordpress/128879/breaking-news/emotet-botnet-rapidly-growing.html) started testing new attack techniques in response to Microsoft’s move to disable Visual Basic for Applications (VBA) macros by default.


In June, Proofpoint experts [spotted](https://securityaffairs.co/wordpress/132090/cyber-crime/emotet-google-chrome-info-stealer.html) a new variant of the Emotet bot that uses a new module to steal credit card information stored in the Chrome web browser.


Over time, Emotet operators have enhanced their attack chain by employing multiple attack vectors to remain under the radar.


*“Based on a new similarity metric, the VMware Threat Analysis Unit’s clustering analysis identified various stages of Emotet attacks with several initial infection waves that change how the malware is delivered.” reads the [report](https://news.vmware.com/security/vmware-report-exposes-emotet-malware) published by VMware’s Threat Analysis Unit (TAU). “The ongoing adaptation of Emotet’s execution chain is one reason the malware has been successful for so long.”* 


The attack chain used in recent Emotet campaigns leverages on spam emails to deliver weaponized Microsoft documents. The content of the messages is crafted to trick users into enabling malicious macros, which results in a series of PowerShell commands being executed to download the Emotet payload. Threat actors use Emotet to deliver additional modules, such as [TrickBot](https://securityaffairs.co/wordpress/124807/cyber-crime/trickbot-emotet-conti-triad.html) and [QakBot](https://securityaffairs.co/wordpress/130739/cyber-crime/emotet-operators-test-new-techniques.html). 


On January 2022, VMware Threat Analysis researchers observed new Emotet attacks that used weaponized Excel attachments.


The experts classified the attacks into three waves:  
• A – Emotet payload via an XL4 macro directly  
• B – Emotet payload via an XL4 macro with PowerShell  
• C – Emotet payload via a Visual Basic Application (VBA) macro with PowerShell




[![Emotet evolution](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/Emotet-evolution.jpg?resize=999%2C456&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/Emotet-evolution.jpg?ssl=1)


In late January 2022, a wave of attacks introduced the use of the Windows-native utility mshta.exe used to execute Microsoft HTML Application (HTA) files.


Experts pointed out that the mshta tool, like PowerShell, are living-off-the-land binaries (LOLBINs). 


LOLBINs are commonly used by threat actors because they are signed by Microsoft and trusted by Windows.


Emotet has been known to use a modular structure, it relies on a few core modules:


The core module (the Emotet payload) downloads additional payloads from the C2 server.


* Credential stealing modules, specifically MailPassView and WebBrowserPassView, to harvest credentials from web browsers and mail clients.
* The spam module.
* The email harvesting module exfiltrates email credentials, contact lists, and email contents from infected PCs to the C2 server.
* Other modules seen in early versions of Emotet included a distributed denial-of-service (DDoS) module and a banking module.


WMware observed the following eight modules in the attacks they have analyzed:


1. The core module (the Emotet payload)
2. A spamming module
3. A Thunderbird email client  
account stealer
4. An Outlook email client account stealer
5. A credit card information stealer
6. A spreader that leverages the SMB protocol32
7. A module with an embedded MailPassView application
8. A module with an embedded WebBrowserPassView application


*“In addition to known modules and functionality seen in the past, the list highlights two updated modules that we were able to intercept.” continues the report. “These were a module that steals credit card information, specifically targeting Google Chrome browsers, and a spreading module that leverages the SMB protocol.”*


The researchers also tracked the evolution of Emotet’s C2 infrastructure by using custom techniques and  
tools that allow them to extract the configuration files used by the samples.


The dataset used by the experts contained 24,276 unique Emotet DLL payloads, 26.7 percent of the them were dropped by Excel documents.


VMware experts tracked multiple clusters and related C2 infrastructure over the time. The operators were recently spotted operating two new botnet clusters tracked as [Epochs 4 and 5](https://unit42.paloaltonetworks.com/emotet-malware-summary-epoch-4-5/). 


The largest botnet cluster (cluster 0) contains 10,235 samples, which is more than 40 percent of the whole dataset, and spans a time horizon of almost three months (March 15, 2022, and June 18, 2022), reused C2 servers belonging to Epoch 5.


The researchers also analyzed the geographic distribution of the IP addresses of the servers used to host the Emotet modules. Most of the modules were hosted in India (more than 26 percent), followed by Korea, Thailand, and Ghana.


The experts recommend to promote awareness and training programs, implement network segmentation, adopt network detection and response (NDR), enforce a Zero Trust model, scan network artifacts, and implement robust password policies and best practices.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Emotet)**



 
  


---


  




## Tags:


### Autogenerated tags:
[[emotet]] [[vmware]] [[c2]] [[botnet]] [[microsoft]] [[malware]] [[powershell]]
