# Experts warn of JinxLoader loader used to spread Formbook and XLoader
## JinxLoader is a new Go-based loader that was spotted delivering next-stage malware such as Formbook and XLoader.
## Information:

+ Link: https://securityaffairs.com/156760/malware/jinxloader-loader.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 02 January 2024, 13:49
+ Date scraped: 02 January 2024, 15:02

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/01/image-6.png)


Researchers from Palo Alto Networks and Symantec warned of a new Go-based malware loader called JinxLoader, which is being used to deliver next-stage payloads such as [Formbook](https://securityaffairs.com/64110/malware/formbook-malware-campaigns.html) and [XLoader](https://securityaffairs.com/131860/cyber-crime/xloader-botnet-obscures-c2.html). The name of the threat comes from a League of Legends character.


Palo Alto Networks’s Unit 42 first observed the malware in November 2023 reporting that it has been [advertised](https://hackforums.net/showthread.php?tid=6240136)on the hacking forum Hackforums since April 30, 2023. The attack spotted by the researchers used phishing messages posing as Abu Dhabi National Oil Company (ADNOC). The content of the messages attempted to trick the recipients into opening a password-protected RAR archive. Once the archive is opened, the infection chain starts leading to the deployment of the JinxLoader payload. 








The author of the loader is offering it for $60 a month or $120 a year, while the lifetime license goes for $200.


Unit42 researchers reported that the infection chain is composed of eight steps:


[![JINXLOADER](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/01/image-6.png?resize=1024%2C593&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/01/image-6.png?ssl=1)


*“A new Go-written loader, dubbed JinxLoader, is making rounds in underground forums. Reports indicate its recent usage in malicious emails, loading threats like Formbook.” [**reads**](https://www.broadcom.com/support/security-center/protection-bulletin#blt659864ea768c848a_en-us) the bulletin published by Symantec. “The malware pays homage to League of Legends character Jinx, featuring the character on its ad poster and C2 login panel. JinxLoader’s primary function is straightforward – loading malware.”*


Unit42 published [indicators of compromise](https://github.com/PaloAltoNetworks/Unit42-timely-threat-intel/blob/main/2023-11-29-IOCs-for-JinxLoader-to-Formbook-XLoader.txt) (IoCs) for this threat.


On Christmas Eve, Resecurity’s HUNTER unit [**spotted**](https://securityaffairs.com/156598/malware/meduza-stealer-released-dark-web.html) a new version of the infostealer [Meduza](https://securityaffairs.com/148059/cyber-crime/meduza-stealer-malware.html) (2.2). One of the key significant improvements are support of more software clients (including browser-based cryptocurrency wallets), upgraded credit card (CC) grabber, and additional advanced mechanisms for password storage dump on various platforms to extract credentials and tokens. Altogether, Meduza makes a great competitor to [Azorult](https://securityaffairs.com/83211/breaking-news/azorult-nsa-ghidra.html), [Redline](https://securityaffairs.com/144974/cyber-crime/experts-temporary-distrupted-redline-stealer-op.html), [Racoon](https://securityaffairs.com/100869/malware/raccoon-abuses-google-services.html), and [Vidar Stealer](https://securityaffairs.com/146496/malware/batloader-campaign-impersonates-chatgpt-midjourney.html) used by cybercriminals for account takeover (ATO), online-banking theft, and financial fraud.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, JinxLoader)**





---




---





## Tags:


### Autogenerated tags:
[[jinxloader]] [[malware]]
