# Iran-linked UNC3313 APT employed two custom backdoors against a Middle East gov entity
## An Iran-linked threat actor, tracked as UNC3313, was observed using two custom backdoor against an unnamed Middle East government entity. UNC3313 is an Iran-linked threat actor that was linked with “moderate confidence” to the MuddyWater nation-state actor (aka Static Kitten, Seedworm, TEMP.Zagros, or Mercury) by cybersecurity firm Mandiant. UNC3313 was observed deploying two new custom […]
## Information:

+ Link: https://securityaffairs.co/wordpress/128493/malware/unc3313-apt-two-backdoors.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 28 February 2022, 10:29
+ Date scraped: 28 February 2022, 11:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/UNC3313-Iran.png?resize=300%2C300&ssl=1)


UNC3313 is an Iran-linked threat actor that was linked with “moderate confidence” to the [MuddyWater](https://securityaffairs.co/wordpress/128383/apt/muddywater-apt-python-backdoor.html) nation-state actor (aka [Static Kitten](https://securityaffairs.co/wordpress/125651/apt/seedworm-targets-telecoms-orgs.html), [Seedworm](https://securityaffairs.co/wordpress/109911/apt/iran-seedworm-middle-east.html), [TEMP.Zagros](https://securityaffairs.co/wordpress/127474/apt/muddywater-apt-targets-turkey.html), or [Mercury](https://securityaffairs.co/wordpress/110110/apt/iran-phosphorus-attacks.html)) by cybersecurity firm Mandiant.


UNC3313 was observed deploying two new custom backdoors, tracked as [GRAMDOOR](https://advantage.mandiant.com/malware/malware--94628aa2-e2b5-59bb-99b0-d28af5fad730) and [STARWHALE](https://advantage.mandiant.com/malware/malware--c6751f32-4818-585c-b233-d7b579d0fbbb), as part of an attack against an unnamed government entity in the Middle East in November 2021.


The APT group gained access to the organizations through spear-phishing attacks, it also leveraged publicly available tools to maintain remote access to the target’s environment. 


*“In November 2021, [Mandiant Managed Defense](https://www.mandiant.com/advantage/managed-defense) detected and responded to an [UNC3313](https://advantage.mandiant.com/actors/threat-actor--09b06892-9738-5c53-b704-368d5ac8dd62) intrusion at a Middle East government customer. During the investigation, Mandiant identified new targeted malware, [GRAMDOOR](https://advantage.mandiant.com/malware/malware--94628aa2-e2b5-59bb-99b0-d28af5fad730) and [STARWHALE](https://advantage.mandiant.com/malware/malware--c6751f32-4818-585c-b233-d7b579d0fbbb), which implement simple backdoor functionalities.” [reads](https://www.mandiant.com/resources/telegram-malware-iranian-espionage) the analysis published by Mandiant.* *“UNC3313 initially gained access to this organization through a targeted phishing email and leveraged modified, open-source offensive security tools to identify accessible systems and move laterally.”* 


UNC3313 was observed establishing remote access by using ScreenConnect which allowed the group to infiltrate systems within an hour of initial compromise. Mandiant pointed out that it was able to quickly contain and remediate the intrusion.


The phishing messages masqueraded as a job promotion attempted to trick victims into clicking a URL pointing to a RAR archive file hosted on cloud storage service OneHub. The archive contained a Windows Installer .msi file that was used to install ScreenConnect remote access software to establish a foothold


In the successive phases, threat actors escalated privileges, carried out internal reconnaissance, and attempted to download additional tools and payloads by running obfuscated PowerShell commands.



The STARWHALE backdoor is a Windows Script File (.WSF) that executes commands received commands from a hardcoded command-and-control (C2) server. STARWHALE communicates with the C2 server via HTTP.


The second implant discovered by the expert is GRAMDOOR, the comes from its capability to use the Telegram Bot API for communication. 


The backdoor sends and receives messages from a Telegram chat room under the control of the group.


GRAMDOOR is deployed as an NSIS installer and achieved persistence by setting the Windows Run registry key.


[![UNC3313 ](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/UNC3313-Iran.png?resize=1024%2C364&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/UNC3313-Iran.png?ssl=1)
The analysis includes Indicators of compromise for this attack.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, UNC3313)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[unc3313]] [[mandiant]] [[gramdoor]] [[starwhale]] [[windows]]
