# Is APT28 behind the STIFF#BIZON attacks attributed to North Korea-linked APT37?
## North Korea-linked APT37 group targets high-value organizations in the Czech Republic, Poland, and other countries. Researchers from the Securonix Threat Research (STR) team have uncovered a new attack campaign, tracked as STIFF#BIZON, targeting high-value organizations in multiple countries, including Czech Republic, and Poland. The researchers attribute this campaign to the North Korea-linked APT37 group, aka […]
## Information:

+ Link: https://securityaffairs.co/wordpress/133605/apt/apt37-stiffbizon-campaign.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 24 July 2022, 13:53
+ Date scraped: 25 July 2022, 20:01

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/07/APT37-phishing-attacks.png?resize=300%2C300&ssl=1)


Researchers from the Securonix Threat Research (STR) team have uncovered a new attack campaign, tracked as STIFF#BIZON, targeting high-value organizations in multiple countries, including Czech Republic, and Poland. The researchers attribute this campaign to the North Korea-linked [APT37](https://securityaffairs.co/wordpress/130606/apt/apt37-targets-journalists-goldbackdoor.html) group, aka Ricochet Chollima.



The attackers employed the [Konni RAT](https://securityaffairs.co/wordpress/121625/apt/konni-rat-target-russia.html) (remote access trojan), which was first spotted by Cisco Talos researchers in 2017 and has been undetected since 2014 while being employed in highly targeted attacks. The RAT was able to avoid detection due to continuous evolution, it is able of executing arbitrary code on the target systems and stealing data.


The Konni RAT has been attributed to North Korea-linked threat actors tracked as [Thallium](https://securityaffairs.co/wordpress/95786/apt/microsoft-sued-north-korea-thallium.html) and [APT37](https://securityaffairs.co/wordpress/113134/malware/apt37-rokrat-trojan.html).


The attack chain starts with phishing messages that attempt to trick victims into opening a malicious attachment.



[![APT37 phishing attacks](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/07/APT37-phishing-attacks.png?resize=565%2C594&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/07/APT37-phishing-attacks.png?ssl=1)


The attachment used in this campaign is an archive containing a Word document (missile.docx) and a Windows Shortcut file (\_weapons.doc.lnk.lnk).


Once opened the LNK file, the infection chain starts.


*“The code execution begins by embedding small snippets of code into the shortcut file which will run and execute along with the intended binary when the user double clicks on it.” reads the analysis published by the experts. “This code runs and executes Base64 encoded text appended to the end of the missile.docx file.”*


The Base64 payload is executed along with a PowerShell scriptes that contacts the C2 to downloads and executes both “weapons.doc” and “wp.vbs” files.


The weapons.doc is a decoy document, while the wp.vbs silently runs in the background and creates a scheduled task on the host called “Office Update” that executes a PowerShell script encoded in Base64.


At this point, C2 communications are once again established allowing the attackers to access the system.


Once the Konni RAT is loaded on the infected system, threat actors can impelemts the following capabilities using specific modules:


* **Capture.net.exe** – Capture screenshots using the Win32 GDI API and upload the gzipped results to the C2 server.
* **chkey.net.exe** – Extract state keys stored in the Local State file, encrypted using DPAPI. A State key allows attackers to decrypt cookie database decryption, useful in MFA bypassing.
* **pull.net.exe** – Extract saved credentials from the victim’s web browsers.
* **shell.net.exe** – Establish a remote interactive shell that can run commands every 10 seconds.


To further maintain persistence, threat actors use a modified version of the Konni malware, they are able to download a .cab file containing several files related to the malware (bat, dll, dat, ini, dll).


The experts also discuss the possibility of false flag operations where the Russia-lined APT28 group may be masquerading as APT37.


*“Additionally, there seems to be a direct correlation between IP addresses, hosting provider and hostnames between this attack and historical data we’ve previously seen from FancyBear/APT28[3]. In the end, what makes this particular case interesting is the usage of Konni malware in conjunction with tradecraft similarities to APT28.” concludes the report.*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, APT37)**





### *Related*


[Holy Ghost ransomware operation is linked to North Korea](https://securityaffairs.co/wordpress/133255/hacking/holy-ghost-ransomware-north-korea.html "Holy Ghost ransomware operation is linked to North Korea")July 15, 2022In "Breaking News"

[APT groups target journalists and media organizations since 2021](https://securityaffairs.co/wordpress/133317/apt/apt-groups-targer-journalists.html "APT groups target journalists and media organizations since 2021")July 17, 2022In "APT"

[North Korea-linked APTs use Maui Ransomware to target the Healthcare industry](https://securityaffairs.co/wordpress/132978/malware/maui-ransomware-joint-alert.html "North Korea-linked APTs use Maui Ransomware to target the Healthcare industry")July 7, 2022In "Breaking News"

 
  


---


  




## Tags:


### Autogenerated tags:
[[konni]] [[apt37]] [[korea-linked]] [[base64]] [[c2]] [[malware]] [[2022in]]
