# KmsdBot, a new evasive bot for cryptomining activity and DDoS attacks
## Researchers spotted a new evasive malware, tracked as KmsdBot, that infects systems via an SSH connection that uses weak credentials. Akamai Security Research discovered a new evasive Golang-based malware, tracked as KmsdBot, that infects systems via an SSH connection that uses weak login credentials. The malware was employed in cryptocurrency mining campaigns and to launch […]
## Information:

+ Link: https://securityaffairs.co/wordpress/138514/malware/kmsdbot-golang-malware.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 14 November 2022, 12:52
+ Date scraped: 14 November 2022, 13:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/KmsdBot.jpg?resize=300%2C300&ssl=1)


Akamai Security Research discovered a new evasive Golang-based malware, tracked as KmsdBot, that infects systems via an SSH connection that uses weak login credentials.


The malware was employed in cryptocurrency mining campaigns and to launch denial-of-service (DDoS) attacks. KmsdBot supports multiple architectures, including as Winx86, Arm64, and mips64, x86\_64, and does not stay persistent to avoid detection.


The malicious code was used in attacks targeting multiple sectors including the gaming industry, technology industry, and luxury car manufacturers. The first DDoS attack observed by Akamai targeted a gaming company named [FiveM](https://fivem.net/), which allows gamers to host custom private servers for Grand Theft Auto Online. The malware employed specific targeted attacks along with generic Layer 4 and Layer 7 attacks.


*“we found an interesting log entry: A cryptominer with distributed denial-of-service (DDoS) functionality tailored to the gaming industry. It’s not often we see these types of botnets actively attacking and spreading, especially ones written in Golang.” reads the [post](https://www.akamai.com/blog/security-research/kmdsbot-the-attack-and-mine-malware) published by Akamai. “The targets range from gaming companies to luxury car brands to security companies — this malware is almost erratic with regard to its targets.”*



[![KmsdBot](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/KmsdBot.jpg?resize=635%2C307&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/KmsdBot.jpg?ssl=1)


The analysis of the ksmdx sample reveals functions to perform scanning operations, software updates and cryptomining activities.


Once a system has been infected, the ksmdx binary notifies the C2 that by sending it an HTTP POST request with the notification of ‘Bruh Started:’.


The bot downloads a list of login credentials to use when it scans for open SSH ports.


When analyzing the cryptomining activity, the experts noticed that operators used crypto wallets allegedly chosen randomly to contribute to various mining pools.


The bot does implement its own functionality to launch cryptomining activity, however, it is actually launching a renamed xmrig binary.


*“This botnet is a great example of the complexity of security and how much it evolves. What seems to have started as a bot for a game app has pivoted into attacking large luxury brands. What’s new is how it infects — via an SSH connection that uses weak login credentials.” concludes the report. “The good news is that the same techniques we recommend to keep most organizations’ systems and networks secure still apply here.*


* *Don’t use weak or default credentials for servers or deployed applications.*
* *Ensure you’re keeping those deployed applications up-to-date with the latest security patches, and check in on them from time to time.*
* *Use public key authentication for your SSH connections. This is the best way to prevent this type of system compromise.”*





|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, KmsdBot)**



 
  


---


  




## Tags:


### Autogenerated tags:
[[malware]] [[ssh]] [[kmsdbot]] [[ddos]] [[cryptomining]]
