# Malicious app in the Play Store spotted distributing <a href=
## Experts discovered two new malicious dropper apps on the Google Play Store distributing the Xenomorph banking malware. Zscaler ThreatLabz researchers discovered a couple of malicious dropper apps on the Play Store distributing the Xenomorph banking malware. Xenomorph was first spotted by ThreatFabric researchers in February 2022, at the time the malware was employed in attacks […]
## Information:

+ Link: https://securityaffairs.co/wordpress/138440/malware/xenomorph-banking-malware-play-store.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 12 November 2022, 14:53
+ Date scraped: 12 November 2022, 15:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/Xenomorph-banking-malware-2.png?resize=300%2C300&ssl=1)


Zscaler ThreatLabz researchers discovered a couple of malicious dropper apps on the Play Store distributing the [Xenomorph](https://securityaffairs.co/wordpress/128253/malware/xenomorph-android-banking-trojan.html) banking malware.


[Xenomorph](https://www.threatfabric.com/blogs/xenomorph-a-newly-hatched-banking-trojan.html) was first spotted by ThreatFabric researchers in February 2022, at the time the malware was employed in attacks against 56 European banks to steal sensitive information from the devices of their customers.


[Xenomorph](https://www.threatfabric.com/blogs/xenomorph-a-newly-hatched-banking-trojan.html) shares overlaps with the [Alien](https://securityaffairs.co/wordpress/108706/malware/alien-bankingtrojan.html) banking trojan, but it has functionalities radically different from the Alien’s one. 


Researchers speculate that the two malware could have been developed by the same actor, or at least by someone familiar with the codebase of the Alien banking Trojan.


Zscaler discovered a malicious app in the Play Store named “Todo: Day manager” with over 1,000 downloads.


[![Xenomorph banking malware](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/Xenomorph-banking-malware.png?resize=1024%2C259&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/Xenomorph-banking-malware.png?ssl=1)


The security firm pointed out that in the last 3 months, it has reported over 50+ malicious apps in the Play Store resulting in 500k+ downloads. The apps were used to spread malware families as [Joker](https://securityaffairs.co/wordpress/133394/malware/play-store-apps-joker-facestealer-coper.html), Harly, Coper, and Adfraud.


*“Our analysis found that the Xenomorph banking malware is dropped from GitHub as a fake Google Service application upon installation of the app. It starts with asking users to enable access permission.” reads the [analysis](https://www.zscaler.com/blogs/security-research/rise-banking-trojan-dropper-google-play-0) published by ZScaler. “Once provided, it adds itself as a device admin and prevents users from disabling Device Admin, making it uninstallable from the phone. Xenomorph creates an overlay onto legit banking applications to trick users into entering their credentials.”*


Upon opening the app, it connects to a Firebase server to get the banking malware payload URL. The it downloads the malicious Xenomorph banking trojan samples from Github. The banking trojan could receive commands from the command-and-control (C2) servers or by decoding Telegram page content.



[![Xenomorph banking malware](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/Xenomorph-banking-malware-2.png?resize=612%2C459&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/Xenomorph-banking-malware-2.png?ssl=1)


Zscaler noticed another app, named “経費キーパー” (Expense Keeper), exhibiting similar behavior. However, this app doesn’t retrieve the Dropper URL for the banking payload.


The experts shared Indicators of Compromise (IoCs) for this threat, they also notified Google that promptly removed the app from the store and banned its developers.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and **[Mastodon](https://mstdn.social/invite/4GESs2dP)**




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Xenomorph)**



 
  


---


  




## Tags:


### Autogenerated tags:
[[xenomorph]] [[malware]] [[zscaler]] [[apps]]
