# New SolarMarker variant upgrades evasion abilities to avoid detection
## Researchers disclosed a new variant of the SolarMarker malware that implements new techniques to avoid detection. Cybersecurity researchers from Palo Alto Networks disclosed a new version of the SolarMarker malware that implements new features to avoid detection. SolarMarker (aka Jupyter, Polazert, and Yellow Cockatoo) is a fileless .NET RAT that implements backdoor capabilities and allows operators to steal […]
## Information:

+ Link: https://securityaffairs.co/wordpress/130347/malware/solarmarker-malware-upgrades-evasion-abilities.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 19 April 2022, 08:54
+ Date scraped: 19 April 2022, 11:09

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/04/SolarMarker.png?resize=300%2C300&ssl=1)


Cybersecurity researchers from Palo Alto Networks disclosed a new version of the [SolarMarker](https://securityaffairs.co/wordpress/118944/cyber-crime/seo-poisoning-malware.html) malware that implements new features to avoid detection.


[SolarMarker](https://www.esentire.com/security-advisories/hackers-flood-the-web-with-100-000-malicious-pages-promising-professionals-free-business-forms-but-are-delivering-malware-reports-esentire) ([aka Jupyter, Polazert, and Yellow Cockatoo](https://www.bleepingcomputer.com/news/security/microsoft-seo-poisoning-used-to-backdoor-targets-with-malware/)) is a fileless .NET RAT that implements backdoor capabilities and allows operators to steal credentials from web browsers, it gains persistence by adding itself to the Startup folder and modifying shortcuts on the victims’ desktop.


The RAT is also used to deliver other malicious payloads on the infected devices.


SolarMarker is mainly delivered through search engine optimization (SEO) manipulation to trick users into downloading malicious documents.


The recent version analyzed by the researchers also works with Windows installer package files (MSI files) along with Windows Portable Executables (EXE files). 


The initial stage for the deployment of the malware is an EXE file larger than 250MB, a so large file size was used to avoid an automated sandbox or AV analysis. 


[![SolarMarker](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/04/SolarMarker.png?resize=355%2C474&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/04/SolarMarker.png?ssl=1)
The sample analyzed by the experts was compiled in February 2022, a circumstance that suggests the artifacts are part of new development.


This file drops and executes an installer of a legitimate program to avoid raising suspicion, at the same time it runs a PowerShell loader in a new thread to load and execute the SolarMarker backdoor payload.


The SolarMarker backdoor communicates with the C2 server through the encrypted channel. 


The malware used HTTP POST requests and encrypts data using RSA encryption with Advanced Encryption Standard (AES) symmetric encryption.


*“In terms of its structure, the infostealer module looks very similar to the backdoor module we introduced earlier but has extended capabilities. The SolarMarker infostealer module acquires login data, cookies and web data (auto-fill) from web browsers by reading files specific to the target browser.” reads the [analysis](https://unit42.paloaltonetworks.com/solarmarker-malware/) published by PaloAlto Networks. “SolarMarker uses the API function CryptUnprotectData (DPAPI) to decrypt the credentials.”*


The core model leverages a specific SolarMarker’s information-stealing module to harvest autofill data, cookies, passwords, and credit card information from web browsers.


Unlike previous variants, the latest one the dropper files are always signed with certificated issued by a legitimate company. The new version used modified the PowerShell loader script and unlike previous ones in the first execution of the malware, the backdoor will load into the dropper process and not into the PowerShell process.


*“The malware invests significant effort into defense evasion, which consists of techniques like signed files, huge files, impersonation of legitimate software installations and obfuscated PowerShell scripts,” concludes the analysis. “These updates appear to upgrade evasion abilities in an attempt to stay under the radar and demonstrate that SolarMarker continues to evolve.”*



> **Please vote for Security Affairs as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS  
> Vote for me in the sections “The Underdogs – Best Personal (non-commercial) Security Blog” and “The Tech Whizz – Best Technical Blog” and others of your choice.  
> To nominate, please visit:**<https://docs.google.com/forms/d/e/1FAIpQLSfxxrxICiMZ9QM9iiPuMQIC-IoM-NpQMOsFZnJXrBQRYJGCOw/viewform>
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, SolarMarker)**



 
  


---


  




## Tags:
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSfxxrxICiMZ9QM9iiPuMQIC-IoM-NpQMOsFZnJXrBQRYJGCOw/viewform

### Autogenerated tags:
[[solarmarker]] [[malware]] [[powershell]]
