# North Korea-linked Kimsuky APT attack targets victims via Messenger
## North Korea-linked Kimsuky APT group employs rogue Facebook accounts to target victims via Messenger and deliver malware.
## Information:

+ Link: https://securityaffairs.com/163265/apt/north-korea-kimsuky-apt-uses-messenger.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 17 May 2024, 07:10
+ Date scraped: 17 May 2024, 08:17

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/05/image-15.png)



Researchers at Genius Security Center (GSC) identified a new attack strategy by the North Korea-linked [Kimsuky](https://securityaffairs.com/149698/apt/kimsuky-war-simulation-centre.html) APT group and collaborated with the Korea Internet & Security Agency (KISA) for analysis and response. The nation-state actor attack used a fake account posing as a South Korean public official in the North Korean human rights sector. The APT group aimed at connecting with key individuals in North Korean and security-related fields through friend requests and direct messages.



[![Kimsuky](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/05/image-15.png?resize=1024%2C605&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/05/image-15.png?ssl=1)


The attack chain starts with the theft of the identity of a real person in South Korea, then the victims were contacted via Facebook Messenger.



Threat actors pretended to share private documents they had written with the victims.


*“The initial individual approach is similar to an email-based spear phishing attack strategy. However, the fact that mutual communication and reliability were promoted through Facebook Messenger shows that the boldness of Kimsuky APT attacks is increasing day by day.” reads the [**report**](https://www.genians.co.kr/blog/threat_intelligence/facebook) published by GSC. “The Facebook screen used in the actual attack has a background photo that appears to have been taken at a public institution. Threat actors disguised as public officials try to win the favor of their targets by pretending to share private documents they have written.”*


The messages included a link to a decoy document hosted on OneDrive. The file is a Microsoft Common Console document that masquerades as an essay or content related to a trilateral summit between Japan, South Korea, and the U.S. One of the decoy documents (‘NZZ\_Interview\_Kohei Yamamoto.msc’) employed in the attacks was uploaded to the VirusTotal from Japan on April 5, 2024.


The malware had zero detection rate on VT at the upload time. 


The experts speculate the APT group was targeting people in Japan and South Korea.


*“This is the first time that a suspected attack against Japan was first observed, and then a variant was detected in Korea shortly after.” reads the analysis. “And if you compare the two malicious file execution screens, you can see the same pattern. Although the file name leading to execution is different, both used the name ‘Security Mode’.”*


Upon launching the MSC file and allowing it to open it using Microsoft Management Console ([MMC](https://learn.microsoft.com/en-us/troubleshoot/windows-server/system-management-components/what-is-microsoft-management-console)), victims are displayed a console screen containing a Word document. If the victims launch it the multi-stage attack chain starts.


The malicious file, named “Console Root task window ‘Security Mode’,” hid certain window styles and tabs. It misled users by labeling a task as “Open” with a description “My\_Essay.docx,” making it appear as a document execution screen. Clicking “Open” triggers a malicious command. This command line involves ‘cmd.exe’ with various parameters and attempts to connect to the C2 host ‘brandwizer.co[.]in,’ registered by Whiteserver hosting in India and linked to the IP address ‘5.9.123.217’ in Germany.


The malware maintains persistence by registering a scheduled task named ‘OneDriveUpdate,’ which repeats every 41 minutes indefinitely. This interval is consistent with the timing used in previous Kimsuky group campaigns, such as ‘[BabyShark](https://securityaffairs.com/145781/apt/kimsuky-reconshark-recon-tool.html)‘ and ‘[ReconShark](https://securityaffairs.com/145781/apt/kimsuky-reconshark-recon-tool.html).’ 


The malware gathered information and exfiltrated it to the C2 server, it can also harvest IP addresses, User-Agent strings, and timestamp information from the HTTP requests. The malware can also drop additional payloads on the infected machines.


“Among the APT attacks reported in Korea in the first quarter of this year, the most representative method is spear phishing attack. In addition, the method of combining shortcut (LNK) type malicious files is steadily becoming popular. Although not commonly reported, covert attacks through social media also occur.” concludes the report.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Kimsuky)**





---




---





## Tags:
***ipv4-adresses***: 5.9.123.217
***urls***: http://brandwizer.co.in

### Autogenerated tags:
[[kimsuky]] [[facebook]] [[malware]]
