# North Korea-linked TA444 group turns to credential harvesting activity
## North Korea-linked TA444 group is behind a credential harvesting campaign targeting a number of industry verticals. Proofpoint researchers reported that North Korea-linked TA444 APT group (aka APT38, BlueNoroff, Copernicium, and Stardust Chollima) is behind a credential harvesting campaign targeting a number of industry verticals. APT38 appears to be a North Korea-linked group separate from the infamous Lazarus group, […]
## Information:

+ Link: https://securityaffairs.com/141325/apt/ta444-turns-credential-harvesting-activity.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 25 January 2023, 18:26
+ Date scraped: 25 January 2023, 19:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/image-23.png?resize=300%2C300&ssl=1)


## North Korea-linked TA444 group is behind a credential harvesting campaign targeting a number of industry verticals.


Proofpoint researchers reported that North Korea-linked TA444 APT group (aka [APT38](https://securityaffairs.com/130892/apt/ransomware-strains-linked-to-nk-apt38.html), [BlueNoroff](https://securityaffairs.com/126713/apt/bluenoroff-apt-cryptocurrency.html), Copernicium, and Stardust Chollima) is behind a credential harvesting campaign targeting a number of industry verticals. 


APT38 appears to be a North Korea-linked group separate from the infamous [Lazarus](https://securityaffairs.co/wordpress/75703/hacking/cosmos-bank-lazarus-apt.html) group, it has been active since at least 2014 and it has been observed targeting over 16 organizations across 11 countries.


According to Proofpoint the group is targeting cryptocurrencies since at least 2017. The U.S. Federal Bureau of Investigation (FBI) this week **[confirmed](https://securityaffairs.com/141266/digital-id/harmony-horizon-bridge-lazarus-apt.html)** that in June 2022 the North Korea-linked [Lazarus](https://securityaffairs.com/139290/apt/lazarus-apt-bloxholder-campaign.html) APT group and [APT38](https://securityaffairs.com/130892/apt/ransomware-strains-linked-to-nk-apt38.html) stole $100 million worth of cryptocurrency assets from the Blockchain company [Harmony Horizon Bridge](https://securityaffairs.com/132759/hacking/harmony-hack-lazarus-apt.html).


The recent activity reported by Proofpoint marks a significant shift in the strategy of the nation-state actor.


*“This sprawling credential harvesting activity is a deviation from normal TA444 campaigns, which typically involve the direct deployment of malware.” reads the [report](https://www.proofpoint.com/us/blog/threat-insight/ta444-apt-startup-aimed-at-your-funds) published by the researchers.*


The attack chain historically employed by the group mainly relied on two initial access techniques, an [LNK](https://www.proofpoint.com/us/blog/threat-insight/how-threat-actors-are-adapting-post-macro-world)-oriented [delivery chain](https://blogs.jpcert.or.jp/en/2019/07/spear-phishing-against-cryptocurrency-businesses.html) and a chain using weaponized documents with remote templates.


TA444 employed blockchain-related lures, fake job opportunities at prestigious firms, and salary adjustments to trick victims to click on a malicious link, open a malicious attachment such as [LNK files](https://thehackernews.com/2022/01/north-korean-hackers-stole-millions.html) and [ISO optical disk images](https://thehackernews.com/2022/12/bluenoroff-apt-hackers-using-new-ways.html) 


To that end, the attacks employ [phishing emails](https://www.clearskysec.com/cryptocore-group/), typically tailored to the victim’s interests, that are laden with malware-laced attachments such as LNK files and ISO disk images.



[![TA444](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/image-23.png?resize=536%2C548&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/image-23.png?ssl=1)


Variants to the attack chain include the use of LinkedIn accounts to engage with victims prior to delivering malicious links.


According to the experts, the new credential harvesting campaign began in early December 2022. The threat actors used phishing messages to trick recipients into clicking a URL


*“A TA444 C2 domain sent OneDrive phishing emails rife with typos to a wide variety of targets in the United States and Canada, spanning several verticals including education, government, and healthcare, in addition to financial verticals. The lure emails enticed users to click a SendGrid URL which redirected to a credential harvesting page.” continues the report. “The deviation in TA444’s targeting and volume of messages made us thoroughly analyze the campaign to both understand the activity, but also challenged our assumptions about the group.”*


The TA444 group was also observed spreading an expanded version of CageyChameleon (aka CabbageRAT) to carry out victim-profiling and data exfiltration.


*“TA444 and related clusters are [assessed to have stolen](https://blog.chainalysis.com/reports/north-korean-hackers-have-prolific-year-as-their-total-unlaundered-cryptocurrency-holdings-reach-all-time-high/) nearly $400 million dollars’ worth of cryptocurrency and related assets in 2021. In 2022, the group [surpassed that value in a single heist](https://www.fbi.gov/news/press-releases/fbi-statement-on-attribution-of-malicious-cyber-activity-posed-by-the-democratic-peoples-republic-of-korea) worth over [$500 million](https://www.elliptic.co/blog/540-million-stolen-from-the-ronin-defi-bridge), gathering more than [$1 billion](https://blog.chainalysis.com/reports/crypto-crime-midyear-update-2022/) during 2022.” concludes the report.* *“While we do not know if the group has ping pong tables or kegs of some overrated IPA in its workspace, TA444 does mirror the startup culture in its devotion to the dollar and to the grind. “*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
| [adrotate banner=”9″] | [adrotate banner=”12″] |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, TA444)**


[adrotate banner=”5″]


[adrotate banner=”13″]



  


---


  




## Tags:


### Autogenerated tags:
[[ta444]] [[korea-linked]] [[proofpoint]] [[apt38]] [[phishing]] [[emails]] [[[adrotate]]
