# PureCrypter used to deliver AgentTesla to govt organizations
## An unknown threat actor is targeting government organizations with the PureCrypter downloader, Menlo Security firm reported.  Menlo Labs researchers uncovered an unknown threat actor is using the PureCrypter downloader in attacks aimed at government entities. The campaign relies on the domain of a compromised non-profit organization as a C2 server to deliver a second-stage payload. […]
## Information:

+ Link: https://securityaffairs.com/142749/hacking/purecrypter-deliver-agenttesla.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 27 February 2023, 09:12
+ Date scraped: 27 February 2023, 11:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/02/image-29.png?resize=300%2C300&ssl=1)


## An unknown threat actor is targeting government organizations with the PureCrypter downloader, Menlo Security firm reported.


Menlo Labs researchers uncovered an unknown threat actor is using the PureCrypter downloader in attacks aimed at government entities. The campaign relies on the domain of a compromised non-profit organization as a C2 server to deliver a second-stage payload. The malware campaign delivers multiple malware, including [Redline Stealer](https://securityaffairs.com/126627/cyber-crime/redline-malware-omicron.html), [AgentTesla](https://securityaffairs.com/91525/malware/agent-tesla-malware-campaign.html), [Eternity](https://securityaffairs.com/131317/malware/eternity-project-malware-listings.html), Blackmoon and [Philadelphia Ransomware](https://securityaffairs.com/57795/malware/philadelphia-ransomware.html). 


The experts spotted multiple attempts of delivering malware to several government customers in the Asia-Pacific (APAC) and North America.


[PureCrypter](https://www.zscaler.com/blogs/security-research/technical-analysis-purecrypter) is an sophisticated downloader that is used to downloads Remote Access Trojans (RATs) and Infostealers. It is available for sale since March 2021 on“hxxps[://]purecoder.sellix.io/.”


*“Menlo Labs has uncovered an unknown threat actor that’s leveraging an evasive threat campaign distributed via Discord that features the PureCrypter downloader and targets government entities.” reads the [**analysis**](https://www.menlosecurity.com/blog/purecrypter-targets-government-entities-through-discord/) published by Menlo Labs. “In our investigation, we found that AgentTesla establishes a connection to an FTP server where it stores the stolen victim’s credentials. The FTP server appears to have been taken over and the leaked credentials for the domain were found online, thus suggesting that the threat actors used these credentials to gain access to the server.”*


The attack chain starts with spear phishing emails containing Discord app URL that points to a password-protected ZIP archive containing the PureCrypter malware.



[![PureCrypter](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/02/image-29.png?resize=533%2C400&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/02/image-29.png?ssl=1)


Upon executing the downloader, it fetches the second-stage payload from the C2, which was a compromised server of a non-profit organization in the attack observed by the researchers.


In the attack analyzed by Menlo Security, the final payload was AgentTesla. [Agent Tesla](https://securityaffairs.co/wordpress/71154/breaking-news/agent-tesla-campaign.html) is a “*commodity malware*”. It is a fully customizable password info-stealer and many cyber criminals are choosing it as their preferred recognition tool.  


Once executed, the AgentTesla sample employed in the attack detailed by Menlo researchers connects to a Pakistan-based FTP server that is used to receive the stolen data.


AgentTesla version used by the attackers supports a [process hollowing](https://attack.mitre.org/techniques/T1055/012/) technique to inject its payload into cvtres.exe, which is a standard windows process.


The malware uses an XOR algorithm to encrypt its config file. The good news is that the experts were able to decrypt the file which contains the CnC details of the FTP server to which AgentTesla uploads the victim data.


*“This threat actor doesn’t appear to be a major player in the threat landscape, but the targeting of government entities is surely a reason to watch out for them.” concludes the report.*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, PureCrypter)**




  


---


  




## Tags:


### Autogenerated tags:
[[purecrypter]] [[menlo]] [[agenttesla]] [[downloader]] [[malware]] [[ftp]]
