# Russia-linked APT28 targets government Polish institutions
## CERT Polska warns of a large-scale malware campaign against Polish government institutions conducted by Russia-linked APT28.
## Information:

+ Link: https://securityaffairs.com/162965/apt/russia-linked-apt28-targets-government-polish-institutions.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 10 May 2024, 11:07
+ Date scraped: 10 May 2024, 12:15

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/05/image-9.png)



CERT Polska and CSIRT MON teams issued a warning about a large-scale malware campaign targeting Polish government institutions, allegedly orchestrated by the Russia-linked [APT28](https://securityaffairs.com/162759/apt/nato-eu-condemned-apt28-espionage.html) group.


The attribution of the attacks to the Russian APT is based on similarities with TTPs employed by APT28 in attacks against [Ukrainian entities](https://cert.gov.ua/article/5702579).



*“the CERT Polska (CSIRT NASK) and CSIRT MON teams observed a large-scale malware campaign targeting Polish government institutions.” [reads the alert](https://cert.pl/en/posts/2024/05/apt28-campaign/). “Based on technical indicators and similarity to attacks described in the past [(e.g. on Ukrainian entities)](https://cert.gov.ua/article/5702579), the campaign can be associated with the APT28 activity set, which is associated with Main Directorate of the General Staff of the Armed Forces of the Russian Federation (GRU).”*


The threat actors sent emails designed to pique the recipient’s interest and encourage them to click on a link.



[![APT28](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/05/image-8.png?resize=675%2C190&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/05/image-8.png?ssl=1)


Upon clicking on the link, the victims are redirected to the domain run.mocky[.]io, which is a free service used by developers to create and test APIs. The domain, in turn, redirects to another legitimate site named webhook[.]site which allows logging all queries to the generated address and configuring responses.


Threat actors in the wild increasingly rely on popular services in the IT community to evade detection and speed up operations.


The attack chain includes the download of a ZIP archive file from webhook[.]site, which contains:


* a Windows calculator with a changed name, e.g. `IMG-238279780.jpg.exe`, which pretends to be a photo and is used to trick the recipient into clicking on it,
* script `.bat` (hidden file),
* fake library `WindowsCodecs.dll` (hidden file).


If the victim runs the file fake image file, which is a harmless calculator, the DLL file is side-loaded to run the batch file.


The BAT script launches the Microsoft Edge browser and loads a base64-encoded page content to download another batch script from webhook.site. Meanwhile, the browser shows photos of a woman in a swimsuit with links to her genuine social media accounts, aiming to appear credible and lower the recipient’s guard. The downloaded file, initially saved as .jpg, is converted to .cmd and executed.


Finally, the code retrieves the final-stage script that gathers information about the compromised host and sends it back.


*“This script constitutes the main loop of the program. In the loop `for /l %n in ()` it first waits for 5 minutes, and then, similarly as before, downloads another script using the Microsoft Edge browser and the reference to `webhook.site` and executes it. This time, the file with the extension `.css` is downloaded, then its extension is changed to `.cmd` and launched.” continues the report. “The script we finally received collects only information about the computer (IP address and list of files in selected folders) on which they were launched, and then send them to the C2 server. Probably computers of the victims selected by the attackers receive a different set of the endpoint scripts.”*



[![APT28](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/05/image-9.png?resize=611%2C479&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/05/image-9.png?ssl=1)


The CERT Polska team recommends network administrators to review recent connections to domains like webhook.site and run.mocky.io, as well as their appearance in received emails. These sites are commonly used by programmers, and traffic to them may not indicate infection. If your organization does not utilize these services, it’s suggested to consider blocking these domains on edge devices.


Regardless of whether your organization uses these websites, it’s also advised to filter emails for links to webhook.site and run.mocky.io, as legitimate use of these links in email content is very rare.


Last week, [**NATO and the European Union condemned cyber espionage operations**](https://securityaffairs.com/162759/apt/nato-eu-condemned-apt28-espionage.html) carried out by the Russia-linked threat actor [APT28](https://securityaffairs.com/162706/apt/moobot-botnet-is-still-active.html) (aka “[Forest Blizzard](https://securityaffairs.com/159691/breaking-news/russia-apt28-compromised-ubiquiti-edgerouters.html)”, “[Fancybear](https://securityaffairs.com/155420/apt/apt8-exploited-outlook-0day-target-nato.html)” or “[Strontium](https://securityaffairs.com/89473/apt/strontium-abuses-iot-devices.html)”) against European countries.


The Federal Government condemned in the strongest possible terms the long-term espionage campaign conducted by the group APT28 that targeted the Executive Committee of the Social Democratic Party of Germany.


*“The Federal Government’s national attribution procedure regarding this campaign has concluded that, for a relatively long period, the cyber actor APT28 used a critical vulnerability in Microsoft Outlook that remained unidentified at the time to compromise numerous email accounts.” reads the [**announcement**](https://www.bundesregierung.de/resource/blob/975226/2276130/ec59e50158ff9ba014025ba5abbfe6ec/2024-05-03-attribution-of-a-russian-cyber-campaign-data.pdf) published by the German Bundesregierung.*


The nation-state actor exploited the zero-day flaw [CVE-2023-23397](https://securityaffairs.com/159691/breaking-news/russia-apt28-compromised-ubiquiti-edgerouters.html) in attacks against European entities since April 2022. The Russia-linked APT also targeted [NATO entities](https://securityaffairs.com/155420/apt/apt8-exploited-outlook-0day-target-nato.html) and Ukrainian government agencies.


The Czech Ministry of Foreign Affairs also condemned long-term cyber espionage activities by the group APT28. The Ministry’s statement also confirmed that Czech institutions have been targeted by the Russia-linked APT28 exploiting the Microsoft Outlook zero-day from 2023.


The [APT28](https://securityaffairs.co/wordpress/76922/intelligence/apt28-back-espionage.html) group (aka [Fancy Bear](https://securityaffairs.co/wordpress/72072/intelligence/fancy-bear-abuses-lojack.html), [Pawn Storm](https://securityaffairs.co/wordpress/53360/cyber-crime/pawn-storm-apt-0days.html), [Sofacy Group](https://securityaffairs.co/wordpress/73299/hacking/sofacy-apt-attacks.html), [Sednit](https://securityaffairs.co/wordpress/73299/hacking/sofacy-apt-attacks.html), BlueDelta, and [STRONTIUM](https://securityaffairs.co/wordpress/74582/intelligence/microsoft-russia-attacks.html)) has been active since at least 2007 and it has targeted governments, militaries, and security organizations worldwide. The group was involved also in the string of attacks that targeted [2016 Presidential election](https://securityaffairs.co/wordpress/74434/hacking/russian-intelligence-indictment.html).


The group operates out of military unity 26165 of the Russian General Staff Main Intelligence Directorate (GRU) 85th Main Special Service Center (GTsSS).


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, malware)**





---




---





## Tags:
***CVE's***: CVE-2023-23397
***urls***: http://webhook.site http://run.mocky.io

### Autogenerated tags:
[[apt28]] [[russia-linked]] [[microsoft]] [[webhook.site]] [[csirt]] [[malware]] [[emails]]
