# Russia-linked APT29 abuses EU information exchange systems in recent attacks
## Russia-linked APT29 group abused the legitimate information exchange systems used by European countries to target government entities. Russia-linked APT29 (aka SVR group, Cozy Bear, Nobelium, and The Dukes) was spotted abusing the legitimate information exchange systems used by European countries in attacks aimed at governments. In early March, BlackBerry researchers uncovered a new cyber espionage campaign aimed at EU […]
## Information:

+ Link: https://securityaffairs.com/143545/apt/apt29-abused-information-exchange-systems.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 15 March 2023, 23:28
+ Date scraped: 16 March 2023, 01:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-29.png?resize=300%2C300&ssl=1)


## Russia-linked APT29 group abused the legitimate information exchange systems used by European countries to target government entities.


Russia-linked [APT29](https://securityaffairs.com/138322/apt/apt29-windows-credential-roaming.html) (aka [SVR group](https://securityaffairs.co/wordpress/116891/cyber-warfare-2/russia-svr-actively-targets-5-flaws.html), [Cozy Bear](https://securityaffairs.co/wordpress/53318/intelligence/cozy-bear-post-election.html), [Nobelium](https://securityaffairs.co/wordpress/134838/apt/nobelium-magicweb-tool.html), and [The Dukes](https://securityaffairs.co/wordpress/40214/cyber-crime/the-dukes-apt.html)) was spotted abusing the legitimate information exchange systems used by European countries in attacks aimed at governments.


In early March, BlackBerry researchers uncovered a new cyber espionage campaign aimed at EU countries. The hackers targeted diplomatic entities and systems transmitting sensitive information about the region’s politics, aiding Ukrainian citizens fleeing the country, and providing help to the government of Ukraine.


The attack chain commences with a spear-phishing email containing a weaponized document, which contains a link leading to the download of an HTML file.


The HTLM files are hosted on a legitimate online library website that was likely compromised by the threat actors sometime between the end of January 2023 and the beginning of February 2023.


*“One of the lures appeals to those who want to find out the Poland Ambassador’s schedule for 2023. It overlaps with Ambassador [Marek Magierowski’s](https://www.gov.pl/web/usa-en/the-ambassador2) recent visit to the United Statesp; specifically, his [talk on February 2](https://www.law.edu/news-and-events/2023/02/2023-0202-PolandAmbassadorTalk.html), where he discussed the war in Ukraine at the Catholic University of America Columbus School of Law, also known as the Catholic Law, which is based in Washington, DC.” reads the [**analysis**](https://blogs.blackberry.com/en/2023/03/nobelium-targets-eu-governments-assisting-ukraine) published by BlackBerry.*


The APT29 group also abused multiple legitimate systems, including LegisWrite and eTrustEx, which are used by EU nations for exchanging info and data in a secure way.



[![APT29](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-29.png?resize=640%2C455&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-29.png?ssl=1)


LegisWrite is an editing program used by governments within the European Union, this means that threat actors used it in the malicious lure to target state organizations within the EU specifically.


The malicious HTML file employed in the attack is a version of NOBELIUM’s dropper tracked as [ROOTSAW](https://securityaffairs.com/130787/apt/apt29-targets-diplomats.html) (aka [EnvyScout](https://attack.mitre.org/software/S0634/)). [EnvyScout](https://securityaffairs.com/133409/apt/apt29-google-drive-dropbox.html) uses the [HTML smuggling](https://securityaffairs.com/139658/cyber-crime/qbot-html-smuggling-svg.html) technique to deliver an IMG or ISO file to the victim’s system.


To maintain persistence, a new registry key is created under “HKEY\_CURRENT\_USER\Software\Microsoft\Windows\CurrentVersion\Run\DsDiBacks”.


The BugSplatRc64.dll file allows cyber spies to collect and exfiltrate information about the infected system.


The nation-state actor abuses the API the note-taking application Notion for C2 communication, a choice that allows avoiding detection.


*“NOBELIUM actively collects intelligence information about the countries supporting Ukraine in the Russian-Ukraine war. The overlap between Poland’s Ambassador’s visit to the United States with the lure used in the attacks, provides evidence that the threat actors carefully follow geopolitical events and use them to increase their possibility of a successful infection.” concludes the report. “Furthermore, our initial analysis of weaponized LNK files shows that the threat actor behind this campaign used anti-forensic techniques to wipe out personal metadata to remove information connected to its operations systems.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Russia)**



  


---


  




## Tags:


### Autogenerated tags:
[[apt29]] [[html]]
