# ScrubCrypt used to drop VenomRAT along with many malicious plugins
## Researchers discovered a sophisticated multi-stage attack that leverages ScrubCrypt to drop VenomRAT along with many malicious plugins.
## Information:

+ Link: https://securityaffairs.com/161639/cyber-crime/scrubcrypt-venomrat-plugins.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 09 April 2024, 16:40
+ Date scraped: 09 April 2024, 18:15

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/04/phishing-campaign.png)



Fortinet researchers observed a threat actor sending out a phishing email containing malicious Scalable Vector Graphics (SVG) files. The email is crafted to trick recipients into clicking on an attachment, which downloads a ZIP file containing a Batch file obfuscated with the BatCloak tool. Then the attackers use [ScrubCrypt](https://securityaffairs.com/143252/hacking/scrubcrypt-crypter-cryptojacking-attacks.html) to load the final payload [VenomRAT](https://securityaffairs.com/147371/malware/fud-malware-obfuscation-engine-batcloak.html). The malicious code connects the command and control (C2) server to install additional plugins on the victims’ system., which include VenomRAT version 6, [Remcos](https://securityaffairs.com/144851/cyber-crime/remcos-rat-tax-day-campaign.html), XWorm, [NanoCore](https://securityaffairs.com/115520/malware/nanocore-rat-malspam-icon-files.html), and a stealer designed to drain funds from specific crypto wallets.



[![ScrubCrypt phishing campaign](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/04/phishing-campaign.png?resize=913%2C675&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/04/phishing-campaign.png?ssl=1)


The campaign is notable for its utilization of the [BatCloak](https://securityaffairs.com/147371/malware/fud-malware-obfuscation-engine-batcloak.html) malware obfuscation engine and ScrubCrypt to distribute the malware through obfuscated batch scripts.



BatCloak is a fully undetectable (FUD) malware obfuscation engine used by threat actors to stealthily deliver their malware since September 2022.


In June 2023, Trend Micro researchers [detailed](https://securityaffairs.com/147371/malware/fud-malware-obfuscation-engine-batcloak.html) the malware obfuscation engine BatCloak which multiple threat actors used. The samples analyzed by the experts demonstrated a remarkable ability to persistently evade anti-malware solutions


The researchers discovered that the BatCloak engine was part of FUD builder named Jlaive that began circulating in 2022, The analysis of the Jlaive repository revealed the developer (ch2sh)’s effort in FUD technologies. The developers used AES encryption and implemented techniques to bypass the anti-malware scan interface (AMSI). After the repository containing the open-source tool was taken down in September 2022, it has since been cloned and modified by other threat actors. The researchers discovered modified versions and clones offered Jlaive as a one-time service for purchase, instead of a classic subscription-based model. While many of the repositories containing modified or cloned Jlaive versions continue to be removed from code hosting sites such as GitHub and GitLab, threat actors continue to upload the code and in some cases development team have also ported to other languages such as Rust.


The ScrubCrypt crypter is available for sale on hacking forums, it allows securing applications with a unique BAT packing method.


ScrubCrypt [**was first detailed**](https://securityaffairs.com/143252/hacking/scrubcrypt-crypter-cryptojacking-attacks.html) by Fortinet in March 2023 when a threat actor tracked as 8220 Gang was spotted using it in cryptojacking campaigns.


Fortinet experts conclude that this campaign is very sophisticated because leveraging multiple layers of obfuscation and evasion techniques to distribute and execute VenomRAT via ScrubCrypt.


“The attackers employ a variety of methods, including phishing emails with malicious attachments, obfuscated script files, and Guloader PowerShell, to infiltrate and compromise victim systems. Furthermore, deploying plugins through different payloads highlights the versatility and adaptability of the attack campaign.” concludes the report that also includes indicators of compromise (IoCs). “The attackers’ ability to persist in the system, evade detection, and execute malicious payloads underscores the importance of robust cybersecurity measures and vigilant monitoring to mitigate such threats effectively.”


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **ScrubCrypt)**





---




---





## Tags:


### Autogenerated tags:
[[scrubcrypt]] [[batcloak]] [[malware]] [[jlaive]] [[fortinet]] [[venomrat]]
