# Technical analysis of China-linked Earth Preta APT’s infection chain
## China-linked Earth Preta cyberespionage group has been observed adopting new techniques to bypass security solutions. Trend Micro researchers reported that the China-linked Earth Preta group (aka Mustang Panda) is actively changing its tools, tactics, and procedures (TTPs) to bypass security solutions. Earth Preta, also known as “RedDelta” or “Bronze President,” has been active since at least […]
## Information:

+ Link: https://securityaffairs.com/144078/apt/earth-preta-infection-chain.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 27 March 2023, 12:09
+ Date scraped: 27 March 2023, 13:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-60.png?resize=300%2C300&ssl=1)


## China-linked Earth Preta cyberespionage group has been observed adopting new techniques to bypass security solutions.


Trend Micro researchers reported that the China-linked Earth Preta group (aka [Mustang Panda](https://securityaffairs.com/142961/apt/mustang-panda-mqsttang-backdoor.html)) is actively changing its tools, tactics, and procedures (TTPs) to bypass security solutions. 


Earth Preta, also known as “RedDelta” or “Bronze President,” has been active since at least 2012, it targeted [American](https://www.cisa.gov/uscert/ncas/alerts/TA17-117A) and [European](https://blog.google/threat-analysis-group/update-threat-landscape-ukraine/) entities such as government organizations, think tanks, [NGOs](https://www.crowdstrike.com/blog/meet-crowdstrikes-adversary-of-the-month-for-june-mustang-panda/), and even [Catholic organizations](https://go.recordedfuture.com/hubfs/reports/cta-2020-0728.pdf) at the Vatican. Past campaigns were focused on Asian countries, including Taiwan, Hong Kong, Mongolia, Tibet, and Myanmar.


In recent campaigns, threat actors [used](https://securityaffairs.com/131083/apt/mustang-panda-q1-attacks.html) European Union reports on the conflict in Ukraine and Ukrainian government reports as lures. Upon opening the reports, the infection process starts leading to the deployment of malware on the victim’s system.


In a recent campaign analyzed by Trend Micro, the threat actors used spear-phishing emails and Google Drive links as attack vectors.


A deep investigation into the campaign revealed several undisclosed malware and interesting data exfiltration tools used by the group.


The researchers categorized the infection chain into six stages: arrival vectors, discovery, privilege escalation, lateral movement, command and control (C&C) and exfiltration, respectively.


[![Earth Preta group](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-60.png?resize=940%2C435&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-60.png?ssl=1)The full infection chain (Trend Micro)


The attackers used DLL sideloading, shortcut links, and fake file extensions in the first part of the attacks, the researchers noticed that starting in October and November 2022, the group began changing their TTPs to deploy the TONEINS, TONESHELL, and PUBLOAD malware.


TONEINS and TONESHELL malware was downloaded from the Google Drive link embedded in the body of spear-phishing messages. To bypass email-scanning services, the threat actors started embedding the Google Drive link in a lure document. The link points to a password-protected archive, the document also includes the password.


*“Based on our observations, Earth Preta tends to hide malicious payloads in fake files, disguising them as legitimate ones — a technique that has been proven effective for avoiding detection. As for privilege escalation, the threat actors tend to reuse codes copied from open-source repositories.” [**states the report** published by Trend Micro](https://www.trendmicro.com/en_us/research/23/c/earth-preta-updated-stealthy-strategies.html). “Meanwhile, they developed customized toolsets designed to collect confidential documents in the exfiltration stage.”* 


Once gained a foothold in the target network, the attackers start the discovery and privileges escalation phases. In the privilege escalation phase the threat actors used several tools for UAC bypass in Windows 10 such as ABPASS and CCPASS.


During the lateral movement phase, Earth Preta used malware such as HIUPAN and ACNSHELL being used to install themselves to removable disks and create a reverse shell.


The group used several tools and commands for the C2 stage, such as *certutil.exe* to download the legitimate WinRAR binary and PowerShell to download multiple malicious archives from a remote server (103[.]159[.]132[.]181).


The group also used the CLEXEC backdoor, the COOLCLIENT and TROCLIENT implants, and the [PlugX](https://securityaffairs.com/143360/malware/plugx-malware-flaws.html) malware.


The report details the execution flow for each of the above malware.


The threat actors also used highly customized tools for exfiltration, such as NUPAKAGE and ZPAKAGE, both used to steal Office documents.


*“Earth Preta is a capable and organized threat actor that is continuously honing its TTPs, strengthening its development capabilities, and building a versatile arsenal of tools and malware,” concludes the report.*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Earth Preta)**




  


---


  




## Tags:
***ipv4-adresses***: 103.159.132.181
***urls***: http://103.159.132.181

### Autogenerated tags:
[[malware]] [[ttps]] [[google]]
