# The previously undocumented GoldenJackal APT targets Middle East, South Asia entities
## A previously undocumented APT group tracked as GoldenJackal has been targeting government and diplomatic entities in the Middle East and South Asia since 2019. Kaspersky researchers shared details about the activity of a previously undocumented APT group, tracked as GoldenJackal, which has been active since 2019. The primary motivation of the group appears to be […]
## Information:

+ Link: https://securityaffairs.com/146580/apt/goldenjackal-apt-targets-middle-east-south-asia.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 23 May 2023, 19:09
+ Date scraped: 23 May 2023, 20:04

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/05/GoldenJackal-APT-weaponized-doc01.png?resize=300%2C300&ssl=1)


## A previously undocumented APT group tracked as GoldenJackal has been targeting government and diplomatic entities in the Middle East and South Asia since 2019.


Kaspersky researchers shared details about the activity of a previously undocumented APT group, tracked as GoldenJackal, which has been active since 2019. The primary motivation of the group appears to be the espionage.


The group focuses on government and diplomatic entities in the Middle East and South Asia. Kaspersky started monitoring the operations of the group in mid-2020, the researchers explained that it showed a constant level of activity that demonstrates the capability of the group to fly under the radar.


  ![](//assets.vlitag.com/widget/2023/03/24/1679645040.png) .vi\_svg{cursor:pointer;width:38px!important;height:38px!important;display:none;margin:0!important;max-width:initial!important}.vislider\_\_control\_\_bottom .progress{position:relative;bottom:35px;left:0;height:5px!important;transition:height .3s;background:rgba(0,0,0,.5);cursor:pointer;flex:none;-ms-flex:none;display:flex;width:100%;margin:0;border-radius:0;box-shadow:none}.vislider\_\_control\_\_bottom .progress .progress\_\_filled{width:0%;background:#ddd;-ms-flex:0;flex:0;-ms-flex-preferred-size:0;flex-basis:0%}.vislider\_\_control\_\_bottom button{float:right}.vislider\_\_control\_\_bottom .vi\_\_time{color:#ddd;margin-left:5px;line-height:1;font-size:13px;display:inline-block}.vi\_slider\_control\_custom{font-family:"Helvetica Neue","Calibri Light",Roboto,sans-serif;letter-spacing:.02em}.vi\_\_player.vi\_\_played:hover .opacity\_\_control{visibility:visible;opacity:1}.playerWrapper button{background:no-repeat;border:none;outline:0;padding:0;display:inline-block;cursor:pointer;font-size:14px!important;background-color:transparent!important}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:-ms-flexbox;display:flex;justify-content:center;-ms-flex-align:center;align-items:center;justify-content:center;align-items:center;position:absolute;top:50%;left:50%;-ms-transform:translate(-50%,-50%) scale(1);transform:translate(-50%,-50%) scale(1)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_button{width:15px!important;height:15px!important;margin:0 30px}.vi\_\_loading .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:none}.slider\_\_control{position:absolute;bottom:0;left:0;width:100%;height:auto!important}.opacity\_\_control{visibility:hidden;opacity:0}.vi\_\_player:not(.vi\_\_played) .vi\_\_button,.vi\_\_player:not(.vi\_\_played) .vislider\_\_control\_\_bottom{display:none}.slider\_\_control#vislider\_control\_overlay{position:absolute;top:0;bottom:0;left:0;right:0;background-color:rgba(0,0,0,.2);cursor:pointer}.vislider\_\_loading{display:none;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_\_loading .vislider\_\_loading{display:block}#vi\_svg\_play{display:block}#btn\_control\_player{cursor:pointer;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);padding:9px;border-radius:50%;display:block;width:auto;height:auto;margin:0;max-width:inherit}.vi\_\_player:not(.vi\_\_played) #btn\_control\_player{opacity:1;visibility:visible}.vi\_\_player.vi\_\_paused .opacity\_\_control{visibility:visible;opacity:1}#vi\_toggleVolVideo .vi\_\_mutedVideo,#vi\_toggleVolVideo .vi\_\_volVideo{padding:initial;background-color:transparent;display:block;height:19px;box-sizing:content-box;position:relative;top:0;right:0}#vi\_toggleVolVideo .icon-volume{position:absolute;top:0;right:0}.sound\_on .vi\_\_mutedVideo{display:none!important}.sound\_off .vi\_\_volVideo{display:none!important}#hide\_fullscreen\_slider{position:absolute;display:none;top:-25px;right:-25px;cursor:pointer}#vi\_poster\_\_video{position:absolute;top:0;left:0;width:inherit!important;height:inherit!important;visibility:hidden;opacity:0}.adWrapperBox .adWrapper video{height:100%!important}.vislider\_\_control\_\_bottom .vi\_slider\_\_button{margin:0 5px;width:14px;height:14px}@media only screen and (max-width:480px){#hide\_fullscreen\_slider{top:-30px;right:0}}                                                             00:00/00:00                                         

The APT group employed a specific toolset of .NET malware, composed of JackalControl, JackalWorm, JackalSteal, JackalPerInfo and JackalScreenWatcher. The malware allows the group to:


* control victim machines
* spread across systems using removable drives
* exfiltrate certain files from the infected system
* steal credentials
* collect information about the local system
* collect information about users’ web activities
* take screen captures of the desktop


In the attacks spotted by the researchers, the GoldenJackal APT used fake Skype installers and weaponized Word documents as initial attack vectors.


*“The fake Skype installer was a .NET executable file named skype32.exe that was approximately 400 MB in size. It was a dropper containing two resources: the JackalControl Trojan and a legitimate Skype for business standalone installer. This tool was used in 2020.” reads the report published by Kaspersky. “The other known infection vector was a malicious document that uses the remote template injection technique to download a malicious HTML page, which exploits [the Follina vulnerability](https://doublepulsar.com/follina-a-microsoft-office-code-execution-vulnerability-1a47fce5629e).”*



[![GoldenJackal APT weaponized doc01.png](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/05/GoldenJackal-APT-weaponized-doc01.png?resize=442%2C356&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/05/GoldenJackal-APT-weaponized-doc01.png?ssl=1)


The JackalControl Trojan allows threat actors to remotely control the target machine. The malware uses HTTPS communications with the C2 servers, and supports the following operations:


* Execute an arbitrary program with provided arguments
* Download arbitrary files to the local file system
* Upload arbitrary files from the local file system


The researchers observed that the APT group updated this malware multiple times across the years.


JackalSteal is an implant, used in limited attacks, that allows to look for files of interest on the target’s machine and exfiltrate them. The tool allows to to monitor removable USB drives, remote shares, and all logical drives in the targeted system. Experts noticed it cannot maintain persistence, this means that it needs to be installed by another component.


The JackalWorm worm spreads using removable USB drives, its behavior changes according to the parent process. When the malware is working on a system that is already infected and the parent process is taskeng.exe or services.exe it can monitors removable USB drives and when a device is attached, hides the last-modified directory and replaces it with a copy of the worm. The worm borrows the code to monitor removable USB drives from the JackalSteal.


The JackalPerInfo malware allows operators to collect information about the compromised system, as well as a specific set of files that could potentially be used to retrieve stored credentials and the user’s web activities.


The JackalScreenWatcher tool can be used to collect screenshots of the victim’s desktop and sends the pictures to a remote, hard-coded C2


Kaspersky observed a limited number of attacks against government and diplomatic entities in the Middle East and South Asia. Victims of the APT group are in Afghanistan, Azerbaijan, Iran, Iraq, Pakistan and Turkey.


The researchers were not able to to link the GoldenJackal APT to any known actor, however, they observed some similarities between the group and the Russia-linked [Turla](https://securityaffairs.com/131586/apt/turla-apt-austria-estonia-nato.html) cyber-espionage group.


The experts we noticed a code similarity in the victim UID generation algorithm that overlaps somewhat with that used by [Kazuar](https://securityaffairs.com/113289/apt/solarwinds-turla-apt.html).


*“The group is probably trying to reduce its visibility by limiting the number of victims. According to our telemetry, the number of targets is very low and most of them were related to government or diplomatic entities. Moreover, some of the samples were deployed only on systems that were not protected by Kaspersky during the infection phase. This may indicate that the actor is trying to protect some of its tools and avoid specific security solutions.” Kaspersky concludes. “Their toolkit seems to be under development – the number of variants shows that they are still investing in it. The latest malware, JackalWorm, appeared in the second half of 2022 and appears to still be in the testing phase.” Kaspersky concludes.””*


**We are in the final!**


**Please vote for Security Affairs (<https://securityaffairs.com/>) as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS**  
**Vote for me in the sections where is reported Securityaffairs or my name Pierluigi Paganini**


**Please nominate Security Affairs as your favorite blog.**



> 
> 
> > 
> > **Nominate Pierluigi Paganini and Security Affairs here here: <https://docs.google.com/forms/d/e/1FAIpQLSepvnj8b7QzMdLh7vWEDQDqohjBUsHyn3x3xRdYGCetwVy2DA/viewform>**
> > 
> > 
> > 
> 
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **APT**)




  


---


  




## Tags:
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSepvnj8b7QzMdLh7vWEDQDqohjBUsHyn3x3xRdYGCetwVy2DA/viewform https://securityaffairs.com/

### Autogenerated tags:
[[kaspersky]] [[malware]] [[goldenjackal]] [[usb]] [[jackalcontrol]] [[jackalworm]] [[jackalsteal]] [[skype]] [[pierluigi]] [[paganini]]
