# Threat Report Portugal: Q3 & Q4 2022
## The Threat Report Portugal: H2 2022 compiles data collected on the malicious campaigns that occurred from July to December, H2, 2022. The Portuguese Abuse Open Feed 0xSI_f33d is an open-sharing database with the ability to collect indicators from multiple sources, developed and maintained by Segurança-Informática. This feed is based on automatic searches and is supported by a healthy […]
## Information:

+ Link: https://securityaffairs.com/144508/malware/threat-report-portugal-q3-q4-2022.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 06 April 2023, 10:15
+ Date scraped: 06 April 2023, 12:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/Threat-Report-Portugal-Q3Q4-2022.png?resize=300%2C300&ssl=1)


## The Threat Report Portugal: H2 2022 compiles data collected on the malicious campaigns that occurred from July to December, H2, 2022.


**The Portuguese Abuse Open Feed** [***0xSI\_f33d***](https://feed.seguranca-informatica.pt/) is an open-sharing database with the ability to collect indicators from multiple sources, developed and maintained by [***Segurança-Informática***](https://seguranca-informatica.pt/). This feed is based on automatic searches and is supported by a healthy community of contributors.  This makes it a reliable, trustworthy, continuously updated source, focused on the threats targeting Portuguese citizens. [**0xSI\_f33d**](https://feed.seguranca-informatica.pt/)has been**part of the official**[**VirusTotal ingestors**](https://support.virustotal.com/hc/en-us/articles/115002146809-Contributors)**since July 2021** allowing the community to verify threats worldwide provided by this feed.


The **Threat Report Portugal: Q3 & Q4 2022** compiles data collected on the malicious campaigns that occurred from Jully to December, Q3 and Q4, 2022. The submissions were classified as either phishing or malware. In addition, the report highlights the threats, trends, and key takeaways of threats observed and reported into [***0xSI\_f33d***](https://feed.seguranca-informatica.pt/). This report provides intelligence and indicators of compromise (IOCs) that organizations can use to fight current attacks, anticipate emerging threats, and manage security awareness in a better way.


**Phishing and Malware Q3 & Q4 2022**


The results depicted in Figure 1 show that phishing campaigns (98,7%) were more prevalent than malware (1,3%) during Q3 and Q4 2022. A growing trend in phishing submissions was observed in Q3 and Q4 (25369), with malware having 1.3% of the total, **[in comparison with 31.1% in Q2 2022](https://seguranca-informatica.pt/threat-report-portugal-q2-2022/)**.


[![](https://i0.wp.com/seguranca-informatica.pt/wp-content/uploads/2023/04/t1.png?ssl=1)](https://i0.wp.com/seguranca-informatica.pt/wp-content/uploads/2023/04/t1.png?ssl=1)


Regarding Q1 2022, the phishing campaigns increased in reference to 2021 as a result of the research focused on the **[online stores’ scams that hit users worldwide](https://seguranca-informatica.pt/shopping-trap-the-online-stores-scam-that-hits-users-worldwide/)**. In detail, thousands of fake online store domains were compiled through this research in March 2022 – a process that is still being carried out continuously by 0xSI\_feed’s cyber intelligence agents during 2022. A clear sign is the peak of submissions noticed from July until October, with thousands of domains associated with the online stores’ campaigns collected and flagged as malicious.


Notice that, end users can validate if their data is now in the wrong hands by utilizing the**[st0r3\_sc4m\_l34a\_ch3ck3r available here](https://tools.seguranca-informatica.pt/st0r3_sc4m_l34k_ch3ck3r/index.php).**



[![](https://i0.wp.com/seguranca-informatica.pt/wp-content/uploads/2022/03/xxxx.jpg?ssl=1)](https://tools.seguranca-informatica.pt/st0r3_sc4m_l34k_ch3ck3r/index.php)


Also during Q1 of 2022 criminals**[have updated phishing templates targeting banking organizations in Portugal](https://seguranca-informatica.pt/alerta-phishing-bancario-com-novo-template-a-circular-em-portugal/#.YsH6dHbMJhE).**These kinds of campaigns are the most critical and dangerous for Internet end-users, with a large number of people impacted every week.


In terms of malware, the [**popular QakBot trojan banker**](https://seguranca-informatica.pt/a-taste-of-the-latest-release-of-qakbot/#.YPix4ehKhPY) has been observed as an increased threat in Q2 2022 in Portugal. This piece of malware is focused on stealing banking credentials and victims’ secrets using different techniques tactics and procedures (TTP) which have evolved over the years, including its delivery mechanisms, C2 techniques, and anti-analysis and reversing features. In detail, 1467 endpoints related to Qakbot operations were submitted into the 0xSI\_f33d in April 2022 which increase the malware numbers during this quarter.


For more information about the**[Qakbot TTPs check below the full analysis](https://seguranca-informatica.pt/a-taste-of-the-latest-release-of-qakbot/#.YsH8InbMJhE)**.


It is possible to verify that there was a high number of phishing campaigns connected to a **[social engineering campaign](https://seguranca-informatica.pt/e-phishing-como-os-burloes-estao-a-usar-os-seus-dados-em-campanhas-maliciosas/#.YhF0VujP0Q8)** related to package delivery services, including CTT, DHL, UPS, FedEx, etc. Notice that, this campaign has been tracked by Segurança-Informática, and all the malicious domains are submitted on the [**0xSI\_f33d**](https://feed.seguranca-informatica.pt/)every day.


**Malware by Numbers**


Overall, the Satori/Mirai botnet, [**URSA trojan**](https://seguranca-informatica.pt/ursa-trojan-is-back-with-a-new-dance/), and [**Qakbot trojan**](https://seguranca-informatica.pt/a-taste-of-the-latest-release-of-qakbot/#.YPix4ehKhPY) were some of the most prevalent threats affecting Portuguese citizens during Q3 and Q4 2022. Other **[trojan bankers variants](https://seguranca-informatica.pt/brazilian-trojan-impacting-portuguese-users-and-using-the-same-capabilities-seen-in-other-latin-american-threats/#.YsH903bMJhE)** and families affecting users from different banks in Portugal were also observed, including [**Maxtrilha**](https://seguranca-informatica.pt/the-new-maxtrilha-trojan-is-being-disseminated-and-targeting-several-banks), **[Javali](https://seguranca-informatica.pt/latin-american-javali-trojan-weaponizing-avira-antivirus-legitimate-injector-to-implant-malware/)**, and **[Lampion](https://seguranca-informatica.pt/targeting-portugal-a-new-trojan-lampion-has-spread-using-template-emails-from-the-portuguese-government-finance-tax/)**. The Lampion 212 version in particular has used **[hidden C2 servers for at least two years](https://seguranca-informatica.pt/the-hidden-c2-lampion-trojan-release-212-is-on-the-rise-and-using-a-c2-server-for-two-years/#.YsH92nbMJhE)**.


These kinds of malwares come from Brazil and the attacks are disseminated via phishing campaigns. Criminals are also using *smishing*to enlarge the scope and to impact a large group of victims.


Also, the popular Emotet has a prominent place in this listing, as it returns a few months later in December 2022, and is a threat to keep under the radar during 2023.


[![](https://i0.wp.com/seguranca-informatica.pt/wp-content/uploads/2023/04/t2.png?ssl=1)](https://i0.wp.com/seguranca-informatica.pt/wp-content/uploads/2023/04/t2.png?ssl=1)


**Threats by Sector**


Regarding the affected sectors, Banking was the most affected with both phishing and malware campaigns hitting Portuguese citizens during Q2 2022. Next, Retail and Health, as the most sectors affected in this season.


[![](https://i0.wp.com/seguranca-informatica.pt/wp-content/uploads/2023/04/t3.png?ssl=1)](https://i0.wp.com/seguranca-informatica.pt/wp-content/uploads/2023/04/t3.png?ssl=1)


Threat campaigns during Q1 2023 will be published daily into [***0xSI\_f33d***](https://feed.seguranca-informatica.pt/), as well as additional incidents and investigations that are being documented and published on [***Segurança-Informatica***](https://seguranca-informatica.pt/).


The infographic containing the report can be downloaded from here in printable format: **PDF** or **PNG**.


[![](https://i0.wp.com/seguranca-informatica.pt/wp-content/uploads/2023/04/Threat-Report-Portugal-Q3Q4-2022.png?ssl=1)](https://i0.wp.com/seguranca-informatica.pt/wp-content/uploads/2023/04/Threat-Report-Portugal-Q3Q4-2022.png?ssl=1)


**You can Download [PDF] or [PNG] report from the original post at [https://seguranca-informatica.pt/threat-report-portugal-q3-q4-2022/#.ZC6Y-XZBy5d](https://seguranca-informatica.pt/threat-report-portugal-q3-2021/#.YZDV-WDMI2x)**


**About the author: [Pedro Tavarez](https://twitter.com/sirpedrotavares)**


Pedro Tavares is a professional in the field of information security working as an Ethical Hacker, Malware Analyst and also a Security Evangelist. He is also a founding member and Pentester at CSIRT.UBI and founder of the security computer blog [seguranca–informatica.pt](https://seguranca-informatica.pt/).


**Please vote for Security Affairs (<https://securityaffairs.com/>) as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS**  
**Vote for me in the sections:**


* The Teacher – Most Educational Blog
* The Entertainer – Most Entertaining Blog
* The Tech Whizz – Best Technical Blog
* Best Social Media Account to Follow (@securityaffairs)


Please nominate Security Affairs as your favorite blog.



> 
> 
> > 
> > **Nominate here: <https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform>**
> > 
> > 
> > 
> 
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Threat Report Portugal)**



  


---


  




## Tags:
***email-adresses***: andpentester@csirt.ubi
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform https://seguranca-informatica.pt/threat-report-portugal-q3-q4-2022/#.ZC6Y-XZBy5d https://securityaffairs.com/

### Autogenerated tags:
[[malware]] [[phishing]] [[0xsi_f33d]] [[q3]] [[q4]] [[blog]] [[qakbot]] [[q2]] [[q1]]
