# Threat Report Portugal: Q4 2021
## The Threat Report Portugal: Q4 2021 compiles data collected on the malicious campaigns that occurred from July to September, Q4, of 2021. The Portuguese Abuse Open Feed 0xSI_f33d is an open sharing database with the ability to collect indicators from multiple sources, developed and maintained by Segurança-Informática. This feed is based on automatic searches and is also supported […]
## Information:

+ Link: https://securityaffairs.co/wordpress/128222/security/threat-report-portugal-q4-2021.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 21 February 2022, 07:58
+ Date scraped: 21 February 2022, 08:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Threat-Report-Portugal-q4-2021-4.jpg?resize=300%2C300&ssl=1)


**The Portuguese Abuse Open Feed** [***0xSI\_f33d***](https://feed.seguranca-informatica.pt/) is an open sharing database with the ability to collect indicators from multiple sources, developed and maintained by [***Segurança-Informática***](https://seguranca-informatica.pt/). This feed is based on automatic searches and is also supported by a healthy community of contributors.  This makes it a reliable and trustworthy and continuously updated source, focused on the threats targeting Portuguese citizens. [**0xSI\_f33d**](https://feed.seguranca-informatica.pt/)**is part of the official**[**VirusTotal ingestors**](https://support.virustotal.com/hc/en-us/articles/115002146809-Contributors)**since July 2021** allowing the community to verify threats worldwide provided by this feed.


The **Threat Report Portugal: Q4 2021** compiles data collected on the malicious campaigns that occurred from October to December, Q4, of 2021. The submissions were classified as either phishing or malware. In addition, the report highlights the threats, trends, and key takeaways of threats observed and reported into [***0xSI\_f33d***](https://feed.seguranca-informatica.pt/). This report provides intelligence and indicators of compromise (IOCs) that organizations can use to fight current attacks, anticipate emerging threats, and manage security awareness in a better way.


**Phishing and Malware Q4 2021**
================================


The results depicted in Figure 1 show that phishing campaigns (92,2%) were more prevalent than malware (7,8%) during Q4 2021. A growing trend in phishing submissions was observed in Q4 (1180), with malware having 7.8% of the total, in comparison with 20.2% in Q3 2021.


[![Threat Report Portugal q4 2021](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Threat-Report-Portugal-q4-2021.png?resize=1024%2C370&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Threat-Report-Portugal-q4-2021.png?ssl=1)
Regarding Q1 2021, the campaigns of phishing and malware increased in reference to 2020, probably as a result of the [***Facebook data breach***](https://seguranca-informatica.pt/facebook-users-leak-just-another-thread-the-same-data-observed-in-2019/#.YIqECLVKguU) leaked in early January 2021. Criminals are using those kinds of data for performing[**massive campaigns and targeting Portuguese Internet end users**](https://seguranca-informatica.pt/e-phishing-como-os-burloes-estao-a-usar-os-seus-dados-em-campanhas-maliciosas/#.YPiweOhKhPY). Q2 maintained the uptrend with criminals [**using novel techniques to distribute phishing**](https://seguranca-informatica.pt/phishing-bancario-em-andamento-e-tirando-partido-de-falhas-open-redirect-do-google-para-evitar-detecao/#.YPiwy-hKhPY) related to the bank sector in the wild. Also, campaigns related to the [**Autoridade Tributária e Aduaneira were observed**](https://seguranca-informatica.pt/phishingtelegram-solicitacao-de-reembolso-da-autoridade-tributaria/#.YZAoTmDP0uU), using Telegram to notify criminals about new infections. August ended with a [**massive campaign impersonating the Continente supermarket brand**](https://seguranca-informatica.pt/fraude-personificando-a-marca-continente-espalha-se-atraves-do-whatsapp-nao-se-deixe-enganar/#.YZAoUGDP0uU), with a lot of domains submitted into the 0xSI\_f33d.


In terms of malware, the [**popular QakBot trojan banker**](https://seguranca-informatica.pt/a-taste-of-the-latest-release-of-qakbot/#.YPix4ehKhPY) was observed as an increased threat in Q1-Q3 2021 in Portugal. This piece of malware is focused on stealing banking credentials and victims’ secrets using different techniques tactics and procedures (TTP) which have evolved over the years, including its delivery mechanisms, C2 techniques, and anti-analysis and reversing features.


Also, two new pieces of malware were documented: [**HorusEyes RAT**](https://seguranca-informatica.pt/the-clandestine-horus-eyes-rat-from-the-underground-to-criminals-arsenal/#.YZAmOmDP0uV) taking advantage of a RAT that comes from underground forums, and the dangerous and 100% FullyUndetectable (FUD)[**Maxtrilha trojan**.](https://securityaffairs.co/wordpress/122134/malware/maxtrilha-banking-trojan.html)


For more information about the [**Maxtrilha trojan check below the full analysis.**](https://seguranca-informatica.pt/the-new-maxtrilha-trojan-is-being-disseminated-and-targeting-several-banks)


Last, it is possible to verify that there was a high number of phishing campaigns in November and December, and this is an indicator connected to a **[social engineering campaign](https://seguranca-informatica.pt/e-phishing-como-os-burloes-estao-a-usar-os-seus-dados-em-campanhas-maliciosas/#.YhF0VujP0Q8)** related to package delivery services, including CTT, DHL, UPS, FedEx, etc. Notice that, this campaign has been tracked by Segurança-Informática and all the malicious domains submitted on the [**0xSI\_f33d**](https://feed.seguranca-informatica.pt/)every day.


**Malware by Numbers**


Overall, the Satori/Mirai botnet, MS Office documents (macros), and [Qakbot trojan](https://seguranca-informatica.pt/a-taste-of-the-latest-release-of-qakbot/#.YPix4ehKhPY) were some of the most prevalent threats affecting Portuguese citizens during Q4 2021. Other trojan bankers variants and families affecting users from different banks in Portugal were also observed. These kinds of malware come from Brazil and the attacks are disseminated via phishing campaigns. Criminals are also using *smishing*to enlarge the scope and to impact a large group of victims.



[![Threat Report Portugal q4 2021](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Threat-Report-Portugal-q4-2021-2.png?resize=1024%2C421&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Threat-Report-Portugal-q4-2021-2.png?ssl=1)
**Threats by Sector**


[![Threat Report Portugal q4 2021](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Threat-Report-Portugal-q4-2021-3.png?resize=741%2C502&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Threat-Report-Portugal-q4-2021-3.png?ssl=1)
Regarding the affected sectors, Retail was the most affected with both phishing and malware campaigns hitting Portuguese citizens during Q4 2021. Next, was Banking and Health, as the most sectors affected in this season.


Threat campaigns during Q1 2022 will be published on a daily basis into [***0xSI\_f33d***](https://feed.seguranca-informatica.pt/), as well as additional incidents and investigations that are being documented and published on [***Segurança-Informatica***](https://seguranca-informatica.pt/).


The infographic containing the report can be downloaded from here in printable format: **PDF** or **PNG**.



[![Threat Report Portugal q4 2021](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Threat-Report-Portugal-q4-2021-4.jpg?resize=732%2C1024&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Threat-Report-Portugal-q4-2021-4.jpg?ssl=1)
The infographic containing the report can be downloaded from here in printable format: **PDF** or **PNG**.


**Download: [[PDF](https://feed.seguranca-informatica.pt/reports/2021/Threat%20Report%20Portugal%20Q4%202021.pdf)] or [[PNG](https://feed.seguranca-informatica.pt/reports/2021/Threat%20Report%20Portugal%20Q4%202021.png)]**


**Original Post at** **[https://seguranca-informatica.pt/threat-report-portugal-q4-2021/#.YhKSa9\_MK5c](https://seguranca-informatica.pt/threat-report-portugal-q3-2021/#.YZDV-WDMI2x)**


**About the author: [Pedro Tavarez](https://twitter.com/sirpedrotavares)**


Pedro Tavares is a professional in the field of information security working as an Ethical Hacker, Malware Analyst and also a Security Evangelist. He is also a founding member and Pentester at CSIRT.UBI and founder of the security computer blog [seguranca–informatica.pt](https://seguranca-informatica.pt/).


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, **Threat Report Portugal**)**



 
  


---


  




## Tags:
***email-adresses***: andpentester@csirt.ubi
***urls***: https://seguranca-informatica.pt/threat-report-portugal-q4-2021/#.YhKSa9_MK5c

### Autogenerated tags:
[[malware]] [[phishing]] [[q4]] [[0xsi_f33d]]
