# WIP19, a new Chinese APT targets IT Service Providers and Telcos
## Chinese-speaking threat actor, tracked as WIP19, is targeting telecommunications and IT service providers in the Middle East and Asia. SentinelOne researchers uncovered a new threat cluster, tracked as WIP19, which has been targeting telecommunications and IT service providers in the Middle East and Asia. The experts believe the group operated for cyber espionage purposes and is […]
## Information:

+ Link: https://securityaffairs.co/wordpress/137107/apt/wip19-targets-middle-east-asia.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 14 October 2022, 15:10
+ Date scraped: 14 October 2022, 16:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/WIP19.jpg?resize=300%2C300&ssl=1)


SentinelOne researchers uncovered a new threat cluster, tracked as WIP19, which has been targeting telecommunications and IT service providers in the Middle East and Asia.


The experts believe the group operated for cyber espionage purposes and is a Chinese-speaking threat group.


The researchers pointed out that the cluster has some overlap with Operation Shadow Force, but uses new malware and different techniques.


The activity of the group is characterized by the usage of a legitimate, stolen digital certificate issued by a company called DEEPSoft, that was used to sign malicious code in an attempt to avoid detection.


*“Almost all operations performed by the threat actor were completed in a “hands-on keyboard” fashion, during an interactive session with compromised machines. This meant the attacker gave up on a stable C2 channel in exchange for stealth.” reads the [report](https://www.sentinelone.com/labs/wip19-espionage-new-chinese-apt-targets-it-service-providers-and-telcos-with-signed-malware/) published by SentinelOne.*


*“Our analysis of the backdoors utilized, in conjunction with pivoting on the certificate, suggest portions of the components used by WIP19 were authored by WinEggDrop, a well-known Chinese-speaking malware author who has created tools for a variety of groups and has been active since 2014.”*


The researchers noticed that portions of the malicious components used by WIP19 were developed by a Chinese-speaking group tracked as WinEggDrop, who has been active since 2014.


WIP19 also seems to be linked to the Operation Shadow Force group due to similarities in the use of malicious artifact developed by WinEggDrop and tactical overlaps.


*“As the toolset itself appears to be shared among several actors, it is unclear whether this is a new iteration of operation “Shadow Force” or simply a different actor utilizing similar TTPs.” continues the report. “The activity we observed, however, represents a more mature actor, utilizing new malware and techniques.”*


The researchers linked an implant dubbed “SQLMaggie”, recently described by [DCSO CyTec](https://medium.com/@DCSO_CyTec/mssql-meet-maggie-898773df3b01), to this activity. 



[![WIP19](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/WIP19.jpg?resize=611%2C377&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/WIP19.jpg?ssl=1)


The threat actors employed multiple tools in their attacks, including ìa credential dumper, network scanner, browser stealer, keystroke logger and screen recorder (ScreenCap).


SQLMaggie is used to compromise Microsoft SQL servers and leverage the access to run arbitrary commands via SQL queries.


Experts reported instances of the SQLMaggie implant in 285 servers spread across 42 countries, most of them in South Korea, India, Vietnam, China.


The experts have no doubts about the attackers’ motivation, another China-linked threat actor is gathering intelligence with this operation.


*“WIP19 is an example of the greater breadth of Chinese espionage activity experienced in critical infrastructure industries,” SentineOne concludes.*


*“The existence of reliable quartermasters and common developers enables a landscape of hard-to-identify threat groups that are using similar tooling, making threat clusters difficult to distinguish from the defenders point of view.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, China)**



 
  


---


  




## Tags:


### Autogenerated tags:
[[wip19]] [[chinese-speaking]] [[malware]] [[wineggdrop]]
