# 'eXotic Visit' Spyware Campaign Targets Android Users in India and Pakistan
## Active Android spyware campaign 'eXotic Visit' targeting users in India and Pakistan.
## Information:

+ Link: https://thehackernews.com/2024/04/exotic-visit-spyware-campaign-targets.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 10 April 2024, 19:54
+ Date scraped: 10 April 2024, 15:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjpDjwu0ou7Qb7dMs0cGkVcyaSPlamklQqsJrhy3j4YmEwLcmIuwCwkuAWpUO5tjNhSrsq2sFtuRYw39S_t63WG4yg2EW1hnqtz1SRgUWb8Qw7zdp6TA5AG1NKV4lBy_WpcYuo-3_xNvbi6TW_iXmvl-4Pqz__dH9FmVpQOd0X_BO-SDHLIAFz1cRgXBJwv/s728-rw-e365/mobile.png)


An active Android malware campaign dubbed eXotic Visit has been primarily targeting users in South Asia, particularly those in India and Pakistan, with malware distributed via dedicated websites and Google Play Store.


Slovak cybersecurity firm said the activity, ongoing since November 2021, is not linked to any known threat actor or group. It's tracking the group behind the operation under the name **Virtual Invaders**.


"Downloaded apps provide legitimate functionality, but also include code from the open-source Android [XploitSPY RAT](https://github.com/XploitWizer-Community/XploitSPY)," ESET security researcher Lukáš Štefanko [said](https://www.welivesecurity.com/en/eset-research/exotic-visit-campaign-tracing-footprints-virtual-invaders/) in a technical report released today.


The campaign is said to be highly targeted in nature, with the apps available on Google Play having negligible number of installs ranging from zero to 45. The apps have since been taken down.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLX0O_pua_BNGD7OG05Td7ASGHjT-c6rLVfmEazcitNrUN4aS12_9AAEWdojbHmrg0EkMQCSyD42w-d6egVdsdVtAEaH-Z0w0f-jU1frNCfaTUp5tY4bg1olzAEY_W1iVATonnvuYqpel_Mxe4TJmkCMSqLOo4ol9NEGBRh_a8C0JhApfKqY8f-wf9m978/s728-e365/wing-d.png)](https://thehackernews.uk/automated-remediation-wing)
The fake-but-functional apps primarily masquerade as messaging services like Alpha Chat, ChitChat, Defcom, Dink Messenger, Signal Lite, TalkU, WeTalk, Wicker Messenger, and Zaangi Chat. Approximately 380 victims are said to have downloaded the apps and created accounts to use them for messaging purposes.


Also employed as part of eXotic Visit are apps such as Sim Info and Telco DB, both of which claim to provide details about SIM owners simply by entering a Pakistan-based phone number. Other applications pass off as a food ordering service in Pakistan as well as a legitimate Indian hospital called Specialist Hospital (now rebranded as Trilife Hospital).


[![eXotic Visit Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjMOipf_-sYXJjGxIvzxPCCKFS_fiZhcjXjSSHzeiJ_wipmWfwJhT6zPgbJdBtorNOV3IHFsFJ0JbSPij-iho41qIiFvq0RpsleeZoj5cBYiBoc6bZ1ly3uyzBiF_FVMz73PPEEvANRdujhSgVEujgHw_gSSwybcbkd90pgjge1K0K09m7HMY5eHIeoc9ja/s728-rw-e365/eset.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjMOipf_-sYXJjGxIvzxPCCKFS_fiZhcjXjSSHzeiJ_wipmWfwJhT6zPgbJdBtorNOV3IHFsFJ0JbSPij-iho41qIiFvq0RpsleeZoj5cBYiBoc6bZ1ly3uyzBiF_FVMz73PPEEvANRdujhSgVEujgHw_gSSwybcbkd90pgjge1K0K09m7HMY5eHIeoc9ja/s728-rw-e365/eset.png)
XploitSPY, [uploaded](https://twitter.com/LukasStefanko/status/1249810055924498432) to GitHub as early as April 2020 by a user named [RaoMK](https://github.com/RaoMK), is associated with an Indian cyber security solutions company called XploitWizer. It has also been described as a fork of another open-source Android trojan called [L3MON](https://github.com/D3VL/L3MON), which, in turn, draws inspiration from [AhMyth](https://thehackernews.com/2023/05/data-stealing-malware-discovered-in.html).


It comes with a wide gamut of features that allows it to gather sensitive data from infected devices, such as GPS locations, microphone recordings, contacts, SMS messages, call logs, and clipboard content; extract notification details from apps like WhatsApp, Facebook, Instagram, and Gmail; download and upload files; view installed apps; and queue commands.


On top of that, the malicious apps are designed to take pictures and enumerate files in several directories related to screenshots, WhatApp, WhatsApp Business, Telegram, and an unofficial WhatsApp mod known as GBWhatsApp.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"Throughout the years, these threat actors have customized their malicious code by adding obfuscation, emulator detection, hiding of [command-and-control] addresses, and use of a native library," Štefanko said.


The main purpose of the native library ("defcome-lib.so") is to keep the C2 server information encoded and hidden from static analysis tools. If an emulator is detected, the app makes use of a fake C2 server to evade detection.


Some of the apps have been propagated through websites specifically created for this purpose ("chitchat.ngrok[.]io") that provide a link to an Android package file ("ChitChat.apk") hosted on GitHub. It's presently not clear how victims are directed to these apps.


"Distribution started on dedicated websites and then even moved to the official Google Play store," Štefanko concluded. "The purpose of the campaign is espionage and probably is targeting victims in Pakistan and India."


  





## Tags:


### Autogenerated tags:
[[apps]] [[android]] [[websites]] [[google]] [[štefanko]] [[whatsapp]]
