# 200+ Malicious Android Apps Targeting Iranian Banks: Experts Warn
## A new report reveals an ongoing Android malware campaign targeting Iranian banks with over 200 malicious apps.
## Information:

+ Link: https://thehackernews.com/2023/11/200-malicious-apps-on-iranian-android.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 29 November 2023, 15:43
+ Date scraped: 29 November 2023, 11:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjU-DQQpFTR43geW-VRp1fk93WLBaXeiK2aLxRXj7zJRSQAwqfBPaJQx0b1jPKURqXx2LbT0NeHllaurX90tP_qS4OcouTK88YX43G5749wr3pjStrx5PG4VLZ9klIQwqq_KUG32B467esFLtzuf9FwN7-RwmYxfcaTeLP3uatipT-zSqOw6chnsOpR4mYu/s728-rw-ft-e30/Android.jpg)


An Android malware campaign targeting Iranian banks has expanded its capabilities and incorporated additional evasion tactics to fly under the radar.


That's according to a new report from Zimperium, which discovered [more than 200 malicious apps](https://github.com/Zimperium/Iranian-banking-malware/blob/master/apk-sha256.csv) associated with the malicious operation, with the threat actor also observed carrying out phishing attacks against the targeted financial institutions.


The campaign first came to light in late July 2023 when Sophos [detailed](https://thehackernews.com/2023/08/charming-kitten-targets-iranian.html) a cluster of 40 credential-harvesting apps targeting customers of Bank Mellat, Bank Saderat, Resalat Bank, and Central Bank of Iran.


The primary goal of the bogus apps is to trick victims into granting them extensive permissions as well as harvest banking login credentials and credit card details by abusing [Android's accessibility services](https://thehackernews.com/2023/11/malicious-apps-disguised-as-banks-and.html).


"The corresponding legitimate versions of the malicious apps are available at Cafe Bazaar, an Iranian Android marketplace, and have millions of downloads," Sophos researcher Pankaj Kohli said at the time.


"The malicious imitations, on the other hand, were available to download from a large number of relatively new domains, some of which the threat actors also employed as C2 servers."


Interestingly, some of these domains have also been observed to serve HTML phishing pages designed to steal credentials from mobile users.


The latest findings from [Zimperium](https://www.zimperium.com/blog/unveiling-the-persisting-threat-iranian-mobile-banking-malware-campaign-extends-its-reach/) illustrate continued evolution of the threat, not only in terms of a broader set of targeted banks and cryptocurrency wallet apps, but also incorporating previously undocumented features that make it more potent.


This includes the use of the accessibility service to grant it additional permissions to intercept SMS messages, prevent uninstallation, and click on user interface elements.


Some variants of the malware have also been found to access a README file within GitHub repositories to extract a Base64-encoded version of the command-and-control (C2) server and phishing URLs.


"This allows attackers to quickly respond to phishing sites being taken down by updating the GitHub repository, ensuring that malicious apps are always getting the latest active phishing site," Zimperium researchers Aazim Yaswant and Vishnu Pratapagiri said.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjwPApnkcuzpYI0s-G8P_4ZWoe15fpbdpf2dvjpNm5Ji1Ovq3E0ZtluH5iVQP7hLShbEUe8VK6zTDwcSWG4cg1GLvrYIM3iWH8IG5DFbwVxPYWnF9V36KG9tr8NKanzK34ufhjFtNjcHT20aoRIp9iVVKMs-6FNL1bMHwUyXhqDlKioYOnorkQ4ipLXikBY/s728-rw-ft-e30/apps.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjwPApnkcuzpYI0s-G8P_4ZWoe15fpbdpf2dvjpNm5Ji1Ovq3E0ZtluH5iVQP7hLShbEUe8VK6zTDwcSWG4cg1GLvrYIM3iWH8IG5DFbwVxPYWnF9V36KG9tr8NKanzK34ufhjFtNjcHT20aoRIp9iVVKMs-6FNL1bMHwUyXhqDlKioYOnorkQ4ipLXikBY/s728-rw-ft-e30/apps.jpg)
Another noteworthy tactic is the use of intermediate C2 servers to host text files that contain the encoded strings pointing to the phishing sites.


While the campaign has so far trained its eyes on Android, there is evidence that Apple's iOS operating system is also a potential target based on the fact that the phishing sites verify if the page is opened by an iOS device, and if so, direct the victim to a website mimicking the iOS version of the Bank Saderat Iran app.


It's currently not clear if the iOS campaign is under development stages, or if the apps are distributed through an, as of yet, unidentified source.

 The phishing campaigns are no less sophisticated, impersonating the actual websites to exfiltrate credentials, account numbers, device models, and IP addresses to two actor-controlled Telegram channels.


"It is evident that modern malware is becoming more sophisticated, and targets are expanding, so runtime visibility and protection are crucial for mobile applications," the researchers said.


The development comes a little over a month after Fingerprint demonstrated a method by which malicious Android apps can stealthily access and copy clipboard data by leveraging the [SYSTEM\_ALERT\_WINDOW](https://developer.android.com/reference/android/Manifest.permission#SYSTEM_ALERT_WINDOW) permission to obscure the [toast notification](https://thehackernews.com/2023/03/sheins-android-app-caught-transmitting.html) that's displayed when a particular app is reading clipboard data.


"It's possible to overdraw a toast either with a different toast or with any other view, completely hiding the original toast can prevent the user from being notified of clipboard actions," Fingerprint [said](https://fingerprint.com/blog/android-14-clipboard-security-leak/). "Any application with the SYSTEM\_ALERT\_WINDOW permission can read clipboard data without notifying the user."

 
  





## Tags:


### Autogenerated tags:
[[apps]] [[phishing]] [[android]] [[malware]] [[zimperium]] [[c2]]
