# Banking Trojans Target Latin America and Europe Through Google Cloud Run
## Cybersecurity experts uncover a surge in phishing attacks using Google Cloud Run to distribute banking malware across LATAM and Europe.
## Information:

+ Link: https://thehackernews.com/2024/02/banking-trojans-target-latin-america.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 26 February 2024, 15:21
+ Date scraped: 26 February 2024, 10:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhLmzNYuEjF0LCryXuALF9uTLywG0rWuh3O0t2vd1t6Sp7DBuUBcGOF6foSfvRfTHOQTBjZURkvfYc-ZRSJw7tQOTsEKDSpYEmpCxl7JZyHB6e4szac1DKApxMFFg4ipCkPSFZ39UZO880Q4CHtjV2uwOhpi10PVjiiUfv3-KLlXMi-o0XxB0tjOLUcT6Kl/s728-rw-e365/cyber.jpg)


Cybersecurity researchers are warning about a spike in email phishing campaigns that are weaponizing the Google Cloud Run service to deliver various banking trojans such as [Astaroth](https://thehackernews.com/2020/07/brazilian-banking-trojan.html) (aka Guildma), [Mekotio](https://thehackernews.com/2021/11/mekotio-banking-trojan-resurfaces-with.html), and [Ousaban](https://thehackernews.com/2021/09/numando-new-banking-trojan-targeting.html) (aka Javali) to targets across Latin America (LATAM) and Europe.


"The infection chains associated with these malware families feature the use of malicious Microsoft Installers (MSIs) that function as droppers or downloaders for the final malware payload(s)," Cisco Talos researchers [disclosed](https://blog.talosintelligence.com/google-cloud-run-abuse/) last week.


The high-volume malware distribution campaigns, observed since September 2023, have employed the same storage bucket within Google Cloud for propagation, suggesting potential links between the threat actors behind the distribution campaigns.


Google Cloud Run is a [managed compute platform](https://cloud.google.com/run?hl=en) that enables users to run frontend and backend services, batch jobs, deploy websites and applications, and queue processing workloads without having to manage or scale the infrastructure.


"Adversaries may view Google Cloud Run as an inexpensive, yet effective way to deploy distribution infrastructure on platforms that most organizations likely do not prevent internal systems from accessing," the researchers said.


A majority of the systems used to send phishing messages originate from Brazil, followed by the U.S., Russia, Mexico, Argentina, Ecuador, South Africa, France, Spain, and Bangladesh. The emails bear themes related to invoices or financial and tax documents, in some cases purporting to be from local government tax agencies.


Embedded within these messages are links to a website hosted on run[.]app, resulting in the delivery of a ZIP archive containing a malicious MSI file either directly or via 302 redirects to a Google Cloud Storage location, where the installer is stored.


The threat actors have also been observed attempting to evade detection using geofencing tricks by redirecting visitors to these URLs to a legitimate site like Google when accessing them with a U.S. IP address.


Besides leveraging the same infrastructure to deliver both Mekotio and Astaroth, the infection chain associated with the latter acts as a conduit to distribute Ousaban.


Astaroth, Mekotio, and Ousaban are all designed to single out financial institutions, keeping tabs on users' web browsing activity as well as logging keystrokes and taking screenshots should one of the target bank websites be open.


Ousaban has a history of [weaponizing cloud services](https://www.netskope.com/blog/ousaban-latam-banking-malware-abusing-cloud-services) to its advantage, having previously employed Amazon S3 and Microsoft Azure to download second-stage payloads, and Google Docs to retrieve command-and-control (C2) configuration.


The development comes amid phishing campaigns propagating [malware families](https://thehackernews.com/2022/05/experts-sound-alarm-on-dcrat-backdoor.html) such as [DCRat, Remcos RAT](https://www.esentire.com/blog/from-onlydcratfans-to-remcosrat), and [DarkVNC](https://www.esentire.com/blog/technical-analysis-of-darkvnc) that are capable of harvesting sensitive data and taking control of compromised hosts.


It also follows an uptick in threat actors deploying QR codes in phishing and email-based attacks (aka quishing) to trick potential victims into installing malware on their mobile devices.


[![Banking Trojan](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg0KsojY6S4UxFdHFYiIgs_qP8oA-RfNWllh6XAKzscDhjuMQQK3wrHSGg0Fc6kPmQghQ9mBQz1mxub-IIWVoVGV-on2r6e8owPlQs1aEsbqKZAyGSXrlyTfWlWJHXzFjlFe46GDplgzSxHsr_XH7aFZpu107zMhRW8fQI8SsTnURRI-kB35NygVjdga2gY/s728-rw-e365/talos.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg0KsojY6S4UxFdHFYiIgs_qP8oA-RfNWllh6XAKzscDhjuMQQK3wrHSGg0Fc6kPmQghQ9mBQz1mxub-IIWVoVGV-on2r6e8owPlQs1aEsbqKZAyGSXrlyTfWlWJHXzFjlFe46GDplgzSxHsr_XH7aFZpu107zMhRW8fQI8SsTnURRI-kB35NygVjdga2gY/s728-rw-e365/talos.jpg)
"In a separate attack, the adversaries sent targets spear-phishing emails with malicious QR codes pointing to fake Microsoft Office 365 login pages that eventually steal the user's login credentials when entered," Talos [said](https://blog.talosintelligence.com/how-are-attackers-using-qr-codes-in-phishing-emails-and-lure-documents/).


"QR code attacks are particularly dangerous because they move the attack vector off a protected computer and onto the target's personal mobile device, which usually has fewer security protections in place and ultimately has the sensitive information that attackers are after."


Phishing campaigns have also set their eyes on the oil and gas sector to deploy an information stealer called [Rhadamanthys](https://thehackernews.com/2023/12/rhadamanthys-malware-swiss-army-knife.html), which has currently reached version 0.6.0, highlighting a [steady stream of patches and updates](https://cyberint.com/blog/research/blink-and-update-all-about-rhadamanthys-stealer/) by its developers.


"The campaign starts with a phishing email using a vehicle incident report to lure victims into interacting with an embedded link that abuses an open redirect on a legitimate domain, primarily Google Maps or Google Images," Cofense [said](https://cofense.com/blog/new-maas-infostealer-malware-campaign-targeting-oil-gas-sector/).


Users who click on the link are then redirected to a website hosting a bogus PDF file, which, in reality, is a clickable image that contacts a GitHub repository and downloads a ZIP archive containing the stealer executable.


"Once a victim attempts to interact with the executable, the malware will unpack and start a connection with a command-and-control (C2) location that collects any stolen credentials, cryptocurrency wallets, or other sensitive information," the company added.


Other campaigns have abused email marketing tools like Twilio's SendGrid to obtain client mailing lists and take advantage of stolen credentials to send out convincing-looking phishing emails, per Kaspersky.


"What makes this campaign particularly insidious is that the phishing emails bypass traditional security measures," the Russian cybersecurity company [noted](https://www.kaspersky.com/blog/sendgrid-credentials-phishing/50662/). "Since they are sent through a legitimate service and contain no obvious signs of phishing, they may evade detection by automatic filters."


These phishing activities are further fueled by the [easy availability of phishing kits](https://thehackernews.com/2024/01/telegram-marketplaces-fuel-phishing.html) such as [Greatness](https://thehackernews.com/2024/01/malicious-ads-on-google-target-chinese.html) and Tycoon, which have become a cost-effective and scalable means for aspiring cyber criminals to mount malicious campaigns.


"Tycoon Group [phishing-as-a-service] is sold and marketed on Telegram for as low as $120," Trustwave SpiderLabs researcher Rodel Mendrez [said](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/breakdown-of-tycoon-phishing-as-a-service-system/) last week, noting the service first came into being around August 2023.


"Its key selling features include the ability to bypass Microsoft two-factor authentication, achieve 'link speed at the highest level,' and leveraging Cloudflare to evade antibot measures, ensuring the persistence of undetected phishing links."


  





## Tags:
***urls***: http://run.app

### Autogenerated tags:
[[phishing]] [[google]] [[cloud]] [[malware]] [[ousaban]] [[microsoft]] [[emails]] [[astaroth]] [[mekotio]]
