# Beware: Cybercriminals Launch New BrasDex Android Trojan Targeting Brazilian Banking Users
## Cybercriminals behind a Windows banking malware have released a new Android banking Trojan, dubbed BrasDex, targeting Brazilian users.
## Information:

+ Link: https://thehackernews.com/2022/12/beware-cybercriminals-launch-new.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 20 December 2022, 14:33
+ Date scraped: 20 December 2022, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjF-iNM73Y7Xn04orSe79MVEdTutn5xGOugQhxurklCCN3Epq29bvh5l74rEQDeJNm7AKXFiKk_hEMy4h8S02TwfDUWqT0kLRBfIRjpYk2XVCNzPhR0iWoOrAiHwbp9788726bPx7jhe24seMqi0uhiHNJOhvOAYYtZtYWjP4G6Da5C-CynCa1dc0lt/s728-e1000/android-banking-malware.png)


The threat actors behind the Windows banking malware known as **Casbaneiro** has been attributed as behind a novel Android trojan called **BrasDex** that has been observed targeting Brazilian users as part of an ongoing multi-platform campaign.


BrasDex features a "complex keylogging system designed to abuse Accessibility Services to extract credentials specifically from a set of Brazilian targeted apps, as well as a highly capable Automated Transfer System ([ATS](https://thehackernews.com/2022/11/this-android-file-manager-app-infected.html)) engine," ThreatFabric [said](https://www.threatfabric.com/blogs/brasdex-a-new-brazilian-ats-malware.html) in a report published last week.


The Dutch security firm said that the command-and-control (C2) infrastructure used in conjunction with BrasDex is also being used to control [Casbaneiro](https://www.welivesecurity.com/2019/10/03/casbaneiro-trojan-dangerous-cooking/), which is known to strike banks and cryptocurrency services in Brazil and Mexico.


The [hybrid Android and Windows malware campaign](https://thehackernews.com/2022/12/researchers-uncover-darknet-service.html) is estimated to have resulted in thousands of infections to date.


BrasDex, which masquerades as a banking app for Banco Santander, is also emblematic of a new trend that involves abusing Android's Accessibility APIs to log keystrokes entered by the victims, moving away from the traditional method of overlay attacks to steal credentials and other personal data.


It's also engineered to capture account balance information, subsequently using it to take over infected devices and initiate fraudulent transactions in a programmatic manner.


Another notable aspect of BrasDex is its singular focus on the PIX payments platform, which allows banking customers in Brazil to make money transfers simply using their email addresses or phone numbers.


[![BrasDex Android Trojan](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiiqj9YI-gJQ4TsVn4lYgnEY4o9moYlQA36eFGKCuARuXkgvCJEoVsbvpk0rMfb7bSCk4Ai1c7cKor8mmGZoEfYpUAuFiL0SmESD9UV-LemtzmoiV_MtW5YEZ0UwtjQst9k83OHpoyvr5VD8jNWaLgi-qpAQGxFeu4F0P2KYXN97ClcVBg_VLxATpZ7/s728-e100/android-malware.png)[![BrasDex Android Trojan](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhCJ2JstCvAKo4H6RQdPfz40-6jmVKvwUw5fEqDXRYSFBD6_9s26zyx9Ybqf4c6R2dv6_dlF95ehlHr_FGPzqaMiVPo07bkldKfn0WPIHi20_fbpYyZ5YHvVTSCE4Esr7F6HSQ9W7v797pAlzQYRrXhJ9OI4v9_QDWRw0TtbEAToKiVVJRl0g5o0vM-/s728-e100/android.png)
The ATS system in BrasDex is explicitly designed to abuse PIX technology to make fraudulent transfers.


This is not the first time the instant payment ecosystem has been targeted by bad actors. In September 2021, Check Point detailed two Android malware families named [PixStealer and MalRhino](https://thehackernews.com/2021/09/hackers-targeting-brazils-pix-payment.html) that tricked users into transferring their entire account balances to an actor-controlled one.


ThreatFabric's investigation into BrasDex also allowed it to gain access to the C2 panel used by the criminal operators to keep track of the infected devices and retrieve data logs exfiltrated from the Android phones.


The C2 panel, as it happens, is also being utilized to keep tabs on a different malware campaign which compromises Windows machines to deploy Casbaneiro, a Delphi-based financial trojan.

 This attack chain employs package delivery-themed phishing lures purporting to be from Correios, a state-owned postal service, to dupe recipients into executing the malware following a multi-staged process.


Casbaneiro's features run the typical backdoor gamut that allows it to seize control of banking accounts, take screenshots, perform keylogging, hijack clipboard data, and even function as a [clipper malware](https://thehackernews.com/2022/11/new-laplas-clipper-malware-targeting.html) to hijack crypto transactions.


"Being independent and full-fledged malware families, BrasDex and Casbaneiro form a very dangerous pair, allowing the actor behind them to target both Android and Windows users on a large scale," ThreatFabric said.


"The BrasDex case shows the necessity of fraud detection and prevention mechanisms in place on customers devices: Fraudulent payments made automatically with the help of ATS engines appear legitimate to bank backends and fraud scoring engines, as they are made through the same device that is usually used by customers."


  





## Tags:


### Autogenerated tags:
[[brasdex]] [[malware]] [[android]] [[casbaneiro]] [[windows]] [[ats]] [[threatfabric]] [[c2]]
