# Brazilian Banks Targeted by New AllaKore RAT Variant Called AllaSenha
## New banking trojan targets Brazilian institutions! AllaSenha, a custom variant of AllaKore RAT, is stealing credentials and leveraging Azure cloud for
## Information:

+ Link: https://thehackernews.com/2024/05/brazilian-banks-targeted-by-new.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 29 May 2024, 20:28
+ Date scraped: 29 May 2024, 15:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj2oN4wA3-1nzpUfMF9tGkFGhB-Vw3OkHXSml-BmnvgJUpF4ItSykgbTAbbQC9NPC77B-n-BRDpYQUHbdk0uI2hU8x5mY1rX03OEvR3w7w_H6DL3esp7vZ4NdtWiotWz3gYjKnebIhi2ozwZWjpoaW6cD6yEHkChlBBOJn4-v1gGa4WY1ZBBUx7Brme6R1k/s728-rw-e365/cyber.png)


Brazilian banking institutions are the target of a new campaign that distributes a custom variant of the Windows-based [AllaKore](https://thehackernews.com/2024/01/allakore-rat-malware-targeting-mexican.html) remote access trojan (RAT) called **AllaSenha**.


The malware is "specifically aimed at stealing credentials that are required to access Brazilian bank accounts, [and] leverages Azure cloud as command-and-control (C2) infrastructure," French cybersecurity company HarfangLab [said](https://harfanglab.io/en/insidethelab/allasenha-allakore-variant-azure-c2-steal-banking-latin-america/) in a technical analysis.


Targets of the campaign include banks such as Banco do Brasil, Bradesco, Banco Safra, Caixa Econômica Federal, Itaú Unibanco, Sicoob, and Sicredi. The initial access vector, though not definitively confirmed, points towards the use of malicious links in phishing messages.


The starting point of the attack is a malicious Windows shortcut (LNK) file that masquerades as a PDF document ("NotaFiscal.pdf.lnk") hosted on a WebDAV server since at least March 2024. There is also evidence to suggest that the threat actors behind the activity previously abused legitimate services like Autodesk A360 Drive and GitHub to host the payloads.


The LNK file, when launched, executes a Windows command shell that's designed to open a decoy PDF file to the recipient, while simultaneously retrieving a BAT payload named "c.cmd" from the same WebDAV server location.


Dubbed the BPyCode launcher, the file launches a Base64-encoded PowerShell command, which subsequently downloads the Python binary from the official www.python[.]org website in order to execute a Python script codenamed BPyCode.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
BPyCode, for its part, functions as a downloader for a dynamic-link library ("executor.dll") and running it in memory. The DLL is fetched from one of the domain names generated via a domain generation algorithm (DGA).


"Generated hostnames seem to match those that are associated with the [Microsoft Azure Functions](https://learn.microsoft.com/en-us/azure/azure-functions/functions-overview?pivots=programming-language-csharp) service, a serverless infrastructure that in this case would allow operators to easily deploy and rotate their staging infrastructure," the company said.


Specifically, BPyCode retrieves a [pickle file](https://docs.python.org/3/library/pickle.html) that includes three files: A second Python loader script, a ZIP archive containing the [PythonMemoryModule package](https://github.com/naksyn/PythonMemoryModule), and another ZIP archive containing "executor.dll."


The new Python loader script is then launched to load executor.dll, a Borland Delphi-based malware also called ExecutorLoader, in memory using PythonMemoryModule. ExecutorLoader is primarily tasked with decoding and executing AllaSenha by injecting it into a legitimate mshta.exe process.


In addition to stealing online banking account credentials from web browsers, AllaSenha comes with the ability to display overlay windows in order to capture two-factor authentication (2FA) codes and even trick a victim into scanning a QR code to approve a fraudulent transaction initiated by the attackers.


"All AllaSenha samples [...] use Access\_PC\_Client\_dll.dll as their original file name," HarfangLab noted. "This name can notably be found in the [KL Gorki](https://github.com/oxahax/Brazilian-Malwares/tree/master/Pascal-Delphi/KL-REMOTA-KL/KL%20Gorki) project, a banking malware which seems to combine components of both AllaKore and ServerSocket."


Further analysis of the source code associated with the initial LNK file and AllaSenha samples has revealed that a Portuguese-speaking user named bert1m is likely linked to the development of the malware, although there is no evidence at this stage to suggest that they are operating the tools as well.


"The threat actors that operate in Latin America appear to be a particularly productive source of cybercrime campaigns," HarfangLab said.


"While almost exclusively targeting Latin American individuals to steal banking details, these actors often end up compromising computers that are indeed operated by subsidiaries or employees in Brazil, but that belong to companies all around the world."


The development comes as Forcepoint detailed malspam campaigns distributing another Latin America-focused banking trojan called [Casbaneiro](https://thehackernews.com/2023/07/casbaneiro-banking-malware-goes-under.html) (aka Metamorfo and Ponteiro) via HTML attachments with an aim to siphon victims' financial information.


"The malware distributed via email urges the user to click on the attachment," security researcher Prashant Kumar [said](https://www.forcepoint.com/blog/x-labs/exploring-metamorfo-banking-malware). "The attachment contains malicious code which does a series of activities and leads to data compromise."


### Anatsa Android Banking Trojan Sneaks into Google Play Store[#](#anatsa-android-banking-trojan-sneaks-into-google-play-store)


It's not just Windows that has been at the receiving end of banking trojan attacks, for Zscaler ThreatLabz disclosed details of an Android banking malware campaign that made use of decoy applications uploaded to the Google Play store to deliver Anatsa (aka TeaBot and Toddler).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
These clean dropper applications pass off as seemingly harmless productivity and utility apps like PDF readers, QR code readers, and translators, mirroring an identical infection chain [revealed](https://thehackernews.com/2024/02/anatsa-android-trojan-bypasses-google.html) by ThreatFabric earlier this February to retrieve and deploy the malware from a remote server under the guise of an app update to evade detection.


The apps, which have since been taken down by Google, are listed below -


* com.appandutilitytools.fileqrutility (QR Reader & File Manager)
* com.ultimatefilesviewer.filemanagerwithpdfsupport (PDF Reader & File Manager)


According to statistics available on Sensor Tower, PDF Reader & File Manager has been [installed](https://app.sensortower.com/overview/com.ultimatefilesviewer.filemanagerwithpdfsupport?country=US) anywhere between 500 to 1,000 times, while the QR code reader app has had [installations](https://app.sensortower.com/overview/com.appandutilitytools.fileqrutility?country=GB) in the range of 50,000 to 100,000.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgPaTKh5MwyQVhD7YNi81TSUNuNxyBQRvon4akkL-s4HWIEBmJlStY7yXD6BUnmkshhzOfVp7HAsi5eFdZhnc5bPJUTJPUm73C2nBqCHIqmOnSglEWPEeQUHEgw-csATwWK7sv5aNBnWMZ9WcBdXKTXlMIUOrHRVZ4DDAaKEPTKKIPZnM1Lv_MGdCwt3aGR/s728-rw-e365/z.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgPaTKh5MwyQVhD7YNi81TSUNuNxyBQRvon4akkL-s4HWIEBmJlStY7yXD6BUnmkshhzOfVp7HAsi5eFdZhnc5bPJUTJPUm73C2nBqCHIqmOnSglEWPEeQUHEgw-csATwWK7sv5aNBnWMZ9WcBdXKTXlMIUOrHRVZ4DDAaKEPTKKIPZnM1Lv_MGdCwt3aGR/s728-rw-e365/z.png)
"Once installed, Anatsa exfiltrates sensitive banking credentials and financial information from global financial applications," researchers Himanshu Sharma and Gajanan Khond [said](https://www.zscaler.com/blogs/security-research/technical-analysis-anatsa-campaigns-android-banking-malware-active-google). "It achieves this through the use of overlay and accessibility techniques, allowing it to intercept and collect data discreetly."


Zscaler said it identified over 90 malicious apps on the Play Store over the past few months that have collectively had more than 5.5 million installations and were used to propagate [various malware families](https://thehackernews.com/2022/07/several-new-play-store-apps-spotted.html) like Joker, Facestealer, Anatsa, Coper, and other adware.


  





## Tags:
***urls***: http://www.python.org

### Autogenerated tags:
[[malware]] [[allasenha]] [[pdf]] [[windows]] [[bpycode]] [[anatsa]] [[harfanglab]] [[lnk]] [[executor.dll]] [[google]]
