# CanesSpy Spyware Discovered in Modified WhatsApp Versions
## WhatsApp mods for Android hiding a dangerous spyware, CanesSpy! Your phone could be compromised without you knowing.
## Information:

+ Link: https://thehackernews.com/2023/11/canesspy-spyware-discovered-in-modified.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 03 November 2023, 15:05
+ Date scraped: 03 November 2023, 10:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjcCYW15IJ__3-QfwURDi7LC1wf0wuICwQrT3rtOlcuHibTE14dmY2euG2IOTRzxe6dKMwcc3SGM4J-mMBW2SKPqJt8ndRTH9JKv2bnpMPvJJBXY9sXiLMct-VkKYScyMESRHEBtqDc4z35Dbym0jCkiM2mIDn5n2rY6VcMSZ1JLKncZfYVkyjUoNC9LuLs/s728-rw-ft-e30/whatsapp-spyware.jpg)


Cybersecurity researchers have unearthed a number of WhatsApp mods for Android that come fitted with a spyware module dubbed **CanesSpy**.


These modified versions of the instant messaging app have been observed propagated via sketchy websites advertising such software as well as Telegram channels used primarily by Arabic and Azerbaijani speakers, one of which boasts 2 million users.


"The trojanized client manifest contains suspicious components (a service and a broadcast receiver) that cannot be found in the original WhatsApp client," Kaspersky security researcher Dmitry Kalinin [said](https://securelist.com/spyware-whatsapp-mod/110984/).


Specifically, the new additions are designed to activate the spyware module when the phone is switched on or starts charging.


It subsequently proceeds to establish contact with a command-and-control (C2) server, followed by sending information about the compromised device, such as the IMEI, phone number, mobile country code, and mobile network code.


CanesSpy also transmits details about the victim's contacts and accounts every five minutes, in addition to awaiting further instructions from the C2 server every minute, a setting that can be reconfigured.


This includes sending files from external storage (e.g., removable SD card), contacts, recording sound from the microphone, sending data about the implant configuration, and altering the C2 servers.


[![Modified WhatsApp](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjZtEEbwabB3aIek3PGh7qigf-aJute8hXoiJ1_fKQXmnfC9WcSn3HViml3_IP-ynZRBy7NzG7DuocEgMAR0hiWOJMuS4Qh-b7YqCvPvNj_Fw2myVpDHDESzJAviC8F4CARAOaKbZ6-yEr6LE_rmqo-HGIvjp2pVOcSE5FGpISbi2DeVWtLKeciOAmKXL_Y/s728-rw-ft-e30/whatsapp.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjZtEEbwabB3aIek3PGh7qigf-aJute8hXoiJ1_fKQXmnfC9WcSn3HViml3_IP-ynZRBy7NzG7DuocEgMAR0hiWOJMuS4Qh-b7YqCvPvNj_Fw2myVpDHDESzJAviC8F4CARAOaKbZ6-yEr6LE_rmqo-HGIvjp2pVOcSE5FGpISbi2DeVWtLKeciOAmKXL_Y/s728-rw-ft-e30/whatsapp.jpg)
The fact that the messages sent to the C2 server are all in Arabic indicates that the developer behind the operation is an Arabic speaker.


Further analysis of the operation shows that the spyware has been active since mid-August 2023, with the campaign primarily targeting Azerbaijan, Saudi Arabia, Yemen, Turkey, and Egypt.


The development marks the continued abuse of modified versions of messaging services like [Telegram](https://thehackernews.com/2023/09/millions-infected-by-spyware-hidden-in.html) and [WhatsApp](https://thehackernews.com/2022/10/modified-whatsapp-app-caught-infecting.html) to distribute malware to unsuspecting users.


"WhatsApp mods are mostly distributed through third-party Android app stores, which often lack screening and fail to take down malware," Kalinin said. "Some of these resources, such as third-party app stores and Telegram channels, enjoy considerable popularity, but that is no guarantee of safety."



  





## Tags:


### Autogenerated tags:
[[whatsapp]] [[c2]] [[spyware]]
