# China-backed Hackers Hijack Software Updates to Implant "NSPX30" Spyware
## China-linked group called Blackwood is hijacking updates for popular apps like Tencent QQ & WPS Office to inject their sophisticated "NSPX30" spyware
## Information:

+ Link: https://thehackernews.com/2024/01/china-backed-hackers-hijack-software.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 25 January 2024, 15:38
+ Date scraped: 25 January 2024, 11:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh2gSozyeQ7VXwEOnJ_EDfq-4IP8AwFb44Ii1tykI1ms-C_rkapIMffWI0ChZ2Nu9AxI6lqSX4kiIGpqFrHaydC88Nc1iRkLNGZqrQtx7G3Mz_gb7joEz_qraNM0vi6caz3Ol2pWJy9cyY4Q6nbCQ-_XobAj8KAvXCtx7tMpR3QSsyuYFVFcAqn0GhesUpY/s728-rw-ft-e30/stub.jpg)


A previously undocumented China-aligned threat actor has been linked to a set of adversary-in-the-middle (AitM) attacks that hijack update requests from legitimate software to deliver a sophisticated implant named NSPX30.


Slovak cybersecurity firm ESET is tracking the advanced persistent threat (APT) group under the name **Blackwood**. It's said to be active since at least 2018.


The NSPX30 implant has been observed deployed via the update mechanisms of known software such as Tencent QQ, WPS Office, and Sogou Pinyin, with the attacks targeting Chinese and Japanese manufacturing, trading, and engineering companies as well as individuals located in China, Japan, and the U.K.


[![Hackers Hijack Software Updates](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh97ZDS2BhssLLuTP5K9Ni7vjjXP_XiQ6jo8Zp7gqwbh1TVybAjnxPRczb4QRRoOCc8n6mhy6i-l7PiE3Esj7UcCrjntaerOOIZtKCpqMy7xFzd68VPe6Gd41l0Y0QeI8usyIq1eQNeVQ6B8uSvJUsbfT_cR7wXCOHl4BP5fgCarfNOiwc_RHB_yjKiD_gC/s728-rw-ft-e30/eset-4.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh97ZDS2BhssLLuTP5K9Ni7vjjXP_XiQ6jo8Zp7gqwbh1TVybAjnxPRczb4QRRoOCc8n6mhy6i-l7PiE3Esj7UcCrjntaerOOIZtKCpqMy7xFzd68VPe6Gd41l0Y0QeI8usyIq1eQNeVQ6B8uSvJUsbfT_cR7wXCOHl4BP5fgCarfNOiwc_RHB_yjKiD_gC/s728-rw-ft-e30/eset-4.jpg)
"NSPX30 is a multistage implant that includes several components such as a dropper, an installer, loaders, an orchestrator, and a backdoor," security researcher Facundo Muñoz [said](https://www.welivesecurity.com/en/eset-research/nspx30-sophisticated-aitm-enabled-implant-evolving-since-2005/). "Both of the latter two have their own sets of plugins."


"The implant was designed around the attackers' capability to conduct packet interception, enabling NSPX30 operators to hide their infrastructure."


The origins of the backdoor, which is also capable of bypassing several Chinese anti-malware solutions by allowlisting itself, can be traced to another malware from January 2005 codenamed Project Wood, which is designed to harvest system and network information, record keystrokes, and take screenshots from victim systems.


Project Wood's codebase has acted as the foundation for several implants, including spawning variants like [DCM](https://bbs.kafan.cn/thread-1354867-1-1.html) (aka [Dark Specter](https://web.archive.org/web/20160415014548/http:/www.freebuf.com/articles/system/101447.html)) in 2008, with the malware subsequently used in attacks targeting individuals of interest in Hong Kong and the Greater China area in [2012](https://www.sans.org/white-papers/33814/) and [2014](https://www.gdatasoftware.com/blog/2014/10/23940-operation-toohash-how-targeted-attacks-work).


NSPX30, the latest iteration of the implant, is delivered when attempts to download software updates from legitimate servers using the (unencrypted) HTTP protocol results in a system compromise, paving the way for the deployment of a dropper DLL file.


[![Hackers Hijack Software Updates](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjiEqMIF9szshwrbKRBsHQpSxa9hSRmlIel4kAMUxfQULL2dcJMuUkc78gUOkbXUGwRNN2i2cABbmioWWUjG2_FWV2G80sVLSydJOIiaLohEiNV-kcbpvJwqdEqpcQ5wQjcVKsCce_UNVVjeaSXebabcMpWTihyigIhfu6J4M900uZEQm_WJm2J0jUmg8W3/s728-rw-ft-e30/eset-1.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjiEqMIF9szshwrbKRBsHQpSxa9hSRmlIel4kAMUxfQULL2dcJMuUkc78gUOkbXUGwRNN2i2cABbmioWWUjG2_FWV2G80sVLSydJOIiaLohEiNV-kcbpvJwqdEqpcQ5wQjcVKsCce_UNVVjeaSXebabcMpWTihyigIhfu6J4M900uZEQm_WJm2J0jUmg8W3/s728-rw-ft-e30/eset-1.jpg)
The malicious dropper deployed as part of the compromised update process creates several files on disk and executes "RsStub.exe," a binary associated with the Rising Antivirus software so as to launch "comx3.dll" by taking advantage of the fact the former is susceptible to [DLL side-loading](https://thehackernews.com/2023/10/quasar-rat-leverages-dll-side-loading.html).


"comx3.dll" functions as a loader to execute a third file named "comx3.dll.txt," which is an installer library responsible for activating the next-stage attack chain that culminates in the execution of the orchestrator component ("WIN.cfg").


It's currently not known how the threat actors deliver the dropper in the form of malicious updates, but Chinese threat actors like [BlackTech](https://thehackernews.com/2023/09/chinas-blacktech-hacking-group.html), [Evasive Panda](https://thehackernews.com/2023/04/chinese-hackers-using-mgbot-malware-to.html), and [Mustang Panda](https://thehackernews.com/2023/05/chinas-mustang-panda-hackers-exploit-tp.html) have leveraged compromised routers as a channel to distribute malware in the past.


ESET speculates that the attackers "are deploying a network implant in the networks of the victims, possibly on vulnerable network appliances such as routers or gateways."


"The fact that we found no indications of traffic redirection via DNS might indicate that when the hypothesized network implant intercepts unencrypted HTTP traffic related to updates, it replies with the NSPX30 implant's dropper in the form of a DLL, an executable file, or a ZIP archive containing the DLL."


[![Hackers Hijack Software Updates](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj_MDqJy3-jyuvX2OmRyu_o8Ps8ROKOrHCC_-QhS0eVCsEZ7KtpS4hoNVSbZvAEIJw0DulilFSlzvoExwI9yDlJH7AY5ZbXNcaza86c7FtK_S8nqTQ8uePjc99kqJJFzkdL5vt0L694D5yIunPDoIh1DFMEm9wemhqpfmJntDPMBDB2rqlM9VSAf00P-2VI/s728-rw-ft-e30/eset-3.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj_MDqJy3-jyuvX2OmRyu_o8Ps8ROKOrHCC_-QhS0eVCsEZ7KtpS4hoNVSbZvAEIJw0DulilFSlzvoExwI9yDlJH7AY5ZbXNcaza86c7FtK_S8nqTQ8uePjc99kqJJFzkdL5vt0L694D5yIunPDoIh1DFMEm9wemhqpfmJntDPMBDB2rqlM9VSAf00P-2VI/s728-rw-ft-e30/eset-3.jpg)
The orchestrator then proceeds to create two threads, one to obtain the backdoor ("msfmtkl.dat") and another to load its plugins and add exclusions to allowlist the loader DLLs to bypass Chinese anti-malware solutions.


The backdoor is downloaded via an HTTP request to Baidu's website www.baidu[.]com, a legitimate Chinese search engine, with an unusual User-Agent string that masquerades the request as originating from the Internet Explorer browser on Windows 98.


The response from the server is then saved to a file from which the backdoor component is extracted and loaded into memory.


NSPX30, as part of its initialization phase, also creates a passive UDP listening socket for receiving commands from the controller and exfiltrating data by likely intercepting DNS query packets in order to anonymize its command-and-control (C2) infrastructure.


The instructions allow the backdoor to create a reverse shell, collect file information, terminate specific processes, capture screenshots, log keystrokes, and even uninstall itself from the infected machine.


The disclosure comes weeks after SecurityScorecard revealed new infrastructure connected to another Beijing-nexus cyber espionage group known as [Volt Typhoon](https://thehackernews.com/2023/06/chinese-hackers-using-never-before-seen.html) (aka Bronze Silhouette) that [leverages a botnet](https://thehackernews.com/2023/12/new-kv-botnet-targeting-cisco-draytek.html) created by exploiting known security flaws in end-of-life Cisco RV320/325 routers ([CVE-2019-1652](https://nvd.nist.gov/vuln/detail/CVE-2019-1652) and [CVE-2019-1653](https://nvd.nist.gov/vuln/detail/CVE-2019-1653)) operating across Europe, North America, and Asia Pacific.


"Approximately 30% of them (325 of 1,116 devices) communicated with two IP addresses previously named as proxy routers used for command-and-control (C2) communications, 174.138.56[.]21 and 159.203.113[.]25, in a thirty-day period," the company [said](https://securityscorecard.com/blog/threat-intelligence-research-volt-typhoon/).


"Volt Typhoon may aim to use these compromised devices to transfer stolen data or connect to target organizations' networks."


  





## Tags:
***CVE's***: CVE-2019-1652 CVE-2019-1653
***ipv4-adresses***: 174.138.56.21 159.203.113.25
***urls***: http://159.203.113.25 http://174.138.56.21 http://www.baidu.com

### Autogenerated tags:
[[nspx30]] [[dll]] [[malware]] [[http]]
