# Chinese Hackers Backdoored MiMi Chat App to Target Windows, Linux, macOS Users
## Researchers have uncovered a new malware campaign in which Chinese "Lucky Mouse" hackers backdoor chat app MiMi to compromise Microsoft Windows, Linux
## Information:

+ Link: https://thehackernews.com/2022/08/chinese-hackers-backdoored-mimi-chat.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 13 August 2022, 12:41
+ Date scraped: 13 August 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh44QWIHdiwXuF7KfmC-UGkGOCHdDsY9MLXaNmmsV2hIn-IL0wz5iHXcT52fqoZCS6Wes4_3NDeKPecrqQF4N7s6e9xjDLuigV2i4FkXRmpm6EKl3s96HSheXx8MsPMIeWIG7L7P_yDCJyBp9FQbEmOmKuE-kIzwa6Fl3Z0JtzPCyf2_h0ls8vy0Muw/s728-e1000/chat-malware.jpg)


A pair of reports from cybersecurity firms [SEKOIA](https://blog.sekoia.io/luckymouse-uses-a-backdoored-electron-app-to-target-macos/) and [Trend Micro](https://www.trendmicro.com/en_us/research/22/h/irontiger-compromises-chat-app-Mimi-targets-windows-mac-linux-users.html) sheds light on a new campaign undertaken by a Chinese threat actor named **Lucky Mouse** that involves leveraging a trojanized version of a cross-platform messaging app to backdoor systems.


Infection chains leverage a chat application called MiMi, with its installer files compromised to download and install HyperBro samples for the Windows operating system and rshell artifacts for Linux and macOS.


As many as 13 different entities located in Taiwan and the Philippines have been at the receiving end of the attacks, eight of whom have been hit with rshell. The first victim of rshell was reported in mid-July 2021.


Lucky Mouse, also called [APT27](https://malpedia.caad.fkie.fraunhofer.de/actor/emissary_panda), Bronze Union, Emissary Panda, and Iron Tiger, is known to be active since 2013 and has a history of gaining access to targeted networks in pursuit of its political and military intelligence-collection objectives aligned with China.


The advanced persistent threat actor (APT) is also adept at exfiltrating high-value information using a wide range of custom implants such as [SysUpdate](https://thehackernews.com/2021/04/luckymouse-hackers-target-banks.html), [HyperBro](https://malpedia.caad.fkie.fraunhofer.de/details/win.hyperbro), and [PlugX](https://thehackernews.com/2022/06/state-backed-hackers-using-ransomware.html).


The latest development is significant, not least because it marks the threat actor's introductory attempt at targeting macOS alongside Windows and Linux.


[![MiMi Chat App](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi9aUEB3hMjYb884492_-9covwbExlsP_nZfx4mwFuGOrkcBqjV4eKTyIpVnrWV9gtEzVzTVnvgeDnZEBQmvfgsdZa5QIFqhRv5h5AqeMzwCXrcMz02SbChs58y90QP69s6zak06QXmAJYtLS_-xEo79x8wW8QPF18wtzyvSt6VkWCHwAFAAPE94nkA/s728-e1000/malware.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi9aUEB3hMjYb884492_-9covwbExlsP_nZfx4mwFuGOrkcBqjV4eKTyIpVnrWV9gtEzVzTVnvgeDnZEBQmvfgsdZa5QIFqhRv5h5AqeMzwCXrcMz02SbChs58y90QP69s6zak06QXmAJYtLS_-xEo79x8wW8QPF18wtzyvSt6VkWCHwAFAAPE94nkA/s728-e100/malware.jpg)
The campaign has all the hallmarks of a [supply chain attack](https://www.trendmicro.com/en_us/research/21/d/iron-tiger-apt-updates-toolkit-with-evolved-sysupdate-malware-va.html) in that the backend servers hosting the app installers of MiMi are controlled by Lucky Mouse, thus making it possible to tweak the app to retrieve the backdoors from a remote server.


This is borne out by the fact that the app's macOS version 2.3.0 was tampered to insert the malicious JavaScript code on May 26, 2022. While this may have been the first compromised macOS variant, versions 2.2.0 and 2.2.1 built for Windows have been found to incorporate similar additions as early as November 23, 2021.


rshell, for its part, is a standard backdoor that comes with all the usual bells-and-whistles, allowing for the execution of arbitrary commands received from a command-and-control (C2) server and transmitting the results of the execution back to the server.


It's not immediately clear if MiMi is a legitimate chat program, or if it was "designed or repurposed as a surveillance tool," although the app has been used by another Chinese-speaking actor dubbed [Earth Berberoka](https://www.trendmicro.com/vinfo/us/security/news/cybercrime-and-digital-threats/exposing-earth-berberoka-a-multiplatform-apt-campaign-targeting-online-gambling-sites) (aka GamblingPuppet) aimed at online gambling sites – once again indicative of the prevalent tool sharing among Chinese APT groups.


The operation's connections to Lucky Mouse stems from links to instructure previously identified as used by the China-nexus intrusion set and the deployment of HyperBro, a backdoor exclusively put to use by the hacker group.


As SEKOIA points out, this is not the first time the adversary has resorted to utilizing a messaging app as a jumping-off point in its attacks. In late 2020, ESET [disclosed](https://thehackernews.com/2020/12/software-supply-chain-attack-hits.html) that a popular chat software called Able Desktop was abused to deliver HyperBro, PlugX, and a remote access trojan called Tmanger targeting Mongolia.


  





## Tags:


### Autogenerated tags:
[[hyperbro]] [[rshell]] [[macos]] [[windows]]
