# Chinese Hackers Launch Covert Espionage Attacks on 24 Cambodian Organizations
## Chinese nation-state hackers are targeting 24 Cambodian government organizations in a long-term espionage campaign.
## Information:

+ Link: https://thehackernews.com/2023/11/chinese-hackers-launch-covert-espionage.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 13 November 2023, 11:28
+ Date scraped: 13 November 2023, 06:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgrzlzqqVNaqdGiBjkBGpM0taxwQ6yY9PUt_fSWBDGFR0i_G2t7itwA3JqvPaOHx5lO6HGPMr7NxXiT8jV7gt3c2h_1DfTcR7a63R7reL9qQY2Momk_9zgnwwHmCAJvcIGcdoRv75UCjylKsc6j-GTiBYSA5XnPe8LsErdJ1aLF46LUdPQVjF8ctJg5-Ejh/s728-rw-ft-e30/chinese-hackers.jpg)


Cybersecurity researchers have discovered what they say is malicious cyber activity orchestrated by two prominent Chinese nation-state hacking groups targeting 24 Cambodian government organizations.


"This activity is believed to be part of a long-term espionage campaign," Palo Alto Networks Unit 42 researchers [said](https://unit42.paloaltonetworks.com/chinese-apt-linked-to-cambodia-government-attacks/) in a report last week.


"The observed activity aligns with geopolitical goals of the Chinese government as it seeks to leverage their strong relations with Cambodia to project their power and expand their naval operations in the region."


Targeted organizations include defense, election oversight, human rights, national treasury and finance, commerce, politics, natural resources, and telecommunications.


The assessment stems from the persistent nature of inbound network connections originating from these entities to a China-linked adversarial infrastructure that masquerades as cloud backup and storage services over a "period of several months."


Some of the command-and-control (C2) domain names are listed below -


* api.infinitycloud[.]info
* connect.infinitycloud[.]info
* connect.infinitybackup[.]net
* file.wonderbackup[.]com
* login.wonderbackup[.]com
* update.wonderbackup[.]com


The tactic is likely an attempt on the part of the attackers to fly under the radar and blend in with legitimate network traffic.


What's more, the links to China are based on the fact that the threat actor's activity has been observed primarily during regular business hours in China, with a drop recorded in late September and early October 2023, coinciding with the [Golden Week national holidays](https://en.wikipedia.org/wiki/Golden_Week_(China)), before resuming to regular levels on October 9.


[![Covert Espionage Attacks](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjfC7IXIGsqJOfeJGhaCkfh9_MD07S-MLnyscJ5iWNsRpw-Lsqdg9RksUgueeg2urubVopPaJ4rvv4Di8d7ecR18OOYqU54zsAewQjISzcc37fZdrf7xHkySBMuhzQ6dNjEJOlkgk85GvkaBXYivcUTwY_5vCOlq3BfT2Hcdpiu-G5OqEYr9-nvznDaIFOu/s728-rw-ft-e30/china.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjfC7IXIGsqJOfeJGhaCkfh9_MD07S-MLnyscJ5iWNsRpw-Lsqdg9RksUgueeg2urubVopPaJ4rvv4Di8d7ecR18OOYqU54zsAewQjISzcc37fZdrf7xHkySBMuhzQ6dNjEJOlkgk85GvkaBXYivcUTwY_5vCOlq3BfT2Hcdpiu-G5OqEYr9-nvznDaIFOu/s728-rw-ft-e30/china.jpg)
China-nexus hacking groups such as [Emissary Panda](https://thehackernews.com/2023/10/chinese-hackers-target-semiconductor.html), [Gelsemium, Granite Typhoon, Mustang Panda](https://thehackernews.com/2023/09/new-report-uncovers-three-distinct.html), [RedHotel](https://thehackernews.com/2023/08/china-linked-hackers-strike-worldwide.html), [ToddyCat](https://thehackernews.com/2023/10/researchers-uncover-ongoing.html), and [UNC4191](https://thehackernews.com/2022/11/chinese-cyber-espionage-hackers-using.html) have launched an array of espionage campaigns targeting public- and private sectors across Asia in recent months.


Last month, Elastic Security Labs detailed an intrusion set codenamed REF5961 that was found leveraging custom backdoors such as [EAGERBEE, RUDEBIRD, DOWNTOWN](https://www.elastic.co/security-labs/introducing-the-ref5961-intrusion-set), and [BLOODALCHEMY](https://www.elastic.co/security-labs/disclosing-the-bloodalchemy-backdoor) in its attacks directed against the Association of Southeast Asian Nations (ASEAN) countries.


The malware families "were discovered to be co-residents with a previously reported intrusion set, [REF2924](https://thehackernews.com/2023/06/new-spectralviper-backdoor-targeting.html)," the latter of which is assessed to be a [China-aligned group](https://thehackernews.com/2023/03/new-naplistener-malware-used-by-ref2924.html) owing to its use of ShadowPad and tactical overlaps with Winnti and ChamelGang.


The disclosures also follow a report from Recorded Future highlighting the shift in Chinese cyber espionage activity, describing it as more mature and coordinated, and with a strong focus on exploiting known and zero-day flaws in public-facing email servers, security, and network appliances.


Since the beginning of 2021, Chinese state-sponsored groups have been attributed to the exploitation of 23 zero-day vulnerabilities, including those identified in Microsoft Exchange Server, Solarwinds Serv-U, Sophos Firewall, Fortinet FortiOS, Barracuda Email Security Gateway, and Atlassian Confluence Data Center and Server.


The state-sponsored cyber operations have evolved "from broad intellectual property theft to a more targeted approach supporting specific strategic, economic, and geopolitical goals, such as those related to the Belt and Road Initiative and critical technologies," the company [said](https://www.recordedfuture.com/charting-chinas-climb-leading-global-cyber-power).


  





## Tags:
***urls***: http://connect.infinitycloud.info http://login.wonderbackup.com http://file.wonderbackup.com http://update.wonderbackup.com http://api.infinitycloud.info http://connect.infinitybackup.net

### Autogenerated tags:

