# Chinese State Hackers Target Tibetans with Supply Chain, Watering Hole Attacks
## China-backed hackers, Evasive Panda, target Tibetan users in watering hole & supply chain attacks.
## Information:

+ Link: https://thehackernews.com/2024/03/chinese-state-hackers-target-tibetans.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 07 March 2024, 18:52
+ Date scraped: 08 March 2024, 20:27

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjXChyphenhyphenuvR47I8x9JJkEAYo9FugTWqhExK_s-TBdGVcsFHWM1sQiUqLJcT0qg3ui9IFdH3DxwLGNaq1dM9LBYlaHXHPnxqKSrrf7uPHtEZ8rdmuc0vFW2gybR18sVm1tRFd_LS0TG2hT15MyN5CX2BT18_kYwKUI4KFvhQCLjRpc_B6AXwu2Ln22XoLSWccZ/s728-rw-e365/china.jpg)


The China-linked threat actor known as **Evasive Panda** orchestrated both watering hole and supply chain attacks targeting Tibetan users at least since September 2023.


The end goal of the attacks is to deliver malicious downloaders for Windows and macOS that deploy a known backdoor called MgBot and a previously undocumented Windows implant known as Nightdoor.


The findings come from ESET, which said the attackers compromised at least three websites to carry out watering-hole attacks as well as a supply-chain compromise of a Tibetan software company. The operation was discovered in January 2024.


Evasive Panda, active since 2012 and also known as Bronze Highland and Daggerfly, was [previously disclosed](https://thehackernews.com/2023/04/chinese-hackers-using-mgbot-malware-to.html) by the Slovak cybersecurity firm in April 2023 as having targeted an international non-governmental organization (NGO) in Mainland China with MgBot.


Another report from Broadcom-owned Symantec around the same time [implicated](https://thehackernews.com/2023/04/daggerfly-cyberattack-campaign-hits.html) the adversary to a cyber espionage campaign aimed at infiltrating telecom services providers in Africa at least since November 2022.


The latest set of cyber assaults entails the strategic web compromise of the Kagyu International Monlam Trust's website ("www.kagyumonlam[.]org").


"The attackers placed a script in the website that verifies the IP address of the potential victim and if it is within one of the targeted ranges of addresses, shows a fake error page to entice the user to download a 'fix' named certificate," ESET researchers [said](https://www.welivesecurity.com/en/eset-research/evasive-panda-leverages-monlam-festival-target-tibetans/).


[![Watering Hole Attacks](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgiry6SoeJmTNQDQxYRyGSiRVsqyeAGd70tSUb-rkwj6luM9vrQwpPp5jGD8FTBN6M4mTiw0qpmBUB82-TE3l7QtlSmgBWSCGT4sbagwk6OlW5oiO2sGw4FnBmvMXYeOeWNdpjC9aQoZKVICjVr1Xt6wUbtHEaswEKuUS-BWD110FqRTkM4AIvzYfGNRJfG/s728-rw-e365/code.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgiry6SoeJmTNQDQxYRyGSiRVsqyeAGd70tSUb-rkwj6luM9vrQwpPp5jGD8FTBN6M4mTiw0qpmBUB82-TE3l7QtlSmgBWSCGT4sbagwk6OlW5oiO2sGw4FnBmvMXYeOeWNdpjC9aQoZKVICjVr1Xt6wUbtHEaswEKuUS-BWD110FqRTkM4AIvzYfGNRJfG/s728-rw-e365/code.jpg)
"This file is a malicious downloader that deploys the next stage in the compromise chain." The IP address checks show that the attack is specifically designed to target users in India, Taiwan, Hong Kong, Australia, and the U.S.


It's suspected that Evasive Panda capitalized on the annual Kagyu Monlam Festival that took place in India in late January and February 2024 to target the Tibetan community in several countries and territories.


The executable – named "certificate.exe" on Windows and "certificate.pkg" for macOS – serves as a launchpad for loading the Nightdoor implant, which, subsequently, abuses the Google Drive API for command-and-control (C2).


In addition, the campaign is notable for infiltrating an Indian software company's website ("monlamit[.]com") and supply chain in order to distribute trojanized Windows and macOS installers of the Tibetan language translation software. The compromise occurred in September 2023.


"The attackers also abused the same website and a Tibetan news website called Tibetpost – tibetpost[.]net – to host the payloads obtained by the malicious downloads, including two full-featured backdoors for Windows and an unknown number of payloads for macOS," the researchers noted.


The trojanized Windows installer, for its part, triggers a sophisticated multi-stage attack sequence to either drop MgBot or Nightdoor, signs of which have been detected as early as 2020.


[![Watering Hole Attacks](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhTI4lrfzyP9Wq0rqbhso2Xxtn1H7FFUMr5qm8Kegpc0KNoGbX2CVYtz18m1h8-khWS0z1oWjBMcHhaNcmE3lr-vqo9MLTDC6jIK9bkJbURgTVA4S4lEgdMPACV3gStV7zzMTk-rO9Or0GCtq5zFu23be1my9mHBSUrn7CY5PjY3WsFe9HG7JYHa4FTmoUH/s728-rw-e365/macos-malware.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhTI4lrfzyP9Wq0rqbhso2Xxtn1H7FFUMr5qm8Kegpc0KNoGbX2CVYtz18m1h8-khWS0z1oWjBMcHhaNcmE3lr-vqo9MLTDC6jIK9bkJbURgTVA4S4lEgdMPACV3gStV7zzMTk-rO9Or0GCtq5zFu23be1my9mHBSUrn7CY5PjY3WsFe9HG7JYHa4FTmoUH/s728-rw-e365/macos-malware.jpg)
The backdoor comes equipped with features to gather system information, list of installed apps, and running processes; spawn a reverse shell, perform file operations, and uninstall itself from the infected system.


"The attackers fielded several downloaders, droppers, and backdoors, including MgBot – which is used exclusively by Evasive Panda – and Nightdoor: the latest major addition to the group's toolkit and which has been used to target several networks in East Asia," ESET said.


  





## Tags:
***urls***: http://www.kagyumonlam.org http://monlamit.com http://tibetpost.net

### Autogenerated tags:
[[windows]] [[website]] [[macos]] [[mgbot]] [[nightdoor]] [[eset]]
