# Chinese-Linked LightSpy iOS Spyware Targets South Asian iPhone Users
## A sophisticated cyber-espionage campaign has re-emerged, targeting South Asia with an iOS spyware implant called LightSpy.
## Information:

+ Link: https://thehackernews.com/2024/04/chinese-linked-lightspy-ios-spyware.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 15 April 2024, 14:34
+ Date scraped: 15 April 2024, 10:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj633FM39iy4Ptak7gQiniTj-nj7x2IN2SR4us-AOn4rfHANHeAjjZL7fzi6r3KVFgAeOB0ClVjRhvQogDs-YK-ofRgDlyxCzQLPXwmbAvnk08nWIfmkKW213UzUPsmB-P2tYWaIwEzDOMCLztcnjYY0fnK8lP7070MtR5bPtKkZkO3RCQ2UScBevvxUKKo/s728-rw-e365/iphone.png)


Cybersecurity researchers have discovered a "renewed" cyber espionage campaign targeting users in South Asia with the aim of delivering an Apple iOS spyware implant called **LightSpy**.


"The latest iteration of LightSpy, dubbed 'F\_Warehouse,' boasts a modular framework with extensive spying features," the BlackBerry Threat Research and Intelligence Team [said](https://blogs.blackberry.com/en/2024/04/lightspy-returns-renewed-espionage-campaign-targets-southern-asia-possibly-india) in a report published last week.


There is evidence to suggest that the campaign may have targeted India based on [VirusTotal](https://www.virustotal.com/gui/file/4b973335755bd8d48f34081b6d1bea9ed18ac1f68879d4b0a9211bbab8fa5ff4) [submissions](https://www.virustotal.com/gui/file/0f66a4daba647486d2c9d838592cba298df2dbf38f2008b6571af8a562bc306c) from within its borders.


First documented in 2020 by Trend Micro and Kaspersky, [LightSpy](https://thehackernews.com/2020/03/iphone-iOS-spyware.html) refers to an advanced iOS backdoor that's distributed via watering hole attacks through compromised news sites.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
A subsequent analysis from ThreatFabric in October 2023 [uncovered](https://thehackernews.com/2023/10/researchers-link-dragonegg-android.html) infrastructure and functionality overlaps between the malware and an Android spyware known as DragonEgg, which is attributed to the Chinese nation-state group APT41 (aka Winnti).


The initial intrusion vector is presently not known, although it's suspected to be via news websites that have been breached and are known to be visited by the targets on a regular basis.


The starting point is a first-stage loader that acts as a launchpad for the core LightSpy backdoor and its assorted plugins that are retrieved from a remote server to pull off the data-gathering functions.


[![LightSpy iOS Spyware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjXxRunF66zqxApmxKEG_M8lUJzpOnNiqE_UdH_I3rU6s6H1LG3PzSbtO0Exa3_by-Fd57yYNzv52EKkPhpZQHLkI-5_7tqgS_ai3Z6q5IWz4-_JsQoA9LhOmjHLwnU75sw8l2N6B1k25yAhTyQ7sYmAQQ9h9IvbXZm5eACSqqMhTNDbUzTUYpWB-GPDb_F/s728-rw-e365/code.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjXxRunF66zqxApmxKEG_M8lUJzpOnNiqE_UdH_I3rU6s6H1LG3PzSbtO0Exa3_by-Fd57yYNzv52EKkPhpZQHLkI-5_7tqgS_ai3Z6q5IWz4-_JsQoA9LhOmjHLwnU75sw8l2N6B1k25yAhTyQ7sYmAQQ9h9IvbXZm5eACSqqMhTNDbUzTUYpWB-GPDb_F/s728-rw-e365/code.png)
LightSpy is both fully-featured and modular, allowing threat actors to harvest sensitive information, including contacts, SMS messages, precise location data and sound recordings during VoIP calls.


The latest version discovered by the Canadian cybersecurity firm further expands on its capabilities to steal files as well as data from popular apps like Telegram, QQ, and WeChat, iCloud Keychain data, and web browser history from Safari and Google Chrome.


The complex espionage framework also features capabilities to gather a list of connected Wi-Fi networks, details about installed apps, take pictures using the device's camera, record audio, and execute shell commands received from the server, likely enabling it to hijack control of the infected devices.


"LightSpy employs certificate pinning to prevent detection and interception of communication with its command-and-control (C2) server," Blackberry said. "Thus, if the victim is on a network where traffic is being analyzed, no connection to the C2 server will be established."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
A further examination of the implant's source code suggests the involvement of native Chinese speakers, raising the possibility of state-sponsored activity. What's more, LightSpy communicates with a server located at 103.27[.]109[.]217, which also hosts an administrator panel that displays an error message in Chinese when entering incorrect login credentials.


The development comes as Apple [said](https://thehackernews.com/2024/04/apple-expands-spyware-alert-system-to.html) it sent out threat notifications to users in 92 countries, counting India, that they may have been targeted by mercenary spyware attacks.


"The return of LightSpy, now equipped with the versatile 'F\_Warehouse' framework, signals an escalation in mobile espionage threats," BlackBerry said.


"The expanded capabilities of the malware, including extensive data exfiltration, audio surveillance, and potential full device control, pose a severe risk to targeted individuals and organizations in Southern Asia."


  





## Tags:


### Autogenerated tags:
[[lightspy]] [[spyware]]
