# Experts Warn of Hacking Group Targeting Aviation and Defense Sectors
## Researchers warn of a hacking group that has been targeting aviation, aerospace, transportation, manufacturing, and defense industries for years.
## Information:

+ Link: https://thehackernews.com/2022/02/experts-warn-of-hacking-group-targeting.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 15 February 2022, 10:12
+ Date scraped: 15 February 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEivftQjw-FbZ_emS26kk4va0weTm1PlFE5V3Mm1-8pAI8OScS4M11xrvkTrCOjzT7YhzadDplrtRoh0FuCf6piSQy1KWsfLuC2u_cvIorXvQ3SAXoY5q-EPLAsjBjC6DQn7uC5U3T7cYSN3W5oGuQAxbaY75KySJA626Tl-bEntnkN68kfwpoPrla-v)


Entities in the aviation, aerospace, transportation, manufacturing, and defense industries have been targeted by a persistent threat group since at least 2017 as part of a string of spear-phishing campaigns mounted to deliver a variety of remote access trojans (RATs) on compromised systems.


The use of commodity malware such as AsyncRAT and NetWire, among others, has led enterprise security firm Proofpoint to a "cybercriminal threat actor" codenamed [TA2541](https://www.proofpoint.com/us/blog/threat-insight/charting-ta2541s-flight) that employs "broad targeting with high volume messages." The ultimate objective of the intrusions is unknown as yet.


Social engineering lures used by the group does not rely on topical themes but rather leverages decoy messages related to [aviation](https://thehackernews.com/2021/09/malware-attack-on-aviation-sector.html), logistics, transportation, and travel. That said, TA2541 did briefly pivot to [COVID-19-themed lures](https://thehackernews.com/2020/04/cronavirus-hackers.html) in the spring of 2020, distributing emails concerning cargo shipments of personal protective equipment (PPE) or testing kits.


"While TA2541 is consistent in some behaviors, such as using emails masquerading as aviation companies to distribute remote access trojans, other tactics such as delivery method, attachments, URLs, infrastructure, and malware type have changed," Sherrod DeGrippo, vice president of threat research and detection at Proofpoint, told The Hacker News.


[![](https://thehackernews.com/new-images/img/a/AVvXsEg1sn45GEsDutnVMnzuOUBpaKkQfPVM6E8JbSp4gdGaSttnKRaud9RRWKAw-dNoVswffDuW0oeSYSQ2UtfIwYFunKabPIdvxg0_KRP7nXCTCZQNctcUnz80iWlKT3GKrQ_mG6iHOls1VDLayjN73ejYFXsuzrhqHCd-sfdOSbWR1pkmJ-WqTZkiaNj8)](https://thehackernews.com/new-images/img/a/AVvXsEg1sn45GEsDutnVMnzuOUBpaKkQfPVM6E8JbSp4gdGaSttnKRaud9RRWKAw-dNoVswffDuW0oeSYSQ2UtfIwYFunKabPIdvxg0_KRP7nXCTCZQNctcUnz80iWlKT3GKrQ_mG6iHOls1VDLayjN73ejYFXsuzrhqHCd-sfdOSbWR1pkmJ-WqTZkiaNj8)
While earlier versions of the campaign utilized macro-laden Microsoft Word attachments to drop the RAT payload, recent attacks include links to [cloud services](https://thehackernews.com/2022/01/hackers-use-cloud-services-to.html) hosting the malware. The phishing attacks are said to strike hundreds of organizations globally, with recurring targets observed in North America, Europe, and the Middle East.


The repeated use of the same themes aside, select infection chains have also involved the use of Discord app URLs that point to compressed files containing AgentTesla or Imminent Monitor malware, indicative of the malicious use of content delivery networks to distribute information gathering implants for remotely controlling compromised machines.


[![](https://thehackernews.com/new-images/img/a/AVvXsEjdYdqulJQFxK69eiQqn3M9f2eBCpglYjcmlH1xD3cbT0oIW921DwtFTSbkbb-xsw-yRIuInaCojFQyJuGynz8zTWJwHfpUByo1zoS00RQzQtTGbFBL7XQOEDvL08NfLpsXsElKPQIwUN1f0ZdFQTcxE-aHtV0BuG_8kM4U-NFcNAy7f4aaqbTTWOXw)](https://thehackernews.com/new-images/img/a/AVvXsEjdYdqulJQFxK69eiQqn3M9f2eBCpglYjcmlH1xD3cbT0oIW921DwtFTSbkbb-xsw-yRIuInaCojFQyJuGynz8zTWJwHfpUByo1zoS00RQzQtTGbFBL7XQOEDvL08NfLpsXsElKPQIwUN1f0ZdFQTcxE-aHtV0BuG_8kM4U-NFcNAy7f4aaqbTTWOXw)
"Mitigating threats hosted on legitimate services continues to be a difficult vector to defend against as it likely involves implementation of a robust detection stack or policy-based blocking of services which might be business-relevant," DeGrippo said.


Other techniques of interest employed by TA2541 include the use of Virtual Private Servers (VPS) for their email sending infrastructure and dynamic DNS for command-and-control (C2) activities.


With Microsoft announcing plans to [turn off macros](https://thehackernews.com/2022/02/microsoft-disables-internet-macros-in.html) by default for internet-downloaded files starting April 2022, the move is expected to cause threat actors to step up and shift to other methods should macros become an inefficient method of delivery.


"While macro-laden Office documents are among the most frequently used techniques leading to download and execution of malicious payloads, abuse of legitimate hosting services is also already widespread," DeGrippo explained.


"Further, we regularly observe actors 'containerize' payloads, using archive and image files (e.g., .ZIP, .ISO, etc.) which also can impact ability to detect and analyze in some environments. As always, threat actors will pivot to use what is effective."


  






## Tags:


### Autogenerated tags:
[[malware]] [[ta2541]] [[degrippo]]
