# Grandoreiro Banking Trojan Resurfaces, Targeting Over 1,500 Banks Worldwide
## Grandoreiro banking trojan is back, targeting 1,500+ banks in 60+ countries. It now uses infected Outlook to spread phishing emails.
## Information:

+ Link: https://thehackernews.com/2024/05/grandoreiro-banking-trojan-resurfaces.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 19 May 2024, 13:29
+ Date scraped: 19 May 2024, 08:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi5-kZvOVxoh88ywy2pxjyTedNazjZeTetG15AeVqaK0dpeege9CD6e2nGix7xcLI8J5RtixTt0_ADwR6weDe_DL8Zpy5P0W8PgKn5lk0SFi421tllqDPbFLTqy03f-EBXdNDL2FEoIBeqLQcEtMwUf9AH2XFER0KHuzr7EgmKXZEM-6P8C7gydaNIbRKgm/s728-rw-e365/bank.png)


The threat actors behind the Windows-based **Grandoreiro** banking trojan have returned in a global campaign since March 2024 following a law enforcement takedown in January.


The large-scale phishing attacks, likely facilitated by other cybercriminals via a malware-as-a-service (MaaS) model, target over 1,500 banks across the world, spanning more than 60 countries in Central and South America, Africa, Europe, and the Indo-Pacific, IBM X-Force said.


While [Grandoreiro](https://thehackernews.com/2022/08/new-grandoreiro-banking-malware.html) is known primarily for its focus in Latin America, Spain, and Portugal, the expansion is likely a shift in strategy after attempts to [shut down its infrastructure](https://thehackernews.com/2024/01/brazilian-feds-dismantle-grandoreiro.html) by Brazilian authorities.


Going hand-in-hand with the broader targeting footprint are significant improvements to the malware itself, which indicates active development.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
"Analysis of the malware revealed major updates within the string decryption and domain generating algorithm (DGA), as well as the ability to use Microsoft Outlook clients on infected hosts to spread further phishing emails," security researchers Golo Mühr and Melissa Frydrych [said](https://securityintelligence.com/x-force/grandoreiro-banking-trojan-unleashed/).


The attacks commence with phishing emails that instruct recipients to click on a link to view an invoice or make a payment depending on the nature of the lure and the government entity impersonated in the messages.


[![Grandoreiro Banking Trojan](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhOn09YDLVaTyEh7cAZzUng_55NN8vPDLwbQYOluNqnzbkeo1VDr9NMcgY-JUw3YQSSDAY9XTjy6_X6dorgYcBum47CYh13l84h5c_UBVHFR0WeqlhLX9HvhbksfCjLcP94uPhcsU2Z7ZlF6Gh_5eWkxQLwedDec5UV8mZoi8a0oPALqQNXcz5Odv4Zrvb2/s728-rw-e365/dga.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhOn09YDLVaTyEh7cAZzUng_55NN8vPDLwbQYOluNqnzbkeo1VDr9NMcgY-JUw3YQSSDAY9XTjy6_X6dorgYcBum47CYh13l84h5c_UBVHFR0WeqlhLX9HvhbksfCjLcP94uPhcsU2Z7ZlF6Gh_5eWkxQLwedDec5UV8mZoi8a0oPALqQNXcz5Odv4Zrvb2/s728-rw-e365/dga.png)
Users who end up clicking on the link are redirected to an image of a PDF icon, ultimately leading to the download of a ZIP archive with the Grandoreiro loader executable.


The custom loader is artificially inflated to more than 100 MB to bypass anti-malware scanning software. It's also responsible for ensuring that the compromised host is not in a sandboxed environment, gathering basic victim data to a command-and-control (C2) server, and downloading and executing the main banking trojan.


It's worth pointing out that the verification step is also done to skip systems geolocated to Russia, Czechia, Poland, and the Netherlands, as well as Windows 7 machines based in the U.S. with no antivirus installed.


The trojan component begins its execution by establishing persistence via the Windows Registry, after which it employs a reworked DGA to establish connections with a C2 server to receive further instructions.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
Grandoreiro supports a variety of commands that allow the threat actors to remotely commandeer the system, carry out file operations, and enable special modes, including a new module that gathers Microsoft Outlook data and abuses the victim's email account to blast spam messages to other targets.


"In order to interact with the local Outlook client, Grandoreiro uses the [Outlook Security Manager tool](https://www.add-in-express.com/outlook-security/), a software used to develop Outlook add-ins," the researchers said. "The main reason behind this is that the Outlook Object Model Guard triggers security alerts if it detects access on protected objects."


[![Grandoreiro Banking Trojan](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj0fv5ncKjqwVGPBkhMQzzfwec9kmaotggrAfxOrrW-2KSsW183508dYIzY4n2f1DzRwbVnz9pzGQiSFxhbLbV_I-pnxcGx5zo-ZsxKbplOqtFYHS88VIBNelSgnpJhWb0H6TDVpWEAO8tTESK92iNBpeD6aYizXHsWWcaBeZ-OQlVlAwK2Q-OUgBMXD0K4/s728-rw-e365/banking.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj0fv5ncKjqwVGPBkhMQzzfwec9kmaotggrAfxOrrW-2KSsW183508dYIzY4n2f1DzRwbVnz9pzGQiSFxhbLbV_I-pnxcGx5zo-ZsxKbplOqtFYHS88VIBNelSgnpJhWb0H6TDVpWEAO8tTESK92iNBpeD6aYizXHsWWcaBeZ-OQlVlAwK2Q-OUgBMXD0K4/s728-rw-e365/banking.png)
"By using the local Outlook client for spamming, Grandoreiro can spread through infected victim inboxes via email, which likely contributes to the large amount of spam volume observed from Grandoreiro."


  





## Tags:


### Autogenerated tags:
[[grandoreiro]] [[phishing]]
