# Guyana Governmental Entity Hit by DinodasRAT in Cyber Espionage Attack
## ESET discovers a targeted cyber-espionage campaign in Guyana.
## Information:

+ Link: https://thehackernews.com/2023/10/guyana-governmental-entity-hit-by.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 05 October 2023, 16:09
+ Date scraped: 05 October 2023, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiWCKvUptZvD2fRlZ5N1IQeUesONL1QqFX7h5BJBFiRDWQvLy_LXa8XaYSOak0EZbJrZNhH1sSeb27VMPCSbA6q1STSEDHooYCo5s0xKYs22HuAJD2B2UvIQpJR7HYAxGiuriCHpPvMrrsHOu_pI7ZOULugOyPDzntDoBwo49yKSu0DtQ1hevXS-DsTxPJx/s728-rw-ft-e30/eset.jpg)


A governmental entity in Guyana has been targeted as part of a cyber espionage campaign dubbed **Operation Jacana**.


The [activity](https://github.com/eset/malware-ioc/tree/master/operation_jacana), which was detected by ESET in February 2023, entailed a spear-phishing attack that led to the deployment of a hitherto undocumented implant written in C++ called DinodasRAT.


The Slovak cybersecurity firm said it could link the intrusion to a known threat actor or group, but attributed with medium confidence to a China-nexus adversary owing to the use of [PlugX](https://thehackernews.com/2023/07/chinese-hackers-use-html-smuggling-to.html) (aka Korplug), a remote access trojan common to Chinese hacking crews.


"This campaign was targeted, as the threat actors crafted their emails specifically to entice their chosen victim organization," ESET [said](https://www.welivesecurity.com/en/eset-research/operation-jacana-spying-guyana-entity/) in a report shared with The Hacker News.


"After successfully compromising an initial but limited set of machines with DinodasRAT, the operators proceeded to move inside and breach the target's internal network, where they again deployed this backdoor."


The infection sequence commenced with a phishing email containing a booby-trapped link with subject lines referencing an alleged news report about a Guyanese fugitive in Vietnam.


Should a recipient click on the link, a ZIP archive file is downloaded from the domain fta.moit.gov[.]vn, indicating a compromise of a Vietnamese governmental website to host the payload.


Embedded within the ZIP archive is an executable that launches the DinodasRAT malware to collect sensitive information from a victim's computer.


DinodasRAT, besides encrypting the information it sends to the command-and-control (C2) server using the Tiny Encryption Algorithm (TEA), comes with capabilities to exfiltrate system metadata, files, manipulate Windows registry keys, and execute commands.


Also deployed are tools for lateral movement, Korplug, and the SoftEther VPN client, the latter of which has been put to use by another China-affiliated cluster tracked by Microsoft as [Flax Typhoon](https://thehackernews.com/2023/08/china-linked-flax-typhoon-cyber.html).


"The attackers used a combination of previously unknown tools, such as DinodasRAT, and more traditional backdoors such as Korplug," ESET researcher Fernando Tavella said.


"Based on the spear-phishing emails used to gain initial access to the victim's network, the operators are keeping track of the geopolitical activities of their victims to increase the likelihood of their operation's success."



  





## Tags:
***urls***: http://fta.moit.gov.vn

### Autogenerated tags:
[[dinodasrat]] [[eset]] [[korplug]]
