# Hackers Targeting Human Rights Activists in Morocco and Western Sahara
## Researchers uncovers Starry Addax, a sophisticated threat actor targeting Sahrawi Arab Democratic Republic activists.
## Information:

+ Link: https://thehackernews.com/2024/04/hackers-targeting-human-rights.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 09 April 2024, 19:15
+ Date scraped: 09 April 2024, 14:10

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgDoyCSnTILY62mf13giwPIMi9XnrPbIXgMwxr3DViPFaD0QRI0zUjOCBn-GqpCbxm4IMD_AmKKy7NmTkti2bNpldn_Yx2IHUy27Pmthb-iypspLmUaE_roZBPCn319kCp1sswmnTpft6Ykz72Igjubdwu9kbb_R52GPW4xXP-tdCqMZiuQy9SHjT5RgvsV/s728-rw-e365/hackers.png)


Human rights activists in Morocco and the Western Sahara region are the targets of a new threat actor that leverages phishing attacks to trick victims into installing bogus Android apps and serve credential harvesting pages for Windows users.


Cisco Talos is [tracking](https://blog.talosintelligence.com/starry-addax/) the activity cluster under the name **Starry Addax**, describing it as primarily singling out activists associated with the Sahrawi Arab Democratic Republic (SADR).


Starry Addax's infrastructure – ondroid[.]site and ondroid[.]store – is designed to target both Android and Windows users, with the latter involving fake websites masquerading as login pages for popular social media websites.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLX0O_pua_BNGD7OG05Td7ASGHjT-c6rLVfmEazcitNrUN4aS12_9AAEWdojbHmrg0EkMQCSyD42w-d6egVdsdVtAEaH-Z0w0f-jU1frNCfaTUp5tY4bg1olzAEY_W1iVATonnvuYqpel_Mxe4TJmkCMSqLOo4ol9NEGBRh_a8C0JhApfKqY8f-wf9m978/s728-e365/wing-d.png)](https://thehackernews.uk/automated-remediation-wing)
The adversary, believed to be active since January 2024, is known to send spear-phishing emails to targets, urging recipients to install Sahara Press Service's mobile app or a relevant decoy related to the region.


Depending on the operating system from where the request is originating from, the target is either served a malicious APK that impersonates the Sahara Press Service or redirected to a social media login page to harvest their credentials.


[![Starry Addax Hackers](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhR3xc36EGwq4vjhyXuWgivenDPgR_US4kBgu2g8ZDGJDHbShftd0UHYmQcJ96-RdmPTzV6inXsgMICvz6S7-xnuRHH2wZ3706SHSkuzCD_jRaNvRfF6UXOVRfjItRIHO99YAVPa41HhKSGfIba058eBLOiS6-SF4mT_-X-G3JjDTvyAQjXNvqryk8ojbUE/s728-rw-e365/talos.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhR3xc36EGwq4vjhyXuWgivenDPgR_US4kBgu2g8ZDGJDHbShftd0UHYmQcJ96-RdmPTzV6inXsgMICvz6S7-xnuRHH2wZ3706SHSkuzCD_jRaNvRfF6UXOVRfjItRIHO99YAVPa41HhKSGfIba058eBLOiS6-SF4mT_-X-G3JjDTvyAQjXNvqryk8ojbUE/s728-rw-e365/talos.png)
The novel Android malware, dubbed FlexStarling, is versatile and equipped to deliver additional malware components and steal sensitive information from infected devices.


Once installed, it requests the victim to grant it extensive permissions that allow the malware to perform nefarious actions, including fetching commands to be executed from a Firebase-based command-and-control (C2), a sign that the threat actor is looking to fly under the radar.


"Campaigns like this that target high-value individuals usually intend to sit quietly on the device for an extended period," Talos said.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"All components from the malware to the operating infrastructure seem to be bespoke/custom-made for this specific campaign indicating a heavy focus on stealth and conducting activities under the radar."


The development comes amid the emergence of a new commercial Android remote access trojan (RAT) known as [Oxycorat](https://twitter.com/MonThreat/status/1776162733072760977) that's being offered for sale with diverse information gathering capabilities.



  





## Tags:


### Autogenerated tags:
[[android]] [[malware]]
