# Hackers Use ModernLoader to Infect Systems with Stealers and Cryptominers
## Researchers uncover three related but distinct campaigns that spread malware such as ModernLoader, RedLine stealer, and cryptocurrency miners.
## Information:

+ Link: https://thehackernews.com/2022/08/hackers-use-modernloader-to-infect.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 30 August 2022, 12:55
+ Date scraped: 30 August 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgCRj6QluWEG_iXEN0xZPnQwqDURmnBuPYjj7ApoAynHjEAPnnnHHvCRXX9Sz6MkvsXySNwHRbnQwtY_TJc-NNYyn1pP5vZg6mR6ixwWqvuhgmvgohEWtg9Gn03zEb8xe9TjTkw3h9rZYguPx7tZBkWKINwFJG_lVZ29hLOaNbRZa0I-0t-CmCmcbd3/s728-e1000/hacker.jpg)


As many as three disparate but related campaigns between March and Jun 2022 have been found to deliver a variety of malware, including ModernLoader, RedLine Stealer, and cryptocurrency miners onto compromised systems.


"The actors use PowerShell, .NET assemblies, and HTA and VBS files to spread across a targeted network, eventually dropping other pieces of malware, such as the [SystemBC](https://thehackernews.com/2020/12/ransomware-attackers-using-systembc.html) trojan and [DCRat](https://thehackernews.com/2022/05/experts-sound-alarm-on-dcrat-backdoor.html), to enable various stages of their operations," Cisco Talos researcher Vanja Svajcer said in a [report](https://blog.talosintelligence.com/2022/08/modernloader-delivers-multiple-stealers.html) shared with The Hacker News.


The malicious implant in question, **ModernLoader**, is designed to provide attackers with remote control over the victim's machine, which enables the adversaries to deploy additional malware, steal sensitive information, or even ensnare the computer in a botnet.


Cisco Talos attributed the infections to a previously undocumented but Russian-speaking threat actor, citing the use of off-the-shelf tools. Potential targets included Eastern European users in Bulgaria, Poland, Hungary, and Russia.


Infection chains discovered by the cybersecurity firm involve attempts to compromise vulnerable web applications like WordPress and CPanel to distribute the malware by means of files that masquerade as fake Amazon gift cards.


[![Stealers, Cryptominers and RATs](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhC3Iy6UpMBB_QsQaU83ajVYYyqWORtUjF4GNg_TRIP6p-5hy6AeLHsUIQOoY8nCSsnhnzOoM_KM6gDRHP-LsH7XCMhmy-a23W2V4Woyxq3BvZ3PAE9hIg0LRYl_5tWCzYS8Ctzae7UTjr9Am__aBXqB2ivgo_PKBrqdUPC3MTw9oNc-xmaiEzD3_Pf/s728-e1000/talos.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhC3Iy6UpMBB_QsQaU83ajVYYyqWORtUjF4GNg_TRIP6p-5hy6AeLHsUIQOoY8nCSsnhnzOoM_KM6gDRHP-LsH7XCMhmy-a23W2V4Woyxq3BvZ3PAE9hIg0LRYl_5tWCzYS8Ctzae7UTjr9Am__aBXqB2ivgo_PKBrqdUPC3MTw9oNc-xmaiEzD3_Pf/s728-e100/talos.jpg)
The first stage payload is a HTML Application (HTA) file that runs a PowerShell script hosted on the command-and-control (C2) server to initiate the deployment of intertim payloads that ultimately inject the malware using a technique called [process hollowing](https://attack.mitre.org/techniques/T1055/012/).


Described as a simple .NET remote access trojan, ModernLoader (aka Avatar bot) is equipped with features to gather system information, execute arbitrary commands, or download and run a file from the C2 server, allowing the adversary to alter the modules in real-time.


Cisco's investigation also unearthed two earlier campaigns in March 2022 with similar modus operandi that leverage ModerLoader as the primary malware C2 communications and serve additional malware, including XMRig, RedLine Stealer, SystemBC, DCRat, and a Discord token stealer, among others.


"These campaigns portray an actor experimenting with different technology," Svajcer said. "The usage of ready-made tools shows that the actor understands the TTPs required for a successful malware campaign but their technical skills are not developed enough to fully develop their own tools."


  





## Tags:


### Autogenerated tags:
[[malware]] [[modernloader]] [[c2]]
