# Indian Hack-for-Hire Group Targeted U.S., China, and More for Over 10 Years
## Indian Hack-for-Hire Group targeted U.S., China, Pakistan, and more for over a decade.
## Information:

+ Link: https://thehackernews.com/2023/11/indian-hack-for-hire-group-targeted-us.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 20 November 2023, 12:12
+ Date scraped: 20 November 2023, 07:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiI8GqKjAPk61_Knl5NCaIIUzmcOQmdtH5N02Kn2lzsKrEMl_ksmL9XAPUkzqc5IhQn6ywsRXNuRrXGI5WDdWQgaLmC7oRme1wG5xzG63shMhcpyvtaMM9f7017TWlwYmFfMvz2JSEYl37qsFRh8Aa6JPf-AJLw6C8na9eWhffyRubf_UkxCV48VQ3TyzVT/s728-rw-ft-e30/hackers.jpg)


An Indian hack-for-hire group targeted the U.S., China, Myanmar, Pakistan, Kuwait, and other countries as part of a wide-ranging espionage, surveillance, and disruptive operation for over a decade.


The **Appin Software Security** (aka Appin Security Group), according to an in-depth analysis from SentinelOne, began as an educational startup offering offensive security training programs, while carrying out covert hacking operations since at least 2009.


In May 2013, ESET [disclosed](https://thehackernews.com/2013/05/first-large-cyber-espionage-activity.html) a set of cyber attacks targeting Pakistan with information-stealing malware. While the activity was attributed to a cluster tracked as [Hangover](https://thehackernews.com/2023/07/patchwork-hackers-target-chinese.html) (aka [Patchwork](https://cyble.com/blog/a-deep-dive-into-patchwork-apt-group/) or Zinc Emerson), evidence shows that the infrastructure is owned and controlled by Appin.


"The group has conducted hacking operations against high value individuals, governmental organizations, and other businesses involved in [specific legal disputes](https://www.reuters.com/investigates/special-report/usa-hackers-litigation/)," SentinelOne security Tom Hegel [said](https://www.sentinelone.com/labs/elephant-hunting-inside-an-indian-hack-for-hire-group/) in a comprehensive analysis published last week.


"Appin's hacking operations and overall organization appear at many times informal, clumsy, and technically crude; however, their operations proved highly successful for their customers, impacting world affairs with significant success."


The findings are based on non-public data obtained by [Reuters](https://www.reuters.com/investigates/special-report/usa-hackers-appin), which called out Appin for orchestrating data theft attacks on an industrial scale against political leaders, international executives, sports figures, and others. The company, in response, has dismissed its connection with the hack-for-hire business.


One of the core services offered by Appin was a tool "MyCommando" (aka GoldenEye or Commando) that allowed its customers to log in to view and download campaign-specific data and status updates, communicate securely, and choose from various task options that range from open-source research to social engineering to a trojan campaign.


The targeting of China and Pakistan is confirmation that an Indian-origin mercenary group has been roped in to conduct state-sponsored attacks. Appin has also been identified as behind the macOS spyware known as KitM in 2013.


What's more, SentinelOne said it also identified instances of domestic targeting with the goal of stealing login credentials of email accounts belonging to Sikhs in India and the U.S.


[![Indian Hack-for-Hire Group](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi1G2bfj3oqt8IwO8YQ-T1P25OiwhRmmd0r64g-q0u255pHmvYB-ScrdslA1eODbwiUI0_J25uivEZ7gvMVOQ_hsGBnlcLPycCQV24JG4Ic04I-aSgYZUtEf8ZtxQNM8p3El7jitl_8FaRCyhh-KJB7SUv1Zk8KOQtxfgA7FDmfWgupvgXyix6pmoTjuuw-/s728-rw-ft-e30/hacked.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi1G2bfj3oqt8IwO8YQ-T1P25OiwhRmmd0r64g-q0u255pHmvYB-ScrdslA1eODbwiUI0_J25uivEZ7gvMVOQ_hsGBnlcLPycCQV24JG4Ic04I-aSgYZUtEf8ZtxQNM8p3El7jitl_8FaRCyhh-KJB7SUv1Zk8KOQtxfgA7FDmfWgupvgXyix6pmoTjuuw-/s728-rw-ft-e30/hacked.jpg)
"In an unrelated campaign, the group also used the domain speedaccelator[.]com for an FTP server, hosting malware used in their malicious phishing emails, one of which was used on an Indian individual later targeted by the [ModifiedElephant APT](https://thehackernews.com/2022/02/hackers-planted-fake-digital-evidence.html)," Hegel noted. It's worth noting that Patchwork's links to ModifiedElephant were previously identified by Secureworks.


Besides leveraging a large infrastructure sourced from a third-party for data exfiltration, command-and-control (C2), phishing, and setting up decoy sites, the shadowy private-sector offensive actor ([PSOA](https://thehackernews.com/2023/04/israeli-spyware-vendor-quadream-to-shut.html)) is said to have relied on private spyware and exploit services provided by private vendors like Vervata, Vupen, and Core Security.


In another noteworthy tactic, Appin is said to have leveraged a California-based freelancing platform referred to as Elance (now called Upwork) to purchase malware from external software developers, while also using its in-house employees to develop a custom collection of hacking tools.


"The research findings underscore the group's remarkable tenacity and a proven track record of successfully executing attacks on behalf of a diverse clientele," Hegel said.


The development comes as Aviram Azari, an Israeli private investigator, was sentenced in the U.S. to nearly seven years in federal prison on charges of computer intrusion, wire fraud, and aggravated identity theft in connection with a global hack-for-hire scheme between November 2014 to September 2019. Azari was arrested in September 2019.


"Azari owned and operated an Israeli intelligence firm," the Department of Justice (DoJ) [said](https://www.justice.gov/usao-sdny/pr/israeli-hacker-hire-sentenced-80-months-prison-involvement-massive-spearphishing) last week. "Clients hired Azari to manage 'Projects' that were described as intelligence gathering efforts but were, in fact, hacking campaigns specifically targeting certain groups of victims."


Aviram has also been accused of using mercenary hackers in India, a company called [BellTroX Infotech](https://thehackernews.com/2020/06/hacker-for-hire-belltrox-india.html) (aka [Amanda](https://www.nortonlifelock.com/blogs/security-response/mercenary-amanda-professional-hackers-for-hire) or [Dark Basin](https://citizenlab.ca/2020/06/dark-basin-uncovering-a-massive-hack-for-hire-operation/)), to help clients gain an advantage in court battles via spear-phishing attacks and ultimately gain access to victims' accounts and steal information.


BellTrox was founded by [Sumit Gupta](https://www.justice.gov/usao-ndca/pr/private-investigators-indicted-e-mail-hacking-scheme) in May 2013. Reuters [disclosed](https://www.reuters.com/investigates/special-report/usa-hackers-litigation/) in June 2022 that prior to launching the company, Gupta had worked for Appin.


  





## Tags:
***urls***: http://speedaccelator.com

### Autogenerated tags:
[[appin]] [[azari]] [[hack-for-hire]] [[u.s]] [[sentinelone]] [[malware]] [[hegel]]
