# Iran-Linked UNC1549 Hackers Target Middle East Aerospace & Defense Sectors
## Cyber espionage intensifies as UNC1549, linked to Iran, targets aerospace and defense in the Middle East.
## Information:

+ Link: https://thehackernews.com/2024/02/iran-linked-unc1549-hackers-target.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 28 February 2024, 20:38
+ Date scraped: 28 February 2024, 16:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgyM2fQmAkxwXDbY_FZ3WHltIkGL1RPRI1Df0uekz1o1On2MqgES81RUs9umL32ThRp23WlZEzSmO0vIVhZ4cLPmLRXjmpKSlWL0H5ucUq1Ry1FuY9rK0YkPs502G9d1RFHTa1kH6TrastdeYFDYorTQ0fCnemeiOK982ZiSufjy6dqctqiR9VDoC_vE2xi/s728-rw-e365/cyberattack.jpg)


An Iran-nexus threat actor known as **UNC1549** has been attributed with medium confidence to a new set of attacks targeting aerospace, aviation, and defense industries in the Middle East, including Israel and the U.A.E.


Other targets of the cyber espionage activity likely include Turkey, India, and Albania, Google-owned Mandiant said in a new analysis.


UNC1549 is said to overlap with [Smoke Sandstorm](https://thehackernews.com/2022/06/microsoft-seizes-41-domains-used-in.html) (previously Bohrium) and [Crimson Sandstorm](https://thehackernews.com/2023/10/iranian-group-tortoiseshell-launches.html) (previously Curium), the latter of which is an Islamic Revolutionary Guard Corps (IRGC) affiliated group which is also known as Imperial Kitten, TA456, Tortoiseshell, and Yellow Liderc.


"This suspected UNC1549 activity has been active since at least June 2022 and is still ongoing as of February 2024," the company [said](https://www.mandiant.com/resources/blog/suspected-iranian-unc1549-targets-israel-middle-east). "While regional in nature and focused mostly in the Middle East, the targeting includes entities operating worldwide."


The attacks entail the use of Microsoft Azure cloud infrastructure for command-and-control (C2) and social engineering involving job-related lures to deliver two backdoors dubbed MINIBIKE and MINIBUS.


The spear-phishing emails are designed to disseminate links to fake websites containing [Israel-Hamas related content](https://www.cyfirma.com/outofband/iran-contributes-to-the-escalating-geo-political-threat-landscape/) or phony job offers, resulting in the deployment of a malicious payload. Also observed are bogus login pages mimicking major companies to harvest credentials.


The custom backdoors, upon establishing C2 access, act as a conduit for intelligence collection and for further access into the targeted network. Another tool deployed at this stage is a tunneling software called LIGHTRAIL that communicates using Azure cloud.


While MINIBIKE is based in C++ and capable of file exfiltration and upload, and command execution, MINIBUS serves as a more "robust successor" with enhanced reconnaissance features.


"The intelligence collected on these entities is of relevance to strategic Iranian interests and may be leveraged for espionage as well as kinetic operations," Mandiant said.


"The evasion methods deployed in this campaign, namely the tailored job-themed lures combined with the use of cloud infrastructure for C2, may make it challenging for network defenders to prevent, detect, and mitigate this activity."


CrowdStrike, in its [Global Threat Report](https://www.crowdstrike.com/blog/crowdstrike-2024-global-threat-report/) for 2024, described how "faketivists associated with Iranian state-nexus adversaries and hacktivists branding themselves as 'pro-Palestinian' focused on targeting critical infrastructure, Israeli aerial projectile warning systems, and activity intended for information operation purposes in 2023."


This includes Banished Kitten, which unleashed the [BiBi wiper malware](https://thehackernews.com/2023/11/new-bibi-windows-wiper-targets-windows.html), and Vengeful Kitten, an alias for [Moses Staff](https://thehackernews.com/2023/01/researchers-uncover-connection-bw-moses.html) that has claimed data-wiping activity against more than 20 companies' industrial control systems (ICS) in Israel.


That said, Hamas-linked adversaries have been noticeably absent from [conflict-related activity](https://thehackernews.com/2024/02/iran-and-hezbollah-hackers-launch.html), something the cybersecurity firm has attributed to likely power and internet disruptions in the region.


  





## Tags:


### Autogenerated tags:
[[unc1549]] [[cloud]] [[c2]]
