# Iranian Hackers Masquerade as Journalists to Spy on Israel-Hamas War Experts
## "Mind Sandstorm," an Iranian cyber espionage group, has targeted experts in Middle Eastern affairs across several countries.
## Information:

+ Link: https://thehackernews.com/2024/01/iranian-hackers-masquerades-as.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 18 January 2024, 09:46
+ Date scraped: 18 January 2024, 05:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgzZWyQKjyIZm5WP-Br7s_PlUO0tRDTTLLdDrIxJYXpwK51oJZVwLO2YAlrGAZcVAgicj9TkQU6OewZcRPGh-90RX0W7bgLKQrgXePyWvotwy9YMX_XmpQBzVfRCJwWK54-k5lo8QlwpdClYsHRWlPYvDGtHFZFYBTEk_MNePJUxUr2KOQCEZ_sEF969z3S/s728-rw-ft-e30/cyberattack.jpg)

 High-profile individuals working on Middle Eastern affairs at universities and research organizations in Belgium, France, Gaza, Israel, the U.K., and the U.S. have been targeted by an Iranian cyber espionage group called **Mind Sandstorm** since November 2023.


The threat actor "used bespoke phishing lures in an attempt to socially engineer targets into downloading malicious files," the Microsoft Threat Intelligence team [said](https://www.microsoft.com/en-us/security/blog/2024/01/17/new-ttps-observed-in-mint-sandstorm-campaign-targeting-high-profile-individuals-at-universities-and-research-orgs/) in a Wednesday analysis, describing it as a "technically and operationally mature subgroup of Mind Sandstorm."


The attacks, in select cases, involve the use of a previously undocumented backdoor dubbed MediaPl, indicating ongoing endeavors by Iranian threat actors to refine their post-intrusion tradecraft.


Mint Sandstorm, also known as APT35, Charming Kitten, TA453, and Yellow Garuda, is [known](https://thehackernews.com/2023/04/iranian-government-backed-hackers.html) for its [adept social engineering campaigns](https://thehackernews.com/2023/08/charming-kitten-targets-iranian.html), even resorting to legitimate but compromised accounts to send bespoke phishing emails to prospective targets. It's assessed to be affiliated with Iran's Islamic Revolutionary Guard Corps ([IRGC](https://en.wikipedia.org/wiki/Islamic_Revolutionary_Guard_Corps)).


The sub-cluster, per Redmond, engages in resource-intensive social engineering to single out journalists, researchers, professors, and other individuals with insights on security and policy issues of interest to Tehran.


The latest intrusion set is characterized by the use of lures pertaining to the [Israel-Hamas war](https://thehackernews.com/2024/01/pro-iranian-hacker-group-targeting.html), sending innocuous emails under the guise of journalists and other high-profile individuals to build rapport with targets and establish a level of trust before attempting to deliver malware to targets.


Microsoft said it's likely the campaign is an effort undertaken by the nation-state threat actor to collect perspectives on events related to the war.


The use of breached accounts belonging to the people they sought to impersonate in order to send the email messages is a new Mind Sandstorm tactic not seen before, as is its use of the curl command to connect to the command-and-control (C2) infrastructure.


Should the targets engage with the threat actor, they are sent a follow-up email containing a malicious link that points to a RAR archive file, which, when opened, leads to the retrieval of Visual Basic scripts from the C2 server to persist within the targets' environments.


The attack chains further pave the way for custom implants like MischiefTut or MediaPl, the former of which was [first disclosed](https://thehackernews.com/2023/10/gaza-linked-cyber-threat-actor-targets.html) by Microsoft in October 2023.


Implemented in PowerShell, MischiefTut is a basic backdoor that can run reconnaissance commands, write outputs to a text file, and download additional tools on a compromised system. The first recorded use of the malware dates back to late 2022.


MediaPl, on the other hand, masquerades as Windows Media Player and is designed to transmit encrypted communications to its C2 server and launch command(s) it has received from the server.


"Mint Sandstorm continues to improve and modify the tooling used in targets' environments, activity that might help the group persist in a compromised environment and better evade detection," Microsoft said.


"The ability to obtain and maintain remote access to a target's system can enable Mint Sandstorm to conduct a range of activities that can adversely impact the confidentiality of a system."


The disclosure comes as Dutch newspaper De Volkskrant [revealed](https://www.volkskrant.nl/kijkverder/v/2024/sabotage-in-iran-een-missie-in-duisternis~v989743/) earlier this month that [Erik van Sabben](https://news.yahoo.com/revealed-how-a-secret-dutch-mole-aided-the-us-israeli-stuxnet-cyber-attack-on-iran-160026018.html), a Dutch engineer recruited by Israel and U.S. intelligence services, may have used a water pump to [deploy](https://twitter.com/craiu/status/1744317838733582668) an [early variant](https://www.kaspersky.com/about/press-releases/2014_stuxnet-patient-zero-first-victims-of-the-infamous-worm-revealed) of the now-infamous [Stuxnet malware](https://thehackernews.com/2021/05/a-new-bug-in-siemens-plcs-could-let.html) in an Iranian nuclear facility sometime in 2007.


  





## Tags:


### Autogenerated tags:
[[microsoft]] [[mediapl]] [[malware]] [[c2]]
