# Iranian MuddyWater Hackers Adopt New C2 Tool 'DarkBeatC2' in Latest Campaign
## MuddyWater, linked to Iran's MOIS, strikes again with DarkBeatC2. Our latest blog unpacks the latest tactics in cyber warfare.
## Information:

+ Link: https://thehackernews.com/2024/04/iranian-muddywater-hackers-adopt-new-c2.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 12 April 2024, 15:19
+ Date scraped: 12 April 2024, 10:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEihcBUM8AYIxXMTF524TJcMOgEdG-1yd4w8cxc1nuYvIRrALE3NnoCp2X1WfciBwiHi84Dr-x02L0SDkTq1Z_1KzFjOvOjp4MXXddjawSf6MliehwLcxeo3QfxE_o06g9Ecx-ZNHDB_jEeLZiXqxiRN0K4piG-frPl5fu0_qLhC53nPLUIs1w8-d2wwwSqS/s728-rw-e365/iran-hackers.png)


The Iranian threat actor known as MuddyWater has been attributed to a new command-and-control (C2) infrastructure called **DarkBeatC2**, becoming the latest such tool in its arsenal after [SimpleHarm](https://thehackernews.com/2023/04/iranian-hackers-using-simplehelp-remote.html), [MuddyC3, PhonyC2](https://thehackernews.com/2023/06/from-muddyc3-to-phonyc2-irans.html), and [MuddyC2Go](https://thehackernews.com/2023/11/muddyc2go-new-c2-framework-iranian.html).


"While occasionally switching to a new remote administration tool or changing their C2 framework, MuddyWater's methods remain constant," Deep Instinct security researcher Simon Kenin [said](https://www.deepinstinct.com/blog/darkbeatc2-the-latest-muddywater-attack-framework) in a technical report published last week.


MuddyWater, also called Boggy Serpens, Mango Sandstorm, and TA450, is assessed to be affiliated with Iran's Ministry of Intelligence and Security (MOIS). It's known to be active since at least 2017, orchestrating spear-phishing attacks that lead to the deployment of various legitimate Remote Monitoring and Management (RMM) solutions on compromised systems.


Prior findings from Microsoft show that the group has ties with another Iranian threat activity cluster tracked as [Storm-1084](https://thehackernews.com/2023/04/iran-based-hackers-caught-carrying-out.html) (aka DarkBit), with the latter leveraging the access to orchestrate destructive wiper attacks against Israeli entities.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The latest attack campaign, details of which were also [previously revealed](https://thehackernews.com/2024/03/iran-linked-muddywater-deploys-atera.html) by Proofpoint last month, commences with spear-phishing emails sent from compromised accounts that contain links or attachments hosted on services like Egnyte to deliver the Atera Agent software.


One of the URLs in question is "kinneretacil.egnyte[.]com," where the subdomain "kinneretacil" refers to "kinneret.ac.il," an educational institution in Israel and a customer of Rashim, which, in turn, was [breached](https://thehackernews.com/2024/03/iran-linked-muddywater-deploys-atera.html) by Lord Nemesis (aka [Nemesis Kitten](https://thehackernews.com/2024/02/iran-linked-unc1549-hackers-target.html) or TunnelVision) as part of a supply chain attack targeting the academic sector in the country.


Lord Nemesis is suspected of being a "[faketivist](https://thehackernews.com/2024/02/iran-linked-unc1549-hackers-target.html)" operation directed against Israel. It's also worth noting that Nemesis Kitten is a private contracting company called Najee Technology, a subgroup within [Mint Sandstorm](https://thehackernews.com/2023/04/iranian-government-backed-hackers.html) that's backed by Iran's Islamic Revolutionary Guard Corps (IRGC). The company was [sanctioned](https://thehackernews.com/2022/09/us-charges-3-iranian-hackers-and.html) by the U.S. Treasury in September 2022.


"This is important because if 'Lord Nemesis' were able to breach Rashim's email system, they might have breached the email systems of Rashim's customers using the admin accounts that now we know they obtained from 'Rashim,'" Kenin explained.


[![Iranian MuddyWater Hackers](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjcIk5LVZrYRXXFk9nM8U9V7jV_OjPWOfQQ8IUNfoMsELG0MWKzZV3gs51W3c1OCT5c52P7isMlG8uMj6ZEB1Mt2SB_-9RNK4xPDxalAHp9Ri_8IHDUqkyl3-mb5feo-_NlsABXXtykGwV63RXWqt0287Mb0qZEW7mSQAMZG6vcfy6uWYcol4qO8pfXFzM_/s728-rw-e365/hacking.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjcIk5LVZrYRXXFk9nM8U9V7jV_OjPWOfQQ8IUNfoMsELG0MWKzZV3gs51W3c1OCT5c52P7isMlG8uMj6ZEB1Mt2SB_-9RNK4xPDxalAHp9Ri_8IHDUqkyl3-mb5feo-_NlsABXXtykGwV63RXWqt0287Mb0qZEW7mSQAMZG6vcfy6uWYcol4qO8pfXFzM_/s728-rw-e365/hacking.png)
The web of connections has raised the possibility that MuddyWater may have used the email account associated with Kinneret to distribute the links, thereby giving the messages an illusion of trust and tricking the recipients into clicking them.


"While not conclusive, the timeframe and context of the events indicate a potential hand-off or collaboration between IRGC and MOIS to inflict as much harm as possible on Israeli organizations and individuals," Kenin further added.


The attacks are also notable for relying on a set of domains and IP addresses collectively dubbed DarkBeatC2 that are responsible for managing the infected endpoints. This is accomplished by means of PowerShell code designed to establish contact with the C2 server upon gaining initial access through other means.


According to [independent findings](https://github.com/PaloAltoNetworks/Unit42-timely-threat-intel/blob/main/2024-Boggy-Serpens-use-of-AutodialDLL.txt) from Palo Alto Networks Unit 42, the threat actor has been observed abusing the Windows Registry's AutodialDLL function to side-load a malicious DLL and ultimately set up connections with a DarkBeatC2 domain.


The mechanism, in particular, involves establishing persistence through a scheduled task that runs PowerShell to leverage the AutodialDLL registry key and load the DLL for C2 framework. The cybersecurity firm said the technique was put to use in a cyber attack aimed at an unnamed Middle East target.


Other methods adopted by MuddyWater to establish a C2 connection include the use of a first-stage payload delivered via the spear-phishing email and leveraging DLL side-loading to execute a malicious library.


A successful contact allows the infected host to receive PowerShell responses that, for its part, fetches two more PowerShell scripts from the same server.


While one of the scripts is designed to read the contents of a file named "C:\ProgramData\SysInt.log" and transmit them to the C2 server via an HTTP POST request, the second script periodically polls the server to obtain additional payloads and writes the results of the execution to "SysInt.log." The exact nature of the next-stage payload is currently unknown.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"This framework is similar to the previous C2 frameworks used by MuddyWater," Kenin said. "PowerShell remains their 'bread and butter.'"


### Curious Serpens Targets Defense Sector with FalseFont Backdoor[#](#curious-serpens-targets-defense-sector-with-falsefont-backdoor)


The disclosure comes as Unit 42 unpacked the inner workings of a backdoor called [FalseFont](https://thehackernews.com/2023/12/microsoft-warns-of-new-falsefont.html) that's used by an Iranian threat actor known as Peach Sandstorm (aka APT33, Curious Serpens, Elfin, and Refined Kitten) in attacks targeting the aerospace and defense sectors.


"The threat actors mimic legitimate human resources software, using a fake job recruitment process to trick victims into installing the backdoor," security researchers Tom Fakterman, Daniel Frank, and Jerome Tujague [said](https://unit42.paloaltonetworks.com/curious-serpens-falsefont-backdoor), describing FalseFont as "highly targeted."


Once installed, it presents a login interface impersonating an aerospace company and captures the credentials as well as the educational and employment history entered by the victim to a threat-actor controlled C2 server in JSON format.


The [implant](https://www.nextron-systems.com/2024/01/29/analysis-of-falsefont-backdoor-used-by-peach-sandstorm-threat-actor), besides its graphical user interface (GUI) component for user inputs, also stealthily activates a second component in the background that establishes persistence on the system, gathers system metadata, and executes commands and processes sent from the C2 server.


Other features of FalseFont include the ability to download and upload files, steal credentials, capture screenshots, terminate specific processes, run PowerShell commands, and self-update the malware.


  





## Tags:


### Autogenerated tags:
[[c2]] [[muddywater]] [[powershell]] [[kenin]] [[falsefont]] [[darkbeatc2]] [[spear-phishing]] [[rashim]] [[dll]]
