# Iranian Nation-State Actor OilRig Targets Israeli Organizations
## OilRig, Iran's state-backed actor, aims at Israeli entities with spear-phishing tactics. Learn about the Outer Space and Juicy Mix campaigns.
## Information:

+ Link: https://thehackernews.com/2023/09/iranian-nation-state-actor-oilrig.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 22 September 2023, 14:55
+ Date scraped: 22 September 2023, 10:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgqFpLbvvf6xQxHYlUaKluu0be9f3cqSFW83BgzVOQkhkmFMwRBFyjFnNc8MqC7i8dC0Sy9LpBl71mI-q8i4K9V-qwWeyZFUXcq-5SA6tJCkb_vF_O5M8zmlMAG6otNeeRAZzcp-tFJoLhaSxecAhgMEQbGfnPhq2_3qvBryXEZ1HVD2lh_gmG0tFXTTill/s728-e3650/hack.jpg)


Israeli organizations were targeted as part of two different campaigns orchestrated by the Iranian nation-state actor known as **OilRig** in 2021 and 2022.


The campaigns, dubbed Outer Space and Juicy Mix, entailed the use of two previously documented first-stage backdoors called Solar and Mango, which were deployed to collect sensitive information from major browsers and the Windows Credential Manager.


"Both backdoors were deployed by VBS droppers, presumably spread via spear-phishing emails," ESET security researcher Zuzana Hromcová [said](https://www.welivesecurity.com/en/eset-research/oilrigs-outer-space-juicy-mix-same-ol-rig-new-drill-pipes/) in a Thursday analysis.


OilRig (aka APT34, Cobalt Gypsy, Hazel Sandstorm, and Helix Kitten) is the name assigned to an [intrusion set](https://thehackernews.com/2022/02/iranian-hackers-using-new-marlin.html) affiliated with Iran's Ministry of Intelligence and Security (MOIS). Active since 2014, the threat actor has used a wide range of tools at its disposal to carry out information theft.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhi4CwKKVvbrabSKgZxQMtcCPSAThCFPNdROHSodr7KQwhdCVXrAi_do7ciuRA2-3QiOXhZmPJs-4if9uDqHVZ41ExgY4nnjL9T0gPjhO7VYtzE2vXXHRh9v8bTaCTixHBKbgd3P7goFMq7rhywio_HjaVvoz6X5d0H6GqIxSp3-oup5PTnmGnWhtFXjJXv/s728-e365/aws-d.png)](https://thn.news/o6a5Vxgy)
Earlier this February, Trend Micro [discovered](https://thehackernews.com/2023/02/iranian-oilrig-hackers-using-new.html) OilRig's use of a simple backdoor to steal users' credentials, highlighting its "flexibility to write new malware based on researched customer environments and levels of access."


The group has also been observed delivering an [updated version](https://thehackernews.com/2023/09/alert-phishing-campaigns-deliver-new.html) of SideTwist as part of a phishing attack likely targeting U.S. businesses.


That said, the use of Mango malware was [previously highlighted](https://thehackernews.com/2023/05/operation-chattygoblin-hackers.html) by both ESET and Microsoft in May 2023, with the latter attributing it to an emerging activity cluster it tracks under the name Storm-0133.


Storm-0133, also associated with MOIS, exclusively targets Israeli local government agencies and companies serving the defense, lodging, and healthcare sectors, the Windows maker said.


The latest findings from the Slovak cybersecurity firm establish the group's continued focus on Israel, using [spear-phishing lures](https://www.mandiant.com/resources/blog/hard-pass-declining-apt34-invite-to-join-their-professional-network) to trick potential targets into installing the malware via booby-trapped attachments.


In the Outer Space campaign observed in 2021, OilRig compromised an Israeli human resources site and subsequently used it as a command-and-control (C2) server for Solar, a basic C#/.NET backdoor capable of downloading and executing files and gathering information.


Solar also acts as a vehicle to deploy a downloader named SampleCheck5000 (or SC5k), which uses the Office Exchange Web Services (EWS) API to download additional tools for execution, as well as a utility to exfiltrate data from the Chrome web browser referred to as MKG.


"Once SC5k logs into the remote Exchange server, it retrieves all the emails in the Drafts directory, sorts them by most recent, keeping only the drafts that have attachments," Hromcová said.


UPCOMING WEBINAR[AI vs. AI: Harnessing AI Defenses Against AI-Powered Risks](https://thehacker.news/ai-cyberattacks?source=inside)Ready to tackle new AI-driven cybersecurity challenges? Join our insightful webinar with Zscaler to address the growing threat of generative AI in cybersecurity.

[Learn, Connect, Grow](https://thehacker.news/ai-cyberattacks?source=inside)
"It then iterates over every draft message with an attachment, looking for JSON attachments that contain "data" in the body. It extracts the value from the key data in the JSON file, base64 decodes and decrypts the value, and calls cmd.exe to execute the resulting command line string."


The results of the command execution are staged and sent back to the operators via a new email message on the Exchange server and saving it as a draft.


The Juicy Mix campaign of 2022 involved the use of Mango, an improved version of Solar incorporating additional capabilities and obfuscation methods. For C2 purposes, the threat actor compromised a legitimate Israeli job portal website.


"OilRig continues to innovate and create new implants with backdoor-like capabilities while finding new ways to execute commands on remote systems," Hromcová said.


"The group deploys a set of custom post-compromise tools that are used to collect credentials, cookies, and browsing history from major browsers and from the Windows Credential Manager."


  





## Tags:


### Autogenerated tags:
[[oilrig]] [[windows]] [[hromcová]] [[malware]]
