# Linux Version of DinodasRAT Spotted in Cyber Attacks Across Several Countries
## Linux users, beware. A nasty piece of malware named DinodasRAT is on the loose, targeting China, Taiwan, Turkey, and Uzbekistan.
## Information:

+ Link: https://thehackernews.com/2024/03/linux-version-of-dinodasrat-spotted-in.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 28 March 2024, 22:32
+ Date scraped: 28 March 2024, 18:14

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhm-KGQUKSU74xrEZa2psXIZWXqLEiOJ6gl1cNx4ZeqRMWB6pLBcYdAV6xdwPgiqFHCw79-I_q2hb0zVINfTwbDWIMmZspUbmTFzha_n48_1LOMejoMJDvuvhqHLLRTcpTZzFmMmZdLl8NuHbzGiirrzHCtwJSCOr_Ci8HWwhg5QmwS1Gju8Z1X6iU6OH7_/s728-rw-e365/linux.jpg)


A Linux version of a multi-platform backdoor called **DinodasRAT** has been detected in the wild targeting China, Taiwan, Turkey, and Uzbekistan, [new findings](https://securelist.com/dinodasrat-linux-implant/112284/) from Kaspersky reveal.


DinodasRAT, also known as XDealer, is a C++-based malware that offers the ability to harvest a wide range of sensitive data from compromised hosts.


In October 2023, Slovak cybersecurity firm ESET [revealed](https://thehackernews.com/2023/10/guyana-governmental-entity-hit-by.html) that a governmental entity in Guyana has been targeted as part of a cyber espionage campaign dubbed Operation Jacana to deploy the Windows version of the implant.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
Then last week, Trend Micro [detailed](https://thehackernews.com/2024/03/two-chinese-apt-groups-ramp-up-cyber.html) a threat activity cluster it tracks as Earth Krahang and which has shifted to using DinodasRAT since 2023 in its attacks aimed at several government entities worldwide.


The use of DinodasRAT has been attributed to various China-nexus threat actors, including [LuoYu](https://thehackernews.com/2022/06/chinese-luoyu-hackers-using-man-on-side.html), once again reflecting the tool sharing prevalent among hacking crews identified as acting on behalf of the country.


[![Linux Version of DinodasRAT](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgJpuQ_RYMC4LtCxWyZtkyTm4fxXfUoRWAl9L5C2xfcbNlHuVmiElNOty5EnzGwTawF_4qg36XskPW6mlGL-zYgaGQOztYjvqqsTXj3wOrm8OVhuMBdZD7kc-ggip5S_UBNngXNpkrVIiBLlffkLr7NNNpQVeKzgIvWtxv7MpbVMGEe0aEfIW8i_7cJT39b/s728-rw-e365/code.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgJpuQ_RYMC4LtCxWyZtkyTm4fxXfUoRWAl9L5C2xfcbNlHuVmiElNOty5EnzGwTawF_4qg36XskPW6mlGL-zYgaGQOztYjvqqsTXj3wOrm8OVhuMBdZD7kc-ggip5S_UBNngXNpkrVIiBLlffkLr7NNNpQVeKzgIvWtxv7MpbVMGEe0aEfIW8i_7cJT39b/s728-rw-e365/code.jpg)
Kaspersky said it discovered a Linux version of the malware (V10) in early October 2023. Evidence gathered so far shows that the first known variant (V7) dates back to 2021.


It's mainly designed to target Red Hat-based distributions and Ubuntu Linux. Upon execution, it establishes persistence on the host by using SystemV or SystemD startup scripts and periodically contacts a remote server over TCP or UDP to fetch the commands to be run.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiq3FD_K5jS19OiNrl_zJkHFPA5uRlxhWj-jrr23FY6-XPfhWmbo9d2hGEAU7haozVp8oJP6WDTShcroe-tunJMeq5PVdoOrePEC_-bzW8DlT4Dpp7r5CvIyQxabciMuLITAu8SQT6OeFR8bKOS4GQ32wteZFU8KG6c8a54AY-I7hO5w6Pc-Fzeun9pPY4w/s728-rw-e3650/cis-d.png)](https://thehackernews.uk/cis-hardened-images-platforms)
DinodasRAT is equipped to perform file operations, change command-and-control (C2) addresses, enumerate and terminate running processes, execute shell commands, download a new version of the backdoor, and even uninstall itself.


It also takes steps to evade detection by debugging and monitoring tools, and like its Windows counterpart, utilizes the Tiny Encryption Algorithm ([TEA](https://en.wikipedia.org/wiki/Tiny_Encryption_Algorithm)) to encrypt C2 communications.


"DinodasRAT's primary use case is to gain and maintain access via Linux servers rather than reconnaissance," Kaspersky said. "The backdoor is fully functional, granting the operator complete control over the infected machine, enabling data exfiltration and espionage."

 
  





## Tags:


### Autogenerated tags:
[[dinodasrat]] [[linux]] [[kaspersky]]
