# MMRat Android Trojan Executes Remote Financial Fraud Through Accessibility Feature
## New Android banking trojan alert! Meet MMRat: stealthy malware targeting Southeast Asian users. It hijacks devices remotely for financial fraud.
## Information:

+ Link: https://thehackernews.com/2023/08/mmrat-android-trojan-executes-remote.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 30 August 2023, 20:42
+ Date scraped: 30 August 2023, 16:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEia_fw0UPEpgimtGjqXcvO8JR2_QMpf2ijQC5LPAyawihzV1TKQKinIAURp0Jb8yGkO-xF-kO3yNMZsNNHrIOBPNRx30fb3cTcUimRDOOMtD03U1ih2VNAKSqb02KdSKwzEArfCfp7jxXZMUa0JY8lL71HSHk8vzjaExNmGervw1uv2LAT4EvOtu0671TWf/s728-e3650/mobile.jpg)


A previously undocumented Android banking trojan dubbed **MMRat** has been observed targeting mobile users in Southeast Asia since late June 2023 to remotely commandeer the devices and perform financial fraud.


"The malware, named after its distinctive package name com.mm.user, can capture user input and screen content, and can also remotely control victim devices through various techniques, enabling its operators to carry out bank fraud on the victim's device," Trend Micro [said](https://www.trendmicro.com/en_us/research/23/h/mmrat-carries-out-bank-fraud-via-fake-app-stores.html).


What makes MMRat stand apart from others of its kind is the use of a customized command-and-control (C2) protocol based on protocol buffers (aka [protobuf](https://en.wikipedia.org/wiki/Protocol_Buffers)) to efficiently transfer large volumes of data from compromised handsets, demonstrating the growing sophistication of Android malware.


Possible targets based on the language used in the phishing pages include Indonesia, Vietnam, Singapore, and the Philippines.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjDdxUPmQ8UJQm7kd9rIBsYCDlCQoR3bqVu4rchvOWFKGtnDq1ldILMskU-tlbXnHlWQVvGxivE1Fe-Lh5dJlECjsiblKiu8sbqMdqKgxy97B6MLcQuXtpP2lOmhjny2d5jmCkjl9wSzPqoLkAQ2KHee1cno62wV4IXDkMLIFfzgANa6DJDIBjFicKsID_i/s728-e3650/1.png)](https://thn.news/edWGl41h)
The entry point of the attacks is a network of phishing sites that mimic official app stores, although how victims are directed to these links is presently unknown. MMRat typically [masquerades](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/h/mmrat-carries-out-bank-fraud-via-fake-app-stores/IOC_stealthy-android-malware-mmrat-carries-out-bank-fraud-via-fake-app-stores.txt) as an official government or a dating app.


Once installed, the app leans heavily on Android accessibility service and MediaProjection API, both of which have been leveraged by another Android financial trojan called [SpyNote](https://thehackernews.com/2023/01/spynote-strikes-again-android-spyware.html), to carry out its activities. The malware is also capable of abusing its accessibility permissions to grant itself other permissions and modify settings.


[![Android Banking Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhy341tmVDGnEJH__fkVyeF4CFpqEGIbjxFHLiHW9qjeovdHrrygPl62mIWxJUHzO2qFDWn58YjMujG9OqEzmNLsZxd93-HW_CfpOXg-xF-Ubl4j9IHujY-NOgN2I1P_U2OP5FoVm1K_g7vphWVMDPBcSX9XUolnPIi7yPq88a9ffURfyRiPcHBu_G3Meio/s728-e3650/android.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhy341tmVDGnEJH__fkVyeF4CFpqEGIbjxFHLiHW9qjeovdHrrygPl62mIWxJUHzO2qFDWn58YjMujG9OqEzmNLsZxd93-HW_CfpOXg-xF-Ubl4j9IHujY-NOgN2I1P_U2OP5FoVm1K_g7vphWVMDPBcSX9XUolnPIi7yPq88a9ffURfyRiPcHBu_G3Meio/s728-e365/android.jpg)
It further sets up persistence to survive between reboots and initiates communications with a remote server to await instructions and exfiltrate the results of the execution of those commands back to it. The trojan employs different combinations of ports and protocols for functions such as data exfiltration, video streaming, and C2 control.


MMRat possesses the ability to collect a broad range of device data and personal information, including signal strength, screen status, and battery stats, installed applications, and contact lists. It's suspected that the threat actor uses the details to carry out some sort of victim profiling before moving to the next stage.


Some of the other features of MMRat encompass recording real-time screen content and capturing the lock screen pattern so as to allow the threat actor to remotely gain access to the victim's device when it is locked and not actively in use.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
"The MMRat malware abuses the Accessibility service to remotely control the victim's device, performing actions such as gestures, unlocking screens, and inputting text, among others," Trend Micro said.


"This can be used by threat actors — in conjunction with stolen credentials — to perform bank fraud."


The attacks end with MMRat deleting itself upon receiving the C2 command UNINSTALL\_APP, which typically takes place after a successful fraudulent transaction, effectively removing all traces of infection from the device.


To mitigate threats posed by such potent malware, it's recommended that users only download apps from official sources, scrutinize app reviews, and check the permissions an app requests for access to before usage.


  





## Tags:


### Autogenerated tags:
[[mmrat]] [[malware]] [[android]] [[c2]]
