# MaliBot: A New Android Banking Trojan Spotted in the Wild
## A new strain of Android malware has been spotted in the wild targeting online banking and cryptocurrency wallet users in Spain and Italy.
## Information:

+ Link: https://thehackernews.com/2022/06/malibot-new-android-banking-trojan.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 16 June 2022, 04:00
+ Date scraped: 16 June 2022, 05:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEijM_e17DNYJVwtzJ9QUlmkXIPUKad-DjIexG59YF5JklR9gIg0S5C2ntPHp9k8ssZvmq-DO_f3V4Q41hhO3c5NvXswT8cQX5Pzn7HoHgn5Ah-FKzReEyGXLt5HuutugorBhs5pM0aNM2eWDCZy03HLMFAFBwOTunOYgbuj2a_JClaZ1MbNnz5Na21d/s728-e1000/android-malware.jpg)


A new strain of Android malware has been spotted in the wild targeting online banking and cryptocurrency wallet customers in Spain and Italy, just weeks after a coordinated law enforcement operation dismantled [FluBot](https://thehackernews.com/2022/06/flubot-android-spyware-taken-down-by.html).


The information stealing trojan, codenamed **MaliBot** by F5 Labs, is as feature-rich as its [counterparts](https://thehackernews.com/2022/06/10-most-prolific-banking-trojans.html), allowing it to steal credentials and cookies, bypass multi-factor authentication (MFA) codes, and abuse Android's Accessibility Service to monitor the victim's device screen.


MaliBot is known to primarily disguise itself as cryptocurrency mining apps such as Mining X or The CryptoApp that are distributed via fraudulent websites designed to attract potential visitors into downloading them.


It also takes another leaf out of the mobile banking trojan playbook in that it employs smishing as a distribution vector to proliferate the malware by accessing an infected smartphone's contacts and sending SMS messages containing links to the malware.


"MaliBot's command-and-control (C2) is in Russia and appears to use the same servers that were used to distribute the [Sality malware](https://malpedia.caad.fkie.fraunhofer.de/details/win.sality)," F5 Labs researcher Dor Nizar [said](https://www.f5.com/labs/articles/threat-intelligence/f5-labs-investigates-malibot). "It is a heavily modified re-working of the SOVA malware, with different functionality, targets, C2 servers, domains, and packing schemes."


[![Android Banking Trojan](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEizmcpDw6lS2bpbPCLiOxd7k2l2pwD8bPekM77FzihOxBNVpsGPTItCV1ZX45ekxDIS6nGhPH6-rAGDateT_HTNTqJ3GiSPUFWoZ6IehvVIixmZV1mzjQW3w-BhFhGdToIuq3lUrCDUScyGpJzey48-CLjinAN-9cpaabMB7mywSOUgVFNA3ZzDN2E-/s728-e1000/banking-malware.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEizmcpDw6lS2bpbPCLiOxd7k2l2pwD8bPekM77FzihOxBNVpsGPTItCV1ZX45ekxDIS6nGhPH6-rAGDateT_HTNTqJ3GiSPUFWoZ6IehvVIixmZV1mzjQW3w-BhFhGdToIuq3lUrCDUScyGpJzey48-CLjinAN-9cpaabMB7mywSOUgVFNA3ZzDN2E-/s728-e100/banking-malware.jpg)
SOVA (meaning "Owl" in Russian), which was [first detected in August 2021](https://thehackernews.com/2021/09/sova-new-android-banking-trojan-emerges.html), is notable for its ability to conduct overlay attacks, which work by displaying a fraudulent page using WebView with a link provided by the C2 server should a victim open a banking app included in its active target list.


Some of the banks targeted by MaliBot using this approach include UniCredit, Santander, CaixaBank, and CartaBCC.


Accessibility Service is a background service running in Android devices to assist users with disabilities. It has long been [leveraged by spyware and trojans](https://thehackernews.com/2022/05/latest-mobile-malware-report-suggests.html) to capture the device contents and intercept credentials entered by unsuspecting users on other apps.


Besides being able to siphon passwords and cookies of the victim's Google account, the malware is designed to swipe 2FA codes from the Google Authenticator app as well as exfiltrate sensitive information such as total balances and seed phrases from Binance and Trust Wallet apps.


[![Android Banking Trojan](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh205LTgVOYHTRhidl4o651OQHs6FBLT5WrgCY1isgyIZwtiI8VOntd9kQ3fDIinFUqI_V14LSuMUCfKGz4Hw3VgoBCh9b4G-AhlPzdz8g1j3f8FGPYOKGspBiykpPSsP21WJPBLhx7PJQLVvBLKhfHI52Ab4bgw7cl7QSzmpnooR03tySvNHJ4QMz3/s728-e1000/google.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh205LTgVOYHTRhidl4o651OQHs6FBLT5WrgCY1isgyIZwtiI8VOntd9kQ3fDIinFUqI_V14LSuMUCfKGz4Hw3VgoBCh9b4G-AhlPzdz8g1j3f8FGPYOKGspBiykpPSsP21WJPBLhx7PJQLVvBLKhfHI52Ab4bgw7cl7QSzmpnooR03tySvNHJ4QMz3/s728-e100/google.jpg)
What's more, Malibot is capable of weaponizing its access to the Accessibility API to defeat Google's two-factor authentication (2FA) methods, such as [Google prompts](https://support.google.com/accounts/answer/7026266), even in scenarios where an attempt is made to sign in to the accounts using the stolen credentials from a previously unknown device.


"The versatility of the malware and the control it gives attackers over the device mean that it could, in principle, be used for a wider range of attacks than stealing credentials and cryptocurrency," the researchers said.


"In fact, any application which makes use of WebView is liable to having the users' credentials and cookies stolen."


  





## Tags:


### Autogenerated tags:
[[malware]] [[malibot]] [[google]] [[android]] [[apps]] [[c2]]
