# Malicious Python Package Hides Sliver C2 Framework in Fake Requests Library Logo
## Researchers found a malicious Python package called requests-darwin-lite hiding a sneaky malware.
## Information:

+ Link: https://thehackernews.com/2024/05/malicious-python-package-hides-sliver.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 13 May 2024, 11:48
+ Date scraped: 13 May 2024, 07:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhMQICHAT2vwAjFq5fO9q_dUX6I4-SONVfpHzNeGUlwZa6dp85TbpU-FEVvT3XTjZMRzz4Og2MCs3ARJwIljRCz1zPZblcXoxyWSrVfKEgR5XcW06Sj_pWk1wr9pFT4t5N6TfJ2Gg8WzRfmYEF0LJbP56ImbLey2hdwg4hr6mQXq2TCT6W3ZkV8w2tzxAoT/s728-rw-e365/python.png)


Cybersecurity researchers have identified a malicious Python package that purports to be an offshoot of the [popular requests library](https://requests.readthedocs.io/en/latest/) and has been found concealing a Golang-version of the Sliver command-and-control (C2) framework within a PNG image of the project's logo. 


The package employing this steganographic trickery is [requests-darwin-lite](https://www.pepy.tech/projects/requests-darwin-lite), which has been downloaded 417 times prior to it being taken down from the Python Package Index (PyPI) registry.


Requests-darwin-lite "appeared to be a fork of the ever-popular requests package with a few key differences, most notably the inclusion of a malicious Go binary packed into a large version of the actual requests side-bar PNG logo," software supply chain security firm Phylum [said](https://blog.phylum.io/malicious-go-binary-delivered-via-steganography-in-pypi/).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The changes have been introduced in the package's setup.py file, which has been configured to decode and execute a Base64-encoded command to gather the system's Universally Unique Identifier ([UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)).


In what's an interesting twist, the infection chain proceeds only if the identifier matches a particular value, implying that the author(s) behind the package is looking to breach a specific machine to which they are already in possession of the identifier obtained through some other means.


This raises two possibilities: Either it's a highly targeted attack or it's some sort of a testing process ahead of a broader campaign.


Should the UUID match, the requests-darwin-lite proceeds to read data from a PNG file named "requests-sidebar-large.png," which bears similarities with the legitimate requests package that ships with a similar file called "requests-sidebar.png."


What's different here is that while the real logo embedded within requests has a file size of 300 kB, the one contained inside requests-darwin-lite is around 17 MB.


The [binary data](https://www.virustotal.com/gui/file/89fb2149bdf1482463377c055eb946dd357f2d90b3e425ebb3ab78c4774f7b00) concealed in the PNG image is the Golang-based [Sliver](https://thehackernews.com/2023/01/threat-actors-turn-to-sliver-as-open.html), an open-source C2 framework that's designed to be used by security professionals in their red team operations.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
The exact end goal of the package is currently unclear, but the development is once again a sign that open-source ecosystems continue to be an attractive vector to distribute malware.


With a vast majority of codebases relying on open-source code, the steady influx of malware into npm, PyPI, and other package registries, not to mention the [recent XZ Utils episode](https://thehackernews.com/2024/04/openjs-foundation-targeted-in-potential.html), has highlighted the need for [addressing issues](https://gizmodo.com/open-source-cybersecurity-is-a-ticking-time-bomb-1848790421) in a systematic manner that otherwise can "derail large swaths of the web." 

 
  





## Tags:


### Autogenerated tags:
[[png]] [[requests-darwin-lite]] [[open-source]]
