# Millions of Malicious 'Imageless' Containers Planted on Docker Hub Over 5 Years
## Millions of malicious "imageless" containers have been planted on Docker Hub over the past 5 years in multiple cybercriminal campaigns.
## Information:

+ Link: https://thehackernews.com/2024/04/millions-of-malicious-imageless.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 30 April 2024, 19:06
+ Date scraped: 30 April 2024, 14:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgV60ycag3gu19fGfBY_Q4zNcxY0p1dxw9j1AUl1ZjhUHOEj1jwT23M-UTQ_FR32i9FMaKoSE7POh9-eZ_U8a620DwdQtcHRvPSj5IUASrCgsOXV4b0TWPEWYWxW9AXJ167zMChZtkBNAdz8lMM-Azz2YO_WP0Qmj1MTI6kH1BHZ-kPQl_MvMGnl_zRuDjY/s728-rw-e365/docker-hub.png)


Cybersecurity researchers have discovered multiple campaigns targeting [Docker Hub](https://docs.docker.com/docker-hub/) by planting millions of malicious "imageless" containers over the past five years, once again underscoring how open-source registries could pave the way for supply chain attacks.


"Over four million of the repositories in Docker Hub are imageless and have no content except for the repository documentation," JFrog security researcher Andrey Polkovnichenko [said](https://jfrog.com/blog/attacks-on-docker-with-millions-of-malicious-repositories-spread-malware-and-phishing-scams/) in a report shared with The Hacker News.


What's more, the documentation has no connection whatsoever to the container. Instead, it's a web page that's designed to lure users into visiting phishing or malware-hosting websites.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Of the 4.79 million imageless Docker Hub repositories uncovered, 3.2 million of them are said to have been used as landing pages to redirect unsuspecting users to fraudulent sites as part of three broad campaigns -


* Downloader (repositories created in the first half of 2021 and September 2023), which advertises links to purported pirated content or cheats for video games but either directly links to malicious sources or a legitimate one that, in turn, contains JavaScript code that [redirects](https://isc.sans.edu/diary/How+Malware+Campaigns+Employ+Google+Redirects+and+Analytics/19843) to the malicious payload after 500 milliseconds.


* E-book phishing (repositories created in mid-2021), which redirects users searching for e-books to a website ("rd.lesac.ru") that, in turn, urges them to enter their financial information to download the e-book.


* Website (thousands of repositories created daily from April 2021 to October 2023), which contains a link to an online diary-hosting service called Penzu in some cases.


The payload delivered as part of the downloader campaign is designed to contact a command-and-control (C2) server and transmit system metadata, following which the server responds with a link to cracked software.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEir15BATdfWuvJ-nw9BU2Ip9pPrhXA21BYxR7n8-kpcLfiZW3sXEE7uXgX3gyX_eKwJnUEe2n6KcgxazttrpGdayg-R3aLD2iqWjA-gGsH80dtrtzvt7nIQ1TUTFbBGmZ5ADIKxODW0QoKnWG_HZz8dnRbA_ViMgpMRUnqs-q3BEZSY1HVtujQdzjgJXjNQ/s728-rw-e365/Img1.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEir15BATdfWuvJ-nw9BU2Ip9pPrhXA21BYxR7n8-kpcLfiZW3sXEE7uXgX3gyX_eKwJnUEe2n6KcgxazttrpGdayg-R3aLD2iqWjA-gGsH80dtrtzvt7nIQ1TUTFbBGmZ5ADIKxODW0QoKnWG_HZz8dnRbA_ViMgpMRUnqs-q3BEZSY1HVtujQdzjgJXjNQ/s728-rw-e365/Img1.png)
On the other hand, the exact goal of the website cluster is currently unclear, with the campaign also propagated on sites that have a lax content moderation policy.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"The most concerning aspect of these three campaigns is that there is not a lot that users can do to protect themselves at the outset, other than exercising caution," Shachar Menashe, senior director of security research at JFrog, said in a statement shared with The Hacker News.


"We're essentially looking at a malware playground that in some cases has been three years in the making. These threat actors are highly motivated and are hiding behind the credibility of the Docker Hub name to lure victims."


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg4KxJuo1o1ocJztVfvTM5Sa_nbou8UsUuJ3DHso2P0XBKQ4wUHy_ONM57UGRBEN2hrIHb4imVRxr9W_udUzqZF6MX5yR7vckexQxPms4jkjL2HPzdRzXjTJjzQjIxSM10Tkgwe7VsjzWnJW2z2dKf_-8SJmCWV-E9R_8XTKMuUXNriJZDxP1tTpJlmCkHo/s728-rw-e365/Img4.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg4KxJuo1o1ocJztVfvTM5Sa_nbou8UsUuJ3DHso2P0XBKQ4wUHy_ONM57UGRBEN2hrIHb4imVRxr9W_udUzqZF6MX5yR7vckexQxPms4jkjL2HPzdRzXjTJjzQjIxSM10Tkgwe7VsjzWnJW2z2dKf_-8SJmCWV-E9R_8XTKMuUXNriJZDxP1tTpJlmCkHo/s728-rw-e365/Img4.png)
With threat actors taking [painstaking efforts](https://thehackernews.com/2024/04/popular-rust-crate-liblzma-sys.html) to poison well known utilities, as evidenced in the case of the [XZ Utils compromise](https://securelist.com/xz-backdoor-story-part-2-social-engineering/112476/), it's imperative that developers exercise caution when it comes to downloading packages from open-source ecosystems/ 


"As Murphy's Law suggests, if something can be exploited by malware developers, it inevitably will be, so we expect that these campaigns can be found in more repositories than just Docker Hub," Menashe said.


  





## Tags:


### Autogenerated tags:
[[website]]
