# N. Korean Kimsuky Hackers Using New Recon Tool ReconShark in Latest Cyberattacks
## North Korean hackers Kimsuky using new ReconShark reconnaissance tool to target individuals via spear-phishing.
## Information:

+ Link: https://thehackernews.com/2023/05/n-korean-kimsuky-hackers-using-new.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 05 May 2023, 15:49
+ Date scraped: 05 May 2023, 11:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgOBKAL298stXURx1Txk1wUP4pgsU8QNzYG-BwrQQMrY3Ok-mCWU-CIk9FSC73EaztWLtERzJBNxOYCeVWwuWWsyANZDlLBrKnlodhlExcoiPNYV_nrXg9XGrZZzR6jCN9zGBKV4ExINR4GWNjNhrtTaBCMI2Bq8_F3752h63Si2w2Gh0_ZcPcQ-nAm/s728-e3650/hacking-tool.jpg)


The North Korean state-sponsored threat actor known as **Kimsuky** has been discovered using a new reconnaissance tool called **ReconShark** as part of an ongoing global campaign.


"[ReconShark] is actively delivered to specifically targeted individuals through spear-phishing emails, OneDrive links leading to document downloads, and the execution of malicious macros," SentinelOne researchers Tom Hegel and Aleksandar Milenkoski [said](https://www.sentinelone.com/labs/kimsuky-evolves-reconnaissance-capabilities-in-new-global-campaign/).


[Kimsuky](https://thehackernews.com/2022/08/researchers-uncover-kimusky-infra.html) is also known by the names APT43, ARCHIPELAGO, Black Banshee, Nickel Kimball, Emerald Sleet (previously Thallium), and Velvet Chollima.


Active since at least 2012, the [prolific](https://medium.com/walmartglobaltech/pivoting-on-a-sharpext-to-profile-kimusky-panels-for-great-good-1920dc1bcef9) [threat actor](https://thehackernews.com/2023/03/german-and-south-korean-agencies-warn.html) has been linked to [targeted](https://thehackernews.com/2023/04/google-tag-warns-of-north-korean-linked.html) [attacks](https://thehackernews.com/2023/04/lazarus-subgroup-targeting-apple.html) on non-governmental organizations (NGOs), think tanks, diplomatic agencies, military organizations, economic groups, and research entities across North America, Asia, and Europe.


The latest intrusion set documented by SentinelOne leverages geopolitical themes related to North Korea's nuclear proliferation to activate the infection sequence.


"Notably, the spear-phishing emails are made with a level of design quality tuned for specific individuals, increasing the likelihood of opening by the target," the researchers said. "This includes proper formatting, grammar, and visual clues, appearing legitimate to unsuspecting users."


[![ReconShark](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgifFxfC14-YmyVE7Tu1yWluq7oA12lbDGqwsnW17-CcTrCYBMvI-AVpAfTImKr2JRdFZXF49IQbaYxVWCQQhvrGSNtruRLM7lBoB4zPEQ8O4ovX4yxg7RXcwrppHcCe3HjAK95zxvjS--UEP50_maSMb_9aQghYc8p9blBvFMb7He1SJDvnL_7KCu2/s728-e365/code.png)
These messages contain links to booby-trapped Microsoft Word documents hosted on OneDrive to deploy ReconShark, which chiefly functions as a recon tool to execute instructions sent from an actor-controlled server. It's also an evolution of the threat actor's BabyShark malware toolset.


"It exfiltrates system information to C2 server, maintains persistence on the system, and waits for further instruction from the operator," Palo Alto Networks Unit 42 [said](https://unit42.paloaltonetworks.com/new-babyshark-malware-targets-u-s-national-security-think-tanks/) in its analysis of BabyShark in February 2019.


ReconShark is specifically designed to exfiltrate details about running processes, deployed detection mechanisms and hardware information, suggesting that data gathered from the tool is used to carry out "precision attacks" involving malware tailored to the targeted environment in a manner that sidesteps detection.


The malware is also capable of deploying additional payloads from the server based on "what detection mechanism processes run on infected machines."


The findings add to growing evidence that the threat actor is actively shifting its tactics to get a foothold on compromised hosts, establish persistence, and stealthily gather intelligence for extended periods of time.


"The ongoing attacks from Kimsuky and their use of the new reconnaissance tool, ReconShark, highlight the evolving nature of the North Korean threat landscape," SentinelOne said.



  





## Tags:


### Autogenerated tags:
[[reconshark]] [[kimsuky]] [[sentinelone]] [[malware]]
