# New Analysis Reveals Raspberry Robin Can be Repurposed by Other Threat Actors
## New Analysis Reveals Raspberry Robin Attack Infrastructure Can be Repurposed by Other Threat Actors
## Information:

+ Link: https://thehackernews.com/2023/01/new-analysis-reveals-raspberry-robin.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 11 January 2023, 17:35
+ Date scraped: 11 January 2023, 18:05

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgl8vuVHpX554gUCS4Qzg6_07r7w79LYdTDw7xnWrWS_1LRV7Ng0UNbnosR8KuUlLA-onCkL57QaVcSRhej5KQgInFAJE5qMlTwN4Imstl727qwjkvDm4Iina_U6QrIz9gfbkii1xyElQRYpRW-vDPJj8runjkF6TGSkEFBTaD54TChbYxm2ZasgH7P/s728-rj-e3650/hackers.png)


A new analysis of Raspberry Robin's attack infrastructure has [revealed](https://blog.sekoia.io/raspberry-robins-botnet-second-life/) that it's possible for other threat actors to repurpose the infections for their own malicious activities, making it an even more potent threat.


Raspberry Robin (aka QNAP worm), attributed to a threat actor dubbed DEV-0856, is malware that has [increasingly](https://thehackernews.com/2022/12/raspberry-robin-worm-strikes-again.html) [come under the radar](https://thehackernews.com/2023/01/raspberry-robin-worm-evolves-to-attack.html) for being used in attacks aimed at finance, government, insurance, and telecom entities.


Given its use multiple threat actors to drop a wide range of payloads such as [SocGholish](https://thehackernews.com/2022/07/microsoft-links-raspberry-robin-usb.html), [Bumblebee](https://thehackernews.com/2023/01/the-evolving-tactics-of-vidar-stealer.html), [TrueBot](https://thehackernews.com/2022/12/new-truebot-malware-variant-leveraging.html), [IcedID](https://www.team-cymru.com/post/inside-the-icedid-backconnect-protocol), and [LockBit](https://thehackernews.com/2022/11/amadey-bot-spotted-deploying-lockbit-30.html) ransomware, it's suspected to be a pay-per-install (PPI) botnet capable of serving next-stage payloads.


Raspberry Robin, notably, employs infected USB drives as a propagation mechanism and leverages breached QNAP network-attached storage (NAS) devices as first-level command-and-control (C2).


Cybersecurity firm SEKOIA said it was able to identify at least eight virtual private servers (VPSs) hosted on Linode that function as a second C2 layer that likely act as forward proxies to the next as-yet-unknown tier.


[![Raspberry Robin](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhoZOYLSHWHTZ9x-1P-zlE66S8gHiumwhxAbuJvlrnQj38EzvdntofvjEAxvVu6R0sZqTDfe45Th7iNUovnLX8F7XPrlspost4JLbhLf3kdyy3QV8RklPikndx0Z3NxhhtGhuJmD_makN5Vfb7CBrbFxHm0_ImSWULMdI5pSuuXDjq3GLB0vXdqRPKH/s728/image-2.png)[![Raspberry Robin](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgn1XN_8ltrVNMw8nC_IGX98IKAhtH6yUwR2wKL2FPTBdmnHfUtcObJd_M1R-NZrJcojVvxfX4YWAvvyS53WZ1gwM8Btyrs1Tqzbjx-U8uEX8QXisltCBTfUbjArCzz-23V7k3QcV1WLDEAPASkHQGmbd4SASFEFNkaPwnOB5fMlx14dWpIyjaAwQAC/s728/secdo-1.png)
"Each compromised QNAP seems to act as a validator and forwarder," the France-based company said. "If the received request is valid, it is redirected to an upper level of infrastructure."


The attack chain thus unfolds as follows: When a user inserts the USB drive and launches a Windows shortcut (.LNK) file, the [msiexec utility](https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/msiexec) is launched, which, in turn, downloads the main [obfuscated Raspberry Robin payload](https://decoded.avast.io/janvojtesek/raspberry-robins-roshtyak-a-little-lesson-in-trickery/) from the QNAP instance.


This reliance on msiexec to send out HTTP requests to fetch the malware makes it possible to hijack such requests to download another rogue MSI payload either by DNS hijacking attacks or purchasing previously known domains after their expiration.


One such domain is tiua[.]uk, which was registered in the early days of the campaign in late July 2021 and used as a C2 between September 22, 2021, and November 30, 2022, when it was suspended by the .UK registry.

 "By pointing this domain to our sinkhole, we were able to obtain telemetry from one of the first domains used by Raspberry Robin operators," the company said, adding it observed several victims, indicating "it was still possible to repurpose a Raspberry Robin domain for malicious activities."


The exact origins of how the first wave of Raspberry Robin USB infections took place remain currently unknown, although it's suspected that it may have been achieved by relying on other malware to disseminate the worm.


[![Raspberry Robin](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjRy5PyyEfK0Alhy4NWCREqAZbAmFBm10IMAU7Ao2AI-eV64bQDvx3DtCdX3EMadlWN2So4IxrAkH-wO_LsCrfSa4zAqChxRRQNX9zFHpImFZ3l-a1XNMZ2Fs36ZC6BTZJ-ahqfZ7XQHebgy1VO6ZwMCB1w40ZguPylQVo1ZsYM0jFQuaFPeZujcxIL/s728/map.png)
This hypothesis is [evidenced](https://thehackernews.com/2022/10/raspberry-robin-operators-selling.html) by the presence of a .NET spreader module that's said to be responsible for distributing Raspberry Robin .LNK files from infected hosts to USB drives. These .LNK files subsequently compromise other machines via the aforementioned method. 


The development comes days after Google's Mandiant [disclosed](https://thehackernews.com/2023/01/russian-turla-hackers-hijack-decade-old.html) that the Russia-linked Turla group reused expired domains associated with ANDROMEDA malware to deliver reconnaissance and backdoor tools to targets compromised by the latter in Ukraine.


"Botnets serve multiple purposes and can be reused and/or remodeled by their operators or even hijacked by other groups over time," the researcher said.


  





## Tags:
***urls***: http://tiua.uk

### Autogenerated tags:
[[qnap]] [[malware]] [[usb]] [[c2]]
