# New Report Reveals Shuckworm's Long-Running Intrusions on Ukrainian Organizations
## Russian threat actor Shuckworm intensifies cyber assaults on Ukrainian entities, aiming to steal sensitive information.
## Information:

+ Link: https://thehackernews.com/2023/06/new-report-reveals-shuckworms-long.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 15 June 2023, 15:31
+ Date scraped: 15 June 2023, 11:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiKhnGRkxqWM-ojHOCRYnx8IPI6EOZSG_bzFou5lRIhv6Ghq40M3xt9G_3jLQVLOkswn68QdpzO022xMdKDyGk9gCLgFTqy2nWK7WWiJAXsOFRwoYlnOtaWhTMcNHwK6D-np_PDGkkhGtg7lHkIIdfB2qD9O9_5OW5lYTAgymTUKsYsEaXl-_dG7-F4/s728-e3650/russia.jpg)


The Russian threat actor known as **Shuckworm** has continued its cyber assault spree against Ukrainian entities in a bid to steal sensitive information from compromised environments.


Targets of the recent intrusions, which began in February/March 2023, include security services, military, and government organizations, Symantec [said](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/shuckworm-russia-ukraine-military) in a new report shared with The Hacker News.


"In some cases, the Russian group succeeded in staging long-running intrusions, lasting for as long as three months," the cybersecurity company said.


"The attackers repeatedly attempted to access and steal sensitive information such as reports about the deaths of Ukrainian service members, reports from enemy engagements and air strikes, arsenal inventory reports, training reports, and more."


Shuckworm, also known by the names Aqua Blizzard (formerly Actinium), Armageddon, Gamaredon, Iron Tilden, Primitive Bear, Trident Ursa, UNC530, and Winterflounder, is attributed to the Russia's Federal Security Service (FSB). It's said to be active since at least 2013.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-1)
The [cyber](https://thehackernews.com/2022/08/russian-state-hackers-continue-to.html) [espionage](https://thehackernews.com/2022/12/russian-hackers-target-major-petroleum.html) [activities](https://thehackernews.com/2023/01/gamaredon-group-launches-cyberattacks.html) consist of [spear-phishing campaigns](https://thehackernews.com/2023/02/new-russian-backed-gamaredons-spyware.html) that are designed to entice victims into opening booby-trapped attachments, which ultimately lead to the deployment of information stealers such as Giddome, Pterodo, GammaLoad, and GammaSteel on infected hosts.


"Iron Tilden sacrifices some operational security in favor of high tempo operations, meaning that their infrastructure is identifiable through regular use of specific Dynamic DNS providers, Russian hosting providers, and remote template injection techniques," Secureworks [notes](https://www.secureworks.com/research/threat-profiles/iron-tilden) in its profile of the threat actor.


In the latest set of attacks detailed by Symantec, the threat actors have been observed using a new PowerShell script to propagate the Pterodo backdoor via USB drives.


While Shuckworm's [use of Telegram channels](https://thehackernews.com/2023/01/gamaredon-group-launches-cyberattacks.html) to retrieve the IP address of the server hosting the payloads is well documented, the threat actor is said to have expanded the technique to store command-and-control (C2) addresses on Telegraph, a blogging platform owned by Telegram.


Also used by the group is a PowerShell script ("foto.safe") that's spread through compromised USB drivers and features capabilities to download additional malware onto the host.


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Join the Webinar](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
A further analysis of intrusions shows that the adversary managed to breach the machines of human resources departments of the targeted organizations, suggesting its attempts to glean information about various individuals working at those entities.


The findings are yet another indication of Shuckworm's continued reliance on short-lived infrastructure and its ongoing evolution of tactics and tools to stay ahead of the detection curve.


They also arrive a day after Microsoft shed light on destructive attacks, espionage, and information operations carried out by another Russian nation-state actor known as [Cadet Blizzard](https://thehackernews.com/2023/06/microsoft-warns-of-new-russian-state.html) targeting Ukraine.


"This activity demonstrates that Shuckworm's relentless focus on Ukraine continues," Symantec said. "It seems clear that Russian nation-state-backed attack groups continue to laser in on Ukrainian targets in attempts to find data that may potentially help their military operations."


  





## Tags:


### Autogenerated tags:
[[shuckworm]] [[symantec]]
