# New Threat Actor WIP26 Targeting Telecom Service Providers in the Middle East
## Cybersecurity experts are cautioning of a new, previously unreported threat actor located in the Middle East that is targeting telecommunications s
## Information:

+ Link: https://thehackernews.com/2023/02/new-threat-actor-wip26-targeting.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 16 February 2023, 10:59
+ Date scraped: 16 February 2023, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiuczo9JHqukyt8JvJzy6NILaYLF_jyBnScNLxmMIXxrXz628-BBbUzP40ILiu4IIIMT4EAf9lOt04DkYuVV4Wk_W_KiNQobAS1SwN4QabNuDPVhv3u2e0-h9A9A_K5NdakHHeT-x_cgKD_ESGfJmS8EUL4y4HHFA9BL3ct-x3Ct_E8eZjHzwO3YSgs/s728-e3650/mappp.png)


Telecommunication service providers in the Middle East are being targeted by a previously undocumented threat actor as part of a suspected espionage-related campaign.


Cybersecurity firms SentinelOne and QGroup are tracking the activity cluster under the former's work-in-progress moniker **WIP26**.


"WIP26 relies heavily on public cloud infrastructure in an attempt to evade detection by making malicious traffic look legitimate," researchers Aleksandar Milenkoski, Collin Farr, and Joey Chen [said](https://www.sentinelone.com/labs/wip26-espionage-threat-actors-abuse-cloud-infrastructure-in-targeted-telco-attacks/) in a report shared with The Hacker News.


This includes the misuse of Microsoft 365 Mail, Azure, Google Firebase, and Dropbox for malware delivery, data exfiltration, and command-and-control (C2) purposes.


The initial intrusion vector used in the attacks entails "precision targeting" of employees via WhatsApp messages that contain links to Dropbox links to supposedly benign archive files.


The files, in reality, harbor a malware loader whose core feature is to deploy custom .NET-based backdoors such as CMD365 or CMDEmber that leverage Microsoft 365 Mail and Google Firebase for C2.


[![cyber espionage](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiXM4ixSDUldFcvOQVJ5j9WxTpvK3Ub9pu0wIECnhHZNJ8O1lccO0GPwyRsFDq9rlY93xHkT2KhheIfBMb7k1OPW7wyGkHOdV6y3lqp4u4FwEWMz0AcVJ0nOSqnGDC9Uf5dXhaVMAylnRQ411VMpS7LZFnjPzPek640ltfV07BLTo9gT-Zq-t-Bc8-h/s728-e365/apps.png)
"The main functionality of CMD365 and CMDEmber is to execute attacker-provided system commands using the Windows command interpreter," the researchers said. "This capability was used to conduct a variety of activities, such as reconnaissance, privilege escalation, staging of additional malware, and data exfiltration."


CMD365, for its part, works by scanning the inbox folder for specific emails that begin with the subject line "input" to extract the C2 commands for execution on the infected hosts. CMDEmber, on the other hand, sends and receives data from the C2 server by issuing HTTP requests.


Transmitting the data – which comprises users' private web browser information and details about high-value hosts in the victim's network – to actor-controlled Azure instances is orchestrated by means of PowerShell commands.

 The [abuse](https://thehackernews.com/2022/07/russian-hackers-using-dropbox-and.html) of [cloud services](https://thehackernews.com/2023/02/chinese-hackers-targeting-south.html) for nefarious ends is not unheard of, and the latest campaign from WIP26 indicates continued attempts on the part of threat actors to evade detection.


This is also not the first time telecom providers in the Middle East have come under the radar of espionage groups. In December 2022, Bitdefender [disclosed](https://thehackernews.com/2022/12/chinese-hackers-target-middle-east.html) details of an operation dubbed **BackdoorDiplomacy** aimed at a telecom company in the region to siphon valuable data.



  





## Tags:


### Autogenerated tags:
[[c2]] [[wip26]] [[malware]] [[cmd365]] [[cmdember]]
