# Nexus: A New Rising Android Banking Trojan Targeting 450 Financial Apps
## New Android banking trojan Nexus targets 450 financial apps & crypto services
## Information:

+ Link: https://thehackernews.com/2023/03/nexus-new-rising-android-banking-trojan.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 23 March 2023, 11:55
+ Date scraped: 23 March 2023, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiqrofi0vXRflbd6ux2AKtddlJbqOh79ppGQdmtsism9Az1p78fFrsAzC5z4Mg2uN-vCVg70jhf5JatdiFMEWUgQ_Wp36yt4Ok1EsHyq0epI8djZbbD_dNjUjxSlFS6ZJcRzyB-oj-W9BiGoIgJuGVV4ENSnbcKUXLWKeUWjcv549dBtZGAGmHa41Zh/s728-e3650/android-banking-trojan.png)


An emerging Android banking trojan dubbed **Nexus** has already been adopted by several threat actors to target 450 financial applications and conduct fraud.


"Nexus appears to be in its early stages of development," Italian cybersecurity firm Cleafy [said](https://www.cleafy.com/cleafy-labs/nexus-a-new-android-botnet) in a report published this week.


"Nexus provides all the main features to perform ATO attacks (Account Takeover) against banking portals and cryptocurrency services, such as credentials stealing and SMS interception."


The trojan, which appeared in various hacking forums at the start of the year, is advertised as a subscription service to its clientele for a monthly fee of $3,000. Details of the malware were [first documented](https://thehackernews.com/2023/03/fakecalls-vishing-malware-targets-south.html) by Cyble earlier this month.


However, there are indications that the malware may have been used in real-world attacks as early as June 2022, at least six months before its official announcement on darknet portals.


It's also said to overlap with another banking trojan dubbed [SOVA](https://thehackernews.com/2021/09/sova-new-android-banking-trojan-emerges.html), reusing parts of its source code and incorporating a ransomware module that appears to be under active development.


A point worth mentioning here is that Nexus is the same malware that Cleafy initially classified as a [new variant of SOVA](https://thehackernews.com/2022/08/sova-android-banking-trojan-returns-new.html) (dubbed v5) in August 2022.


[![Android Banking Trojan](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhLYRqxb0JvyARcQlrJQt_Wsp5LTd-JtNaMURG6FsxwoPqPoX1BM96V81GVPO21whAwjZbhHSo2qYqbrwrKAFiTVYC-gccaOmjEpIjtOhMFGF-npKA4E-0J4YnZ0DQAD4rOXylc6zBH9xY3yKkN4qpCullk8FiYAugkA4rrNys0huAS_NvP7nzH_z74/s728-e365/android.png)
Interestingly, the Nexus authors have laid out explicit rules that prohibit the use of its malware in Azerbaijan, Armenia, Belarus, Kazakhstan, Kyrgyzstan, Moldova, Russia, Tajikistan, Uzbekistan, Ukraine, and Indonesia.


The malware, like other banking trojans, contains features to take over accounts related to banking and cryptocurrency services by performing overlay attacks and keylogging to steal users' credentials.


Furthermore, it's capable of reading two-factor authentication (2FA) codes from SMS messages and the Google Authenticator app through the abuse of Android's accessibility services.


Some new additions to the list of functionalities is its ability to remove received SMS messages, activate or stop the 2FA stealer module, and update itself by periodically pinging a command-and-control (C2) server.


"The [Malware-as-a-Service] model allows criminals to monetize their malware more efficiently by providing a ready-made infrastructure to their customers, who can then use the malware to attack their targets," the researchers said.



  





## Tags:


### Autogenerated tags:
[[malware]] [[sms]]
