# Okta Warns of Social Engineering Attacks Targeting Super Administrator Privileges
## Beware! Okta warns of social engineering attacks aimed at admin credentials. Threat actors are manipulating multi-factor authentication settings.
## Information:

+ Link: https://thehackernews.com/2023/09/okta-warns-of-social-engineering.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 02 September 2023, 09:42
+ Date scraped: 02 September 2023, 05:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgi5Z3qlh7V1bYIFrmwE37P3LvGKKuWVG1r9JqTrvLTJErMx6Qh1J97_fs9BkSnl2Bqhi9qyy6GBSeUffLDV3fvMzvYpE5hCLOzqIsZcnBcYRBcAEp_TqBoqcUToX17d5jjQnI_dTV6JThLoB_qOoouVT4Lfzgpenn42w37Ae1khEwQ5rxQR81R1VD-p9NN/s728-e3650/okta.jpg)


Identity services provider Okta on Friday warned of social engineering attacks orchestrated by threat actors to obtain elevated administrator permissions.


"In recent weeks, multiple US-based Okta customers have reported a consistent pattern of social engineering attacks against IT service desk personnel, in which the caller's strategy was to convince service desk personnel to reset all multi-factor authentication (MFA) factors enrolled by highly privileged users," the company [said](https://sec.okta.com/articles/2023/08/cross-tenant-impersonation-prevention-and-detection).


The adversary then moved to abuse the highly privileged Okta Super Administrator accounts to impersonate users within the compromised organization. The campaign, per the company, took place between July 29 and August 19, 2023.


Okta did not disclose the identity of the threat actor, but the tactics exhibit all the hallmarks of an activity cluster known as [Muddled Libra](https://thehackernews.com/2023/06/cybercrime-group-muddled-libra-targets.html), which is said to share some degree of overlap with Scattered Spider and Scatter Swine.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhi4CwKKVvbrabSKgZxQMtcCPSAThCFPNdROHSodr7KQwhdCVXrAi_do7ciuRA2-3QiOXhZmPJs-4if9uDqHVZ41ExgY4nnjL9T0gPjhO7VYtzE2vXXHRh9v8bTaCTixHBKbgd3P7goFMq7rhywio_HjaVvoz6X5d0H6GqIxSp3-oup5PTnmGnWhtFXjJXv/s728-e365/aws-d.png)](https://thn.news/o6a5Vxgy)
Central to the attacks is a commercial phishing kit called 0ktapus, which offers pre-made templates to create realistic fake authentication portals and ultimately harvest credentials and multi-factor authentication (MFA) codes. It also incorporates a built-in command-and-control (C2) channel via Telegram.


Palo Alto Networks Unit 42 told The Hacker News previously in June 2023 that multiple threat actors are "adding it to their arsenal" and that "using the 0ktapus phishing kit alone doesn't necessarily classify a threat actor" as Muddled Libra.


It also said it could not find enough data on targeting, persistence, or objectives to confirm a link between the actor and an uncategorized group that Google-owned Mandiant tracks as [UNC3944](https://thehackernews.com/2023/05/threat-group-unc3944-abusing-azure.html), which is also known to employ similar tradecraft.


"Scattered Spider has largely been observed targeting telecommunications and Business Process Outsourcing (BPO) organizations," Trellix researcher Phelix Oluoch [said](https://www.trellix.com/en-au/about/newsroom/stories/research/scattered-spider-the-modus-operandi.html) in an analysis published last month. "However, recent activity indicates that this group has started targeting other sectors, including critical infrastructure organizations."


In the latest set of attacks, the threat actors are said to be already in possession of passwords belonging to privileged user accounts or "be able to manipulate the delegated authentication flow via Active Directory (AD)" before calling the IT help desk of the targeted company to request a reset of all MFA factors associated with the account.


UPCOMING WEBINAR[Detect, Respond, Protect: ITDR and SSPM for Complete SaaS Security](https://thehacker.news/identity-attack-surface?source=inside)Discover how Identity Threat Detection & Response (ITDR) identifies and mitigates threats with the help of SSPM. Learn how to secure your corporate SaaS applications and protect your data, even after a breach.

[Attend for Free](https://thehacker.news/identity-attack-surface?source=inside)
The access to the Super Administrator accounts is subsequently used to assign higher privileges to other accounts, reset enrolled authenticators in existing administrator accounts, and even remove second-factor requirements from authentication policies in some cases.


"The threat actor was observed configuring a second identity provider to act as an 'impersonation app' to access applications within the compromised org on behalf of other users," Okta said. "This second identity provider, also controlled by the attacker, would act as a 'source' IdP in an inbound federation relationship (sometimes called 'Org2Org') with the target."


"From this 'source' IdP, the threat actor manipulated the username parameter for targeted users in the second 'source' Identity Provider to match a real user in the compromised 'target' Identity Provider. This provided the ability to Single sign-on (SSO) into applications in the target IdP as the targeted user."


As countermeasures, the company is recommending that customers enforce phishing-resistant authentication, strengthen help desk identity verification processes, enable new device and suspicious activity end-user notifications, and review and limit the use of Super Administrator roles.


  





## Tags:


### Autogenerated tags:
[[mfa]] [[idp]]
