# PikaBot Resurfaces with Streamlined Code and Deceptive Tactics
## PikaBot malware undergoes a dramatic transformation, simplifying its code and communication methods
## Information:

+ Link: https://thehackernews.com/2024/02/pikabot-resurfaces-with-streamlined.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 13 February 2024, 19:37
+ Date scraped: 13 February 2024, 15:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhEGlDqZcgeRAmew-8bJBWceZgjM__D8GkR8A3YU2ofJoXTPq5hbv38DDwbD2YmpASWS7PnP8U9rE6QXh-LEJ1E66i4Seia0EAt0yuX-5Zq1nx36kOQ1nZqmk1yBLa69CaPvGuTECesDG6ZMTbOb1wp6dymCNIPbEgq50WJU0JbcsMyMpC653dpH8wxdwBF/s728-rw-e30/malware.jpg)


The threat actors behind the PikaBot malware have made significant changes to the malware in what has been described as a case of "devolution."


"Although it appears to be in a new development cycle and testing phase, the developers have reduced the complexity of the code by removing advanced obfuscation techniques and changing the network communications," Zscaler ThreatLabz researcher Nikolaos Pantazopoulos [said](https://www.zscaler.com/blogs/security-research/d-evolution-pikabot).


PikaBot, [first documented](https://thehackernews.com/2023/06/new-mystic-stealer-malware-targets-40.html) by the cybersecurity firm in May 2023, is a malware loader and a backdoor that can execute commands and inject payloads from a command-and-control (C2) server as well as allow the attacker to control the infected host.


It is also known to halt its execution should the system's language be Russian or Ukrainian, indicating that the operators are either based in Russia or Ukraine.


In recent months, both PikaBot and another loader called DarkGate have emerged as [attractive replacements](https://thehackernews.com/2023/11/darkgate-and-pikabot-malware-resurrect.html) for threat actors such as [Water Curupira](https://thehackernews.com/2024/01/alert-water-curupira-hackers-actively.html) (aka TA577) to obtain initial access to target networks via phishing campaigns and drop Cobalt Strike.


Zscaler's analysis of a new version of PikaBot (version 1.18.32) observed this month has revealed its continued focus on obfuscation, albeit with simpler encryption algorithms, and insertion of junk code between valid instructions as part of its efforts to resist analysis.


Another crucial modification observed in the latest iteration is that the entire bot configuration -- which is similar to that of QakBot -- is stored in plaintext in a single memory block as opposed to encrypting each element and decoding them at runtime.


A third change concerns the C2 server network communications, with the malware developers tweaking the command IDs and the encryption algorithm used to secure the traffic.


"Despite its recent inactivity, PikaBot continues to be a significant cyber threat and in constant development," the researchers concluded.


"However, the developers have decided to take a different approach and decrease the complexity level of PikaBot's code by removing advanced obfuscation features."


The development comes as Proofpoint [alerted](https://www.proofpoint.com/us/blog/cloud-security/community-alert-ongoing-malicious-campaign-impacting-azure-cloud-environments) of an ongoing cloud account takeover (ATO) campaign that has targeted dozens of Microsoft Azure environments and compromised hundreds of user accounts, including those belonging to senior executives.


The activity, underway since November 2023, singles out users with individualized phishing lures bearing decoy files that contain links to malicious phishing web pages for credential harvesting, and use them for follow-on data exfiltration, internal and external phishing, and financial fraud.



  





## Tags:


### Autogenerated tags:
[[pikabot]] [[malware]] [[phishing]]
