# Researchers Detail Multistage Attack Hijacking Systems with SSLoad, Cobalt Strike
## A sophisticated attack campaign dubbed "FROZEN#SHADOW" is underway, using phishing emails to infect systems with the stealthy malware SSLoad.
## Information:

+ Link: https://thehackernews.com/2024/04/researchers-detail-multistage-attack.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 24 April 2024, 19:06
+ Date scraped: 24 April 2024, 14:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhH1bEFQuUUnkFd5aJJzA0-_GeF9ciA5uY4iOf4gb7sJD_azqgIvlCw850DISUSIsP2TIus9AFy9KKFZSRgzFzJeB6KpIR9f0ttNsPYZiNILooejl8n2rVGQVziOWkf-9i2xtdx55PFylzHAGwMPp-H7vi9PCouncZWA0wY5B2VmBK1UtQxdkWy1vB7jfV5/s728-rw-e365/hacke.png)


Cybersecurity researchers have discovered an ongoing attack campaign that's leveraging phishing emails to deliver malware called **SSLoad**.


The campaign, codenamed **FROZEN#SHADOW** by Securonix, also involves the deployment of Cobalt Strike and the ConnectWise ScreenConnect remote desktop software.


"SSLoad is designed to stealthily infiltrate systems, gather sensitive information and transmit its findings back to its operators," security researchers Den Iuzvyk, Tim Peck, and Oleg Kolesnikov said in a [report](https://www.securonix.com/blog/securonix-threat-research-security-advisory-frozenshadow-attack-campaign/) shared with The Hacker News.


"Once inside the system, SSLoad deploys multiple backdoors and payloads to maintain persistence and avoid detection."


Attack chains involve the use of phishing messages to randomly target organizations in Asia, Europe, and the Americas, with emails containing links that lead to the retrieval of a JavaScript file that kicks off the infection flow.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Earlier this month, Palo Alto Networks uncovered at least two different methods by which SSLoad is distributed, one which entails the [use of website contact forms](https://github.com/PaloAltoNetworks/Unit42-timely-threat-intel/blob/main/2024-04-15-IOC-for-Contact-Forms-campaign-SSLoad-activity.txt) to embed booby-trapped URLs and another involving [macro-enabled Microsoft Word documents](https://github.com/PaloAltoNetworks/Unit42-timely-threat-intel/blob/main/2024-04-18-IOCs-from-SSLoad-infection-with-Cobalt-Strike-DLL.txt).


The latter is also notable for the fact that malware acts as a conduit for delivering Cobalt Strike, while the former has been used to deliver a different malware called [Latrodectus](https://thehackernews.com/2024/04/watch-out-for-latrodectus-this-malware.html), a likely successor to IcedID.


The obfuscated JavaScript file ("out\_czlrh.js"), when launched and run using [wscript.exe](https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/wscript), retrieves an MSI installer file ("slack.msi") by connecting to a network share located at "\\wireoneinternet[.]info@80\share\" and runs it using [msiexec.exe](https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/msiexec).


The MSI installer, for its part, contacts an attacker-controlled domain to fetch and execute the SSLoad malware payload using [rundll32.exe](https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/rundll32), following which it beacons to a command-and-control (C2) server along with information about the compromised system.


The initial reconnaissance phase paves the way for Cobalt Strike, a legitimate adversary simulation software, which is then used to download and install ScreenConnect, thereby allowing the threat actors to remotely commandeer the host.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"With full access to the system the threat actors began attempting to acquire credentials and gather other critical system details," the researchers said. "At this stage they started scanning the victim host for credentials stored in files as well as other potentially sensitive documents."


The attackers have also been observed pivoting to other systems in the network, including the domain controller, ultimately infiltrating the victim's Windows domain by creating their own domain administrator account.


"With this level of access, they could get into any connected machine within the domain," the researchers said. "In the end, this is the worst case scenario for any organization as this level of persistence achieved by the attackers would be incredibly time consuming and costly to remediate."


The disclosure comes as the AhnLab Security Intelligence Center (ASEC) [revealed](https://asec.ahnlab.com/en/64258/) that Linux systems are being infected with an open-source remote access trojan called [Pupy RAT](https://thehackernews.com/2023/07/decoy-dog-new-breed-of-malware-posing.html).


  





## Tags:


### Autogenerated tags:
[[ssload]] [[malware]]
