# Researchers Expose Space Pirate' Cyber Campaign Across Russia and Serbia
## Space Pirates, a notorious cyber threat actor, has been ramping up attacks in Russia and Serbia over the past year.
## Information:

+ Link: https://thehackernews.com/2023/08/researchers-expose-space-pirate-cyber.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 01 August 2023, 15:27
+ Date scraped: 01 August 2023, 10:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi5fn4ONtSOFZrxQu_fgRBzdChfuXjNpAjTDlfIXhC3iue9iSEnX3ifIxmBwNkzUy7DbKLLsD5H-R6qTLvviSUngTrw4dXcDiQZjU9OLeS8arwucsMhUETHQmgi_KnTZLKehAboTOzICHpWzdnXJcUPfJgpz5Vl342r_SFm3DxGPtx-rNm9W9BAYarc85tK/s728-e3650/hacker.jpg)


The threat actor known as **Space Pirates** has been linked to attacks against at least 16 organizations in Russia and Serbia over the past year by employing novel tactics and adding new cyber weapons to its arsenal.


"The cybercriminals' main goals are still espionage and theft of confidential information, but the group has expanded its interests and the geography of its attacks," Positive Technologies [said](https://www.ptsecurity.com/ww-en/analytics/pt-esc-threat-intelligence/space-pirates-a-look-into-the-group-s-unconventional-techniques-new-attack-vectors-and-tools/) in a deep dive report published last week.


Targets comprise government agencies, educational institutions, private security companies, aerospace manufacturers, agricultural producers, defense, energy, and healthcare firms in Russia and Serbia.


Space Pirates was [first exposed](https://www.ptsecurity.com/ww-en/analytics/pt-esc-threat-intelligence/space-pirates-tools-and-connections/) by the Russian cybersecurity company in May 2022, highlighting its attacks on the aerospace sector in the nation. The group, said to be active since at least late 2019, has links to another adversary tracked by Symantec as [Webworm](https://thehackernews.com/2022/09/webworm-hackers-using-modified-rats-in.html).


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiltwxN6CgTsOwvK4Kb9RC48ffApMCcXD3j2Gc3db9P1-x8PHByrz3vE32zvTg2ob2gKgFCjZBxfrCvkNyecbAPGYBfbb0Tj5AljTS_uYaanG6sEjZCK8NhoD2rHwk-Eh24yrpazpnZZiKsiHdbNkq2XVUeD-T-sZ2yW29dfOwyrVq3f31mu0hw25FnVzTn/s728-e3650/3.png)](https://thn.news/edWGl41h)
Positive Technologies' analysis of the attack infrastructure has revealed the threat actor's interest in harvesting PST email archives as well as making use of Deed RAT, a malware artifact exclusively attributed to the adversarial collective.


Deed RAT is said to be a successor to [ShadowPad](https://thehackernews.com/2023/07/pakistani-entities-targeted-in.html), which in itself is an evolution of [PlugX](https://thehackernews.com/2023/07/chinese-hackers-use-html-smuggling-to.html), both of which are widely used by Chinese cyber espionage crews. Under active development, the malware comes in both 32- and 64-bit versions and is equipped to dynamically retrieve additional plug-ins from a remote server.


This includes a Disk plug-in to enumerate files and folders, execute commands, write arbitrary files to disk, and connect to network drives and a Portmap module that's used for port forwarding.


Deed RAT also functions as a conduit to serve next-stage payloads such as Voidoor, a previously undocumented malware that's is designed to contact a legitimate forum called Voidtools and a GitHub repository associated with a user named "hasdhuahd" for command-and-control (C2).


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
Voidtools is the developer of a freeware desktop search utility for Microsoft Windows called Everything, with its forum powered using an open-source forum software called MyBB. The primary goal of Voidoor is to login to the forum using hard-coded credentials and access the user's personal messaging system to look for a folder matching a particular victim ID.


Evidence shows that the accounts on GitHub and voidtools were registered sometime in November 2022.


"The hackers are working on new malware that implements unconventional techniques, such as voidoor, and modifying their existing malware," Positive Technologies said, adding the actors use a "large number of publicly available tools for navigating networks" and leverage the Acunetix web vulnerability scanner to "reconnoiter infrastructures it targets."


  





## Tags:


### Autogenerated tags:
[[malware]] [[voidoor]] [[voidtools]]
