# Researchers Link DragonEgg Android Spyware to LightSpy iOS Surveillanceware
## From DragonEgg to LightSpy: Discover the hidden links between Android and iOS spyware, exposing a sophisticated network of surveillance.
## Information:

+ Link: https://thehackernews.com/2023/10/researchers-link-dragonegg-android.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 04 October 2023, 20:39
+ Date scraped: 04 October 2023, 16:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjzVQavaAlTkT_Gb0APGnEUmjA-u4FVtVVVvCWNtPuQUvssqyxyKJKwcY7DZqsxwNxeiyBO0MVWTSNTdd1u7Mg-ZozM4D1cDC2Orz9CmZrMYzf2dgLGm7oLwX5NL-na1b0baG_Vu-ZQHi7RQwGXFk-CtC4IOW5WfqmMi67DcBCO6oTEocROk5Sj19B9gmPG/s728-rw-ft-e30/android-ios.jpg)


New findings have identified connections between an Android spyware called DragonEgg and another sophisticated modular iOS surveillanceware tool named **LightSpy**.


**DragonEgg**, alongside **WyrmSpy** (aka AndroidControl), was [first disclosed](https://thehackernews.com/2023/07/chinese-apt41-hackers-target-mobile.html) by Lookout in July 2023 as a strain of malware capable of gathering sensitive data from Android devices. It was attributed to the Chinese nation-state group APT41.


On the other hand, details about LightSpy came to light in March 2020 as part of a campaign dubbed [Operation Poisoned News](https://thehackernews.com/2020/03/iphone-iOS-spyware.html) in which Apple iPhone users in Hong Kong were targeted with watering hole attacks to install the spyware.


Now, according to Dutch mobile security firm ThreatFabric, the attack chains involve the use of a trojanized Telegram app that's designed to download a second-stage payload (smallmload.jar), which, in turn, is configured to download a third component codenamed Core.


Further analysis of the artifacts has revealed that the implant has been actively maintained since at least December 11, 2018, with the latest version released on July 13, 2023.


[![Spyware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgLOsSM9EFV4l7Vns9WWV1ZjRHWylIO9-kcWD6mZjV-o6fry-rAZlWa5v3v63OyoA3mVWxmNeLgMwwnfgJsyI5AL_YarWEanWrXY2RnENAlErl44EpPmsR5hdLn5UpsSrzv90ITdGvS8YTJI1gn5xws7tKGd9GhYkimdJIG4xfVFfSUMm3j7E1Wrpi4fZFm/s728-rw-ft-e30/SPYWARE.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgLOsSM9EFV4l7Vns9WWV1ZjRHWylIO9-kcWD6mZjV-o6fry-rAZlWa5v3v63OyoA3mVWxmNeLgMwwnfgJsyI5AL_YarWEanWrXY2RnENAlErl44EpPmsR5hdLn5UpsSrzv90ITdGvS8YTJI1gn5xws7tKGd9GhYkimdJIG4xfVFfSUMm3j7E1Wrpi4fZFm/s728-rw-ft-e30/SPYWARE.jpg)
The core module of LightSpy (i.e., DragonEgg) functions as an orchestrator plugin responsible for gathering the device fingerprint, establishing contact with a remote server, awaiting further instructions, and updating itself as well as the plugins.


"LightSpy Core is extremely flexible in terms of configuration: operators can precisely control the spyware using the updatable configuration," ThreatFabric [said](https://www.threatfabric.com/blogs/lightspy-mapt-mobile-payment-system-attack), noting that WebSocket is used for command delivery and HTTPS is used for data exfiltration.


Some of the notable plugins include a locationmodule that tracks victims' precise locations, soundrecord that can capture ambient audio as well as from WeChat VOIP audio conversations, and a bill module to gather payment history from WeChat Pay.


LightSpy's command-and-control (C2) comprises several servers located in Mainland China, Hong Kong, Taiwan, Singapore, and Russia, with the malware and WyrmSpy sharing the same infrastructure.


ThreatFabric said it also identified a server hosting data from 13 unique phone numbers belonging to Chinese cell phone operators, raising the possibility that the data either represents the testing numbers of LightSpy developers or victims'.


The links between DragonEgg and LightSpy stem from similarities in configuration patterns, runtime structure and plugins, and the C2 communication format.


[![LightSpy iOS Surveillanceware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiZSJjS7Ob-39fMTWiK7rr2RYOL49uXuWfwPUqCuMikXfBRgcpuoYWJ52cAckgnK8Ohd7x98Q5bEleVga4xF8rlhjVqxArp8WcLcpRqyrqrdFKtCTiSzLc9eQwA2yMGo50BNImJXQi5h4NFFPxJCQALDe3zykrTWHZ1SpsD-7wlWnUiDTfKnk2gGPWrZ1Ku/s728-rw-ft-e30/plugins.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiZSJjS7Ob-39fMTWiK7rr2RYOL49uXuWfwPUqCuMikXfBRgcpuoYWJ52cAckgnK8Ohd7x98Q5bEleVga4xF8rlhjVqxArp8WcLcpRqyrqrdFKtCTiSzLc9eQwA2yMGo50BNImJXQi5h4NFFPxJCQALDe3zykrTWHZ1SpsD-7wlWnUiDTfKnk2gGPWrZ1Ku/s728-rw-ft-e30/plugins.jpg)
"The way the threat actor group distributed the initial malicious stage inside popular messenger was a clever trick," the company said.


"There were several benefits of that: the implant inherited all the access permissions that the carrier application had. In the case of messenger, there were a lot of private permissions such as camera and storage access."


  





## Tags:


### Autogenerated tags:
[[lightspy]] [[dragonegg]] [[spyware]] [[threatfabric]] [[plugins]]
