# Researchers Shed Light on APT31's Advanced Backdoors and Data Exfiltration Tactics
## APT31 has been tied to a series of sophisticated backdoors capable of exfiltrating sensitive data.
## Information:

+ Link: https://thehackernews.com/2023/08/researchers-shed-light-on-apt31s.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 11 August 2023, 15:42
+ Date scraped: 11 August 2023, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiuGNa8T5VV5rml1Id-qDRzQ4ixrtVVVZ3rDXSzA2f7YgUrdkEJwo00dxSSZSTJv3SCCFAEorU5LfAMpvsLQjF5JzeI-Z9W_sKRTTqDpigxBfwTQVvx0wmoTz4zceIKZRkn45IUhuYq59GW7_nKFBneqwe51RMSoh6_2B4u41KahKoCa-HNPX2ojyG6YA30/s728-e3650/code.jpg)


The Chinese threat actor known as APT31 (aka Bronze Vinewood, Judgement Panda, or Violet Typhoon) has been linked to a set of advanced backdoors that are capable of exfiltrating harvested sensitive information to Dropbox.


The malware is part of a broader collection of [more than 15 implants](https://thehackernews.com/2023/08/chinas-apt31-suspected-in-attacks-on.html) that have been put to use by the adversary in attacks targeting industrial organizations in Eastern Europe in 2022.


"The attackers aimed to establish a permanent channel for data exfiltration, including data stored on air-gapped systems," Kaspersky [said](https://ics-cert.kaspersky.com/publications/reports/2023/08/10/common-ttps-of-attacks-against-industrial-organizations-implants-for-uploading-data/) in an analysis spotlighting APT31's previously undocumented tradecraft.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiltwxN6CgTsOwvK4Kb9RC48ffApMCcXD3j2Gc3db9P1-x8PHByrz3vE32zvTg2ob2gKgFCjZBxfrCvkNyecbAPGYBfbb0Tj5AljTS_uYaanG6sEjZCK8NhoD2rHwk-Eh24yrpazpnZZiKsiHdbNkq2XVUeD-T-sZ2yW29dfOwyrVq3f31mu0hw25FnVzTn/s728-e3650/3.png)](https://thn.news/edWGl41h)
The intrusions employ a three-stage malware stack, each focused on disparate aspects of the attack chain: setting up persistence, gathering sensitive data, and transmitting the information to a remote server under the attackers' control.


Some variants of the second-stage backdoors also come with features designed to look up file names in the Microsoft Outlook folder, execute remote commands, and employ the third-step component to complete the data exfiltration step in the form of RAR archive files.


"The first step is used for persistence, the deployment and startup of the second-step malware module, which is responsible for uploading the files collected to the server by calling the third-step implant and cleaning up," the Russian cybersecurity firm said.


In what's a novel twist, APT31 is said to have used a command-and-control (C2) inside the corporate perimeter and leveraged it as a proxy to siphon data from systems that lacked direct access to the internet, indicating clear attempts to single out air-gapped hosts.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
Kaspersky said it also spotted additional tools used by the attacker to manually upload the data to Yandex Disk and other temporary file-sharing services such as extraimage, imgbb, imgshare, schollz, and zippyimage, among others. A third similar implant is configured to send the data via the Yandex email service.


The findings highlight the meticulous planning and the ability of the threat actor to adapt and spin up new capabilities in their cyber espionage pursuits.


"Abusing popular cloud-based data storages may allow the threat actor(s) to evade security measures," the company said. "At the same time, it opens up the possibility for stolen data to be leaked a second time in the event that a third party gets access to a storage used by the threat actor(s)."



  





## Tags:


### Autogenerated tags:
[[apt31]] [[malware]]
