# Researchers Uncover Custom Backdoors and Spying Tools Used by Polonium Hackers
## Researchers uncover seven custom backdoors used by Polonium APT hackers in targeted attacks on Israeli entities.
## Information:

+ Link: https://thehackernews.com/2022/10/researchers-uncover-custom-backdoors.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 13 October 2022, 07:18
+ Date scraped: 13 October 2022, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiBgmXCpgiSBakIaqgkrYaph9kagWeoYBUpMjW8QzIWv_JQo8aFwx__C1_c3483veSIhWjhlQ_ZANvT8LT1TX-GDmuP-Xq9_bldi8yn56ZsxnHtzeGlF1TF5AcFKQAsRY137ErdsbctczjbV1CROoBXNRUR04PPEswkDJfT7-A9lVlQUyPhwBxF5Z6V/s728-e1000/hacker.jpg)


A threat actor tracked as Polonium has been linked to over a dozen highly targeted attacks aimed at Israelian entities with seven different custom backdoors since at least September 2021.


The intrusions were aimed at organizations in various verticals, such as engineering, information technology, law, communications, branding and marketing, media, insurance, and social services, cybersecurity firm ESET said.


[Polonium](https://thehackernews.com/2022/06/microsoft-blocks-iran-linked-lebanese.html) is the chemical element-themed moniker given by Microsoft to a sophisticated operational group that's believed to be based in Lebanon and is known to exclusively strike Israeli targets.


Activities undertaken by the group first came to light earlier this June when the Windows maker disclosed it suspended more than 20 malicious OneDrive accounts created by the adversary for command-and-control (C2) purposes.


Core to the attacks has been the use of implants coined CreepyDrive and CreepyBox for their ability to exfiltrate sensitive data to actor-controlled OneDrive and Dropbox accounts. Also deployed is a PowerShell backdoor dubbed CreepySnail.


ESET's latest discovery of five more previously undocumented backdoors brings into focus an active espionage-oriented threat actor that's constantly refining and retooling its malware arsenal.


[![Polonium Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEinjbrz1feZ1mOYUQLA9eoE1-0_UPnKTSCRSuSxi33uTpRbIM0jHIBPfpCbo1TEFutdr4pE9mUa9PEDUK62y8VH43Onyq_2K_7ZqQgbIBokpvEOAMA1_trieRT0sziL8fshD7C6bPiVwLbyNHUSxms7TtBV7m0XvRpbvRX-4K5RWh4NLjBsL4w3gFwD/s728-e1000/spying-tool.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEinjbrz1feZ1mOYUQLA9eoE1-0_UPnKTSCRSuSxi33uTpRbIM0jHIBPfpCbo1TEFutdr4pE9mUa9PEDUK62y8VH43Onyq_2K_7ZqQgbIBokpvEOAMA1_trieRT0sziL8fshD7C6bPiVwLbyNHUSxms7TtBV7m0XvRpbvRX-4K5RWh4NLjBsL4w3gFwD/s728-e100/spying-tool.jpg)
"The numerous versions and changes Polonium introduced into its custom tools show a continuous and long-term effort to spy on the group's targets," ESET researcher Matías Porolli [said](https://www.welivesecurity.com/2022/10/11/polonium-targets-israel-creepy-malware/). "The group doesn't seem to engage in any sabotage or ransomware actions."


The list of bespoke hacking tools is as follows -


* **CreepyDrive/CreepyBox** - A PowerShell backdoor that reads and executes commands from a text file stored on OneDrive or Dropbox.
* **CreepySnail** - A PowerShell backdoor that receives commands from the attacker's own C2 server
* **DeepCreep** - A C# backdoor that reads commands from a text file stored in Dropbox accounts and exfiltrates data
* **MegaCreep** - A C# backdoor that reads commands from a text file stored in Mega cloud storage service
* **FlipCreep** - A C# backdoor that reads commands from a text file stored in an FTP server and exfiltrates data
* **TechnoCreep** - A C# backdoor that communicates with the C2 server via TCP sockets to execute commands and exfiltrate data
* **PapaCreep** - A C++ backdoor that can receive and execute commands from a remote server via TCP sockets


PapaCreep, spotted as recently as September 2022, is a modular malware that contains four different components that are designed to run commands, receive and send commands and their outputs, and upload and download files.


The Slovak cybersecurity firm said it also uncovered several other modules responsible for logging keystrokes, capturing screenshots, taking photos via webcam, and establishing a reverse shell on the compromised machine.


[![Polonium Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj_G2xCaRWQsdodeps-0xkG3hHj5n5yCg1vU5f4n55zCZY-h-OgtrYPj03qcZYZGu9a-saKONiFsjoXiXQ0GPBC3EfxDJZZ1I4UyArpYe_OKTNXXb6U-L_D-KP0cIVEtjTo5pO3CQtrbyPMCrbtp-Yf1XdbZxVWDf63VF7cezfJwv9eI35xh7uhd4zn/s728-e1000/data.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj_G2xCaRWQsdodeps-0xkG3hHj5n5yCg1vU5f4n55zCZY-h-OgtrYPj03qcZYZGu9a-saKONiFsjoXiXQ0GPBC3EfxDJZZ1I4UyArpYe_OKTNXXb6U-L_D-KP0cIVEtjTo5pO3CQtrbyPMCrbtp-Yf1XdbZxVWDf63VF7cezfJwv9eI35xh7uhd4zn/s728-e100/data.jpg)
Despite the abundance of malware utilized in the attacks, the initial access vector used to breach the networks is currently unknown, although it's suspected that it may have involved the exploitation of VPN flaws.


"Most of the group's malicious modules are small, with limited functionality," Porolli [said](https://www.eset.com/int/about/newsroom/press-releases/research/iran-affiliated-apt-group-polonium-targets-israel-with-creepy-backdoors-and-abuses-popular-cloud-ser/). "They like to divide the code in their backdoors, distributing malicious functionality into various small DLLs, perhaps expecting that defenders or researchers will not observe the complete attack chain."


  





## Tags:


### Autogenerated tags:
[[c#]] [[backdoors]] [[eset]] [[onedrive]] [[c2]] [[dropbox]] [[powershell]] [[malware]]
