# Researchers Uncover Kimusky Infra Targeting South Korean Politicians and Diplomats
## Researchers uncover malware and infrastructure of North Korean Kimusky hackers targeting South Korean politicians and diplomats.
## Information:

+ Link: https://thehackernews.com/2022/08/researchers-uncover-kimusky-infra.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 25 August 2022, 10:25
+ Date scraped: 25 August 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj9Lyz_EClwFUmQC_GDRSvYx74s6KUcwRmk-2ntv-eneFUAV_q9KvB409a9GkVFDTDYfT0xJ1tXAEu7bPvKsEUmOgrh3O1QS9QWqhY5a6vYY79NBeXL8rDCw8IOUbIux4y9O8--_IT411scofOypoHY3kZhmfQCFlRNKMm9GHhzcVJtk_gT1qDvCADq/s728-e1000/cyber.jpg)


The North Korean nation-state group Kimusky has been linked to a new set of malicious activities directed against political and diplomatic entities located in its southern counterpart in early 2022.


Russian cybersecurity firm Kaspersky codenamed the cluster [**GoldDragon**](https://securelist.com/kimsukys-golddragon-cluster-and-its-c2-operations/107258/), with the infection chains leading to the deployment of Windows malware designed to file lists, user keystrokes, and stored web browser login credentials.


Included among the potential victims are South Korean university professors, think tank researchers, and government officials.


[Kimsuky](https://thehackernews.com/2021/11/north-korean-hackers-found-behind-range.html), also known as Black Banshee, Thallium, and Velvet Chollima, is the name given to a prolific North Korean advanced persistent threat (APT) group that targets entities globally, but with a primary focus on South Korea, to gain intelligence on various topics of interest to the regime.


Known to be operating since 2012, the group has a history of employing social engineering tactics, spear-phishing, and watering hole attacks to exfiltrate desired information from victims.


Late last month, cybersecurity firm Volexity [attributed](https://thehackernews.com/2022/07/north-korean-hackers-using-malicious.html) the actor to an intelligence gathering mission designed to siphon email content from Gmail and AOL via a malicious Chrome browser extension dubbed Sharpext.


The latest campaign follows a similar modus operandi wherein the attack sequence is initiated via spear-phishing messages containing macro-embedded Microsoft Word documents that purportedly feature content related to geopolitical issues in the region.


[![Kimusky North Korean Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj7-Azj-guMryV4QTU326GOcpsfRHiS5VWG44NpNbVZkJ7V9F6rNDLGZHcygX-CjdVkTSSPb_D5EKQVxgV9mNHt_p-bWKt6rMU-PE7v4eFmz-rhZic6nKDSYJ28gpx-HoBsLiVKhIVcEMHU9wn2Q1aiyjFhbs2AvtkaRcVWbU250D8On3Al2_NwFuhj/s728-e1000/cc.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj7-Azj-guMryV4QTU326GOcpsfRHiS5VWG44NpNbVZkJ7V9F6rNDLGZHcygX-CjdVkTSSPb_D5EKQVxgV9mNHt_p-bWKt6rMU-PE7v4eFmz-rhZic6nKDSYJ28gpx-HoBsLiVKhIVcEMHU9wn2Q1aiyjFhbs2AvtkaRcVWbU250D8On3Al2_NwFuhj/s728-e100/cc.jpg)
Alternative initial access routes are also said to take advantage of HTML Application (HTA) and Compiled HTML Help (CHM) files as decoys to compromise the system.


Regardless of the method used, the initial access is followed by dropping a Visual Basic Script from a remote server that's orchestrated to fingerprint the machine and retrieve additional payloads, including an executable capable of exfiltrating sensitive information.


What's novel about the attack is the transmission of the victim's email address to the command-and-control (C2) server should the recipient click a link in the email to download additional documents. If the request doesn't contain an expected email address, a benign document is returned.


To further complicate the kill chain, the first-stage C2 server forwards the victim's IP address to another VBS server, which then compares it with an incoming request that's generated after the target opens the lure document.


The "victim verification methodology" in the two C2 servers ensures that the VBScript is delivered only when the IP address checks are successful, indicating a highly targeted approach.


"The Kimsuky group continuously evolves its malware infection schemes and adopts novel techniques to hinder analysis," Kaspersky researcher Seongsu Park said. "The main difficulty in tracking this group is that it's tough to acquire a full-infection chain."


  





## Tags:


### Autogenerated tags:
[[c2]]
