# Researchers Uncover New Android Spyware With C2 Server Linked to Turla Hackers
## Researchers discover a new Android spyware with a C2 server linked to the Turla hackers, masquerading as a "process manager" service.
## Information:

+ Link: https://thehackernews.com/2022/04/researchers-uncover-new-android-spyware.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 04 April 2022, 13:44
+ Date scraped: 04 April 2022, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjcOZIV4CLzxz3yGj8LUXUiE04pDMwfJbz1ANxBuIxyGhjHdwIf-wgdWwzRhW_vSZi2wCHBZAKP2XDwkpsvUI5gkBCmVpgAWjlv4jb1G2ahwu4_Pzw4lwACqMB95wg97T6NNFUktOyJQ0rQd_KtX_j-I5gG84erVuYIK5kzo0eOeYb0Qj0-GmSd71hD/s728-e1000/hack.jpg)


An Android spyware application has been spotted masquerading as a "Process Manager" service to stealthily siphon sensitive information stored in the infected devices.


Interestingly, the app — that has the package name "[com.remote.app](https://www.virustotal.com/gui/file/e0eacd72afe39de3b327a164f9c69a78c9c0f672d3ad202271772d816db4fad8)" — establishes contact with a remote command-and-control server, 82.146.35[.]240, which has been previously identified as infrastructure belonging to the Russia-based hacking group known as [Turla](https://thehackernews.com/2021/09/russian-turla-apt-group-deploying-new.html).


"When the application is run, a warning appears about the permissions granted to the application," Lab52 researchers [said](https://lab52.io/blog/complete-dissection-of-an-apk-with-a-suspicious-c2-server/). "These include screen unlock attempts, lock the screen, set the device global proxy, set screen lock password expiration, set storage encryption and disable cameras."


Once the app is "activated," the malware removes its gear-shaped icon from the home screen and runs in the background, abusing its wide permissions to access the device's contacts and call logs, track its location, send and read messages, access external storage, snap pictures, and record audio.


[![Android Spyware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgutyl1AC5zmnhPsoOq0j2U8G5jPuG6WmdIuPZThzQX0MPiKNA-qT2J3K8TqpedAN0ik2Oz5H43Ttj2q1XI2Y7NiVe8zQSKd9_rNqBpt3IgpaJZQyTm_jkixSNeyG3C50gFHWyFPCMYEW80lPuF80ZNRn4IKlkhVLNGz-bcz3Ec5qNZYRuC9oqauHbK/s728-e1000/android.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgutyl1AC5zmnhPsoOq0j2U8G5jPuG6WmdIuPZThzQX0MPiKNA-qT2J3K8TqpedAN0ik2Oz5H43Ttj2q1XI2Y7NiVe8zQSKd9_rNqBpt3IgpaJZQyTm_jkixSNeyG3C50gFHWyFPCMYEW80lPuF80ZNRn4IKlkhVLNGz-bcz3Ec5qNZYRuC9oqauHbK/s728-e100/android.jpg)
The gathered information is captured in a JSON format and subsequently transmitted to the aforementioned remote server. Despite the overlap in the C2 server used, Lab52 said it doesn't have enough evidence to attribute the malware to the Turla group.


Also unknown at this stage is the exact initial access vector employed for distributing the spyware and intended targets of the campaign.


That said, the rogue Android app also attempts to download a legitimate application called [Roz Dhan](https://play.google.com/store/apps/details?id=videos.share.rozdhan) (meaning "Daily Wealth" in Hindi) that has over 10 million installations and allows users to earn cash rewards for completing surveys and questionnaires.


"The application, [which] is on Google Play and is used to earn money, has a referral system that is abused by the malware," the researchers said. "The attacker installs it on the device and makes a profit."


  





## Tags:
***ipv4-adresses***: 82.146.35.240
***urls***: http://82.146.35.240

### Autogenerated tags:
[[malware]]
