# Researchers Uncover Ongoing Attacks Targeting Asian Governments and Telecom Giants
## Cybersecurity experts uncover an ongoing threat to government and telecom entities in Asia.
## Information:

+ Link: https://thehackernews.com/2023/10/researchers-uncover-ongoing.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 12 October 2023, 11:50
+ Date scraped: 12 October 2023, 07:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh94vUElAgq8Pppp8OX0eeAWMlIdVm8DkYMPPQJGIoBB3oAoyfUsctH_E1CSB7mQBRi4rhkX1x2DosYBi5Gg1gG8AA8WdRuAozLmjuT8cvhSjByYZFC_spSjo9wpVqzEBKcPlffcKIiDYe9dWorA1VQUI7rYvHvqM238tCMmgZic8Bgq4N3LcoCRPyXYUcV/s728-rw-ft-e30/hacking.jpg)


High-profile government and telecom entities in Asia have been targeted as part of an ongoing campaign since 2021 that's designed to deploy basic backdoors and loaders for delivering next-stage malware.


Cybersecurity company Check Point is tracking the activity under the name **Stayin' Alive**. Targets include organizations located in Vietnam, Uzbekistan, Pakistan, and Kazakhstan.


"The simplistic nature of the tools [...] and their wide variation suggests they are disposable, mostly utilized to download and run additional payloads," it [said](https://research.checkpoint.com/2023/stayin-alive-targeted-attacks-against-telecoms-and-government-ministries-in-asia/) in a report published Wednesday. "These tools share no clear code overlaps with products created by any known actors and do not have much in common with each other."


What's notable about the campaign is that the infrastructure [shares overlaps](https://teamt5.org/en/posts/assassinations-of-minininja-in-various-apac-countries/) with that used by [ToddyCat](https://thehackernews.com/2022/06/new-toddycat-hacker-group-on-experts.html), a China-linked threat actor known for orchestrating cyber assaults against government and military agencies in Europe and Asia since at least December 2020.


Attack chains commence with a spear-phishing email that contains a ZIP file attachment with a legitimate executable that leverages [DLL side-loading](https://thehackernews.com/2023/10/researchers-uncover-grayling-apts.html) to load a backdoor called CurKeep by means of a rogue DLL dal\_keepalives.dll present within the archive.


CurlKeep is designed to send information about the compromised host to a remote server, execute commands sent by the server, and write server responses to a file on the system.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjcWAKmG9ZTD16-P1UZLel_maK454fW_wr5nayojMSDxnGX-ZNp5V4QWSU3uhvtn89-eZZdC5-Wx-qSyhTAMQhGmGgrx1rBtfKQVgOjoprI_xzs0ujTxxc6GD5F6uqBy0sHQM821kT_Qt3_I_OfaRbE-37x6CPSJm4qRcScevxYVFMG5T3jnqOaXETk2-gl/s728-rw-ft-e30/hack.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjcWAKmG9ZTD16-P1UZLel_maK454fW_wr5nayojMSDxnGX-ZNp5V4QWSU3uhvtn89-eZZdC5-Wx-qSyhTAMQhGmGgrx1rBtfKQVgOjoprI_xzs0ujTxxc6GD5F6uqBy0sHQM821kT_Qt3_I_OfaRbE-37x6CPSJm4qRcScevxYVFMG5T3jnqOaXETk2-gl/s728-rw-ft-e30/hack.jpg)
A closer examination of the command-and-control (C2) infrastructure has revealed a constantly evolving arsenal of loader variants dubbed CurLu, CurCore, and CurLog that are capable of receiving DLL files, executing remote commands, and launch a process associated with a newly generated file to which data from the server is written to.


Also discovered is a passive implant named StylerServ that listens on five different ports (60810, 60811, 60812, 60813, and 60814) to accept a remote connection and receive an encrypted configuration file.


While there is no conclusive evidence to connect Stayin' Alive to ToddyCat, the findings show that both intrusion sets utilize the same infrastructure to go after a similar set of targets.


"The use of disposable loaders and downloaders, as observed in this campaign, is becoming more common even among sophisticated actors," it said. "The use of disposable tools makes both detection and attribution efforts more difficult, as they are replaced often, and possibly written from scratch."



  





## Tags:


### Autogenerated tags:
[[dll]]
