# Russian Hacker Group ToddyCat Uses Advanced Tools for Industrial-Scale Data Theft
## Kaspersky has uncovered a concerning threat actor, ToddyCat, targeting government and military entities.
## Information:

+ Link: https://thehackernews.com/2024/04/russian-hacker-group-toddycat-uses.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 22 April 2024, 20:41
+ Date scraped: 22 April 2024, 16:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi3WmhamH3F4LwTvjofjgtMTuWmXujmvcbfjc94bRJeUr1MD5xTkjmf-NN4kUG4Ie1aqsnwwdp9cl_5fX2aEdsX6wu7ALr22hPze4X6fprKD5kbPQ33MS0bh8jdTm9sWE8f5pXXsX5j8Yfl9PnszbuJm8ad6SsHRpUdRuaHW3kr2Facdv_An3E3MdGe3EN-/s728-rw-e365/hackers.png)


The threat actor known as **ToddyCat** has been observed using a wide range of tools to retain access to compromised environments and steal valuable data.


Russian cybersecurity firm Kaspersky characterized the adversary as relying on various programs to harvest data on an "industrial scale" from primarily governmental organizations, some of them defense related, located in the Asia-Pacific region.


"To collect large volumes of data from many hosts, attackers need to automate the data harvesting process as much as possible, and provide several alternative means to continuously access and monitor systems they attack," security researchers Andrey Gunkin, Alexander Fedotov, and Natalya Shornikova [said](https://securelist.com/toddycat-traffic-tunneling-data-extraction-tools/112443/).


ToddyCat was [first documented](https://thehackernews.com/2022/06/new-toddycat-hacker-group-on-experts.html) by the company in June 2022 in connection with a series of cyber attacks aimed at government and military entities in Europe and Asia since at least December 2020. These intrusions leveraged a passive backdoor dubbed Samurai that allows for remote access to the compromised host.


A closer examination of the threat actor's tradecraft has since [uncovered](https://thehackernews.com/2023/10/researchers-unveil-toddycats-new-set-of.html) additional data exfiltration tools like LoFiSe and Pcexter to gather data and upload archive files to Microsoft OneDrive.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The latest set of programs entail a mix of tunneling data gathering software, which are put to use after the attacker has already obtained access to privileged user accounts in the infected system. This includes -


* Reverse SSH tunnel using OpenSSH


* SoftEther VPN, which is renamed to seemingly innocuous files like "boot.exe," "mstime.exe," "netscan.exe," and "kaspersky.exe"


* Ngrok and Krong to encrypt and redirect command-and-control (C2) traffic to a certain port on the target system


* FRP client, an open-source Golang-based fast reverse proxy


* Cuthead, a .NET compiled executable to search for documents matching a specific extension or a filename, or the date when they are modified


* WAExp, a .NET program to capture data associated with the WhatsApp web app and save it as an archive, and


* TomBerBil to extract cookies and credentials from web browsers like Google Chrome and Microsoft Edge


"The attackers are actively using techniques to bypass defenses in an attempt to mask their presence in the system," Kaspersky said.


[![Russian Hacker Group ToddyCat](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgWOezATBE8M1c-paWkS3QXZC0dc-hjRCiq6q-ubApSz3h2YReci8CtWZYi2rmPZaDqERPzCqOyGnAl9lyRRjq-X6FbUZN26yGxgzrjHgJ1Zlyslt2gaxgjdtD4Bdz6Ob6gCTNZw8RbvQ_8pgWele70KozyDVgOMH3QoaCBtt3ch0YurXs45zfahcqm3PE8/s728-rw-e365/tool.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgWOezATBE8M1c-paWkS3QXZC0dc-hjRCiq6q-ubApSz3h2YReci8CtWZYi2rmPZaDqERPzCqOyGnAl9lyRRjq-X6FbUZN26yGxgzrjHgJ1Zlyslt2gaxgjdtD4Bdz6Ob6gCTNZw8RbvQ_8pgWele70KozyDVgOMH3QoaCBtt3ch0YurXs45zfahcqm3PE8/s728-rw-e365/tool.png)
"To protect the organization's infrastructure, we recommend adding to the firewall denylist the resources and IP addresses of cloud services that provide traffic tunneling. In addition, users must be required to avoid storing passwords in their browsers, as it helps attackers to access sensitive information."

 
  





## Tags:


### Autogenerated tags:

