# Russian Hackers Targeted Petroleum Refinery in NATO Country During Ukraine War
## Russian Hackers Target Major Petroleum Refining in NATO Member State During Russo-Ukrainian War
## Information:

+ Link: https://thehackernews.com/2022/12/russian-hackers-target-major-petroleum.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 20 December 2022, 12:55
+ Date scraped: 20 December 2022, 14:05

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiBiq1rpn0mevK8uG4vt_q-351orQSwUCjOEeHOSic-wYAVthPjhqJym75aLkC4jZhe90jyJ34R85PyDs9VtQa_JN-RkvYhawYZdeOW53jANLUnC4RUkDl3z4KXbLSDCQQ51C9YCT7wqt9nZ7JBCClyc2z9wA36x_452h5AsCnMJW18Dblj4h1yKrNE/s728-e1000/hacking.png)


The Russia-linked Gamaredon group attempted to unsuccessfully break into a large petroleum refining company within a NATO member state earlier this year amid the ongoing Russo-Ukrainian war.


The attack, which took place on August 30, 2022, is just one of multiple attacks orchestrated by the advanced persistent threat (APT) that's attributed to Russia's Federal Security Service ([FSB](https://thehackernews.com/2021/11/ukraine-identifies-russian-fsb-officers.html)).


[Gamaredon](https://thehackernews.com/2022/09/russian-gamaredon-hackers-target.html), also known by the monikers Actinium, Armageddon, Iron Tilden, Primitive Bear, Shuckworm, Trident Ursa, and Winterflounder, has a history of primarily going after Ukrainian entities and, to a lesser extent, NATO allies to harvest sensitive data.


[![Gamaredon hackers](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEga-Hx-TsxRyYXrTFK9yeLVf98ra-8BKTiAeDAJSmFnSF5ZK6iOMWEZeAAVRDyGUluvqjZmGrwPt88__r9s_rXpV5jLyV1esnvoqcoaUuVAgiRdMEVMKN6t3Bfnijjy7UyaKtAtR27thaV1bXKD5SV7gP8tszZCzagiIRviTSwF9LXedl4tXvyOkwPF/s728-e100/attack-flow.png)
"As the conflict has continued on the ground and in cyberspace, Trident Ursa has been operating as a dedicated access creator and intelligence gatherer," Palo Alto Networks Unit 42 [said](https://unit42.paloaltonetworks.com/trident-ursa/) in a report shared with The Hacker News. "Trident Ursa remains one of the most pervasive, intrusive, continuously active and focused APTs targeting Ukraine."


Unit 42's continued monitoring of the group's activities has uncovered more than 500 new domains, 200 malware samples, and multiple shifts in its tactics over the past 10 months in response to ever-changing and expanding priorities.


Beyond cyberattacks, the larger security community is said to have been at the receiving end of threatening tweets from a purported Gamaredon associate, highlighting the intimidation techniques adopted by the adversary.


Other noteworthy methods include the use of Telegram pages to look up command-and-control (C2) servers and [fast flux DNS](https://unit42.paloaltonetworks.com/fast-flux-101/) to rotate through many IP addresses in a short span of time to make IP-based denylisting and takedown efforts harder. 


[![Russian Hackers](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhD-yjIX-lAf7pSoqYCeo2anWC9lfKrnYvXnlaa5WiC_WaSKW_ZegLIK5I-5Pfa2JjhEVU3qFvlFKb8sYJfOpUW6wvOgUf1QCJXS-p9mcHPsCEpx2Gq2ShJozLwe3jOoYfx-0ZLEL9hmzqRjIDBtlcXgfU9l0oXxUyhcEJNIbE1A-zocwDF5hdkMgthyw/s728-e100/tweet.png)
The attacks themselves entail the delivery of weaponized attachments embedded within spear-phishing emails to deploy a VBScript backdoor on the compromised host that's capable of establishing persistence and executing additional VBScript code supplied by the C2 server.


Gamaredon infection chains have also been observed leveraging geoblocking to limit the attacks to specific locations along with utilizing dropper executables to launch next-stage VBScript payloads, which subsequently connect to the C2 server to execute further commands.

 The geoblocking mechanism functions as a security blindspot as it reduces the visibility of the threat actor's attacks outside of the targeted countries and makes its activities more difficult to track.


"Trident Ursa remains an agile and adaptive APT that does not use overly sophisticated or complex techniques in its operations," the researchers said. "In most cases, they rely on publicly available tools and scripts – along with a significant amount of obfuscation – as well as routine phishing attempts to successfully execute their operations."


  





## Tags:


### Autogenerated tags:
[[gamaredon]] [[c2]] [[vbscript]]
