# ShellBot Uses Hex IPs to Evade Detection in Attacks on Linux SSH Servers
## Ever heard of an IP address in hexadecimal notation? It's the latest disguise hackers use to deploy DDoS malware on Linux systems.
## Information:

+ Link: https://thehackernews.com/2023/10/shellbot-uses-hex-ips-to-evade.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 12 October 2023, 16:57
+ Date scraped: 12 October 2023, 12:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi5x3JHEGUzbGE2fB4HglDZkPyFSWKI9KaTBmGDXm93-nMRH2WDlrGWM3mw63h5xoKoITxP_hYaTqxFAkgP8jPNE17LjC9uCa38z0YYL5UzO4I8uMNExTuD3vJs8Wb6ZiGYcLMTm5Qw-eCRK5A4095J1M_fSA11c6m8BVzzYw23JbSSTFPAjgHhakNQBIC8/s728-rw-ft-e30/ddos.jpg)


The threat actors behind **ShellBot** are leveraging IP addresses transformed into its hexadecimal notation to infiltrate poorly managed Linux SSH servers and deploy the DDoS malware.


"The overall flow remains the same, but the download URL used by the threat actor to install ShellBot has changed from a regular IP address to a hexadecimal value," the AhnLab Security Emergency response Center (ASEC) [said](https://asec.ahnlab.com/en/57635/) in a new report published today.


ShellBot, also known by the name PerlBot, is [known to breach servers](https://thehackernews.com/2023/03/new-shellbot-ddos-malware-targeting.html) that have weak SSH credentials by means of a [dictionary attack](https://en.wikipedia.org/wiki/Dictionary_attack), with the malware used as a conduit to stage DDoS attacks and [deliver cryptocurrency miners](https://thehackernews.com/2023/01/new-shc-based-linux-malware-targeting.html).


Developed in Perl, the malware uses the IRC protocol to communicate with a command-and-control (C2) server.


The latest set of observed attacks involving ShellBot has been found to install the malware using hexadecimal IP addresses – hxxp://0x2763da4e/ which corresponds to 39.99.218[.]78 – in what's seen as an attempt to evade URL-based detection signatures.


"Due to the usage of curl for the download and its ability to support hexadecimal just like web browsers, ShellBot can be downloaded successfully on a Linux system environment and executed through Perl," ASEC said.


The development is a sign that ShellBot continues to witness steady usage to launch attacks against Linux systems.


With ShellBot capable of being used to install additional malware or launch different types of attacks from the compromised server, it's recommended that users switch to strong passwords and periodically change them to resist brute-force and dictionary attacks.


The disclosure also comes as ASEC revealed that attackers are weaponizing abnormal certificates with unusually long strings for Subject Name and Issuer Name fields in a bid to distribute information stealer malware such as [Lumma Stealer](https://thehackernews.com/2023/09/cybercriminals-using-new-asmcrypt.html) and a variant of [RedLine Stealer](https://thehackernews.com/2023/05/searching-for-ai-tools-watch-out-for.html) known as [RecordBreaker](https://www.cloudsek.com/blog/recordbreaker-the-resurgence-of-raccoon).


"These types of malware are distributed via malicious pages that are easily accessible through search engines (SEO poisoning), posing a threat to a wide range of unspecified users," ASEC [said](https://asec.ahnlab.com/en/57553/). "These malicious pages primarily use keywords related to illegal programs such as serials, keygens, and cracks."



  





## Tags:
***ipv4-adresses***: 39.99.218.78
***urls***: http://0x2763da4e/ http://39.99.218.78

### Autogenerated tags:
[[shellbot]] [[malware]] [[asec]] [[ip]] [[linux]]
