# StrongPity Hackers Distribute Trojanized Telegram App to Target Android Users
## StrongPity APT group targeting Android users with a Trojanized Telegram app distributed through a fake Shagle video chat service website.
## Information:

+ Link: https://thehackernews.com/2023/01/strongpity-hackers-distribute.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 January 2023, 16:40
+ Date scraped: 10 January 2023, 17:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgxXu91CqjstWs8eDcZG0xJP0bH1IqpEM8doI_Eqss85qE47ID0OxGyfLgsnbzmatGwBGm3w_UrbSC_igpqSGL0Da0EBRasbULNRmcyIz622_9HKrFSXeoljcDAoUd-m3WnhIkQsZ5J_th-slhlj58oXA3Ku0tsWPsyalffq8cpVbxEnkzuwntAlscq/s728-rj-e365/telegram.png)


The advanced persistent threat (APT) group known as **StrongPity** has targeted Android users with a trojanized version of the Telegram app through a fake website that impersonates a video chat service called **Shagle**.


"A copycat website, mimicking the Shagle service, is used to distribute StrongPity's mobile backdoor app," ESET malware researcher Lukáš Štefanko [said](https://www.welivesecurity.com/2023/01/10/strongpity-espionage-campaign-targeting-android-users/) in a technical report. "The app is a modified version of the open source Telegram app, repackaged with StrongPity backdoor code."


[StrongPity](https://thehackernews.com/2020/06/strongpity-syria-turkey-hackers.html), also known by the names APT-C-41 and Promethium, is a cyberespionage group active since at least 2012, with a majority of its operations focused on Syria and Turkey. The existence of the group was first publicly reported by Kaspersky in October 2016.


The threat actor's [campaigns](https://blog.cyble.com/2020/12/31/strongpity-apt-extends-global-reach-with-new-infrastructure/) have since expanded to encompass more targets across Africa, Asia, Europe, and North America, with the intrusions leveraging watering hole attacks and phishing messages to activate the killchain.


One of the main hallmarks of StrongPity is its use of counterfeit websites that purport to offer a wide variety of software tools, only to trick victims into downloading tainted versions of legitimate apps.


In December 2021, Minerva Labs [disclosed](https://minerva-labs.com/blog/a-new-strongpity-variant-hides-behind-notepad-installation/) a three-stage attack sequence stemming from the execution of a seemingly benign Notepad++ setup file to ultimately deliver a backdoor onto infected hosts.


That same year, StrongPity was [observed](https://www.trendmicro.com/ru_ru/research/21/g/strongpity-apt-group-deploys-android-malware-for-the-first-time.html) deploying a piece of Android malware for the first time by possibly breaking into the Syrian e-government portal and replacing the official Android APK file with a rogue counterpart.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjb9f0QY_vAOttHKqW4kr5yvhWZn8NXXxPj4Q-hUbSj0ZnwN85mcp_CVD9jYrNWVyIKiWkL9p3jsIJKbmd1SRt19A8AxTC-1Dj1_KKYSBFx8aqannC03ZTaeR5IaSqmk9NnZH5wn8AlB5t1jK96ZOzqbGqJyV57bwcaSZLXRmu3zHDH4_puU_pyFZQ1/s728-rj-e365/aa.png)
The latest findings from ESET highlight a similar modus operandi that's engineered to distribute an updated version of the Android backdoor payload, which is equipped to record phone calls, track device locations, and collect SMS messages, call logs, contacts lists, and files.


In addition, granting the malware accessibility services permissions enables it to siphon incoming notifications and messages from various apps like Gmail, Instagram, Kik, LINE, Messenger, Skype, Snapchat, Telegram, Tinder, Twitter, Viber, and WeChat.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhHiwzdY2iQs0_XclCohk1aQBe3mwZmMWhOb6bgz_4M9EujFRNKKK-S3pf_Ry5hsv-KLo2z36GFo-c4uz3bZ4f96lqYEW7eV1jJ7PUUF-GbNaMIPHZeQEQ4dLpvtv8P2QxX4EizC8CxaTkKnq0fu-5PDTUEsvDMkS-dIspiWU_0rb5uX_lZP1lte5yd/s728-rj-e365/telegram.png)
The Slovak cybersecurity company described the implant as modular and capable of downloading additional components from a remote command-and-control (C2) server so as to accommodate the evolving objectives of StrongPity's campaigns.


The backdoor functionality is concealed within a legitimate version of Telegram's Android app that was available for download around February 25, 2022. That said, the bogus Shagle website is no longer active, although indications are that the activity is "very narrowly targeted" due to the lack of telemetry data.

 There is also no evidence the app was published on the official Google Play Store. It's currently not known how the potential victims are lured to the fake website, and if it entails techniques like social engineering, search engine poisoning, or fraudulent ads.


There is also no evidence the app ("[video.apk](https://twitter.com/malwrhunterteam/status/1549125906416943108)") was published on the official Google Play Store. It's currently not known how the potential victims are lured to the fake website, and if it entails techniques like social engineering, search engine poisoning, or fraudulent ads.


"The malicious domain was registered on the same day, so the copycat site and the fake Shagle app may have been available for download since that date," Štefanko pointed out.


Another notable aspect of the attack is that the tampered version of Telegram uses the same package name as the genuine Telegram app, meaning the backdoored variant cannot be installed on a device that already has Telegram installed.


"This might mean one of two things – either the threat actor first communicates with potential victims and pushes them to uninstall Telegram from their devices if it is installed, or the campaign focuses on countries where Telegram usage is rare for communication," Štefanko said.


  





## Tags:


### Autogenerated tags:
[[strongpity]] [[android]] [[website]] [[shagle]] [[malware]] [[štefanko]]
