# Threat Actors Increasingly Abusing GitHub for Malicious Purposes
## Cybercriminals are increasingly using GitHub for malicious activities like payload delivery and command-and-control operations.
## Information:

+ Link: https://thehackernews.com/2024/01/threat-actors-increasingly-abusing.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 11 January 2024, 20:58
+ Date scraped: 11 January 2024, 16:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhh7H__XyW8sNTKFbx9G5NdjAVhIkSjLI6vtYfdFmFSRuHS8WWszkkWp3wAZUGaGQBxjZ_gNR14U_6s2Ur9K_T16dOI3MuesJ3FiCD62XfUUyUkic4dRZ7h9jwF5Vqoo5Z2ZSgQRkvFn2stjLYNF1hSYKn4Jf52opl9CINiVSi6fdLGuwYrYG-d0ZIbekcd/s728-rw-ft-e30/github.jpg)


The ubiquity of GitHub in information technology (IT) environments has made it a lucrative choice for threat actors to host and deliver malicious payloads and act as [dead drop resolvers](https://attack.mitre.org/techniques/T1102/001/), command-and-control, and data exfiltration points.


"Using GitHub services for malicious infrastructure allows adversaries to blend in with legitimate network traffic, often bypassing traditional security defenses and making upstream infrastructure tracking and actor attribution more difficult," Recorded Future [said](https://recordedfuture.com/flying-under-the-radar-abusing-gitHub-malicious-infrastructure) in a report shared with The Hacker News.


The cybersecurity firm described the approach as "living-off-trusted-sites" (LOTS), a spin on the living-off-the-land (LotL) techniques often adopted by threat actors to conceal rogue activity and fly under the radar.


Prominent among the methods by which GitHub is [abused](https://thehackernews.com/2023/01/hackers-using-stolen-bank-information.html) [relates](https://asec.ahnlab.com/en/52072/) to [payload](https://thehackernews.com/2023/03/new-macstealer-macos-malware-steals.html) [delivery](https://blog.morphisec.com/guloader-campaign-targets-law-firms-in-the-us), with some actors leveraging its features for command-and-control (C2) obfuscation. Last month, ReversingLabs [detailed](https://thehackernews.com/2023/12/hackers-abusing-github-to-evade.html) a number of rogue Python packages that relied on a secret gist hosted on GitHub to receive malicious commands on the compromised hosts.


While [full-fledged](https://www.mandiant.com/resources/blog/dissecting-one-ofap) [C2 implementations](https://thehackernews.com/2022/01/north-korean-hackers-using-windows.html) in GitHub are uncommon in comparison to other infrastructure schemes, its use by threat actors as a [dead drop resolver](https://thehackernews.com/2023/03/3cx-desktop-app-targeted-in-supply.html) – wherein the information from an actor-controlled GitHub repository is used to obtain the actual C2 URL – is a lot more prevalent, as evidenced in the case of malware like [Drokbk](https://thehackernews.com/2022/12/researchers-uncover-new-drokbk-malware.html) and [ShellBox](https://thehackernews.com/2023/02/north-korean-cyber-espionage-group.html).


Also rarely observed is the [abuse of GitHub](https://asec.ahnlab.com/en/50621/) for [data exfiltration](https://thehackernews.com/2023/05/new-stealthy-bandit-stealer-targeting.html), which, per Recorded Future, is likely due to file size and storage limitations and concerns around discoverability.


Outside of these four main schemes, the platform's offerings are put to use in various other ways in order to meet infrastructure-related purposes. For instance, GitHub Pages have been used as [phishing hosts or traffic redirectors](https://www.proofpoint.com/us/threat-insight/post/threat-actors-abuse-github-service-host-variety-phishing-kits), with some campaigns utilizing a GitHub repository as a [backup C2 channel](https://www.welivesecurity.com/2020/12/02/turla-crutch-keeping-back-door-open/).


The development speaks to the [broader](https://thehackernews.com/2023/08/russian-hackers-use-zulip-chat-app-for.html) [trend](https://thehackernews.com/2023/10/discord-playground-for-nation-state.html) of legitimate internet services such as Google Drive, Microsoft OneDrive, Dropbox, Notion, Firebase, Trello, and Discord being exploited by threat actors. This also includes other source code and version control platforms like [GitLab](https://thehackernews.com/2023/03/new-dotrunpex-malware-delivers-multiple.html), [BitBucket](https://thehackernews.com/2023/11/stripedfly-malware-operated-unnoticed.html), and [Codeberg](https://thehackernews.com/2023/10/qubitstrike-targets-jupyter-notebooks.html).


"There is no universal solution for GitHub abuse detection," the company said. "A mix of detection strategies is needed, influenced by specific environments and factors such as the availability of logs, organizational structure, service usage patterns, and risk tolerance, among others."


  





## Tags:


### Autogenerated tags:
[[github]] [[c2]]
