# Vultur Android Banking Trojan Returns with Upgraded Remote Control Capabilities
## Vultur Android banking trojan is back, stronger than ever. It steals sensitive data and remotely controls your phone.
## Information:

+ Link: https://thehackernews.com/2024/04/vultur-android-banking-trojan-returns.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 01 April 2024, 11:34
+ Date scraped: 01 April 2024, 07:15

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiiCadb4ZR4hN_4S3STnuoBFdzQBNb68ZM62Ymki83MR9KTvalwjsM2zcB1Pi8a1T9f4_JhXWzj9fatIxfOCHzC9yKF0AVRldZ78mqXWpuhLVcnKopWpSvOgyRcRu8tmNlO1I0gK_7uoF5M2D7WWxWB4VVlorcin7KLA9Bka0ZbfIzxSgV1JLABJmtDmKF2/s728-rw-e365/android.jpg)


The Android banking trojan known as Vultur has resurfaced with a suite of new features and improved anti-analysis and detection evasion techniques, enabling its operators to remotely interact with a mobile device and harvest sensitive data.


"Vultur has also started masquerading more of its malicious activity by encrypting its C2 communication, using multiple encrypted payloads that are decrypted on the fly, and using the guise of legitimate applications to carry out its malicious actions," NCC Group researcher Joshua Kamp [said](https://research.nccgroup.com/2024/03/28/android-malware-vultur-expands-its-wingspan/) in a report published last week.


Vultur was [first disclosed](https://thehackernews.com/2021/07/new-android-malware-uses-vnc-to-spy-and.html) in early 2021, with the malware capable of leveraging Android's accessibility services APIs to execute its malicious actions.


The malware has been observed to be [distributed via trojanized dropper apps](https://thehackernews.com/2022/10/these-dropper-apps-on-play-store.html) on the Google Play Store, masquerading as authenticator and productivity apps to trick unwitting users into installing them. These dropper apps are offered as part of a dropper-as-a-service (DaaS) operation called Brunhilda.


Other attack chains, as observed by NCC Group, involve the droppers being spread using a combination of SMS messages and phone calls – a technique called telephone-oriented attack delivery ([TOAD](https://thehackernews.com/2022/10/hackers-using-vishing-tactics-to-trick.html)) – to ultimately serve an updated version of the malware.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLX0O_pua_BNGD7OG05Td7ASGHjT-c6rLVfmEazcitNrUN4aS12_9AAEWdojbHmrg0EkMQCSyD42w-d6egVdsdVtAEaH-Z0w0f-jU1frNCfaTUp5tY4bg1olzAEY_W1iVATonnvuYqpel_Mxe4TJmkCMSqLOo4ol9NEGBRh_a8C0JhApfKqY8f-wf9m978/s728-e365/wing-d.png)](https://thehackernews.uk/automated-remediation-wing)
"The first SMS message guides the victim to a phone call," Kamp said. When the victim calls the number, the fraudster provides the victim with a second SMS that includes the link to the dropper: a modified version of the [legitimate] McAfee Security app."


The initial SMS message aims to induce a false sense of urgency by instructing the recipients to call a number to authorize a non-existent transaction that involves a large sum of money.


Upon installation, the malicious dropper executes three related payloads (two APKs and one DEX file) that register the bot with the C2 server, obtain accessibility services permissions for remote access via AlphaVNC and ngrok, and run commands fetched from the C2 server.


One of the prominent additions to Vultur is the ability to remotely interact with the infected device, including carrying out clicks, scrolls, and swipes, through Android's accessibility services, as well as download, upload, delete, install, and find files.


In addition, the malware is equipped to prevent the victims from interacting with a predefined list of apps, display custom notifications in the status bar, and even disable [Keyguard](https://developer.android.com/reference/android/app/KeyguardManager) to bypass lock screen security measures.


[![Android Banking Trojan](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEie2pKBunR9u15RqlJH9uHT0JpuTGnRvqZZ0SX27lt3TmOUU2-ZFR3Jr_9Tr75tl5uFox7tj9ZmZSYbgnUOTdM0-rPh_mFkaLsf7IFUxPoxf6UwzNTVJNfzD9ceTEeftEEBWKbc_kX6CUoYgXbPKtW1DNBZnUQdH71xQQy5GVNvzm3qEa0pSEDFZPrlcBV5/s728-rw-e365/android.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEie2pKBunR9u15RqlJH9uHT0JpuTGnRvqZZ0SX27lt3TmOUU2-ZFR3Jr_9Tr75tl5uFox7tj9ZmZSYbgnUOTdM0-rPh_mFkaLsf7IFUxPoxf6UwzNTVJNfzD9ceTEeftEEBWKbc_kX6CUoYgXbPKtW1DNBZnUQdH71xQQy5GVNvzm3qEa0pSEDFZPrlcBV5/s728-rw-e365/android.jpg)
"Vultur's recent developments have shown a shift in focus towards maximizing remote control over infected devices," Kamp said.


"With the capability to issue commands for scrolling, swipe gestures, clicks, volume control, blocking apps from running, and even incorporating file manager functionality, it is clear that the primary objective is to gain total control over compromised devices."


The development comes as Team Cymru revealed the [Octo](https://thehackernews.com/2022/04/new-octo-banking-trojan-spreading-via.html) (aka Coper) Android banking trojan's transition to a malware-as-a-service operation, offering its services to other threat actors for conducting information theft.


"The malware offers a variety of advanced features, including keylogging, interception of SMS messages and push notifications, and control over the device's screen," the company [said](https://www.team-cymru.com/post/coper-octo-a-conductor-for-mobile-mayhem-with-eight-limbs).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"It employs various injects to steal sensitive information, such as passwords and login credentials, by displaying fake screens or overlays. Additionally, it utilizes VNC (Virtual Network Computing) for remote access to devices, enhancing its surveillance capabilities."


Octo campaigns are estimated to have compromised 45,000 devices, primarily spanning Portugal, Spain, Turkey, and the U.S. Some of the other victims are located in France, the Netherlands, Canada, India, and Japan.


The findings also follow the emergence of a new campaign targeting Android users in India that distributes malicious APK packages posing as online booking, billing, and courier services via a malware-as-a-service (MaaS) offering.


The malware "targets theft of banking information, SMS messages, and other confidential information from victims' devices," Broadcom-owned Symantec [said](https://www.broadcom.com/support/security-center/protection-bulletin/malware-as-a-service-maas-campaign-targets-android-users-in-india) in a bulletin.


  





## Tags:


### Autogenerated tags:
[[malware]] [[sms]] [[android]] [[apps]] [[c2]] [[kamp]]
