# Xenomorph Banking Trojan: A New Variant Targeting 35+ U.S. Financial Institutions
## A new variant of the Xenomorph Banking Trojan has been uncovered, targeting 35+ U.S. financial institutions.
## Information:

+ Link: https://thehackernews.com/2023/09/xenomorph-banking-trojan-new-variant.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 26 September 2023, 17:19
+ Date scraped: 26 September 2023, 12:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiXrkm2qjQbZqqm_7ZIxMiEkl_KqVomz06sNMzVil7j9W6_BLb4FXMSsEbIWSGTXEMa-8IY_0J9EYko5x0wlvf1nW5_xpy2gHJeHWHO7LahoGqmfIs3VgjJDcCBm4k8Ib6O5g7d7wYjHDOC_VmBP-Cu2eDzAGC3n2WOgGarV3lb9gHuvX5SYzXbjtEvds1E/s728-e3650/malware.jpg)


An updated version of an [Android banking trojan](https://securelist.com/it-threat-evolution-q1-2023-mobile-statistics/109893/) called **Xenomorph** has set its sights on more than 35 financial institutions in the U.S.


The campaign, according to Dutch security firm ThreatFabric, leverages phishing web pages that are designed to entice victims into installing malicious Android apps that target a broader list of apps than its predecessors. Some of the other targeted prominent countries targeted comprise Spain, Canada, Italy, and Belgium.


"This new list adds dozens of new overlays for institutions from the United States, Portugal, and multiple crypto wallets, following a trend that has been consistent amongst all banking malware families in the last year," the company [said](https://www.threatfabric.com/blogs/xenomorph) in an analysis published Monday.


Xenomorph is a variant of another banker malware called Alien which [first emerged](https://thehackernews.com/2022/02/xenomorph-android-banking.html) in 2022. Later that year, the financial malware was propagated via a new dropper dubbed [BugDrop](https://thehackernews.com/2022/08/cybercriminals-developing-bugdrop.html), which bypassed security features in Android 13.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjPYBKMZbU-7Y7Kg3jq6dgh_5dNBqpJMQZyBnu7A58Cl9-Hf3Zqlp6O7GKltaeaspPcedrN2-3WCGOvSx55C92iJOqEdWBLCE6RGwVakDy6TsH2P4xv2Vcu4oSW3hat-7_q1c_MTiOdDXb3niTcU9DAgkJ__W9jQIcIDRZOA7cx6KqCxchAOHDOf8wyQIda/s728-e365/bb-d.png)](https://thn.news/iEqhOvqh)
A subsequent iteration [spotted earlier this March](https://thehackernews.com/2023/03/xenomorph-android-banking-trojan.html) came fitted with features to conduct fraud using what's known as the Automatic Transfer System (ATS).


The feature allows its operators, named Hadoken Security, to completely seize control over the device by abusing Android's accessibility privileges and illicitly transfer funds from the compromised device to an actor-controlled account.


The malware also leverages overlay attacks to steal sensitive information such as credentials and credit card numbers by displaying fake login screens on top of the targeted bank apps. The overlays are retrieved from a remote server in the form of a list of URLs.


[![Xenomorph Banking Trojan](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgd0kGrOdai6BnBq_XtHo-vjXyZiT_hSzVZ1zK7wAsnKtxtaGGyvt7YK7pfHjIEDAAev_H2reiTkFFUyEmdMeNgfw68NicQ6p09tfhw5eRjEtRGdUcZygSAA14CsN3rLgE9k18711dooMV8_3TO5AwCo1aZWfrKXkcuZo-oNgNguGnr2bTS4THH2Ln39vqs/s728-e3650/map.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgd0kGrOdai6BnBq_XtHo-vjXyZiT_hSzVZ1zK7wAsnKtxtaGGyvt7YK7pfHjIEDAAev_H2reiTkFFUyEmdMeNgfw68NicQ6p09tfhw5eRjEtRGdUcZygSAA14CsN3rLgE9k18711dooMV8_3TO5AwCo1aZWfrKXkcuZo-oNgNguGnr2bTS4THH2Ln39vqs/s728-e365/map.jpg)
In other words, the ATS framework makes it possible to automatically extract credentials, access account balance information, initiate transactions, obtain MFA tokens from authenticator apps, and perform fund transfers, all without the need for any human intervention.


"Actors have put a lot of effort into modules that support Samsung and Xiaomi devices," the researchers said. "This makes sense, considering that these two combined make up roughly 50% of the whole Android market share."


Some of the new capabilities added to the latest versions of Xenomorph include an "antisleep" feature that prevents the phone's screen from turning off by creating an active push notification, an option to simulate a simple touch at a specific screen coordinate, and impersonate another app using a "mimic" feature.


UPCOMING WEBINAR[Fight AI with AI — Battling Cyber Threats with Next-Gen AI Tools](https://thehacker.news/ai-cyberattacks?source=inside)Ready to tackle new AI-driven cybersecurity challenges? Join our insightful webinar with Zscaler to address the growing threat of generative AI in cybersecurity.

[Secure Your Seat](https://thehacker.news/ai-cyberattacks?source=inside)
As a way to bypass detection for long periods of time, the malware hides its icon from the home screen launcher upon installation. The abuse of the accessibility services further allows it to grant itself all the permissions it needs to run unimpeded on a compromised device.


Previous versions of the banking trojan have masqueraded as legitimate apps and utilities on the Google Play Store. But the latest attack wave observed in mid-August 2023 switches up the modus operandi by distributing the apps through counterfeit sites offering Chrome browser updates.


In a sign that the threat actors are targeting multiple operating systems, the investigation found that the payload hosting infrastructure is also being used to serve Windows stealer malware such as [Lumma C2](https://darktrace.com/blog/the-rise-of-the-lumma-info-stealer) and [RisePro](https://blog.sekoia.io/new-risepro-stealer-distributed-by-the-prominent-privateloader/), as well as a malware loader referred to as [Private Loader](https://thehackernews.com/2022/12/privateloader-ppi-service-found.html).


"Xenomorph maintains its status as an extremely dangerous Android banking malware, featuring a very versatile and powerful ATS engine, with multiple modules already created, with the idea of supporting multiple manufacturer's devices," ThreatFabric said.


  





## Tags:


### Autogenerated tags:
[[malware]] [[android]] [[apps]] [[xenomorph]] [[ats]]
