# Linux Cryptocurrency Mining Attacks Enhanced via CHAOS RAT
## We intercepted a cryptocurrency mining attack that incorporated an advanced remote access trojan (RAT) named the CHAOS Remote Administrative Tool.
## Information:

+ Link: https://www.trendmicro.com/en_us/research/22/l/linux-cryptomining-enhanced-via-chaos-rat-.html
+ Source: Trend Micro
+ Author: David Fiser
+ Date published: 11 December 2022, 23:00
+ Date scraped: 12 December 2022, 14:00

## Article:
![Main article image](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/thumbnails/22/chaos-rat-linux-641.png)






We’ve [previously written](https://www.trendmicro.com/en_us/research/20/i/war-of-linux-cryptocurrency-miners-a-battle-for-resources.html) about [cryptojacking scenarios](https://www.trendmicro.com/vinfo/dk/security/news/cybercrime-and-digital-threats/cryptocurrency-mining-malware-targets-linux-systems-uses-rootkit-for-stealth) involving Linux machines and specific cloud computing instances being targeted by [threat actors active in this space](https://www.trendmicro.com/vinfo/us/security/news/cybercrime-and-digital-threats/teamtnt-activities-probed) such as [TeamTNT](https://www.trendmicro.com/en_us/research/22/j/teamtnt-returns-or-does-it.html). We found that the routines and chain of events were fairly similar even if it involved different threat actors: the initial phase saw attackers trying to kill off competing malware, security products, and other cloud middleware. This was followed by routines for persistence and payload execution, which in most cases is a Monero (XMR) cryptocurrency miner. For more sophisticated threats, we also observed capabilities that allowed it to spread to more devices.  




In November 2022, we intercepted a threat that had a slightly different routine and incorporated an advanced remote access trojan (RAT) named the [CHAOS Remote Administrative Tool](https://github.com/tiagorlampert/CHAOS) (Trojan.Linux.CHAOSRAT), which is based on an open source project.  




Note that the original flow involving the termination of [competing malware such as Kinsing](https://www.trendmicro.com/en_ph/research/20/k/analysis-of-kinsing-malwares-use-of-rootkit.html) and the killing of resources that influence cryptocurrency mining performance remained unchanged.  








[![Figure 1. The original cryptojacking workflow](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-1.png)](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-1.png)
Figure 1. The original cryptojacking workflow







The malware achieves its persistence by altering */etc/crontab* file, a UNIX task scheduler that, in this case, downloads itself every 10 minutes from Pastebin**.**






[![Figure 2. Achieving persistence using cron and downloaded shell scripts from Pastebin](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-2.png)](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-2.png)
Figure 2. Achieving persistence using cron and downloaded shell scripts from Pastebin






This is followed by downloading additional payloads: an XMRig miner, its configuration file, a shell script looping “competition killer,” and most importantly, the RAT itself.






[![Figure 3. Additional payload download](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-3.png)](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-3.png)
Figure 3. Additional payload download






[![Figure 4. Infinite loop of competing process kill](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-4.png)](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-4.png)
Figure 4. Infinite loop of competing process kill






The main downloader script and further payloads are hosted in different locations to ensure that the campaign remains active and constantly spreading. The scripts show that the main server, which is also used for downloading payloads, appears to be located in Russia, with historical *whois* data showing that it also used for cloud bulletproof hosting (a modus operandi that was [previously employed by hacking teams](https://www.trendmicro.com/vinfo/us/security/news/cybercrime-and-digital-threats/inside-the-bulletproof-hosting-business-cybercrime-methods-opsec) — using open source tools — that focused their attacks on cloud infrastructure, containers, and Linux environments).


This command-and-control (C&C) server is used only for providing payloads — Chaos RAT connects to another C&C server, likely located in Hong Kong (which we determined through IP geolocation). When running, the RAT client connects to the C&C server via its address, and default port, using a JSON Web Token (JTW) for authorization.


Upon connection and successful authorization, the client sends detailed information on the infected machine to the C&C server using the command */device*.


The RAT is a Go-compiled binary with the following functions:


* Perform reverse shell
* Download files
* Upload files
* Delete files
* Take screenshots
* Access file explorer
* Gather operating system information
* Restart the PC
* Shutdown the PC
* Open a URL






[![Figure 5. Some implemented functions that can be sent to communicated machine via the C&C server](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-5.png)](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-5.png)
Figure 5. Some implemented functions that can be sent to communicated machine via the C&C server






[![Figure 6. Strings linking the binary to CHAOS RAT](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-6b.png)](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-6b.png)
Figure 6. Strings linking the binary to CHAOS RAT






[![Figure 7. GitHub page for CHAOS RAT showing some of its functions](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-7a.png)](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-7a.png)






[![Figure 7. GitHub page for CHAOS RAT showing some of its functions](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-7b.png)](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-7b.png)
Figure 7. GitHub page for CHAOS RAT showing some of its functions






An interesting trait of the malware family we intercepted is that the address and access token are passed as compilation flags and hardcoded inside the RAT client, replacing any data inside variables from the main code.






[![Figure 8. The address and access token being passed as compilation flags and hardcoded inside the RAT client](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-8a.png)](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-8a.png)






[![Figure 8. The address and access token being passed as compilation flags and hardcoded inside the RAT client](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-8b.png)](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/chaos-rat-linux-8b.png)
Figure 8. The address and access token being passed as compilation flags and hardcoded inside the RAT client






# Conclusion


On the surface, the incorporation of a RAT into the infection routine of a cryptocurrency mining malware might seem relatively minor. However, given the tool’s array of functions and the fact that this evolution shows that cloud-based threat actors are still evolving their campaigns, it is important that both organizations and individuals stay extra vigilant when it comes to security. In our [research on cloud-based cryptocurrency mining groups](https://www.trendmicro.com/vinfo/us/security/news/cybercrime-and-digital-threats/probing-the-activities-of-cloud-based-cryptocurrency-mining-groups), we provided several concrete measures and best practices that enterprises can implement to help strengthen their defensive posture.


Organizations can also consider powerful cloud security technologies such as [Trend Micro Cloud One™ – Workload Security](https://www.trendmicro.com/en_us/business/products/hybrid-cloud/cloud-one-workload-security.html), which  helps defend systems against vulnerability exploits, malware, and unauthorized change. Using techniques such as machine learning (ML) and virtual patching, it can automatically secure new and existing workloads both against known and unknown threats. 


## Indicators of Compromise


The indicators of compromise for this entry can be found [here](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat-/iocs-linux-cryptocurrency-mining-attacks-enhanced-via-chaos-rat.txt).


## [MITRE](https://attack.mitre.org/) ATT&CK








|  |  |  |  |  |  |  |  |
| --- | --- | --- | --- | --- | --- | --- | --- |
| [Initial Access](https://attack.mitre.org/tactics/TA0001) | [Discovery](https://attack.mitre.org/tactics/TA0007/) | [Execution](https://attack.mitre.org/tactics/TA0002) | [Persistence](https://attack.mitre.org/tactics/TA0003) | [Collection](https://attack.mitre.org/tactics/TA0009) | [Command and Control](https://attack.mitre.org/tactics/TA0011) | [Exfiltration](https://attack.mitre.org/tactics/TA0010)
 | [Impact](https://attack.mitre.org/tactics/TA0040) |
| [External Remote Services](https://attack.mitre.org/techniques/T1133) | [Network Service Scanning](https://attack.mitre.org/techniques/T1046/) | [Command and Scripting Interpreter](https://attack.mitre.org/techniques/T1059) | [Scheduled Task/Job](https://attack.mitre.org/techniques/T1053) | [Screen Capture](https://attack.mitre.org/techniques/T1113) | [Remote Access Software](https://attack.mitre.org/techniques/T1219) | [Exfiltration Over C2 Channel](https://attack.mitre.org/techniques/T1041) | [Resource Hijacking](https://attack.mitre.org/techniques/T1496) |
| [Exploit Public-Facing Application](https://attack.mitre.org/techniques/T1190) | [Account Discovery](https://attack.mitre.org/techniques/T1087/)
 |  |  |  | [Commonly Used Port](https://attack.mitre.org/techniques/T1043/) |  | [System Shutdown/Reboot](https://attack.mitre.org/techniques/T1529) |
|  |  |  |  |  | [Standard Application Layer Protocol](https://attack.mitre.org/techniques/T1071/) |  | [Endpoint Denial of Service](https://attack.mitre.org/techniques/T1499) |
|  |  |  |  |  |  |  | [Data Manipulation](https://attack.mitre.org/techniques/T1565) |








## Tags:


### Autogenerated tags:
[[cloud]] [[malware]] [[c&c]]
