# Federal agency hacked by 2 groups thanks to flaw that went unpatched for 4 years
## A code-execution bug with a 9.8 severity rating gave control over agency's network.
## Information:

+ Link: https://arstechnica.com/information-technology/2023/03/federal-agency-hacked-by-2-groups-thanks-to-flaw-that-went-unpatched-for-4-years/
+ Source: Ars Technica
+ Author: Dan Goodin
+ Date published: 16 March 2023, 20:24
+ Date scraped: 16 March 2023, 21:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/03/digital-american-flag-760x380.jpg)







Multiple threat actors—one working on behalf of a nation-state—gained access to the network of a US federal agency by exploiting a four-year-old vulnerability that remained unpatched, the US government warned.


Exploit activities by one group likely began in August 2021 and last August by the other, according to an [advisory](https://www.cisa.gov/news-events/cybersecurity-advisories/aa23-074a) jointly published by the Cybersecurity and Infrastructure Security Agency, the FBI, and the Multi-State Information Sharing and Analysis Center. From last November to early January, the server exhibited signs of compromise.


## Vulnerability not detected for 4 years


Both groups exploited a code-execution vulnerability tracked as CVE-2019-18935 in a developer tool known as the Telerik user interface (UI) for ASP.NET AJAX, which was located in the agency’s Microsoft Internet Information Services (IIS) web server. The advisory didn’t identify the agency other than to say it was a [Federal Civilian Executive Branch Agency](https://www.cisa.gov/news-events/directives/federal-civilian-executive-branch-agencies-list) under the CISA authority.


The Telerik UI for ASP.NET AJAX is sold by a company called Progress, which is headquartered in Burlington, Massachusetts, and Rotterdam in the Netherlands. The tool bundles more than 100 UI components that developers can use to reduce the time it takes to create custom Web applications. In late 2019, Progress [released](https://docs.telerik.com/devtools/aspnet-ajax/knowledge-base/common-allows-javascriptserializer-deserialization) version 2020.1.114, which patched CVE-2019-18935, an insecure deserialization vulnerability that made it possible to remotely execute code on vulnerable servers. The vulnerability carried a severity rating of 9.8 out of a possible 10. In 2020, the NSA warned that the vulnerability was [being exploited](https://media.defense.gov/2020/Oct/20/2002519884/-1/-1/0/CSA_CHINESE_EXPLOIT_VULNERABILITIES_UOO179811.PDF) by Chinese state-sponsored actors.


“This exploit, which results in interactive access with the web server, enabled the threat actors to successfully execute remote code on the vulnerable web server,” Thursday’s advisory explained. “Though the agency’s vulnerability scanner had the appropriate plugin for CVE-2019-18935, it failed to detect the vulnerability due to the Telerik UI software being installed in a file path it does not typically scan. This may be the case for many software installations, as file paths widely vary depending on the organization and installation method.”


## More unpatched vulnerabilities


To successfully exploit CVE-2019-18935, hackers must first [have knowledge](https://www.cyber.gov.au/acsc/view-all-content/advisories/advisory-2020-004-remote-code-execution-vulnerability-being-actively-exploited-vulnerable-versions-telerik-ui-sophisticated-actors) of the encryption keys used with a component known as the Telerik RadAsyncUpload. Federal investigators suspect the threat actors exploited one of [two](https://nvd.nist.gov/vuln/detail/CVE-2017-11357) [vulnerabilities](https://nvd.nist.gov/vuln/detail/CVE-2017-11317) discovered in 2017 that also remained unpatched on the agency server.


Attacks from both groups used a technique known as DLL side loading, which involves replacing legitimate dynamic-link library files in Microsoft Windows with malicious ones. Some of the DLL files the group uploaded were disguised as PNG images. The malicious files were then executed using a legitimate process for IIS servers called w3wp.exe. A review of antivirus logs identified that some of the uploaded DLL files were present on the system as early as August 2021.


The advisory said little about the nation-state-sponsored threat group, other than to identify the IP addresses it used to host command-and-control servers. The group, referred to as TA1 in Thursday’s advisory, began using CVE-2019-18935 last August to enumerate systems inside the agency network. Investigators identified nine DLL files used to explore the server and evade security defenses. The files communicated with a control server with an IP address of 137.184.130[.]162 or 45.77.212[.]12. The traffic to these IP addresses used unencrypted Transmission Control Protocol (TCP) over port 443. The threat actor’s malware was able to load additional libraries and delete DLL files to hide malicious activity on the network.


The advisory referred to the other group as TA2 and identified it as XE Group, which researchers from security firm Volexity [have said](https://www.volexity.com/blog/2021/12/07/xe-group-exposed-8-years-of-hacking-card-skimming-for-profit/) is likely based in Vietnam. Both Volexity and fellow security firm [Malwarebytes](https://www.malwarebytes.com/blog/news/2020/07/credit-card-skimmer-targets-asp-net-sites) have said the financially motivated group engages in payment-card skimming.


“Similar to TA1, TA2 exploited CVE-2019-18935 and was able to upload at least three unique DLL files into the C:\Windows\Temp\ directory that TA2 executed via the w3wp.exe process,” the advisory stated. “These DLL files drop and execute reverse (remote) shell utilities for unencrypted communication with C2 IP addresses associated with the malicious domains.”


The breach is the result of someone in the unnamed agency failing to install a patch that had been available for years. As noted earlier, tools that scan systems for vulnerabilities often limit their searches to a certain set of pre-defined file paths. If this can happen inside a federal agency, it likely can happen inside other organizations.


Anyone using the Telerik UI for ASP.NET AJAX should carefully read Thursday’s advisory as well as the one Progress published in 2019 to ensure they’re not exposed.














## Tags:
***CVE's***: CVE-2019-18935
***ipv4-adresses***: 137.184.130.162
***urls***: http://45.77.212.12 http://137.184.130.162

### Autogenerated tags:
[[dll]] [[cve-2019-18935]] [[telerik]] [[ip]] [[asp.net]] [[ta2]]
