# North Korean hackers target security researchers with a new backdoor
## Campaign uses carefully crafted LinkedIn accounts that mimic legit people.
## Information:

+ Link: https://arstechnica.com/information-technology/2023/03/security-researchers-are-again-in-the-crosshairs-of-north-korean-hackers/
+ Source: Ars Technica
+ Author: Dan Goodin
+ Date published: 10 March 2023, 22:13
+ Date scraped: 10 March 2023, 23:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/03/tech-worker-760x380.jpg)







Threat actors connected to the North Korean government have been targeting security researchers in a hacking campaign that uses new techniques and malware in hopes of gaining a foothold inside the companies the targets work for, researchers said.


Researchers from security firm Mandiant [said on Thursday](https://www.mandiant.com/resources/blog/lightshow-north-korea-unc2970) that they first spotted the campaign last June while tracking a phishing campaign targeting a US-based customer in the technology industry. The hackers in this campaign attempted to infect targets with three new malware families, dubbed by Mandiant as Touchmove, Sideshow, and Touchshift. The hackers in these attacks also demonstrated new capabilities to counter endpoint detection tools while operating inside targets’ cloud environments.


“Mandiant suspects UNC2970 specifically targeted security researchers in this operation,” Mandiant researchers wrote.


Shortly after discovering the campaign, Mandiant responded to multiple intrusions on US and European media organizations by UNC2970, Mandiant’s name for the North Korean threat actor. UNC2970 used spearphishing with a job recruitment theme in an attempt to lure the targets and trick them into installing the new malware.


Traditionally, UNC2970 has targeted organizations with spearphishing emails that have job recruitment themes. More recently, the group has shifted to using fake LinkedIn accounts that belong to purported recruiters. The accounts are carefully crafted to mimic the identities of legitimate people to trick targets and boost their chances of success. Eventually, the threat actor tries to shift the conversations to WhatsApp and, from there, use either WhatsApp or email to deliver a backdoor Mandiant calls Plankwalk, or other malware families.


Plankwalk or the other malware used are primarily delivered through macros embedded into Microsoft Word documents. When the documents are opened and the macros are allowed to run, the target’s machine downloads and executes a malicious payload from a command and control server. One of the documents used looked like this:


[![](https://cdn.arstechnica.net/wp-content/uploads/2023/03/job-recruitment-lure-640x486.png)](https://cdn.arstechnica.net/wp-content/uploads/2023/03/job-recruitment-lure.png)Mandiant


The attackers’ command and control servers are primarily compromised WordPress sites, which is another technique UNC2970 is known for. The infection process involves sending the target an archive file that, among other things, includes a malicious version of the TightVNC remote desktop application. In the post, Mandiant researchers further described the process:



> The ZIP file delivered by UNC2970 contained what the victim thought was a skills assessment test for a job application. In reality, the ZIP contained an ISO file, which included a trojanized version of TightVNC that Mandiant tracks as LIDSHIFT. The victim was instructed to run the TightVNC application which, along with the other files, are named appropriately to the company the victim had planned to take the assessment for.
> 
> 
> In addition to functioning as a legitimate TightVNC viewer, LIDSHIFT contained multiple hidden features. The first was that upon execution by the user, the malware would send a beacon back to its hardcoded C2; the only interaction this needed from the user was the launching of the program. This lack of interaction differs from what MSTIC observed in their recent blog post. The initial C2 beacon from LIDSHIFT contains the victim’s initial username and hostname.
> 
> 
> LIDSHIFT’s second capability is to reflectively inject an encrypted DLL into memory. The injected DLL is a trojanized Notepad++ plugin that functions as a downloader, which Mandiant tracks as LIDSHOT. LIDSHOT is injected as soon as the victim opens the drop down inside of the TightVNC Viewer application. LIDSHOT has two primary functions: system enumeration and downloading and executing shellcode from the C2.
> 
> 


The attack goes on to install the Plankwalk backdoor, which can then install a wide range of additional tools, including the Microsoft endpoint application InTune. InTune can be used to [deliver configurations](https://learn.microsoft.com/en-us/mem/intune/fundamentals/deployment-guide-intune-setup) to endpoints enrolled in an organization’s Azure Active Directory service. UNC2970 appears to be using the legitimate application to bypass endpoint protections.


”The identified malware tools highlight continued malware development and deployment of new tools by UNC2970,” Mandiant researchers wrote. “Although the group has previously targeted defense, media, and technology industries, the targeting of security researchers suggests a shift in strategy or an expansion of its operations.”


While the targeting of security researchers may be new for UNC2970, other North Korean threat actors have engaged in the activity [since at least 2021](https://arstechnica.com/gadgets/2021/04/north-korean-hackers-return-target-infosec-researchers-in-new-operation/).
Targets can lessen the chances of being infected in these campaigns by using:


* Multi-factor authentication
* Cloud-only accounts to access to [Azure Active Directory](https://azure.microsoft.com/en-ca/products/active-directory/)
* A separate account for sending email, Web browsing, and similar activities and a dedicated admin account for sensitive administrative functions.


Organizations should also consider other protections, including blocking macros​ and using ​privileged identity management, conditional access policies, and security restrictions in Azure AD. Requiring multiple admins to approve InTune transactions is also recommended. The full list of mitigations is included in the above-linked Mandiant post.














## Tags:


### Autogenerated tags:
[[mandiant]] [[malware]] [[unc2970]] [[tightvnc]] [[lidshift]] [[plankwalk]] [[lidshot]]
