# Trickbot is using MikroTik routers to ply its trade. Now we know why
## Something special makes MikroTik attractive to the Internet's most aggressive botnet.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/03/trickbot-is-using-mikrotik-routers-to-ply-its-trade-now-we-know-why/
+ Source: Ars Technica
+ Author: Dan Goodin
+ Date published: 17 March 2022, 18:16
+ Date scraped: 17 March 2022, 19:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/03/router-760x380.jpeg)







For years, malicious hackers have been hacking large fleets of MikroTik routers and conscripting them into Trickbot, one of the Internet’s most destructive botnets. Now, Microsoft has finally figured out why and how the devices are being put to use.


Trickbot [came to light](https://blog.malwarebytes.com/threat-analysis/2016/10/trick-bot-dyrezas-successor/) in 2016 as a trojan for stealing account passwords for use in bank fraud. Since then, it has mushroomed into one of the Internet's most aggressive threat platforms, thanks to its highly modular, multi-stage malware framework that provides a full suite of tools that are used to install ransomware and other forms of malware from other hacking groups.


The malware driving Trickbot is notable for its advanced capabilities. It excels at gaining powerful administrator privileges, spreading rapidly from computer to computer in networks, and performing reconnaissance that identifies infected computers belonging to high-value targets. It often uses readily available software like Mimikatz or exploits like EternalBlue stolen from the National Security Agency.


## Hiding the C2


Trickbot operators, Microsoft [said on Wednesday](https://www.microsoft.com/security/blog/2022/03/16/uncovering-trickbots-use-of-iot-devices-in-command-and-control-infrastructure/), are compromising MikroTik devices and using them to conceal the location of the command-and-control servers that exchange data and commands with infected computers. Instead of infected computers connecting directly to the control servers, they connect to the compromised routers, which act as go-betweens.


When security analysts monitor the connections infected computers make, the researchers see IP addresses belonging to compromised routers inside homes and businesses. The location of the control servers themselves remains hidden and can’t be detected without access to the proxy router. Here’s an overview:


[![](https://cdn.arstechnica.net/wp-content/uploads/2022/03/trickbot-proxy-overview-640x131.png)](https://cdn.arstechnica.net/wp-content/uploads/2022/03/trickbot-proxy-overview.png)Microsoft
“The purpose of Trickbot using MikroTik devices is to create a line of communication between the Trickbot-affected device and the C2 server that standard defense systems in the network are not able to detect,” Microsoft researchers wrote. “The attackers begin by hacking into a MikroTik router.”


Microsoft said a chief reason Trickbot has such an affinity for MikroTik is its unique Linux-based RouterOS that allows users to remotely pipe commands that use the SSH, or secure shell, protocol. The flexibility and power of the commands make MikroTik routers an ideal proxy. Trickbot operators can send a single command that causes large numbers of the devices to funnel traffic in specific ways that are beneficial to the botnet architecture.


The commands, which are preceded by “/”, include things like /ip, /system, and /tool. They won’t normally work on regular Linux-based shell windows. MikroTik shells, by contrast, offer Trickbot operators a menu of useful options. For example, one command Microsoft observed Trickbot sending was:



```
/ip firewall nat add chain=dstnat proto=tcp dst-port=449 to-port=80 action=dst-nat to-addresses= dst-address=
```

That command creates a new rule, similar to iptables, that receives data from compromised computers through port 449 and then redirects it through port 80 to command TrickBot servers.


“The said command is a legitimate network address translation (NAT) command that allows the NAT router to perform IP address rewriting,” Microsoft researchers explained. “In this case, it is being used for malicious activity. Trickbot is known for using ports 443 and 449, and we were able to verify that some target servers were identified as TrickBot C2 servers in the past.”


## How to get owned, how to stay clean


Trickbot uses several methods to compromise the routers. They include:
* Exploiting devices that still use default MikroTik passwords
* Performing password-guessing attacks, possibly using passcodes harvested from other MikroTik devices
* Exploiting CVE-2018-14847 on devices with RouterOS versions older than 6.42. This critical vulnerability gives the attacker the ability to read arbitrary files like user.dat, which contains passwords. Research from last year found that CVE-2018-14847 was one of three serious vulnerabilities found in [300,000 MikroTik routers](https://arstechnica.com/information-technology/2021/12/300000-mikrotik-routers-are-ticking-security-time-bombs-researchers-say/).


Once the operators take control of a device, they change the password to prevent anyone else from remotely regaining control.





jump to endpage 1 of 2

[![](https://cdn.arstechnica.net/wp-content/uploads/2022/03/trickbot-attack-diagram-640x400.png)](https://cdn.arstechnica.net/wp-content/uploads/2022/03/trickbot-attack-diagram.png)Microsoft
The research underscores the importance of actively monitoring home and small business routers to maintain their security. To that end, Microsoft has released a [forensic tool](https://github.com/microsoft/routeros-scanner) to identify Trickbot-related compromises on MikroTik devices. Among other things, the open source tool:


* Gets the version of the device and maps it to any unpatched vulnerabilities
* Checks for scheduled tasks
* Looks for suspicious traffic redirection rules (NAT and other rules)
* Looks for DNS cache poisoning
* Looks for default port changes
* Looks for non-default users


There are other measures users of any router or other IoT device should take. Remote access should be turned off unless turned on by experienced users who have a legitimate need for the setting. All passwords, whether for remote or local admin access, should be unique, randomly generated, and at least 10 characters long. And firmware should be updated whenever security fixes are involved. For MikroTik owners, it’s imperative that they run firmware version 6.42 or higher.


“Attack attempts against routers and other IoT devices are not new, and being unmanaged, they can easily be the weakest links in the network,” Microsoft researchers wrote. “Therefore, organizations should also consider these devices when implementing security policies and best practices.”












## Tags:
***CVE's***: CVE-2018-14847

### Autogenerated tags:
[[trickbot]] [[mikrotik]] [[microsoft]] [[malware]] [[c2]] [[ip]]
