# Attacks on Citrix NetScaler systems linked to ransomware actor
## A threat actor believed to be tied to the FIN8 hacking group exploits the CVE-2023-3519 remote code execution flaw to compromise unpatched Citrix NetScaler systems in domain-wide attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/attacks-on-citrix-netscaler-systems-linked-to-ransomware-actor/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 28 August 2023, 18:19
+ Date scraped: 28 August 2023, 23:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/07/21/citrix.jpg)



A threat actor believed to be tied to the FIN8 hacking group exploits the CVE-2023-3519 remote code execution flaw to compromise unpatched Citrix NetScaler systems in domain-wide attacks.


Sophos has been monitoring this campaign since mid-August, reporting that the threat actor performs payload injections, uses BlueVPS for malware stating, deploys obfuscated PowerShell scripts, and drops PHP webshells on victim machines.


Resemblances to another attack that Sophos analysts observed earlier in the summer have led the analysts to deduce that the two activities are linked, with the threat actor specializing in ransomware attacks.


Attacks on Citrix
-----------------


CVE-2023-3519 is a critical-severity (CVSS score: 9.8) code injection flaw in Citrix NetScaler ADC and NetScaler Gateway, discovered as an actively exploited zero-day in mid-July 2023.


The vendor released security updates for the problem on July 18th, but there was evidence that cybercriminals were allegedly selling an exploit for the flaw [since at least July 6th, 2023](https://www.bleepingcomputer.com/news/security/new-critical-citrix-adc-and-gateway-flaw-exploited-as-zero-day/).


By August 2nd, Shadowserver reported [discovering 640 webshells](https://www.bleepingcomputer.com/news/security/over-640-citrix-servers-backdoored-with-web-shells-in-ongoing-attacks/) in an equal number of compromised Citrix servers, and two weeks later, Fox-IT [raised that number to 1,952](https://www.bleepingcomputer.com/news/security/almost-2-000-citrix-netscaler-servers-backdoored-in-hacking-campaign/).


By mid-August, over 31,000 Citrix NetScaler instances remained vulnerable to CVE-2023-3519, more than a month after the security update was made available, giving threat actors plenty of opportunity for attacks.


Sophos X-Ops [now reports](http://twitter.com/SophosXOps/status/1695143572272738790) that a threat actor it tracks as 'STAC4663' is exploiting CVE-2023-3519, which the researchers believe is part of the same campaign Fox-IT reported about earlier this month.


The payload delivered in the recent attacks, which is injected into "wuauclt.exe" or "wmiprvse.exe," is still being analyzed. Still, Sophos believes it is part of a ransomware attack chain based on the attacker's profile.


Sophos told BleepingComputer that the campaign is assessed with moderate confidence to be linked the FIN8 hacking group, which was recently seen [deploying the BlackCat/ALPHV ransomware](https://www.bleepingcomputer.com/news/security/fin8-deploys-alphv-ransomware-using-sardonic-malware-variant/).


This assumption and the correlation to the ransomware actor's previous campaign are based on domain discovery, plink, BlueVPS hosting, unusual PowerShell scripting, and the PuTTY Secure Copy [pscp].


Finally, the attackers use a C2 IP address (45.66.248[.]189) for malware staging and a second C2 IP address (85.239.53[.]49) responding to the same C2 software as in the previous campaign.


Sophos has published [a list of IoCs](https://github.com/sophoslabs/IoCs/blob/master/2023-08-25%20Citrix%20CVE-2023-3519%20attacks.csv) (indicators of compromise) for this campaign on GitHub to help defenders detect and stop the threat.


If you have not applied the security updates on Citrix ADC and Gateway appliances, follow the recommended actions on the [vendor's security bulletin](https://support.citrix.com/article/CTX561482/citrix-adc-and-citrix-gateway-security-bulletin-for-cve20233519-cve20233466-cve20233467).





## Tags:
***CVE's***: CVE-2023-3519
***ipv4-adresses***: 45.66.248.189 85.239.53.49
***urls***: http://45.66.248.189 http://85.239.53.49

### Autogenerated tags:
[[citrix]] [[sophos]] [[cve-2023-3519]] [[netscaler]] [[ransomware]] [[c2]]
