# BlackCat ransomware pushes Cobalt Strike via WinSCP search ads
## The BlackCat ransomware group (aka ALPHV) is running malvertizing campaigns to lure people into fake pages that mimic the official website of the WinSCP file-transfer application for Windows but instead push malware-ridden installers.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/blackcat-ransomware-pushes-cobalt-strike-via-winscp-search-ads/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 01 July 2023, 11:18
+ Date scraped: 03 July 2023, 12:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/06/30/blackcat-red.jpg)



![Blackcat ransomware](https://www.bleepstatic.com/content/hl-images/2023/06/30/blackcat-red.jpg)*Image: Bing Create*


The BlackCat ransomware group (aka ALPHV) is running malvertizing campaigns to lure people into fake pages that mimic the official website of the WinSCP file-transfer application for Windows but instead push malware-ridden installers.


WinSCP (Windows Secure Copy) is a popular free and open-source SFTP, FTP, S3, SCP client, and file manager with SSH file transfer capabilities with [400,000 weekly downloads](https://sourceforge.net/projects/winscp/) on SourceForge alone.


BlackCat is using the program as a lure to potentially infect the computers of system administrators, web admins, and IT professionals for initial access to valuable corporate networks.


This previously unknown ALPHV ransomware infection vector was discovered by analysts at [Trend Micro](https://www.trendmicro.com/en_us/research/23/f/malvertising-used-as-entry-vector-for-blackcat-actors-also-lever.html), who spotted ad campaigns promoting the fake pages on both Google and Bing search pages.


## From WinSCP to CobaltStrike


The BlackCat attack observed by Trend Micro begins with the victim searching for "WinSCP Download" on Bing or Google and getting promoted malicious results ranked above the safe WinSCP download sites.


The victims click on those ads and visit a website that hosts tutorials about performing automated file transfers using WinSCP.



![Website promoted via malvertising](https://www.bleepstatic.com/images/news/u/1220909/2023/Ransomware/35/tutorial.png)**Website promoted via malvertising** *(Trend Micro)*


These sites contain nothing malicious, likely to evade detection by Google's anti-abuse crawlers but redirect the visitors to a clone of the WinSCP official website featuring a download button. These clones utilize domain names similar to the real winscp.net domain for the utility, such as winsccp[.]com.



![Clone WinSCP download site](https://www.bleepstatic.com/images/news/u/1220909/2023/Ransomware/35/website.png)**Clone WinSCP download site** *(Trend Micro)*


The victim clicks the button and receives an ISO file containing "setup.exe" and "msi.dll," the first being the lure for the user to launch and the second being the malware dropper triggered by the executable.


"Once setup.exe is executed, it will call the msi.dll that will later extract a Python folder from the DLL RCDATA section as a real installer for WinSCP to be installed on the machine," explains the Trend Micro report.


This process also installs a trojanized python310.dll and creates a persistence mechanism by making a run key named "Python" and the value "C:\Users\Public\Music\python\pythonw.exe".



![Registry manipulation to establish persistence](https://www.bleepstatic.com/images/news/u/1220909/2023/Ransomware/35/registry.png)**Registry manipulation to establish persistence** *(Trend Micro)*


The executable pythonw.exe loads a modified obfuscated python310.dll that contains a Cobalt Strike beacon that connects to a command-and-control server address.



![Complete attack chain](https://www.bleepstatic.com/images/news/u/1220909/2023/Ransomware/35/chain.jpg)**Complete attack chain** *(Trend Micro)*


## Other tools used by ALPHV


Having Cobalt Strike running on the system, it is easy to execute additional scripts, fetch tools for lateral movement, and generally deepen the compromise.


Trend Micro's analysts noticed that ALPHV operators used the following tools in the subsequent phases:


* **AdFind**: command-line tool used for retrieving Active Directory (AD) information.
* **PowerShell commands** used for gathering user data, extracting ZIP files, and executing scripts.
* **AccessChk64**: command-line tool used for user and groups permission reconnaissance.
* **Findstr**: command-line tool used for searching passwords within XML files.
* **PowerView**: PowerSploit script used in AD reconnaissance and enumeration.
* **Python scripts** used for executing the LaZagne password recovery tool and obtaining Veeam credentials.
* **PsExec**, **BitsAdmin**, and **Curl**, used for lateral movement
* **AnyDesk**: legitimate remote management tool abused for maintaining persistence
* **KillAV BAT** script used for disabling or bypassing antivirus and antimalware programs.
* **PuTTY** **Secure Copy** client used for exfiltrating the collected information from the breached system.

Along with the above tools, ALPHV also used the SpyBoy "**Terminator**," an EDR and antivirus disabler sold by threat actors on Russian-speaking hacking forums for as much as $3,000.


Recent research by CrowdStrike [confirmed](https://www.bleepingcomputer.com/news/security/terminator-antivirus-killer-is-a-vulnerable-windows-driver-in-disguise/) that "Terminator" is capable of bypassing several Windows security tools by using a "bring your own vulnerable driver" (BYOVD) mechanism to escalate privileges on the system and deactivate them.


Trend Micro says it has linked the above TTPs to confirmed ALPHV ransomware infections. It also found a Clop ransomware file in one of the investigated C2 domains, so the threat actor may be affiliated with multiple ransomware operations.





## Tags:
***urls***: http://winsccp.com

### Autogenerated tags:
[[winscp]] [[alphv]] [[ransomware]] [[website]] [[blackcat]] [[windows]] [[google]] [[command-line]]
