# CISA: New Whirlpool backdoor used in Barracuda ESG hacks
## The U.S. Cybersecurity & Infrastructure Security Agency (CISA) has discovered a new backdoor malware named 'Whirlpool' used in attacks on compromised Barracuda Email Security Gateway (ESG) devices.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-new-whirlpool-backdoor-used-in-barracuda-esg-hacks/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 10 August 2023, 12:06
+ Date scraped: 10 August 2023, 17:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/08/10/Barracuda-Whirlpool.jpg)



![Barracuda](https://www.bleepstatic.com/content/hl-images/2023/08/10/Barracuda-Whirlpool.jpg)*Image: Midjourney*


The U.S. Cybersecurity & Infrastructure Security Agency (CISA) has discovered a new backdoor malware named 'Whirlpool' used in attacks on compromised Barracuda Email Security Gateway (ESG) devices.


In May, Barracuda revealed a suspected pro-China hacker group (UNC4841) had [breached ESG (Email Security Gateway) appliances](https://www.bleepingcomputer.com/news/security/barracuda-warns-of-email-gateways-breached-via-zero-day-flaw/) in data-theft attacks using the [CVE-2023-2868](https://nvd.nist.gov/vuln/detail/CVE-2023-2868) zero-day vulnerability.


CVE-2023-2868 is a critical severity (CVSS v3: 9.8) remote command injection vulnerability impacting Barracuda ESG versions 5.1.3.001 through 9.2.0.006.


It was later discovered that the attacks [started in October 2022](https://www.bleepingcomputer.com/news/security/barracuda-zero-day-abused-since-2022-to-drop-new-malware-steal-data/) and were used to [install previously unknown malware](https://www.bleepingcomputer.com/news/security/barracuda-zero-day-abused-since-2022-to-drop-new-malware-steal-data/) named Saltwater and SeaSpy and a malicious tool called SeaSide to establish reverse shells for easy remote access.


Instead of fixing devices with software updates, Barracuda offered[replacement devices](https://www.bleepingcomputer.com/news/security/barracuda-says-hacked-esg-appliances-must-be-replaced-immediately/) to all affected customers at no charge, indicating that the attacks were more damaging than originally thought.


CISA has since shared further details about an [additional malware named Submariner](https://www.bleepingcomputer.com/news/security/cisa-new-submarine-malware-found-on-hacked-barracuda-esg-appliances/) that was deployed in the attacks.


## New Whirlpool malware


Yesterday, CISA disclosed the discovery of another backdoor malware named 'Whirlpool' [[VirusTotal](https://www.virustotal.com/gui/file/83ca636253fd1eb898b244855838e2281f257bbe8ead428b69528fc50b60ae9c/telemetry)] that was found to be used in the attacks on Barracuda ESG devices.


The discovery of Whirlpool makes this the third distinct backdoor used in the attacks targeting Barracuda ESG, once again illustrating why the company chose to replace devices rather than fix them with software.


"This artifact is a 32-bit ELF file that has been identified as a malware variant named "WHIRLPOOL," reads CISA's updated [Barracuda ESG malware report](http://www.cisa.gov/news-events/analysis-reports/ar23-221a).


"The malware takes two arguments (C2 IP and port number) from a module to establish a Transport Layer Security (TLS) reverse shell."


"The module that passes the arguments was not available for analysis."


From submissions to VirusTotal, the Whirlpool malware appears to have run under the '*pd*' process.


Previously, on May 30, 2023, Barracuda found SeaSpy on hacked ESG appliances, a persistent passive backdoor that masquerades as a legitimate service, namely "BarracudaMailService," and runs commands on behalf of the threat actors.



![SeaSpy initialization script](https://www.bleepstatic.com/images/news/u/1220909/2023/Malware/script.jpg)**SeaSpy initialization script** *(CISA)*


On July 28, 2023, CISA warned of a previously unknown backdoor in breached Barracuda devices [named 'Submarine.'](https://www.bleepingcomputer.com/news/security/cisa-new-submarine-malware-found-on-hacked-barracuda-esg-appliances/)


Submarine resides in the SQL database of ESG, allowing root access, persistence, and command and control communications.


Indicators of compromise and YARA rules that help detect infections by the four newly discovered variants of SeaSpy and Whirlpool are provided in [a separate document](https://www.cisa.gov/sites/default/files/2023-08/MAR-10454006.r4.v2.CLEAR_.pdf).


If you identify suspicious activity on your Barracuda ESG appliance or discover signs of compromise by any of the three mentioned backdoors, you are urged to contact CISA's 24/7 Operations Center at "report@cisa.gov" to help with their investigations.





## Tags:
***CVE's***: CVE-2023-2868
***email-adresses***: report@cisa.gov

### Autogenerated tags:
[[malware]] [[esg]] [[cisa]] [[seaspy]]
