# CISA: Russian hackers target TeamCity servers since September
## CISA and partner cybersecurity agencies and intelligence services warned that the APT29 hacking group linked to Russia's Foreign Intelligence Service (SVR) has been targeting unpatched TeamCity servers in widespread attacks since September 2023.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-russian-hackers-target-teamcity-servers-since-september/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 13 December 2023, 13:02
+ Date scraped: 13 December 2023, 19:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/11/08/Russian_hacker.jpg)



CISA and partner cybersecurity agencies and intelligence services warned that the APT29 hacking group linked to Russia's Foreign Intelligence Service (SVR) has been targeting unpatched TeamCity servers in widespread attacks since September 2023.


APT29 is known for breaching several U.S. federal agencies following the [SolarWinds supply-chain attack](https://www.bleepingcomputer.com/news/security/the-solarwinds-cyberattack-the-hack-the-victims-and-what-we-know/) they [orchestrated](https://www.bleepingcomputer.com/news/security/us-government-confirms-russian-svr-behind-the-solarwinds-hack/) three years ago.


They also targeted the [Microsoft 365 accounts](https://www.bleepingcomputer.com/news/security/russian-apt29-hackers-abuse-azure-services-to-hack-microsoft-365-users/) of multiple entities within NATO countries as part of their efforts to access foreign policy-related information and were linked to a [series of phishing campaigns](https://www.bleepingcomputer.com/news/security/russian-hackers-compromise-embassy-emails-to-target-governments/) aimed at governments, embassies, and high-ranking officials across Europe.


The TeamCity security flaw they're exploiting in these attacks is identified as [**CVE-2023-42793**](https://nvd.nist.gov/vuln/detail/CVE-2023-42793) and rated with a critical severity score of 9.8/10, which unauthenticated threat actors can exploit in low-complexity remote code execution (RCE) attacks that don't require user interaction.


"By choosing to exploit CVE-2023-42793, a software development program, the authoring agencies assess the SVR could benefit from access to victims, particularly by allowing the threat actors to compromise the networks of dozens of software developers," [CISA warned today](https://www.cisa.gov/news-events/cybersecurity-advisories/aa23-347a).


"The SVR has, however, been observed using the initial access gleaned by exploiting the TeamCity CVE to escalate its privileges, move laterally, deploy additional backdoors, and take other steps to ensure persistent and long-term access to the compromised network environments.


"While the authoring agencies assess the SVR has not yet used its accesses to software developers to access customer networks and is likely still in the preparatory phase of its operation, having access to these companies' networks presents the SVR with opportunities to enable hard-to-detect command and control (C2) infrastructure."


Almost 800 servers still vulnerable to attacks
----------------------------------------------


Researchers from the Swiss security firm Sonar, who discovered and reported the flaw, also published [technical details](http://www.sonarsource.com/blog/teamcity-vulnerability/) a week after JetBrains released [TeamCity 2023.05.4](http://blog.jetbrains.com/teamcity/2023/09/critical-security-issue-affecting-teamcity-on-premises-update-to-2023-05-4-now/) on September 21st to address the critical issue.


"This enables attackers not only to steal source code but also stored service secrets and private keys," Sonar explained.


"And it's even worse: With access to the build process, attackers can inject malicious code, compromising the integrity of software releases and impacting all downstream users."


Security researchers at nonprofit internet security outfit Shadowserver Foundation are tracking [almost 800 unpatched TeamCity servers](https://dashboard.shadowserver.org/statistics/combined/time-series/?date_range=other&d1=2023-09-28&d2=2023-10-02&source=http_vulnerable&source=http_vulnerable6&tag=cve-2023-42793%2B&style=stacked) that are vulnerable to attacks.



![TeamCity servers unpatched against CVE-2023-42793](https://www.bleepstatic.com/images/news/u/1109292/2023/TeamCity%20servers%20unpatched%20against%20CVE-2023-42793.jpg)*Vulnerable TeamCity servers (Shadowserver Foundation)*


​Also exploited by ransomware gangs and North Korean hackers
------------------------------------------------------------


In early October, several ransomware gangs [were already exploiting the vulnerability](https://www.bleepingcomputer.com/news/security/ransomware-gangs-now-exploiting-critical-teamcity-rce-flaw/) to breach corporate networks, according to threat intelligence companies GreyNoise and PRODAFT.


GreyNoise detected attacks from [56 different IP addresses](https://viz.greynoise.io/tag/jetbrains-teamcity-authentication-bypass-attempt?days=10) as part of coordinated efforts aimed at breaching TeamCity servers left unpatched.


Two days earlier, the company also cautioned there's a high likelihood that organizations that neglected to secure their servers before September 29th have already been breached.


Microsoft later said that the Lazarus and Andariel North Korean state-backed hacking groups were [backdooring victims' networks using CVE-2023-42793 exploits](https://www.bleepingcomputer.com/news/security/north-korean-hackers-exploit-critical-teamcity-flaw-to-breach-networks/), likely in preparation for software supply chain attacks.


JetBrains says developers use its TeamCity software building and testing platform at over 30,000 organizations worldwide, including high-profile ones like Citibank, Ubisoft, HP, Nike, and Ferrari.





## Tags:
***CVE's***: CVE-2023-42793

### Autogenerated tags:
[[teamcity]] [[svr]] [[cve-2023-42793]]
