# Cuba ransomware uses Veeam exploit against critical U.S. organizations
## The Cuba ransomware gang was observed in attacks targeting critical infrastructure organizations in the United States and IT firms in Latin America, using a combination of old and new tools.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cuba-ransomware-uses-veeam-exploit-against-critical-us-organizations/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 20 August 2023, 10:15
+ Date scraped: 20 August 2023, 19:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/08/18/Cuba-2.jpg)



![Cuba Ransomware](https://www.bleepstatic.com/content/hl-images/2023/08/18/Cuba-2.jpg)*Image: Midjourney*


The Cuba ransomware gang was observed in attacks targeting critical infrastructure organizations in the United States and IT firms in Latin America, using a combination of old and new tools.


BlackBerry's Threat Research and Intelligence team, which spotted the latest campaign in early June 2023, reports that Cuba now leverages [CVE-2023-27532](https://www.bleepingcomputer.com/news/security/veeam-fixes-bug-that-lets-hackers-breach-backup-infrastructure/) to steal credentials from configuration files.


The particular flaw impacts Veeam Backup & Replication (VBR) products, and an exploit for it [has been available](https://www.bleepingcomputer.com/news/security/exploit-released-for-veeam-bug-allowing-cleartext-credential-theft/) since March 2023.


Previously, WithSecure reported that FIN7, a group with multiple confirmed affiliations with various ransomware operations, was [actively exploiting](https://www.bleepingcomputer.com/news/security/hackers-target-vulnerable-veeam-backup-servers-exposed-online/) CVE-2023-27532.


## Cuba attack details


[BlackBerry reports](https://blogs.blackberry.com/en/2023/08/cuba-ransomware-deploys-new-tools-targets-critical-infrastructure-sector-in-the-usa-and-it-integrator-in-latin-america) that Cuba's initial access vector appears to be compromised admin credentials via RDP, not involving brute forcing.


Next, Cuba's signature custom downloader 'BugHatch' establishes communication with the C2 server and downloads DLL files or executes commands.


An initial foothold on the target environment is achieved through a Metasploit DNS stager that decrypts and runs shellcode directly in memory.



![DNS stager query](https://www.bleepstatic.com/images/news/u/1220909/2023/Ransomware/41/dns.png)**DNS stager query** *(BlackBerry)*


Cuba utilizes the now-widespread BYOVD (Bring Your Own Vulnerable Driver) technique to turn off endpoint protection tools. Also, it uses the 'BurntCigar' tool to terminate kernel processes associated with security products.


Apart from the Veeam flaw that's relatively recent, Cuba also exploits CVE-2020-1472 ("Zerologon"), a vulnerability in Microsoft's NetLogon protocol, which gives them privilege escalation against AD domain controllers.



![Zerologon exploit help menu](https://www.bleepstatic.com/images/news/u/1220909/2023/Ransomware/41/exploit.png)**Zerologon exploit helper** *(BlackBerry)*


In the post-exploitation phase, Cuba was observed using Cobalt Strike beacons and various "lolbins."



![Full attack chain](https://www.bleepstatic.com/images/news/u/1220909/2023/Ransomware/41/attack-chain.png)**Complete attack chain** *(BlackBerry)*


## Cuba still very active


BlackBerry underlines the clear financial motivation of the Cuba ransomware gang and mentions that the threat group is likely Russian, something that has been hypothesized by other cyber-intelligence reports in the past.


This assumption is based on the exclusion of computers that use a Russian keyboard layout from infections, Russian 404 pages on parts of its infrastructure, linguistic clues, and the group's Western-focused targeting.


In conclusion, Cuba ransomware remains an active threat approximately four years into its existence, which isn't common in ransomware.


The inclusion of CVE-2023-27532 in Cuba's targeting scope makes the prompt installation of Veeam security updates extremely important and once again highlights the risk of delaying updates when publicly available PoC (proof-of-concept) exploits are available.





## Tags:
***CVE's***: CVE-2020-1472 CVE-2023-27532

### Autogenerated tags:
[[ransomware]] [[cve-2023-27532]] [[veeam]]
