# Google: State hackers still exploiting Internet Explorer zero-days
## Google's Threat Analysis Group (TAG) revealed today that a group of North Korean hackers tracked as APT37 exploited a previously unknown Internet Explorer vulnerability (known as a zero-day) to infect South Korean targets with malware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-state-hackers-still-exploiting-internet-explorer-zero-days/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 07 December 2022, 17:20
+ Date scraped: 07 December 2022, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/07/North_Korean_hacker.jpg)



Google's Threat Analysis Group (TAG) revealed today that a group of North Korean hackers tracked as APT37 exploited a previously unknown Internet Explorer vulnerability (known as a zero-day) to infect South Korean targets with malware.


Google TAG was made aware of this recent attack on October 31 when multiple VirusTotal submitters from South Korea uploaded a [malicious Microsoft Office document](https://www.virustotal.com/gui/file/926a947ea2b59d3e9a5a6875b4de2bd071b15260370f4da5e2a60ece3517a32f/) named "221031 Seoul Yongsan Itaewon accident response situation (06:00).docx."


Once opened on the victims' devices, the document would deliver an unknown payload after downloading a rich text file (RTF) remote template that would render remote HTML using Internet Explorer.


Loading the HTML content that delivered the exploit remotely allows the attackers to exploit the IE zero-day even if the targets weren't using it as their default web browser.


The vulnerability (tracked as [CVE-2022-41128](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-41128)) is due to a weakness in the JavaScript engine of Internet Explorer, which allows threat actors who successfully exploit it to execute arbitrary code when rendering a maliciously crafted website.


Microsoft patched it during [last month's Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-november-2022-patch-tuesday-fixes-6-exploited-zero-days-68-flaws/), on November 8, five days after assigning it a CVE ID following a report from TAG received on October 31.



![Malicious Office document used as lure by APT37 hackers](https://www.bleepstatic.com/images/news/u/1109292/2022/APT-37-Halloween-Seoul-lure.png)*Malicious Office document used as lure by APT37 hackers (Google TAG)*


## No information on malware pushed to victims' devices


While Google TAG couldn't analyze the final malicious payload distributed by the North Korean hackers on their South Korean targets' computers, the threat actors are known for deploying a wide range of malware in their attacks.


"Although we did not recover a final payload for this campaign, we've previously observed the same group deliver a variety of implants like ROKRAT, BLUELIGHT, and DOLPHIN," Google TAG's Clement Lecigne and Benoit Stevens said.


"APT37 implants typically abuse legitimate cloud services as a C2 channel and offer capabilities typical of most backdoors."


APT37 has been active for roughly a decade, since at least 2012, and was previously [linked to the North Korean government](https://www.bleepingcomputer.com/news/security/a-new-north-korean-hacker-group-is-making-a-name-for-itself/) with high confidence by FireEye.


The threat group is known for focusing its attacks on individuals of interest to the North Korean regime, including dissidents, diplomats, journalists, human rights activists, and government employees.





## Tags:
***CVE's***: CVE-2022-41128

### Autogenerated tags:
[[google]] [[apt37]] [[malware]]
