# Hacker uses new RAT malware in Cuba Ransomware attacks
## A member of the Cuba ransomware operation is employing previously unseen tactics, techniques, and procedures (TTPs), including a novel RAT (remote access trojan) and a new local privilege escalation tool.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hacker-uses-new-rat-malware-in-cuba-ransomware-attacks/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 10 August 2022, 18:04
+ Date scraped: 10 August 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/02/18/cuba-header.jpg)



A member of the Cuba ransomware operation is employing previously unseen tactics, techniques, and procedures (TTPs), including a novel RAT (remote access trojan) and a new local privilege escalation tool.


The threat actor was named ‘Tropical Scorpius’ by researchers at Palo Alto Networks Unit 42 and is likely an affiliate of the Cuba ransomware operation.


Cuba ransomware [underwent a minor refresh](https://www.bleepingcomputer.com/news/security/cuba-ransomware-returns-to-extorting-victims-with-updated-encryptor/) in Q1 2022, using an updated encryptor with more nuanced options and adding quTox for live victim support.


However, Tropical Scorpius marks a shift to new tactics, making the Cuba operation potentially more dangerous and intrusive.


## Tropical Scorpius TTPs


The threat actor, Tropical Scorpius, uses the standard Cuba ransomware payload, which has remained largely unchanged since the operation launched in 2019.


One of the new techniques since June 2022 is using a legitimate but invalidated [NVIDIA certificate stolen and leaked by LAPSUS](https://www.bleepingcomputer.com/news/security/malware-now-using-nvidias-stolen-code-signing-certificates/) to sign a kernel driver dropped at the initial stages of an infection.



![Digital signature on the driver](https://www.bleepstatic.com/images/news/u/1220909/Software/driver-digital-sign.png)**Stolen digital signature on the driver** *(Unit 42)*


The driver’s task is to discover processes belonging to security products and terminate them to help the threat actors evade detection in the compromised environment.



![Security products targeted by the driver](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/security-products.png)**Security products targeted by the driver** *(Unit 42)*


Next, Tropical Scorpius fetches a local privilege escalation tool that features an exploit for CVE-2022-24521, a flaw in the Windows Common Log File System Driver fixed as a [zero-day](https://www.bleepingcomputer.com/news/security/cisa-warns-orgs-to-patch-actively-exploited-windows-lpe-bug/) in [April 2022](https://www.bleepingcomputer.com/news/microsoft/microsoft-april-2022-patch-tuesday-fixes-119-flaws-2-zero-days/).


[According to Unit 42](https://unit42.paloaltonetworks.com/cuba-ransomware-tropical-scorpius/), the hackers implemented an exploitation strategy that appears to be inspired by a detailed write-up by security researcher [Sergey Kornienko](https://www.pixiepointsecurity.com/blog/nday-cve-2022-24521.html).


In the next phase, Tropical Scorpius downloads ADFind and Net Scan to perform lateral movement. This is also when the threat actor deploys a new tool that can retrieve cached Kerberos credentials.



![Kerberus cache extractor](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/kerberus-tool.png)**Kerberus cache extractor** *(Unit 42)*


Another novel technique seen by Unit 42 researchers is using a ZeroLogon hack tool that exploits CVE-2020-1472 to gain DA (domain administrator) privileges.



![Zerologon hacktool](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/zerologon.png)**The Zerologon hack tool** *(Unit 42)*


Finally, Tropical Scorpius deploys “ROMCOM RAT,” a previously unseen malware that handles C2 communications via ICMP requests performed through Windows API functions.


ROMCOM RAT supports ten commands as listed below:


* Return connected drive information
* Return file listings for a specified directory
* Start up a reverse shell under the name svchelper.exe within the %ProgramData% folder
* Upload data to C2 as ZIP file, using IShellDispatch to copy files
* Download data and write to worker.txt in the %ProgramData% folder
* Delete a specified file
* Delete a specified directory
* Spawn a process with PID Spoofing
* Only handled by ServiceMain, received from C2 server and instructs the process to sleep for 120,000 ms
* Iterate through running processes and gather process IDs

Unit 42 noticed that Tropical Scorpius compiled a new version of ROMCOM and uploaded it for testing on VirusTotal on June 20, 2022, which pointed to the same C2 address (hardcoded).


The second version added ten new commands on top of the existing 10, giving its remote operations more advanced execution, file upload, and process termination options.


Moreover, the new version supports fetching additional payloads from the C2, like a desktop snapper called "Screenshooter".



![ROMCOM RAT 2.0 downloading Screenshooter from C2](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/screenshooter.png)**ROMCOM RAT 2.0 downloading Screenshooter from C2** *(Unit 42)*


## Cuba evolving


The appearance of Tropical Scorpius and its new TTPs indicates that Cuba ransomware is evolving into a greater threat, even if the particular RaaS isn’t the most prolific in terms of the number of victims.


Cuba, however, has opted to keep a low profile and follow a milder double-extortion approach, so the actual number of victims is unknown.


The gang has published the stolen files of four victims since June 2022 on their “free” section on the Onion site, while their “paid” offerings haven’t been updated recently.


Considering the time required for negotiation and extortion, we may see the results of the ‘Tropical Scorpius’ update in the second half of the year.





## Tags:
***CVE's***: CVE-2020-1472 CVE-2022-24521

### Autogenerated tags:
[[c2]] [[ransomware]] [[romcom]] [[ttps]]
