# Hackers exploit Windows SmartScreen flaw to drop DarkGate malware
## A new wave of attacks by the DarkGate malware operation exploits a now-fixed Windows Defender SmartScreen vulnerability to bypass security checks and automatically install fake software installers.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-exploit-windows-smartscreen-flaw-to-drop-darkgate-malware/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 13 March 2024, 17:26
+ Date scraped: 13 March 2024, 23:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/10/11/Microsoft-Defender_for_Endpoint.jpg)



A new wave of attacks by the DarkGate malware operation exploits a now-fixed Windows Defender SmartScreen vulnerability to bypass security checks and automatically install fake software installers.


SmartScreen is a Windows security feature that displays a warning when users attempt to run unrecognized or suspicious files downloaded from the internet.


The flaw tracked as CVE-2024-21412 is a Windows Defender SmartScreen flaw that allows specially crafted downloaded files to bypass these security warnings.


Attackers can exploit the flaw by creating a Windows Internet shortcut (.url file) that points to another .url file hosted on a remote SMB share, which would cause the file at the final location to be executed automatically.


Microsoft fixed the flaw in mid-February, with Trend Micro disclosing that the financially motivated Water Hydra hacking group previously [exploited it as a zero-day](https://www.bleepingcomputer.com/news/security/hackers-used-new-windows-defender-zero-day-to-drop-darkme-malware/) to drop their DarkMe malware onto traders' systems.


Today, Trend Micro analysts [reported](https://www.trendmicro.com/en_us/research/24/c/cve-2024-21412--darkgate-operators-exploit-microsoft-windows-sma.html) that DarkGate operators are exploiting the same flaw to improve their chances of success (infection) on targeted systems.


This is a significant development for the malware, which, together with Pikabot, has [filled the void](https://www.bleepingcomputer.com/news/security/darkgate-and-pikabot-malware-emerge-as-qakbots-successors/) created by [QBot's disruption](https://www.bleepingcomputer.com/news/security/qakbot-botnet-dismantled-after-infecting-over-700-000-computers/) last summer and is used by multiple cybercriminals for malware distribution.


DarkGate attack details
-----------------------


The attack begins with a malicious email that includes a PDF attachment with links that utilize open redirects from Google DoubleClick Digital Marketing (DDM) services to bypass email security checks.


When a victim clicks on the link, they are redirected to a compromised web server that hosts an internet shortcut file. This shortcut file (.url) links to a second shortcut file hosted on an attacker-controlled WebDAV server.



![Exploiting the CVE-2024-21412 SmartScreen vulnerability](https://www.bleepstatic.com/images/news/security/vulnerabilities/s/smartscreen/CVE-2024-21412/trend-cve.png)**Exploiting the CVE-2024-21412 SmartScreen vulnerability**  
*Source: Trend Micro*


Using one Windows Shortcut to open a second Shortcut on a remote server effectively exploits the CVE-2024-21412 flaw, causing a malicious MSI file to execute automatically on the device.



![Second URL shortcut that automatically installs the MSI file](https://www.bleepstatic.com/images/news/security/vulnerabilities/s/smartscreen/CVE-2024-21412/trend-url2.png)**Second URL shortcut that automatically installs the MSI file**  
*Source: Trend Micro*


These MSI files masqueraded as legitimate software from NVIDIA, the Apple iTunes app, or Notion.


Upon execution of the MSI installer, another DLL sideloading flaw involving the "libcef.dll" file and a loader named "sqlite3.dll" will decrypt and execute the DarkGate malware payload on the system.


Once it's initialized, the malware can steal data, fetch additional payloads and inject them into running processes, perform key logging, and give attackers real-time remote access.


The complex and multi-step infection chain employed by DarkGate operators since mid-January 2024 is summarized in the below diagram:



![DarkGate infection chain](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/08/infection-chain.jpg)**DarkGate infection chain**  
*Source: Trend Micro*


Trend Micro says this campaign employs DarkGate version 6.1.7, which, compared to the older version 5, features XOR-encrypted configuration, new config options, and updates on the command and control (C2) values.


The configuration parameters available in DarkGate 6 enable its operators to determine various operational tactics and evasion techniques, such as enabling startup persistence or specifying minimum disk storage and RAM size to evade analysis environments.



![DarkGate v6 configuration parameters](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/08/config.png)**DarkGate v6 configuration parameters**  
*Source: Trend Micro*


The first step to mitigate the risk from these attacks would be to apply Microsoft's [February 2024 Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-february-2024-patch-tuesday-fixes-2-zero-days-73-flaws/) update, which fixes CVE-2024-21412.


Trend Micro has published the complete list of the indicators of compromise (IoCs) for this DarkGate campaign on [this webpage](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/24/c/cve-2024-21412--darkgate-operators-exploit-microsoft-windows-smartscreen-bypass-in-zero-day-campaign/DarkGate-IoCs.txt).





## Tags:
***CVE's***: CVE-2024-21412

### Autogenerated tags:
[[darkgate]] [[malware]] [[windows]] [[smartscreen]] [[cve-2024-21412]] [[msi]]
