# Hackers hijack legitimate sites to host credit card stealer scripts
## A new Magecart credit card stealing campaign hijacks legitimate sites to act as "makeshift" command and control (C2) servers to inject and hide the skimmers on targeted eCommerce sites.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-hijack-legitimate-sites-to-host-credit-card-stealer-scripts/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 04 June 2023, 10:16
+ Date scraped: 04 June 2023, 18:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/08/09/credit-cards.jpg)



A new Magecart credit card stealing campaign hijacks legitimate sites to act as "makeshift" command and control (C2) servers to inject and hide the skimmers on targeted eCommerce sites.


A Magecart attack is when hackers breach online stores to inject malicious scripts that steal customers' credit cards and personal information during checkout.


According to Akamai's researchers monitoring this campaign, it has compromised organizations in the United States, the United Kingdom, Australia, Brazil, Peru, and Estonia.


The cybersecurity firm also points out that many of the victims have not realized they were breached for over a month, which is a testament to the stealthiness of these attacks.


## Abusing legitimate sites


The attackers' first step is to identify vulnerable legitimate sites and hack them to host their malicious code, using them as C2 servers for their attacks.


By distributing the credit card skimmers using legitimate websites with a good reputation, the threat actors evade detection and blocks and are freed from needing to set up their own infrastructure.


Next, the attackers move to inject a small JavaScript snippet into the target commerce sites that fetches the malicious code from the websites compromised previously.


"Although it is unclear how these sites are being breached, based on our recent research from similar, previous campaigns, the attackers will usually look for vulnerabilities in the targeted websites' digital commerce platform (such as Magento, WooCommerce, WordPress, Shopify, etc.) or in vulnerable third-party services used by the website," explains [Akamai](https://www.akamai.com/blog/security-research/new-magecart-hides-behind-legit-domains) in the report.


To add to the attack's stealthiness, the threat actors have obfuscated the skimmer with Base64 encoding, which also hides the host's URL, and built its structure in a way that resembles that of Google Tag Manager or Facebook Pixel, which are popular third-party services unlikely to raise suspicion.



![Obfuscated URL in the code snippet](https://www.bleepstatic.com/images/news/u/1220909/2023/WordPress/10/obf-url.png)**Obfuscated URL of host site in the code snippet** *(Akamai)*


## Data theft details


Akamai reports seeing two variants of the skimmer used in the particular campaign.


The first is a heavily obfuscated version containing a list of CSS selectors that target customer PII and credit card details. The CSS selectors were different for each targeted site, custom-made to match each victim.



![The heavily obfuscated first skimmer variant](https://www.bleepstatic.com/images/news/u/1220909/2023/WordPress/10/first-variant.jpg)**The heavily obfuscated first skimmer variant** *(Akamai)*


The second skimmer variant was not as well protected, exposing indicators in the code that helped Akamai map the campaign's reach and identify additional victims.


After the skimmers steal the customers' details, the data is set to the attacker's server via an HTTP request created as an IMG tag within the skimmer.



![Stolen data exfiltration](https://www.bleepstatic.com/images/news/u/1220909/2023/WordPress/10/data-exf.jpg)**Stolen data exfiltration using IMG tag** *(Akamai)*


A layer of Base64 encoding is applied to the data to obfuscate the transmission and minimize the likelihood of the victim discovering the breach.


Website owners can defend against Magecart infections by appropriately protecting website admin accounts and applying security updates for their CMS and plugins.


Customers of online shops can minimize the risk of data exposure by using electronic payment methods, virtual cards, or setting charge limits to their credit cards.





## Tags:


### Autogenerated tags:
[[magecart]] [[websites]] [[website]]
