# Lazarus hackers target VMware servers with Log4Shell exploits
## The North Korean hacking group known as Lazarus is exploiting the Log4J remote code execution vulnerability to inject backdoors that fetch information-stealing payloads on VMware Horizon servers.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/lazarus-hackers-target-vmware-servers-with-log4shell-exploits/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 19 May 2022, 15:24
+ Date scraped: 19 May 2022, 16:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/13/Log4j___logo.jpg)



The North Korean hacking group known as Lazarus is exploiting the Log4J remote code execution vulnerability to inject backdoors that fetch information-stealing payloads on VMware Horizon servers.


The vulnerability is tracked as CVE-2021-44228, aka [Log4Shell](https://www.bleepingcomputer.com/news/security/new-zero-day-exploit-for-log4j-java-library-is-an-enterprise-nightmare/), and impacts many products, including VMware Horizon.


The exploitation of vulnerable Horizon deployments [started in January 2022](https://www.bleepingcomputer.com/news/security/nhs-warns-of-hackers-exploiting-log4shell-in-vmware-horizon/), but many admins are yet to apply the available security updates.


According to a report published by analysts at [Ahnlab’s ASEC](https://asec.ahnlab.com/en/34461/), Lazarus has been targeting vulnerable VMware products via Log4Shell since April 2022.


## Targeting VMware Horizon servers


To start the attack, the threat actors exploit the Log4j vulnerability through Vmware Horizon’s Apache Tomcat service to execute a PowerShell command. This PowerShell command will ultimately lead to installing the NukeSped backdoor on the server.



![Log for NukeSped installation](https://www.bleepstatic.com/images/news/u/1220909/Security/log.png)**Log for NukeSped installation** *(ASEC)*
NukeSped (or NukeSpeed) is a backdoor malware first [associated with DPRK hackers](https://www.bleepingcomputer.com/news/security/a-first-look-at-the-north-korean-malware-family-tree/) in the summer of 2018 and then linked to [a 2020 campaign](https://www.bleepingcomputer.com/news/security/lazarus-hackers-target-researchers-with-trojanized-ida-pro/) orchestrated by Lazarus.


The latest variant sampled and analyzed by ASEC is written in C++ and uses RC4 encryption for communicating securely with the C2 infrastructure. Previously, it used XOR.


NukeSped performs various espionage operations in the compromised environment, such as taking screenshots, recording key presses, accessing files, etc. Moreover, NukeSped supports command line commands.


Two new modules seen in the current NukeSped variant are one for dumping USB contents and one for accessing web camera devices.


Lazarus uses NukeSped to install an additional console-based information-stealer malware, which collects information stored on web browsers.



![Info-stealer grabbing data from browsers](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/data-steal.png)**Info-stealer grabbing data from browsers** *(ASEC)*
More specifically, the malware analyzed by ASEC can steal the following data:


* Account credentials and browsing history stored in Google Chrome, Mozilla Firefox, Internet Explorer, Opera, and Naver Whale.
* Email account information stored in Outlook Express, MS Office Outlook, and Windows Live Mail.
* Names of recently used files from MS Office (PowerPoint, Excel, and Word) and Hancom 2010.

In some attacks, Lazarus was observed deploying Jin Miner instead of NukeSped by leveraging Log4Shell.


Since Jin Miner is a cryptocurrency miner, Lazarus probably used it on less critical systems targeted for monetary gains instead of cyber-espionage.


## Log4Shell remains largely unresolved


Since the start of the year, Lazarus was spotted using [LoLBins](https://www.bleepingcomputer.com/news/security/lazarus-hackers-use-windows-update-to-deploy-malware/) in Windows-targeting campaigns and [malicious cryptocurrency apps](https://www.bleepingcomputer.com/news/security/us-warns-of-lazarus-hackers-using-malicious-cryptocurrency-apps/) to compromise Windows and macOS computers.


The Log4Shell exploitation comes on top of these to underline the variety of tactics used by the hacking group and to underline that the critical RCE flaw remains a significant security problem.


In March, most exploitation attempts were [carried out by botnets](https://www.bleepingcomputer.com/news/security/log4shell-exploits-now-used-mostly-for-ddos-botnets-cryptominers/), so many assumed that the targeting focused on poorly attended systems of lesser importance.


In April, security analysts reminded the public that the Log4Shell [attack surface remains huge](https://www.bleepingcomputer.com/news/security/public-interest-in-log4shell-fades-but-attack-surface-remains/) and will persist for a long time due to practical challenges.


The exploitation attempts of sophisticated threat actors are too few to register in statistics, but this shouldn’t create the illusion that Log4Shell has faded into insignificance.





## Tags:
***CVE's***: CVE-2021-44228

### Autogenerated tags:
[[nukesped]] [[log4shell]] [[vmware]] [[asec]] [[malware]]
