# Malicious Notepad++ installers push StrongPity malware
## The sophisticated hacking group known as StrongPity is circulating laced Notepad++ installers that infect targets with malware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/malicious-notepad-plus-plus-installers-push-strongpity-malware/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 09 December 2021, 17:34
+ Date scraped: 09 December 2021, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/07/Notepad++.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/06/07/Notepad++.jpg)

![Notepad++](https://www.bleepstatic.com/content/hl-images/2021/06/07/Notepad++.jpg)


The sophisticated hacking group known as StrongPity is circulating laced Notepad++ installers that infect targets with malware.


This hacking group, also known as APT-C-41 and Promethium, was previously seen distributing [trojanized WinRAR installers](https://www.bleepingcomputer.com/news/security/trojan-riddled-winrar-winbox-idm-spreads-strongpity-spyware/) in highly-targeted campaigns between 2016 and 2018, so this technique is not new.


The recent lure involves Notepad++, a very popular free text and source code editor for Windows used in a wide range of organizations.


The discovery of the tampered installer comes from a threat analyst known as 'blackorbird' analysts, while [Minerva Labs](https://blog.minerva-labs.com/a-new-strongpity-variant-hides-behind-notepad-installation) reports on the malware.



> 
> [#APT](https://twitter.com/hashtag/APT?src=hash&ref_src=twsrc%5Etfw) [#StrongPity](https://twitter.com/hashtag/StrongPity?src=hash&ref_src=twsrc%5Etfw) NotePad++ installer(npp.8.1.7.Installer.x64.exe)  
> 
> 78556a2fc01c40f64f11c76ef26ec3ff  
> 
> http[:]//advancedtoenableplatform.com [pic.twitter.com/eEXZWIObnH](https://t.co/eEXZWIObnH)
> 
> 
> — blackorbird (@blackorbird) [November 30, 2021](https://twitter.com/blackorbird/status/1465521129179660290?ref_src=twsrc%5Etfw)


Upon executing the Notepad++ installer, the file creates a folder named "Windows Data" under C:\ProgramData\Microsoft, and drops the following three files:


* npp.8.1.7.Installer.x64.exe – the original Notepad++ installation file under C:\Users\Username\AppData\Local\Temp\ folder.
* winpickr.exe - a malicious file under C:\Windows\System32 folder.
* ntuis32.exe – malicious keylogger under C:\ProgramData\Microsoft\WindowsData folder

The installation of the code editor continues as expected, and the victim won't see anything out of the ordinary that could raise suspicions.


As the setup finishes, a new service named "PickerSrv" is created, establishing the malware's persistence via startup execution.



![Service created by the malware](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/service.png)**Service created by the malware**  
*Source: Minerva*
This service executes 'ntuis32.exe', which is the keylogger component of the malware, and runs it in a minimized window.


The keylogger records all user keystrokes and saves them to hidden system files dumped created in the 'C:\ProgramData\Microsoft\WindowsData' folder. The malware also has the ability to steal files and other data from the system.


This folder is continuously checked by 'winpickr.exe,' and when a new log file is detected, the component establishes a C2 connection to upload the stolen data to attackers.


Once the transfer has been completed, the original log is deleted to wipe the traces of malicious activity.


Stay safe
---------


If you need to use Notepad++, make sure to source an installer from [the project's website](https://notepad-plus-plus.org/). 


The software is available on numerous other websites, some of which claim to be the official Notepad++ portals but may include adware or other unwanted software.


The URL that was distributing the laced installer has been taken down following its identification by analysts, but the actors could quickly register a new one.


Follow the same precautions with all software tools you're using, no matter how niche they are, as sophisticated actors are particularly interested in specialized software cases that are ideal for watering hole attacks.


In this case, the chances of detection from an AV tool on the system would be roughly 50%, so using up-to-date security tools is essential too.







## Tags:
***urls***: http://advancedtoenableplatform.com
***MD5-hash***: 78556a2fc01c40f64f11c76ef26ec3ff

### Autogenerated tags:
[[notepad++]] [[malware]] [[keylogger]]
