# Microsoft: Iranian hacking groups join Papercut attack spree
## Microsoft says Iranian state-backed hackers have joined the ongoing assault targeting vulnerable PaperCut MF/NG print management servers.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-iranian-hacking-groups-join-papercut-attack-spree/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 08 May 2023, 10:47
+ Date scraped: 08 May 2023, 15:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/05/08/Iranian-hacker.jpg)



Microsoft says Iranian state-backed hackers have joined the ongoing assault targeting vulnerable PaperCut MF/NG print management servers.


These groups are tracked as Mango Sandstorm (aka Mercury or Muddywater and [linked to](https://www.bleepingcomputer.com/news/security/us-links-muddywater-hacking-group-to-iranian-intelligence-agency/) Iran's Ministry of Intelligence and Security) and Mint Sandstorm (also known as Phosphorus or APT35 and [tied to](https://www.bleepingcomputer.com/news/security/us-govt-sanctions-ten-iranians-linked-to-ransomware-attacks/) Iran's Islamic Revolutionary Guard Corps).


"The PaperCut exploitation activity by Mint Sandstorm appears opportunistic, affecting organizations across sectors and geographies," the Microsoft Threat Intelligence team [said](https://twitter.com/MsftSecIntel/status/1654620021476458496).


"Observed CVE-2023-27350 exploitation activity by Mango Sandstorm remains low, with operators using tools from prior intrusions to connect to their C2 infrastructure."


They follow [attacks linked to Lace Tempest](https://www.bleepingcomputer.com/news/security/new-papercut-rce-exploit-created-that-bypasses-existing-detections/) by Microsoft, a hacking group whose malicious activity overlaps with the FIN11 and TA505 cybercrime gangs connected to the Clop ransomware operation.


Redmond also found that some intrusions led to LockBit ransomware attacks but couldn't provide more information when asked to share additional details.


CISA [added this bug](https://www.cisa.gov/news-events/alerts/2023/04/21/cisa-adds-three-known-exploited-vulnerabilities-catalog) to its catalog of actively exploited vulnerabilities on April 21, ordering federal agencies to secure their PaperCut servers within three weeks [by May 12, 2023](https://www.cisa.gov/known-exploited-vulnerabilities-catalog#:~:text=CVE%2D2023%2D27350,PaperCut).



The PaperCut vulnerability exploited in these attacks and tracked as [CVE-2023-27350](https://www.bleepingcomputer.com/news/security/hackers-actively-exploit-critical-rce-bug-in-papercut-servers/) is a pre-authentication critical remote code execution bug in PaperCut MF or NG versions 8.0 or later.


Large companies, state organizations, and education institutes worldwide are using this enterprise printing management software, with PaperCut's developer claiming more than 100 million users from over 70,000 companies.


Security researchers released [PoC exploits](https://www.bleepingcomputer.com/news/security/exploit-released-for-papercut-flaw-abused-to-hijack-servers-patch-now/) for the RCE bug soon after the initial disclosure in March 2023, with Microsoft warning several days later that the vulnerability was being used for initial access to corporate networks by [the Clop and LockBit ransomware gangs](https://www.bleepingcomputer.com/news/security/microsoft-clop-and-lockbit-ransomware-behind-papercut-server-hacks/).


While multiple cybersecurity companies have released indicators of compromise and detection rules for PaperCut exploits, VulnCheck shared details [on a new attack method](http://vulncheck.com/blog/papercut-rce) last week that can bypass existing detections, allowing attackers to keep exploiting CVE-2023-27350 unobstructed.


"Detections that focus on one particular code execution method, or that focus on a small subset of techniques used by one threat actor are doomed to be useless in the next round of attacks," VulnCheck vulnerability researcher Jacob Baines said.


"Attackers learn from defenders' public detections, so it's the defenders' responsibility to produce robust detections that aren't easily bypassed."


Defenders are encouraged to [immediately upgrade](https://www.papercut.com/kb/Main/PO-1216-and-PO-1219) theirPaperCut MF and PaperCut NG software to versions 20.1.7, 21.2.11, and 22.0.9 and later, which address this RCE bug and remove the attack vector.





## Tags:
***CVE's***: CVE-2023-27350

### Autogenerated tags:
[[papercut]] [[microsoft]] [[cve-2023-27350]] [[ransomware]]
