# Microsoft: Windows MSHTML bug now exploited by ransomware gangs
## Microsoft says multiple threat actors, including ransomware affiliates, are targeting the recently patched Windows MSHTML remote code execution security flaw.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-mshtml-bug-now-exploited-by-ransomware-gangs/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 16 September 2021, 11:16
+ Date scraped: 11 December 2023, 14:38

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/05/Microsoft--header.jpg)



Microsoft says multiple threat actors, including ransomware affiliates, are targeting the recently patched Windows MSHTML remote code execution security flaw.


In the wild exploitation of this vulnerability (tracked as **CVE-2021-40444**) began on August 18 according to the company, more than two weeks before Microsoft published [a security advisory with a partial workaround](https://www.bleepingcomputer.com/news/security/microsoft-shares-temp-fix-for-ongoing-office-365-zero-day-attacks/).


According to telemetry data analyzed by security analysts at the Microsoft 365 Defender Threat Intelligence Team and the Microsoft Threat Intelligence Center (MSTIC), the small number of initial attacks (less than 10) used maliciously crafted Office documents.


These attacks targeted the CVE-2021-40444 bug "as part of an initial access campaign that distributed custom Cobalt Strike Beacon loaders."


Beacons deployed on the network of at least one victim communicated with malicious infrastructure connected with several cybercrime campaigns, including human-operated ransomware.


Some of the Cobalt Strike infrastructure used in the August CVE-2021-40444 attacks was also used in the past to deliver BazaLoader and Trickbot payloads — activity overlapping with associated with the DEV-0193 activity cluster, tracked by Mandiant as UNC1878, aka WIZARD SPIDER / RYUK [according to RiskIQ](https://www.riskiq.com/blog/external-threat-management/wizard-spider-windows-0day-exploit/).


Payloads delivered also overlapped with DEV-0365, an activity cluster associated with infrastructure possibly used as Cobalt Strike command-and-control (C2) service (CS-C2aaS) for other groups.



![CVE-2021-40444 attack chain ](https://www.bleepstatic.com/images/news/u/1109292/2021/CVE-2021-40444-attack-chain%20.png)*CVE-2021-40444-attack-chain (Microsoft)​​​​*


Exploited by ransomware gangs after public disclosure
-----------------------------------------------------


Microsoft also observed a massive increase in exploitation attempts within 24 hours after the CVE-2021-40444 advisory was published.


"Since the public disclosure, Microsoft has observed multiple threat actors, including ransomware-as-a-service affiliates, adopting publicly disclosed proof-of-concept code into their toolkits," [the researchers added](https://www.microsoft.com/security/blog/2021/09/15/analyzing-attacks-that-exploit-the-mshtml-cve-2021-40444-vulnerability/).


"Microsoft continues to monitor the situation and work to deconflict testing from actual exploitation."


MSTIC Threat Intelligence analyst Justin Warner [added](https://twitter.com/sixdub/status/1438301447909748742) that other threat groups and actors will likely continue adding CVE-2021-40444 exploits to their arsenal in the coming days and weeks.



![CVE-2021-40444 exploitation](https://www.bleepstatic.com/images/news/u/1109292/2021/CVE-2021-40444%20exploitation.png)*CVE-2021-40444 exploitation (Microsoft)*


Microsoft recommends immediately applying the [CVE-2021-40444 security updates](https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-cve-2021-40444-mshtml-zero-day-bug/) released during the [September 2021 Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-september-2021-patch-tuesday-fixes-2-zero-days-60-flaws/) to block incoming attacks.


CVE-2021-40444 impacts systems running Windows Server 2008 through 2019 and Windows 8.1 or later, and it has a severity level of 8.8 out of the maximum 10.


The security updates released by Microsoft address the vulnerability for all affected Windows versions and include a [Monthly Rollup](https://support.microsoft.com/en-us/topic/september-14-2021-kb5005633-monthly-rollup-cc6f560a-86da-4540-8bb1-df118fa45eb8), a [Security Only update](https://support.microsoft.com/en-us/topic/september-14-2021-kb5005615-security-only-update-78aa3b33-a4d9-49ad-bb28-1394943a3d7b), and an [Internet Explorer cumulative update](https://support.microsoft.com/en-us/topic/kb5005563-cumulative-security-update-for-internet-explorer-september-14-2021-1f0ae9ae-3a53-42b1-9627-9250c9c73ba8).


BleepingComputer has independently confirmed that known CVE-2021-40444 exploits no longer work after applying the September 2021 security patches.


To reduce the attack surface, customers who cannot apply the security updates should implement [Microsoft's workarounds](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2021-40444/) (disabling ActiveX controls via Group Policy and preview in Windows Explorer).





## Tags:
***CVE's***: CVE-2021-40444

### Autogenerated tags:
[[microsoft]] [[cve-2021-40444]] [[windows]] [[ransomware]]
