# Microsoft: WizardUpdate Mac malware adds new evasion tactics
## Microsoft says it found new variants of macOS malware known as WizardUpdate (also tracked as UpdateAgent or Vigram), updated to use new evasion and persistence tactics.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-wizardupdate-mac-malware-adds-new-evasion-tactics/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 22 October 2021, 11:14
+ Date scraped: 11 December 2023, 12:45

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/22/Mac_Apple_Finder.jpg)



Microsoft says it found new variants of macOS malware known as WizardUpdate (also tracked as UpdateAgent or Vigram), updated to use new evasion and persistence tactics.


As Microsoft security experts found, the latest variant — spotted earlier this month — is likely being distributed via drive-by downloads and it impersonates legitimate software, just as it was when threat intelligence firm Confiant [discovered it camouflaged as Flash installers](https://twitter.com/ConfiantIntel/status/1351559054565535745) in January.


Since the first variants were observed in November 2020, when it was only capable of collecting and exfiltrating system info, [WizardUpdate](https://malpedia.caad.fkie.fraunhofer.de/details/osx.vigram) was updated multiple times by its developers.


The sample collected by Microsoft researchers in October comes with several upgrades, including the ability to:


* deploy secondary payloads downloaded from cloud infrastructure
* grab the [full download history for infected Macs](https://osxdaily.com/2012/07/12/list-download-history-mac-os-x/) by enumerating LSQuarantineDataURLString using SQLite
* bypass Gatekeeper by removing quarantine attributes from downloaded payloads
* modify PLIST files using PlistBuddy
* leverage existing user profiles to execute commands
* change the sudoers list to give admin permissions to regular users


![WizadUpdate evolution](https://www.bleepstatic.com/images/news/u/1109292/2021/WizadUpdate%20evolution.png)*WizadUpdate evolution (Microsoft)*


After it infects a target's Mac, the malware starts scanning for and collecting system information that gets sent to its command-and-control (C2) server.


The trojan will deploy second-stage malware payloads, including a malware variant tracked as Adload, active [since late 2017](https://labs.sentinelone.com/how-adload-macos-malware-continues-to-adapt-evade/) and known for being able to [slip through Apple's YARA signature-based XProtect built-in antivirus](https://www.bleepingcomputer.com/news/apple/new-adload-malware-variant-slips-through-apples-xprotect-defenses/) to infect Macs.


"UpdateAgent abuses public cloud infrastructure to host additional payloads and attempts to bypass Gatekeeper, which is designed to ensure that only trusted apps run on Mac devices, by removing the downloaded file’s quarantine attribute," Microsoft [said](https://twitter.com/MsftSecIntel/status/1451279687418667008?s=20).


"It also leverages existing user permissions to create folders on the affected device. It uses PlistBuddy to create and modify Plists in LaunchAgent/ LaunchDeamon for persistence."


WizardUpdate's developers have also included evasion features in the latest variant, which can cover its tracks by deleting created folders, files, and other artifacts created on the infected Macs



![WizardUpdate attack flow](https://www.bleepstatic.com/images/news/u/1109292/2021/WizardUpdate%20attack%20flow.png)*WizardUpdate attack flow (Microsoft)*


Malware on the Mac "worse than iOS"
-----------------------------------


AdLoad, one of the second-stage payloads delivered by WizardUpdate on compromised Macs, also hijacks search engine results and injects advertisements into web pages for monetary gain using a Man-in-The-Middle (MiTM) web proxy


It also gains persistence by adding LaunchAgents and LaunchDaemons and, in some cases, user cronjobs scheduled to run every two and a half hours.


While monitoring AdLoad campaigns active since November 2020, when WizardUpdate was also first spotted, SentinelOne threat researcher Phil Stokes [found hundreds of samples](https://www.bleepingcomputer.com/news/apple/new-adload-malware-variant-slips-through-apples-xprotect-defenses/), roughly 150 of them unique and undetected by Apple's built-in antivirus.


Many of the samples detected by Stokes were also [signed](https://support.apple.com/guide/security/app-code-signing-process-sec3ad8e6e53/web) with valid Apple-issued Developer ID certificates, while others were notarized to run under default [Gatekeeper](https://support.apple.com/guide/security/gatekeeper-and-runtime-protection-sec5599b66df/1/web/1) settings.


Although both WizardUpdate and AdLoad now only deploy adware and bundleware as secondary payloads, they can switch at any time to more dangerous malware such as wipers or ransomware.


"Today, we have a level of malware on the Mac that we don't find acceptable and that is much worse than iOS," [said](https://www.cnbc.com/2021/05/19/apples-head-of-software-says-current-level-of-mac-malware-is-not-acceptable.html) Craig Federighi, Apple's head of software, in May 2021 under oath while testifying in the Epic Games vs. Apple trial.





## Tags:


### Autogenerated tags:
[[malware]] [[wizardupdate]] [[microsoft]] [[adload]]
