# Microsoft admits to signing rootkit malware in supply-chain fiasco
## Microsoft has now confirmed signing a malicious driver being distributed within gaming environments. This driver, called "Netfilter," is in fact a rootkit that was observed communicating with Chinese command-and-control IPs.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-admits-to-signing-rootkit-malware-in-supply-chain-fiasco/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 26 June 2021, 05:16
+ Date scraped: 12 December 2023, 11:08

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/03/18/microsoft-fire.jpg)



Microsoft has now confirmed signing a malicious driver being distributed within gaming environments.


This driver, called "Netfilter," is in fact a rootkit that was observed communicating with Chinese command-and-control (C2) IPs.


G Data malware analyst Karsten Hahn first took notice of this event last week and was joined by the wider infosec. community in tracing and analyzing the malicious drivers bearing the seal of Microsoft.


This incident has once again exposed threats to software supply-chain security, except this time it stemmed from a weakness in Microsoft's code-signing process.


"Netfilter" driver is rootkit signed by Microsoft
-------------------------------------------------


Last week, G Data's cybersecurity alert systems flagged what appeared to be a false positive, but was not—a Microsoft signed driver called "Netfilter."


The driver in question was seen communicating with China-based C&C IPs providing no legitimate functionality and as such raised suspicions.


This is when G Data's malware analyst Karsten Hahn shared this [publicly](https://twitter.com/struppigel/status/1405483373280235520) and simultaneously contacted Microsoft:



![microsoft signs malicious netfilter driver](https://www.bleepstatic.com/images/news/u/1164866/2021/Jun%202021/microsoft-signed-netfilter/netfilter_signature.jpeg)**The malicious binary has been signed by Microsoft**([VirusTotal](https://www.virustotal.com/gui/file/e0afb8b937a5907fbe55a1d1cc7574e9304007ef33fa80ff3896e997a1beaf37/details))


"Since Windows Vista, any code that runs in kernel mode is required to be tested and signed before public release to ensure stability for the operating system."


"Drivers without a Microsoft certificate cannot be installed by default," states Hahn.


At the time, BleepingComputer began observing the behavior of C2 URLs and also contacted Microsoft for a statement.


The first C2 URL returns a set of more routes (URLs) separated by the pipe ("|") symbol:



![first c2 response](https://www.bleepstatic.com/images/news/u/1164866/2021/Jun%202021/microsoft-signed-netfilter/first-c2.jpg)**Navigating to the C2 URL presents more routes for different purposes**  

Source: BleepingComputer


Each of these serves a purpose, according to Hahn:


* The URL ending in "/p" is associated with proxy settings,
* "/s" provides encoded redirection IPs,
* "/h?" is for receiving CPU-ID,
* "/c" provided a root certificate, and
* "/v?" is related to the malware's self-update functionality.

As seen by BleepingComputer, for example, the "/v?" path provided URL to the malicious Netfilter driver in question itself (living at "/d3"):



![path to malware binary](https://www.bleepstatic.com/images/news/u/1164866/2021/Jun%202021/microsoft-signed-netfilter/path-to-d3-netfilter.jpg)**Path to malicious Netfilter driver**  

Source: BleepingComputer


The G Data researcher spent some time sufficiently analyzing the driver and concluded it to be malware.


The researcher has analyzed the driver, its self-update functionality, and Indicators of Compromise (IOCs) in a detailed [blog post](https://www.gdatasoftware.com/blog/microsoft-signed-a-malicious-netfilter-rootkit).


"The sample has a self-update routine that sends its own MD5 hash to the server via **hxxp://110.42.4.180:2081/v?v=6&m=**," says Hahn.


An example request would look like this:


hxxp://110.42.4.180:2081/v?v=6&m=921fa8a5442e9bf3fe727e770cded4ab
"The server then responds with the URL for the latest sample, e.g. hxxp://110.42.4.180:2081/d6 or with 'OK' if the sample is up-to-date. The malware replaces its own file accordingly," further explained the researcher.



![self-update functionality](https://www.bleepstatic.com/images/news/u/1164866/2021/Jun%202021/microsoft-signed-netfilter/netfilter_selfupdate.png)**Malware's self-update functionality analyzed by G Data**


During the course of his analysis, Hahn was joined by other malware researchers including [Johann Aydinbas](https://twitter.com/jaydinbas/status/1406252350302527493), [Takahiro Haruyama](https://twitter.com/cci_forensics), and [Florian Roth](https://twitter.com/cyb3rops).


Roth was able to gather the list of samples in a [spreadsheet](https://docs.google.com/spreadsheets/d/1FYgBmJH8MOli99oIqRsIHJA2XzI3aSdAOb9mZmqj_q0/edit#gid=1028909258) and has provided YARA rules for detecting these in your network environments.


Notably, the C2 IP 110.42.4.180 that the malicious Netfilter driver connects to belonged to *Ningbo Zhuo Zhi Innovation Network Technology Co., Ltd,*according to WHOIS records:



![whois record for 110.42.4.180](https://www.bleepstatic.com/images/news/u/1164866/2021/Jun%202021/microsoft-signed-netfilter/whois-apnic.jpg)**[WHOIS](https://wq.apnic.net/static/search.html) search for the IP address**(BleepingComputer)


Microsoft admits to signing the malicious driver
------------------------------------------------


Microsoft is actively investigating this incident, although thus far, there is no evidence that stolen code-signing certificates were used.


The mishap seems to have resulted from the threat actor following Microsoft's process to submit the malicious Netfilter drivers, and managing to acquire the Microsoft-signed binary in a legitimate manner:


"Microsoft is investigating a malicious actor distributing malicious drivers within gaming environments."


"The actor submitted drivers for certification through the Windows Hardware Compatibility Program. The drivers were built by a third party."


"We have suspended the account and reviewed their submissions for additional signs of malware," [said](https://msrc-blog.microsoft.com/2021/06/25/investigating-and-mitigating-malicious-drivers/) Microsoft yesterday.


According to Microsoft, the threat actor has mainly targeted the gaming sector specifically in China with these malicious drivers, and there is no indication of enterprise environments having been affected so far.


Microsoft has refrained from attributing this incident to nation-state actors just yet.


Falsely signed binaries can be abused by sophisticated threat actors to facilitate large-scale software supply-chain attacks.


The multifaceted Stuxnet attack that targeted Iran's nuclear program marks a well-known incident in which code-signing certificates were [stolen](https://en.wikipedia.org/wiki/Stuxnet#Windows_infection) from Realtek and JMicron to facilitate the attack.


This particular incident, however, has exposed weaknesses in a legitimate code-signing process, exploited by threat actors to acquire Microsoft-signed code without compromising any certificates.


*Updates:*


*Jun 26th 12:26 PM ET: Clarified that BleepingComputer did not see the DoD list explicitly mentioning the alleged Chinese company, contrary to the details in the researcher's report. Also reached out to Hahn for clarification.*


*Jun 27th, 04:58 AM ET: A previous version of the blog post [mentioned](http://web.archive.org/web/20210625143241/https://www.gdatasoftware.com/blog/microsoft-signed-a-malicious-netfilter-rootkit) another researcher*[@cowonaut](https://twitter.com/cowmonaut) *alleging that the aforementioned company has previously been [marked](http://www.defense.gov/Newsroom/Releases/Release/Article/2472464/dod-releases-list-of-additional-companies-in-accordance-with-section-1237-of-fy/) by the U.S. Department of Defense (DoD) as a "Communist Chinese military" company.* *However, BleepingComputer did not see Ningbo Zhuo Zhi Innovation Network Technology Co., Ltd. present on any of the DoD lists available*. *The claim has since been retracted from the original blog post, and we have updated our article to reflect the same.*





## Tags:
***ipv4-adresses***: 110.42.4.180
***urls***: http://110.42.4.180:2081/v?v=6&m= http://110.42.4.180:2081/v?v=6&m=921fa8a5442e9bf3fe727e770cded4ab http://110.42.4.180:2081/d6
***MD5-hash***: 921fa8a5442e9bf3fe727e770cded4ab

### Autogenerated tags:
[[microsoft]] [[malware]] [[netfilter]] [[hahn]] [[bleepingcomputer]] [[c2]] [[url]] [[code-signing]] [[self-update]] [[blog]]
