# Moobot botnet spreading via Hikvision camera vulnerability
## A Mirai-based botnet called 'Moobot' is spreading aggressively via exploiting a critical command injection flaw in the webserver of many Hikvision products.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/moobot-botnet-spreading-via-hikvision-camera-vulnerability/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 08 December 2021, 08:27
+ Date scraped: 08 December 2021, 13:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/07/cctv.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/12/07/cctv.jpg)

![cctv](https://www.bleepstatic.com/content/hl-images/2021/12/07/cctv.jpg?rand=506449019)


A Mirai-based botnet called 'Moobot' is spreading aggressively via exploiting a critical command injection flaw in the webserver of many Hikvision products.


Hikvision is a state-owned Chinese manufacturer of surveillance cameras and equipment that the US government sanctioned due to human rights abuse.


This vulnerability is tracked as CVE-2021-36260 and can be exploited remotely by sending specially crafted messages containing malicious commands.


Hikvision fixed the flaw [back in September 2021](https://www.hikvision.com/en/support/cybersecurity/security-advisory/security-notification-command-injection-vulnerability-in-some-hikvision-products/security-notification-command-injection-vulnerability-in-some-hikvision-products/) with a firmware update (v 210628), but not all users rushed to apply the security update.


Fortinet reports that Moobot is leveraging this flaw to compromise unpatched devices and extract sensitive data from victims.


The infection process
---------------------


The exploitation of the flaw is fairly simple, given that it doesn't require authentication and can be triggered by sending a message to a publicly exposed vulnerable device.



![Request exploiting the flaw](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/request.png)**Request exploiting the flaw**  
*Source: Fortinet*
Among the various payloads that leverage [CVE-2021-36260](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-36260), Fortinet found a downloader masked as "macHelper," which fetches and executes Moobot with the "hikivision" parameter.


The malware also modifies basic commands like "reboot" so that they do not function properly and will prevent the administrator from rebooting the compromised device.


A new spin of Mirai
-------------------


[Fortinet’s analysts](https://www.fortinet.com/blog/threat-research/mirai-based-botnet-moobot-targets-hikvision-vulnerability) have spotted common points between Moobot and Mirai, such as the data string used in the random alphanumeric string generator function.


Moreover, Moobot features some elements from Satori, a different Mirai variant whose author was arrested and [sentenced in the summer of 2020](https://www.bleepingcomputer.com/news/security/developer-of-mirai-qbot-based-ddos-botnets-jailed-for-13-months/).


Similarities with Satori include:


* Using a separate downloader.
* The forking of the "/usr/sbin*" process.
* Overwriting the legitimate "macHelper" file with the Moobot executable.

It is essential to underline that this is not the first time Moobot was spotted in the wild, as researchers at [Unit 42 first discovered it](https://www.bleepingcomputer.com/news/security/new-botnet-targets-network-security-devices-with-critical-exploits/) in February 2021.


However, the fact that the botnet is still adding new CVEs indicates that it is being actively developed and enriched with new targeting potential.


Enlisting you into a DDoS army
------------------------------


The goal of Moobot is to incorporate the compromised device into a DDoS swarm. 


The C2 sends an SYN flood command along with the target IP address and port number to attack.



![The attack flow of Moobot](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/attack_flow.jpg)**The attack flow of Moobot**  
*Source: Fortinet*
Other commands that the C2 server may send include 0x06 for UDP flood, 0x04 for ACK flood, and 0x05 for ACK+PUSH flood.


By looking into the captured packet data, Fortinet could track down a Telegram channel that started offering DDoS services last August.


Having your device enlisted in DDoS swarms results in increased energy consumption, accelerated wear, and causes the device to become unresponsive.


The best way to protect your IoT devices from botnets is to apply available security updates as soon as possible, isolate them in a dedicated network, and replace the default credentials with strong passwords.







## Tags:
***CVE's***: CVE-2021-36260

### Autogenerated tags:
[[moobot]] [[fortinet]] [[ddos]] [[hikvision]] [[mirai]]
