# New BadBazaar Android malware linked to Chinese cyberspies
## A previously undocumented Android spyware tool named 'BadBazaar' has been discovered targeting ethnic and religious minorities in China, most notably the Uyghurs in Xinjiang.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-badbazaar-android-malware-linked-to-chinese-cyberspies/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 11 November 2022, 16:26
+ Date scraped: 11 November 2022, 17:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/03/android-trojan.jpg)



A previously undocumented Android spyware tool named 'BadBazaar' has been discovered targeting ethnic and religious minorities in China, most notably the Uyghurs in Xinjiang.


Uyghurs, a regional Muslim minority of roughly 13 million people, have suffered [extreme oppression](https://www.nytimes.com/interactive/2019/11/16/world/asia/china-xinjiang-documents.html) from the central Chinese government due to their cultural deviation from typical eastern Chinese values.


The new spyware was originally discovered by [MalwareHunterTeam](https://twitter.com/malwrhunterteam/status/1456957014295420928) and linked to [Bahamut](https://www.bellingcat.com/news/mena/2017/06/12/bahamut-pursuing-cyber-espionage-actor-middle-east/) in VirusTotal detections.


After further analysis by Lookout, the malware was found to be new spyware using the same infrastructure seen in 2020 campaigns against Uyghurs by the state-backed hacking group [APT15](https://www.bleepingcomputer.com/news/security/researchers-link-apt15-hackers-to-chinese-military-company/) (aka "Pitty Tiger).


Additionally, Lookout observed a second campaign using new variants of 'Moonshine,' a spyware discovered by [CitizenLab](https://citizenlab.ca/2019/09/poison-carp-tibetan-groups-targeted-with-1-click-mobile-exploits/) in 2019 while deployed against Tibetan groups.


## BadBazaar details


The BadBazaar spyware has used at least 111 different apps since 2018 to infect Uyghurs, promoting them on communication channels populated by the particular ethnic group.


The impersonated apps cover a wide range of categories, from dictionaries to religious practice companions and from battery optimizers to video players.



![Only a few of the BadBazaar apps promoted to Uyghurs](https://www.bleepstatic.com/images/news/u/1220909/Android%20malware/1st-campaign-apps.png)**Only a few of the BadBazaar apps promoted to Uyghurs** *(Lookout)*


Lookout has found no evidence of these apps ever reaching Google Play, Android's official app store, so they are likely distributed via third-party stores or [malicious websites](https://googleprojectzero.blogspot.com/2019/08/a-very-deep-dive-into-ios-exploit.html).


Interestingly, there's a single case of an iOS app on the Apple App Store that communicates with the malicious C2, yet it doesn't feature spyware functionality, only sending the device UDID.




![BadBazaar's retrieved JAR payload](https://www.bleepstatic.com/images/news/u/1220909/Android%20malware/bazaar-payload.png)**BadBazaar's retrieved JAR payload** *(Lookout)*


BadBazaar's data-collecting capabilities include the following:


* Precise location
* List of installed apps
* Call logs with geolocation data
* Contacts list
* SMS
* Complete device info
* WiFi info
* Phone call recording
* Take pictures
* Exfiltrate files or databases
* Access folders of high-interest (images, IM app logs, chat history, etc.)

  

Looking into the C2 infrastructure, which exposes some of the admin panels and the GPS coordinates of test devices due to errors, Lookout analysts found connections to the Chinese defense contractor Xi'an Tian He Defense Technology.


## New Moonshine variants


Starting in July 2022, Lookout researchers noticed a new campaign using 50 apps that push new versions of the 'Moonshine' spyware to victims.


These apps are promoted on Uyghur-speaking Telegram channels, where rogue users suggest them as trustworthy software to other members.



![Sample of apps carrying Moonshine](https://www.bleepstatic.com/images/news/u/1220909/Android%20malware/2nd-campaign-apps.png)**Sample of apps carrying Moonshine spyware** *(Lookout)*


The newer malware version is still modular, and its authors have added more modules to extend the tool's surveillance capabilities.


The data Moonshine steals from compromised devices include network activity, IP address, hardware info, and more.



![Information collected by Moonshine](https://www.bleepstatic.com/images/news/u/1220909/Android%20malware/moonshine-collects.png)**Information collected by Moonshine** *(Lookout)*


The C2 commands supported by the malware are:


* Call recording
* Contact collection
* Retrieve files from a location specified by the C2
* Collect device location data
* Exfiltrate SMS messages
* Camera capture
* Microphone recording
* Establish SOCKS proxy
* Collect WeChat data

Lookout has found evidence that the authors of the new Moonshine version are Chinese, as both code comments and server-side API documentation are written in simplified Chinese.



"While Lookout researchers could not connect the malware client or infrastructure to a specific technology company, the malware client is a well-built and full-featured surveillance tool that would have likely required substantial resources." - [Lookout](https://www.lookout.com/blog/uyghur-surveillance-campaign-badbazaar-moonshine).



This report indicates that surveillance of Chinese minorities continues unabated despite the [outcry](https://www.amnesty.org/en/latest/news/2021/06/china-draconian-repression-of-muslims-in-xinjiang-amounts-to-crimes-against-humanity/) from international [human rights protection organizations](https://www.ohchr.org/en/documents/country-reports/ohchr-assessment-human-rights-concerns-xinjiang-uyghur-autonomous-region).





## Tags:


### Autogenerated tags:
[[spyware]] [[apps]] [[uyghurs]] [[malware]] [[badbazaar]] [[c2]]
