# New Cring ransomware hits unpatched Fortinet VPN devices
## A vulnerability impacting Fortinet VPNs is being exploited by a new human-operated ransomware strain known as Cring to breach and encrypt industrial sector companies' networks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-cring-ransomware-hits-unpatched-fortinet-vpn-devices/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 07 April 2021, 13:12
+ Date scraped: 12 December 2023, 14:50

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/07/Fortinet.jpg)



A vulnerability impacting Fortinet VPNs is being exploited by a new human-operated ransomware strain known as Cring to breach and encrypt industrial sector companies' networks.


[**Cring ransomware**](https://www.bleepingcomputer.com/forums/t/741312/cring-ransomware-cring-support-topic/) (also known as Crypt3r, Vjiszy1lo, Ghost, Phantom) was [discovered](https://id-ransomware.blogspot.com/2021/01/cring-ransomware.html) by Amigo\_A in January and [spotted](https://twitter.com/swisscom_csirt/status/1354052879158571008) by the CSIRT team of Swiss telecommunications provider Swisscom.


The Cring operators drop customized Mimikatz samples, followed by CobaltStrike after gaining initial access and deploy the ransomware payloads by downloading using the legitimate Windows CertUtil certificate manager to bypass security software.


As Kaspersky researchers revealed in a [report](https://ics-cert.kaspersky.com/reports/2021/04/07/vulnerability-in-fortigate-vpn-servers-is-exploited-in-cring-ransomware-attacks/) published today, the attackers exploit Internet-exposed Fortigate SSL VPN servers unpatched against the [CVE-2018-13379](https://nvd.nist.gov/vuln/detail/CVE-2018-13379) vulnerability, which allows them to breach their targets' network.


"Victims of these attacks include industrial enterprises in European countries," Kaspersky researchers said.


"At least in one case, an attack of the ransomware resulted in a temporary shutdown of the industrial process due to servers used to control the industrial process becoming encrypted."


Cring ransomware attacks
------------------------


From the Fortinet VPN appliance, Cring operators move laterally on the targets' enterprise network stealing Windows user credentials using Mimikatz to gain control of the domain administrator account.


The ransomware payloads are then delivered to devices on the victims' networks using the Cobalt Strike threat emulation framework deployed using a malicious PowerShell script.



![Cring ransomware attack flow](https://www.bleepstatic.com/images/news/u/1109292/2021/Cring-ransomware-attack-flow.png)**Cring ransomware attack flow** (*Kaspersky*)


The ransomware encrypts only specific files on the compromised devices using strong encryption algorithms (RSA-8192 + AES-128) after removing backup files and killing Microsoft Office and Oracle Database processes.


It then drops ransom notes named !!!!!readme.rtf and deReadMe!!!.txt warning the victims that their network was encrypted and that they need to hurry to pay the ransom because the decryption key will not be kept indefinitely.



```
Sorry, your network is encrypted, and most files are encrypted using special technology. The file cannot be recovered by any security company. If you do not believe that you can even consult a security company, your answer will be that you need to pay the corresponding fees, but we have a good reputation. After receiving the corresponding fee, we will immediately send the decryption program and KEY. You can contact us to get two file decryption services, and then you will get all decryption services after paying our fee, usually the cost is about 2 bitcoins.

Contact: eternalnightmare@tutanota.com  qkhooks0708@protonmail.com
```

Victims have been using the ID-Ransomware service to check if their systems were hit by Cring ransomware since the operation first surfaced in December 2020.


30 Cring ransomware samples have been submitted so far, with at least one per day since the end of January.



![Cring ransomware activity](https://www.bleepstatic.com/images/news/u/1109292/2021/Cring-ransomware-activity.png)**Cring ransomware activity** (*ID-Ransomware*)


Indicators of compromise (IOCs), including malware sample hashes, C2 server IP addresses, and malware-hosting server addresses, are available at the end of [Kaspersky's report](https://ics-cert.kaspersky.com/reports/2021/04/07/vulnerability-in-fortigate-vpn-servers-is-exploited-in-cring-ransomware-attacks/).


Fortinet products targeted by APT and cybercrime groups
-------------------------------------------------------


The Federal Bureau of Investigation (FBI) and the Cybersecurity and Infrastructure Security Agency (CISA) warned earlier this week of advanced persistent threat (APT) actors [scanning for Fortinet SSL VPN appliances](https://www.bleepingcomputer.com/news/security/fbi-and-cisa-warn-of-state-hackers-attacking-fortinet-fortios-servers/) vulnerable to CVE-2018-13379 exploits.


The joint advisory also warns of attackers enumerating servers unpatched against CVE-2020-12812 and CVE-2019-5591.


As shown by previous campaigns, any servers compromised during these infiltration attempts might be used in future attacks as initial access vectors to breach government or commercial organizations' networks.


"The APT actors may be using any or all of these CVEs to gain access to networks across multiple critical infrastructure sectors to gain access to key networks as pre-positioning for follow-on data exfiltration or data encryption attacks," the agencies warned.


"APT actors have historically exploited critical vulnerabilities to conduct distributed denial-of-service (DDoS) attacks, ransomware attacks, structured query language (SQL) injection attacks, spearphishing campaigns, website defacements, and disinformation campaigns."


State hackers abused the CVE-2018-13379 vulnerability in the past [to compromise U.S. election support systems](https://www.bleepingcomputer.com/news/security/hackers-used-vpn-flaws-to-access-us-govt-elections-support-systems/) reachable over the Internet.


Fortinet also warned customers to patch their appliances against the CVE-2018-13379 in [August 2019](https://www.fortinet.com/blog/business-and-technology/fortios-ssl-vulnerability), [July 2020](https://www.fortinet.com/blog/business-and-technology/atp-29-targets-ssl-vpn-flaws), [November 2020](https://www.fortinet.com/blog/psirt-blogs/update-regarding-cve-2018-13379), and again in [April 2021](https://urldefense.proofpoint.com/v2/url?u=https-3A__www.fortinet.com_blog_psirt-2Dblogs_patch-2Dvulnerability-2Dmanagement&d=DwMGaQ&c=tEbGsWWjqkBSpaWdXc_mdMSanI1bDu-FKXiKGCfVmPM&r=ci047yKZbNETIRLbYhPR9hvS9MgdS6HahLetj-MiY5k&m=S-tLJEaNHed7zOH8JaLd3mVoBNXqYMeUqJMrJaXLE9s&s=m_k7PDQ0L4L0_OvdKQgGF5LkRVde6Q9EjgVXWtyg7sY&e=).


"The security of our customers is our first priority. CVE-2018-13379 is an old vulnerability resolved in May 2019," Fortinet [told](https://www.bleepingcomputer.com/news/security/fbi-and-cisa-warn-of-state-hackers-attacking-fortinet-fortios-servers/) BleepingComputer earlier this week. "If customers have not done so, we urge them to immediately implement the upgrade and mitigations."





## Tags:
***CVE's***: CVE-2020-12812 CVE-2019-5591 CVE-2018-13379
***email-adresses***: eternalnightmare@tutanota.com qkhooks0708@protonmail.com

### Autogenerated tags:
[[ransomware]] [[cring]] [[fortinet]] [[cve-2018-13379]] [[kaspersky]] [[vpn]]
