# New Flagpro malware linked to Chinese state-backed hackers
## The cyber-espionage APT (advanced persistent threat) group tracked as 'BlackTech' was spotted using a novel malware called 'Flagpro' in attacks against Japanese firms.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-flagpro-malware-linked-to-chinese-state-backed-hackers/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 28 December 2021, 19:23
+ Date scraped: 28 December 2021, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/28/hacker.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/12/28/hacker.jpg)

![hacker](https://www.bleepstatic.com/content/hl-images/2021/12/28/hacker.jpg?rand=638493247)


BlackTech cyber-espionage APT (advanced persistent threat) group has been spotted targeting Japanese companies using novel malware that researchers call ‘Flagpro’.![](data:image/gif;base64,R0lGODlhAQABAPABAP///wAAACH5BAEKAAAALAAAAAABAAEAAAICRAEAOw== "Click and drag to move")


The threat actor uses Flagpro in the initial stage of an attack for network reconnaissance, to evaluate the target’s environment, and to download second-stage malware and execute it.


Breaching corporate networks
----------------------------


The infection chain begins with a phishing email crafted for the target organization, pretending to be a message from a trustworthy partner.


The email carries a password-protected ZIP or RAR attachment that contains a Microsoft Excel file (.XLSM) laced with a malicious macro. Running this code creates an executable in the startup directory, the Flagpro.


On its first execution, Flagpro connects to the C2 server via HTTP and sends system ID details obtained by running hardcoded OS commands.


In response, the C2 can send back additional commands or a second-stage payload that Flagpro can execute.



![An example of a sent command](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/command-reception.png)**An example of a sent command**  
*Source: NTT Security*
The communication between the two is encoded with Base64, and there’s also a configurable time delay between connections to avoid creating a pattern of identifiable operations.



![Communication between Flagpro and the C2](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Communication between Flagpro and the C2**  
*Source: NTT Security*
According to a report by NTT Security, Flagpro has been deployed against Japanese firms for more than a year, since at least October 2020. The most recent sample the researchers could retrieve is from July 2021.


The targeted entities are from various sectors, including defense technologies, media, and communications.


Flagpro v2.0
------------


At some point in their analysis, NTT researchers noticed a new version of Flagpro, which can automatically close dialogs relevant to establishing external connections that could reveal its presence to the victim.


“In the implementation of Flagpro v1.0, if a dialog titled “Windows セキュリティ” is displayed when Flagpro accesses to an external site, Flagpro automatically clicks OK button to close the dialog,” explains the [NTT Security report](https://insight-jp.nttsecurity.com/post/102hf3q/flagpro-the-new-malware-used-by-blacktech).


“This handling also works when the dialog is written in Chinese or English. It indicates the targets are in Japan, Taiwan, and English-speaking countries.”



![Inserted code serving as obfuscation in Flagpro v2.0](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Inserted code serving as obfuscation in Flagpro v2.0**  
*Source: NTT Security*
Likely a Chinese actor
----------------------


BlackTech APT is a lesser-known actor that [TrendMicro](https://www.trendmicro.com/en_us/research/17/f/following-trail-blacktech-cyber-espionage-campaigns.html) researchers first spotted in the summer of 2017 and is associated with China.


Its typical targets are in Taiwan, although it occasionally attacked companies in Japan and Hong Kong to steal technology.


In February 2021, a Unit 42 report [connected BlackTech to WaterBear](https://www.bleepingcomputer.com/news/security/new-bendybear-apt-malware-gets-linked-to-chinese-hacking-group/); another cyber-espionage group believed to be backed by the Chinese government.


As an APT, BlackTech possesses the knowledge and sophistication to adjust its tools to new reports like this one, so Flagpro will likely now be modified for stealthier deployment.


As the NTT report concludes: “Recently, they (BlackTech) have started using other new malware called “SelfMake Loader” and “Spider RAT”. It means that they are actively developing new malware.”


Defenders need to take note of the new indicators of compromise related to the new malware and follow all best security practices to maintain strong defenses against sophisticated threats like BlackTech.







## Tags:


### Autogenerated tags:
[[flagpro]] [[ntt]] [[blacktech]] [[malware]] [[c2]]
