# New P2PInfect worm malware targets Linux and Windows Redis servers
## Earlier this month, security researchers discovered a new peer-to-peer (P2P) malware with self-spreading capabilities that targets Redis instances running on Internet-exposed Windows and Linux systems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-p2pinfect-worm-malware-targets-linux-and-windows-redis-servers/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 20 July 2023, 08:02
+ Date scraped: 20 July 2023, 13:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/07/20/Redis.jpg)



Earlier this month, security researchers discovered a new peer-to-peer (P2P) malware with self-spreading capabilities that targets Redis instances running on Internet-exposed Windows and Linux systems.


The Unit 42 researchers who spotted the Rust-based worm (named **P2PInfect**) on July 11 also found that it hacks into Redis servers that have been left vulnerable to the maximum severity [CVE-2022-0543](https://nvd.nist.gov/vuln/detail/CVE-2022-0543) Lua sandbox escape vulnerability.


While over Internet-exposed 307,000 Redis servers have been discovered in the last two weeks, only 934 instances are potentially vulnerable to this malware's attacks, according to the researchers.


However, even if not all are susceptible to infection, the worm will still target and try to compromise them.


"We have caught several samples within our HoneyCloud platform, across multiple geographic regions, and we strongly believe the number of P2P nodes is growing," [the researchers said](https://unit42.paloaltonetworks.com/peer-to-peer-worm-p2pinfect/).


"This is due to the volume of potential targets – over 307,000 Redis instances communicating publicly over the last two weeks – and since the worm was able to compromise multiple of our Redis honeypots across disparate regions. However, we don't have an estimate yet of how many nodes exist or how fast the malicious network associated with P2PInfect is growing."


## Targets set on cloud container environments


Successful exploitation of the CVE-2022-0543 flaw allows the malware to gain remote code execution capabilities on compromised devices.


Following its deployment, the P2PInfect worm installs a first malicious payload, creating a peer-to-peer (P2P) communication channel within a broader interconnected system.


After it connects to the P2P network of other infected devices used for auto-propagation, the worm downloads additional malicious binaries, including scanning tools to find other exposed Redis servers.


"Exploiting CVE-2022-0543 in this way makes the P2PInfect worm more effective at operating and propagating in cloud container environments," the researchers added.


"Unit 42 believes this P2PInfect campaign is the first stage of a potentially more capable attack that leverages this robust P2P command and control (C2) network."


Redis servers have been targeted by [many threat actors](https://www.bleepingcomputer.com/tag/redis/) over the years, most of them being added to DDoS and cryptojacking botnets.


For instance, CVE-2022-0543 exploits have been used for initial access by other botnets targeting Redis instances, including [Muhstik](https://www.bleepingcomputer.com/news/security/public-redis-exploit-used-by-malware-gang-to-grow-botnet/) and [Redigo](https://www.bleepingcomputer.com/news/security/new-redigo-malware-drops-stealthy-backdoor-on-redis-servers/), for various malicious purposes, including DDoS and brute-forcing attacks.


In March 2022, the U.S. Cybersecurity and Infrastructure Security Agency (CISA) ordered federal civilian agencies [to patch this critical Redis vulnerability](https://www.bleepingcomputer.com/news/security/cisa-warns-orgs-to-patch-actively-exploited-chrome-redis-bugs/) after it was added to the spreader exploit used by the Muhstik malware gang.


Unfortunately, based on the large number of instances exposed online, many Redis server admins may not be aware that Redis lacks a secure-by-default configuration.


According to the [official documentation](https://redis.io/docs/getting-started/#securing-redis), Redis servers are designed for closed IT networks, and thus, they do not come with an access control mechanism enabled by default.





## Tags:
***CVE's***: CVE-2022-0543

### Autogenerated tags:
[[redis]] [[p2p]] [[p2pinfect]] [[malware]] [[cve-2022-0543]]
