# New Raspberry Robin worm uses Windows Installer to drop malware
## Red Canary intelligence analysts have discovered a new Windows malware with worm capabilities that spreads using external USB drives.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-raspberry-robin-worm-uses-windows-installer-to-drop-malware/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 05 May 2022, 21:36
+ Date scraped: 05 May 2022, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/05/05/Red_bird__robin.jpg)



Red Canary intelligence analysts have discovered a new Windows malware with worm capabilities that spreads using external USB drives.


This malware is linked to a cluster of [malicious activity](https://www.virustotal.com/gui/collection/cea528052dc6137b9ec1f2b03342921894fd0bb3b21209320bfdcb4ff7d27fb8) dubbed Raspberry Robin and was first observed in September 2021.


Red Canary's Detection Engineering team detected the worm in multiple customers' networks, some in the technology and manufacturing sectors.


Raspberry Robin spreads to new Windows systems when an infected USB drive containing a malicious .LNK file is connected.


Once attached, the worm spawns a new process using cmd.exe to launch a malicious file stored on the infected drive.


## Windows legitimate tools abused to install malware


It uses [Microsoft Standard Installer](https://docs.microsoft.com/en-us/windows/win32/msi/standard-installer-command-line-options) (msiexec.exe) to reach out to its command-and-control (C2) servers, likely hosted on compromised QNAP devices and using TOR exit nodes as additional C2 infrastructure.


"While msiexec.exe downloads and executes legitimate installer packages, adversaries also leverage it to deliver malware," the researchers [said](https://redcanary.com/blog/raspberry-robin/).


"Raspberry Robin uses msiexec.exe to attempt external network communication to a malicious domain for C2 purposes."


While they haven't yet found if it establishes persistence and through which methods, they suspect that the malware installs a malicious DLL file [[1](https://www.virustotal.com/gui/file/1a5fcb209b5af4c620453a70653263109716f277150f0d389810df85ec0beac1/), [2](https://www.virustotal.com/gui/file/c0a13af59e578b77e82fe0bc87301f93fc2ccf0adce450087121cb32f218092c/)] on compromised machines to resist removal between restarts.


Raspberry Robin launches this DLL with the help of two other legitimate Windows utilities: fodhelper (a trusted binary for managing features in Windows settings) and odbcconf (a tool for configuring ODBC drivers).


The first allows it to bypass User Account Control (UAC), while the second will help execute and configure the DLL.



![Raspberry Robin worm infection flow](https://www.bleepstatic.com/images/news/u/1109292/2022/Raspberry%20Robin%20worm.jpg)*Raspberry Robin worm infection flow (Red Canary)*
## How and why?


While the Red Canary analysts have been able to closely inspect what the newly discovered does on infected systems, there are still several questions that need to be answered.


"First and foremost, we don't know how or where Raspberry Robin infects external drives to perpetuate its activity, though it's likely this occurs offline or otherwise outside of our visibility. We also don't know why Raspberry Robin installs a malicious DLL," the researchers said.


"One hypothesis is that it may be an attempt to establish persistence on an infected system, though additional information is required to build confidence in that hypothesis."


Since there is no info on this malware's end-stage malicious tasks, another question that needs an answer is what is the Raspberry Robin operators' goal.


Further technical information on the Raspberry Robin worm, including indicators of compromise (IOCs) and an ATT&CK of this malware, can be found in [Red Canary's report](https://redcanary.com/blog/raspberry-robin/).





## Tags:


### Autogenerated tags:
[[malware]] [[windows]] [[dll]] [[msiexec.exe]] [[c2]]
