# North Korean Lazarus hackers take aim at U.S. energy providers
## The North Korean APT group 'Lazarus' (APT38) is exploiting VMWare Horizon servers to access the corporate networks of energy providers in the United States, Canada, and Japan.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/north-korean-lazarus-hackers-take-aim-at-us-energy-providers/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 08 September 2022, 12:00
+ Date scraped: 08 September 2022, 14:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/09/07/lazarus-new.png)



The North Korean APT group 'Lazarus' (APT38) is exploiting VMWare Horizon servers to access the corporate networks of energy providers in the United States, Canada, and Japan.


Lazarus is a state-backed threat actor known for conducting espionage, data theft, and cryptocurrency stealing campaigns over the past decade. The threat actors are responsible for hundreds of sophisticated attacks internationally.


According to researchers at Cisco Talos, who uncovered the latest operation, Lazarus targeted the energy organizations between February and July 2022, leveraging public VMWare Horizon exploits for initial access.


From there, they used custom malware families like 'VSingle' and 'YamaBot' and a previously unknown remote access trojan (RAT) named 'MagicRAT' that is used to search for and steal data from infected devices.


Symantec's threat hunters analyzed the same campaign [in April](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/stonefly-north-korea-espionage) and ASEC researchers [in May](https://www.bleepingcomputer.com/news/security/lazarus-hackers-target-vmware-servers-with-log4shell-exploits/). However, Cisco's report goes deeper to unveil many more details about the threat actor's activity.


## Multiple attack strategies


Cisco Talos presents several attack strategies that illustrate Lazarus' latest techniques, tactics, and procedures (TTPs) and highlight the versatility of the sophisticated hacking group.


In the first case, the threat actors exploit VMWare servers vulnerable to Log4Shell flaws to run shellcode that establishes a reverse shell for running arbitrary commands on the compromised endpoint.



![One of Lazarus' infection chains in the campaign](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/victim-1-chain.png)**One of Lazarus' infection chains in the campaign** *(Cisco Talos)*


Since VMWare Horizon runs with high privileges, Lazarus can deactivate Windows Defender via registry key modifications, WMIC, and PowerShell commands before deploying VSingle.


The VSingle backdoor supports advanced network reconnaissance commands, prepares the ground for stealing credentials, creates new admin users on the host, and finally establishes a reverse shell connection with the C2 to fetch plugins that enrich its functionality.



![The VSingle infection chain](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/vsingle-chain.png)**The VSingle infection chain** *(Cisco Talos)*


In the second case presented in the report, which concerns a different victim, the initial access and reconnaissance follow similar patterns, but this time, the hackers dropped MagicRAT along with VSingle.


Talos published [a separate post on MagicRAT](https://blog.talosintelligence.com/2022/09/lazarus-magicrat.html) yesterday, detailing all the functions of this previously unseen trojan.


MagicRAT can establish persistence on its own by executing hardcoded commands that create the required scheduled tasks, help in system reconnaissance, and fetch additional malware from C2, like the TigerRAT.



![Commands MagicRAT uses for persistence](https://www.bleepstatic.com/images/news/u/1220909/Security/magic-rat-persistence.png)**Commands MagicRAT uses for persistence** *(Cisco Talos)*


In the third intrusion case, Lazarus deploys YamaBot, a custom malware written in Go, featuring standard RAT capabilities such as:


* List files and directories.
* Send process information to C2.
* Download files from remote locations.
* Execute arbitrary commands on the endpoints.
* Uninstall itself

The Japanese CERT linked YamaBot with Lazarus [in July 2022](https://blogs.jpcert.or.jp/en/2022/07/yamabot.html), highlighting its encrypted C2 communication capabilities.


Lazarus attack chain diversification isn’t limited to the final malware payloads but extends to the proxy or reverse tunneling tools and credential harvesting techniques.


In some cases, the hackers employed the Mimikatz and Procdump tools, while in others, they exfiltrated copies of registry hives containing AD credentials.


“In one instance, the attackers tried to obtain Active Directory information on one endpoint via PowerShell cmdlets. However, a day later, the attackers used adfind.exe to extract similar information on the same endpoint,” [explains Cisco Talos in the report](https://blog.talosintelligence.com/2022/09/lazarus-three-rats.html).


The idea behind these variations is to mix up TTPs and make attribution, detection, and defense more challenging for incident responders.


As highlighted in this report, Lazarus is closely monitored by cybersecurity firms, so they can't afford to become lazy in diversifying their attack chains.


This diversification in attacks is illustrated in the Lazarus hacker's [wide range of attacks](https://www.bleepingcomputer.com/tag/lazarus-group/), including their [targeting of IT job seekers](https://www.bleepingcomputer.com/news/security/north-korean-hackers-use-signed-macos-malware-to-target-it-job-seekers/), the [creation of fake cryptocurrency trading apps](https://www.bleepingcomputer.com/news/security/us-warns-of-lazarus-hackers-using-malicious-cryptocurrency-apps/), the creation of [trojanized development tools](http://trojanized%20IDA%20Pro), the [use of ransomware as decoys](https://www.bleepingcomputer.com/news/security/north-korean-hackers-used-hermes-ransomware-to-hide-recent-bank-heist/), and the massive [$620 million theft of cryptocurrency theft](https://www.bleepingcomputer.com/news/security/fbi-links-largest-crypto-hack-ever-to-north-korean-hackers/) from the Ronin bridge.





## Tags:


### Autogenerated tags:
[[talos]] [[vmware]] [[malware]] [[vsingle]] [[c2]] [[magicrat]]
