# Over 100 US and EU orgs targeted in StrelaStealer malware attacks
## A new large-scale StrelaStealer malware campaign has impacted over a hundred organizations across the United States and Europe, attempting to steal email account credentials.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/over-100-us-and-eu-orgs-targeted-in-strelastealer-malware-attacks/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 24 March 2024, 10:19
+ Date scraped: 24 March 2024, 15:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/28/hand-sifting-data.jpg)



A new large-scale StrelaStealer malware campaign has impacted over a hundred organizations across the United States and Europe, attempting to steal email account credentials.


StrelaStealer was first documented in [November 2022](https://www.bleepingcomputer.com/news/security/new-strelastealer-malware-steals-your-outlook-thunderbird-accounts/) as a new information-stealing malware that steals email account credentials from Outlook and Thunderbird.


One notable characteristic of the malware was using a polyglot file infection method to evade detection from security software.


At the time, StrelaStealer was seen targeting predominately Spanish-speaking users. However, according to a recent report by [Palo Alto Networks' Unit42](https://unit42.paloaltonetworks.com/strelastealer-campaign/), this has changed as the malware now targets people from the U.S. and Europe.


StrelaStealer is distributed through phishing campaigns that showed a significant uptick in November 2023, some days targeting over 250 organizations in the U.S.


The elevated phishing email distribution volumes continued into 2024, with a significant wave of activity being recorded by Unit42 analysts between late January and early February 2024.



![StrelaStealer latest distribution volumes](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/09/distribution-volume.png)**StrelaStealer latest distribution volumes** *(Unit42)*


In some days during that period, the attacks in the U.S. surpassed 500, while Unit42 says it has confirmed at least 100 compromises in the country as well as Europe.


The malware operators used English and other European languages to adjust their attacks as needed.



![Invoice-themed email written in German](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/09/email(1).png)**Invoice-themed email written in German** *(Unit42)*


Most targeted entities operate in the 'high tech' space, followed by sectors like finance, legal services, manufacturing, government, utilities and energy, insurance, and construction.



![Targeted sectors](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/09/sectors.png)**Targeted sectors** *(Unit42)*


New infection method
--------------------


StrelaStealer's original infection mechanisms from late 2022 have evolved, though the malware still uses malicious emails as the primary infection vector.


Previously, the emails attached .ISO files containing a .lnk shortcut and an HTML file, which utilized polyglotism to invoke 'rundll32.exe' and execute the malware payload.


The latest infection chain uses ZIP attachments to drop JScript files on the victim's system. When executed, the scripts drop a batch file and a base64-encoded file that decodes into a DLL. That DLL is executed via rundll32.exe again to deploy the StrelaStealer payload.



![Old and new infection chains](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/09/infection-chain.png)**Old and new infection chains** *(Unit42)*


Additionally, the newest version of the malware employs control flow obfuscation in its packing to complicate analysis and removes PDB strings to evade detection by tools relying on static signatures.


StrelaStealer's primary function remains the same: to steal email login information from popular email clients and send it to the attackers' command and control (C2) server.


Users should exercise vigilance when receiving unsolicited emails that purport to involve payments or invoices and refrain from downloading attachments from unknown senders.





## Tags:


### Autogenerated tags:
[[strelastealer]] [[malware]] [[unit42]] [[u.s]] [[emails]]
