# Purple Fox malware distributed via malicious Telegram installers
## A laced Telegram for desktop installer was spotted distributing the Purple Fox malware while disabling the UAC on the infected systems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/purple-fox-malware-distributed-via-malicious-telegram-installers/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 03 January 2022, 20:45
+ Date scraped: 04 January 2022, 07:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/20/purplefox.png)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/10/20/purplefox.png)

![purple-fox](https://www.bleepstatic.com/content/hl-images/2021/10/20/purplefox.png?rand=1180089916)


A malicious Telegram for Desktop installer distributes the Purple Fox malware to install further malicious payloads on infected devices.


The installer is a compiled AutoIt script named "Telegram Desktop.exe" that drops two files, an actual Telegram installer, and a malicious downloader.


While the legitimate Telegram installer dropped alongside the downloader isn't executed, the AutoIT program does run the downloader (TextInputh.exe).



![Dropped files on infected machine](https://www.bleepstatic.com/images/news/u/1220909/Security/dropped-files.png)**Dropped files on infected machine**  
*Source: Minerva Labs*
When TextInputh.exe is executed, it will create a new folder ("1640618495") under "C:\Users\Public\Videos\" and connect to the C2 to download a 7z utility and a RAR archive (1.rar).


The archive contains the payload and the configuration files, while the 7z program unpacks everything onto the ProgramData folder.


As detailed in an analysis by [Minerva Labs](https://blog.minerva-labs.com/malicious-telegram-installer-drops-purple-fox-rootkit), TextInputh.exe performs the following actions onto the compromised machine:


* Copies 360.tct with “360.dll” name, rundll3222.exe, and svchost.txt to the ProgramData folder
* Executes ojbk.exe with the “ojbk.exe -a” command line
* Deletes 1.rar and 7zz.exe and exits the process


![Purple Fox infection flow](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/infection-flow.jpg)**Purple Fox infection flow**  
*Source: Minerva Labs*
Next, a registry key is created for persistence, a DLL (rundll3222.dll) disables UAC, the payload (scvhost.txt) is executed, and the following five additional files are dropped onto the infected system:


1. Calldriver.exe
2. Driver.sys
3. dll.dll
4. kill.bat
5. speedmem2.hg

The purpose of these extra files is to collectively block the initiation of 360 AV processes and prevent the detection of Purple Fox on the compromised machine.


The next step for the malware is to gather basic system information, check if any security tools are running on it, and finally send all that to a hardcoded C2 address.


Once this reconnaissance process is completed, Purple Fox is downloaded from the C2 in the form of an .msi file that contains encrypted shellcode for both 32 and 64-bit systems.


Upon execution of Purple Fox, the infected machine will be restarted for the new registry settings to take effect, most importantly, the disabled User Account Control (UAC).


To achieve this, the dll.dll file sets the following three registry keys to 0:


1. HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System ConsentPromptBehaviorAdmin
2. HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System\EnableLUA
3. HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System\PromptOnSecureDesktop


![Dll disabling UAC on the target system](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Dll disabling UAC on the target system**  
*Source: Minerva Labs*
Disabling [bypassing UAC](https://www.bleepingcomputer.com/news/security/bypassing-windows-10-uac-with-mock-folders-and-dll-hijacking/) is vital because it gives any program that runs on the infected system, including viruses [and malware](https://www.bleepingcomputer.com/news/security/trickbot-uses-a-new-windows-10-uac-bypass-to-launch-quietly/), administrator privileges.


In general, UAC prevents the unauthorized installation of apps or the changing of system settings, so it should stay active on Windows at all times.


Disabling it permits Purple Fox to perform malicious functions such as file search and exfiltration, process killing, deletion of data, [downloading and running code](https://www.bleepingcomputer.com/news/security/new-purplefox-botnet-variant-uses-websockets-for-c2-communication/), and even [worming to other Windows systems](https://www.bleepingcomputer.com/news/security/purple-fox-malware-worms-its-way-into-exposed-windows-systems/).


At this time, it is unknown how the malware is being distributed but similar malware campaigns impersonating legitimate software were distributed via YouTube videos, forum spam, and shady software sites.







## Tags:


### Autogenerated tags:
[[malware]] [[uac]] [[downloader]] [[textinputh.exe]] [[c2]]
