# ShadowSyndicate hackers linked to multiple ransomware ops, 85 servers
## Security researchers have identified infrastructure belonging to a threat actor now tracked as ShadowSyndicate, who likely deployed seven different ransomware families in attacks over the past year.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/shadowsyndicate-hackers-linked-to-multiple-ransomware-ops-85-servers/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 26 September 2023, 05:11
+ Date scraped: 26 September 2023, 10:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/30/evil-creepy-red-thing.jpg)



Security researchers have identified infrastructure belonging to a threat actor now tracked as ShadowSyndicate, who likely deployed seven different ransomware families in attacks over the past year.


Group-IB analysts attribute with various degrees of confidence ShadowSyndicate's use of the Quantum, Nokoyawa, BlackCat/ALPHV, Clop, Royal, Cactus, and Play ransomware in breaches since July 2022.


Based on their findings, researchers believe that the threat actor could be an initial access broker (IAB), although evidence suggests that ShadowSyndicate is an affiliate to multiple ransomware operations.


The researchers base their conclusions on a distinct SSH fingerprint they discovered on 85 IP servers, most of them tagged as Cobalt Strike command and control machines.



"We have dubbed the threat actor that uses the SSH fingerprint 1ca4cbac895fc3bd12417b77fc6ed31d ShadowSyndicate (previous name Infra Storm)" - Group-IB



Group-IB first saw the fingerprint on July 16, 2022, and it was still in use in August 2023.



![Hosts associated with the same SSH fingerprint](https://www.bleepstatic.com/images/news/u/1220909/2023/Ransomware/45/ssh-hosts.jpg)**Hosts associated with the same SSH fingerprint** *(Group-IB)*


ShadowSyndicate arsenal
-----------------------


Group-IB researchers relied on various tools for their investigation, which included discovery engines like Shodan and Censys, along with various OSINT techniques. This allowed them to discover an extensive ShadowSyndicate activity footprint.


Looking at the ShadowSyndicate servers identified based on the SSH fingerprint, the researchers "came across eight different Cobalt Strike watermarks [license keys]."


The eight Cobalt Strike servers communicated with Cactus, Royal, Quantum, Nokoyawa, Play, Clop, and BlackCat/ALPHV ransomware deployed on various victim networks.


The researchers also discovered Cobalt Strike configurations deployed on two servers, but only one of them on a machine featuring the ShadowSyndicate SSH fingerprint.


In some attacks, ShadowSyndicate used the [Sliver penetration tool](https://www.bleepingcomputer.com/news/security/hackers-adopt-sliver-toolkit-as-a-cobalt-strike-alternative/) that was previously regarded as a potential replacement for Cobalt Strike.


Other tools seen in ShadowSyndicate attacks include the IcedID malware loader, the Matanbuchus MaaS loader, and the Meterpreter Metasploit payload.


Server analysis
---------------


Group-IB tested the hypothesis that all 85 servers with the same SSH key fingerprint linked to ShadowSyndicate are connected to a single hosting provider but found 18 different owners, 22 distinct network names, and 13 different locations.



![Location of servers](https://www.bleepstatic.com/images/news/u/1220909/2023/Ransomware/45/location.jpg)**Location of servers** *(Group-IB)*


Analysis of Cobalt Strike C2 parameters like detection date, watermarks, or sleep time settings helped produce high-confidence evidence that links ShadowSyndicate to Quantum, Nokoyawa, and ALPHV/BlackCat ransomware.


Specifically, Group-IB linked the servers to a Quantum attack from September 2022, three Nokoyawa attacks from Q4 2022 and April 2023, and an ALPHV attack from February 2023.


Group-IB has found additional evidence that connects ShadowSyndicate with less confidence to Ryuk, Conti, Trickbot, Royal, Clop, and Play malware operations.


For Clop particularly, Group-IB mentions that at least 12 IP addresses formerly linked to the notorious ransomware operators were transferred to ShadowSyndicate since August 2022 and are now utilized for Cobalt Strike.



![IP address overlaps between Clop and ShadowSyndicate](https://www.bleepstatic.com/images/news/u/1220909/2023/Ransomware/45/clop-connection.jpg)**IP address overlaps between Clop and ShadowSyndicate** *(Group-IB)*


Despite the many findings that suggest a potential connection, a high-confidence direct link between ShadowSyndicate and Clop remains elusive.


Group-IB concludes that ShadowSyndicate is likely an affiliate working with various ransomware-as-a-service (RaaS) operations. However, additional evidence is needed to support this theory.


Nevertheless, this work is crucial in identifying and combating cybercrime, and in this spirit, the cyberintelligence firm invites external researchers to openly collaborate with them and help uncover the remaining obscure parts.


For details that could help defenders detect and attribute ShadowSyndicate activity, Group-IB has [published a report today](https://www.group-ib.com/blog/shadowsyndicate-raas/) with technical data from their research.





## Tags:
***MD5-hash***: 1ca4cbac895fc3bd12417b77fc6ed31d

### Autogenerated tags:
[[shadowsyndicate]] [[group-ib]] [[ransomware]] [[ssh]] [[nokoyawa]] [[ip]]
