# TellYouThePass ransomware returns as a cross-platform Golang threat
## TellYouThePass ransomware has re-emerged as a Golang-compiled malware, making it easier to target major platforms beyond Windows, like macOS and Linux.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/tellyouthepass-ransomware-returns-as-a-cross-platform-golang-threat/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 12 January 2022, 16:36
+ Date scraped: 12 January 2022, 17:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/12/code.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2022/01/12/code.jpg)

![codingTellYouThePass ransomware returns in Golang form](https://www.bleepstatic.com/content/hl-images/2022/01/12/code.jpg?rand=686026498)


TellYouThePass ransomware has re-emerged as a Golang-compiled malware, making it easier to target more operating systems, macOS and Linux, in particular.


The return of this malware strain was noticed [last month](https://www.bleepingcomputer.com/news/security/tellyouthepass-ransomware-revived-in-linux-windows-log4j-attacks/), when threat actors used it in conjunction with the Log4Shell exploit to target vulnerable machines.


Now, a report from Crowdstrike sheds more light on this return, focusing on code-level changes that make it easier to compile for other platforms than Windows.


Why Golang?
-----------


Golang is a programming language first adopted by malware authors [in 2019](https://www.bleepingcomputer.com/news/security/glupteba-malware-uses-bitcoin-blockchain-to-update-c2-domains/) due to its [cross-platform versatility](https://www.bleepingcomputer.com/news/security/hackers-deploy-linux-malware-web-skimmer-on-e-commerce-servers/). 


Furthermore, Golang allows lining dependency libraries into a single binary file, which leads to a smaller footprint of command and control (C2) server communications, thus reducing [detection rates](https://www.bleepingcomputer.com/news/security/linux-malware-authors-use-ezuri-golang-crypter-for-zero-detection/).


It is also easier to learn than other programming languages, e.g. Python, and features modern debugging and plugin tools that simplify the programming process.


A notable example of a successful malware written in Golang is the Glupteba botnet, which was [disrupted](https://www.bleepingcomputer.com/news/security/google-disrupts-massive-glupteba-botnet-sues-russian-operators/) last month by Google’s security specialists.


New TellYouThePass samples
--------------------------


[Crowdstrike analysts report](https://www.crowdstrike.com/blog/tellyouthepass-ransomware-analysis-reveals-modern-reinterpretation-using-golang/) a code similarity of 85% between the Linux and Windows samples of TellYouThePass, showcasing the minimal adjustments needed to make the ransomware run on different operating systems.



![Functions on the Windows and Linux samples](https://www.bleepstatic.com/images/news/u/1220909/ransomware/linux-windows.png)**Functions on the Windows and Linux samples**  
*Source: Crowdstrike*
One noteworthy change in the latest samples of the ransomware is the randomization of the names of all functions apart from the ‘main’ one, which attempts to thwart analysis.


Prior to initiating the encryption routine, TellYouThePass kills tasks and services that could risk the process or result in incomplete encryption, like email clients, database apps, web servers, and document editors.


Moreover, some directories are excluded from encryption to prevent rendering the system non-bootable and thus waste any chance to get paid.



![List of directories excluded from encryption](https://www.bleepstatic.com/images/news/u/1220909/ransomware/excluded.jpg)**Directories excluded from encryption**  
*Source: Crowdstrike*
The ransom note dropped in the recent TellYouThePass infections asks for 0.05 Bitcoin, currently converting to about $2,150, in exchange for the decryption tool.



![Ransom note dropped in recent attacks](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Ransom note dropped in recent attacks**  
*Source: Crowdstrike*
The encryption scheme uses the RSA-2014 and AES-256 algorithms, and there is no free decryptor available.


For the time being, macOS samples have not been spotted.







## Tags:


### Autogenerated tags:
[[tellyouthepass]] [[malware]] [[crowdstrike]] [[ransomware]] [[linux]] [[windows]] [[golang]]
