# Vulnerable Microsoft SQL Servers targeted with Cobalt Strike
## Threat analysts have observed a new wave of attacks installing Cobalt Strike beacons on vulnerable Microsoft SQL Servers, leading to deeper infiltration and subsequent malware infections.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/vulnerable-microsoft-sql-servers-targeted-with-cobalt-strike/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 22 February 2022, 18:08
+ Date scraped: 22 February 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/13/Cobalt--Strike.jpg)



Threat analysts have observed a new wave of attacks installing Cobalt Strike beacons on vulnerable Microsoft SQL Servers, leading to deeper infiltration and subsequent malware infections.


MS-SQL Server is a popular database management system powering large internet applications to small single-system applets.


However, [many of these deployments](https://www.bleepingcomputer.com/news/security/hacker-group-backdoors-thousands-of-microsoft-sql-servers-daily/) aren't adequately secured as they are publicly exposed to the Internet with weak passwords, and according to a report by Ahn Lab's ASEC, an unknown threat actor is taking advantage of this.


## Targeting MS-SQL with Cobalt Strike


The attacks start with threat actors scanning for servers with an open TCP port 1433, which are likely public-facing MS-SQL servers. The attacker then carries out brute-forcing and dictionary attacks to crack the password. For the attack to work with either method, the target password has to be weak.


Once the attacker gains access to the admin account and logs into the server, the ASEC researchers have seen them drop coin-miners such as [Lemon Duck](https://www.bleepingcomputer.com/news/security/lemon-duck-cryptominer-malware-now-targets-linux-devices/), KingMiner, and Vollgar. Additionally, the threat actor backdoors the server with Cobalt Strike to establish persistence and perform lateral movement.


Cobalt Strike is downloaded via a command shell process (cmd.exe and powershell.exe) onto the compromised MS-SQL and is injected and executed in MSBuild.exe to evade detection.



![Processes that download Cobalt Strike](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/process(1).jpg)**Processes that download Cobalt Strike** *(ASEC)*
After execution, a beacon is injected into the legitimate Windows wwanmm.dll process and waits for the attacker's commands while staying hidden inside a system library file.


"As the beacon that receives the attacker’s command and performs the malicious behavior does not exist in a suspicious memory area and instead operates in the normal module wwanmm.dll, it can bypass memory-based detection," explains [the report](http://asec.ahnlab.com/en/31811/) by Ahn Lab's ASEC group.



![Code and strings used for tainting the dll](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/dll.png)**Code and strings used for tainting the dll** *(ASEC)*
Cobalt Strike is a commercial pen-testing (offensive security) tool that is extensively abused by cybercriminals who find its powerful features set particularly useful for their malicious operations.


The $3,500 per license tool was meant to help ethical hackers and red teams simulate real attacks against organizations that want to boost their security stance, but from the moment cracked versions were leaked, its use by threat actors went out of control.


It's now used by [Squirrelwaffle](https://www.bleepingcomputer.com/news/security/spammers-use-squirrelwaffle-malware-to-drop-cobalt-strike/), [Emotet](https://www.bleepingcomputer.com/news/security/emotet-starts-dropping-cobalt-strike-again-for-faster-attacks/), [malware operators](https://www.bleepingcomputer.com/news/security/stealthy-blister-malware-slips-in-unnoticed-on-windows-systems/), [opportunistic attacks](https://www.bleepingcomputer.com/news/security/fake-kaseya-vsa-security-update-backdoors-networks-with-cobalt-strike/), [Linux-targeting groups](https://www.bleepingcomputer.com/news/security/hacker-made-linux-cobalt-strike-beacon-used-in-ongoing-attacks/), [sophisticated adversaries](https://www.bleepingcomputer.com/news/security/new-karakurt-hacking-group-focuses-on-data-theft-and-extortion/), and commonly by [ransomware gangs](https://www.bleepingcomputer.com/news/security/conti-ransomware-prioritizes-revenue-and-cyberinsurance-data-theft/) when conducting attacks.


The reason why threat actors abuse it so much is its rich functionality which includes the following:


* Command execution
* Keylogging
* File operations
* SOCKS proxying
* Privilege escalation
* Mimikatz (credential-stealing)
* Port scanning

Moreover, the Cobalt Strike agent called the "beacon" is file-less shellcode, so the chances of it being detected by security tools are decreased, especially in poorly managed systems.


AhnLab's data shows that all the download URLs and C2 server URLs that supported the recent attack wave point to the same attacker.


To protect your MS-SQL server from attacks of this type, use a strong admin password, place the server behind a firewall, log everything and monitor suspicious actions, apply available security updates, and use a data access controller to inspect and enforce policies on every transaction.





## Tags:


### Autogenerated tags:
[[ms-sql]] [[asec]]
