# Android-based banking Trojan Nexus now available as malware-as-a-service
## The recently evolved version of Nexus has targeted more than 450 banks and cryptocurrency services. Multiple threat actors are already found to be using Nexus to conduct fraudulent campaigns.
## Information:

+ Link: https://www.csoonline.com/article/3691652/android-based-banking-trojan-nexus-now-available-as-malware-as-a-service.html
+ Source: CSO
+ Author: Shweta Sharma
+ Date published: 24 March 2023, 11:20
+ Date scraped: 27 March 2023, 12:07

## Article:
![Main article image](https://images.techhive.com/images/article/2016/12/image_mobile-malware-100700025-large.jpg?auto=webp&quality=85,70)


Italian cybersecurity firm Cleafy has found “Nexus”, a new Android [Trojan](https://www.csoonline.com/article/3403381/what-is-a-trojan-horse-how-this-tricky-malware-works.html) capable of hijacking online accounts and siphoning funds from them, to be targeting customers from 450 banks and cryptocurrency services worldwide.

First observed in June 2022 as a variant of SOVA, another Android banking Trojan, Nexus has since improved targeting capabilities and is available via a [malware-as-a-service](https://www.csoonline.com/article/2130781/for--malware-as-a-service--merchants--business-is-booming.html) (MaaS) program for $3000 a month, and allows other attackers to rent or subscribe to the malware for personal attacks.

Multiple campaigns active worldwide confirm that multiple threat actors are already using this thread to conduct fraudulent campaigns, according to a Cleafy report.


## Nexus hacks android controls to steal user credentials

Cleafy observed Nexus to be employing several techniques for account takeover. One such technique involves performing overlay attacks and logging keystrokes to steal user credentials. When a customer of a targeted banking or cryptocurrency app uses his or her compromised android device, Nexus redirects them to a page masquerading as a genuine app login page and grabs the victim’s credentials using an embedded keylogger.

Nexus, like many banking Trojans, can gain access to online accounts by grabbing two-factor authentication codes from an intercepted SMS. The Trojan was found to be stealing seeds and balance information from cryptocurrency wallets, cookies from targeted websites, and two-factor codes of Google’s Authenticator app using Android’s “Accessibility services” features.

Cleafy found Nexus to have developed newer capabilities, which were absent in last year’s SOVA variant, including abilities to delete received authentication SMS messages, stop or activate the module for stealing Google Authenticator 2FA codes, and periodically check its own command-and-control server (C2) for updates and for automatically installing any that might become available.

## Modules have amateur giveaways, still striving for perfection

Despite its versatility for account takeovers and global reach, Cleafy designates Nexus to still be a “work in progress”. This is mainly due to the presence of debugging strings and the lack of usage references in certain modules of the malware.

The relatively high number of logging messages in the code suggests inadequate tracking and reporting of malware actions. Moreover, the current version of the malware does not sport a Virtual Network Computing ([VNC](https://www.computerworld.com/article/2785725/remote-access-with-vnc.html)) module for a complete remote-control takeover of a Nexus-infected device.

The VNC module allows threat actors to perform on-device fraud, one of the most dangerous types of fraud since money transfers are initiated from the same device used by victims daily, the report said.

A module still under development, as observed by Cleafy, seems to have encryption capabilities mostly for obfuscation purposes after a complete account takeover.





## Tags:


### Autogenerated tags:
[[android]] [[cleafy]] [[malware]]
