# New Mirai botnet variant V3G4 targets Linux servers, IoT devices
## The new V3G4 variant of Mirai, which creates botnets for DDoS attacks, exploited 13 different vulnerabilities in three campaigns over a six-month period, Palo Alto Network’s Unit 42 team reports.
## Information:

+ Link: https://www.csoonline.com/article/3688570/new-mirai-botnet-variant-v3g4-targets-linux-servers-iot-devices.html
+ Source: CSO
+ Author: Apurva Venkat
+ Date published: 17 February 2023, 15:04
+ Date scraped: 20 February 2023, 12:00

## Article:
![Main article image](https://images.idgesg.net/images/idge/imported/imageapi/2022/11/24/08/cio_cw_distributed_decentralized_global_network_africa_by_kontekbrothers_gettyimages-1004007018_2400x1600-100802403-large-100934845-large.jpg?auto=webp&quality=85,70)


A new variant of Mirai — the [botnet](https://www.csoonline.com/article/3240364/what-is-a-botnet.html) malware used to launch massive [DDoS](https://www.csoonline.com/article/3648530/ddos-attacks-definition-examples-and-techniques.html) attacks —has been targeting 13 vulnerabilities in [IoT](https://www.networkworld.com/article/3207535/what-is-iot-the-internet-of-things-explained.html) devices connected to Linux servers, according to researchers at Palo Alto Network’s Unit 42 cybersecurity team. 

Once the vulnerable devices are compromised by the variant, dubbed V3G4, they can fully controlled by attackers and become part of a botnet, capable of being used to conduct further campaigns, including DDoS attacks.

“The vulnerabilities have less attack complexity than previously observed variants, but they maintain a critical security impact that can lead to remote code execution,” Unit 42 said in its report on the new variant.


V3G4 activity was observed between July and December last year, in three campaigns, Unit 42 said.

All three campaigns appeared to be linked to the same variant and Mirai botnet for several reasons, according to the researchers. They noted that domains with the hard-coded command and control (C2) infrastructure — used to maintain communications with infected devices — contained the same character string format. In addition, the shell script downloads are similar, and the botnet used in all attacks features identical functions.

The threat actor deploying V3G4 exploited vulnerabilities that could lead to remote code execution, Code 42 said. Once executed, the malware has a function to check if the host device has already been infected. If it has been already infected it will exit the device. It also attempts to disable a set of processes from a hardcoded list, which includes other competing botnet malware families.

## How the V2G4 Mirai variant works

While most Mirai variants use the same key for string encryption, the V3G4 variant uses different XOR encryption keys for different scenarios, the researcher noted (XOR is a Boolean logic operation frequently used in encryption).  V3G4 packs a set of default or weak login credentials that it uses to carry out [brute-force attacks](https://www.csoonline.com/article/3563352/brute-force-attacks-explained-and-why-they-are-on-the-rise.html) through Telnet and SSH network protocols, and spread to other machines. After this, it establishes contact with the C2 server and waits to receive commands for launching DDoS attacks against targets, Unit 42 said. 

V3G4 has exploited vulnerabilities, including those in the FreePBX management tool for Asterisk communication servers (vulnerability [CVE-2012-4869](https://nvd.nist.gov/vuln/detail/CVE-2012-4869)); Atlassian Confluence ([CVE-2022-26134](https://nvd.nist.gov/vuln/detail/CVE-2022-26134)); the Webmin system administration tool ([CVE-2019-15107](https://nvd.nist.gov/vuln/detail/cve-2019-15107)); DrayTek Vigor ruters ([CVE-2020-8515:](https://nvd.nist.gov/vuln/detail/CVE-2020-8515) and [CVE-2020-15415](https://nvd.nist.gov/vuln/detail/CVE-2020-15415)); and the C-Data Web Management System ([CVE-2022-4257](https://nvd.nist.gov/vuln/detail/CVE-2022-4257)).

For a complete list of the exploited vulnerabilities that have been observed so far, suggestions for cybersecurity software that can detect and prevent infection, and code snippets that serve as indications of compromise, see [Palo Alto's advisory](https://unit42.paloaltonetworks.com/mirai-variant-v3g4/#post-126924-_gnm401264jq1). The Unit 42 team also recommends applying patches and updates to remediate the vulnerabilities, when possible.

## **How the Mirai botnet developed**

Over the past few years, Mirai has [tried to wrap its tentacles around SD-WAN](https://www.networkworld.com/article/3403016/report-mirai-tries-to-wrap-its-tentacles-around-sd-wan.html), [targeted enterprise videoconferencing systems](https://www.csoonline.com/article/3342207/iot-botnets-target-enterprise-video-conferencing-systems.html), and [leveraged Aboriginal Linux to infect multiple platforms.](https://www.csoonline.com/article/3300336/mirai-leveraging-aboriginal-linux-to-target-multiple-platforms.html)

[The Mirai botnet](https://www.csoonline.com/article/3258748/the-mirai-botnet-explained-how-teen-scammers-and-cctv-cameras-almost-brought-down-the-internet.html) was an iteration of a series of malware packages developed by Paras Jha, an undergraduate at Rutgers University. Jha posted it online under the name "Anna-Senpai," naming it Mirai (Japanese for "the future"). The botnet encapsulated some clever techniques, including a list of hardcoded passwords. 

In December 2016, Jha and his associates [pled guilty](https://www.justice.gov/usao-nj/pr/justice-department-announces-charges-and-guilty-pleas-three-computer-crime-cases)to crimes related to Mirai attacks. But by then the code was in the wild and being used as building blocks for further botnet controllers. 

This meant that anyone could use it to try infecting IoT devices and launching DDoS attacks, or sell that ability to the highest bidder. Many cybercriminals have done just that, or are tweaking and improving the code to make it even harder to fight against.

Mirai's first big wave of attacks came on September 19, 2016, and was used against the [French host OVH](https://www.csoonline.com/article/3124344/armies-of-hacked-iot-devices-launch-unprecedented-ddos-attacks.html). Mirai was also responsible for a 2016 DDoS attack on DNS provider Dyn, which involved about 100,000 infected devices. As a result, major internet platforms and services were unavailable to users in Europe and North America. 





## Tags:
***CVE's***: CVE-2019-15107 CVE-2012-4869 CVE-2020-8515 CVE-2022-26134 CVE-2022-4257 CVE-2020-15415

### Autogenerated tags:
[[mirai]] [[botnet]] [[v3g4]] [[ddos]] [[malware]] [[jha]]
