# TrickBot operators slowly abandon the botnet and replace it with Emotet
## Researchers believe the group behind TrickBot are moving the infected devices it controls to the newer, more difficult to detect Emotet malware.
## Information:

+ Link: https://www.csoonline.com/article/3651492/trickbot-operators-slowly-abandon-the-botnet-and-replace-it-with-emotet.html
+ Source: CSO
+ Author: Lucian Constantin
+ Date published: 24 February 2022, 18:45
+ Date scraped: 28 February 2022, 12:00

## Article:
![Main article image](https://images.techhive.com/images/article/2017/04/untitled-2-of-4-100720368-large.jpg?auto=webp&quality=85,70)


TrickBot, once one of the most active botnets on the internet and a primary delivery vehicle for ransomware, is no longer making new victims. However, there are signs its operators are transitioning the already infected computers to other botnets, including Emotet.

"Our team assesses with high confidence that Trickbot operators are working closely with the operators of Emotet," researchers from security firm Intel 471 said in [a new report](https://intel471.com/blog/trickbot-2022-emotet-bazar-loader). "There is clear evidence of this relationship, for example, the resurrection of Emotet began with Trickbot."

## **TrickBot and Emotet have long been friends**

[TrickBot](https://www.csoonline.com/article/3600457/trickbot-explained-a-multi-purpose-crimeware-tool-that-haunted-businesses-for-years.html) and Emotet are two Trojan programs that started out as malware tools focused on stealing online banking credentials but evolved into malware distribution platforms where they rented their access on systems to other cybercriminal gangs. Security researchers have long suspected that the group behind TrickBot were one of Emotet's largest customers and the two botnets were regularly distributing each other on infected computers. Furthermore, TrickBot served as one of the primary infection vectors for the Ryuk ransomware.

In October 2020, TrickBot was targeted in a coordinated action by Microsoft and other industry partners and ISPs which resulted in the disruption of all its command-and-control servers. However, its creators [started new spam campaigns](https://www.csoonline.com/article/3605073/trickbot-returns-with-campaign-against-legal-and-insurance-firms.html#jump) to regain control of the infected computers and slowly started to rebuild the botnet.

This was followed in January 2021 by [a takedown](https://www.csoonline.com/article/3605051/law-enforcement-takes-over-emotet-one-of-the-biggest-botnets.html) of the Emotet command-and-control infrastructure by law enforcement agencies in Europe. However, like TrickBot, Emotet started recovering, too, and a big reason for that was TrickBot itself. "On November 14, 2021, we observed Trickbot pushing a command to its bots to download and execute Emotet samples," the Intel 471 researchers said. "This marked the beginning of the return of Emotet."

## **No new TrickBot campaigns**

Researchers can easily monitor new TrickBot samples because they contain unique identification codes called gtags that operators use to determine the success of each distribution campaign. These gtags are formed from three letters and three numbers, known as sub-tags.

 According to Intel 471, in November there were eight different TrickBot builds with lipXXX gtag and eight with topXXX. The last builds with these gtags came in mid to late December and there have been no new builds since then or new gtags. Additionally, the malware configuration file mcconf that contains a list of command-and-control servers hasn't been updated since early December even though it used to receive regular updates.

This significant drop in new distribution campaigns suggests that the TrickBot operators are not interested in infecting new systems. The existing computers that make up the botnet still receive commands and injection scripts from the control servers, but this could be partially due to automation.


[![Cloud vs. on-prem? Now you can choose not to choose.](//ntvcld-a.akamaihd.net/image/upload/w_640,h_360,c_fill,g_auto:text,f_auto/assets/1C5687A536D84E46ACF3D5EAA05EE048.jpg "Cloud vs. on-prem? Now you can choose not to choose.")](https://ad.doubleclick.net/ddm/trackclk/N118402.124998IDGCOMMUNICATIONS/B26859225.328808802;dc_trk_aid=520861350;dc_trk_cid=166887501;dc_lat=;dc_rdid=;tag_for_child_directed_treatment=;tfua=;ltd= "Cloud vs. on-prem? Now you can choose not to choose.")

aside.nativo-promo.smartphone.tablet.desktop p { font-size: 16px !important; line-height: 1.2 !important; }
aside.nativo-promo.smartphone.tablet.desktop p.post-meta { margin-top:0px !important;}
aside.nativo-promo.smartphone.tablet.desktop p.crawl-headline { font-size: 20px !important; line-height:1 !important; }

#ntvImageBox {float: left;margin-right:20px;width: 300px; height:169px; overflow:hidden;}

@media only screen and (max-width: 667px) {
#ntvImageBox {margin-right:0; margin-bottom:10px; float:none; width:100%; height:auto;}

}


## **What happened with TrickBot?**

In October, the DOJ [announced](https://www.justice.gov/opa/pr/russian-national-extradited-united-states-face-charges-alleged-role-cybercriminal) the extradition of a Russian national after his arrest in South Korea to face charges related to the development of TrickBot, but it’s not clear if this has directly led to the decrease in TrickBot activity, considering its operators launched new builds and campaigns in November and December.

The Intel 471 researchers believe it's more likely that the TrickBot operators have begun transitioning to other Trojans to continue their operations. "Intel 471 cannot confirm, but it’s likely that the Trickbot operators have phased Trickbot malware out of their operations in favor of other platforms, such as Emotet," they said. "Trickbot, after all, is relatively old malware that hasn’t been updated in a major way. Detection rates are high and the network traffic from bot communication is easily recognized."

In July 2020, researchers from Cybereason reported that the TrickBot group developed a loader and backdoor program called Bazar that shares some techniques and infrastructure with TrickBot but is stealthier and uses blockchain DNS domains making it more resilient to takedown attempts.

The Bazar loader has since been used by several cybercriminal groups against high-value targets to deploy attack frameworks like CobaltStrike and [IcedID](https://www.csoonline.com/article/3630635/onepercent-ransomware-group-hits-companies-via-iceid-banking-trojan.html) or Bokbot inside network environments. Bazar command-and-control servers have also been seen distributing both TrickBot and Emotet last year, reinforcing the idea that all three are connected.

 "Perhaps a combination of unwanted attention to Trickbot and the availability of newer, improved malware platforms has convinced the operators of Trickbot to abandon it," the researchers said. "We suspect that the malware control infrastructure (C2) is being maintained because there is still some monetization value in the remaining bots."





## Tags:


### Autogenerated tags:
[[trickbot]] [[emotet]] [[malware]] [[command-and-control]] [[gtags]] [[botnets]]
