# Italian spyware firm is hacking into iOS and Android devices, Google says
## RCS Lab spyware uses known exploits to install harmful payloads and steal private user data, according to a Google report.
## Information:

+ Link: https://www.computerworld.com/article/3665050/italian-spyware-firm-is-hacking-into-ios-and-android-devices-google-says.html
+ Source: Computerworld
+ Author: Shweta Sharma
+ Date published: 24 June 2022, 13:51
+ Date scraped: 29 June 2022, 08:10

## Article:
![Main article image](https://images.idgesg.net/images/article/2019/07/cso_spyware_alert_notification_by_daviles_gettyimages-691094712_2400x1600-100801547-large.jpg?auto=webp&quality=85,70)


Google's Threat Analysis Group (TAG) has identified Italian vendor RCS Lab as a [spyware](https://www.csoonline.com/article/3384100/what-is-spyware-how-it-works-and-how-to-prevent-it.html) offender, developing tools that are being used to exploit [zero-day](https://www.csoonline.com/article/3284084/zero-days-explained-how-unknown-vulnerabilities-become-gateways-for-attackers.html) vulnerabilities to effect attacks on iOS and Android mobile users in Italy and Kazakhstan.

According to a Google [blog post](https://blog.google/threat-analysis-group/italian-spyware-vendor-targets-users-in-italy-and-kazakhstan/) on Thursday, RCS Lab uses a combination of tactics, including atypical [drive-by downloads](https://www.computerworld.com/article/2501480/6-ways-to-fend-off-drive-by-downloads.html), as initial infection vectors. The company has developed tools to spy on the private data of the targeted devices, the post said.

Milan-based RCS Lab claims to have affiliates in France and Spain, and on its website lists European government agencies as clients. It claims to deliver "cutting-edge technical solutions" in the field of lawful interception.

The company was unavailable for comment and did not respond to email queries. In a statement to [Reuters](https://www.reuters.com/article/italy-spyware-google/apple-and-android-phones-hacked-by-italian-spyware-google-says-idUKKBN2O41GP), RCS Lab said, "RCS Lab personnel are not exposed, nor participate in any activities conducted by the relevant customers."

On its website, the firm advertises that it offers "complete lawful interception services, with more than 10,000 intercepted targets handled daily in Europe alone."

Google's TAG, on its part, said it has observed spyware campaigns using capabilities it attributes to RCS Lab. The campaigns originate with a unique link sent to the target, which, when clicked, attempts to get the user to download and install a malicious application on either Android or iOS devices.

This appears to be done, in some cases, by working with the target device's ISP to disable mobile data connectivity, Google said. Subsequently, the user receives an application download link via SMS, ostensibly for recovering data connectivity.

For this reason, most of the applications masquerade as mobile carrier applications. When ISP involvement is not possible, applications masquerade as messaging apps.

## **Authorized drive-by downloads**

Defined as downloads that users authorize without understanding the consequences, the "authorized drive by" technique has been a recurrent method used to infect both iOS and Android devices, Google said.

The RCS iOS drive-by follows Apple instructions for distributing proprietary in-house apps to Apple devices, Google said. It uses ITMS (IT management suite) protocols and signs payload-bearing applications with a certificate from 3-1 Mobile, an Italy-based company enrolled in the Apple Developer Enterprise program.

The iOS payload is broken into multiple parts, leveraging four publicly known exploits—LightSpeed, SockPuppet, TimeWaste, Avecesare—and two recently identified exploits, internally known as Clicked2 and Clicked 3.

The Android drive-by relies on users enabling installation of an application that disguises itself as a legitimate app that displays an official Samsung icon.

To protect its users, Google has implemented changes in Google Play Protect and disabled Firebase projects used as C2—the command and control techniques used for communications with affected devices. Additionally, Google has listed a few indicators of compromise (IOC) in its blog post, to help security professionals detect intrusions.





## Tags:


### Autogenerated tags:
[[google]] [[rcs]] [[android]] [[drive-by]]
