# 'Triangulation' Malware- New Tool to Find iPhones & iOS Devices Infection
## This project is released as a Python script that can scan iTunes backups of iPhones and check for any traces of compromise.
## Information:

+ Link: https://cybersecuritynews.com/?p=19300
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 06 June 2023, 12:16
+ Date scraped: 06 June 2023, 13:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgXzUPvl7AUILc6P5rlpUqwxiAQjm11Ly9x7OviWDASdmYAYNYfSQpDmbQmfJR2ImsdZXC_6I8uQFQbwsdi4sTDVfmXhiwECVRSgIJTCLnB0XSkfPmqoB9aGFKRjOhpLJ7KQIKnkDPeSQV0rkx3H2PH1WwpgVssCbfNwNLf7pb0fp9ThCGJYIqSzASErw/s16000/Triangle%20Check.webp)


Kaspersky [reported earlier](https://cybersecuritynews.com/zero-click-ios-malware/) this month that they have discovered a new [Zero-click iOS](https://cybersecuritynews.com/iphones-zero-click-exploit/) exploit currently being exploited by threat actors. 


The exploitation involves using iMessage as the delivery channel to gain root privileges.


Threat actors were using Command and Control ([C2) servers](https://cybersecuritynews.com/command-and-controlc2-server/) to manage and control the compromised iOS devices.


Recent reports suggest that a new tool named “*triangle-check*” was released, which could scan iTunes backups for traces of IoCs (Indicators of Compromises).


This was released as a pypi project, “**triangle-check 1.1**”.


## Triangle Check


This project is released as a Python script that can scan iTunes backups of iPhones and check for any traces of compromise.


The script has two Python dependencies, **colorama,** which is used for pretty printing, and **pycryptodome**.


For using this package, the exact location of the iTunes backup directory is required, which includes many sub-directories and files like “Manifest.db” and “*Manifest.plist*”. 







For decryption, the password used for encryption is required (If the backup is set up in iTunes). For advanced back creation, the **idevicebackup2** tool can be used, which is dependent on the open-source package named “**libimobiledevice**” 


## Scanning


The tool is run on the iTunes backup directory, which is scanned for suspicious activity.


If the tool finds any malicious activity, the tool will print the output as SUSPICION. If the tool finds any Indicators of Compromise (IoC), it will print DETECTED.


## Install and Configure


To install this project, the following commands can be used



```
python -m pip install triangle_check  
python -m pip install -r requirements.txt  
python triangle_check.py
```

For installing this as a pip package,



```
git clone https://github.com/KasperskyLab/triangle_check  
cd triangle_check  
python -m build  
python -m pip install dist/triangle_check-1.0-py3-none-any.whl
```

Windows or Linux users are recommended to use the [binary builds](https://github.com/KasperskyLab/triangle_check/releases) of this project.






## Tags:
***urls***: https://github.com/KasperskyLab/triangle_checkcd

### Autogenerated tags:
[[itunes]]
