# APT36 Using Customized Malware to Attack Indian Government Linux and Windows Servers
## APT36 is an APT (Advanced Persistent Threat) group that is highly sophisticated, is known for conducting targeted espionage in South Asia, and is strongly linked to Pakistan.
## Information:

+ Link: https://cybersecuritynews.com/?p=42774
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 14 September 2023, 07:25
+ Date scraped: 14 September 2023, 08:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh72yzPJ5BDictrSJYN6RUr9aqB5uHKfTy_5S07obRI4nyxhbHgLxZf2rGFxOb-LYgqxGJYdHMlzzbLVj3s2bc9uxMuISNocR7TCl65Qb1d8fY6fsR7J0RweUJwquEZYOsbttZIER6KrLhDBMnO6DluFlmu94WorwdvHTjDLayGSK4v4ZCH2XQ2TomOPvqq/s1600/APT36%20Employing%20Customized%20Malware%20to%20Attack%20Indian%20Government%20Linux%20and%20Windows%20Servers.webp)


APT36 is a highly sophisticated APT (Advanced Persistent Threat) group that is known for conducting targeted espionage in South Asia and is strongly linked to Pakistan.


While this APT group is known for targeting the following Indian sectors:-






* Government
* Defense
* Education


Since 2013, this APT group has been active, and to conduct cyberespionage, it uses the following methods:-


* [Credential harvesting](https://cybersecuritynews.com/hackers-harvesting-office-365-credentials/)
* Malware distribution


Here below, we have mentioned the resources used by APT36:-


* Custom-built remote administration tools targeting Windows
* Lightweight Python-compiled cyber espionage tools serving specific purposes targeting Windows and Linux
* Weaponized open-source C2 frameworks like Mythic
* Trojanized installers of Indian government applications like KAVACH multi-factor authentication
* Trojanized Android apps
* Credential [phishing sites](https://cybersecuritynews.com/ebike-phishing-sites/) targeting Indian government officials


Zscaler analysts [dubbed](https://www.zscaler.com/blogs/security-research/peek-apt36-s-updated-arsenal) the Windows backdoor used by APT36 ‘ElizaRAT,’ because of unique strings in observed C2 commands.


**APT36 Employing Customized Malware**
--------------------------------------


ElizaRAT, delivered as .NET binaries in password-protected Google Drive archives, deploys as a Control Panel applet, launching CplApplet() and Main() functions that lead to malicious operations in MainAsync().




Document

FREE Demo
[Deploy Advanced AI-Powered Email Security Solution](#)
-------------------------------------------------------


Protect your Business Email from threats like tracking, blocking, modifying, phishing, account takeover, business email compromise, malware, and ransomware with Trustifi’s AI-powered email security solution.


  [Free Demo](https://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynewshttps://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


Each infected machine gets a unique identifier by combining the processorID and UUID with a ‘.cookie’ extension, serving as both UUID and username.



![APT36 Customized Malware](https://lh3.googleusercontent.com/0dB_p3VQF3-Eeff93rSjXFJ8J7aDdoTHcA4cVDbpcW6z8lJDjj-KBHUiIlK-qIrkmtay4_04KE1idBI-0no2UgExRpFebYBdwIaiStB1N82LToMXY1AiuFu1U7MtJrXg2gv121VLY19MfWrTvMgHjNA)UUID and username (Source – Zscaler)


Here below, we have mentioned all the supported C2 commands:-


* /dir
* /upload
* /getprocess
* /run
* /delete
* /end
* /online
* /identity
* /ping
* /scr
* /createdir


The bot generates a Windows shortcut ([LNK](https://cybersecuritynews.com/hackers-use-weaponized-lnk-files/)) to ensure persistence in the Startup directory. It disguises itself as a ‘Text Editing APP for Windows,’ executing the Control Panel applet via rundll32.


The Program class’s dosome() method displays a distraction decoy PDF from the .NET binary’s resources, designed to mislead the user into thinking an error occurred.



![Fake error](https://lh6.googleusercontent.com/-GD4OAiBOYkSM9afnE6OM-9qjy5u4cKjJMUpvcZq24yRMieAchYh-GIGydy8h-2jRhHluKt_XWuP0FuNfVhH9Z1jkvuQZTwM44uKPJW1gAUQ5bz2lT_sn5ruWGMsCmz_SEtaT6qqCZTp9XbnnHCKT8I)Fake error (Source – Zscaler)


APT36’s unique use of [Linux desktop](https://cybersecuritynews.com/scan-linux-servers/) entry files in rare attacks is a first, with three undetected samples found since its inception in May 2023, used in a phishing scheme against the Indian government.


The cross-platform Linux payload, designed for Linux and WSL machines and lacking a complete [C2 mechanism](https://cybersecuritynews.com/command-and-controlc2-server/), suggests an initial test in its developmental phase by the threat actor.


![APT36 Customized Malware](https://lh6.googleusercontent.com/CD-SFA7L5S7C3G9AGHbeWQXo6t9lHg_7LJeY3AZMXrrrYtftBQrwTxvAtN_I1MZX74d5xHqkm5XoDFCGzVLNnHAktnJZnMZspdlcxEfGTElu9w5qOVutbdUvF_2xhUPKYDVdZQNvidI9DqqPuAIb-C8)Content inside the decoy PDF file (Source – Zscaler)


The PDF mimics an Indian Defence Ministry document detailing a Saudi delegation’s discussion with Indian military medics.


**Python-Based Cyber Espionage Utilities**
------------------------------------------


APT36 uses Python-based ELF binaries for cyber espionage, targeting the Indian govt, Windows, and Linux systems. Here below, we have mentioned all the new Python-based cyber espionage utilities:-


* GLOBSHELL
* PYSHELLFOX


Moreover, the ElizaRAT, distributed via harmful Google Drive links, allowed researchers to extract data about the Drive’s owner and linked email.


**IOCs**
--------



![APT36 Customized Malware](https://lh6.googleusercontent.com/Tszca2UhSA9YHSfcXI4TeRB4upkYxdYud00HLjMRHZU71vMDVcoeau9IRpGiN_Z2y1_ogFcgdDdL6yQ1s7Ho718b2h5A5k3mt0De_Mvr0i1VTcWImJA1UVhR8Nv7qOGOM5s1CKTMMpw_59MrItncdwA)IOCs (Source – Zscaler)






## Tags:


### Autogenerated tags:
[[apt36]] [[windows]] [[linux]] [[zscaler]] [[c2]] [[malware]] [[phishing]] [[uuid]] [[pdf]] [[python-based]]
