# BRONZE STARLIGHT - Chinese APT Using Short-Lived Ransomware Families for Cyberespionage Activities - Cyber Security News
## Several ransomware families have been identified as being used by a state-backed hacking group with China-linked origins using the name ‘Bronze Starlight’ to disguise the true objective of their raids for conducting cyberespionage activities. When espionage operations are undertaken, ransomware is often used to obfuscate evidence, deliver attribution difficulties, and create several robust obstacles to […]
## Information:

+ Link: https://cybersecuritynews.com/?p=9626
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 27 June 2022, 09:23
+ Date scraped: 29 June 2022, 07:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEirgAlhcWCLftqa6Ct_jvKrt0-5T-sGwFD5rX6NxunP_j0sj-MSGZA0pvyivxBWTXEvIbwIs_MgNZL3m7NXw7TcJxN6OEBPPmGd4zvE8yIwBM5SiVAdoJxrc3jcn2SJfZNLIt2ACyDt-jvpapsC3fVWBRg1EohBdIJprOi-I7Ol76tNFP0J7cKNqjZutQ/s16000/BRONZE%20STARLIGHT%20-%20Chinese%20APT%20Using%20Short-Lived%20Ransomware%20Families.png)

Several ransomware families have been identified as being used by a state-backed hacking group with China-linked origins using the name ‘Bronze Starlight’ to disguise the true objective of their raids for conducting cyberespionage activities.

When espionage operations are undertaken, ransomware is often used to obfuscate evidence, deliver attribution difficulties, and create several robust obstacles to distract security researchers.

In contrast to Chinese APT groups which exfiltrate sensitive information under the guise of financially motivated attacks, this is not the case with the groups sponsored by the Chinese government.

## **Activities**

Since mid-2021, the security analysts at Secureworks have detected several attacks being performed with the HUI Loader by the threat group that was dropping the following ransomware:-

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://bit.ly/3xmY62n)* AtomSilo
* LockFile
* Night Sky
* Pandora
* Rook

Cybersecurity experts [believes](https://www.secureworks.com/research/bronze-starlight-ransomware-operations-use-hui-loader) that the Chinese APT group, “Bronze Starlight” might be more interested in conducting cyberespionage activities and intellectual property theft than financial gain. 

This is considered due to the short lifespans of each ransomware family and its victims’ experiences, as well as its access to tools used by the Chinese state-backed hackers.

![](https://lh4.googleusercontent.com/ZHsWYdFi8uUXZVt26NRkHTZSreSw1HoLivTVFEUa0RUYytlCaB9Oijlw1m_mfQ2hIBnYmDisqkp1Hggmel8NT0HXxHT34IO7P8WS3DTkb4Ne-QH2i2W38s4Zcy_GED1JUw5oY4ptyH_Or4Z5BA)

In Secureworks’ analysis of hacking activity, these two clusters are clearly noticeable:- 

* Bronze Riverside (APT41)
* Bronze Starlight (APT10)

The following RATs were deployed by both groups through the HUI Loader:-

* [PlugX](https://logrhythm.com/blog/deep-dive-into-plugx-malware/)
* [Cobalt Strike](https://cybersecuritynews.com/hackers-using-mshtml-0-days-exploit-to-deploy-cobalt-strike/)
* [QuasarRAT](https://github.com/quasar/Quasar)

## **Targeting & victimology**

There is a common C2 address shared by all three attacks using AtomSilo, Night Sky, and Pandora in the configuration of Cobalt Strike beacons.

![](https://lh6.googleusercontent.com/70gBDEJS0LNX14vOy7wx32gIjzL-02HAaqnLw8DNYAGJQKWcMliuKaMhfGMyMtJw0hYJyclNt0czNn1-IesnzJy3dfA1lL_0F3ZdGlnnGKyLDLirsoTzy5T4S1GVyWAaznfJidPzUM6OeFMvMA)

Moreover, this year, HUI Loader samples were also uploaded to Virus Total through the same source. 

These ransomware strains do not exhibit the characteristics of typical financially motivated ransomware operations with regards to activity and victimology. 

![](https://lh5.googleusercontent.com/976SwmHXRx4ioYDLTKPXtLFU-qzZvjIdqsVShhd_q8Lfdw8VUofgitM2ZrhWMCDELs2CRIKEU8SA69YthSAnUk789-u0qb69_drs5prcYGQ_WAofvAIo6i7KAe0yTKuVmvwKoq9PebSiOah3vg)

There is a brief period of time that the project is focused on a small number of victims and then it is abandoned completely.

Ransomware operations such as these, which have never really caught the attention of the cybercrime community, or become a significant threat, did not leave an impression on the cybercrime community. Furthermore, they had all left prematurely, because they had all abandoned the ship.

## **Tactical objectives**

The following tactical objectives may have been achieved with the use of ransomware by BRONZE STARLIGHT in these incidents:-

* Destroy evidence
* Distract investigators
* Exfiltrate data

Using the weaknesses in network perimeter devices, BRONZE STARLIGHT compromises networks. A Cobalt Strike Beacon is used for command and control functions by threat actors while deploying the HUI Loader to decrypt and execute it. 

After that, they deploy ransomware and carry out an exfiltration operation to get access to sensitive information on the victim’s system.

Moreover, the intention of these ransomware families is unclear, whether they serve as a ruse for another malicious act. While the use of ransomware in this manner isn’t the first time this has been done.




## Tags:


### Autogenerated tags:
[[ransomware]]
