# Beware That Hackers Using Legitimate Remote Monitoring For Malicious Purposes
## A joint Cybersecurity Advisory (CSA) from the Cybersecurity and Infrastructure Security Agency (CISA), National Security Agency (NSA), and Multi-State Information Sharing and Analysis Center (MS-ISAC) has been released.
## Information:

+ Link: https://cybersecuritynews.com/?p=13477
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 02 February 2023, 15:42
+ Date scraped: 02 February 2023, 16:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiDhGwh_Blg8ixim77eJfCZ_5HSus_QQ9TXbXoeNyDU0_ZydU9atG7xypBGceMXoni-qCqDk61c4SpdFbwRKINHK5hda9MZcAP8Kp9Xt1Rev3cYXa2yxquXeXFlZOo-pB0U3mcURqBJXnt35Ikc72VMY8WnEHiHS_UfQe5bnZAUGVPncjt3JYCgSODiBw/s16000/Massive%20cyberattack%20Using%20RMM.png)


A joint Cybersecurity Advisory (CSA) from the Cybersecurity and Infrastructure Security Agency (CISA), National Security Agency (NSA), and Multi-State Information Sharing and Analysis Center (MS-ISAC) has been released to alert network defenders to malicious use of legitimate [remote monitoring](https://cybersecuritynews.com/remote-administration-tools/) and management (RMM) software.





In October 2022, CISA discovered a [massive cyberattack](https://cybersecuritynews.com/incident-response-tools/) that made use of malicious RMM software that was legitimate.


In this campaign, cybercriminals utilized phishing emails to trick users into downloading reliable RMM software like ScreenConnect and AnyDesk, which they then exploited to steal money from victims’ bank accounts through refund fraud.


Also, the actors could sell victim account access to other cybercriminal or advanced persistent threat (APT) actors.


“Using portable executables of RMM software provides a way for actors to establish local user access without the need for the administrative privilege and full software installation—effectively bypassing common software controls and risk management assumptions”, [CISA reports](https://blog.cyble.com/2023/02/01/vector-stealer-a-gateway-for-rdp-hijacking/).


## **Overview Of the Malicious Cyber Activity**


Based on a retrospective review of EINSTEIN, a federal civilian executive branch (FCEB)-comprehensive intrusion detection system (IDS) operated and monitored by CISA it was discovered that two FCEB networks may have been the target of malicious activity.


* An FCEB employee’s government email address received a [phishing email](https://cybersecuritynews.com/phishing-attack/) with a phone number in the middle of June 2022 from malicious actors. The worker called the number, and as a result, they visited the fraudulent website myhelpcare[.]online.


* There was two-way traffic between an FCEB network and myhelpcare[.]cc in the middle of September 2022.



![](https://lh4.googleusercontent.com/Z5nG0qOgm9zmwVustnfdfhUJMz4Ma_D_rrnNoez8TN0M8VrX0RGfff9jaVnJg9hTd5g6kYn6FYIEWDmnoD_rYeY2bLdNid-6HRn9snjpzRbUvvxm-ZuhtKjEW5jtfXzKih9MHODs_NPoOuz-TzvNsw)Help desk*–*themed phishing email


Reports say an executable is downloaded when a recipient visits a first-stage malicious domain. The executable then establishes a connection to a malicious domain that is in the “second stage,” from which it downloads other RMM software.


“The actors did not install downloaded RMM clients on the compromised host. Instead, the actors downloaded AnyDesk and ScreenConnect as self-contained, portable executables configured to connect to the actor’s RMM server”, CISA noted


In this case, the actors utilized the RMM software to start a refund scam after downloading it. They initially established a connection with the victim’s system, then lured the victim into logging into their bank account while still connected to the system.


The recipient’s bank account summary was later changed by the actors using their access provided by the RMM software.


According to the reports, the falsely modified bank account summary showed the recipient was mistakenly refunded an excess amount of money. The actors then instructed the recipient to “refund” this excess amount to the scam operator.


**Network Defenders Should Be Aware Of The Following:**


* Threat actors can maliciously use any legitimate RMM software, even though the cybercriminal actors in this campaign employed ScreenConnect and AnyDesk.
* Threat actors can avoid both the need for administrative privileges and the software management control policies by downloading valid RMM applications as self-contained, portable executables.
* Antivirus and antimalware protections are typically not triggered using RMM software.
* The use of genuine RMM and remote desktop software as backdoors for persistence and C2 by malicious cyber actors is well-known.
* RMM software enables cybercriminals to avoid employing their own malware.


Threat actors frequently target authorized RMM software users. Targets may include managed service providers (MSPs) and IT help desks, who frequently employ legitimate RMM software for network administration, endpoint monitoring, endpoint management, and remote host interaction for IT support tasks.


Hence, these threat actors can exploit trust relationships in MSP networks and gain access to many of the victim MSP’s customers.






## Tags:
***urls***: http://myhelpcare.online http://myhelpcare.cc

### Autogenerated tags:
[[rmm]] [[cisa]] [[fceb]] [[phishing]] [[screenconnect]] [[anydesk]] [[executables]]
