# Beware of Malicious Notepad++ Websites that Attack Developers
## Threat actors target Notepad++ as it is a widely used text editor among developers and users, offering a large potential victim pool.
## Information:

+ Link: https://cybersecuritynews.com/?p=59511
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 14 March 2024, 08:13
+ Date scraped: 14 March 2024, 09:05

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjZEkzmJKCHfktL_amcqeyYGd-gmrcm5iL1AVa1cAqJd0-vWoen5A5xDPus6DpqkH6axseCvftgu5rLZgVl4B9tNw_IoB8tlMZHrETjEEC58xakTTkWi69Wht7FwQk1avWLY-olfM63x3do05NuN-9s-rQHtUZcCO2_myiqTwFTsOmfbL02rJyf1OIYsTM/s1600/Beware%20of%20Malicious%20Notepad++%20Websites%20that%20Attack%20Developers%20(1).png)


Threat actors target Notepad++ as it is a widely used text editor among developers and users, offering a large potential victim pool.


Exploiting vulnerabilities in Notepad++ can provide access to sensitive data or even systems as well.


Besides this targeting popular software increases the likelihood of successful attacks and intensifies the impact.


Cybersecurity researchers at Kaspersky Lab recently discovered that threat actors are actively targeting and [attacking developers](https://cybersecuritynews.com/nood-rat-linux-servers-data-theft/) via malicious Notepad++ websites.


**Technical analysis**
----------------------


Malvertising lures victims via malicious ads atop search results, as the top results seem trustworthy.


Last year, RedLine stealer spread via Google Ads malvertising campaign using [typosquatting](https://cybersecuritynews.com/typosquatting/). 


![Trojanized Notepad (Source - Kaspersky Lab)](https://lh7-us.googleusercontent.com/TTOIOhXP63HTwe2fegkJg6-4gGl5S_Oj4wBn2ahFllZ4xtXzFmG7f650xi00y_NSN8K7EKLxh8ipGgDE2SNTyLuOwPed4W6fQ5FnU4xEN7RcldIzyDxtCKlu4dQXupHX-oKdkEdQBl2e3XUtsLph06I)Trojanized Notepad (Source – Kaspersky Lab)


A similar threat now affects major Chinese search engines.


Threat actors are distributing modified versions of text editors, one via ad section, another atop results.


![Page with fake NotePad++ (Source - Kaspersky Lab)](https://lh7-us.googleusercontent.com/wqgFAAeVWSTxh82tzx9TkHd0otrRRiatM7eXF2tdU5UUGaXQhIpMaLQeJ1DVlqpj6egf73OoZehpgRK9O9pLV2v3EvbPnZA_IsHhXOQ7yCRGVdx3PcRGa1tgp7brsfqlGZey0Xv8xxMa28nPRRq93ag)Page with fake NotePad++ (Source – Kaspersky Lab)


The malicious Notepad++ site uses an ad block.


The site has amusing inconsistencies – the URL mentions “vnote”, the title offers “Notepad–” (Notepad++ analog), and the image shows Notepad++.


![Fake VNote site (Source - Kaspersky Lab)](https://lh7-us.googleusercontent.com/MuxSEsqj4HzUYbVq-2Z8o9_CByTPLcMZacQHp8rtnMxFWXAWFO_dNkCVku2olmLdyJ-GacrhMYCzJhITY6wNBl7Y1jTEzhEQCZ4DLw1flNfq9iUS7GOjKroAF6RVnYiNjHAffSX4iHJ7DUY79VzrtVA)Fake VNote site (Source – Kaspersky Lab)


But downloads contain Notepad–, besides this, the site offers installers for Windows, Linux, and macOS but only macOS, and Linux links are [malicious.](https://cybersecuritynews.com/malicious-apps-joker-malware/)


The downloaded apps differ from the originals, and the malicious Linux and macOS versions have similar functionality.


On examining the macOS version (MD5: 00fb77b83b8ab13461ea9dd27073f54f) – it’s been found that the DMG image contents are identical to the original 2.0.0, except executable NotePad– (MD5: 6ace1e014863eee67ab1d2d17a33d146).


Before launch, a suspicious Uplocal class was initialized which is absent in the source code.


Researchers couldn’t analyze the downloaded file as it was unavailable.


However, the server has subdomain dns[.]transferusee[.]com accessed by Mach-O file DPysMac64 (MD5: 43447f4c2499b1ad258371adff4f503f), previously uploaded to [VirusTotal](https://cybersecuritynews.com/virustotal-apologizes-for-data-leak/) but undetected during investigation.


The same server hosts a mysterious updater download and DPysMac64 file, suggesting that the updater leads to DPysMac64 loading.


DPysMacM1 is identical to DPysMac64 for Apple Silicon processors.


It’s a CobaltStrike-like backdoor, open-source Geacon implementation written in Go with matching code/functions despite Geacon references being removed.


Moreover, it has normal and service launch modes, C2 comms via HTTPS to dns[.]transferusee[.]com.


Threat actors named the remote command execution functionality “spaces.”


![The name of the backdoor module (Source - Kaspersky Lab)](https://lh7-us.googleusercontent.com/MebfPAxI6JDuES-ZXVh_0qsMyGo-A_XF9WmOeBA31-I_LekbId_bHOiclMaiFrnDPhKiqVfc5aKbU8D9232nNRD1smPgvQ9b11yWyKfyvBmt1iGYlsFvat64zlvtXJ-ZbO5anLlfSqKCWU1nNAg0TsA)The name of the backdoor module (Source – Kaspersky Lab)


While uncertain about prior vnote[.]info downloads, it’s been found that both sites distribute the same applications.


Interestingly, the modified NotePad– executable had “About” text linking to vnotepad[.]com – another vnote[.]info copy with invalid cert issued for vnote[.]info, confirming the connection between cases.


![Certificate used by the site vnotepad[.]com (Source - Kaspersky Lab)](https://lh7-us.googleusercontent.com/N-Qnl2KQS9rCZrl6d20YAOVOlRO9EOquwIrWL0Z4XvaN9w75DZL_wFR30nzLk18_TGm9uT29jqY-S6Z3X58sgfbRMv92MwHAHUaGB0g-frRgfflhwgKTs0GK84KgTxDvni9vALuMrwasQkHDquDkqi4)The certificate used by the site vnotepad[.]com (Source – Kaspersky Lab)


There is a high probability that modified VNote editors aim to deliver the next infection stage, like NotePad–. Identical Linux/macOS app changes suggest a possible Linux [backdoor](https://cybersecuritynews.com/new-rust-based-backdoor-attacking/) mirroring macOS one.


**IoCs**
--------


![IoCs (Source - Kaspersky Lab)](https://lh7-us.googleusercontent.com/bHv2Mm1FskOw9lTyC0HhmhV4StVWRDQemUWYctyBWkELdRd7AqRcGXJz_6l016jlNl9r0_OyLHwSlfkVoQZQYaEbfVGhZAER34FwFGpg8_9XrhYF8E5C8ZN6d1RG_4jVOavfGz-7tt4IjmKNXRRTqPI)**IoCs (Source – Kaspersky Lab)**


With [Perimeter81 malware protection](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428), you can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits. All are incredibly harmful and can wreak havoc on your network.





## Tags:
***urls***: http://vnote.info http://dns.transferusee.com http://vnotepad.com
***MD5-hash***: 00fb77b83b8ab13461ea9dd27073f54f 6ace1e014863eee67ab1d2d17a33d146 43447f4c2499b1ad258371adff4f503f

### Autogenerated tags:
[[notepad++]] [[kaspersky]] [[macos]] [[notepad–]] [[linux]] [[dpysmac64]] [[md5]] [[vnote[.]info]]
