# Beware of New Fileless Malware that Propagates Through Spam Mail
## Threat actors have used phishing emails to distribute fileless malware. The attachment consists of a .hta (HTML Application) file, which can be used for deploying other malware like AgentTesla, Remcos, and LimeRAT.
## Information:

+ Link: https://cybersecuritynews.com/?p=41444
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 04 September 2023, 16:41
+ Date scraped: 04 September 2023, 17:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEimFSF3eM0C-FHow-vevb6v7KhBK37TZmf6sqg2JjHqVAavY1n0iODmApUyfgIXIhP7lIJ7mnUdec2y8VbLsFisORU-hIYk9eET62a4tnn_Tt8gbgN7a-e6Sg6i2K3ldUEgMJ0yJlJNfPlmUtQ9jhjeOWp9JmxJLZI0xOtCmixHgNs_8GHiO0G1gvghnIO9/s16000/Fileless%20Malware.webp)


Recent reports suggest threat actors have used phishing emails to distribute fileless malware. The attachment consists of a .hta (HTML Application) file, which can be used for deploying other malware like [AgentTesla](https://cybersecuritynews.com/sapphirestealer-net-malware/), [Remcos](https://cybersecuritynews.com/top-3-malware-threatening-businesses/), and [LimeRAT](https://cybersecuritynews.com/rat-uses-autohotkey/).


This fileless malware is a Portable Executable (PE) format, which gets executed without creating the file on the victim’s system. The phishing email has the body context stating a bank transfer notice. In addition to the email, the email has an attachment with an ISO image embedded with a .hta script file. This file runs using the mshta.exe (Microsoft HTML Application).






**Fileless Malware Via Spam Mail**
----------------------------------


As per reports shared with Cyber Security News, when the victims execute this ISO file, the embedded .hta file gets executed, which creates a process tree that consists of mshta.exe, cmd.exe, powershell.exe, and RegAsm.exe processes in order.



![](https://lh3.googleusercontent.com/CjZvIpQRUSy74glbmFuPjvb9nWmd1EWhArmYtxa8rDOU1RNPsf14gd95Yznx_pLVMeN9wfvXdHTDkEKVyTeq4mSOuKcWsDe-hGORmoRgmSrPvVxZjKDj0A226XlwugszO_CfEljdRJfMWZtRhOBhsNI)*ISO file embedded with .hta file (Source: AhnLab)*


The mshta.exe process executes a [Powershell command](https://cybersecuritynews.com/microsoft-office-zero-day-vulnerability/). The command consists of arguments to request a base64 encoded string type data from the server (DownloadString), which loads the CurrentDomain.Load data to call a function. However, there is no binary created into a PE file, but instead, the binary gets executed in the memory area of Powershell.


![](https://lh5.googleusercontent.com/X3hkeLuZfg7HIKUPo30oldFN0_PbQaN9xA7m8hVh2Ye5l8DNYYAayGe4FFKI-PCI_lBZDsYN35BTiEUW1BeJOtYR7qWqeiUI7wFyKOs9ufO3WjGGvABRtmjnPxTY7MPjGtOb-h3EuP51vmUKFlCjnP4)*Payload download and memory download Source: AhnLab*


Furthermore, the Powershell script also executes a DLL file decoded from a Base64 string. This DLL downloads the final binary from the [C2 server](https://cybersecuritynews.com/command-and-controlc2-server/) and injects it into the RegAsm.exe (Assembly Registration Tool). This final binary could be any malware like Remcos, AgentTesla, or LimeRAT.


![](https://lh3.googleusercontent.com/p3VYNXK09v11bETQNwfLlxowr5XS7fDkaB1P0dKFiF53-PDWT749FsgkobJ2KonRssJ1GZzb1qgVE6s6ypsBjQgHXeJDCujb7f438gDR_8NIW428IJw3do7RqkH3IXp8h937zRBN1kCJ2wKE9cC35Yg)*Base64 encoded DLL*


A [complete report](https://asec.ahnlab.com/en/56512/) has been published by AhnLab, which provides detailed information about the malware, PE file, DLL file, and others.


Indicator of Compromise
-----------------------



```
**Behavior Detection**  
Connection/EDR.Behavior.M2650  
Execution/MDP.Powershell.M10668  
**File Detection**  
Downloader/Script.Generic  
Trojan/Win.Generic.R526355  
**URL & C2**  
hxxps[:][/][/]cdn[.]pixelbin[.]io[/]v2[/]red-wildflower-1b0af4[/]original[/]hta[.]txt  
hxxp[:][/][/]195[.]178[.]120[.]24[/]investorbase64[.]txt  
**MD5**  
43e75fb2283765ebacf10135f598e98c (.hta)  
540d3bc5982322843934504ad584f370 (.dll)
```

**Keep informed about the latest Cyber Security News by following us on [Google News](https://news.google.com/publications/CAAqBwgKMOffpwsw1Oq_Aw?hl=en-IN&gl=IN&ceid=IN%3Aen), [Linkedin](https://www.linkedin.com/company/cybersecurity-news), [Twitter](https://twitter.com/The_Cyber_News), and [Facebook](https://www.facebook.com/Hackingtutorialsandnews).**






## Tags:
***ipv4-adresses***: 195.178.120.24
***urls***: http://cdn.pixelbin.io/v2/red-wildflower-1b0af4/original/hta.txthxxp://195.178.120.24/investorbase64.txtMD543e75fb2283765ebacf10135f598e98c
***MD5-hash***: 540d3bc5982322843934504ad584f370

### Autogenerated tags:
[[malware]] [[hta]] [[dll]] [[fileless]] [[mshta.exe]] [[ahnlab]] [[powershell]] [[base64]]
