# Beware! Hackers Abusing Public Cloud Infrastructure to Host DBatLoader Malware
## phishing campaigns have been identified by the security analysts at SentinelOne using the DBatLoader malware loader.
## Information:

+ Link: https://cybersecuritynews.com/?p=14491
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 07 March 2023, 12:07
+ Date scraped: 07 March 2023, 13:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiz4YJ0VB565h8KPT1eR3rKksUusrFYRzjYJFVycJluytkV5URXdvbBGqINdh0gP22ubhRUb_QJ8kgr9y_YqEfCMk3MYNn_4wU2wol5cCHk9CNoamu0LkfGidCvsIukhY7e-MgAR5YGQjvwcsjEEyE4LxTro0L2mKN3TKZj-9USWKopC-AdembvzICDmg/s16000/BatLoader%20Malware.webp)


Recently, several phishing campaigns have been identified by the security analysts at SentinelOne using the DBatLoader malware loader that distributes the Remcos RAT. As far as their target is concerned, they are targeting Eastern European businesses and institutions primarily.





DBatLoader makes use of the public cloud infrastructure as a way to host its malware staging component in order to facilitate its operations. A variety of forms and methods are used by threat actors to distribute RAT through phishing emails.


Using password-protected archives as email attachments, [Remcos RAT](https://cybersecuritynews.com/apt-c-36-hacking-group/) phishing campaigns targeted Ukrainian state institutions. While these institutions are targeted for the purpose of conducting espionage operations.


**Spreading via Phishing Emails**


The “tar.lz” archive attachments are included in [phishing emails](https://cybersecuritynews.com/phishing-attack/) that distribute DBatLoader and Remcos. Most of the time, these attachments are disguised as financial documents like:- 


* Invoices
* Documents related to tenders


The threat actors were observed using a variety of techniques to make the emails appear credible so that it would look like they came from a trustworthy source.


The sales departments or the primary active contact email addresses are mainly targeted by the threat actors through these phishing emails of their targets.


A majority of the phishing email addresses are tied to the target’s country’s top-level domain through which a multitude of phishing emails was sent.


![](https://lh3.googleusercontent.com/wPRyRTblOrl-21apgcmxAs7XfQ0hSH7qtpGqB22lBcBzH1SX_f15VCjUkSGehYiyjO_2hDSJlfL0gTUCuaoDy8syjcOZtGCblhzk_BmQXpkZBsqiLS7CHbBKkH7pGNbD4NGTw3IWTCWrYLHD9RUvpNE)


According to the [report](https://www.sentinelone.com/blog/dbatloader-and-remcos-rat-sweep-eastern-europe/), Malicious attachments are usually accompanied by text that is written in the language of the country in which the target resides. Even some of them do not contain any text as well.


Threat actors use English text if they are not pretending to be local institutions or business organizations.


**Staging Remcos RAT with DBatLoader**


DBatLoader executables are attached to phishing email attachments using tar.lz archives. Using double extensions and application icons, Remcos disguises itself as the following legit documents:-


* Microsoft Office
* LibreOffice
* PDF


From a public cloud location, obfuscated second-stage payload data is downloaded. While this happens when a user decompresses and executes the executable contained within the attachment.


As of right now, the download links have varying lifetime spans, with the longest lasting over a month. However, they are linked to Microsoft OneDrive and Google Drive sites.


Only the second-stage DBatLoader payload data was present in the cloud file storage locations which were active. The DBatLoader payload appears to be hosted on Microsoft OneDrive or Google Drive.


But, the fact is that it’s not yet clear whether the drive accounts used by the threat actors are self-registered or compromised. An initial batch script is created and executed in the %Public%/Libraries directory by the malware.


![](https://lh3.googleusercontent.com/NoWy1phYYhynyMgeB8NjL1URYfaFV5ikuHNNANN55Fayg86iRWj0GuQLA2iAid0UJFqnHRtAO1SnEbEbw_mvnfBH7Uep1QLpf0ZvZypsbG4j6hzE6gHrVJir4ALaTyLONtw9CQBYCGmk0CQGsNphseM)


Using the following spaces, this script creates fake trusted directories such as %SystemRoot%\System32, which can bypass Windows User Account Control. DBatLoader then copies a malicious netutils.dll DLL file, along with the legitimate easinvoker.exe executable, into this directory.


Then a malicious script named KDECO.bat is executed by easinvoker.exe as a result of the malicious netutils.dll being loaded.


![](https://lh5.googleusercontent.com/C7B9t520GKE7z8K9NrQAMwcJh8Z-sT-jzid2k2gg5h2WME34GxYFfcDVGF2u__BJ-Mye1S2MLb-Sh_ptRSUpHpTI8r5aByDFusKAH-LHu8cLnNGEwm-ba3c0n9twyvqAWL5myu6KZRnXZLC6CKFK68w)


In order to prevent detection, KDECO.bat excludes the C:/Users directory from Microsoft Defender scans. The Remcos configurations observed were diverse in terms of configurations. The following activities are commonly performed by these configurations:-


* Keylogging
* Screenshot theft
* duckdns dynamic [DNS](https://cybersecuritynews.com/url-and-dns-filtering/) domains for [C2](https://cybersecuritynews.com/command-and-controlc2-server/) purposes


**Recommendations**


Keeping an eye out for phishing attacks and avoiding opening attachments from unknown sources is the best way to reduce the risk of being scammed.


Apart from this, here below we have mentioned the recommendations offered by the security researchers for administrators:-


* Make sure you are vigilant in protecting public Cloud instances from malicious network requests.
* Inspect the “%Public%\Library” directory for suspicious file creations and process executions involving trailing spaces in filesystem paths, particularly the “\Windows \” path.
* It’s strongly recommended to configure Windows UAC to always notify, so you will be notified whenever a program is attempting to make changes to your computer.






## Tags:


### Autogenerated tags:
[[phishing]] [[dbatloader]] [[remcos]] [[emails]] [[cloud]] [[microsoft]] [[malware]]
