# CapraRAT Android Malware Hijack Android Phones Mimicking YouTube App
## Threat actors behind this group are actively exploiting the CapraRAT Android malware to hijack Android devices by mimicking the YouTube app.
## Information:

+ Link: https://cybersecuritynews.com/?p=43390
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 20 September 2023, 05:59
+ Date scraped: 20 September 2023, 06:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjjCg876CAq0jj6Sr02qW9ysW4PWCBo8C3ni5WOuZNzcE-Q8fxaw1sc3AbhdLQhFdekwX0_RcXnAON80P8FuN57r31HLG7X5xINLhqhn3AZ02Sv8t7JV4g4aKOYdpivWUP9mnaAe7igFtRZO4-S-mJmifXch33CApA2ovGrzPNmbG4uON-Sge3ZtVXhOCWe/s16000/CapraRAT%20Malware%20Android.webp)


The suspected Pakistani group Transparent Tribe is known for targeting the military, diplomats, and now the Indian education sector.


While outside the Play Store, they distribute weaponized Android apps via self-run sites and [social engineering](https://cybersecuritynews.com/social-engineering/) tactics.






The cybersecurity researchers at Sentinel Labs recently reported that the threat actors behind this group are actively exploiting the CapraRAT Android malware to hijack Android devices by mimicking the YouTube app.


The organization has been employing the malware CapraRAT, which hides RAT functionalities within programs, since 2018. Threat actors utilized it to monitor Pakistani human rights activists and Kashmir-related issues.


**Malware Hijack Android Phones**
---------------------------------


However, besides this, the group disguised CapraRAT as a dating app for several illicit and spyware activities in early 2023.


An APK connects to a YouTube channel owned by Piya Sharma, borrowing her name and likeness, indicating the group’s continued use of romance-based social engineering.



![CapraRAT Hijack Android Phones](https://lh3.googleusercontent.com/MWPOGlr_mWqHWw5B9ZKuwnOBTr1faqn1XEN2hucDMj9O_tH2-i2oCyWpdLgY1QrNyp5_Hno3KWqQCBw_PPIeSMN4AshAGMD-Fwkmr85GPomsXfPsiNODTFrKYbiRwIdCU0XF8TKV7QC2-54uXaQhisQ)Piya Sharma app (Source – Sentinel Labs)


CapraRAT offers data harvesting and exfiltration capabilities with the following notable features:-


* Recording with the microphone
* Recording with the front camera
* Recording with the rear camera
* Collecting SMS
* Collecting multimedia message contents
* Collecting call logs
* Sending SMS messages
* Blocking incoming SMS
* Initiating phone calls
* Taking screen captures
* Overriding system settings
* On the phone’s filesystem, modifying files




Document

FREE Webinar
[Live DDoS Attack Simulation](#)
--------------------------------


Attend the Live DDoS Website & API Attack Simulation webinar to gain knowledge on various types of attacks and how to prevent them.


  [Join Now](https://www.indusface.com/live-ddos-attack-simulation-on-websites-apis.php?utm_source=gbhackers-blog-cta&utm_medium=referrals&utm_campaign=2023-sep-webinar-ddos-attack-simulation-on-websites-api) 


**CapraRAT Mimicking YouTube App**
----------------------------------


CapraRAT, initially [dubbed by Trend Micro](https://www.trendmicro.com/en_vn/research/22/a/investigating-apt36-or-earth-karkaddans-attack-chain-and-malware.html), was found to bear hints of AndroRAT in its Android APK distribution.


Researchers identified several YouTube-themed CapraRAT APKs and analyzed three samples among them. Here below we have mentioned them:-


* 8beab9e454b5283e892aeca6bca9afb608fa8718 – yt.apk
* 83412f9d757937f2719ebd7e5f509956ab43c3ce – YouTube\_052647.apk
* 14110facecceb016c694f04814b5e504dc6cde61 – Piya Sharma.apk


On launch, CapraRAT’s MainActivity loads [YouTube](https://cybersecuritynews.com/youtube-as-a-malware-distribution-platform/) in a WebView, offering a distinct user experience compared to the native Android app.



![CapraRAT Hijack Android Phones](https://lh5.googleusercontent.com/Cto9VGUGELneSE1UrM7o1GUH3vNrqgnupfE753-qS3arxyoDqjLLmn9W5Xf0ZFn5IrfU7IRfX2ya-G0I3kcLubX2geg3aAMLTrzCmHY5DfProPklLoE9D9s7dl8m7xp6pDyWddE0AvQCtzGnG7WNnRc)Small snippet of the load\_web (Source – Sentinel Labs)


CapraRAT exhibits varying file structures in different apps since it’s a versatile Android framework. The following files were found when the security analysts [analyzed](https://www.sentinelone.com/labs/capratube-transparent-tribes-caprarat-mimics-youtube-to-hijack-android-phones/) all three CapraRAT APKs:-


* Name: yt.apk
* Configuration: com/media/gallery/service/settings
* Version: MSK-2023
* Main: com/media/gallery/service/MainActivity
* Malicious Activity: com/media/gallery/service/TPSClient


* Name: YouTube\_052647.apk
* Configuration: com/Base/media/service/setting
* Version: A.F.U.3
* Main: com/Base/media/service/MainActivity
* Malicious Activity: com/Base/media/service/TCHPClient


* Name: Piya Sharma.apk
* Configuration: com/videos/watchs/share/setting
* Version: V.U.H.3
* Main: com/videos/watchs/share/MainActivity
* Malicious Activity: com/videos/watchs/share/TCPClient


MainActivity drives core features, enabling persistence via Autostarter in the onCreate method. It initializes mTCPService as TPSClient and schedules an alarm to run every minute.


The RAT’s key activity, TPSClient, resembles Extra\_Class, which contains over 10,000 lines of Smali code. TPSClient handles CapraRAT commands through a run method, with switch statements linking commands to methods.


The notable changes include the hideApp method’s behavior based on the Android version and config settings, possibly due to OS changes post-Android 9.


CapraRAT’s config file stores the [C2 server](https://cybersecuritynews.com/command-and-controlc2-server/) as SERVERIP and port values in hexadecimal Big Endian format, converting to port 14862, 18892, and 10284 for specific APKs.


**Defensive & Preventative Measures**
-------------------------------------


Here below, we have mentioned all the recommended security measures:-


* Make sure to stick to Google Play for Safe Android Apps.
* Always beware of the new social apps in your feed that are advertised within social media networks.
* Always remain vigilant while giving permissions to apps.
* Avoid installing third-party app duplicates on your device.
* Do not allow any critical permissions to any unfamiliar apps.






## Tags:
***SHA1-hash***: 83412f9d757937f2719ebd7e5f509956ab43c3ce 14110facecceb016c694f04814b5e504dc6cde61 8beab9e454b5283e892aeca6bca9afb608fa8718

### Autogenerated tags:
[[caprarat]] [[android]] [[apps]] [[youtube]] [[piya]] [[malware]] [[sms]] [[apks]] [[tpsclient]]
