# Chinese Hackers Using ORB Proxy Networks For Stealthy Cyber Attacks
## Researchers found that cyber espionage groups with ties to China are increasingly using complicated proxy networks called Operational Relay
## Information:

+ Link: https://cybersecuritynews.com/?p=65633
+ Source: Cyber Security News
+ Author: Guru Baran
+ Date published: 24 May 2024, 11:44
+ Date scraped: 24 May 2024, 12:10

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjXkf3xD83gJR9RBKJ-yFF_WnBgaZDRyWtdgWup2nYgnnfBRVa5U74djJzCy9llQWXx47aE42rUQ1_nkKuA15QmcQUVfHxeTNGBRi3WksvjIHPZMslubu2nLxE6vbUoXTyBTYFd8qbfT4mQ0JrrGIGNIf99rgOOseo728F9kQUVHSLab9OjRujH8UFbPRmn/s16000/Chinese%20ORB%20Network%20Attacks.webp)


Researchers found that cyber espionage groups with ties to China are increasingly using complicated proxy networks called Operational Relay Box (ORB) networks.


These networks are made up of mesh networks made from hacked devices and commercially leased virtual private servers (VPS).


Unlike traditional botnets, ORBs can be a hybrid of both, offering threat actors a constantly evolving infrastructure that’s difficult to track by reporting details of the framework developed by Mandiant to map these ORBs, allowing defenders to identify potential infiltration attempts.


One such network, ORB3 (also known as SPACEHOP), has been linked to the well-known [Chinese APT](https://cybersecuritynews.com/earth-krahang/) (Advanced Persistent Threat) groups APT5 and APT15.


`ANYRUN malware sandbox’s 8th **[Birthday Special Offer](https://app.any.run/plans/?utm_source=linkedin_csn&utm_medium=post&utm_campaign=birthday2024_scn&utm_content=plans&utm_term=200524/)**: Grab 6 Months of Free Service`


At the same time, SPACEHOP is believed to be used for tasks like initial reconnaissance and vulnerability exploitation.


It has been highlighted that while using proxy networks for espionage isn’t new, the scale and sophistication of ORBs employed by Chinese actors are a significant development.


By leveraging ORBs, Chinese APT groups can mask the origin of their malicious traffic, making it harder for defenders to identify and block communication between the attackers’ [command and c](https://cybersecuritynews.com/command-and-controlc2-server/)[o](https://cybersecuritynews.com/command-and-controlc2-server/)[ntrol](https://cybersecuritynews.com/command-and-controlc2-server/) (C2) infrastructure and the targeted victim’s network.


It extends to compromised devices on the victim’s network’s edge, potentially including those exploited through zero-day vulnerabilities.


The adversary-controlled operation servers (ACOS) and relay nodes within these ORBs are typically hosted in Chinese and Hong Kong IP spaces, further complicating attribution efforts.


The increased use of ORBs raises the bar for defenders as traditional methods of identifying and blocking malicious IP addresses become less effective due to the constantly shifting nature of the proxy network.


[Mandiant’s](https://www.mandiant.com/resources/podcasts/the-orb-networks) research suggests that defenders must adopt a more comprehensive strategy, including monitoring network traffic for suspicious behavior patterns and anomalous communication flows, even if they originate from seemingly legitimate IP addresses. 


The focus on behavioral analysis and threat intelligence feeds that track known ORB [indicators of compromise](https://cybersecuritynews.com/hackers-compromised-3300-websites-using-plug-in-vulnerability/) (IOCs) can help defenders improve their ability to detect and disrupt ongoing cyber espionage attempts. 





## Tags:


### Autogenerated tags:
[[ip]]
