# Chinese Hackers use .chm files to Hijack Execution Chain and Deploy Malware
## A Chinese state-sponsored cyber-espionage campaign, attributed to TAG-74, targeted South Korean academic, political, and government bodies primarily linked to Chinese military intelligence.
## Information:

+ Link: https://cybersecuritynews.com/?p=43675
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 21 September 2023, 07:35
+ Date scraped: 21 September 2023, 08:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiY4blmo6NR6Tc3ezaw5HfCO595_pKDvMlzTDyro1ioX7lblKRq4dSDjVMl3YcgRmbrGfTmMp2fFshjXVEydMTbVvhQIKglPKIUm5TcHLAIQZ82D2SG2IylqanfbnRATd1tQvKUCmcT8cCdmhH5MkunjH2FR9vwV9PTqZuswgWVGI3kZiN5PIwSiBxvxjYG/s1600/Chinese%20Hackers%20use%20.chm%20files%20to%20Hijack%20Execution%20Chain%20and%20Deploy%20Malware.webp)


The Chinese state-backed group TAG-74 is known for conducting intelligence collection on organizations in the following countries:-


* South Korea
* Japan
* Russia


The TAG-74 utilizes .chm files to trigger a DLL search order hijack execution chain and deploy malware for loading a customized ReVBShell VBScript backdoor.






Cybersecurity analysts at Recorded Future’s Insikt Group recently analyzed a [Chinese state-sponsored](https://cybersecuritynews.com/chinese-breached-13-us-ong/) cyber-espionage campaign, attributed to TAG-74, targeting South Korean academic, political, and government bodies, primarily linked to Chinese military intelligence.


This complete assessment primarily relies on the past targeting behavior and PLA Northern Theater Command-aligned actors’ usual areas of operation.




Document

FREE Webinar
[Live DDoS Attack Simulation](#)
--------------------------------


Attend the Live DDoS Website & API Attack Simulation webinar to gain knowledge on various types of attacks and how to prevent them.


  [Join Now](https://www.indusface.com/live-ddos-attack-simulation-on-websites-apis.php?utm_source=gbhackers-blog-cta&utm_medium=referrals&utm_campaign=2023-sep-webinar-ddos-attack-simulation-on-websites-api) 


**Infection Chain**
-------------------


TAG-74’s infection chain, observed since 2020, relies on spearphishing via .chm files containing three main components.


Here below, we have mentioned those three key components of .chm files:-


* An embedded legitimate executable.
* A malicious DLL.
* An HTML file.


The HTML file initiates a DLL search order hijack chain by executing hh.exe and vias.exe via bitmap shortcut objects; simulating mouse clicks on the objects in sequence.



![Chinese Hackers use .chm Files ](https://lh3.googleusercontent.com/SrPljgxGH1yln9t-KiAVLETgtklDN7hC3kqrRHEbXr_4BroiLVOu_Cn8mJQn1gdeds2PTqS7cy9_yRhH8YW1mfjTG0eznMvdV8eTtAI8jmiTj_6hsI-KwQdvw2SwDY_VobIEtpT-S4yyFxuPaGcCxDM)Infection Chain (Source – Recorded Future)


The loaded malicious DLL generates and runs a customized ReVBShell [VBscript](https://cybersecuritynews.com/hackers-use-weaponized-lnk-files/) backdoor in %TEMP%.


TAG-74 employs South Korean VPS infrastructure from various providers and dynamic DNS domains for C2, often impersonating South Korean organizations.


**IPs used**
------------


Here below, we have mentioned all the IP addresses observed in use by TAG-74:-


* 45.133.194[.]135
* 92.38.135[.]92
* 141.164.60[.]28
* 158.247.223[.]50
* 158.247.234[.]163


**Technical Analysis**
----------------------


TAG-74 uses a modified ReVBShell backdoor that sleeps for a set duration after a C2 server NOOP response. TAG-74 typically alters the sleep time from 5 seconds to 5 minutes, with added C2 command capability for adjusting the interval.



![Chinese Hackers use .chm Files ](https://lh4.googleusercontent.com/UaQVeWbO71Q6RwOT-Wml5D9U9_593U5q3Y8TUsd5o2uxJBW9j_i3cgTDxPGM772CZ14rnpv4lKfuTARojkRQNDZoDceLEr77rkntgNpj6PUK_22EJLHCNSHRbyIx_CL-qJZGmSRomXZ6UBrl4BQ5lpw)Additional functions present in customized ReVBShell (Source – Recorded Future)


[Insikt Group spotted](https://go.recordedfuture.com/hubfs/reports/cta-2023-0919.pdf) Bisonal samples communicating with TAG-74’s [C2 infrastructure](https://cybersecuritynews.com/command-and-controlc2-server/), suggesting it’s a follow-on malware family with enhanced features beyond ReVBShell. 


Bisonal is an exclusive Chinese state-sponsored backdoor that has been active since 2010 in the following countries:-


* Japan
* South Korea
* Russia


**Spoofed Domains**
-------------------


Here below, we have mentioned all the domains that TAG-74 spoofs:-


* attachdaum.servecounterstrike[.]com
* attachmaildaum.servecounterstrike[.]com
* attachmaildaum.serveblog[.]net
* logindaums.ddnsking[.]com
* loginsdaum.viewdns[.]net
* bizmeka.viewdns[.]net
* hamonsoft.serveblog[.]net
* hanseo1.hopto[.]org
* hometax.onthewifi[.]com
* mailplug.ddnsking[.]com
* minjoo2.servehttp[.]com
* necgo.serveblog[.]net
* pixoneer.myvnc[.]com
* puacgo1.servemp3[.]com
* satreci.bounceme[.]net
* sejonglog.hopto[.]org
* unipedu.servebeer[.]com


**Mitigations**
---------------


Here below, we have mentioned all the mitigations offered by the cybersecurity researchers-


* Set up your IDS, IPS, or network defense systems to alert and potentially block connections to/from the listed external IP addresses and domains.
* Block .chm and similar file attachments at email gateways and in application deny lists to mitigate potential abuse due to their limited legitimate use.
* Recorded Future identifies malicious server configurations in the Command and Control Security Control Feed, so, the clients are advised to alert and block these C2 servers for intrusion detection and remediation.
* Make sure to block and log all TCP/UDP network traffic related to DDNS subdomains, as state-sponsored and financially motivated threat groups frequently use them for network intrusions.
* Use the Brand Intelligence modules to detect domain abuse, including typosquat domains mimicking your organization.






## Tags:
***ipv4-adresses***: 92.38.135.92 45.133.194.135 158.247.234.163 141.164.60.28 158.247.223.50
***urls***: http://92.38.135.92 http://puacgo1.servemp3.com http://sejonglog.hopto.org http://158.247.223.50 http://158.247.234.163 http://141.164.60.28 http://attachdaum.servecounterstrike.com http://necgo.serveblog.net http://loginsdaum.viewdns.net http://logindaums.ddnsking.com http://minjoo2.servehttp.com http://hometax.onthewifi.com http://45.133.194.135 http://hamonsoft.serveblog.net http://hanseo1.hopto.org http://mailplug.ddnsking.com http://attachmaildaum.serveblog.net http://bizmeka.viewdns.net http://attachmaildaum.servecounterstrike.com http://pixoneer.myvnc.com http://unipedu.servebeer.com http://satreci.bounceme.net

### Autogenerated tags:
[[tag-74]] [[revbshell]] [[c2]] [[dll]] [[state-sponsored]]
