# Darkgate Malware Weaponizing XLSX, HTML, & PDF To Attack Windows Machines
## Hackers often target XLSX, HTML, and PDF files as they are widely used and their trustable file formats also attract them.
## Information:

+ Link: https://cybersecuritynews.com/?p=64854
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 17 May 2024, 05:55
+ Date scraped: 17 May 2024, 16:13

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjXX6S5EXN6Y11f6vkMNzld_PgcccBqWCsyUEUwQmYjLBwLQSSiLsCnlxTYXKp655StPFUaW1SVYS7UfZ89MFRTWFCvujM2hAraADY4SuqmAkZ26jNAP-ARX6K8M_P7JDp5iD7HazJCAx_hbCG3BXf28Dyk4CW2qqkrThLO-wMQjK8B2Yq21BwyFUmEqEZe/s16000/Darkgate%20Malware%20Weaponizing.webp)


Hackers often target XLSX, HTML, and PDF files as they are widely used, and their trustable file formats also attract them.


This makes it easier to deliver them successfully to recipients who may not be aware.


Forcepoint researchers recently asserted that the Darkgate malware is distributed via phishing emails that have malicious attachments such as XLSX, HTML, or pdf which take over accounts and replicate themselves.


It is persistent in the sense that it can go unnoticed while endangering lost data, fraud, blackmail, and exposed sensitive information.


ANYRUN malware sandbox’s 8th **[Birthday Special Offer](https://app.any.run/plans/?utm_source=linkedin_csn&utm_medium=post&utm_campaign=birthday2024_scn&utm_content=plans&utm_term=200524/)**: Grab 6 Months of Free Service


**Technical Analysis**
----------------------


Forcepoint X-Labs [analyzed](https://www.forcepoint.com/blog/x-labs/phishing-script-inside-darkgate-campaign) a recent Darkgate campaign initiated through a phishing email containing a fake Intuit [Quickbooks](https://cybersecuritynews.com/hackers-use-fake-quickbooks-software/) invoice PDF. 


It tricks users into clicking a link to install Java but instead redirects them to a geofenced URL that surreptitiously downloads the next malware stage payload.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgUlfzNflEtvRImhyphenhyphen_dSpbLpG7QbvxjtKIJTHDCOJJwi1yVjN8ebJRjaKbysAchxN8c_E6-THpdisWwL5yrqUrivmFtem0Egv0-LJjI1XsNo1Ov6t57Z9poTNARWoUGw7wt0zEK4qYqMrJrw6AGf8AvA9N_wvvcg3W-is6pvWK2FkJCukerKphFzljQwYhe/s16000/Attack%20Chain%20(Source%20-%20Forcepoint).webp)Attack Chain (Source – Forcepoint)


A malicious “may-document\_[number].pdf” file analysis demonstrates an invoice PDF with an embedded hyperlink in a large XObject image.


Clicking the link downloads a malicious .jar file. The associated URLs share patterns with those used by QakBot actors before, indicating potential connections.


Analyzing the malicious “.jar” file with JD-GUI exposed a “.PNG” and an obfuscated “.class” file containing code to download a “.ZIP” file to C:\Downloads\ using a curl.exe command.


Upon downloading the ZIP, it leverages PowerShell’s expand-archive to extract the contents.


This class file can also download and save MSI files. Within the ZIP, AutoIt3.exe and a compiled AutoIt script in .a3x format have been extracted, which are then run by the JAR via an obfuscated cmd command.


Darkgate has used AutoIt elsewhere, and this script was compiled using AutoIt 3.26+ with AU3!EA06 headers. Further investigation is needed to determine what this script does.


The operations BITXOR and BinaryToString() of AutoIt are difficult to understand. This tool merges a large data stream into a local variable.


DLLSTRUCTCREATE() library function allows bytes to be loaded into memory and then abuse system resources. Scripts obtain shell code and join with the server botnet remotely.


The Darkgate campaign deploys [phishing](https://cybersecuritynews.com/5-common-phishing-vectors/) emails pretending to be QuickBooks invoices to make users download malicious JAR files containing directions for more payloads, such as obfuscated AutoIt scripts. 


These scripts run shell code and communicate to remote servers. The Darkgate campaign has nicely blended professional malware techniques and historical URL patterns consequently demonstrating an advanced persistent threat (APT).


**IOCs**
--------


### **Initial Stage URLs:**


* afarm[.]net/uvz2q
* affixio[.]com/emh0c
* affiliatebash[.]com/myu0f
* afcmanager[.]net/jxk6m
* adventsales[.]co[.]uk/iuw8a
* amikamobile[.]com/ayu4d
* adztrk[.]com/ixi7r
* aerospaceavenue[.]com/cnz8g
* amishwoods[.]com/jwa4v


### **Second stage URL:**


* smbeckwithlaw[.]com/1[.]zip


### **C2:**


* ​kindupdates[.]com





## Tags:
***urls***: http://affixio.com/emh0c http://amikamobile.com/ayu4d http://kindupdates.com http://adztrk.com/ixi7r http://affiliatebash.com/myu0f http://smbeckwithlaw.com/1.zip http://afarm.net/uvz2q http://adventsales.co.uk/iuw8a http://amishwoods.com/jwa4v http://afcmanager.net/jxk6m http://aerospaceavenue.com/cnz8g

### Autogenerated tags:
[[darkgate]] [[autoit]] [[pdf]] [[malware]] [[forcepoint]] [[phishing]] [[url]]
