# Follina Exploit Let Hackers Compromise the Domain Controller Via RDP Session
## An intrusion was detected by The DFir Report in early June 2022 that leveraged the Follina vulnerability, CVE-2022-30190 to gain initial access.
## Information:

+ Link: https://cybersecuritynews.com/?p=11047
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 02 November 2022, 18:58
+ Date scraped: 06 November 2022, 16:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhtkesGLiU9BxboMvblEdoC-XEoVTk4U1Y3FHCWqjaz0Xg0m3kLOX8qewBDd6RXWjf0iQfxqBzJ8UOlHU6Z1osSLhgU6b5soEusiosFxgHkjjWQueEKoJ9N4vXTkqY_QCe1dcSMHVplO1u9fzfazLivn6EJ4MIpwktJ6PY_5wfZnIF00_RGxwsajIJGtg/s16000/Follina%20Exploit.webp)

An intrusion was detected by The DFir Report in early June 2022 that leveraged the [Follina vulnerability](https://cybersecuritynews.com/microsoft-office-zero-day-vulnerability/), CVE-2022-30190 to gain initial access. Apart from getting initial access it also initiated the infection chain of Qbot.

 Qbot (aka Qakbot and Pinksliplot) is a very active malware that has plenty of features and can be used for a variety of purposes, such as:-

* Reconnaissance
* Lateral movement
* Data exfiltration
* Deliver payloads
* Act as an initial access broker

The malware establishes [C2](https://cybersecuritynews.com/command-and-controlc2-server/) connectivity in this intrusion when the Qbot payload is executed, and then on the host that has been compromised, it performs discovery action.

![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiwuSBUHL7dYc-rF5uwzOIexaYp2a3IrJA8Vw-qIZNKSkW0klINuQxfItCXYynEJ3ow34pKKGKRU5kgvUFxj9Ku6Hre_VYGqc4QAiYod2yMfeoH5R_9aqvwJu7ufUBAIK2lZYtHXpIZbpxd8i4v-yzEgjMROOVLmotksbLvitRROjLFbRrK1dcZweQq7Q/s16000/FD%201.webp)

## **Follina Exploit**

To maintain access to the network, the threat actors were directed to several systems, and then on those systems, they installed and used the following tools:-

* NetSupport
* Atera Agent
* [Cobalt Strike](https://cybersecuritynews.com/linux-version-of-cobalt-strike-malware-targets-organization-worldwide/)

Threat actors have exploited the [CVE-2022-30190](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-30190) (Follina vulnerability) in this intrusion and here they used a malicious Word document to embed the exploit code into it for gaining initial access.

According to the [report](https://thedfirreport.com/2022/10/31/follina-exploit-leads-to-domain-compromise/), Inside the Temp directory of the users, the base64-encoded content that comes with the payload is used by threat actors to download Qbot DLL files. This activity was immediately followed by the execution of the Qbot DLL through the regsvr32.exe on the host.

![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhEKU6F_1YH2ShOaQX61Aaj6v01VFMMLOwSx3y-OqmMF788fSSRD3TjVbX0RIYbonU5RzE4lRDCji1bKGO5Ag41H4zxKxj4Z12mGCb_CgWijcfEypN6QrAjJrxETogveI0ADoTYhG_coAmpomVc9jc3_SsNB_FFXuhQdatlvKX99TjXCgK2iR2L4Tw-fw/s16000/FD%202.webp)

There were a number of Windows utilities that were spawned by the injected process, including:-

* whoami
* net.exe
* nslookup

The [Qbot](https://cybersecuritynews.com/qbot-malware-windows-calculator/) persistent mechanism was based on creating scheduled tasks. The injected Cobalt Strike process executes the following utilities:-

* nltest.exe
* AdFind

A tool called Atera Remote Management was installed on the domain controller in order to allow remote access. A port scan was performed across the entire network by the tool, which was executed.

By doing this, the threat actors will be able to access sensitive documents from a file share server through RDP, and this will also enable them to connect to it in the future and maintain persistence.

## **Technical Analysis**

As part of the initial delivery of this intrusion, hijacked email threads were used in conjunction with TA570. There is a possibility that the code that is generated will be interpreted and executed by msdt.exe ([Microsoft Support Diagnostic Tool](https://en.wikipedia.org/wiki/Microsoft_Support_Diagnostic_Tool)) when a system becomes vulnerable to Follina.

![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjXxPbq5Usr8QnQGN0MnA7UPuYcBFxDVM5G9ltORJxuCIn7nT4rz54-Bxsyyon9H_dLti8IIhLwm7zEpjKIRD83-hirkUjY0B3BCpe47NpNyDsxDb0EAfMhKXywADcdH2GzhQ-K0DT62scMZhHt-neMnkaBoEdDOiybDjnsPJBSIdmBz-bwWqh_LO6glQ/s16000/FD%203.webp)

The Folllina uses three different URLs to download the Qbot libraries, which makes it a very unique payload. The following are the three URLs that we have mentioned below:-

* http[:]//104.36.229.139/$(random)[:]dat -OutFile $p\t.A
* http[:]//85.239.55.228/$(random)[:]dat -OutFile $p\t1.A
* http[:]//185.234.247.119/$(random)[:]dat -OutFile $p\t2.A

A new instance of the sdiagnhost.exe is spawned as soon as a MSDT payload is executed. The Follina payload was ultimately invoked by this process, and it was the end result of this process.

Process hollowing is a method used by QBot to streamline its processes. There was an attempt to inject malware into explorer.exe by starting it in a suspended state, and then using the suspended version as a target – in this case, 32-bit explorer.exe.

The following access rights correspond to the level of access that is commonly requested for credentials mining by the credential dumping tools like Mimikatz:-

* PROCESS\_VM\_READ (0x0010)
* PROCESS\_QUERY\_INFORMATION (0x0400)
* PROCESS\_QUERY\_LIMITED\_INFORMATION (0x1000)
* PROCESS\_ALL\_ACCESS (0x1fffff)

For the purpose of extracting sensitive data from the compromised host, Qbot used several types of information-stealing modules. After that, the Atera RMM agent was installed and enabled on the domain controller by the threat actor during the attack.

Further, without relying on [RDP](https://learn.microsoft.com/en-us/troubleshoot/windows-server/remote/understanding-remote-desktop-protocol), the threat actors gained access to the environment using the deployed remote admin tools.




## Tags:
***CVE's***: CVE-2022-30190
***ipv4-adresses***: 85.239.55.228 185.234.247.119 104.36.229.139
***urls***: http://185.234.247.119/$(random):dat http://104.36.229.139/$(random):dat http://85.239.55.228/$(random):dat

### Autogenerated tags:
[[qbot]] [[follina]] [[malware]] [[[:]dat]] [[outfile]]
