# GHOSTENGINE Malware Exploits Vulnerable drivers To Terminate EDR Agents
## Researchers discovered REF4578, an intrusion set that uses vulnerable drivers to disable established security solutions (EDRs) for crypto
## Information:

+ Link: https://cybersecuritynews.com/?p=65478
+ Source: Cyber Security News
+ Author: Guru Baran
+ Date published: 22 May 2024, 15:51
+ Date scraped: 22 May 2024, 21:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiCL2kqeuDB-A2t1GFbNIEb1J5LxDc4JikCwg64R6ZXF0UuN4t47NMh_0z4YYfI9Nzh8S9hUOqz4-VHdD2A6EvKN_xDiG-1Zg4QhzaiEtA6g-TPf2rRWt5ghfjs_gXAMqd_FgWOq0BG9zq4HdaKp1GL9g6cLy2BJ7gc-lh_VmHkTXqUkcdVkg8j3xXSbIa9/s16000/GHOSTENGINE%20Malware%20Terminates%20EDR%20Agents.webp)


Researchers discovered REF4578, an intrusion set that uses vulnerable drivers to disable established security solutions (EDRs) for crypto mining and deploys a malicious payload known as GHOSTENGINE.


GHOSTENGINE is in charge of locating and running the machine’s modules. To download files from a configured domain, it mostly uses HTTP, with a backup IP in case the domain is unavailable. It also uses FTP as a backup protocol that includes embedded credentials.


This campaign required an unusual level of complexity to ensure the [XMRIG miner](https://cybersecuritynews.com/antivirus-updates-hijacked/) would be installed and persistent.


Free Webinar on **[Live API Attack Simulation](https://www.indusface.com/live-api-attack-simulation.php?utm_source=blog-cta&utm_medium=referral&utm_campaign=2024-may-webinar-live-api-attack-simulation)**: Book Your Seat | Start protecting your APIs from hackers


**REF4578 Execution Flow**
--------------------------


Elastic Security Labs reports that the REF4578 intrusion started on May 6, 2024, with the execution of a PE file called Tiworker.exe that was posing as the genuine Windows TiWorker.exe file.


The telemetry recorded the following alarms, which suggested that a known vulnerable driver had been used.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiv9ck8LygxLHexiWhgv5QjUyoRu-vC9r810pO9J9NdFPaLVA3u1rE-3sWInYKxQ7xx47aWeuWqVjCCcAxaO9JCTzPlqATJezFOna7lR28F4x2OGNOwNy7U_wedy0fGwomlCnd9eNaZ8VtrXN8D7eFvOQnsZz3iuja3ztk9urdUT_tiGYlCeqZa9ENj9D7H/s16000/Capture.webp)

REF4578 Execution Flow




This file downloads and runs a PowerShell script that manages the intrusion’s whole execution flow when it is executed.


According to analysis, this program executes a hardcoded PowerShell command line to obtain an obfuscated script called get.png. This script is then used to download more tools, modules, and configurations from the attacker C2.


The powershell script attempts to disable Windows Defender, enable remote services and clean the Windows event log channels.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhK1khxCWofnVfBZg43BL4kCe0f9xiXo5fCSYALr9R9sSOyBuH6xZs7X7NLs07Wp7nB9Ej_Yt6pgn19RVz_EIG181JYUCTrho2zmhtvXthdqrGLiBXxDPhIUlkQelj-mLsehXNyKZfYx0zq9YPRb75h06ZunBYdpnQxPQDLQezwliCV8whhTEWhOwiajMC4/s16000/Capture%20(1).webp)

get.png disabling Windows Defender and enabling remote services




Next, to establish persistence, get.png creates the OneDriveCloudSync,DefaultBrowserUpdate, and OneDriveCloudBackup scheduled tasks as SYSTEM.


GHOSTENGINE installs a number of modules that can check for software updates, build with security tools, and construct a backdoor.


The main function of the smartscreen.exe module is to end any running EDR agent processes before downloading and setting up a cryptocurrency miner.


“The ultimate goal of the REF4578 intrusion set was to gain access to an environment and deploy a persistent Monero crypto miner, XMRig”, researchers [said](https://www.elastic.co/security-labs/invisible-miners-unveiling-ghostengine).


**Recommendation**
------------------


As a result, it is imperative that the following early acts be prevented and detected first:


* Suspicious PowerShell execution
* Execution from unusual directories
* Elevating privileges to system integrity
* Deploying vulnerable drivers and establishing associated kernel mode services.





## Tags:


### Autogenerated tags:
[[ref4578]] [[windows]] [[powershell]] [[ghostengine]] [[get.png]]
