# GTPDOOR Linux Malware Exploiting GPRS Protocol For Stealthy C2 Communication
## Threat actors exploit Linux malware due to the widespread use of Linux servers in critical infrastructure and web hosting.
## Information:

+ Link: https://cybersecuritynews.com/?p=58441
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 01 March 2024, 08:50
+ Date scraped: 01 March 2024, 09:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgCq20Eyylg_75kER49cYV3XwCuV7nVVns20pCALFhImg66nomB9JSI3qTbRdiTeun_-_y-GRxd7tnEkga-jtQrSjhzZguOhoOii0nQNpzSYAbM9ZkjMxyfCj832xsyNFVszMxBV8fI20J9w5MubNC0dku84uPNS6sBChskXokZhiyFQC2qTjleKK5vAPUg/s16000/GTPDOOR%20Linux%20Malware%20Exploiting%20GPRS%20Protocol%20for%20Stealthy%20C2%20Communication.webp)


Threat actors exploit Linux malware due to the widespread use of Linux servers in critical infrastructure and web hosting.


Linux’s prevalence makes it an attractive target for cybercriminals seeking to compromise systems, steal data, or launch [distributed denial-of-service (DDoS)](https://cybersecuritynews.com/ddos-protection-tools/) attacks.


Cybersecurity researcher specialist in mobile security and IoT security research, HaxRob(@haxrob) recently discovered GTPDOOR, a [Linux malware](https://cybersecuritynews.com/new-stealthy-linux-malware-targeting-endpoints-iot-devices/) that was found exploiting GPRS protocol for stealthy C2 communication.







**GTPDOOR Linux Malware Exploiting GPRS Protocol**
--------------------------------------------------


GTPDOOR targets telco networks near GRX, and it communicates C2 traffic via GTP-C signaling by blending it with normal traffic.


The below diagram depicts a potential use case where actors exploit established persistence to access compromised hosts through GTP-C Echo Request messages:-



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgZcU1gugIsS84N3jgZjAT7L2fCD0eK6TSpzU21CT4wKv6rH8fDmP8sZbuVJ90qmJkLe7jIqGj214BDgOUVt9K0nL1ebgLP5AKFivZCYYhKAIMwGmOkK_lnxGBKJVB6qKKkDOHFlxn9FqASzXINdUPehF13bT5m6WU6XTShC8ODlXcjfWybOa6p_1QCHcHP/s16000/Use%20of%20GTPDOOR%20(Source%20-%20Double%20Agent).webp)Use of GTPDOOR (Source – Double Agent)


GTPDOOR supports remote code execution and can be beaconed by sending [TCP packets](https://cybersecuritynews.com/network-packet-analyzer-tools/) to its host. 


The beacon response hides specific information in a TCP header flag by enhancing its stealth.


This malware has been named “GTPDOOR” for employing a port-knocking technique similar to BPFDOOR.


Unlike BPFDOOR, GTPDOOR uses GTP-C echo request/response messages and filters on UDP and GTP header values.


It’s likely linked to UNC1945 / LightBasin, known for using GTP protocol to encapsulate tinyshell traffic.


GTPDOOR targets GTP-C signaling messages with its own extended structure.


Besides this, the binaries contain the name “dnsd.c,” and a [CrowdStrike](https://www.crowdstrike.com/blog/an-analysis-of-lightbasin-telecommunications-attacks/) presentation suggests the existence of a Solaris version.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhehH-CEN7qZte3TBpjvjRMhXkLkI1mGkgORjokPGB5RGASeVz78G5NTk_x2fz3RcnViULv6WlvOsdmCQOj07pkvK6IsvvG7f_NZN6V6-u6qmiUzPf8uQk1q04lVS2ACVyrDfE1rCG9ZqSOkc0484x9jyFJ-VnyAHRwIAuau1UByD7fWTZpc4yxFx1l02X_/s16000/dnsd%20Process%20(Source%20-%20Double%20Agent).webp)dnsd Process (Source – Double Agent)


A “closed” network links global telecom operators for interconnectivity. Systems like eDNS, SGSN, GGSN, P-GW, STP, and DRA require direct GRX network access for roaming-related signaling and user plane traffic.


GTPDOOR could exploit all these functions and gain direct entry into a telco’s core network. Likely targets include systems supporting GTP-C over GRX, like:-


* SGSN
* GGSN
* P-GW


Here’s the visual presentation of the packet:-



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiwkxAuhLYv3R_r5HUDhjJS42r9HEdjRf30MVOyYtoKP6nrgmjs9qHD-LRS-d48hzpU6M2DeVhCLRXkpZ9Jz5JxlFQWc_IGViRBfsfYCA595B70ItMwOiTtO4K8ys0if3JZDMvtM2l_xcD0bkTtZHHgg8sRbw1xCT3wp89PwGjW2epLtrAKKuHzpTmP72r-/s16000/Packet%20presentation%20(Source%20-%20Double%20Agent).webp)Packet presentation (Source – Double Agent)


The TCP probe feature allows external hosts to check GRX’s TCP packets.


A subnet filter compares the source IP, and if there is no match, then a reply is sent, which indicates that the implant is active.


The beacon response is crafted using a raw socket by copying relevant IP and TCP header fields.


The client distinguishes an open port by checking the urgent pointer flag in the TCP header.


While no service needs to listen on the TCP beaconing port:-



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh8BbkBUBzc-8UMhfTl7RXFEj5hUPmMI-9bsJ4Yo46VvH6_wFo28-XlxqDnlDKxx5MALiskJWBWnYzBc1VrkkMkCPvfun0u9_ItSPC1JvdqE1kxtgwHc9OsFZ8t8cOrSr2f5eugO4GqQFyGQ8VKTbsQc5_apcNUHAFrDonDhffqQP1H1yZnNOlJ3fVZYcov/s16000/TCP%20header%20(Source%20-%20Double%20Agent).webp)TCP header (Source – Double Agent)


Probe responses use ACK/RST flags and urgent pointer flags for covert message encoding in the TCP header.


The ACL purpose is unclear, with considerations like avoiding threat actor [C2 infrastructure](https://cybersecuritynews.com/command-and-controlc2-server/) in memory or specifying internal victim networks. 


However, any GRX host can scan operator IPs by sending the TCP SYN packets on non-standard ports.


**Recommendations**
-------------------


Here below we have mentioned all the recommendations:-


* Open UDP port selectively on GRX for necessary systems, with explicit firewall rules dropping packets for non-GTP protocol users.
* Employ strict rules to block unnecessary inbound TCP connections via GRX.
* Consider dropping TCP packets with the RST/ACK flag set on the GRX firewall as a precaution.


You can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits, with [**Perimeter81 malware protection**](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428). All are incredibly harmful, can wreak havoc, and damage your network.





## Tags:


### Autogenerated tags:
[[tcp]] [[gtpdoor]] [[malware]] [[linux]] [[gtp-c]] [[c2]]
