# Glupteba Malware Infecting Devices Worldwide To Steal Sensitive Data and To Deploy Exploit Kits
## One of the top ten malware variants of 2021 is the trojan horse malware known as Glupteba. The Glupteba malware can be used to infect a system, deliver additional malware, collect user authentication data, and add the compromised system to a crypto-mining botnet after infection.
## Information:

+ Link: https://cybersecuritynews.com/?p=12332
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 21 December 2022, 13:17
+ Date scraped: 21 December 2022, 14:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh05kfGeWgqFldHkNggDqALE5oLVwDKTH9vbDowYGasVd366B8rOizbLarrvzM0vkljy7kAKyhks2w-xxvdNbwRa8DoKrqlKmJv4ngaughhPwf8WB52GXZBrR6B4PWkb7CL8ww6RH6pdcWHab6AU79QTT-_3CS9Wf3ezdVQgH9VqXLZsxQsJHrtsFMYbw/s16000/Glupteba%20Malware%20Infecting%20Devices%20Worldwide.webp)


One of the top ten malware variants of 2021 is the trojan horse malware known as Glupteba. The Glupteba malware can be used to infect a system, deliver additional malware, collect user authentication data, and add the compromised system to a crypto-mining botnet after infection.





[Nozomi Networks Lab discusses](https://www.nozominetworks.com/blog/tracking-malicious-glupteba-activity-through-the-blockchain/) its most recent research on Glupteba and how security teams might look for criminal activities in blockchains.


## **The Working of Glupteba** **Malware**


A backdoor trojan called Glupteba is downloaded using Pay-Per-Install networks, which are online marketing campaigns that encourage the download of software or applications, infected installers, or software cracks.


The botnet operators can use additional modules from the [credential stealer](https://cybersecuritynews.com/redline-stealer-malware-atargeting-browser-autologin-feature-to-steal-passwords/) to exploit kits that compromise devices on the target network after Glupteba is operational on a machine.


Further, there are multiple Glupteba modules designed to take advantage of flaws in different [Internet of Things (IoT)](https://cybersecuritynews.com/5-main-aspects-of-iot-impact-on-cybersecurity/) devices from vendors like MikroTik and Netgear.


Glupteba also leverages the Bitcoin blockchain to distribute its Command and Control (C2) domains to infected systems.


The Bitcoin blockchain can be used to store arbitrary data. The botnet’s clients use a discover function to obtain the C2 server address that enumerates Bitcoin wallet servers, retrieving their transactions, and parsing them to identify an [AES-encrypted](https://cybersecuritynews.com/hackers-attacking-windows-using-infostealer-malware/) address.



![Discover function used for retrieving C2 domains](https://lh6.googleusercontent.com/cs6spr8ygbBcBJxw6jbNBYgiHLAv_yUfjX76xhe2YF0aBhnT1vGsX23OtuNLnwg1nTat-cIUR-mgXGmaVKuX_UurdO7wkXYryyHM2xg9ocj4kqJ7B9WBA5MUEQPrw1htdmmbbZfMZXKF6mtqTujMlm3Roo_YJ9jnPVq5S-wmC3A-evMBCQxXCul5xKO43jNof1zaACm9Pg)Discover the function used for retrieving C2 domains


Since it offers resistance to takedowns, Glupteba has been using this tactic for a while. Researchers mention that while blockchain transactions cannot be reversed, efforts to take down C2 addresses have little effect on the botnet.


“The way the Bitcoin blockchain is built on top of modern cryptography also makes this mechanism secure; without the Bitcoin address private key, one cannot send a transaction with such a data payload originating from the malicious address, hence, taking over the botnet is not possible”, say researchers.


The main drawback is that anyone may access the public Bitcoin blockchain and examine transactions to obtain data.


Nozomi looked through the most recent set of [TLS certificates](https://cybersecuritynews.com/protecting-ssl-tls-certificates/) used by the malware to learn more about its infrastructure while searching for Glupteba domains and hosts using passive DNS records.


According to the Nozomi study, 15 Bitcoin addresses were used in four Glupteba campaigns, the most recent of which began in June 2022, six months after Google’s disruption, and the campaign is still going on.


Blockchain transaction diagrams:


![Blockchain transaction diagrams. Latest campaign infrastructure on left, and 2019 to 2021 campaigns on right](https://lh3.googleusercontent.com/GyXcgxPYoiCt7bdXCju5AZ6Dg0gPPhvudf7y8lkzf6n3-HbptZe4IwpwtP1xORv6SOnq3e7kxGBEy96lhwcXTE7LQ9Ugibm-pgHZMmHbKJr-2ytpGdi93cFSThnmrICLi_wU3HTtuywKj06kCvzJdzfFYFg1FkJalWx63iASJQZOrENYsBPcngUxJUQTvJYjqEn93tbtXw)From left to right, 2022 (most complex), 2021, 2020, and 2019 campaigns


**Recommendation**


Researchers strongly advise blocking Glupteba-recognised C2 domains as well as blockchain[.]info and other related domains in your environment. To assist guard against a potential Glupteba infection, it is advisable keeping an eye on DNS logs and update antivirus software.






## Tags:
***urls***: http://blockchain.info

### Autogenerated tags:
[[glupteba]] [[bitcoin]] [[malware]] [[blockchain]] [[botnet]] [[c2]] [[nozomi]]
