# Hackers Actively Using Pupy RAT to Attack Linux Systems
## Recent campaigns across Asia have seen a significant uptick in attacks targeting Linux systems, leveraging the notorious Pupy RAT.
## Information:

+ Link: https://cybersecuritynews.com/?p=62274
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 15 April 2024, 07:56
+ Date scraped: 15 April 2024, 08:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg8YY20qH4Nhix3vPazLEoz0kR4KtjYCy5u4vORmLGI7QHuYxrUOHaIMn3yrvdtERffABvwTmNqQ179pjgyAcnKcAIeJk1kdopMBWmZpFQ1U0IVc0kkSmcaC7LdspC44imAkVtEI836sa6L8khMOZRk_82-OcXG2eLEGFIkavOjAuv1hMQGLTkLKq5Lh50/s1600/pupy%20rat%20(1)%20(1).webp)


Recent Asian campaigns have seen an uptick in attacks targeting [Linux](https://cybersecuritynews.com/linux-admins-beware-fake-putty/) systems, leveraging the notorious Pupy Remote Access Trojan (RAT).


This malware, known for its versatility and stealth, has been employed by various threat actors to infiltrate and exploit systems, posing a significant risk to individual and organizational cybersecurity.


**The Rise of Pupy RAT in Asia**
--------------------------------


Pupy RAT, a multifunctional malware, has been a tool of choice for cybercriminals due to its wide range of capabilities.


It allows attackers to perform numerous malicious activities, including file upload/download, remote command execution, information theft, keylogging, and screenshot capture.


Document

Stop Advanced Phishing Attack With AI
[AI-Powered Protection for Business Email Security](#)
------------------------------------------------------


Trustifi’s Advanced threat protection prevents the widest spectrum of sophisticated attacks before they reach a user’s mailbox. Stopping 99% of phishing attacks missed by
other email security solutions. .


  [Try Free Demo](https://trustifi.com/?utm_source=cybersecuritynews&utm_medium=link&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


While Pupy RAT has historically targeted both Windows and Linux systems, recent reports indicate a focused campaign on exploiting Linux systems within the Asian region.


Broadcom has recently published a [blog post](https://www.broadcom.com/support/security-center/protection-bulletin/pupy-rat-continues-to-be-used-in-attacks-against-linux-systems) that discusses hackers’ active use of Pupy Remote Access Trojan (RAT) to target Linux systems.


Pupy RAT is distinguished by its ability to operate undetected, thanks to its sophisticated evasion techniques. It is written in [Python,](https://cybersecuritynews.com/web-shell-attacking-ivanti-vpn/) making it highly adaptable and capable of running on multiple platforms. 


For Linux systems, the malware utilizes a custom payload that exploits known vulnerabilities, granting the attackers unauthorized access.


The malware communicates with its [command and control (C2)](https://cybersecuritynews.com/command-and-controlc2-server/) servers, receiving instructions and exfiltrating data. 


Its modular nature allows attackers to tailor the malware to specific targets, enhancing its effectiveness.


The malware has been detected under various signatures, including:


**File-based Signatures:**


* Packed.Vmpbad!gen38
* Trojan.Gen.MBT
* Trojan.Gen.NPE
* WS.Malware.1


**Machine Learning-based Signatures:**


* Heur.AdvML.B!100
* Heur.AdvML.B!200
* Heur.AdvML.C


**Web-based Signatures:**


* Observed domains/IPs are covered under security categories in all WebPulse-enabled products.


**Implications and Recommendations**
------------------------------------


The targeted attacks on Linux systems underscore the importance of maintaining robust cybersecurity measures.


Organizations and individuals alike are advised to keep their systems updated, employ advanced threat detection solutions, and educate users on the risks of phishing and other social engineering tactics.


The recent surge in Pupy RAT campaigns targeting Linux systems in Asia highlights the evolving landscape of cyber [threats.](https://cybersecuritynews.com/emerging-cybersecurity-threats/) 


As attackers refine their techniques and target less conventional operating systems, the need for vigilant cybersecurity practices and advanced protection mechanisms has never been more critical.


By staying informed and prepared, users can defend against these sophisticated attacks and ensure the security of their digital environments.





## Tags:


### Autogenerated tags:
[[linux]] [[pupy]] [[malware]] [[cybersecurity]] [[phishing]]
