# Hackers Attacking Apache Web Servers to Install Coinminers
## An attack campaign that installs XMRig Coinminer on Windows web servers that run on Apache has been discovered recently.
## Information:

+ Link: https://cybersecuritynews.com/?p=51030
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 21 November 2023, 13:50
+ Date scraped: 21 November 2023, 14:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjs9S266aJifYK_Jc_xrpMbefxdLMyhhFyTp7UAPoJ4_HzJ7yB2116P8zSNbP0ze3Eh4ND_RVClBMLk7yOdPB3OPxP8twdty8LZRwp5H9PnpM0bXYILsD67CajAGB7RsuO35jpDr8buato6BZXM-obBID28weXIDLLgMLYyXZyUKz4BGw_U0UYBjzbDWMBC/s1600/Hackers%20Attacking%20Apache%20Web%20Servers-1.webp)


An attack campaign that installs [XMRig Coinminer](https://cybersecuritynews.com/hackers-targeting-open-docker-daemon-ports-using-ddos-bot/) on Windows web servers that run on Apache has been discovered recently. The threat actors used the Cobalt Strike tool as a medium to target the internal systems with APT and ransomware.


AhnLab stated that these threat actors leverage web services that support Windows environments, including Internet [Information Services (IIS)](https://cybersecuritynews.com/lazarus-hacking-group-attack-iis/), Apache, Apache Tomcat, and Nginx. 


**Apache Web Server Targeted Attacks**
--------------------------------------


The targeted systems were running old versions of the Apache web server and had PHP installed. Some logs indicated PHP web shell malware strains installed.


Document

Free Webinar
[Live API Attack Simulation Webinar](#)
---------------------------------------


In the upcoming webinar, Karthik Krishnamoorthy, CTO and Vivek Gopalan, VP of Products at Indusface demonstrate how APIs could be hacked. The session will cover: an exploit of OWASP API Top 10 vulnerability, a brute force account take-over (ATO) attack on API, a DDoS attack on an API, how a WAAP could bolster security over an API gateway


  [Register for Free](https://www.indusface.com/live-api-attack-simulation.php?utm_source=gbhackers-blog-cta&utm_medium=referral&utm_campaign=2023-nov-webinar-live-api-attack-simulation) 


The httpd.exe process, which runs the Apache web server, was the primary target for threat actors to install web shells or exploit vulnerabilities. This httpd.exe process also performs malicious behaviors like creating and running malware.


![Suspicious files being created in an Apache web server (Source: AhnLab)](https://lh7-us.googleusercontent.com/u2woQ9kBqgS5IyoYd1N0bwheviMp94IGtBTYfmdQT74FoIodiyHElmKJbdG10kfmwRYFSVhMBHyrppzRqb0fbI59aByuEBBOkg2fFT9BcizS_EFOX4wigU-KmoDPkO2RzebqD9L10fiRUpfIdRME0ns)*Suspicious files being created in an Apache web server (Source: AhnLab)*


**Cobalt Strike Usage**
-----------------------


The Cobalt Strike beacon was used in both stager and stageless attacks. The stager method uses a downloader malware that downloads a beacon from an external source and executes it in the memory area, which is small but requires additional steps for beacon download.


The stageless method contains the beacon embedded and has a large file size of over a certain limit. The malware strains were obfuscated to evade detection by even using Golang or PyInstaller.


In addition to this, the beacons also communicate with the [C2 server](https://cybersecuritynews.com/command-and-controlc2-server/) through http, https, and DNS. During the lateral movement, the SMB beacons communicate with the installed beacon for further instructions.


![Stager malware downloading (Source: AhnLab)](https://lh7-us.googleusercontent.com/XJVUPcr-_e-aaPDlc6np7AuMqePlSjstJw2m4W1y2WivaCev51iN9PFZTaFc2JTGRoPn2d4dkyZFXhXVPoLBg5j-1q18jBVhqLtnNHcsKweN1jsUbJZc_ixv3kFqCN0TGtoRYm2iDxKNrTJjwUTnDL4)*Stager malware downloading (Source: AhnLab)*


**Additional Malware Installation**
-----------------------------------


There was an attempt to install Gh0st RAT during the installation of the [Cobalt Strike](https://gbhackers.com/cobalt-strike-4-9-released/), an added backup method in case the Cobalt Strike installation failed due to security products. Once control over the affected systems has been established, a Coinminer, which mines Monero coins, is installed.


However, no logs of mining crypto coins were detected other than the installation of remote control malware and Coinminer.


A [complete report](https://asec.ahnlab.com/en/59110/) about this crypto mining activity has been published, which provides detailed information about the source code, malware used, methods, and other information.


Administrators are recommended to mandatorily check for file upload vulnerabilities on web servers and patch them to prevent initial infiltration. Additionally, a password change policy and access control measures must be implemented to respond to lateral movement attacks using stolen account credentials.


**Indicators of Compromise**
----------------------------


**File Detection**– Backdoor/Win.CobaltStrike.C5538818 (2023.11.08.00)  
– Trojan/Win.Generic.R605627 (2023.09.15.01)  
– Malware/Win64.RL\_Backdoor.R363496 (2021.01.18.05)  
– Downloader/Win.CobaltStrike.C5538917 (2023.11.09.01)  
– Downloader/Win.CobaltStrike.C5538829 (2023.11.08.00)  
– Backdoor/Win.Gh0stRAT.C4976986 (2023.06.04.01)  
– Malware/Win32.RL\_Generic.R356011 (2020.11.22.01)  
– CoinMiner/Win.XMRig.C5539322 (2023.11.09.01)  
– WebShell/PHP.Generic.S1912 (2022.09.27.02)  
– WebShell/PHP.Small.S1690 (2021.10.26.02)


**Behaviour Detection**– InitialAccess/DETECT.Event.M11450  
– Connection/EDR.Behavior.M2650


**Memory Detection**– Backdoor/Win.CobaltStrike.XM79  
– Downloader/Win.CobaltStrike.XM83


  
**MD5**– 719253ddd9c49a5599b4c8582703c2fa: CobaltStrike Beacon (3JONXp.exe)  
– 594365ee18025eb9c518bb266b64f3d2: CobaltStrike Beacon (3JONXp-Signed.exe)  
– d4015f101a53555f6016f2f52cc203c3: CobaltStrike Beacon (256.exe)  
– 1842271f3dbb1c73701d8c6ebb3f8638: CobaltStrike Beacon (256-Signed.exe)  
– 36064bd60be19bdd4e4d1a4a60951c5f: CobaltStrike Stager (test.exe)  
– 5949d13548291566efff20f03b10455c: CobaltStrike Stager (artifact\_x64.exe)  
– c9e9ef2c2e465d3a5e1bfbd2f32ce5cd: CobaltStrike Stager (artifact\_x64-signed.vmp.exe)  
– 85e191a1fff9f6d09fb46807fd2dea37: Gh0st RAT (1.exe)  
– b269dd0b89d404d5ad20851e0d5c322e: Gh0st RAT (server.exe)  
– 205c12fabb38b13c42b947e80dc3d53a: XMRig (svchost.exe)  
– 6b837fafaa1fbc2a4ddb35a748f4c11e: PHP WebShell (helper.php)  
– f9d6a75875991086e1fb5985fc239df3: PHP WebShell (s.php)


**C&C URLs**– hxxp://121.135.44[.]49:808/ptj: CobaltStrike Beacon  
– hxxp://121.135.44[.]49:808/updates.rss: CobaltStrike Beacon  
– hxxp://121.135.44[.]49:808/ga.js: CobaltStrike Beacon  
– 202.30.19[.]218:521: Gh0st RAT  
– gd.one188[.]one:520: Gh0st RAT


**Download URLs**– hxxp://121.135.44[.]49:808/a4vR: CobaltStrike Stager  
– hxxp://www.beita[.]site/api/2:2053: CobaltStrike Stager





## Tags:
***ipv4-adresses***: 121.135.44.49 202.30.19.218
***urls***: http://gd.one188.one:520 http://121.135.44.49:808/ga.js http://121.135.44.49:808/updates.rss http://202.30.19.218:521 http://121.135.44.49:808/ptj http://www.beita.site/api/2:2053 http://121.135.44.49:808/a4vR
***MD5-hash***: 5949d13548291566efff20f03b10455c 36064bd60be19bdd4e4d1a4a60951c5f c9e9ef2c2e465d3a5e1bfbd2f32ce5cd 594365ee18025eb9c518bb266b64f3d2 1842271f3dbb1c73701d8c6ebb3f8638 719253ddd9c49a5599b4c8582703c2fa 205c12fabb38b13c42b947e80dc3d53a f9d6a75875991086e1fb5985fc239df3 b269dd0b89d404d5ad20851e0d5c322e 6b837fafaa1fbc2a4ddb35a748f4c11e d4015f101a53555f6016f2f52cc203c3 85e191a1fff9f6d09fb46807fd2dea37

### Autogenerated tags:
[[cobaltstrike]] [[malware]] [[api]] [[gh0st]] [[php]] [[coinminer]] [[ahnlab]] [[webinar]] [[detection–]] [[beacon–]]
