# Hackers Backdoored Courtroom Video Recording Software With System Hijacking Malware
## A vulnerability (CVE-2024-4978) has been identified in JAVS Viewer v8.3.7, a critical component for managing digital recordings in legal
## Information:

+ Link: https://cybersecuritynews.com/?p=65664
+ Source: Cyber Security News
+ Author: Guru Baran
+ Date published: 24 May 2024, 12:03
+ Date scraped: 24 May 2024, 13:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhmpb8io6r4fp3-EcJYn3FVD1pzSLIjqLIY27uEYjITrpM8Ll2mDXWOFsNPXBqSn-R8f_bMDy6cM9sGmVNaUf6F64A5rMel_QJE1hqKb3x3z7Z5w8HIPSWIl7nxoKnOCEmaeUAAUR1ExKBtDe2cM73if3WCIW_Y_ZhlztsfpTnKq86_mk-b2Tx3WMNVbCuA/s16000/Courtroom%20Software%20Hijack.webp)


A vulnerability ([CVE-2024-4978](https://nvd.nist.gov/vuln/detail/CVE-2024-4978)) has been identified in JAVS Viewer v8.3.7, a critical component for managing digital recordings in legal and government environments. 


The installer for this version is backdoored, allowing attackers to remotely seize control of infected systems, which could grant access to sensitive data and potentially establish persistence on the network.


To mitigate the risk, users should immediately re-image affected devices and reset all associated credentials.


After a clean system image is established, upgrading to JAVS Viewer v8.3.8 or later is recommended.


An investigation into malicious fffmpeg.exe binary execution from C:\Program Files (x86)\JAVS\Viewer 8\ folder revealed a supply chain attack.


The culprit was traced back to a compromised JAVS Viewer installer (JAVS Viewer Setup 8.3.7.250-1.exe) downloaded from the official JAVS website on March 5th.


`ANYRUN malware sandbox’s 8th **[Birthday Special Offer](https://app.any.run/plans/?utm_source=linkedin_csn&utm_medium=post&utm_campaign=birthday2024_scn&utm_content=plans&utm_term=200524/)**: Grab 6 Months of Free Service`


The installer was signed with an unexpected certificate and contained the malicious fffmpeg.exe. It executed encoded PowerShell scripts, dropping a GateDoor/Rustdoor family malware variant.



![Sample Network Traffic Containing Information About the Host](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh6gh53S6tuSzqg8EjK9GjF_MgoRKN9qIF-U9NeP-9HZYZuaRq3kR2loDk38kKkqPa6x7grdraP8p_FVhDCUrM_B-xHaDFHLnEuuu8X4vUezNxWgvN2GocXxnKGmR_Nmep_-hTzh2lS7tkS8RapYBHLdEhT8gmOU87z4uU-CVmJCkX6Pz5yqk_gllKG8PN9/s16000/Capture%20(4).webp)

Sample Network Traffic Containing Information About the Host




It has been discovered that there is malicious activity within fffmpeg.exe, as this program connects to a [command-and-control](https://cybersecuritynews.com/new-hijack-loader-attack-windows-with-enhanced-anti-evasion-capabilities/) server using Windows sockets and WinHTTP requests, transmitting data like hostname, OS details, and username. 


After establishing a persistent connection, the program waits for commands from the C2 server.


Further investigation revealed the execution of obfuscated PowerShell scripts, suggesting additional malicious actions.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhJ-MgSWXhTKpGSLJb8Kkq-sZEAAvggb5FYO1NjTUAwvGDdmgtHXgN0nyq-ybHm1sAjd_ee8E-zSbAdTZX8NGFT4-G4ESjCdCVxdoZL2KGSAXKZQ48aMMdsqLj7HLmIXOj16bJVYZwW0p8665KD1NbDSAnCfz_S6BCcil7O4aiPDw6K9hOysDe5GDU23XWL/s16000/Capture%20(5).webp)


[Rapid7](https://www.rapid7.com/blog/post/2024/05/23/cve-2024-4978-backdoored-justice-av-solutions-viewer-software-used-in-apparent-supply-chain-attack/) analyzed two malicious executables, fffmpeg.exe and chrome\_installer.exe. Ffmpeg.exe executes obfuscated PowerShell scripts that attempt to disable security measures and download additional malware. 


Chrome\_installer.exe creates temporary files and attempts to execute a compiled [Python script](https://cybersecuritynews.com/pyscript/) (main.exe) to steal browser credentials.


However, analysis suggests an issue in the source code may prevent main.exe from functioning properly.



![Temp Folder Creation Using String {TEMP}\onefile_{PID}_{TIME}](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgNC0JhyO-iH1xW6mYqgarr4UKBH5ii0xGwd9DCH361_CrpIlZ1OmZzGvKgfLCxnL4LeeTuk_Gxd4xGhHxHvXwXXvbZzyJnfaE-a3WuiNv5jVTelSG78MoHZcfQla2O9btZZv_77xrw-04ZbikGCDUu0OIBl59kKAqTUXkjc1yrIAhU4cDONvZJe6WYZr00/s16000/Capture%20(6).webp)

Temp Folder Creation Using String {TEMP}\onefile\_{PID}\_{TIME}




The malicious JAVS.Viewer8.Setup\_8.3.7.250-1.exe installer revealed a suspicious fffmpeg.exe binary with a typographical error (“fff” instead of “ff”), along with the installer itself, which was signed by an unexpected certificate belonging to “Vanguard Tech Limited” (instead of the legitimate “Justice AV Solutions Inc.”).


The investigation on VirusTotal identified another malicious installer variant and dropper with different hashes dating back to April 1, 2024.


Interestingly, a debug file (Dll2.dll) included in the first installer variant contained an uncleaned compilation path, suggesting a potential oversight by the attackers.



![VirusTotal Vanguard Certificate Results](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgunf9zddaU90uD8uu9huhxds1Olq_GlN3kMUYRcPnLBEpNTHEEmxJkMpGNQv7OPFT2QuwKXppYpKSc3LOe0mgudnjqgk-DUib5dv8lkdcJsw_i-TT-RJQilp925IgEUIj22jwYGpcnAnMNl1WBVdVzsLFnNIPj-nOB3-VDvjMnWzk1jVfoRyxEQ83YaRHu/s16000/Capture%20(8).webp)

VirusTotal Vanguard Certificate Results




Attackers compromised the official download page of JAVS, a legitimate software vendor, and replaced the legitimate JAVS Viewer installer with a malicious one signed with a fraudulent certificate.


The [malware](https://cybersecuritynews.com/beware-of-blackplague-malware/) dropper was disguised as a software update for popular applications (Chrome, Firefox, and OneDrive). 


The attack campaign lasted several months, from February to May 2024, and the malicious software was eventually removed by the attackers themselves.





## Tags:
***CVE's***: CVE-2024-4978
***ipv4-adresses***: 8.3.7.250

### Autogenerated tags:
[[javs]] [[fffmpeg.exe]] [[malware]] [[powershell]]
