# Hackers Exploit Critical Remote Code Execution in VMware
## The cybersecurity researchers at Morphisec have discovered recently a critical RCE vulnerability in VMware Workspace ONE Access that is being actively exploited by advanced hackers, and this critical flaw has been tracked as "CVE-2022-22954."
## Information:

+ Link: https://cybersecuritynews.com/?p=9182
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 27 April 2022, 16:22
+ Date scraped: 27 April 2022, 17:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgD1HLWHFoGb0vUFTrbVAnfu8_2dvG29jeVGZEaVE-WS6BKXZw0CUQvkLPo6gqWvajGqzDEovE0DwSTWBUOQje40wweEUO2WANoMfzTcMBqUqWvaLp-qELJGNinfPG8TwAprZH5vWdy0SPv1voYMuKnfMl0ikloiqKJVeTBMbyGXUkBR45ZTitqnvlliw/s16000/Hackers%20Exploit%20critical%20remote%20code%20execution%20in%20VMware%20to%20install%20Malware.png)

The cybersecurity researchers at Morphisec have discovered recently a critical RCE vulnerability in VMware Workspace ONE Access that is being actively exploited by advanced hackers, and this critical flaw has been tracked as “[CVE-2022-22954](https://www.vmware.com/security/advisories/VMSA-2022-0011.html).”

In conjunction with two other known RCEs, [CVE-2022-22957](https://www.vmware.com/security/advisories/VMSA-2022-0011.html) and [CVE-2022-22958](https://www.vmware.com/security/advisories/VMSA-2022-0011.html), the problem was addressed in a security update 20 days ago.

The above two RCEs also affect the following VMware products:-

* VMware Identity Manager (vIDM)
* VMware vRealize Automation (vRA)
* VMware Cloud Foundation
* vRealize Suite Lifecycle Manager

There were short ago several proofs of concept (POC) exploit codes that were publicly available shortly after the flaws were publicly disclosed. 

There has been an increasing trend over the last few years of hackers exploiting vulnerabilities in VMware’s products. There have been wild exploits of CVE-2022-22954 confirmed by VMware.

### **Attack Chain**

By exploiting CVE-2022-22954, the attackers are able to access the network environment initially. Among the three RCEs, the first does not require administrative access to the target server and the latter has a public demonstration exploit as well.

The attack begins by launching a stager with a PowerShell command on the vulnerable service (Identity Manager). After that, a highly obfuscated PowerTrash loader is downloaded from the C2 server and a Core Impact agent is loaded into memory.

![](https://lh6.googleusercontent.com/4tOnjJF9OM1XCQ4uFVMLd77g4wpJNxSooClwJ0u7M9yQt_et2JWoNyFbSPi8nZPbBdOaGomOGDs-CpEOEd94Jmpip2hMM3RsrWpSSuFawoIftw-A_7K-5DOwN3g4DlYnII0irn0Y)### **Internal Links**

During the analysis, the experts at Morphisec have managed to retrieve the following things and elements:-

* Stager server’s C2 address
* The Core Impact client version
* The 256-bit encryption key used for C2 communication

All these things are found to be linked with a specific person and a company:-

* Person name: [Ivan Neculiti]
* Company name: [Stark Industries]

One of the companies listed in the database is allegedly an internet hosting company that supports illegal websites used as bait in spam and phishing campaigns.

Although it is still unclear whether Neculiti or any of the associated companies have been directly or indirectly involved in cyber-crime campaigns, knowingly or unknowingly.




## Tags:
***CVE's***: CVE-2022-22958 CVE-2022-22957 CVE-2022-22954

### Autogenerated tags:
[[vmware]] [[rces]] [[c2]]
