# Hackers Hide Information-Stealing Malware in PNG Files Using Steganography
## Experts at Avast, who built on the discoveries of ESET, the first to notice and report on the threat group known as “Worok”, conceals malware within PNG images to silently infect victims' computers with information-stealing malware.
## Information:

+ Link: https://cybersecuritynews.com/?p=11292
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 13 November 2022, 13:17
+ Date scraped: 13 November 2022, 14:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiRmpNP0CEMLVakJW35aRl2HBlfPos5_LbqWbHCOACX0iJV8foK7l_9wM-v0otJF9xVIgpbrlmQNHpRlz_qkThOWf7L_KT7qOINIWpskOcr2EOJjHBonw29katp5FgQSFrTQkI0_CYKhkwMGoCuplA3ox6ub6fLvq_msJY16bgHAIXx85doF0GThqJZRA/s16000/Hackers%20Hide%20Malware%20in%20PNG%20Files.webp)


Experts at Avast, who built on the discoveries of ESET, the first to notice and report on the threat group known as “Worok”, conceals malware within PNG images to silently infect victims’ computers with information-stealing malware.





Reports say it targets high-profile companies and local governments in Asia. Currently, they are targeting energy companies in Central Asia and public sector entities in Southeast Asia to steal data based on the types of the attacked companies.


## **Worok Compromise Chain**


The malware is allegedly spread by attackers using ProxyShell flaws. In a few rare instances, the [ProxyShell](https://cybersecuritynews.com/attackers-scan-for-microsoft-exchange-proxyshell/) vulnerabilities were exploited to maintain persistence within the victim’s network. 


The attackers then released their custom malicious kits using publicly accessible exploit tools. The final compromise chain is therefore simple: the first stage is CLRLoader, which executes a short piece of code to load the following stage (PNGLoader).


![](https://lh5.googleusercontent.com/AgQO65YRVIRhaySheunm3cI5Zah2u_ip8tbh4lObfGIP0uessB4ltUwKEdVWwrn0h3JfDvzOCXGn9DtqYeIZzVIXJf-HN7c8uG4onqIWcHyJOtQIbzGQXeJmbqFbU9j9RKtvfdHjgpGpzZYK9YsT9Io8UkRqyhO-SL63qQJ1QPO8Qo8v8f1eEUeXDeppVjLN25Sg-2WxxQ)Worok Complete Compromise Chain


### **Using Steganographic Techniques**


The least-significant bit (LSB) encoding, according to experts, is one of the more widely used [steganographic techniques](https://cybersecuritynews.com/ransomexx-attacks-linux-servers/). 


This technique often embeds the data in each pixel’s least important bits. In this particular approach, one pixel encodes a nibble (one bit for each alpha, red, green, and blue channel), meaning that two pixels hold a byte of secret information.


![](https://lh3.googleusercontent.com/_vImfCaALsJAeaPr7U2YUAYGbxXRoD4fvMVM_QjuTlFVgBV0XJ5r5wTbD-hMK_4rJ_Dg4Ed8Qel12WNkZPj7a_xQvd88RI_Wk0z47cx8VYY3zE5m8-izYc-AfrQcikKLc5NL_WIxInemXlD70TMG4y_c2iS-9AD-ovYGtlYp8OzzEYEaMLJEQnrLMW5ymuXK4IoFjTkqgA)LSB on image pixels


[ESET](https://www.welivesecurity.com/2022/09/06/worok-big-picture/) and [Avast](https://decoded.avast.io/martinchlumecky/png-steganography/) were unable to recover the PowerShell script that is the initial payload that PNGLoader extracted from those bits.


The second payload, called DropBoxControl, is a custom.NET C# info-stealer that exploits the DropBox file hosting service for C2 communication, file exfiltration, and other purposes. It is concealed behind PNG files.


![https://decoded.avast.io/wp-content/uploads/sites/2/2022/11/Figure-9.-Malicious-PNG-file-with-steganographically-embedded-C-payload-1024x228.png](https://lh3.googleusercontent.com/O_FrCk8pDyiYZjdG94vM0uRf7afRhv8vZGRhXZS18bWc5EecJTamw4GW4L4Mna_pdzqH-Qoi27X7R5k4lyIknGIqT77PVb4h4MUCrDm5Y9LPPvmLVRGb36eDNGoxi34-29eHTiyTHrxSPV0E7rhbXx-rj5u__Ye5gyu0G9Rxdgl4X0broITwuaKQVREsizLJHSECNeRODQ)Malicious PNG file Containing Info-Stealer


A backdoor called ‘DropBoxControl’ uses the DropBox service to connect with the attackers. It’s noteworthy that the C&C server is a DropBox account, and all communications, including instructions, uploads, and downloads, are carried out using common files in designated folders.


Experts say DropBoxControl runs commands based on the request files after checking the DropBox folder on a regular basis.


The attackers control the backdoor through ten commands as follows:


![](https://lh6.googleusercontent.com/c1gDHebs-vkzxGU2ExAiW-TxwJNKHmGgeUbgW-XJbN-PtQ0nJ-AI1LiqmdkjvYckCmG54fO2FyD2WOqgFmlkFWxQnYZ48Orncu8u42jT7eoIvXeIg4cJei0la_iX9J8bMu-ChpsosgwGp9vocvv-C4eNFxs6TNOYuMjGKLLVDqRwD1jcjoKgyGj413zRJVmshuMhHg-7-w)Backdoor commands


#### **Final Word**


The C# payload (DropBoxControl), which is stenographically embedded, verifies ‘Worok’ as the cyberespionage group. Through the DropBox account linked to current Google emails, they steal data.


It is possible that Worok’s tools are an APT effort that focuses on high-profile organizations in the business and public sectors in Asia, Africa, and North America given their rarity in the wild.






## Tags:


### Autogenerated tags:
[[dropbox]] [[malware]] [[png]] [[worok]] [[dropboxcontrol]]
