# Hackers Modifying Registry Keys to Establish Persistence via Scheduled Tasks
## A threat actor who is identified as "HAFNIUM" has been discovered to be using an unconventional method to tamper.
## Information:

+ Link: https://cybersecuritynews.com/?p=53795
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 04 January 2024, 14:41
+ Date scraped: 04 January 2024, 15:10

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjLyy8eEy3bhlwxqmhQ30msDTIkQSFK7Iu9GTsA3LAVYW8yF39bDrsZb1kLT78qV3IhewOjn7vys1mml-znECTMtViLuWDBPG54rjax-7ikScGNzVCQbzjQVRFsEyWNP8lcH-Bipi3j6sOA7bkZrt5ZQjLFt0O3nIwyXJvGsPlFoF0zJRuNnel0DTeAE5wh/s1600/Hackers%20Modifying%20Registry%20Keys%20For%20Persistence-1.webp)


Persistence is one of the key things for threat actors to maintain their access to compromised systems and establish connections whenever they require. One of the key methods used to maintain persistence is the use of scheduled tasks.


A threat actor who is identified as “HAFNIUM” has been discovered to be using an unconventional method to tamper with scheduled tasks for establishing persistent connections by modifying the registry keys in their Tarrask malware. This enables the threat actor to create stealthy scheduled tasks


**Hackers Modifying Registry Keys**
-----------------------------------


According to the reports shared by the Purple team, a proof of concept called GhostTask has been published, which exploits the scheduled tasks via a beacon object file that can enable red teamers and threat actors to use it within a [C2 framework](https://cybersecuritynews.com/command-and-controlc2-server/). 


The scheduled task tampering technique is re-created by creating the associated registry keys that prevalently required elevated privileges. GhostTask requires a scheduled task that already exists in the target system.


Once the registry keys are modified, the system requires a restart for changes to take effect. Still alternatively, the *schtasks* utility can be used to initiate the task and establish persistence.



![schtasks used for tampering Scheduled Tasks ](https://lh7-us.googleusercontent.com/UONVjSwd3Qs4Pb2B_DVyZTevQqxpXWU8b5AH2pbaYbLUv0YoZME9W3MwHp4ZswlRXofwS8kwBWLwf5bhIu3asgvya6o-dgb6IOCdwTg5PEZkpZxrDLprCt8vmOviLbWdyi5tgIeH6DbYQeh5xnrkPbvTAXzZ-7j84Xn87S70JZoLtJDW9uhyRvFFJCW_sQ)*schtasks used for tampering Scheduled Tasks (Source: Purp[l](https://ipurple.team/2024/01/03/scheduled-task-tampering/)e Team)*


**Windows Events**
------------------


This technique relies on modifying the registry keys; hence, registry events enabled from the Group Policy must be audited. Additionally, the TaskCache registry key containing new or modified [scheduled tasks](https://cybersecuritynews.com/active-directory-checklist/) must be monitored for any changes.


Auditing the registry keys provides log visibility whenever a registry key is accessed or modified that is captured under the event IDs 4657 (Registry Value Modification) and 4663 (Registry Object Access).


**Registry**
------------


Scheduled tasks created by manipulating the registry keys do not appear in the Task Scheduler or the schtasks /query command. Though it can be hidden by the deletion of the SD registry key, it requires SYSTEM-level privileges that can result in detection opportunities in terms of privilege escalation.


Furthermore, a [complete report](https://ipurple.team/2024/01/03/scheduled-task-tampering/) about this scheduled task tampering has been published, which provides detailed information about the [report from Microsoft](https://www.microsoft.com/en-us/security/blog/2022/04/12/tarrask-malware-uses-scheduled-tasks-for-defense-evasion/), attack methods, techniques, exploitation, and other information. 





## Tags:


### Autogenerated tags:
[[schtasks]]
