# Hackers Use Weaponized OpenSSH Tool to Hijack Linux Systems
## It has been identified that the exploit employs custom and open-source tools to gain control of the impacted devices and install cryptomining malware on them by leveraging the patched OpenSSH.
## Information:

+ Link: https://cybersecuritynews.com/?p=22320
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 24 June 2023, 04:50
+ Date scraped: 24 June 2023, 05:04

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgFrUKJuOT-u1rfPrJIRuqR4yufi4KZWzl48UAgvmwFxNIaYfui4mlTgtqArTA1a2mTTpcaiL_DLOor7CX82Ps2Och_vD18CaX8U3z6MmWPt6mHr-xuBj5han_aO9hr06E7hf4OSkdtPUZr5mpVBCEebsmVyF_Rf4AH2dejPz6UtDxA7IgympRa9wboqODv/s16000/Hackers%20Use%20Weaponized%20OpenSSH%20Tool%20to%20Hijack%20Linux%20Systems.webp)


Cybersecurity researchers at Microsoft recently found an attack targeting [Linux-based](https://cybersecuritynews.com/linux-based-ransomware-cheerscrypt-attacks-vmware-esxi-servers/) systems and [IoT devices](https://cybersecuritynews.com/ddos-attacks-use-iot-devices/). 


It has been identified that the exploit employs custom and open-source tools to gain control of the impacted devices and install cryptomining malware on them by leveraging the patched OpenSSH.


By leveraging a criminal infrastructure with a Southeast Asian financial institution’s subdomain as a [C2 server](https://cybersecuritynews.com/command-and-controlc2-server/), threat actors deploy a backdoor.


To mine, it uses different tools, such as rootkits and an IRC bot, to exploit device resources.


Here below, we have mentioned the tasks that the backdoor performs:-


* It deploys patched OpenSSH
* Hijacks SSH credentials
* Moves laterally
* Hides malicious connections


Apart from this, to evade detection, the attack complexity and scope reveal the determined efforts of the attackers.


## **Weaponized OpenSSH Tool** Used


By brute-forcing credentials, this attack is initiated by the threat actors on the Linux devices that are internet-facing and misconfigured.


Once a device is compromised, they disable shell history and then, from a remote server, fetch a compromised OpenSSH archive (openssh-8.0p1.tgz).


Simultaneously deployed, the backdoor shell script and trojanized OpenSSH binary add two public keys for persistent SSH access.


This enables information harvesting and installation of Reptile and Diamorphine LKM [rootkits](https://cybersecuritynews.com/malware-attack/) to cloak malicious actions on compromised systems.


The backdoor helps eliminate rival miners, add iptables rules, and modify ‘/etc/hosts’ to block competitor traffic.


It identifies and terminates miner processes, blocks file access, and removes SSH access configured by threat actors in authorized\_keys.



![](https://lh4.googleusercontent.com/zOKDFp27Cu49FaNa3jSujWJGLzJGGHKxexU9QhCUVagwkQWeZlSL_gBhScd9cADeip-hIetOUqTyGVFqzBaeZKk3YOw2uVxE4UnFr3o_43XDVm_Ad2fvtMSbwk9gKe3YEF84O4aovcaPLVmcJRTJGTs)Attack Flow


Attackers deploy ZiggyStarTux IRC bot (based on the Kaiten malware) with [DDoS abilities](https://cybersecuritynews.com/ddos-attacks-use-iot-devices/) for bash command execution. To maintain persistence, the backdoor malware uses various techniques like:- 


* Replicates binaries across multiple disk locations
* Establishes cron jobs for periodic execution


Moreover, as a systemd service, the ‘ZiggyStarTux’ is registered, and the service file of it located at the following location:-


* /etc/systemd/system/network-check.service


It’s been identified that the bots instructed to download & execute shell scripts to brute-force live hosts and vulnerable backdoor systems via trojanized OpenSSH package.


According to a [Microsoft report](https://www.microsoft.com/en-us/security/blog/2023/06/22/iot-devices-and-linux-based-systems-targeted-by-openssh-trojan-campaign/), the attacker aims to install the mining malware targeting “Linux-based Hiveon OS systems” for cryptomining after lateral network movement.


## **Mitigations**


Here below, we have mentioned all the recommended mitigations offered by the security researchers at Microsoft:-


* Ensure that the settings of devices are configured securely.
* Make sure to keep your devices healthy by regularly updating them.
* Make use of limited access privileges to strengthen security measures.
* Make sure to update OpenSSH to the latest version for optimal performance and security.
* Implement a complete and robust security solution for your IoT devices.
* Make use of security solutions that offer detection capabilities and the ability to monitor multiple domains.






## Tags:


### Autogenerated tags:
[[openssh]] [[malware]] [[microsoft]] [[ssh]]
