# Lazarus Group Hacked Software Vendor to Steal Source Code, Attack Supply Chain
## This year, a software vendor fell victim to Lazarus malware through unpatched software, despite prior warnings and patches.
## Information:

+ Link: https://cybersecuritynews.com/?p=47992
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 30 October 2023, 12:07
+ Date scraped: 30 October 2023, 13:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiPITbaZSR7n3yroPxcKCfU0lwxmJ1GGimwS2mMryMAIbCuBJKHml4l5wjtW9u-mz8LE3zRDxQ7af939sjh8TtFO7VcIMLjFH1IOkBqSbjpM9I-izzXakUo0oN7dJEYcsFcKv-HMWTKOvvQSQbcKeGbYcGt1FvqsRq9GDgjh_0wPSNj1J6Wo0WFKsViqfNQ/s1600/Lazarus%20Group%20Hacked%20Software%20Vendor%20to%20Steal%20Source%20Code,%20Attack%20Supply%20Chain.webp)


A hacker attack on a supply chain can be highly dangerous as it can disrupt the flow of goods and services, causing widespread economic and operational damage.


Such attacks pose a serious risk to companies and society at large since they can result in:-


* Monetary losses
* Harm to one’s reputation
* Endanger public safety


This year, a software vendor fell victim to Lazarus malware through unpatched software despite prior warnings and patches. However, security analysts at Securelist proactively detected and stopped a similar attack on another vendor.


Researchers at Kaspersky have discovered that Lazarus, a persistent threat actor, has repeatedly targeted a software vendor. Their aim was to steal the vendor’s source code and compromise their software supply chain.


**Infection Timeline**
----------------------


Threat actors showed advanced skills with SIGNBT malware for control. While the memory held Lazarus’ LPEClient, used for profiling and payloads in past attacks on the following industries:-


* Defense
* Crypto


Here below, we have presented the infection timeline:-


![Infection Timeline (Source - Securelist)](https://lh7-us.googleusercontent.com/uPi1NPCQZ9svFYSiux10IAEmVKk8IeK-WC7lFJgavZ2J9CeAK00MeUN8mHER8lhVVwHAVGAecQpZ6gzN4Yw8peDJzUICVRYN1O5cRHGjUPFEZqK7tnBsHTsApdA2vy2_2EXoGSrLvDgLV-Fxa9jmtpM)Infection Timeline (Source – Securelist)


**Software Vendor** Compromised
-------------------------------


Security analysts [detected](https://securelist.com/unveiling-lazarus-new-campaign/110888/) many attacks in July 2023 via web security software exploitation. In July 2023, researchers detected attacks via web security software exploitation. The exact method remains unknown, but they found SIGNBT malware in the software’s memory, establishing persistence with tactics like creating:-


* ualapi.dll file
* side-loading legitimate files



![Final payload loading methods (Source - Securelist)](https://lh7-us.googleusercontent.com/PdcMFb4bzR3QBjZLb-b7tICyCR3E8vnBvCe_XOlhyoNbXojl0c7O-qT9E199p9Xxgo157g_4KDoVenUcJiTF3ht-kh7v_Z79TJaMXIh0HYQ11Ii6HApV0XkviVnSYQgc-O-2DeXVukM9yhSDFlFIL2o)Final payload loading methods (Source – Securelist)


Lazarus often hijacks spoolsv.exe and uses ualapi.dll, as this technique is similar to Gopuram malware.


They create ualapi.dll with Shareaza Torrent Wizard code, verifying the victim using MachineGuid. If matched, the malware proceeds to the next step, reading the payload from a specific file path.


The loader decrypts SIGNBT with a key from tw-100a-a00-e14d9.tmp, then reads a config file.


The first 32 characters of the base64-encoded string in the file serve as an AES key for decryption. The config contains C2 addresses, sleep intervals, and other critical parameters.


SIGNBT malware primarily operates in memory via a loader. It communicates with a C2 server, using unique SIGNBT strings and varying prefixes for verification at different C2 stages.


Here below, we have mentioned all the prefixes used:-


* SIGNBTLG
* SIGNBTKE
* SIGNBTGC
* SIGNBTFI
* SIGNBTSR


The malware crafts a 24-byte value, XORs it with random data using a 24-byte key, and then encodes both with base64. It adds random HTTP parameter names, making its C2 communications hard to analyze.



![HTTP POST data structure (Source - Securelist)](https://lh7-us.googleusercontent.com/qFb5s0JOkpdQRLwQUfXEwlxD3zdNZINxS0ZrhnrWTL3riW8FQwPP7ANHLx8CV-aU_BVckS5_gH91smVZSTRlqEaOgqxLZi-KinUrhLCHyw6HGwjKvInRenez8LfhUq1ZiylIjwugm59zPLZ73oFuaK4)HTTP POST data structure (Source – Securelist)


The malware [validates C2](https://cybersecuritynews.com/command-and-controlc2-server/) responses with an “XOR success” check. If successful, it gathers the victim’s computer info and then sends data with the SIGNBTGC prefix, decrypting using an AES key from SIGNBTLG. If “keep,” it responds with “OK”; otherwise, it uses SIGNBTFI to report issues in C2 communication.


The actor deploys additional memory-resident malware like LPEClient and credential dumpers.


![Additional payload delivered by SIGNBT (Source - Securelist)](https://lh7-us.googleusercontent.com/8jdScDADqlY-vjJoYsWzchCFiJuRsAKZIe_8ea0euBmZqAzusHJW1dsJ3NgIwbC4fpD0D5ibJqrk_TAQzNX1yKTZNiWzzpY2ll3ZVo2Jvd9gnJ65LFAte9KvZUoma3Qy3dyq7G1VjyaZBbO-8Dru38s)Additional payload delivered by SIGNBT (Source – Securelist)


LPEClient was discovered in 2020, gathers info, and downloads payloads for in-memory execution, now with improved stealth tactics, showing threat actor evolution.


Lazarus Group, a versatile threat actor, exploits high-profile software vulnerabilities and spreads malware efficiently, transcending industries and geographic boundaries with sophisticated methods and persistent motivation.






## Tags:


### Autogenerated tags:
[[malware]] [[signbt]] [[c2]] [[securelist]] [[timeline]] [[lpeclient]] [[ualapi.dll]]
