# LummaC2 Employs Trigonometry to Track Mouse Movements
## MaaS (Malware-as-a-Service) thrives as a top choice for new cyber threats, offering easy access to powerful tools. Threat actors primarily focus on information theft under Maas, specializing in stealing and leaking sensitive data from hacked devices.
## Information:

+ Link: https://cybersecuritynews.com/?p=51060
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 21 November 2023, 14:09
+ Date scraped: 21 November 2023, 15:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgG1CHPseaR_WSs2uAnec1kVorpRCYZM61u4yX6J18tMc2-Hw7Roe8F6JeTR3HpvRjcVYuMRUiLyXDvlxetwcbbt2O05c3iD9VbFv-dG4F1KEnz6NTI-b1GTlCNSfOwaGIflE7WyODRx6fKArNufGxwjnUq6-jy2n0Af60gVG2gkY29R291njc-mhE4h2Gt/s1600/LummaC2%20Malware%20Tracks%20Computer%20Mouse%20Movements%20Using%20Trigonometry.webp)


MaaS (Malware-as-a-Service) thrives as a top choice for new cyber threats, offering easy access to powerful tools. Threat actors primarily focus on information theft under Maas, specializing in stealing and leaking sensitive data from hacked devices.


This malicious behavior poses a serious risk to both individuals and businesses, with the potential to cause significant financial losses.


Recently, the cybersecurity researchers at Outpost24’s KrakenLabs [found](https://outpost24.com/blog/lummac2-anti-sandbox-technique-trigonometry-human-detection/) LummaC2 v4.0 evading sandboxes with a fresh [Anti-Sandbox trick](https://any.run/?utm_source=gbhackers&utm_medium=article&utm_campaign=enrichtiwithsandbox&utm_content=landing&utm_term=131123).


Besides this, the threat actor behind the “LummaC2 v4.0,” warns against spreading malware unchanged.


Document

Free Webinar
[Live API Attack Simulation Webinar](#)
---------------------------------------


In the upcoming webinar, Karthik Krishnamoorthy, CTO and Vivek Gopalan, VP of Products at Indusface demonstrate how APIs could be hacked. The session will cover: an exploit of OWASP API Top 10 vulnerability, a brute force account take-over (ATO) attack on API, a DDoS attack on an API, how a WAAP could bolster security over an API gateway


  [Register for Free](https://www.indusface.com/live-api-attack-simulation.php?utm_source=gbhackers-blog-cta&utm_medium=referral&utm_campaign=2023-nov-webinar-live-api-attack-simulation) 


**LummaC2 v4.0**
----------------


LummaC2, a C-written info-stealer, hit underground markets in Dec 2022 and is now at version 4.0 with the following updates:-


* Control Flow Flattening
* New Anti-Sandbox technique
* Strings are now XOR encrypted
* Supports dynamic configuration files retrieved from the C2
* Enforces threat actors to use a crypter for their builds


**Using Trigonometry** to Detect **Mouse** Movements
----------------------------------------------------


During the [malware analysis](https://cybersecuritynews.com/chatgpt-for-malware-analysis-enhancing-gpts-ability-to-guide-malware-analyst/), researchers discovered two distinct layers, and the layers were described as:-


* **Layer 1:** This layer employs assembly junk, varying in packed samples, but lacks meaningful execution. The Push+ret and jz+jnz are examples of obfuscation that prevents disassembly and makes the analysis more difficult.


* **Layer 2:** This layer mirrors the first, employing identical obfuscation to restrict disassembly. It extracts, decrypts, and runs LummaC2 v4.0 by loading a hardcoded resource (‘3’) using LoadResource and LockResource.



![Layer structure (Source - Outpost24)](https://lh7-us.googleusercontent.com/js24fVRi3ZF-jXuqtDjZED1mkoqsRTdK5r4GX98-UFzS7KG2xsOa15SZ54--rS2D_D4DtFHCjWbvf9F9LtCC4WdJb15Mh7qM2DVInV3y-drfVS5Fp_IxaifyFjFtEyl4pfAcMTyPUU_3mvW6oBT4n4U)Layer structure (Source – Outpost24)


Control Flow Flattening disrupts program flow and complicates the analysis since it’s an obfuscation technique. Opaque predicates introduce complexity through conditional jumps, maintaining program acceptance.


Dead code includes inactive or unreachable parts. LummaC2 v4.0 uses calls to known routines with invalid parameters in some dead code blocks.



![Program flow after applying Control Flow Flattening obfuscation (Source - Outpost24)](https://lh7-us.googleusercontent.com/BYr-TawT_ItGXkJNf9f97vRDMKe74I69tkyUsu3BM43pyXaUJLuCDtgAi7osDWL3PeJGktxMsMCoBbMX4jIjZ82khrziT6chU0v3-8nTp23bW2mbPt2mtTyi3kRSVALw_RHLgk0K6uDIwOChB1pnNLY)Program flow after applying Control Flow Flattening obfuscation (Source – Outpost24)


Dealing with this obfuscation involves spotting the main dispatcher, key blocks (like Block 1 and Block 2), and the predispatcher. The main dispatcher is where execution returns.


Predispatcher alters parameters to guide execution. Identifying blocks is tough with CFF. LummaC2 v4.0 stores control flow values in local variables or register-pointed memory locations.


LummaC2 v4.0 introduces a unique anti-sandbox tactic, delaying execution until it detects realistic mouse movements. It captures cursor positions, then checks for consecutive differences, and uses trigonometry to identify ‘human’ behavior.



![5 captured mouse positions (Source - Outpost24)](https://lh7-us.googleusercontent.com/GyzyuolBfdlIkEB7NtBYGsPU5dbmNuzLicd04I0NaXFI5b0wWqB7AZhBpdzVDBxHPld7_cSD4AsctjAsj7JxgB9DHr9nN9qepb4GRqcEwqRfeogGswgV6v4zGZ0xq0wKUw_-Avxe2x2MY70lSWiyYI8)5 captured mouse positions (Source – Outpost24)


The process repeats until genuine mouse activity is detected, preventing detonation in less realistic sandbox environments.


Newer LummaC2 v4.0 versions prevent unpacked sample leaks by detecting if the executable is crypted. If not crypted, it displays an alert, allowing users to halt execution without harm.


**IOCs**
--------


**Hashes**


* LummaC2 v4.0 (sample 1)


* b14ddf64ace0b5f0d7452be28d07355c1c6865710dbed84938e2af48ccaa46cf (packed)
* 4408ce79e355f153fa43c05c582d4e264aec435cf5575574cb85dfe888366f86 (unpacked)


* LummaC2 v4.0 (sample 2)


* de6c4c3ddb3a3ddbcbea9124f93429bf987dcd8192e0f1b4a826505429b74560 (packed)
* 976c8df8c33ec7b8c6b5944a5caca5631f1ec9d1d528b8a748fee6aae68814e3 (unpacked)


**C&Cs**


* curtainjors[.]fun
* gogobad[.]fun
* superyupp[.]fun





## Tags:
***urls***: http://curtainjors.fun http://superyupp.fun http://gogobad.fun
***SHA256-hash***: 976c8df8c33ec7b8c6b5944a5caca5631f1ec9d1d528b8a748fee6aae68814e3 b14ddf64ace0b5f0d7452be28d07355c1c6865710dbed84938e2af48ccaa46cf 4408ce79e355f153fa43c05c582d4e264aec435cf5575574cb85dfe888366f86 de6c4c3ddb3a3ddbcbea9124f93429bf987dcd8192e0f1b4a826505429b74560

### Autogenerated tags:
[[lummac2]] [[v4.0]] [[api]] [[outpost24]] [[anti-sandbox]] [[webinar]]
