# Malicious Python Package Hides Sliver C2 Framework Within PNG File
## An attacker published a malicious package on PyPI named "requests-darwin-lite," masquerading as a variant of the popular "requests" library,
## Information:

+ Link: https://cybersecuritynews.com/?p=64443
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 13 May 2024, 14:08
+ Date scraped: 13 May 2024, 15:10

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiWi_sUviqEyTvkRoXuy_7qsPGzkqZ3k0lptDxk8sXVwPdQ59c6euba2TJvhIlb7gLSKavCrma3bY5LBF98ruaCMvqJleic7MVzLlDo0TJkUWYV7_NE6mIzS85EYBhuNYVYv9_XFJnQeWOyRZoqftbCX4q10GoqyTMejXrmEkK9l40xJY2ZMSPOsjiFyODI/s16000/Malicious%20PyPI%20Behind%20PNG.webp)


An attacker published a malicious package on PyPI named “requests-darwin-lite,” masquerading as a variant of the popular “requests” library, which contained a hidden Golang binary within an unusually large version of the legitimate “requests” logo image.


The binary’s execution was conditional, triggering only on specific system identifiers, suggesting a targeted attack or a test phase before wider distribution.


The legitimate requests package uses the `cmdclass` attribute in its `setup.py` file to customize test execution during installation, which defines a class named `PyTest` that inherits from `TestCommand.` 


This class overrides several methods to configure arguments for the `pytest` tool, and the `initialize\_options` method attempts to import `multiprocessing` and use the `cpu\_count` function to determine the number of cores and configure parallel testing accordingly.


If importing `multiprocessing` fails, it defaults to running tests with one process.


The malicious requests-darwin-lite package modifies the `run` method of the custom `PyInstall` class to check if the system is macOS, and if it is, it decodes a base64-encoded string containing a command to get the system’s UUID.


Free Webinar on **[Live API Attack Simulation](https://www.indusface.com/live-api-attack-simulation.php?utm_source=blog-cta&utm_medium=referral&utm_campaign=2024-may-webinar-live-api-attack-simulation)**: Book Your Seat | Start protecting your APIs from hackers


It then extracts a specific portion of the output containing the UUID and compares it to a hardcoded value. If they match, it extracts a specific section of content from a file named “requests-sidebar-large.png” and writes it to a new file named “output” in a temporary directory.


It sets the permissions of “output” to executable and runs it, which suggests the malicious code embedded within the image file is only executed on [macOS machines](https://cybersecuritynews.com/gog-galaxy-xpc-service-exploited/) that meet a specific criteria. 


An attacker created a malicious version of the “requests” package, and during installation on macOS, a script targeting the system’s UUID is decoded and executed.


If the UUID matches a predetermined value, the attacker steals data from a specific file within the package.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj5Kvce_GnK3F6gXR4HLCzWKUgyqq3i1AFllwen9TOs3RtT-zuXAk3CY9P3sFGj9hUyA8bQprbDz8fCl6URefNit6T53KTpJp9ziqUszl66yJt9GdfTfioOnTgL2F8yw6J2ik3c8C0eRvIbyW6ZcTgYCAaVRUbUcquOr7ZdEfq8FAW9z0xqa5i3GlLiVQ2N/s16000/Capture%20(60).webp)The requested project logo


The attacker distributed a seemingly normal PNG image (“requests-sidebar-large.png”) that was much larger than expected (17MB) and contained hidden data appended to its end.


Although a basic steganography technique, the extra data did not affect how the image was displayed.


The attacker’s code identified this file as binary data, extracted the hidden data from a specific offset within the file, and wrote it to a new file, which likely contained malicious code, which was then made executable and silently run on the victim’s machine



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjUImmluDDT2PszjKRj64MxLMtuGvCycL9IPmIb8Lv3wmhyphenhyphenaKNl91C6lDqUSQeMQM3HPKcA3kAd-qu5uLfLcm8jwmoEh_vdYvyPT-LeyTtbu6sRLFhKAfTHxEmjdmiw1FSgPfd91Um1MeBSeRJQJQV5D3UIz91fxAojjy3yH6ygxFG9NPeKVdPXY6f6_XhJ/s16000/Capture%20(61).webp)The modified install hook from requests-darwin-lite’s later versions


It compromised the Python package “requests-darwin-lite” by injecting a dropper code into its install hook by downloading a Go binary hidden inside a PNG image.


Analysts at Phylum [suspect](https://blog.phylum.io/malicious-go-binary-delivered-via-steganography-in-pypi/) the binary to be OSX/Silver, a tool similar to [Cobalt Strike](https://cybersecuritynews.com/lockbit-ransomware-inject-cobalt-strike-on-windows/). The attackers themselves removed the first two infected versions, the third included the dropper but not the malicious payload, and the last version appeared clean. After discovery, PyPI took down the entire package. 





## Tags:


### Autogenerated tags:
[[uuid]] [[requests”]] [[macos]]
