# New Bifrost Malware Attacking Linux Servers Evades Security Systems
## A new Linux variant of Bifrost dubbed Bifrose, was observed exhibiting a creative way to avoid detection, such as using a deceptive domain
## Information:

+ Link: https://cybersecuritynews.com/?p=58459
+ Source: Cyber Security News
+ Author: Raga Varshini
+ Date published: 01 March 2024, 12:17
+ Date scraped: 01 March 2024, 13:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgxrsTSR9LCTqZqn8bGEycCWdPDDu3A6SlPJouCT94r2EyM6ed1Mpmp-XGXOK9bCjROX5mMDHuEpzhkIcPIUEPRq0kOBgzwzVCrwIx0Bb3IgjO_n6A0EEyE8lHrRWy_dPN2NvZ1ZPmiFvUSsyiIgFvQp-q2DgIHaK__s6nyxdfVWoiR0uVsDFxlJMBjXgzX/s16000/Bifrost%20Malware%20Linux%20Servers.jpg)


A new Linux variant of Bifrost, dubbed Bifrose, was observed exhibiting a creative way to avoid detection, such as using a deceptive domain that imitates the official VMware domain.


Bifrost is a remote access Trojan (RAT) that was first discovered in 2004. It is usually distributed by attackers using phishing websites or email attachments.


After being installed on the victim’s computer, Bifrost allows the attacker access to confidential information such as the victim’s IP address and hostname.


Bifrost’s most recent version attempts to bypass security measures and infiltrate target systems.


The cybersecurity industry is concerned about the recent spike in Linux variants of Bifrost, which may indicate an increase in attacks against [Linux-based systems](https://cybersecuritynews.com/any-run-sandbox-analyzes-linux-malware/).



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjJNcGVnAasSemSfw3aiQdkHf6AirAWDcOg2TzallFwrGlt-5bJO6guSdoOyUAKAYEH5Ss5Rb9wIVdQDVnBfR5vQFnG3rgcqoFCAqG7pv4Ak_gRHTTL-cbyXuCXGH0r503Q0co3Yy9UNAqMYzZISzuHo-lGjxcwRqtUSoVt4d4ef5yhmHjUJUS3nyX0Gb2U/s16000/Capture%20(24).webp)Bifrost sample detections from October through January 2024


 **Novel User-Deception Method Used By Bifrost**
------------------------------------------------


“The latest version of Bifrost reaches out to a command and control (C2) domain with a deceptive name, download.vmfare[.]com, which appears similar to a legitimate VMware domain.


This is a practice known as [typosquatting](https://cybersecuritynews.com/typosquatting/)”, Palo Alto Networks shared with Cyber Security News. Researchers have identified the most recent Bifrost sample on a server.


The sample binary is x86-compiled and appears to be stripped. A stripped binary has both symbol tables and debugging information removed. Attackers typically employ this tactic to hinder analysis.  
  
The malware initially uses the setSocket method to build a socket to communicate, after which it gathers user data and transmits it to the attacker’s server.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiVNHA59rWY7ltx6w1vyXaHmMkMsygDwDdcNhd4BBuZ7ejuAWYb2nSiaLFxedETZ-98lylkVISq7oldsxzpLXqWCIj23fJKOs-TgPBSuDL7ilkBfNskPujWUA1bI3bsNEKbSHDpuTbt7PUf9KhO-bTWGzO_Tm4WCfKxqUafAaxQnviDAppyZneVn9FqTUuX/s16000/Capture%20(25).webp)Code flow of the malware seen in a disassemble


Once the socket has been created, the malware gathers user information to transmit it to the attacker’s server.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjKdd9bVDkipcfski-ObYWmZbF42sdKOGaum40OYDs2YHjOfwXwtL74BI0fwBJ4NKGnEkaukSPlsoty8AUjqIn26WjmrAeeT1cz9VhYgB0SGRytMLe4Bxn0jMRiW8N2fnOIs2IakBhify1fpaJP6sAGqbPRzB_WMU5y5D1pe6xJUdXov7Z2ZOHw699YKfyx/s16000/Capture%20(26).webp)Collects victim data


The most recent sample encrypts victim data that has been gathered using RC4 encryption. The malware then attempts to establish a connection with a public [DNS resolver](https://cybersecuritynews.com/dns-attacks/) located in Taiwan.


The malware uses the public DNS resolver to start a DNS query to resolve the domain download.vmfare[.]com. This step is essential to make sure the malware can connect to its target location.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiIhyphenhyphen5Ren6Oc4sCJLdqF9IR-96qaAwaK494czpr0ZWmtzkcrPGuncGQwwCbUjuOtPCUUm3vTk3_81yzDPHQ4lUOv2YvNspfrR0xQjr-1voe97SYGwAaTSa7I9jyNWEROxghGK7rHArrDHTk8cGjF6D9E4a9PVucJ2zufAc3uT9E7WeKx2C1j_0nlr5uoSM_/s16000/Capture%20(27).webp)Malware initiating a DNS query to resolve the domain download.vmfare[.]com


To avoid detection, the malware frequently uses misleading domain names such as [C2](https://cybersecuritynews.com/command-and-controlc2-server/) instead of IP addresses.


Researchers [discovered](https://unit42.paloaltonetworks.com/new-linux-variant-bifrost-malware/) that a malicious IP address also hosts an ARM version of Bifrost. This version’s existence suggests that the attacker is attempting to increase the area of attack.


Therefore, it is essential to detect and eliminate malware such as Bifrost to protect sensitive information and maintain the integrity of computer systems.


This lessens the possibility of unauthorized entry and the damage that could follow.


You can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits, with [**Perimeter81 malware protection**](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428). All are incredibly harmful, can wreak havoc, and damage your network.





## Tags:
***urls***: http://download.vmfare.com

### Autogenerated tags:
[[malware]] [[dns]] [[ip]] [[download.vmfare[.]com]]
