# New Chinese Malware Framework Attack Windows, Linux & Mac Systems
## Cisco Talos have recently identified that the following systems are likely to be targeted with the use of an undocumented C2 framework
## Information:

+ Link: https://cybersecuritynews.com/?p=10708
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 14 October 2022, 11:44
+ Date scraped: 14 October 2022, 12:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjO2TD88Rre22iv54XBc0A0yfGgNaXvTrEvtfoKnbVSYmqmCpSkQZujRZGWZWWoYs2JLJit0kIXwq_Ju8dnx6FpTG6G6y0S5xh0usmc5ERo2HYswhZpoC42HngcXvBQcmUm6VWptdag_scOhf2wHdUgdD-Wrok2xwLFvJzKT7jRTVXkJzHXhgZ9zXNL6A/s16000/Alchimist.png)

The cybersecurity researchers at Cisco Talos have recently identified that the following systems are likely to be targeted with the use of an undocumented C2 framework titled Alchimist:-

 googletag.cmd.push(function() { googletag.display('div-gpt-ad-1663938601381-0'); }); * Windows
* macOS
* Linux

A beacon implant called Insekt complements the Alchimist C2 framework, written in the GoLang language. In addition to remote access features, the Alchimist C2 framework could be instrumented by the C2 server so that it can be used with automation.

**Technical Analysis of Alchimist**

While an Insekt rat is released as part of the Chinese Alchemist framework to facilitate automated attacks.

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://www.perimeter81.com/lp/ztna-vs-vpn?a_aid=2428&a_bid=1682633c&chan=code33&data1=csn)A number of 64-bit executables have been written in GoLang under the Alchimist C2 framework. It is possible to integrate these executables with a wide range of major operating systems since all these executables make compatibility easier and more convenient.

Alchimist has a very similar interface to Manjusaka, a framework that has been gaining much popularity among Chinese hackers. Apart from this, one of the most interesting things about Alchimist is that its web interface is offered in simplified Chinese.

![](https://lh4.googleusercontent.com/eDE64mMttM6KTLIWooHN8eqbXHViBghGQuczBav6VJTntgzZYZpLOOPW9-mLUOKJS2eoUIz0wj7TyvEbplF2y1OmdCXG63O5PvItvVbPJpXaDrDbgsv9nG3yBkGM0qnHgYd2mdNrezuJ11ayeq5_z_FcDE1ftHKqMqQGGU6OGApWSfOPscBgD4F4tA)

On the infected devices, the operators can generate and configure the payloads using Alchimist, and not only that, it also offers an intuitive and easy-to-use platform that enables them to do the following illicit things:-

* Take screenshot remotely
* Execute arbitrary commands
* Remote shellcode execution

**Insekt Implant Infection Chain**

The Alchimist can be customized to drop the following elements to deploy the trojan through custom infection mechanisms:-

* Insekt RAT trojan
* Snippets of PowerShell code (for Windows)
* wget (for Linux)

A self-signed certificate was generated at compiler time and embedding it in the implant contains the address of a [C&C server](https://cybersecuritynews.com/command-and-controlc2-server/) that is hardcoded into the implant. 

![](https://lh3.googleusercontent.com/HJ0dffFECrp8Yk0XV0qCAXMI5NxkjY8XNNLREUPGRItpiybZQyMyc7-jjmX-buG_ckV9phHHkaEGzS6HoFj3Yo8VZ0r0WK4EjUT5w0WkcBcXsJ7FLwqdbnq4Jc7c_-jQuUdd57yU0Wa98e_NHlCQNcAPLYNS52vbWDVuD-Ifhh2036uQ1XCHX5EOgg)

According to the Talos [report](https://blog.talosintelligence.com/2022/10/alchimist-offensive-framework.html), a ping operation will then be carried out with 10 attempts per second on the C&C server address. A malware program, however, will try to establish the connection again after one hour if all previous attempts to establish one failed.

On the infected Windows and Linux systems, the commands delivered by the Alchemist server are executed by the Insekt implant.

Here, we have outlined below the illicit actions that Insekt can do on the infected systems:-

* Get file sizes
* Get OS information
* Run arbitrary commands via cmd[.]exe
* Ability to create new user
* Manipulate SSH keys
* Upgrade the current Insekt implant
* Perform port and IP scans
* Run arbitrary commands as a different user
* Sleep for periods of time defined by the C2
* Execute shellcode on host
* Start/stop taking screenshots
* Disable firewall
* Act as a proxy using SOCKS5
* Write files to disk
* Unpack files to disk

Moreover, to make things more convenient for the operator, in the victim’s home directory all the contents of the “.ssh” directory are listed by the Insekt implant’s Linux variant.

After that to the ~/.ssh/authorized\_keys file, all the newly created SSH keys were added by it. Then to establish a connection with the victim’s device C&C via SSH, the attacker uses this.

Cybersecurity experts have hinted that Alchimist is one of the best options for novice threat actors who don’t have any advanced knowledge of building any complex components through which sophisticated cyberattacks are carried out.




## Tags:
***urls***: http://cmd.exeAbility

### Autogenerated tags:
[[alchimist]] [[insekt]] [[c2]] [[executables]] [[linux]] [[c&c]] [[ssh]]
