# New DDoS Botnet Malware Infecting Windows, Linux, and IoT Devices
## A cross-platform botnet, ‘MCCrash’ that starts out from malicious software downloads on Windows devices and spreads to a range of Linux-based devices was recently examined by the Microsoft Defender for IoT research team.
## Information:

+ Link: https://cybersecuritynews.com/?p=12317
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 19 December 2022, 09:20
+ Date scraped: 19 December 2022, 10:05

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhTYn5tXsg6iXLBFwPExEJlNkzTC-MFvDqYs6nH7zSp_I5NZX0U45wJ3NtZvJzKToFY0dvEC-eF8O5ib1k4ZnJSiE5B9ySJ_-8C3KIv5Rdeak9KZ2y196tNwjz83duSdJTFF4ML2STZ58IwAHWSUhCdDJWpTnnXLhq9Q3ttFJ2qbSU3K-tSsgWm4r-okA/s16000/DDoS-Botnet-Malware.webp)


A cross-platform botnet, ‘MCCrash’ that starts out from malicious software downloads on Windows devices and spreads to a range of Linux-based devices was recently examined by the Microsoft Defender for IoT research team.





The botnet spreads by obtaining the default credentials on [Secure Shell (SSH](https://cybersecuritynews.com/romanian-hackers-actively-attacking-linux-based-machines/))-capable devices that are open to the internet. Particularly, IoT devices may be vulnerable to attacks like this botnet as they frequently have remote configuration enabled with potentially unsafe settings.


This activity cluster is being monitored by [Microsoft under the name DEV-1028](https://www.microsoft.com/en-us/security/blog/2022/12/15/mccrash-cross-platform-ddos-botnet-targets-private-minecraft-servers/), a cross-platform botnet that affects Windows, Linux, and IoT devices.


The DEV-1028 botnet is known to launch distributed denial of service (DDoS) attacks against private ‘Minecraft servers’.


“Our analysis of the DDoS botnet revealed functionalities specifically designed to target private Minecraft Java servers using crafted packets, most likely as a service sold on forums or darknet sites,” reports Microsoft


Researchers say once it infects a device, it can self-spread to other systems on the network by brute-forcing SSH credentials.



![A geographical map that presents the countries where the devices affected by the botnet are located. Countries with affected devices are highlighted on the map in blue.](https://lh3.googleusercontent.com/EA4T21hRyB77Sew-UsE24GjV8qyJi3iB2MIiNvPBsVd0hfWHy4L5p-bmtEwkJdnfkd2ZjABauRyJgmfPbUnIFkUQ4K_qkWP-PpC2NXYJMB4WhIJyDe86ZzG-PyGWgmUwRWwujsq6xLhhLlWPqTDwjwXu68Tm6HRJuAxLdO_ag7oDDhnTF1JmTSgpDFh3OF1Yqk6JZbjBrg)IP distribution of devices infected by the botnet


**How Does This Botnet Affect Multiple Platforms?**


Microsoft researchers discovered that the botnet’s first entry points were devices that had been compromised by the installation of malicious cracking tools that claimed to be able to get illegal Windows licenses.



![](https://lh5.googleusercontent.com/kkk2azjYh3SWLfwrgd0JegHgMoVFKT7vO2wljQM8l84n5cw6oIE-S_WjGzteACFB54ajWjeLjHtpjtkCDkfW0zQoD1guAGIY35hjZZBtUUO7h66QL-O7QONHmis-d-TyMZjuZTtNqm71M8Kwk3R_OYj2M3ZEs_q3o9u9oWFJ9-GVHRiV2VNCglx4RABy93VS4dwPZ2hBdA)DDoS botnet attack flow


The cracking tools contain malicious PowerShell code that downloads a file named ‘svchosts.exe,’ which launches ‘malicious.py,’ the primary botnet payload.


After that, MCCrash tries to propagate to more networked devices by attacking Linux and IoT devices with [brute-force SSH attacks](https://cybersecuritynews.com/dns-attacks/).


“The botnet’s spreading mechanism makes it a unique threat because while the malware can be removed from the infected source PC, it could persist on unmanaged IoT devices in the network and continue to operate as part of the botnet.” Microsoft


Linux and Windows environments can both run the malicious Python script. Upon initial launch, it creates a TCP communication channel over port 4676 with the C2 and sends basic host information, such as the system it is running on.


On Windows, MCCrash establishes persistence by adding a Registry value to the “Software\Microsoft\Windows\CurrentVersion\Run” key, with the executable as its value.


“Based on our analysis, the botnet is primarily used to launch DDoS attacks against private Minecraft servers using known server DDoS commands and unique Minecraft commands”, researchers.



![Commands C2 sends to MCCrash](https://lh3.googleusercontent.com/SYpGjj4vuqPZqNVhXlviSLDCV9B1q1o98XsSAlR2OiNwHuaFiZxKZ-sjzYzwTJbCABZKkoCSoCbzYG1He0iP5-BNHwUuOIZCcUN0yp32kD5slNRllEc4HRyfLa50PRDo12MZdBjm7RTg87xwRjaJgwFuO9SUj_8Y7nYss3u3NCnXm7OjvoMX1W9Kd_ZQZf0svJ2kza2U7Q)Commands sent to MCCrash by the C2


Threat actors created the botnet to target Minecraft server version 1.12.2, but all server versions from 1.7.2 and up to 1.18.2 are also vulnerable to attacks.



![A pie chart that presents the distribution of Minecraft servers based on their version.](https://lh5.googleusercontent.com/Vl43enGCL6ZcEV7cm__NHZAVyX2esG9Be3WU-JTVHslEsCBKH1V_mFxEwEgKmVop9w5cHqh4UDpM1Gtp4khA45Gs_ikww-Bs4Vc8ffq51XtAvi3vZYsG8dSXmR6wwmOA4jdOsJaNKdh7dXOC89czzY5lE5TSxccrYwVkoSaHnEF-jYCWi4c92OYHGgu2utAug0bZwwhnzg)Distribution of Minecraft servers by version


#### **Mitigation**


Microsoft researchers recommend keeping your IoT devices’ firmware up to date. Change the default password with a stronger (lengthy) one, and turn off SSH connections when not in use to prevent them from botnets.






## Tags:


### Autogenerated tags:
[[botnet]] [[microsoft]] [[iot]] [[windows]] [[ddos]] [[minecraft]] [[ssh]] [[linux]] [[mccrash]]
