# New DTrack Malware Hides Itself Inside A Legitimate Executable Program
## The North Korean hackers carried out an attack on organizations in Europe and Latin America using a new version of the DTrack backdoor.
## Information:

+ Link: https://cybersecuritynews.com/?p=11379
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 17 November 2022, 08:28
+ Date scraped: 17 November 2022, 09:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhqaYtRvjjX5eXbck8XBfzMLSv8hdEj3xNzNyRVpj-m1Vb07OkmLO2yOv_pN45d1o2c-3wv8IXNjK8FYGz9V_S2sOBYeVcN5S1KGfVVvcflhgM1Tuff49i3gVh0pp4bL_dvP3AD7zC2Lw8TmS5WQTPBM5bCkr5PO-g1uRiEQ6Q0REdC6GsRakKxZ_IAmA/s16000/New%20DTrack%20Malware%20Hides%20Itself%20Inside%20a%20Legitimate%20Executable%20Program%20(1).webp)


The North Korean hackers carried out an attack on organizations in Europe and Latin America using a new version of the DTrack backdoor.





In addition to its modular nature, DTrack features the following key things:-


* A keylogger
* A screenshot snapper
* A browser history retriever
* A running processes snooper
* An IP address snatcher
* A network connection information snatcher


The Lazarus group has been using DTrack as a backdoor to access different systems. In spite of the fact that the backdoor was discovered three years ago, the threat actors are still using this backdoor today. The [Lazarus group](https://cybersecuritynews.com/lazarus-hackers-installing-windows-rootkit-using-dell-driver-bug/) covers a wide range of targets with this backdoor.


**DTrack Attribution**


The security experts at Kaspersky security lab [uncovered](https://securelist.com/dtrack-targeting-europe-latin-america/107798/) that the North Korean hacking group Lazarus is responsible for the activity. The threat actors utilize DTrack whenever profits are to be made from their activity, especially from financial sectors.


Researchers already detected the backdoor in August 2022 and linked it to a North Korean hacking group nicknamed ‘Andariel’. It was discovered that Andariel had deployed Maui ransomware on US and South Korean corporate networks.


Here below we have also mentioned all the stages involved:-


* **First stage: implanted code**


There are several stages involved in the process of unpacking malware by DTrack. By reading the payload from a file offset or from a resource within the PE binary, DTrack can retrieve the payload from a file.


A second stage of the malware is stored within the PE file of the malware, and in order to obtain it, two methods can be used:-


* Offset based
* Resource-based


![](https://lh3.googleusercontent.com/fm456infEe-DR09vD_k6bCoHsG2CoMtgBAFe1zGvZ4pJpB95ty0ZxDYzlDlcCE1O9VUNafTxR69SlbOzg3ca_rmKG6wyYX-jpy-enEuPaoIT6cS_3MUloWHAX5Me71uuwEcSP9MAufqvGR8ut5k_hh_wJheXG_PbY1jcXcKL3QL0RBj8cqlhIElNtKZk0w)


* **Second stage: shellcode**


As the name implies, the payload of the second-stage attack consists of the bulk of the attack, which is heavily obfuscated shellcode used in the primary payload of the attack. There is a difference between each sample regarding the encryption method used by the second layer.


![](https://lh6.googleusercontent.com/igQv1RndYU_vAYFgnyS80zi-WOpCIoc3Sa0-2amnz25r3_QnC1197OrB96UXSKw6_BP4yS_vAl3sgwLMTl0Ei7yRopBFPlH_8lqypQNrH1BSWlumWUMDsyG3WApUACFHclyDV-cdAFAFHwLhOSa0UfurOVmVRyo4IhYVeeq35rQAhSIRfD41P0eueug1WA)


* **Third stage: shellcode and final binary**


To make an analysis of the shellcode more challenging, the shellcode uses some quite interesting obfuscation tricks.


Whenever the program starts, the first thing it accomplishes is to look for the beginning of the key in order to decrypt it. Shellcode decrypts the eight bytes immediately following the key once it has found the key.


As part of the configuration information, this will serve as a second threshold for specifying the size and offset at which the payload should be entered into the system.


![](https://lh3.googleusercontent.com/seMoN2zoy58JYoUBO3WjiqWdEe6PWfRk2jGne0y7JVNqhazlGqturtzn3DBI60DqHRB-p6JvLGlzLJK6qZ0C5ouQT6iJOY6h8JwqqTP1PiAtI2168puyM0nLJ7DbXCqRnOMM582tN-Y5htMmb56lhxNS01NdUOCpTAeMUetZ94c4CF-0dqJHo67Euzs0Og)


## **DTrack Victims**


This modular backdoor has been found to have been used to attack several countries, and the following is a list of the most popular ones:-


* Germany
* Brazil
* India
* Italy
* Mexico
* Switzerland
* Saudi Arabia
* Turkey
* United States


There is evidence that DTrack is spreading into new regions around the world, indicating the success of DTrack. Among the sectors targeted by the threat actors are:-


* Education
* Chemical manufacturing
* Government research centres
* Government policy institutes
* IT service providers
* Utility providers
* Telecommunications companies


**Final payload**


Following the decryption of the final payload, the DLL can be loaded into explorer.exe using a process hollowing method. While the libraries loaded by DTrack samples had previously been encoded as obfuscated strings.


The API hashing is used in the more recent versions of the software to ensure the correct libraries and functions are loaded. Additionally, there is a small change in the number of C2 servers used; that is, instead of six, three are used.


The DTrack backdoor is still actively used by Lazarus in their attacks against the network. This is a tool that has the capability to upload, download, launch or delete files on a victim’s system that can be used by criminals.






## Tags:


### Autogenerated tags:
[[dtrack]] [[shellcode]] [[malware]]
