# New Hacker Group Uses SQL Injection to Hack Companies in APAC Region
## A new threat actor has been discovered to be using SQL injection attacks to gain unauthorized access to organizations in the APAC region.
## Information:

+ Link: https://cybersecuritynews.com/?p=52895
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 15 December 2023, 11:05
+ Date scraped: 18 December 2023, 12:04

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgMuxcuNAP7PgdvRCLm99MQBD8-mb0eVfKTNKRtvZHlc8DSkqOBzxo79UzapcC0W-TWb3JCdp_4TXJVkwnCXypb68c74RbPjMMhj6eMCmkxTPB4eAEAeD5MPoMRBGFHH1VY3Agz6J6OY8cyxl_k8pXTcy_8LIYSit5esXvd5dl3G3rJSaBu8i2QIajhqHCp/s1600/GambleForce%20Launching%20SQL%20Injection%20Attacks.webp)


A new threat actor has been discovered to be using SQL injection attacks to gain unauthorized access to organizations in the APAC region.


This threat actor has been named “GambleForce” and is using publicly available open-source instruments that are generally used by penetration testers.


The threat actor has targeted more than 20 websites, including government, gambling, retail, and travel sites in Australia, China, Indonesia, the Philippines, India, South Korea, Thailand, and Brazil. Among the 20, the threat actor successfully infiltrated six organizations with the legacy [SQL injection attack](https://cybersecuritynews.com/web-stories/most-dangerous-injection-attacks/).


**Hacker Group Uses SQL Injection**
-----------------------------------


In the case of the tool configurations, no unique modifications were found as the threat actors were using almost all the default settings of all the tools they used.


Some of the tools used by the threat actor include dirsearch, sqlmap, tinyproxy, redis-rogue-getshell, and [Cobalt strike](https://cybersecuritynews.com/lockbit-ransomware-inject-cobalt-strike-on-windows/).


As an interesting factor, the threat actor used language-based “export” commands in 95 out of 750 commands they executed on each server. This means that the devices they compromise belong to a locale and this command is to ensure that the commands entered get executed without any errors.



![Source: Group-IB](https://lh7-us.googleusercontent.com/hIxOF5W0pBUvikNI-PXOKyaJgRfjfpof5LDWCcwPe_gslNr682Igv7g2erZkzUfPHeptcE0GlGBZW8-ZaLrZPn7gpiiYrNpszX_romKgFZWnPYTFWCkvR5qqFIt3T-WjwZuyPTL0mkccGZQIWfVYrds)*Source: Group-IB*


Further steps used by the threat actor were loading a file from a remote source using a “wget” command. The remote server was hosted with supershell, a Chinese-language framework with a UI specifically used for creating and managing reverse shells.



![GambleForce Network Analysis (Source: Group-IB)](https://lh7-us.googleusercontent.com/rjSXXDVLEM0hEffH58IEUK1t3r3YBg5PX3kQCiFWmk56O7z13T7Bkh2wf5nnLbumZ78_fmohd78N0-eYOHA1nGhniGZer7LfxBB1vL8vcMghsEKeSpis1znDyEAKVI1eV8PS3YvoDgMbMAXX8hqHwHE)*GambleForce Network Analysis (Source: Group-IB)*


**Command and Control (C2)**
----------------------------


Regarding the usage of Cobalt Strike, the threat actors made several modifications for launching their profile with the C2 domains such as Dns-supports[.]online and Windows.updates[.]wiki. However, the C2 servers used Chinese commands which could point to a fact about their origin.


Several IP addresses were also found to log in to the operator panel.  In addition to this, the threat actor also used self-signed SSL certificates for using Cobalt Strike. These certificates mimicked “Microsec e-Szigno Root CA” and “Cloudflare”.


A [complete report](https://www.group-ib.com/blog/gambleforce-gang/) about this threat actor has been published which provides detailed information about the GambleForce threat actor, their attack methods, commands used, MITRE Framework, and other information.


**Indicators of Compromise**
----------------------------


* Dns-supports[.]online
* Windows.updates[.]wiki
* 212.60.5[.]129
* 38.54.40[.]156





## Tags:
***ipv4-adresses***: 38.54.40.156 212.60.5.129
***urls***: http://38.54.40.156 http://Dns-supports.online http://Windows.updates.wiki http://212.60.5.129

### Autogenerated tags:
[[sql]] [[c2]]
