# New Linux Malware Brute Force Credentials & Gain Access to SSH Servers
## Since mid-June 2022, several cyberattacks have been carried out by a new botnet called RapperBot. The botnet mainly tries to establish a foothold on Linux SSH servers by brute-forcing its way in. This new botnet, RapperBot is completely based on the Mirai trojan, which was discovered by the cybersecurity researchers at Fortinet. However, the behavior […]
## Information:

+ Link: https://cybersecuritynews.com/?p=10019
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 05 August 2022, 13:21
+ Date scraped: 05 August 2022, 14:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgy-tDR-98nFQqU7ZnJzmpn7TV9F7Tx8qpXV0gEn6sAcKUuTkh9hw4Pq2BDPSK9qt9sxWaAVJ_EvENrWW05iQH3tkoQ_L6PL-wuFrkheD2BKXtZhKnC2zevQbm1piVMs5IK0M7r-HPVRPowEXCUGi4597f9HNXEfbEttOPzki4IsCebjePNFtotYImQFw/s16000/New%20Linux%20Malware%20Brute%20Force%20Credentials.png)

Since mid-June 2022, several cyberattacks have been carried out by a new botnet called RapperBot. The botnet mainly tries to establish a foothold on Linux SSH servers by brute-forcing its way in.

This new botnet, RapperBot is completely based on the Mirai trojan, which was discovered by the cybersecurity researchers at Fortinet. However, the behavior of this malware differs from the original malware’s normal behavior.

There is tighter control over RapperBot, and it has a limited DDoS capability as well. Typically, it is used to facilitate lateral movement within a network and is used as a stepping stone during this process.

Since its discovery, the new botnet has been in the public for about 1.5 months, and it has been scanning and brute-forcing Linux SSH servers around the world.

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://bit.ly/3xmY62n)## **RapperBot: A Mirai-based Botnet**

There were several components of RapperBot that made it one of the most interesting forks of Mirai, and they were:-

* C2 protocol
* Unique features
* Typical post-compromise activity

RapperBot is very different from the majority of Mirai variants in that it scans only SSH servers that require password authentication and tries to brute force them.

According to the Fortinet [report](https://www.fortinet.com/blog/threat-research/rapperbot-malware-discovery), There is a large amount of code within the malware that implements an SSH 2.0 client which forms the bulk of the malware code. There are a number of SSH servers that support Diffie-Hellmann key exchanges, and this can be used to connect to them and brute force them with the following keys:- 

* 768-bit keys
* 2048-bit keys
* AES128-CTR (For data encryption)

Through host-unique TCP requests, a list of credentials is downloaded from the C2, and the SSH [brute-forcing](https://en.wikipedia.org/wiki/Brute-force_attack) depends on this downloaded list. While a  malware report will be sent back to the C2 once it has successfully completed the task.

![](https://lh6.googleusercontent.com/rGVSwWYPZSFj5m6wOj0m1Z1vjoDeXdupuiWo7a7aR1wYSSg-OyONLscpxhiZclg8HMkK3RMATZkr44a7BEh_trBRdTWhEmGzhfrPdjaq5eO0yazoUNK-i0E6X02_3-qSZ8Aw2vXc6tf5SNdxoepKOuc)

In newer variants, the attacker’s SSH keys were replaced with the victim’s by using a shell command. Furthermore, RapperBot installs an additional module called SSH key appending that adds the actor’s SSH key to the host: “~/.ssh/authorized\_keys.”

Having this feature allows access to the server to be maintained even after a reboot or if the malware has been removed from the server.

In later samples, to ensure that they could remain undetectable the developers of the malware incorporated some additional layers of obfuscation to the strings, such as:-

* XOR encoding

![](https://lh4.googleusercontent.com/LJGYBwhp_xD91f6Z93VlIhj3OuVc0NJEMPBPAF5FEf7RbGcGLRHPLl9AaoyjWKhVaavFv7LdIhSB09ewUzVkm2MsOyYcR4VQ7fJwu_rEzq5mqe3P46q73uuEjplNd7v1V4yT4Mc68Eok1CkwVMaMST8)

Botnets are most typically used to launch [DDoS](https://cybersecuritynews.com/?s=DDoS+) attacks or to mine coins on the network. As RapperBot has a limited set of DDoS functionality, the authors of RapperBot haven’t made it very clear what their goal is.

Essentially, this threat can be mitigated easily because it relies on brute-forced SSH credentials as its primary propagation method. Here are some recommendations that you must implement in order to mitigate this malware:-

* Set a strong and unique passwords.
* Disable password authentication for SSH.



## Tags:


### Autogenerated tags:
[[ssh]] [[rapperbot]] [[malware]] [[botnet]] [[brute-forcing]] [[mirai]] [[ddos]]
