# New SSH-Snake Malware Abuses SSH Credentials To Spread Itself In The Network
## Threat actors abuse SSH credentials to gain unauthorized access to systems and networks. By exploiting weak or compromised credentials, they
## Information:

+ Link: https://cybersecuritynews.com/?p=57888
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 23 February 2024, 07:14
+ Date scraped: 23 February 2024, 08:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjYPUxacw4fZVgQjgo6Z-GJEG3wLEdhbwF0ljoE89C3Q6tLCsWRE_2hMxi-jcsZy5cxVC_XK5aLwNOJI4vttLVDn9knI-b8CkXC8zr-ckXwA-EqIj_WpzNyvA6ftyxsJmr5_Tab2mBqRQ8w0lzhqDS78oQIrGu5bapryr93x5RDKE0W2lW-RdAahgB1afA_/s16000/New%20SSH-Snake%20Malware%20Abuses%20SSH%20Credentials%20to%20Spread%20Itself%20in%20the%20Network.webp)


Threat actors abuse SSH credentials to gain unauthorized access to systems and networks. By exploiting weak or compromised credentials, they can execute malicious activities.


SSH credential abuse provides a stealthy entry point for threat actors to compromise and control the targeted systems.


On January 4th, 2024, the Sysdig Threat Research Team (TRT) discovered a network mapping tool dubbed SSH-Snake that was being used as a self-propagating worm.


The [tool was](https://github.com/MegaManSec/SSH-Snake) found to be exploiting SSH credentials in its attempt to spread and infect other systems. As a result, it poses a significant threat to network security and should be handled with caution.


It hunts for credentials and shell history for its next targets, and currently, threat actors are actively using SSH-Snake malware.


**SSH-Snake Malware Abuses SSH Credentials**
--------------------------------------------


After gaining system access, attackers often use lateral movement to find and reach other targets. Previous research uncovered a worm seeking SSH credentials to connect and repeat the process.


Document

Analyse Shopisticated Malware with ANY.RUN
[Try ANY.RUN Yourself with a 14-day Free Trial](#)
--------------------------------------------------


More than 300,000 analysts use ANY.RUN is a malware analysis sandbox worldwide. Join the community to conduct in-depth investigations into the top threats and collect detailed reports on their behavior..


  [Request a Demo For Free](https://app.any.run/contact-us/?utm_source=csnsandgbhackers&utm_medium=article&utm_campaign=rspamd&utm_content=ti&utm_term=220224) 


The lateral movement of SSH-Snake is great in private key finding. It can evade scripted attack patterns to provide stealthiness, flexibility, configurability, and better credentials discovery. It is more efficient and successful than normal SSH worms.


SSH-Snake [malware automates](https://sysdig.com/blog/ssh-snake/) network traversal with discovered SSH private keys, mapping a network and dependencies. 


A bash script that autonomously seeks [SSH credentials](https://cybersecuritynews.com/romanian-hackers-actively-attacking-linux-based-machines/) on the system by logging into targets and replicating to repeat the process. However, the results aid the threat actors in ongoing operations. 



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh17QmgnUJIzs9_1XSaJjcF0w7qP-72oN4TZ5ptXeCyoY3xYJUgjsZhvuhwwD9Ew393nya_58HDNRAYYfONciqTLecC_ltV5_vKJ0E4I2qW5AD-bKmgVNVt3jP52mZdF7pomEBoM0VRKYJaXvj0LV7HS_KLCsxBhc8S3XPW70i0qsiqieuWL4KnKzsFJXHh/s16000/Output%20of%20SSH-Snake%20in%20a%20very%20small%20network%20(Source%20-%20Sysdig).webp)Output of SSH-Snake in a very small network (Source – Sysdig)


SSH-Snake self-modifies to shrink its size by removing comments, whitespace, and unnecessary functions for fileless operation.


Its initial form is larger for enhanced functionality, and it works on any device by self-replicating and is fileless.


SSH-Snake automates the laborious task of discovering SSH-connected systems, which allows saving time and effort.


Here below, we have mentioned all the automated tasks that the SSH-Snake performs:-


* On the current system, find any SSH private keys,
* On the current system, find any hosts or destinations (user@host) that the private keys may be accepted,
* Attempt to SSH into all of the destinations using all of the private keys discovered,
* If a destination is successfully connected to, repeat steps #1 – #4 on the connected-to system.


This malware hunts various private key types on the target system using diverse methods. It scans bash history for SSH-related commands by revealing the key locations and credentials.


Sysdig TRT found the [C2 server](https://cybersecuritynews.com/command-and-controlc2-server/) of SSH-Snake deployers. The server houses SSH-Snake’s output for each target that helps in revealing victim IPs.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj_YUk9XVuW_fdB2TXeEHt5yxBOhHZWoymGC4n87X6IfrpaNg8p8rUy4oO0WRY1_7LwskomA3Kr0qXG1ZyzCnb3-mvkguEN4dK-lpS6hRglPif0NtR0ywtKLtcmSiDu1fRLKNBc0fzSBtGrlTK9RolImaPm8AyGTbsOzMUn0MwBd2x62uFbiAFPjQg4X8I_/s16000/Exposed%20assets%20(Source%20-%20Sysdig).webp)Exposed assets (Source – Sysdig)


CNCF incubates Falco and offers real-time alerts for cloud-native rarities. Users can deploy default or custom rules easily. Detect SSH-Snake with default rules or craft new ones for better detection.


SSH-Snake enhances threat actor capabilities, enabling the exploitation of SSH keys that help evade static detection.


You can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits, with [**Perimeter81 malware protection**](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428). All are extremely harmful, can wreak havoc, and damage your network.





## Tags:


### Autogenerated tags:
[[ssh-snake]] [[ssh]] [[malware]] [[sysdig]] [[any.run]]
