# North Korean APT Group Attacking Corporate Networks of Energy Providers
## Lazarus (APT38), the North Korean APT group is attacking the corporate networks of energy providers by exploiting the VMWare Horizon servers.
## Information:

+ Link: https://cybersecuritynews.com/?p=10346
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 10 September 2022, 06:14
+ Date scraped: 10 September 2022, 07:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhIvY31D5RxNLEkSXUOKlEbzBa2w-ldDBf7ip-ekPWhWtpWQxT3JEXhUF1VjCpepC0rX9bo8Nx-iKBnmXhekfx7WyN5I6mal_s-SLKvL9-tdnNxjU9p-iq-RQy6MeylVJ_Lms05PrAGm3gxhDzPZ5U8zurUAFlh-_UVpNuMMVx4bc0Ov7FAtlqgxtCXwg/s16000/North%20Korean%20APT%20group%20Attacking%20corporate%20networks.png)

Lazarus (APT38), the North Korean APT group is attacking the corporate networks of energy providers by exploiting the VMWare Horizon servers.

While the corporate networks of energy providers that were attacked by the group are based in the following countries:-

* The United States
* Canada
* Japan

In the past few years, Lazarus has been known for a number of operations that are conducted, and it’s a state-sponsored threat group.

Internationally, hundreds of sophisticated attacks have been carried out by the threat actors of this group. Here below we have mentioned the prime operations conducted by the Lazarus group:-

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://www.perimeter81.com/lp/ztna-vs-vpn?a_aid=2428&a_bid=1682633c&chan=code33&data1=csn)* Espionage
* Data theft
* Cryptocurrency stealing campaigns

## **Custom Malware Families Used**

As part of their ongoing threat detection efforts, Cisco Talos security analysts have [uncovered](https://blog.talosintelligence.com/2022/09/lazarus-three-rats.html) the current operation. A series of VMware Horizon exploits were used for the initial access into the energy organizations under Lazarus between February and July 2022.

In order to determine the infected devices and even to steal data from them, the operators of the group have used custom malware families such as the following:-

* VSingle
* YamaBot
* MagicRAT

## **Attack Flow**

In order to reveal Lazarus’ TTPs and demonstrate their versatility, Cisco Talos presents a number of attack strategies used by Lazarus.

It is important to note that in the first scenario, the vulnerable VMWare servers were exploited by the threat actors. While they mainly targeted servers that are vulnerable to Log4Shell.

The attack is designed to execute shellcode on the compromised endpoint that creates a reverse shell through which arbitrary commands can be executed on it.

![](https://lh4.googleusercontent.com/k5EfvRzK0ZxABoiuOoCCSZWImLXfBQnBrrQ1xM66kb049q0yoWGBmC18VjLpdZF0m-aPUlIdVvNZPXdWREJCxwNm4NPeBZXzyLROlRWpJ69Ir8vItqGTabkLYMI9iCpEdqu5IDTYjOq-_US56bvOmgv8F6FQp55PzzmAnK3E62iU46W1dMc2l0JOiA)

Before deploying VSingle Lazarus deactivates Windows Defender with the help of the following components:-

* Registry key modification
* WMIC
* PowerShell commands

While this is possible due to the fact that VMWare Horizon runs with high privileges. Here the VSingle is a backdoor that offers several sophisticated features like:-

* Commands for advanced network reconnaissance are supported.
* Creates an environment conducive to credential theft.
* The creation of new admin users on the host is performed.
* Obtains plugins that enhance the functionality of the C2 by establishing a reverse shell connection.

![](https://lh6.googleusercontent.com/GkzrNaSIoz6JkZsR4SuN21uaiyWmCBIrlBma-z1q8zc7xVhNFfL0DMyqVuA0kHtO1G0yjEKL5fOvvVwNU3prQ3r8_e89tAqx50mi0_xJbNlZADMsxM-hK_8hqAXOY2p60wZK_W4mdbLult0gA8bXa04gu3u8mGFZ_ImNhQcmNQMDFZJWDmtwOejDug)

The access and reconnaissance procedures in the second scenario follow a pattern similar to the first scenario. VSingle and MagicRAT are two of the other malware that has been dropped by hackers this time around.

The hacking group, Lazarus deploys YamaBot in the third scenario. It is a custom malware written in the Go programming language.

There are several standard RAT capabilities that YamaBot offers, such as:-

* List files and directories.
* Send process information to C2.
* Download files from remote locations.
* Execute arbitrary commands on the endpoints.
* Uninstall itself.

Mimikatz and Procudumps were two tools that were used by hackers in some cases. It has also been reported that in some cases, copies of registry hives including AD credentials were exfiltrated.




## Tags:


### Autogenerated tags:
[[vmware]] [[malware]] [[vsingle]]
