# Operation PhantomBlu: Attackers Utilising Weaponized MS Office Doc to Hack Windows
## Researchers from Perception Point identified a new malware campaign, PhantomBlu, targeting US organizations that use novel techniques to deploy NetSupport RAT, a remote access trojan, by exploiting legitimate features of Microsoft Office document templates via OLE manipulation.  It allows the attackers to evade detection and gain control of victim machines for various malicious activities, including […]
## Information:

+ Link: https://cybersecuritynews.com/?p=60146
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 20 March 2024, 14:53
+ Date scraped: 20 March 2024, 15:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuYghgb_yWluJmrsHK-WqbloCujr01qDrUKnU6mRCgB7WxnCeuSKvBvqV_-ORP_iFmUQiUzJXy9R0ueQv7dOcm_vj0h-sZjVWKvW5JV1uCeHEXzfr8NcBW2oPnOcsD4MSeNNYF6Xf4AlqP64CZRnhfH4kMk8XzV1yd8W6QXwf1EOxBLRyuap8NNOoYeGs3/s16000/hack%20windows.webp)


Researchers from Perception Point identified a new malware campaign, PhantomBlu, targeting US organizations that use novel techniques to deploy NetSupport RAT, a remote access trojan, by exploiting legitimate features of Microsoft Office document templates via OLE manipulation.


It allows the attackers to evade detection and gain control of victim machines for various malicious activities, including keylogging, file transfer, and lateral movement within the network.


Threat actors sent [phishing emails](https://cybersecuritynews.com/phishing-emails-generated-by-chatgpt/) with fake monthly salary reports to entice workers into downloading malicious DOCX files that leveraged a legitimate email delivery platform to bypass detection. 


Upon opening the DOCX file, users were instructed to enable editing and click an embedded OLE object disguised as a printer icon.



![](https://lh7-us.googleusercontent.com/LcVw9xLolJO55KL7kDGAc6ESIchx-qdyUX__ZoA6Ngl0tYjnpFuvLtxaO5dn4rGfeOKwXcREoaovhxC_4KcVzeyURtECoSwRo5F5fpXNioI7QCWekjo5XNLvTRKZjktrDYYQxmGifLbr4EdhMskimw)*Targets are prompted to enter the password “1” and to click “Enable Editing.”*


Clicking the icon triggered OLE template manipulation (T1221) to download an archive containing a malicious LNK file, which is the first observed instance of T1221 being used to deliver NetSupport RAT.


![](https://lh7-us.googleusercontent.com/hIwW-0d1UfxLNMk0_K0rCOr7U2gwURpfy9Lnx9UiRdQMneOB2msCQ0ANSu0r4zIMxoQmtJ3GxqLpliiVthEmWvTmfReg1k_0p_BXLWtNn7u5Bg6tz9PkUuV6wU2CGUh8B7txslAlKB0D2bjejsQ7fQ)


**Dissecting the Malware: From Lure to Control**
------------------------------------------------


Forensic analysis of a LNK file revealed a PowerShell dropper fetching a heavily obfuscated script from a URL, which retrieved another URL, downloaded a ZIP file, and unpacked it to execute the NetSupport RAT.


![](https://lh7-us.googleusercontent.com/5zEsLw856Sai5q3GHjr3hvfJG_64FPLnXhR0SiIE4vpYeCMAHe9q_pD9S0iFBPfDKILTivM9YZcNfd0eMCf4kIFCGm9bx0mZ0oSzV7Viinxh4FUrWF5XoSA05b4OxR-TqtPCQp1eKuMeMDCVLotbTQ)*Examining the link’s code*


The script also created a persistence mechanism by adding a registry key for autostart, investigated bypassed user-agent gating on the secondary URL and confirmed the script’s functionality.


![](https://lh7-us.googleusercontent.com/42FmmwoX8J0dsw6BDbuOlKLylRj-Xty_uwAxpD_JYo40aIBebgO2YWzC_-EbCr4cNv3E4B94EsoV-8FqleMulOpOXYZPtiEpvQzIo8wsPfiIyHFPDaywu_cBm0nfHKgIZnAoZbF6nCs8Q9rm8gyz5w)*Obfuscated PowerShell extracted from the URL*


The downloaded ZIP contained another PowerShell script that ultimately dropped and executed NetSupport RAT (Client32.exe), revealing its C2 server infrastructure.



![](https://lh7-us.googleusercontent.com/pF7jlgEpDSkqgB2zLTZk3-pUUSIuitWQIoupRPkx1Fx_du9d6vQmXKGrlXHN9Eb7LqRxbbXjmQ8fvclS1UMOXt8gTIyjOk9eOMxT-IMuxbht04ojTxkKr1TG8qOWl1qld8y6R6E6iryBp6EeGhoS3A)*the NetSupport RAT’s C2 servers*


According to **[Perception Point,](https://perception-point.io/blog/operation-phantomblu-new-and-evasive-method-delivers-netsupport-rat/)** PhantomBlu delivers NetSupport RAT using a novel method. Encrypted .docs files act as carriers, exploiting OLE template injection (T1221) to deliver the payload. 



![](https://lh7-us.googleusercontent.com/mmXlJpZVVXor09JEZFJ3GfmiF6fQU38rFUH4XtXi4D_ZAq6DiLpBlFKP6y6JvWKULv5acPyeGQbxQ3P9iG0okF40FpixBvEk98ao3YYgmCi2JJgDlriZZXyMffCSk4qVvWgSs_Fc4QtHeyveRm_t_Q)*PhantomBlu “Attack Tree” unpacked by Perception Point’s advanced detection engines*


It bypasses traditional security by hiding the malicious code within the template, requiring user interaction for execution, which marks a shift from past NetSupport RAT campaigns, which relied on basic phishing tactics and executable files.


The URLs include parameters, some reference “.txt” files and also email message details, mentioning “sendinblue.com” and “sender-sib.com” in the message ID and return path, respectively.


The provided information appears to be Indicators of Compromise (IOCs) related to a potential malware campaign, including hashes for various file types (DOCX, ZIP, LNK, and EXE) listed alongside suspicious URLs, hostnames, and IP addresses.


Document

Incorporate ANY.RUN into your company for fast and simple malware analysis
--------------------------------------------------------------------------


Are you from SOC, Threat Research, or DFIR departments? If so, you can join an online community of 400,000 independent security researchers:


* Real-time Detection
* Interactive Malware Analysis
* Easy to Learn by New Security Team members
* Get detailed reports with maximum data
* Set Up Virtual Machine in Linux & all Windows OS Versions
* Interact with Malware Safely


Get a personalized demo of ANY.RUN for your security team:


  [Schedule a call today using your business email](https://calendly.com/d/5hd-35d-99g/free-trial-for-your-soc-dfir-any-run?month=2024-03?utm_source=csnandgbhackers&utm_medium=article&utm_campaign=csnandgbhackers&utm_content=register&utm_term=190324) 


**IOCs**
### Hashes (SHA-256)


Email – 16e6dfd67d5049ffedb8c55bee6ad80fc0283757bc60d4f12c56675b1da5bf61


Docx – 1abf56bc5fbf84805ed0fbf28e7f986c7bb2833972793252f3e358b13b638bb1


Injected ZIP – 95898c9abce738ca53e44290f4d4aa4e8486398de3163e3482f510633d50ee6c


LNK file – d07323226c7be1a38ffd8716bc7d77bdb226b81fd6ccd493c55b2711014c0188


Final ZIP – 94499196a62341b4f1cd10f3e1ba6003d0c4db66c1eb0d1b7e66b7eb4f2b67b6


Client32.exe – 89f0c8f170fe9ea28b1056517160e92e2d7d4e8aa81f4ed696932230413a6ce1


### URLs and Hostnames


yourownmart[.]com/solar[.]txt


firstieragency[.]com/depbrndksokkkdkxoqnazneifidmyyjdpji[.]txt


yourownmart[.]com


firstieragency[.]com


parabmasale[.]com


tapouttv28[.]com


### IP Addresses


192[.]236[.]192[.]48


173[.]252[.]167[.]50


199[.]188[.]205[.]15


46[.]105[.]141[.]54





## Tags:
***ipv4-adresses***: 199.188.205.15 173.252.167.50 192.236.192.48 46.105.141.54
***urls***: http://46.105.141.54 http://firstieragency.com/depbrndksokkkdkxoqnazneifidmyyjdpji.txt http://yourownmart.com/solar.txt http://tapouttv28.com http://173.252.167.50 http://199.188.205.15 http://192.236.192.48 http://firstieragency.com http://yourownmart.com http://parabmasale.com
***SHA256-hash***: 95898c9abce738ca53e44290f4d4aa4e8486398de3163e3482f510633d50ee6c 89f0c8f170fe9ea28b1056517160e92e2d7d4e8aa81f4ed696932230413a6ce1 94499196a62341b4f1cd10f3e1ba6003d0c4db66c1eb0d1b7e66b7eb4f2b67b6 16e6dfd67d5049ffedb8c55bee6ad80fc0283757bc60d4f12c56675b1da5bf61 1abf56bc5fbf84805ed0fbf28e7f986c7bb2833972793252f3e358b13b638bb1 d07323226c7be1a38ffd8716bc7d77bdb226b81fd6ccd493c55b2711014c0188

### Autogenerated tags:
[[netsupport]] [[malware]] [[docx]] [[lnk]] [[url]] [[phantomblu]] [[t1221]] [[powershell]] [[urls]]
