# P2P Worm Attacking 307,000 Redis Instances on Linux and Windows Systems
## P2PInfect is a new P2P worm that is actively targeting the Redis servers on Linux and Windows OS, making it highly scalable and powerful compared to others.
## Information:

+ Link: https://cybersecuritynews.com/?p=29549
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 20 July 2023, 16:41
+ Date scraped: 20 July 2023, 17:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh9E9DRUZAoaT_NudqasG_63Q-bHH6Ohai3s0HOXcK9UHm4HC-lgMs3DIdLkg3cFaMuver7Q6yppEGbVp-LyR0AAEDznYoaD0WcXtEHL9YZ6WiLQgHwArLj6pLxqlrxy7v4juJG2UtehBtC1xXXuM5AbBUvmnFmZILry97af85R41I1pLDL0df7KGBoipuu/s16000/307,000%20Redis%20Instances%20Open%20to%20Attac.webp)


P2PInfect is a new P2P worm that is actively targeting the Redis servers on Linux and Windows OS, making it highly scalable and powerful compared to others.


While not all Redis instances are [vulnerable](https://cybersecuritynews.com/fortinet-firewalls-bug/), they should still anticipate compromise attempts from this new P2P worm variant.





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



Palo Alto Networks Unit 42 researchers discovered this new cross-platform, Rust-based P2P worm that is actively targeting Redis, especially the cloud containers.


## **Flaw Exploited**


While the P2PInfect P2P worm targets the Redis instances using [CVE-2022-0543](https://cybersecuritynews.com/hackers-drops-bakcdoor-malware-redigo-redis-server/) vulnerability. Unit 42 found more than 307,000 Redis systems in public communication, with 934 possibly vulnerable to this P2P worm.




> [Hackers Exploit Bug in Redis Servers To Drop New Backdoor Malware “Redigo”](https://cybersecuritynews.com/hackers-drops-bakcdoor-malware-redigo-redis-server/)





CVE-2022-0543, a Lua sandbox escape vulnerability disclosed in 2022, has a Critical CVSS score of 10.0. Its full scope is unknown, but P2PInfect exploits Redis on Linux and Windows, increasing its strength.


P2PInfect uses CVE-2022-0543 for entry and sets up P2P communication to a larger network. It fetches more malicious binaries (scripts, scanning tools), joining the P2P network to infect future Redis servers.


Unit 42 suspects P2PInfect is an initial stage of a potent attack with a robust P2P [C2 network](https://cybersecuritynews.com/command-and-controlc2-server/), as the toolkit mentions “miner,” but no cryptomining evidence was found.


While besides this, the “Auto-updating” mode of the network enables the pushing of new payloads to enhance malicious operations.


The vulnerability was exploited in past attacks (Muhstik, Redigo), causing DoS and brute-forcing. P2PInfect follows a similar pattern but differs significantly in post-exploit operations.


## **Self-replicating P2P Worm**


On July 11, 2023, Unit 42 found the initial P2PInfect instance via HoneyCloud, their cloud-based honeypot detecting system.


Apart from this, for transmitting binaries that are malicious the P2PInfect utilizes a P2P network and it also named them after the project structure symbol of the author.


![](https://lh6.googleusercontent.com/sU5bTeT-d6emK50c8dT4iIoZYxuMu94uDIbYhFm7U2wCg8PzZbDPP3-9O-ePZoPPRS_QhXz5GPfUC-C4G0GGcqYwqa2PRHVRDlaK6zepJv2m1g0IXk7XQRD_TGTAstx9laMU4IWwWy8MVZ1lsDz1vAw)


Artifacts of the Windows version, names and Redis module (Source – Unit42)


P2PInfect exploits CVE-2022-0543, establishing P2P communication for delivering payloads in cloud containers. It adapts to container environments, covering vulnerable scenarios, unlike worms using cron services for RCE.


## **Technical Analysis**


In Windows, P2PInfect has a Monitor process (in C:\Users\username\AppData\Local\Temp\cmd.exe) that ensures its running functionality on the infected host.


Once initiated, the Monitor (cmd.exe) of P2PInfect downloads new versions from the P2P network, persisting them with random names in the original folder, and drops an encrypted configuration (.conf).


Certain initial payload P2PInfect samples were UPX-packed, whereas the second-stage malware (miner and winminer) were not UPX-packed.


Experts advise monitoring Redis apps in on-premises and the cloud, ensuring no random filenames in /tmp. DevOps should continually supervise instances for legitimate operations and network access.


Moreover, they also urged to keep all the Redis instances updated with the available latest versions, which will help in mitigating this worm.






## Tags:
***CVE's***: CVE-2022-0543

### Autogenerated tags:
[[p2pinfect]] [[p2p]] [[redis]] [[windows]] [[cve-2022-0543]] [[cloud]]
