# Pure Malware Tools Masquerade as Legitimate Software to Bypass Detections
## Recently security analysts at Any.Run discovered that the Pure malware tools are masquerading themselves as legitimate software.
## Information:

+ Link: https://cybersecuritynews.com/?p=54480
+ Source: Cyber Security News
+ Author: Cyber Writes Team
+ Date published: 19 January 2024, 10:07
+ Date scraped: 19 January 2024, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhbThKyCOAphdJYpSTFzf8DL73KCeD_6aJAjOwOUu6OJvyFnUWtMyZ6g7Rhc3_xM3u0qRV8atJsXkJ4zSeVGYm_WG0HGqnJfPfHFN68Dpa5Agf1SSeG0zT-0vAD6bPzk3z0Pfo04Umf_6nBmKsQoUjoalDwxWC1klhJoUdJis92f_Ho4EsJ1yEQHRecN3Vi/s1600/Pure%20Malware%20Tools%20Masquerade%20as%20Legitimate%20Software%20to%20Bypass%20Detections.webp)


Recently, security analysts at ANY.RUN [**discovered**](https://any.run/cybersecurity-blog/pure-malware-family-analysis/#lets-wrap-up-the-analysis-6639/?utm_source=cybersecuritynews&utm_medium=article&utm_campaign=trends2024&utm_content=blog&utm_term=jan) that the Pure malware tools are masquerading as legitimate software to evade detection.


ANY.RUN is a cloud malware sandbox that handles the heavy lifting of malware analysis for SOC and DFIR teams. Every day, 300,000 professionals use ANY.RUN platform to investigate incidents and streamline threat analysis.  If you’re a security researcher or an analyst, you can request 14 days of [**free access to the Any.RUN Enterprise plan**](https://any.run/demo/?utm_source=cybersecuritynews&utm_medium=article&utm_campaign=trends2024&utm_content=demo&utm_term=jan).    


The PureCoder products were initially distributed in March 2021, as per the developer’s old website.


While the current Pure site claims that the software is only for education and testing purposes, the observed trend shows that the code is also used for several illicit purposes.


The Pure updates since March 2023 mentioned the Telegram bot sales.


While the bots automate and anonymize malware purchases, The author expands the service, explores new channels, and scales up through bot usage.


Recently, in [**Q4**](https://any.run/cybersecurity-blog/malware-trends-q4-2023/?utm_source=cybersecuritynews&utm_medium=article&utm_campaign=trends2024&utm_content=blog&utm_term=jan), ANY.RUN discovered the use of T1036.005 in over 98,500 malicious samples. You can see what the top [**malware families**](https://any.run/cybersecurity-blog/malware-trends-q4-2023/?utm_source=cybersecuritynews&utm_medium=article&utm_campaign=trends2024&utm_content=blog&utm_term=jan), Types, Tactics, Techniques, and Procedures (TTPs) used by attackers in 2023 can tell us about what to expect in 2024.


Document

Analyse Shopisticated Malware with ANY.RUN
[Try ANY.RUN Yourself with a 14-day Free Trial](#)
--------------------------------------------------


More than 300,000 analysts use ANY.RUN is a malware analysis sandbox worldwide. Join the community to conduct in-depth investigations into the top threats and collect detailed reports on their behavior..


  [Request a Demo For Free](https://any.run/demo/?utm_source=cybersecuritynews&utm_medium=article&utm_campaign=trends2024&utm_content=demo&utm_term=jan) 


**Pure Malware Tools**
----------------------


Here below, we have mentioned all the Pure malware tools masquerading as legitimate software to bypass detections:


* **PureCrypter:** It’s a crypter that deploys data obfuscation and encryption algorithms. This hides malware from AV tools and makes the analysis difficult for the researchers.



![PureCrypter behavior flow](https://lh7-us.googleusercontent.com/v287Decp5GGREcOVEDeWf4mbudjljW82CjlmHN0OAfWGTnxWb62X4V5h56pRWYd1sl8qGGW3opcVtHLcgJUJMm5Rcvan5QRDb0cFTJegwkWrulvuar9mt9r7ELgFcgl-vsXGXlxTWLzOOwyq-oSlmDM)PureCrypter behavior flow (Source – Any.Run)


* **PureLogs Loader:** It is malware that is frequently distributed via a loader with NET Reactor protection and uses a tiny library to steal data. A C2 server is where the loader obtains the library.



![PureLogs Loader](https://lh7-us.googleusercontent.com/XOKIbPhbOMykgEfmKFrdzmIVE57UR7NlVS5mjnleCY6n0EhZXlRBTwWAn_TcfTjf3lwzSV_rWmfZcp0khNrIDV6qq3g_ZMZRP9H5rHHqwxlF7VRmoLcQJy9BaDDj9fcPDVVoV8CGE7aVkWqaPxE0_5A)PureLogs Loader (Source – Any.Run)


* **PureLogs:** It’s a versatile stealer similar to the PureCrypter, which employs obfuscation techniques for analysis complexity. Occasionally, it’s mistaken for ZGRat, a commonality in the Pure family samples.


* Experts found unique samples with signatures similar to PureCrypter and PureLogs. These signatures included the same traffic patterns, 3DES encryption (key encrypted with MD5Crypto), shared code behavior (proto-buf module), and a structure resembling PureCrypter and PureLogs.



![PureMiner ](https://lh7-us.googleusercontent.com/hyAgdl8xlU094JXJKzBixmUW2VXTKqJvmOwNYKItfZ0IDJXVvEiplQJWMruMUYIgVFjIof6n3FiB2wg_jTaUvx1wo2NFl3lOQBB3NcqQk1r3Vx6iNa2YszFgm8yyiiD7-jRE1IkwnmITmjdiuN3-ahI)PureMiner (Source – Any.Run)


Though the tools claimed for education, they dock silent miners, botnets, and hidden HVNC. Even high demand is evident on Pure’s site with monthly purchases.


Users make crypto payments in Bitcoin, facilitated by various wallets, possibly part of a Bitcoin mixer. Wallet activity detected from May 19-26, 2023, already totals 250 transactions for a huge amount of $32,000 on Blockchain.com.


Fake educational software is a potent malicious tool distributed via a Telegram bot. Since Pure gets a few orders monthly, its popularity might surge rapidly soon.





## Tags:
***MITRE IDs***: T1036.005
***email-adresses***: securityanalysts@any.run

### Autogenerated tags:
[[any.run]] [[malware]] [[purecrypter]] [[purelogs]]
