# Researchers Uncover SnakeKeylogger Attacks, Techniques & Tactics
## Threat actors use keyloggers to capture sensitive information, as covert techniques and tactics allow them to steal valuable information.
## Information:

+ Link: https://cybersecuritynews.com/?p=59573
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 14 March 2024, 11:29
+ Date scraped: 14 March 2024, 12:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEimTZM5__4ltrg7Bj0zZqFXVCbzEScnqBMP2IHHQQGfi8ADPGkLm56A2DnZsNonmFDY5c3geJvJ1QWXEQeJOl0wBPkU_SjRLguOO_fgqKEknFo2r0X2PHAmf6V1APXOlq81QF7XXM2JTErv3RfzTHSzYPyvquxssqfX5FcO0oeVmBQYQ6UUuNRX78GPAjPQ/s1600/Researchers%20Uncover%20SnakeKeylogger%20Attacks,%20Techniques%20&%20Tactics.webp)


Threat actors use keyloggers to capture [sensitive information](https://cybersecuritynews.com/data-lineage-and-data-privacy-safeguarding-sensitive-information/) by recording keystrokes on infected devices, as covert techniques and tactics allow them to steal valuable information without the victim’s knowledge.


Governments or threat actors can deploy Keyloggers as espionage tools to gather intelligence or monitor their targets.


Recently, the cybersecurity researchers at [Splunk](https://cybersecuritynews.com/splunk-soar-log-injection/) Threat Research Team unveiled SnakeKeylogger attacks, techniques, and tactics.


**SnakeKeylogger Attack Techniques**
------------------------------------


Snake Keylogger steals credentials and logs keystrokes. It was developed in .NET and captures screenshots, clipboard data, browser credentials, and system information.


It uses FTP, email, and Telegram for data exfiltration. Diverse C2 infrastructure enhances the operational effectiveness against traditional defenses.


[Snake Keylogger](https://cybersecuritynews.com/snake-keylogger-malware/) spreads through phishing and obfuscates code with cryptors/loaders to evade sandboxes. This loader parses .RSRC entry name computes the SHA256 hash of the key string for AES-ECB decryption of encrypted .RSRC payload. 


While its complex tactics challenge the analysis. Decrypted data has another loader with two AES-ECB encrypted .RSRC entries using different keys.


Decrypting these reveals a RUNPE injector and the actual Snake Keylogger payload.



![Snake Keylogger Loader Flow (Source - Splunk)](https://lh7-us.googleusercontent.com/uAeQn2IUDB61Yzp_HEUkDyrXqphYTP0kiqbALXZZoM4iPsFDm8KVV6fWs27s2xb33xM4mfmvIf5LJCNogIb6L4rphANov_oZuFxYPqdjthtgKGch3YQDgFEyVwYsMBnjjv2wbLHUefF1omIYIwdbv_Q)Snake Keylogger Loader Flow (Source – Splunk)


The Snake Keylogger gathers system information, such as OS version, RAM, and HDD details, and formats data before sending it to the C2 server.


It queries reallygeoip[.]org to locate the host machine geographically, extracting city, country, latitude, longitude, region, and timezone.


This data boosts situational awareness for targeted attacks.


It uses registry run keys for persistence and includes a ‘Kill Switch’ that terminates if the build date is earlier than the current date.


This tactic is an anti-sandbox method that helps to evade security detection.


[Snake Keylogger](https://cybersecuritynews.com/snake-keylogger-malware/) often uses Crypter or loaders, requiring reverse engineering to bypass its date check, adding complexity for 


It prompts user choices with choice.exe, using “/T” for the delay before cleanup. It terminates security tools’ processes to evade detection and maintains a list of sandbox IPs.


Snake Keylogger checks for specific IP addresses before executing the payload. It exfiltrates the system, network, and browser credentials to C2 if clear.


This environment detection evades the security checks. It targets major browsers and email/file clients for credentials and credit cards.


Harvests Outlook profiles from the registry for usernames/passwords. Steals clipboard data like passwords, cards, and text for [data theft.](https://cybersecuritynews.com/russian-hacker-sentenced-for-data-theft-of-linkedin-dropbox-users/)


This keylogger periodically captures screenshots such as “Screenshot.jpg” in the user’s Documents folder for visual data theft.


Its core capability is covert keystroke logging to harvest credentials and type sensitive information, reads [Splunk report](https://www.splunk.com/en_us/blog/security/under-the-hood-of-snakekeylogger-analyzing-its-loader-and-its-tactics-techniques-and-procedures.html).


It initiates by contacting the C2 server, verifying activity if the response contains “#$0#”. Like Agent Tesla, it uses FTP, email, and Telegram C2 channels specified in the config to exfiltrate data.


**IOCs**
--------


![](https://lh7-us.googleusercontent.com/rW0pjEJU2k7hBcU6IENRCzuFbv_EG1JF3O066XSD__WEZwonsz0NQvMJT5TtftKHUk6rj2dtXWv9psZY50Nlvuh7adsQJFglb8a_8b29BLNIdp9re_ra88V69P56bB916YeyW5BS9RxLjaB-oVwCaZM)IOCs (Source – Splunk)


With [Perimeter81 malware protection](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428), you can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits. All are incredibly harmful and can wreak havoc on your network.





## Tags:
***urls***: http://reallygeoip.org

### Autogenerated tags:
[[keylogger]] [[c2]] [[splunk]] [[rsrc]]
