# Researchers Uncovered C2 Infrastructure Used by Baking Malware Ursnif
## Bridewell's Cyber Threat Intelligence (CTI) team has discovered previously undetected Ursnif infrastructure used in 2023 campaigns, suggesting that the malware operators have not yet utilized this highly elusive infrastructure.
## Information:

+ Link: https://cybersecuritynews.com/?p=17912
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 12 May 2023, 06:01
+ Date scraped: 12 May 2023, 07:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEivhmCpAD56UKFhw8t4WL9aIjv8FuKOmAHEMYxobzpIyTesvz5EfFTb_MRLXgiecMY7hyqMs9lsNKv8aV4RK6M6dvPwqN-4H6Fg07kenYunQ35NtXHAIw_lPZU-R4y_sCEpDE8Zx9G7Ckgf2i12jtwA62omiWkymC4lpcgGVjRIONNNXWeci9RseSL7uw/s16000/Researchers%20Uncovered%20C2%20Infrastructure%20Used%20by%20Baking%20Malware%20Ursnif.webp)


Bridewell’s Cyber Threat Intelligence (CTI) team has discovered previously undetected Ursnif infrastructure used in 2023 campaigns, suggesting that the malware operators have not yet utilized this highly elusive infrastructure.





## **Ursnif** **Banking Malware**


Ursnif, originally a [banking trojan](https://cybersecuritynews.com/xenomorph-malware/) also known as Gozi, has evolved into a ransomware and data exfiltration facilitator, with its latest variant, LDR4, being identified by Mandiant in June 2022, joining the ranks of malware like:-


* Emotet
* Trickbot


In January 2023, a DFIR report highlighted a campaign involving the Urnsnif backdoor, followed by Cobalt Strike deployment and subsequent data exfiltration, with the added use of legitimate RMM tools Atera and Splashtop by the threat actor.


A phishing email was delivered to the Ursnif backdoor via a malicious ISO file. In March 2023, eSentire documented a Google Ads campaign using BatLoader to drop various second-stage payloads like Redline and Ursnif disguised as legitimate tools, followed by [Cobalt Strike](https://cybersecuritynews.com/malicious-cobalt-strike-servers/) deployment for further intrusion activity in enterprise environments.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhYTdWaAHI4R8GVnbgpzMXrfzxErI_C7Pp67seaIFz1vTXLPXzizDpWWnaiT9Ol-sYJqKutNjLnR14N-bVTw6rYqFXBukMapFSW1Jj0nZHiL2szN4RHd6njc47UJhqDQhf4Xe233xmD2Eu-lWGKg2S8pJeftNqW8X0QdyU2exxX5fEoznBWez6zRSQuxw/s16000/Free%20automated%20API%20security%20testing.webp
)](https://bit.ly/3TgO25c)
## **Ursnif** **Infrastructure Uncovered**


In the pursuit of new Ursnif IP addresses, [researchers examined recently](https://www.bridewell.com/insights/news/detail/hunting-for-ursnif?utm_source=twitter&utm_medium=organicsocial&utm_term=cti&utm_content=cti-ursnif&utm_campaign=threatintelligence) published ones. They discovered distinctive characteristics within the associated SSL certificates, leading to the identification of potential hunting opportunities for these addresses in the wild.


By leveraging identifiable features and additional criteria, experts successfully pinpointed 72 additional servers of interest that aligned with their newly developed Ursnif hunting rule, allowing them to determine the geographical hosting locations and hosting providers associated with these servers.


![](https://cybersecuritynews.com/wp-content/uploads/2023/05/image-134-1024x632.png)


Here in the below image, all the Hosting Providers are mentioned:-


![](https://cybersecuritynews.com/wp-content/uploads/2023/05/image-132-1024x688.png)


Security vendors have yet to report or detect six of the 23 Ursnif C2 servers communicating with Ursnif files, despite researchers’ analysis identifying their existence.


Here below, we have mentioned those 6 detected C2 servers:-


* 95[.]46[.]8[.]157
* 193[.]164[.]149[.]143
* 79[.]133[.]124[.]62
* 45[.]11[.]181[.]117
* 92[.]38[.]169[.]142
* 31[.]214[.]157[.]31


After analysis, it was found that approximately 30% of the infrastructure revealed communication with files detected as Ursnif, with an average detection rate of only 4.78 in Virus Total among the identified Ursnif C2s; moreover, around 71.3% of the IP addresses showed no communication with any files.


![](https://cybersecuritynews.com/wp-content/uploads/2023/05/image-133-1024x626.png)


Ursnif, a backdoor employed by threat actors, poses a significant risk to organizations as it is a gateway to [ransomware](https://cybersecuritynews.com/are-educational-institutions-easy-victims-of-ransomware-groups/) and data exfiltration. 


At the same time, it is typically distributed through malicious documents like macro-enabled office files or malicious installers obtained through [Google Ad campaigns](https://cybersecuritynews.com/malware-delivered-via-google-ads/).


Ursnif has evolved from a banking trojan to aiding ransomware attacks and can be tracked by CTI teams through its [C2 infrastructure](https://cybersecuritynews.com/command-and-controlc2-server/), enabling defenders to respond quickly and prevent ransomware intrusions.


## **Mitigations**


Here below, we have mentioned all the mitigations recommended by the cybersecurity researchers:-


* Ensure that your employees know the risks of opening attachments sent from unknown or suspicious sources.
* Limit unauthorized applications from untrusted sources with an application control policy.
* To detect and prevent Ursnif infections, ensure your organization uses the latest version of antivirus software and firewalls.
* Implement reference sets for detecting IoCs listed in the appendix.
* To ensure your organization is secure, it’s essential to implement a Managed Detection and Response (MDR) service that proactively monitors, detects, and responds to threats that target it.
* Assess and remediate vulnerabilities within your organization’s network and systems with a Vulnerability Management service.
* Enhance your organization’s cybersecurity posture with a Cyber Threat Intelligence (CTI) service.


#### **Struggling to Apply The Security Patch in Your System? –****[Try All-in-One Patch Manager Plus](https://www.manageengine.com/patch-management/?utm_source=GBHackers&utm_medium=Website-CPM&utm_campaign=PMP-Link)**






## Tags:
***ipv4-adresses***: 95.46.8.157 31.214.157.31 193.164.149.143 92.38.169.142 79.133.124.62 45.11.181.117
***urls***: http://92.38.169.142 http://79.133.124.62 http://45.11.181.117 http://193.164.149.143 http://95.46.8.157 http://31.214.157.31

### Autogenerated tags:
[[ursnif]] [[ransomware]] [[cti]] [[malware]] [[c2]]
