# Rhadamanthys - A Fast-evolving Multi-layer Malware Sold on The Dark Web
## Cybersecurity researchers at Check Point recently discovered the Rhadamanthys, an information stealer that is sold on the Dark Web.
## Information:

+ Link: https://cybersecuritynews.com/?p=52902
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 15 December 2023, 14:55
+ Date scraped: 18 December 2023, 12:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhD3URcTx3vjvgxNk6rm9rcaEXADP-oTLC8pDiC8lq5OCcBGaQHJlPDzWtJMW1Gn_7Q0V_yiUY8IjuK0yUGTxEJVwaEUrOevAzIZamw5rEnigYVOXM0mP13bWyvfDaDcpubh0dRJq2ImIqPS1ktObQf4xTs76hr-YzJ8YCR12Jgx3wtD1Z-doc3BgC2pxOG/s1600/Rhadamanthys%20-%20A%20Fast-evolving%20Multi-layer%20Malware%20Sold%20on%20The%20Dark%20Web.webp)


Threat actors make use of fast-evolving multi-layer malware for their complexity and sophistication, as they offer the ability to rapidly adapt and change their code.


To make analysis and countermeasures more difficult, this sophisticated type of malware often employs the following key things:-


* Multiple layers of obfuscation
* Multiple layers encryption techniques


Cybersecurity researchers at Check Point [recently discovered](https://research.checkpoint.com/2023/rhadamanthys-v0-5-0-a-deep-dive-into-the-stealers-components/) the Rhadamanthys, an information stealer sold on the Dark Web’s black markets and frequently updated.


The developers of this fast-evolving multi-layer malware recently released a new major version, which is “0.5.0.”


**Rhadamanthys** Multi-layer Malware
------------------------------------


Rhadamanthys gained attention in a September 2022 black market ad, and it’s known for its rich features and polished design.


The seller, “King Crete,” displayed professionalism by sparking speculation about potential other authored malware.


Besides this, the development and advertising for this stealer are ongoing, with the latest version being 0.5.0 on a Tor-based site. This new version comes with a multitude of changes and interesting features.



![Telegram status of the author, announcing version 0.5.0](https://lh7-us.googleusercontent.com/U6EkxXAaP2z9RxlNDzO1Qkz8Wa26JdMcqmctV_h0QUSmD8Jq6KPp7B6nhPZACTYuil5nNVmxifTQiacF_fmhnnSnJ-lGf6fNa4HVxfYnHzxxAuIlLh7ym5g0jy3SEjjQmUE2qu0P9YIbnsBqDCDOC-Y)Telegram status of the author, announcing version 0.5.0 (Source – Check Point)


Though it’s largely rewritten, the 32-bit Windows PE initial loader for Rhadamanthys retains artifacts from the previous version (0.4.9).


An added feature checks the executable’s name, exiting if it suggests [sandbox analysis](https://cybersecuritynews.com/malware-sandbox-benifits/) (hexadecimal characters of lengths 16, 32, 40, or 64). 


Configuration and additional modules are embedded in the initial executable, unpacked during execution, and passed to subsequent stages.


A new section in initial triage: .textbss, which was initially empty (raw size = 0), was filled at runtime with shellcode, similar to previous versions, but now unpacks and loads the first module regardless of location.



![Overview of the relationship between the components used at this stage ](https://lh7-us.googleusercontent.com/R8Zar9a4ExsPMM8qr9pKrDGa9ym4sL1dVuNpnoew-Y_tNMK7uLLUouvTB3BE1fA7J8LKrDFp260PDfOGzp7ZEZmjMCctwmnk1B1Nz90i88h9rnHL6N9Pi8qSYae0Yilq5QO5Jk--B4MnwfUiO23_Fes)Overview of the relationship between the components used at this stage (Source – Check Point)


The XS1-format component was exposed in the second loading stage, and the change was detected in the initial triage during the string dump attempt. The Flare FLOSS unveiled module hints through dumped strings, which the author now obfuscates.


Besides this, the Post-PE conversion and IDA analysis start function’s outline reveals a distinct and refined design.



![A high-level overview of the relationships between the components at this stage ](https://lh7-us.googleusercontent.com/mFjpXyJwWuLcus0HJplLOvoDsv5WA3YTT0_lubfc5II451vIrSH6AR6YOPs-IVC6Gw7yxmxirh_jtzXIYZLt8fdj80CDYyf9154EExzT9plwHrqkgqD83GK4hJdIR8o49puYDjcQUNpgNXq1Sdw7CCc)A high-level overview of the relationships between the components at this stage (Source – Check Point)


The new release introduces TLS for temporary buffers, especially in decoding obfuscated strings. TLS is allocated in init\_xs\_module, TlsAlloc value is stored globally, and a custom structure is attached to TLS for buffer allocation.


The saved buffer was retrieved for multiple uses in deobfuscating data like strings. The string decryption function was passed as a callback, and the buffer was cleared after use.


Atypical use of TLS in this functionality, unclear design rationale. String deobfuscation algorithms vary at different malware stages.


Rhadamanthys modules employ raw syscalls for native API calls, evading hooking and obfuscating API names. Indirect syscalls bypass NTDLL hooks, and the author addresses the issue using a variant of the technique.


Both 32 and 64-bit modules use raw syscalls; WoW64 process syscall execution is handled with Heaven’s Gate technique. Stage 2 modules prepare and obfuscate stealers in package no. 2 from C2.


Netclient connects to C2, downloads payload in WAV format, verifies with hash, and decrypts the XS1 module using the proto module.


XS1 then loads subsequent stages, and finally, coredll.bin (XS2 format) coordinates tasks, reports to [C2](https://cybersecuritynews.com/command-and-controlc2-server/), and initializes built-in stealers. 


Besides this, the author constantly adds features, transforming this stealer into a multipurpose bot. This indicates that Rhadamanthys aims to be a major player in the evolving malware market.





## Tags:


### Autogenerated tags:
[[malware]] [[tls]] [[multi-layer]] [[c2]]
