# RustBucket - A macOS Malware Attack Mac Users Via PDF Viewer App
## The new malware family has been tracked as "RustBucket," which downloads and executes several types of payloads.
## Information:

+ Link: https://cybersecuritynews.com/?p=17004
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 26 April 2023, 12:06
+ Date scraped: 26 April 2023, 13:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjFdHEiQKwiKosE3H2Ej8DDpRC8eEL529KqTvveDcuBQfiO0huP1Y33B3rQC5CRlfyl2Xt903ZiYaMCIJXzI8ncX8uezysCAY6QtyTqabr02wbDpa0R5Uco_i5wafB9kW6JOwz7ahZprm3tPro-puvq9Ik95TDxsSHued-DUK2eKzfpChmmGvxEn4rlKQ/s16000/RustBucket%20-%20A%20macOS%20malware%20Attack%20Mac%20Users%20Via%20PDF%20Viewer%20App.webp)


Cybersecurity analysts at Jamf Threat Labs have recently uncovered a macOS malware family. The new malware family has been tracked as “RustBucket,” which downloads and executes several types of payloads by communicating with the [command and control (C2)](https://cybersecuritynews.com/command-and-controlc2-server/) servers.





BlueNoroff, a North Korean threat group with financial motives, is believed to have developed this new macOS malware.


BlueNoroff is a faction of the notorious [Lazarus](https://cybersecuritynews.com/?s=Lazarus) cluster, which is also known by several aliases, and here below, we have mentioned them:-


* APT28
* Nickel Gladstone
* Sapphire Sleet
* Stardust Chollima
* TA444


## **Payloads** Used


This group has been linked with the Lazarus cluster due to several similarities; these similarities include:-


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhYTdWaAHI4R8GVnbgpzMXrfzxErI_C7Pp67seaIFz1vTXLPXzizDpWWnaiT9Ol-sYJqKutNjLnR14N-bVTw6rYqFXBukMapFSW1Jj0nZHiL2szN4RHd6njc47UJhqDQhf4Xe233xmD2Eu-lWGKg2S8pJeftNqW8X0QdyU2exxX5fEoznBWez6zRSQuxw/s16000/Free%20automated%20API%20security%20testing.webp
)](https://bit.ly/3TgO25c)
* Malicious tooling
* Workflow
* Social engineering patterns


Unlike other members of the Lazarus Group, BlueNoroff stands out for its advanced cyber theft operations, which focus on infiltrating the SWIFT system and cryptocurrency exchanges.


These activities are monitored under CryptoCore as part of their intrusion set. The FBI accused BlueNoroff of stealing $100 million in cryptocurrency from Harmony Horizon Bridge in June 2022.


BlueNoroff’s attack tactics have recently shifted towards using job-themed lures on fake landing pages to deceive email recipients into giving away their login credentials.


RustBucket disguises itself as an “Internal PDF Viewer” app, requiring the victim to override Gatekeeper protections for the attack to succeed.


![](https://cybersecuritynews.com/wp-content/uploads/2023/04/image-51-1024x652.png)PDF Viewer


The AppleScript file is a malicious app that fetches a second-stage payload from a remote server. This payload, bearing the same name as the initial app, is also ad-hoc signed.


The second-stage payload, coded in Objective-C, presents a simple PDF viewer that triggers the next phase of the attack sequence exclusively upon opening a rigged PDF file via the application.


![](https://cybersecuritynews.com/wp-content/uploads/2023/04/image-52-1024x679.png)Second-stage Payload


The application functions as a PDF viewer, made possible by utilizing Apple’s proficient PDFKit Framework. The application has performed no malicious actions as of yet upon its execution.



![](https://cybersecuritynews.com/wp-content/uploads/2023/04/image-50.png)


[Jamf detected](https://www.jamf.com/blog/bluenoroff-apt-targets-macos-rustbucket-malware/) a nine-page PDF document that claims to provide an “investment strategy.” Once opened, it connects to a C2 server to fetch and execute a third-stage trojan.


It has been observed that the third-stage trojan is coded in Rust as a Mach-O executable, which enables the trojan to carry out system surveillance commands. The means of gaining initial access and the success rate of the attacks remain unclear.


However, this latest discovery suggests that threat actors adjust their toolsets to incorporate cross-platform malware by utilizing Rust and Go-like programming languages.


Here is a visual representation of the complete workflow:-


![](https://cybersecuritynews.com/wp-content/uploads/2023/04/image-53-1024x582.png)Infection Workflow


Lazarus Group’s recent attacks on various industries and countries to collect strategic intelligence and commit cryptocurrency theft coincide with the discovery of this malware.


By targeting macOS, threat actors recognize that those without appropriate tooling to tackle attacks on the Apple ecosystem will remain vulnerable as the operating system’s market share increases.


Lazarus Group, known for targeting [macOS](https://cybersecuritynews.com/apple-zero-days/) and with ties to BlueNoroff, will likely inspire other APT groups to follow the same.


**Recommendations**


Here below, we have mentioned all the recommendations:-


* If you receive an email from someone you do not know, make sure not to open any files.
* The links in these emails are also not recommended to be clicked on.
* Ensure your Apple computer is protected with one of the best Mac antivirus software solutions.
* Avoid downloading any files from untrusted or unreliable sources.






## Tags:


### Autogenerated tags:
[[bluenoroff]] [[pdf]] [[malware]] [[macos]] [[workflow]] [[second-stage]]
