# SOVA Android Banking Malware Adds Ransomware Feature
## The Android banking Trojan SOVA (“Owl” in Russian) was under active development since September 2021. Reports say multiple versions of SOVA were found in March 2022 and some of these features were already implemented, which include 2FA interception, cookie stealing, and injections for new targets and countries like multiple Philippine banks.
## Information:

+ Link: https://cybersecuritynews.com/?p=10121
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 16 August 2022, 07:24
+ Date scraped: 16 August 2022, 08:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhjDG_zSishEyC25_WAQJp7v5GZNcIoQZQMgrwebByIrL5j47z6hG5axKfzzwyG5OSIY-aJGRletiTgT7lMvYLBN4Oni1uHjYd19MnzckTyj7tuFgFEveHUJcwPUizLqEAvc21ZDy75_ccZj36EDIk0Lb20w8TYPRo2v8x9_gSvN6YnrHZQRKNeAOyLKA/s16000/SOVA%20Android%20Banking%20Malware%20.png)

The Android banking Trojan SOVA (“Owl” in Russian) was under active development since September 2021. Reports say multiple versions of SOVA were found in March 2022 and some of these features were already implemented, which include 2FA interception, cookie stealing, and injections for new targets and countries like multiple Philippine banks.

At present, SOVA malware is back with updated capabilities and a new version in development that contains a [ransomware](https://cybersecuritynews.com/?s=ransomware) module.

*“We discovered a new version of SOVA (v4) which presents new capabilities and seems to be targeting more than 200 mobile applications, including banking apps and crypto exchanges/wallets”, Cleafy*

Researchers at Cleafy [mention](https://www.cleafy.com/cleafy-labs/sova-malware-is-back-and-is-evolving-rapidly) that Spain appears to be the country most targeted by malware, followed by the Philippines and the US.

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://bit.ly/3xmY62n)### **What is New in SOVA (v4)?**

The SOVA v4 malware is hidden within fake Android applications that show up with the logo of popular apps, like Chrome, Amazon, NFT platform, or others.

![](https://assets.website-files.com/60201cc2b6249b0358f70f8a/62f3aa157a81191e8bf7ba8d_3.png)Main icons used by SOVA v4 (Cleafy)

Further, the new version is updated with new codes which are related to the [VNC capability](https://cybersecuritynews.com/android-malware-escobar/). The threat actors can take screenshots of the infected devices, to retrieve more information from the victims. Moreover, the malware can record and obtain any sensitive information. It allows an attacker to look for ways to move around to other systems or applications that might be more beneficial.

![](https://assets.website-files.com/60201cc2b6249b0358f70f8a/62f3aa31149a0911b664a8e4_5.png)Casting/Recording feature of SOVA v4 (Cleafy)

In SOVA v4, the cookie stealer mechanism was refactored and improved. Here, threat actors specify a complete list of Google services that they are interested to steal (e.g. Gmail, GPay, and Google Password Manager), and a list of other applications. Also for each of the stolen cookies, SOVA will also collect additional information such as “is httpOnly”, its expiration date, etc.

The next new feature in SOVA v4 is the refactoring of its “protections” module intended to protect itself from different victim’s actions.

![https://assets.website-files.com/60201cc2b6249b0358f70f8a/62f3aafb56dac93a716fac43_7.png](https://assets.website-files.com/60201cc2b6249b0358f70f8a/62f3aafb56dac93a716fac43_7.png)“Protections” code comparison between SOVA v3 and v4 (Cleafy)

Researchers say SOVA uses the .apk just to unpack a .dex file which contains the real malicious functionalities of the malware. In SOVA v4, an entirely new module was dedicated to the Binance exchange and the Trust Wallet (official crypto wallet of Binance).

Particularly, threat actors intend to get information, like the balance of the account, different actions performed by the victim inside the app and, finally, even the seed phrase (a collection of words) used to access the crypto wallet.

### **A Ransomware Module to Encrypt Files**

The threat actors encrypt the files inside the infected devices through an AES algorithm and rename them with the extension “.enc”.

*“The ransomware feature is quite interesting as it’s still not a common one in the Android banking trojans landscape. It strongly leverages on the opportunity arises in recent years, as mobile devices became for most people the central storage for personal and business data.” Cleafy*

![SOVA's new ransomware module](https://assets.website-files.com/60201cc2b6249b0358f70f8a/62f3abe27a8119975df825a6_15.png)SOVA’s new ransomware module (Cleafy)

The most attractive feature added in SOVA v5 is the ransomware module that was announced in the roadmap of September 2021.

“With the discovery of SOVA v4 and SOVA v5, we uncovered new evidence about how TAs is constantly improving their malware and the C2 panel, honoring the published roadmap.

Although the malware is still under development, it’s ready to carry on fraudulent activities at scale”, Concludes Cleafy Team.




## Tags:


### Autogenerated tags:
[[sova]] [[v4]] [[malware]] [[cleafy]] [[ransomware]] [[android]]
