# Windows-based AllaKore Malware Abuses Azure Cloud for C2 Infrastructure
## The malware steals banking credentials and communicates with its C2 server using Azure cloud infrastructure, been active since March 2024.
## Information:

+ Link: https://cybersecuritynews.com/?p=66229
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 31 May 2024, 12:44
+ Date scraped: 31 May 2024, 13:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiWYFhouFWwS7Q__zDBAfzUY9_4xYVG_jpzsTT2hUKPBN6xynNiYKqg7V-49IfOCmfZdRz7IoE-HgYBSOBLp07oNSo2BXhm1_fi9zPf-pbdh9Vtt_GuXrwpdjf7wg6sTyR4N-IK7TdaRmnpzw5R_g2V4-j6dqVVrG5zgccYRDMueoVoY2czdM_OagQkhhk/s1600/allakore%20RAT%20(1)%20(1).webp)


A new variant of AllaKore RAT, named AllaSenha, has been discovered targeting Brazilian bank accounts, which leverages a multi-stage infection chain involving phishing emails, malicious LNK disguised as PDF files, [Python](https://cybersecuritynews.com/python-package-sliver-c2-png/) scripts, and a Delphi-developed loader. 


The malware steals banking credentials and communicates with its C2 server using Azure cloud infrastructure, which is believed to have been active since March 2024.


![Overview of AllaSenha’s deployment steps, from infection to delivery](https://lh7-us.googleusercontent.com/docsz/AD_4nXe_0QKopc_anWNgVTiZ6Qv33-OtzBUaHcHh2SAPQsIf0x2_pmPJP79S7eGgCZnQwadFVrciqno0azv_nQrCfRcl3xOyMTiBlS1g6_qeEzFNgI8ZIHSisdTKGQ12po3auDVrczZijrKv3xYSj75Ratkezm5N?key=GvX-3IVkqjpTX4pM_wfeuQ)

Overview of AllaSenha’s deployment steps, from infection to delivery




Researchers identified a phishing email campaign targeting Brazilian users in April 2024, where the emails impersonate notifications for electronic invoices (NFS-e) and contain links shortened by is.gd.


`**All-in-One Cybersecurity Platform** for MSPs to provide full breach protection with a single tool, [Watch a Full Demo](https://www.cynet.com/?utm_source=cyber_security_news&utm_medium=sponsored_article&utm_campaign=Q2-sponsored-webinars)`


Clicking the links redirects users to a phishing website hosted on one-digital.digital, which tricks users into downloading a malicious file by disguising a WebDAV URL as a link to an invoice PDF.


![ Example of a phishing email starting such infection chain](https://lh7-us.googleusercontent.com/docsz/AD_4nXepa6ROFmc1cEN4Z6bBVX0uwWSofVsXGCvzxh1aQlPXO5kv458YJ2foaECsQxu6rIkwsQQ-jYstqU9PKGslbOMgXRGdyd_8eTnPy4rFcMm9Th7m3U6w2ytquGrJfQ_QZQsMu12kNZVwuPI7lAHyBZzZu6-8?key=GvX-3IVkqjpTX4pM_wfeuQ)

 An example of a phishing email starting such an infection chain




A phishing attack exploits user trust by disguising a malicious LNK file (NotaFiscal.pdf.lnk) as a PDF document, and clicking the LNK opens a fake PDF and executes a command shell script.


The BAT file, nicknamed “BPyCode Launcher,”  then launches a base64-encoded PowerShell script, which retrieves the Python binary from python.org and executes a further base64-encoded Python script (“BPyCode”) using the downloaded Python interpreter.


![ Malicious files from the WebDAV server as presented to the targeted user](https://lh7-us.googleusercontent.com/docsz/AD_4nXcAA9qoHpdUVe5qqiVURAyE21ng0ROiu5R9IzJoAzwwX5pBc-bxhol3uyrYqD070OYSgM8xTjyVO3tk5KPyQaStPB_LqDLyZfSekU6blS4iGAQDm6uFXo27Gm359iQPzAx4tzDOq8XEufS9Z5D1vzo3FTzX?key=GvX-3IVkqjpTX4pM_wfeuQ)

 Malicious files from the WebDAV server as presented to the targeted user




BPyCode is a Python script that downloads a DLL (ExecutorLoader) and executes it in memory, uses a domain generation algorithm (DGA) to generate a list of hostnames and ports, and tries to download a payload from one of the possible combinations.


The downloaded data is a Pickle5-serialized dictionary, which contains an additional Python loader script, a ZIP archive with PythonMemoryModule, and another ZIP archive with ExecutorLoader.


BPyCode contains a killswitch mechanism that stops its execution if the targeted computer’s processor name contains Broadwell.


ExecutorLoader is a Delphi-developed DLL that injects a final payload (like AllaSenha) into a renamed mshta.exe instance, as it first copies mshta.exe to a random directory and then launches the copy.


![Function injecting the UPX-packed payload in mshta.exe](https://lh7-us.googleusercontent.com/docsz/AD_4nXeepkuGL2VFqK9f2kRXASiK3yV7p4YIV64qisD3IXkm19ePPNkQ1k53MgiNr2HXHG6OCSM7SUJgZ8dZwVpsVLV5azhYvy762bKXgZzsf-my8OfIoIh4PDK-TgPU2SItIQnx1NhGUmKvvgvssabqNPT1TM0?key=GvX-3IVkqjpTX4pM_wfeuQ)

Function injecting the UPX-packed payload in mshta.exe




According to [HarfangLab](https://harfanglab.io/en/insidethelab/allasenha-allakore-variant-azure-c2-steal-banking-latin-america/), it then loads a UPX-packed DLL (the final payload) from its resources and allocates memory in the mshta.exe process. 


Finally, it creates a thread in mshta.exe to run the final payload, while previously, ExecutorLoader was also distributed as an executable (Execute\_dll.exe) with the same functionality.


AllaSenha, a new variant of the AllaKore RAT, targets Brazilian banks to steal login credentials, 2FA tokens, and QR codes for leveraging the Azure [cloud](https://cybersecuritynews.com/google-cloud-accidentally-deletes/) for C2 communication and uses a Domain Generation Algorithm (DGA) to generate unique hostnames. 


![AllaSenha QR code-based hijacking window](https://lh7-us.googleusercontent.com/docsz/AD_4nXcEuCV04PKqP7WArqJT3YfKJTe-WfLSOpivaZyI2J5aH66nIhcXPuyDDSic3wOnwq9-XU6a5wHX7AyTH2WyiWLU7SVAakR_XjUDyo1pQvFECFdnJNcVawTnQKk6kAZlaDwkg3HWPIh8tlK5l3h-yCE-3_E?key=GvX-3IVkqjpTX4pM_wfeuQ)

AllaSenha QR code-based hijacking window




Upon launch, it searches user browser data for targeted banks and enters a waiting state if nothing is found, and when the user interacts with a targeted bank website or application, AllaSenha extracts login data and injects fake windows to steal 2FA tokens depending on the specific bank.


Malicious LNK files and BPyCode launchers are staged on Microsoft Azure WebDAV servers in Brazil, as the LNK triggers the download of a malicious BAT file, and the BPyCode launcher uses a DGA function to generate Azure cloud app hostnames for [payload](https://cybersecuritynews.com/attackcrypt-payload-encrypter/) delivery daily.  





## Tags:


### Autogenerated tags:
[[allasenha]] [[phishing]] [[lnk]] [[bpycode]] [[mshta.exe]] [[pdf]] [[executorloader]] [[cloud]] [[webdav]] [[dll]]
