# XLoader malware Attacking macOS Users Disguised as Signed OfficeNote App
## XLoader has been serving as a particularly persistent and adaptable threat since 2015. It has undergone a transformative evolution that demands the attention of security experts.
## Information:

+ Link: https://cybersecuritynews.com/?p=38592
+ Source: Cyber Security News
+ Author: Sujatha
+ Date published: 23 August 2023, 09:13
+ Date scraped: 23 August 2023, 10:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEirulQutZBWiD0FsIue9pXib4I9WYcNIQz89QCRNnjF6kQNkyQJlMgRGvnVgLmreXEGlryaIZJ2RsCEpnBdgRdOrV6DuAadY3tO--MgBk4L7GQzZUB06ekHA3y--kcjLo4_wG-UEmzAfzKHS9woFnDPyUAj3udDsSnmiet1Da1GSEkor5uY0xWRymV5Njo-/s1600/SEIKO%20Data%20Breach(7)-1.webp)


XLoader has been serving as a particularly persistent and adaptable threat since 2015. With its roots deeply ingrained in the digital landscape, XLoader has undergone a transformative evolution that demands the attention of security experts.


In this comprehensive analysis, [SentinelOne](https://cybersecuritynews.com/mac-systems-proxy-exit-nodes/) dissects the latest iteration of XLoader—a macOS variant posing as the innocuous ‘OfficeNote’ app. 





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



This new version, developed natively in C and Objective C programming languages, flaunts its insidious sophistication through strategic distribution, intricate obfuscation techniques, and advanced evasion maneuvers.


## **XLoader’s Deceptive Distribution:**


Bundled within an Apple disk image named ‘OfficeNote.dmg,’ the malware leverages the guise of an office productivity application to cloak its true intentions.


Notably, the application is signed with the developer’s signature, ‘MAIT JAKHU (54YDV8NU9C)’—a seemingly legitimate touch that adds an extra layer of deception.


## **Signature Revocation and Testing:**


Since the application was signed on 17 July 2023, Apple has revoked the signature associated with the application.



![OfficeNote app](https://lh4.googleusercontent.com/ghZ-1chs7G1NEvq0PJtwYV1HyY27PKawTJkUQSC8rmfFFpFFNSVSCyYE8thPRP1SpGeeFXtTOluJPesArmcE9qZsoVgddYHg2C4EiGzYXRbgqzXflB8EZmRH6SdWCw_UK6RuBKh_-8p1YcoQyjnN-SI)Office Notes revoked Apple Developer signature


It is alarming that at the time of writing, [Apple’s malware](https://cybersecuritynews.com/rustbucket-macos-malware/)-blocking tool, XProtect, remained powerless to prevent the malware’s execution. 


This finding underscores the urgency of analyzing XLoader’s technical nuances and adaptive behavior.


## **Widespread Dissemination and Monetization:**


The scale of the threat posed by XLoader’s new variant becomes evident through numerous submissions of the malware sample on VirusTotal throughout July 2023.



![XLoader submissions to VirusTotal July 2023](https://lh3.googleusercontent.com/FpXT_sMUkIAn_nCDa2RXcUAmz7x__HBwxmTdJgJwgnuvABEPsFTUnI8QZVFHY6iv5YP7x5P_ZVuKzecUY7kNI1A7QgacYW4bL0Rsvx8MISft4K62wS-FG3LO067Ou7RRo9dzDoqiIo2Ix0Hy4MFDDog)XLoader submissions to VirusTotal July 2023


## **Stealthy Persistence and Dropper Mechanisms:**


Upon execution, the malicious OfficeNote application displays an error message to divert suspicion while quietly dropping its payload and establishing persistence mechanisms.



![XLoader is immediately detected as a threat by the SentinelOne agent](https://lh3.googleusercontent.com/b2rDvdogt-UEelJiADCDMtZ4ESngPMuwU06rW_xsI7QNzucIMfS_L9-p4dkOQqgvt-Vvg9dugGylHJ02W7D0P_DHg5RXrsOpTneEQqoDCUw7diQ_0hMx2R47hZ7bP83RMFOweSrWlL_6dPWb3y55sH8)XLoader is immediately detected as a threat by the SentinelOne agent


A distinctive aspect is the use of a [stack st](https://cybersecuritynews.com/ivanti-avalanche-rce-flaw/)[ri](https://cybersecuritynews.com/ivanti-avalanche-rce-flaw/)[ng](https://cybersecuritynews.com/ivanti-avalanche-rce-flaw/) technique to encode the hardcoded error message—an approach reminiscent of earlier XLoader iterations. 


While the malware may feign ineffectiveness, it rapidly deploys its payload, creating a hidden directory housing a disguised minimal app.



![Hardcoded error message constructed on the stack](https://lh4.googleusercontent.com/QmQzSoTrROYqLs855zDEq7znR97TdTgoNs40L4g6T0C8RX7UgVWS_mxy-6xwroO8NnopGczsm5Jymi_Ts8Tw9qi3oPSxDcnaCtnMwifR4WdZItlZ4bS1H_UnPwXDOZ2lEQUXC6AFvkoWUIzb9yVikng)Hardcoded error message constructed on the stack


This obfuscation ensures that the malware’s traces are challenging to pinpoint.


Similar to its predecessors, XLoader’s ultimate aim remains to pilfer sensitive data.


Leveraging the Apple API NSPasteboard, the malware focuses on intercepting clipboard contents, particularly targeting [Chrome and Firefox](https://cybersecuritynews.com/adrozek-malware/) browsers. 


Its adeptness at locating and exfiltrating login.json files underscores its potency in acquiring potentially [valuable data](https://cybersecuritynews.com/canon-wi-fi-connection-settings-flaw/).


XLoader’s elaborate communication strategies are revealed through a multitude of dummy network calls.


The malware’s adeptness in disguising legitimate communications further complicates the task of pinpointing its true command and control (C2) infrastructure.


The effort to evade analysis encompasses multiple layers, including manual and automated solutions.


XLoader employs sleep commands to delay its behavior and thwarts debugging attempts through the use of ptrace’s PT\_DENY\_ATTACH.






## Tags:


### Autogenerated tags:
[[xloader]] [[malware]]
