# Xenomorph Android Banking Malware Attacks 30+ US Banks with New Stealing Capabilities
## Xenomorph has been discovered with a new malware campaign targeting several United States and Spain institutions. This new campaign shows thousands of downloads of Xenomorph malware by victims.
## Information:

+ Link: https://cybersecuritynews.com/?p=44404
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 26 September 2023, 15:48
+ Date scraped: 26 September 2023, 16:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiR4gPcFE0CrBbIzNgHB2iqyohyMaqgpI5v8xVa_0LDWXSxrfA_Sou1Qlz18UqqhPNO08Qs7A53URtR396GauolOC2AGCzxxxZFbcSEXhhiHsvqAXo0TuJB9sDNPd4Z-jBga-8E37TQZ2z_8MaI-40wPtK9o-WYct4puiwmKtEMAvQSjr6Z_FYaFtSAExdI/s16000/Xenomorph%20Android%20Malware.webp)


Xenomorph has been discovered with a new malware campaign targeting several United States and Spain institutions. This new campaign shows thousands of downloads of Xenomorph malware by victims.


Xenomorph is an Android malware that was discovered in February 2022 by Threat Fabric. According to previous malware campaigns, this Android malware was distributed using phishing webpages, tricking victims into installing malicious APKs.






However, a new list of victims belonging to several institutions in the US, Portugal, and multiple [crypto wallets](https://cybersecuritynews.com/the-crypto-industry-and-its-security-challenges/) have been identified, showing consistency in the banking malware family.


Technical Analysis
------------------


Xenomorph malware is capable of performing a simple SMS manipulation and can go up to full device control, which is due to the use of a very powerful Automated Transfer System (ATS) framework that [Remote access](https://cybersecuritynews.com/enterprise-remote-access-software/) capabilities had obtained. The malware has been constantly being added with new features by its developers for additional functionalities.




Document

FREE Demo
[Deploy Advanced AI-Powered Email Security Solution](#)
-------------------------------------------------------


Implementing AI-Powered Email security solutions “Trustifi” can secure your business from today’s most dangerous email threats, such as Email Tracking, Blocking, Modifying, Phishing, Account Take Over, Business Email Compromise, Malware & Ransomware


  [Free Demo](https://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynewshttps://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


Xenomorph uses “overlay” as its primary method for obtaining Personally Identifiable Information (PII), including usernames, passwords, credit card numbers, and much more. The modules that are available in Xenomorph, including the new functionalities, are listed below




|  |  |
| --- | --- |
| **MODULE NAME** | **DESCRIPTION** |
| notificationAccess | Grant notification access |
| grantPermissions | Automatically grants itself all permissions required |
| dozeModeDisableTypeA | Disable Doze mode (Xiaomi MIUI) – version 1 |
| dozeModeDisableTypeB | Disable Doze mode (Xiaomi MIUI) – version 2 |
| dozeModeDisableTypeC | Disable Doze mode (Xiaomi MIUI) – version 3 |
| dozeModeDisableTypeD | Disable Doze mode (Xiaomi MIUI) – version 4 |
| disablePlayProtect | Disable Play Protect |
| xiaomiAdminAccess | Get Admin Access Xiaomi |
| restrictUninstall\_SamsungApi29 | Stop uninstall procedure in Samsung using API 29 (Android 10) |
| dismissSettingsAlerts\_Generic | Dismiss Settings Alerts |
| restrictReset\_Generic | Stop device reset |
| restrictReset\_ByContentVid\_SamsungApi30 | Stop device reset in Samsung using API 30 (Android 11) |
| restrictUninstall\_ByClassName | Stop uninstall procedure based on Class name |
| restrictUninstall\_Generic | Stop uninstall procedure |
| restrictAccessibilityDisable\_Generic | Stop disabling of Accessibility Services privileges |
| restrictAdminRetrieve\_XiaomiApi30 | Restrict retrieving Admin in Xiaomi using API 30 (Android 11) |
| restrictSettingsClicks\_Generic | Restrict clicks in settings |
| defaultSmsApp-Alert | Interface with Default SMS settings Alert |
| defaultSmsApp-Role-ChangePrevention | Prevent removal of Default SMS Role |
| defaultSmsApp-Role | Obtain Default SMS role |
| defaultSmsApp-Settings | Set as Default SMS Handler |
| grantSystemWritePermissions | Grants system write permissions |
| getGoogle2FA | Gets Google Authenticator 2FA codes |
| **grantWriteStoragePermissions** | **Grants write storage permissions (new functionality)** |

*Modules and functionalities (Source: Threat Fabric)*


Further investigations on this new malware revealed that threat actors have inserted several modules that are supported by Samsung and Xiaomi devices, as these two contribute to 50% of the whole Android market share.


New Capabilities
----------------


A few additional commands have been added from the previous versions of Xenomorph. The new commands were start\_mimic (Start Mimic Function), stop\_mimic (Stop Mimic Function), show\_push (Enable antisleep push notification), and click on point (simulate touch on specific coordinates). This mimic function enables the malware to act as any other application and remove a malware-specific behavior that was not available in the previous version.


Furthermore, this malware was also found to be merged with RisePro stealer with Private Loader traces, which are some common Desktop-stealer malware. Additionally, the new version of Xenomorph also uses LummaC2, which was another well-known stealer.


Moreover, the communication with the [C2](https://cybersecuritynews.com/command-and-controlc2-server/) has been updated, replacing HTTP with raw TCP sockets over port 50500 for receiving commands and data exfiltration. 


A [complete report](https://www.threatfabric.com/blogs/xenomorph) has been published by Threat Fabric, which provided detailed information about the malware, distribution, code analysis, C2 communication, their old targets, new functionalities, and other information.


Indicators of Compromise
------------------------


**Xenomorph Samples**




|  |  |  |
| --- | --- | --- |
| **HASH (SHA256)** | **APP NAME** | **PACKAGE NAME** |
| e2646afca109162f66b117ca8a7feed0272ab6d8822132dafd2d54d7553cbfde | Chrome | com.peace.frequent |
| 259e88f593a3df5cf14924eec084d904877953c4a78ed4a2bc9660a2eaabb20b | Chrome | com.mtnyrvojt.qtbxtwjnq |
| 257f041d1b6ed82808cd8ef07ec84cf141c38e5374b654de46879a3bc180c79c | Chrome | com.uhtvqsutg.igogiciut |




**Xenomorph C2 servers**




|  |  |
| --- | --- |
| **SERVER URL/IP** | **ROLE** |
| airlinesimulator[.]io | Overlay Server |
| fobocontentplus[.]online | C2 Server |
| fobocontentplus[.]top | C2 Server |
| fobocontentplus[.]site | C2 Server |
| 92l[.]info | Phishing Server |








## Tags:
***urls***: http://Serverfobocontentplus.siteC2 http://Server92l.infoPhishing http://Serverfobocontentplus.onlineC2 http://Serverfobocontentplus.topC2 http://URL/IPROLEairlinesimulator.ioOverlay

### Autogenerated tags:
[[malware]] [[xenomorph]] [[android]] [[xiaomi]] [[sms]] [[miui]] [[uninstall]] [[samsung]] [[api]] [[c2]]
