# 'PixPirate' RAT Invisibly Triggers Wire Transfers from Android Devices
## A multitooled Trojan cuts apart Brazil's premier wire transfer app. Could similar malware do the same to Venmo, Zelle, or PayPal?
## Information:

+ Link: https://www.darkreading.com/application-security/pixpirate-rat-invisibly-triggers-wire-transfers-android-devices
+ Source: DarkReading
+ Author: Nate Nelson, Contributing Writer
+ Date published: 13 March 2024, 10:00
+ Date scraped: 13 March 2024, 11:03

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/bltfdfbb41376bc0b04/65f09c9afb4f2f040a4ae84a/pirate-Tithi_Luadthong-Alamy.jpg?disable=upscale&width=1200&height=630&fit=crop)

A sophisticated Brazilian banking Trojan is using a novel method for hiding its presence on Android devices.

["PixPirate" is a multipronged malware](https://www.darkreading.com/cyber-risk/new-bank-trojan-targeting-100m-pix-payment-platform-accounts)specially crafted to exploit Pix, an app for making bank transfers developed by the Central Bank of Brazil. Pix makes a good target for[Brazil-nexus cybercriminals](https://www.darkreading.com/endpoint-security/-operation-magalenha-attacks-window-brazil-cybercrime-ecosystem)since, despite being hardly 3 years old, it's already integrated into most Brazilian banks' online platforms and sports more than 150 million users[according to Statista](https://www.statista.com/statistics/1230211/number-pix-persons-companies-type-transaction-brazil/). Each month, it processes somewhere in the range of 3 billion transactions, totaling[around $250 billion](https://www.statista.com/statistics/1230195/volume-pix-transactions-type-brazil/)worth of Brazilian real.

PixPirate's newest powerful trick, documented in[a new blog post from IBM](https://securityintelligence.com/posts/pixpirate-brazilian-financial-malware/), is how it cleverly hides its presence on an Android device — no app icon, seemingly no footprint whatsoever — despite protections which Google engineers designed to prevent this specific thing from happening. And experts warn that a similar tactic could be employed by banking malware targeting the US and EU, as well.

How PixPirate Infections Work
-----------------------------

PixPirate is a cutting-edge heir to the banking Trojans of yesteryear.

It typically spreads via a fake bank authentication app, sent to potential victims using WhatsApp or SMS. Clicking the link downloads a downloader, which then prompts the user to further download an "updated" version of the fake app (which is the PixPirate payload).

"From the victim's perspective, they are unaware of the PixPirate malware being installed by the downloader because in their eyes the downloader is legitimate. So, they are unlikely to suspect anything suspicious," explains Nir Somech, security mobile researcher at IBM Trusteer.

Once comfortably embedded in an Android phone, the malware sits and waits until a user opens up a real banking app. At that point, it springs into action, grabbing the login credentials they type in and sending them to an attacker-controlled command-and-control (C2) server. With account access in hand, it overlays a false second screen to the user, while it opens the banking app underneath, programmatically presses the buttons necessary to reach its Pix page, then executes an unauthorized transfer.

PixPirate also features dozens of other capabilities to ease this financial fraud, from pinpointing the device's location to keylogging, locking and unlocking its screen, accessing contacts and call histories, installing and deleting apps, persistence after reboots, and more.

However, its newest, most advanced feature lies in how it hides all evidence of itself from the user.

How PixPirate Hides Itself on an Android
----------------------------------------

Traditionally, malicious apps have concealed their presence on compromised devices by simply hiding their home screen icons.

As of Android 10, however, this became impossible. Nowadays, all app icons must be visible, save for system apps, or those that don't seek permissions from the user.

Like[every cybersecurity advancement before it](https://www.darkreading.com/application-security/how-malware-delivery-adapted-to-microsoft-blocking-macros-by-default), this positive change also served as a creative constraint. "It enabled threat actors to adapt, which is what we're seeing with this new mechanism, where the icon doesn't need concealing because it simply doesn't exist," says Somech.

By "doesn't exist," he means that PixPirate has no main activity on the device — no launcher to begin with. How, then, does an app without a launcher launch?

The key is that, instead of the payload, the downloader is effectively the app that runs on the device. When it wants to, it launches the payload by creating and binding to an exported service capable of running it. Then the two continue to communicate, and they pass on malicious commands.

For persistence, after the first time it's triggered by the downloader, the payload service also binds to other "receivers," which are activated when certain other events trigger on the device.

According to IBM Trusteer, this is the first financial malware to ever use this method for running without an app icon.

Are US Payment Apps Vulnerable?
-------------------------------

For anyone worried that PixPirate might portend a threat to US banks and banking apps — such as Venmo, Zelle, and PayPal — there is both good and bad news.

The good news is that the malware is bespoke. "PixPirate exploits specific functionalities and vulnerabilities within the Pix payment system, which may not directly apply to US payment apps with differing architectures and security mechanisms," explains Sarah Jones, cyber threat intelligence research analyst at Critical Start. "Even if core functionalities could be adapted, the malware's reliance on abusing accessibility services might require modifications to align with different accessibility implementations used by US apps."

However, she warns, "While an exact replica may face obstacles, the underlying techniques employed by PixPirate pose concerns for US payment systems. The concept of abusing accessibility services for malicious purposes could inspire attackers to target other vulnerable functionalities in US apps."

"Thus," she concludes, "while the direct threat of PixPirate to US payment systems may be limited, its emergence underscores the importance of proactive security measures in safeguarding sensitive financial information."




## Tags:


### Autogenerated tags:
[[pixpirate]] [[malware]] [[apps]] [[downloader]] [[android]]
