# Air-Gapped ICS Systems Targeted by Sophisticated Malware
## Researchers uncovered new worming second-stage tools used to locally exfiltrate data from air gapped ICS environments, putting threat actors one step away from transmission of the info to a C2.
## Information:

+ Link: https://www.darkreading.com/ics-ot/air-gapped-ics-systems-targeted-sophisticated-malware
+ Source: DarkReading
+ Author: Dark Reading Staff
+ Date published: 31 July 2023, 19:33
+ Date scraped: 31 July 2023, 20:01

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt66983808af36a8ef/blt818ce13129408bf7/64c7fa3d642986e8d26782e0/Air_gap_Cultura_Creative_RF_Alamy.jpg)

Security teams in industrial control systems (ICS) environments are fighting a worm that gets past air-gapped defenses.



Researchers from Kaspersky ICS-CERT have been investigating cyberattacks against ICS and critical infrastructure in Eastern Europe, and uncovered a novel [second-stage malware](https://www.darkreading.com/attacks-breaches/3cx-breach-cyberattackers-second-stage-backdoor) that gets around the typical data security that an air gapped system provides. The threat actors were trying to establish a permanent presence on the target networks for data exfiltration, the team said.

First, the attackers use known remote access and data collection tools to gain an initial foothold in [the ICS network](https://www.darkreading.com/ics-ot/cosmicenergy-malware-emerges-electric-grid-shutdown). Then, they deploy a "sophisticated" modular malware against the air-gapped [ICS networks](https://ics-cert.kaspersky.com/publications/reports/2023/07/20/common-ttps-of-attacks-against-industrial-organizations-implants-for-remote-access/), which contaminates [removable storage drives](https://www.darkreading.com/threat-intelligence/usb-drives-spyware-china-mustang-panda-apt-global) with a worm that exfiltrates targeted data. From there, they are just one step away from being able to transmit stolen data out of the environment.

"The malware, designed explicitly to exfiltrate data from air-gapped systems by infecting removable drives, consist of at least three modules, each responsible for different tasks, such as profiling and handling removable drives, capturing screenshots, and planting second-step malware on newly connected drives," [the report says](https://usa.kaspersky.com/about/press-releases/2023_kaspersky-uncovers-malware-for-targeted-data-exfiltration-from-air-gapped-environments).



The team also spotted another second-stage implant used in the attacks, which sends stolen data from a local computer to Dropbox, the Kaspersky team added.

The cyberattackers were able to evade detection by hiding encrypted payloads in their own binary file and using DLL hijacking to embed the malware in the memory of authorized apps, the researchers explained.

"The threat actor's deliberate efforts to obfuscate their actions through encrypted payloads, memory injections, and DLL hijacking [underscore] the sophistication of their tactics," Kirill Kruglov, senior security researcher at Kaspersky ICS CERT said about the new findings.

The final piece of the cyberattack chain required to pull off the full data exfiltration would be a third slate of  tools that upload stolen data to the command and control server (C2). Kruglov added that Kasperky's team will continue to investigate.






## Tags:


### Autogenerated tags:
[[ics]] [[malware]] [[air-gapped]] [[kaspersky]]
