# Pikabot Malware Surfaces As Qakbot Replacement for Black Basta Attacks
## An emerging threat actor, Water Curupira, is wielding a new, sophisticated loader in a series of thread-jacking phishing campaigns that precede ransomware.
## Information:

+ Link: https://www.darkreading.com/cyberattacks-data-breaches/pikabot-malware-qakbot-replacement-black-basta-attacks
+ Source: DarkReading
+ Author: Elizabeth Montalbano, Contributing Writer
+ Date published: 10 January 2024, 16:29
+ Date scraped: 10 January 2024, 17:05

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/bltad0005ab5074fe34/64f174204be8f95de31743c9/ransomware-Negro_Elkha-AdobeStock.jpeg?disable=upscale&width=1200&height=630&fit=crop)

A threat actor associated with Black Basta ransomware attacks has been wielding a new loader similar to the notoriously[hard-to-kill Qakbot,](https://www.darkreading.com/cyberattacks-data-breaches/qakbot-infections-continue-even-after-high-profile-raid)in a widespread phishing campaign aimed at gaining entry to organization networks for further malicious activity.

Tracked as Water Curupira by Trend Micro, the actor is best known for conducting dangerous campaigns to drop backdoors such as Cobalt Strike that ultimately lead to Black Basta ransomware attacks, researchers said in[a post published Jan. 9](https://www.trendmicro.com/en_us/research/24/a/a-look-into-pikabot-spam-wave-campaign.html).

Water Curupira was active in the first quarter of 2023, then appeared to take a break the end of June that lasted until the start of September, when campaigns started in earnest again, according to Trend Micro. Recently, the actor has conducted phishing campaigns that drop a new loader, Pikabot — which has similarities to and could even be a replacement for Qakbot, an initial access Trojan which[often preceded](https://www.darkreading.com/threat-intelligence/black-basta-gang-deploys-qakbot-malware-cyber-campaign)Black Basta ransomware and was taken down in a law-enforcement operation called[Operation Duck Hunt](https://www.darkreading.com/threat-intelligence/sprawling-qakbot-malware-takedown-spans-700-000-infected-machines)in August 2023.

"An increase in the number of phishing campaigns related to Pikabot was recorded in the last quarter of 2023, coinciding with the takedown of[Qakbot](https://www.darkreading.com/cyberattacks-data-breaches/qakbot-attacks-spike-cybercriminal-collaborations)," according to the post, attributed to Trend Micro researchers.

Water Curupira also conducted several DarkGate spam and IcedID campaigns during the early weeks of the third quarter of 2023, but has since pivoted exclusively to Pikabot, they said.

Qakbot[has persisted](https://www.darkreading.com/cyberattacks-data-breaches/new-qakbot-sightings-confirm-law-enforcement-takedown-was-temporary-setback)as a threat even after its takedown, which put the malware out of commission on some 700,000 infected machines. But Pikabot — which includes both a loader and core module within the same file, as well as a shellcode that decrypts a payload in the form of DLL file from its resources — also has emerged in Water Curupira's campaigns with a similar mission.

So far, the researchers have observed distinct clusters of Cobalt Strike beacons with more than 70 command-and-control (C2) domains leading to[Black Basta](https://www.darkreading.com/cloud-security/black-basta-buster-exploits-ransomware-bug-file-recovery)that have been dropped by Water Curupira campaigns, they said.

Thread-Jacking for Legitimacy
-----------------------------

Water Curupira's Pikabot campaigns begin with phishing emails that employ thread-jacking, a technique that uses existing email threads — possibly stolen from previous victims — to create emails that look like they are part of a previous conversation. This increases the likelihood that a victim will think the email is legitimate and engage with the threat actor.

The campaign sends emails using addresses that are created either through new domains or free email services that use names that can be found in original hijacked email threads. The message includes most of the content of the original thread, including the email subject, but also adds a short message on top directing the recipient to open a malicious email attachment.

The attachment is either a password-protected archive .ZIP file containing an .IMG file, or a .PDF file that contains a heavily obfuscated JavaScript, and the password to the file is included in the email message. The actor used various names and passwords for file attachments observed in the campaign, the researchers noted.

Once executed by the victim, the JavaScript will attempt to execute a series of commands using conditional execution to get to its eventual download of Pikabot from an external server, and then execution of the malware.

If the malicious attachment is an .IMG file, it contains two additional files — a .LNK file posing as a Word document and a DLL file, the latter of which is the Pikabot payload extracted straight from the email attachment.

As far as the payload itself, Pikabot won't attack a system if it detects the use of Russian or Ukrainian as its core language, suggesting that Water Curupira may be aligned with one or both of those countries. Its core module conducts a multi-stage attack that exfiltrates various details about the infected system and sends them a C2 controlled by the actor, which then has access to the system to carry out further malicious activity.

Avoiding Pikabot Malware Compromise
-----------------------------------

Trend Micro included a list of indicators of compromise (IoCs) in the post and advised that all users should maintain vigilance when receiving emails, employing best practices to avoid falling victim to[phishing](https://www.darkreading.com/cyberattacks-data-breaches/qakbot-attacks-spike-cybercriminal-collaborations), which remains a key way that threat actors gain initial entry into corporate systems.

Those practices should include hovering over embedded links with the pointer to learn where the link leads, as well as checking the sender's identity, being sure to flag unfamiliar email addresses, mismatched email and sender names, and spoofed company emails as likely malicious.

If the email claims to come from a legitimate company, recipients should verify both the sender and the email content before downloading attachments or selecting embedded links. The researchers also advised basic security hygiene to keep OSes and other software updated with the latest patches, as well as regular backups to keep essential data saved in an external, secure location.




## Tags:


### Autogenerated tags:
[[pikabot]] [[emails]] [[phishing]] [[ransomware]]
