# Ukraine Military Targeted With Russian APT PowerShell Attack
## The attack, associated with Shuckworm, employs TTPs observed in prior campaigns against the Ukrainian military, predominantly utilizing PowerShell.
## Information:

+ Link: https://www.darkreading.com/cyberattacks-data-breaches/ukraine-military-targeted-with-russian-apt-powershell-attack
+ Source: DarkReading
+ Author: Nathan Eddy, Contributing Writer
+ Date published: 01 February 2024, 20:50
+ Date scraped: 01 February 2024, 21:02

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/blt9352a5c08aa5a3fc/65bc03aea381e50407fdbd9a/bearworm-Design_Pics_Inc-alamy.jpg?disable=upscale&width=1200&height=630&fit=crop)

A sophisticated Russian advanced persistent threat (APT) has launched a targeted PowerShell attack campaign against the Ukrainian military.

The attack is most likely perpetrated by[malicious threat actors related to Shuckworm](https://www.darkreading.com/cyberattacks-data-breaches/nato-oil-refinery-russian-apt-blitz-against-ukraine), a group with a history of campaigns against Ukraine, motivated by geopolitical, espionage, and disruption interests.

The malicious campaign, tracked by Securonix under the name STEADY#URSA, employs a newly discovered SUBTLE-PAWS PowerShell-based backdoor to infiltrate and compromise targeted systems.

This type of backdoor allows threat actors to gain unauthorized access, execute commands, and maintain persistence within compromised systems.

The attack methodology involves the distribution of a malicious payload through compressed files delivered via phishing emails.

Distribution and lateral movement of the malware is carried out through USB drives, thus removing the need to access the network directly.

The report noted that type of approach would be made difficult due to Ukraine's air-gapped communications like Starlink.

The campaign exhibits similarities with the Shuckworm malware, and it incorporates distinct tactics, techniques, and procedures (TTPs)[observed in previous cyber campaigns](https://www.darkreading.com/cyberattacks-data-breaches/russian-apt-steps-up-malicious-activity-in-ukraine)against the Ukrainian military.

Oleg Kolesnikov, vice president of threat research and data science/AI for Securonix, explains that SUBTLE-PAWS differentiates itself by its "fairly exclusive" reliance on off-disk/PowerShell stagers for execution, avoiding traditional binary payloads. It also employs additional layers of obfuscation and evasion techniques.

"These including encoding, command splitting and registry-based persistence to evade detection among others," he says.

It establishes command and control (C2) by communicating via Telegram with a remote server, using adaptive methods such as DNS queries and HTTP requests with dynamically stored IP addresses.

The malware also employs stealth measures like Base64 and XOR encoding, randomization techniques, and environment sensitivity to enhance its elusive nature.

The targeted entity executes a malicious shortcut (.lnk) file, initiating the loading and execution of a new PowerShell backdoor payload code.

The SUBTLE-PAWS backdoor is embedded within another file contained in the same compressed archive.

Kolesnikov says possible proactive measures can include implementing user education programs to recognize potential exploitation via email, increasing awareness around the use of malicious .lnk payloads on external drives to spread in air-gapped and more compartmentalized environments, and enforcing strict policies and user file decompression to mitigate risks.

"To bolster USB drive security, organizations should implement device control policies to restrict unauthorized USB usage and regularly scan removable media for malware using advanced endpoint security solutions," he says.

To enhance log detection coverage, Securonix advised deploying additional process-level logging, such as Sysmon and PowerShell logging.

"Organizations should also enforce strict application whitelisting policies [and] implement enhanced email filtering, proper system monitoring, and endpoint detection and response solutions to monitor and block suspicious activity," Kolesnikov says.

Cyber Threats, State Actors
---------------------------

The ongoing ground war in Ukraine has been waged in the digital realm as well, with Kyivstar, Ukraine's biggest mobile telecom operator,[suffering a cyberattack in December](https://www.darkreading.com/ics-ot-security/kyivstar-mobile-attack-ukraine-comms-blackout)that wiped out cell service for more than half of Ukraine's population.

In June 2023, Microsoft released details of Russian APT[Cadet Blizzard](https://www.darkreading.com/threat-intelligence/russian-apt-cadet-blizzard-ukraine-wiper-attacks), thought to be responsible for wiper malware deployed during the weeks leading up to Russia's invasion of Ukraine.

Cybersecurity attacks by Russian hacktivist groups — including Joker DPR threat group, thought to be tied to the state — also claimed to have breached the Ukraine military's battlefield management system DELTA,[revealing real-time troop movements](https://www.darkreading.com/cyberattacks-data-breaches/russia-joker-dpr-access-ukraine-troop-movement-data).

Beyond the conflict in Eastern Europe, threat groups in[Iran](https://www.darkreading.com/vulnerabilities-threats/iran-cyber-centers-dodge-sanctions-sell-cyber-operations),[Syria](https://www.darkreading.com/cyberattacks-data-breaches/syrian-threat-group-peddles-destructive-silverrat), and[Lebanon](https://www.darkreading.com/cyberattacks-data-breaches/beirut-airport-cyberattack-targets-hezbollah)demonstrate the threat of cyberattacks in conflicts across the Middle East. The growing sophistication of these threats indicates state-backed malicious actors are[modernizing their malware](https://www.darkreading.com/cloud-security/bellaciao-showcases-iran-threat-groups-modernizing-malware)techniques, and multiple threat groups are[banding together](https://www.darkreading.com/threat-intelligence/north-korea-state-sponsored-apt-organize-align)to launch more complex attacks.




## Tags:


### Autogenerated tags:
[[malware]] [[powershell]] [[securonix]] [[subtle-paws]] [[usb]]
