# ZuoRAT Hijacks SOHO Routers from Cisco, Netgear
## The malware has been in circulation since 2020, with sophisticated, advanced malicious actors taking advantage of the vulnerabilities in SOHO routers as the work-from-home population expands rapidly.
## Information:

+ Link: https://www.darkreading.com/remote-workforce/zuorat-hijacks-soho-routers-cisco-netgear
+ Source: DarkReading
+ Author: Nathan Eddy
+ Date published: 29 June 2022, 18:41
+ Date scraped: 29 June 2022, 20:52

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt66983808af36a8ef/blt8dc113fea1967cdb/627a7c1c6327fd1359b945cf/RAT-Martin-Fowler-Alamy.jpg)

Security researchers have discovered a multi-stage remote access Trojan (RAT) currently being used against a wide range of small office-home office (SOHO) routers in Europe and North America — potentially the work of a state-sponsored actor.




Researchers believe that at least 80 victims have been infected so far during the campaign.


The malware, known as ZuoRAT, has been active since 2020, according to the Black Lotus Labs, the threat intelligence arm of Lumen Technologies.


According to the [report](https://blog.lumen.com/zuorat-hijacks-soho-routers-to-silently-stalk-networks/), the malware makes its way onto the routers through exploits for known vulnerabilities. It can also infect other devices in the network and introduce additional malware via DNS and HTTP hijacking.




"ZuoRAT is a MIPS file compiled for SOHO routers that can enumerate a host and internal LAN, capture packets being transmitted over the infected device, and perform person-in-the-middle attacks (DNS and HTTPS hijacking based on predefined rules)," Lumen's threat intelligence team wrote in a blog post on the malware.


## Trojan Targets Cisco, Netgear Routers


The malware targets routers from Cisco, Netgear, Asus, and DrayTek, although the report declined to specify individual router models.


The research team noted that while compromising SOHO routers as an access vector to gain access to an adjacent LAN is not a novel technique, it has seldom been reported.


"Reports of person-in-the-middle style attacks, such as DNS and HTTP hijacking, are [rare] and a mark of a complex and targeted operation," the post continued. "The use of these two techniques congruently demonstrated a high level of sophistication by a threat actor, indicating that this campaign was possibly performed by a state-sponsored organization."


From the perspective of Danny Adamitis, principal information security engineer for Lumen Black Lotus Labs, the sophistication of this campaign cannot be overstated, especially the ability to enumerate infected devices and the LANs they are connected to, and packet-capture network traffic for additional targeting.




"Moreover, the multi-stage campaign includes multiple fully functional Trojans, as well as complex and covert C2 and proxy C2 infrastructure to obfuscate command-and-control and evade detection, which is why it went undetected for nearly two years," he adds.


## Other Trojans Found on Hacked Devices


To Adamitis' point, the researchers found two other Trojans on the hacked devices. One was based on C++ and targeted Windows workstations. The other Trojan was based on the Go programming language and attacked Linux and macOS as well as Windows.


Among other things, they allowed the attackers to start new processes, gain permanent access to infected systems, intercept network traffic, and upload or download arbitrary files.


## Shift to Secure the Home Office


According to a [recent survey](https://www.darkreading.com/edge-articles/2022-security-priorities-staffing-and-remote-work), nearly a quarter of the respondents (23%) named securing the remote workforce as their top priority for 2022. Routers are an important part of that, as they act as central waypoints for the rest of the home IT footprint.


"Once you are on the router you have a full trusted connection to poke and prod at whatever device is connected to it," Dahvid Schloss, offensive security team lead at Echelon, said via email. "From there, you could attempt to use proxychains to throw exploits into the network or just monitor all the traffic going in, out, and around the network."


So, as part of the work-from-home shift, some major vendors are moving their security focus, such as HP, which helps admins [secure work-from-home endpoints](https://www.darkreading.com/dr-tech/hp-extends-security-features-to-work-from-home-devices) by extending cloud security management that can remotely track, detect, and self-heal remote company devices.


"The consumer router space is ripe for targeting because these devices reside outside of the traditional security perimeter, and they are rarely monitored or patched," Adamitis adds. "This is only exacerbated by the rapid shift to remote work at the start of the pandemic."


Alex Ondrick, director of security operations at incident-response specialist BreachQuest, says a general lack of security controls for consumer-grade routers, and difficulties in "force" patching/update for them, makes SOHO routers particularly vulnerable.


"If a SOHO router is unpatched or vulnerable to known security flaws, ZuoRAT poses a dangerous combination of reconnaissance and authentication-bypass exploit script and lateral-movement capabilities," he explains.


## Bolstering the Human Firewall


Ondrick adds that the SOHO router threat is an opportunity for organizations to expand their security awareness programs and spread valuable improved security measures among their users.


"Educating users on how to protect their home networks, their passwords, their financial information, and their families increases their engagement and builds cybersecurity hygiene and acumen they take back to the office, and reduces the organization's attack surface and builds the better human firewall," he says.


He says SOHO users should regularly update their router's firmware and ensure their devices are behind multiple layers of security ([defense-in-depth](https://www.darkreading.com/omdia/analysis-log4j-vulnerability-highlights-the-value-of-defense-in-depth-accurate-inventory)) wherever possible.


For home routers, he says it's important to leverage the vendor's built-in security capabilities alongside host-based network security wherever possible.


"Think of your home router as 'yet another' device which should be regularly updated and think of it as the 'first line of defense' between you and the public-facing Internet," he says. "Pending any leaps forward in SOHO router security, consider adding a recurring biannual reminder on your phone or calendar to check for updates on your router's firmware."




## Tags:


### Autogenerated tags:
[[malware]] [[zuorat]] [[dns]] [[adamitis]]
