# Iranian Government-Sponsored Actors Conduct Cyber Operations Against Global Government and Commercial Networks
## From a Joint Cybersecurity Advisory (TLP:White): SUMMARY The Federal Bureau of Investigation (FBI), the Cybersecurity and Infrastructure Security Agency...
## Information:

+ Link: https://www.databreaches.net/iranian-government-sponsored-actors-conduct-cyber-operations-against-global-government-and-commercial-networks/
+ Source: DataBreaches
+ Author: Dissent
+ Date published: 25 February 2022, 13:57
+ Date scraped: 12 December 2023, 11:27

## Article:
![Main article image](https://www.databreaches.net/wp-content/uploads/whatsyourexcuse-2.jpg)


From a Joint Cybersecurity Advisory (TLP:White):



> **SUMMARY**  
> 
> The Federal Bureau of Investigation (FBI), the Cybersecurity  
> 
> and Infrastructure Security Agency (CISA), the U.S. CyberCommand Cyber National Mission Force (CNMF), and the United Kingdom’s National Cyber Security Centre (NCSCUK) have observed a group of Iranian government-sponsored advanced persistent threat (APT) actors, known as MuddyWater, conducting cyber espionage and other malicious cyber operations targeting a range of government and private-sector organizations across sectors—including telecommunications, defense, local government, and oil and natural gas—in Asia, Africa, Europe, and North America.  
> 
> **Note:** MuddyWater is also known as Earth Vetala, MERCURY, Static Kitten, Seedworm, and TEMP.Zagros.
> 
> 
> MuddyWater is a subordinate element within the Iranian Ministry of Intelligence and Security (MOIS).[1] This APT group has conducted broad cyber campaigns in support of MOIS objectives since approximately 2018. MuddyWater actors are positioned both to provide stolen data and accesses to the Iranian government and to share these with other malicious cyber actors.
> 
> 
> MuddyWater actors are known to exploit publicly reported vulnerabilities and use open-source tools and strategies to gain access to sensitive data on victims’ systems and deploy ransomware. These actors also maintain persistence on victim networks via tactics such as side-loading dynamic link libraries (DLLs)—to trick legitimate programs into running malware—and obfuscating PowerShell scripts to hide command and control (C2) functions. FBI, CISA, CNMF, and NCSC-UK have observed MuddyWater actors recently using various malware—variants of PowGoop, Small Sieve, Canopy (also known as Starwhale), Mori, and POWERSTATS—along with other tools as part of their malicious activity.
> 
> 
> This advisory provides observed tactics, techniques, and procedures (TTPs); malware; and indicators of compromise (IOCs) associated with this Iranian government-sponsored APT activity to aid organizations in the identification of malicious activity against sensitive networks.
> 
> 
> FBI, CISA, CNMF, NCSC-UK, and the National Security Agency (NSA) recommend organizations apply the mitigations in this advisory and review the following resources for additional information.
> 
> 
> **Note:** also see the Additional Resources section.
> 
> 


Read the full advisory at: <https://www.ic3.gov/Media/News/2022/220224.pdf>






## Tags:
***urls***: https://www.ic3.gov/Media/News/2022/220224.pdf

### Autogenerated tags:
[[muddywater]] [[cisa]] [[cnmf]]
