# 7-Year-Old 0-Day in Microsoft Office Exploited to Drop Cobalt Strike
## A recent attack exploited vulnerabilities in systems running outdates Microsoft Office to deliver Cobalt Strike malware. Learn how to protect yourself!
## Information:

+ Link: https://www.hackread.com/microsoft-office-0-day-exploited-cobalt-strike/
+ Source: HACKRead
+ Author: Deeba Ahmed
+ Date published: 26 April 2024, 20:53
+ Date scraped: 26 April 2024, 20:10

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/04/hackers-exploit-microsoft-office-0-day-cobalt-strike-3.jpg)






Deep Instinct Threat Lab has [discovered](https://www.deepinstinct.com/blog/uncorking-old-wine-zero-day-cobalt-strike-loader) a targeted operation against Ukraine in which hackers are using an old zero-day vulnerability, CVE-2017-8570, as the initial vector and a custom loader for Cobalt Strike Beacon, a professional pen-testing tool designed for evaluating computer security by red teams. However, in this attack, hackers have used a cracked version with no legitimate user. 


They’ve exploited [CVE-2017-8570](https://www.hackread.com/microsoft-office-malware-attacks-exploite-flaws/), an old Microsoft Office vulnerability identified in 2017, to launch the Cobalt Strike Beacon, targeting Ukraine’s systems. They used a malicious PPSX (PowerPoint Slideshow) file disguised as an old US Army instruction manual for mine-clearing tank blades, bypassing traditional security measures and allowing them to hide the payload and complicate analysis. The file used a “script:” prefix before the HTTPS URL to hide the payload and complicate analysis. 



> 
> *“The lure contained military-related content, suggesting it was targeting military personnel. But the domain names weavesilk(.)space and petapixel(.)fun are disguised as an obscure generative art site (weavesilk(.)com) and a popular photography site (petapixel(.)com). These are unrelated, and it’s a bit puzzling why an attacker would use these specifically to fool military personnel.”*
> 
> 
> Deep Instinct


The use of the Cobalt Strike loader, a malicious, versatile toolset commonly employed in targeted attacks, suggests a sophisticated approach by the attackers. [Cobalt Strike](https://www.hackread.com/kaseya-patch-email-cobalt-strike-malware/) allows adversaries to deploy malware, steal data, and maintain persistence on compromised systems. In the context of [Ukraine](https://www.hackread.com/acidrain-linux-malware-variant-acidpour-ukraine/), it is used as a delivery mechanism for these zero-day exploits, maximizing their impact.


Deep Instinct’s research indicates that attackers are actively leveraging zero-day exploits, which are vulnerabilities unknown to security software vendors. This makes them particularly dangerous as traditional defences may not be able to detect and block them.






Researchers couldn’t attribute the attacks to any known threat actor or rule out the possibility of a red team exercise. Evidence indicates the sample was uploaded from Ukraine, the second stage was hosted under a Russian VPS provider, and the Cobalt beacon C&C was registered in Warsaw, Poland.


*“*Given the n-day exploitation trends against > 12-month-old edge device and email server CVEs we’ve seen over the past 4 years, seeing a threat actor exploit a Wine vulnerability from 2017 is weirdly refreshing,*“* stated [Casey Ellis](https://www.linkedin.com/in/caseyjohnellis), Founder and Chief Strategy Officer at Bugcrowd


*“*The use of undocumented low-level WinAPI calls is unusual as well. I can understand why threat analysts are having difficulty with attribution, it’s an esoteric and somewhat nerdy kill chain.*“* Casey explained.


“Aside from the technical pieces, the fact that it’s not Russia is noteworthy, and the TTPs suggest a previously unknown player. Cobalt Strike usage as a C2 is fairly commonplace and the key takeaway here is that old vulnerabilities in easily forgotten software still matter.*“*


### How to Stay Safe?


Deep Instinct’s research suggests that traditional security solutions may not be enough for zero-day exploits. Organizations should adopt advanced threat detection through behavioural analysis and machine learning. Vigilance is also crucial, especially for cyber threats targeting Ukraine, and a proactive defence strategy combining [firewalls and antivirus software](https://www.hackread.com/10-antivirus-providers-for-pc-mac-android-iphone/).










## Tags:
***CVE's***: CVE-2017-8570

### Autogenerated tags:
[[zero-day]]
