# Androxgh0st Malware Compromises Servers Worldwide for Botnet Attack
## A surge in attacks from the Androxgh0st malware family uncovers over 600 servers compromised primarily in the U.S., India and Taiwan.
## Information:

+ Link: https://www.hackread.com/androxgh0st-malware-servers-botnets-attacks/
+ Source: HACKRead
+ Author: Deeba Ahmed
+ Date published: 21 April 2024, 13:37
+ Date scraped: 21 April 2024, 13:09

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/04/androxgh0st-malware-servers-botnets-attacks-1.jpg)


Veriti Research has discovered a surge in attacks from operators of the Androxgh0st malware family, uncovering over 600 servers compromised primarily in the U.S., India and Taiwan.






According to Veriti’s blog post, the adversary behind Androxgh0st had their C2 server exposed, which could allow for a counterstrike by revealing the impacted targets. The researchers then went on to alert the victims.


Further research revealed that Androxgh0st operators are exploiting multiple CVEs, including **[CVE-2021-3129](https://nvd.nist.gov/vuln/detail/CVE-2021-3129)** and [**CVE-2024-1709**](https://nvd.nist.gov/vuln/detail/CVE-2024-1709) to deploy a web shell on vulnerable servers, granting remote control capabilities. Moreover, evidence suggests active web shells associated with **[CVE-2019-2725](https://www.hackread.com/8220-gang-telecom-healthcare-cryptojacking-attack/)**. 



[![Androxgh0st Malware Compromises Servers Worldwide, Building Botnets for Attacks](https://www.hackread.com/wp-content/uploads/2024/04/androxgh0st-malware-servers-botnets-attacks-2-1024x566.jpg)](https://www.hackread.com/wp-content/uploads/2024/04/androxgh0st-malware-servers-botnets-attacks-2.jpg)Image: Veriti


### **Androxgh0st Threat Actor Ramps Up Activity**


Hackread.com has been tracking Androxgh0st operations since was first noticed in December 2022. The malware operator is known for deploying **[Adhublika ransomware](https://www.linkedin.com/posts/iansmith1_identifying-adhubllka-ransomware-lolkek-activity-7100963467192328192-Xt0d)** and was previously observed communicating with an IP address associated with the Adhublika group.


Androxgh0st operators prefer exploiting [Laravel applications](https://www.hackread.com/fbi-androxgh0st-malware-botnet-credential-theft/) to steal credentials for cloud-based services like AWS, SendGrid, and Twilio. They exploit vulnerabilities in Apache web servers and PHP frameworks, deploying webshells for persistence. 


However. their recent focus seems to be building botnets to exploit more systems. Recently, the FBI and CISA issued a joint Cybersecurity Advisory (CSA) advisory, **[warning](https://www.hackread.com/fbi-androxgh0st-malware-botnet-credential-theft/)** about Androxgh0st constructing a botnet to carry out credential theft and establish backdoor access. 






Last year, Cado Security Ltd. **[revealed](https://www.hackread.com/legion-malware-credential-sms-hijack-telegram/)** the details of a Python-based credential harvester and a hacking tool called Legion, linked to the AndroxGh0st malware family. Legion is designed to exploit email services for abuse.


### **The Way Forward**


Veriti’s research goes onto show the importance of proactive exposure management and threat intelligence in cyber security. Organizations must regularly update their security measures, including patch management for known vulnerabilities, strong web shell deployment monitoring, and behavioural analysis tools to prevent breaches and protect against similar vulnerabilities.





## Tags:
***CVE's***: CVE-2021-3129 CVE-2019-2725 CVE-2024-1709

### Autogenerated tags:
[[androxgh0st]] [[veriti]] [[malware]]
