# Cybercriminals Exploit ActiveMQ Flaw to Spread GoTitan Botnet, PrCtrl Rat
## The recently discovered GoTitan botnet is built on the Golang programming language, whereas PrCtrl Rat is a .NET program.
## Information:

+ Link: https://www.hackread.com/activemq-flaw-spread-gotitan-botnet-prctrl-rat/
+ Source: HACKRead
+ Author: Deeba Ahmed
+ Date published: 29 November 2023, 17:31
+ Date scraped: 01 December 2023, 19:11

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2023/11/activemq-flaw-spread-gotitan-botnet-prctrl-rat-2.jpg)






Fortinet’s FortiGuard Labs published new research highlighting that a critical Apache ActiveMQ vulnerability tracked as [**CVE-2023-46604**](https://www.hackread.com/kinsing-crypto-malware-linux-apache-activemq-flaw/) is under active exploitation by numerous threat actors.


Despite the release of a patch a month ago, FortiGuard researchers continue to identify various malware strains exploiting a known flaw. The persistent exploitation by cybercriminals is concerning, as it allows them to execute arbitrary code on susceptible servers.


FortiGuard Labs’ report has brought attention to several new threats, such as the emergence of a Golang-based botnet named GoTitan and a .NET program called PrCtrl Rat, which possesses remote control capabilities.


Apache recently issued an advisory regarding a vulnerability related to the deserialization of untrusted Apache data. The Cybersecurity and Infrastructure Security Agency (CISA) has categorized this flaw in its Known Exploited Vulnerabilities [**(KEV) catalogue**](https://www.cisa.gov/news-events/alerts/2023/11/02/cisa-adds-one-known-exploited-vulnerability-catalog), underscoring its high risk and potential impact.


Researchers claim that this flaw is currently being exploited to distribute various malware strains, including GoTitan, PrCtrl Rat, Kinsing, Silver, and Ddostff.


Silver, designed as an advanced penetration testing tool and red teaming framework, has the capability to support various callback protocols, including TCP, DNS, and HTTP(S). **[Kinsing malware](https://www.hackread.com/kinsing-crypto-malware-linux-apache-activemq-flaw/)** specializes in supporting cryptojacking operations and can exploit newly discovered security vulnerabilities. On the other hand, **[Ddostff botnet](https://www.hackread.com/ddostf-botnet-ddos-attacks-mysql-docker-hosts/)** has been widely employed in Distributed Denial of Service (DDoS) attacks since 2016.


GoTitan, a recently uncovered botnet, is coded in the **[Go programming language](https://www.hackread.com/botenago-malware-hits-iot-devices/)**. Users typically download this botnet from a malicious URL, and it is currently compatible with x64 architectures. Upon installation, the botnet initiates a system scan and generates a debug file named c.log to document execution time and status.


Following its initial installation, GoTitan replicates itself as .mod within the system, establishing a recurring execution by registering in the Cron. To facilitate communication, the botnet retrieves the Command and Control (C2) IP address. It utilizes this connection to transmit stolen data, encompassing details about the infected device, such as memory, CPU specifications, and architecture information.






According to Fortinet Labs’ **[blog post](https://www.fortinet.com/blog/threat-research/gotitan-botnet-exploitation-on-apache-activemq),** for data transmission, it uses “<==>” as separators. The message starts with “Titan<==>” whereas it communicates with the C2 by sending “FE FE” as a heartbeat signal and waits for further instructions. GoTitan supports ten different methods of launching DDoS attacks.


The exploitation process begins with the attacker establishing a connection to the ActiveMQ server using the OpenWire protocol, commonly on port 61616. Subsequently, the attacker sends a carefully crafted packet, inducing the system to unmarshal a class under their control.


This action prompts the vulnerable server to fetch and load a class configuration XML file from a designated remote URL. Within this malicious XML file, arbitrary code is defined, aiming to execute on the compromised machine.



[![Cybercriminals Exploit ActiveMQ Flaw to Spread GoTitan Botnet, PrCtrl Rat](https://www.hackread.com/wp-content/uploads/2023/11/activemq-flaw-spread-gotitan-botnet-prctrl-rat-1.jpg)](https://www.hackread.com/wp-content/uploads/2023/11/activemq-flaw-spread-gotitan-botnet-prctrl-rat-1.jpg)GoTiten and PrCtrl Rat’s XML file (Credit: FortiGuard Labs


Technical details and proof-of-concept (PoC) code for the vulnerability are publicly accessible. Users are advised to stay vigilant against active exploits by Sliver, Kinsing, and Ddostf. Prioritizing system updates and patching is crucial, and regular monitoring of security advisories is recommended to effectively mitigate the risk of exploitation.










## Tags:
***CVE's***: CVE-2023-46604

### Autogenerated tags:
[[botnet]] [[gotitan]] [[fortiguard]] [[malware]] [[prctrl]] [[kinsing]] [[xml]]
