# Magnet Goblin Hackers Using Ivanti Flaws to Deploy Linux Malware
## Magnet Goblin targets businesses using outdated software. Patch immediately and implement strong security measures to protect against attacks.
## Information:

+ Link: https://www.hackread.com/magnet-goblin-hackers-ivanti-flaws-linux-malware/
+ Source: HACKRead
+ Author: Deeba Ahmed
+ Date published: 11 March 2024, 18:21
+ Date scraped: 11 March 2024, 23:17

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/03/magnet-goblin-hackers-ivanti-flaws-linux-malware-1.jpg)



[![Magnet Goblin Hackers Using Ivanti Flaws to Deploy Linux Malware](https://www.hackread.com/wp-content/uploads/2024/03/magnet-goblin-hackers-ivanti-flaws-linux-malware-1-1024x596.jpg)](https://www.hackread.com/wp-content/uploads/2024/03/magnet-goblin-hackers-ivanti-flaws-linux-malware-1.jpg)


Cybersecurity researchers at Check Point are warning of a malicious campaign targeting [one-day vulnerabilities in Ivanti](https://www.hackread.com/ivanti-vpn-zero-day-flaws-cyber-attacks/) and other security software products, potentially impacting a wide range of organizations. 






The culprit behind this campaign is a financially motivated hacker group known as Magnet Goblin. This group has been active since January 2022 and specializes in leveraging newly disclosed vulnerabilities, targeting public-facing servers and edge devices.


According to Check Point’s [research](https://research.checkpoint.com/2024/magnet-goblin-targets-publicly-facing-servers-using-1-day-vulnerabilities/), Magnet Goblin is using one-day security vulnerabilities to breach edge devices and public-facing services and deploy custom malware on Linux systems. For your information, after zero-day vulnerabilities are disclosed publicly and patches are released, they are referred to as one-day vulnerabilities.


The attackers exploit unpatched servers like Ivanti Connect Secure VPN, Magento, Qlik Sense, and possibly Apache ActiveMQ to deploy a cross-platform remote access trojan (RAT) called Nerbian RAT, first [documented](https://www.proofpoint.com/us/blog/threat-insight/nerbian-rat-using-covid-19-themes-features-sophisticated-evasion-techniques) by Proofpoint in 2022. It also utilized Nerbian RAT’s simplified variant, MiniNerbian, which allows arbitrary command execution from a C2 server. 


“NerbianRAT and MiniNerbian… these tools have operated under the radar as they mostly reside on edge devices. This is part of an ongoing trend for threat actors to target areas which until now have been left unprotected,” researchers noted.


[NerbianRAT](https://www.hackread.com/fake-who-covid-safety-emails-nerbian-rat-europe/) is downloaded from compromised systems with critical [Ivanti Connect Secure flaws](https://www.hackread.com/ivanti-vpn-flaws-dslog-backdoor-crypto-miners/). While researching, CheckPoint discovered a 1-day vulnerability infection that led to the download of the NerbianRAT Linux variant. 


The variant was used to execute various malicious activities on compromised systems, including modifying connection intervals, work time settings, and updating configuration variables.


Magnet Goblin leveraged [CVE-2023-46805](https://www.hackread.com/stolen-vpn-access-hackers-target-ivanti-users-patches/), [CVE-2024-21887](https://www.hackread.com/ivanti-vpn-zero-day-flaws-cyber-attacks/), [CVE-2024-21888](https://www.hackread.com/ivanti-vpn-flaws-dslog-backdoor-crypto-miners/), and [CVE-2024-21893](https://www.hackread.com/ivanti-vpn-flaws-dslog-backdoor-crypto-miners/) in Ivanti VPNs, [CVE-2022-24086](https://nvd.nist.gov/vuln/detail/CVE-2022-24086) in Magento, and [CVE-2023-41265](https://nvd.nist.gov/vuln/detail/CVE-2023-41265), [CVE-2023-41266](https://nvd.nist.gov/vuln/detail/CVE-2023-41266), and [CVE-2023-48365](https://nvd.nist.gov/vuln/detail/CVE-2023-48365) in Qlik Sense. 


They used a JavaScript credential stealer called Warpwire and the open-source tunnelling tool Ligolo to exploit these vulnerabilities. Warpwire stealer is linked to mass Ivanti vulnerability exploitation and was used [in a 2022 Magento server attack](https://www.hackread.com/500-magento-sites-hacked-payment-skimmer-attack/). In addition, they used remote monitoring tools [ScreenConnect](https://www.hackread.com/iran-muddywater-spear-phishing-against-israel/) and [AnyDesk](https://www.hackread.com/anydesk-logins-credentials-sold-on-dark-web/), targeting Qlik Sense and [Apache ActiveMQ](https://www.hackread.com/kinsing-crypto-malware-linux-apache-activemq-flaw/).






It is worth noting that Ivanti issued a [public advisory](https://forums.ivanti.com/s/article/CVE-2023-46805-Authentication-Bypass-CVE-2024-21887-Command-Injection-for-Ivanti-Connect-Secure-and-Ivanti-Policy-Secure-Gateways?l) in January for CVE-2024-21887, a command injection vulnerability, urging users to patch their systems against wild exploitations. However, Check Point found that Magnet Goblin exploitations occurred within a day of patch issuance, targeting systems not yet patched with available fixed updates.



[![Magnet Goblin Hackers Using Ivanti Flaws to Deploy Linux Malware](https://www.hackread.com/wp-content/uploads/2024/03/magnet-goblin-hackers-ivanti-flaws-linux-malware-2.jpg)](https://www.hackread.com/wp-content/uploads/2024/03/magnet-goblin-hackers-ivanti-flaws-linux-malware-2.jpg)Compromised Magento servers used in Magnet Goblin campaigns (Screenshot: Checkpoint)


[John Gallagher](https://www.linkedin.com/in/b2bpipelinebuilder/), Vice President of Viakoo Labs at Viakoo commented on the findings stating, “It’s clear that Magnet Goblin is taking the easy route; using recently disclosed vulnerabilities to exploit poorly defended systems. With many edge and IoT devices and applications there is a lag time between when a vulnerability is disclosed and when a patch is available…and then another lag time between when the patch is released and when it is implemented.”


“Often the teams managing edge and IoT systems are outside of IT and may have different priorities or sense of urgency when it comes to patching. One can expect that one-day threats will be a major security issue, as the speed of AI can accelerate these specific types of threats. Until the speed of delivery by threat actors is matched by the speed of response by defenders this will be an ongoing security risk.”






Organisations of all sizes relying on Ivanti software for endpoint management and security are at potential risk. This includes companies in various sectors that utilize Ivanti to safeguard their critical infrastructure.


Therefore, patching Ivanti software is necessary to prevent exploitation along with increased monitoring, and adopting a layered security approach, including implementing Endpoint Detection and Response (EDR) solutions to strengthen the overall security of the network and devices.





## Tags:
***CVE's***: CVE-2024-21888 CVE-2023-41266 CVE-2024-21887 CVE-2023-41265 CVE-2024-21893 CVE-2023-48365 CVE-2023-46805 CVE-2022-24086

### Autogenerated tags:
[[ivanti]] [[one-day]] [[magento]] [[qlik]] [[nerbianrat]]
