# New GambleForce Hacker Gang Hacks Targets with Open Source Tools
## Cybersecurity researchers at Singapore-based Group-IB have unmasked EagleStrike, a subgroup of the GambleForce hacker group. They are opportunistic hackers exploiting simple vulnerabilities.
## Information:

+ Link: https://www.hackread.com/gambleforce-hacks-targets-open-source-tools/
+ Source: HACKRead
+ Author: Waqas
+ Date published: 14 December 2023, 21:45
+ Date scraped: 18 December 2023, 12:06

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2023/12/gambleforce-hacks-targets-with-open-source-tools-2.jpg)






In September 2023, Group-IB’s Threat Intelligence unit discovered a command and control server hosting publicly available open-source **[pentesting tools](https://www.hackread.com/kali-linux-2023-4-out-cloud-arm64-hyper-v-pi-5/)**, none being custom-made, designed for SQL injections.


The attacker was identified as “GambleForce,” who had targeted 24 organizations in government, gambling, retail, travel, and job-seeking sectors across 8 countries between September and December 2023, successfully compromising 6 websites in Australia, Indonesia, the Philippines, and South Korea. The group has also targeted websites in China, India, and Thailand.



[![New Hacker Group GambleForce Hacks Targets with Open Source Tools](https://www.hackread.com/wp-content/uploads/2023/12/gambleforce-hacks-targets-with-open-source-tools-1.jpg)](https://www.hackread.com/wp-content/uploads/2023/12/gambleforce-hacks-targets-with-open-source-tools-1.jpg)


The group uses basic yet effective techniques like SQL injections. It exploits vulnerable website content management systems (CMS) to extract user databases containing logins, hashed passwords, and tables from accessible databases.


GambleForce is not selective in its targets but collects hashed and plain text credentials. This suggests a broader motive beyond targeted attacks, possibly amassing data for future exploits or selling on the **[dark web](https://www.hackread.com/what-is-the-dark-web-search-engine-what-not-to-do/)**. 


The threat actors aim to exfiltrate any available information within targeted databases, such as hashed and plain text user credentials. The group’s actions with the stolen data remain unknown.


In an attack targeting Brazil, GambleForce exploited **[CVE-2023-23752](https://nvd.nist.gov/vuln/detail/CVE-2023-23752)**, a vulnerability in the Joomla CMS, and snatched data directly from contact form submissions, showcasing their adaptability and willingness to improvise.


Further probing revealed that GambleForce uses open-source tools like dirsearch, redis-rogue-getshell, and [**Tinyproxy**](https://github.com/tinyproxy/tinyproxy) for directory brute-forcing, web traffic intercepting, and SQL injections to exploit vulnerabilities in database servers. Their preferred tool is sqlmap, a pentesting tool that exploits SQL injection vulnerabilities. 


Researchers also found **[Cobalt Strike](https://www.hackread.com/microsoft-fortra-cobalt-strike-infrastructure/)**, a popular pen-testing framework, on their server, showcasing commands in Chinese. It is worth noting that recently Chinese scammers have wreaked havoc by creating cloned versions of legitimate websites and redirecting visitors to gambling sites.  






In November 2023, **[Hackread.com reported](https://www.hackread.com/chinese-scammers-cloned-websites-gambling-network/)** about the activities of Chinese hackers in which MindaNews, a Philippine newspaper, discovered a Chinese clone of its website (mmart-inn.com) that has been illegally replicating the newspaper’s content for two years, with the most recent translation being from February 2023.


In its **[blog post](https://www.group-ib.com/blog/gambleforce-gang/)**, Group-IB’s Threat Intelligence wrote that its researchers shared the recent findings with its 24/7 Computer Emergency Response Team (CERT-GIB), which took down the cybercriminals’ C2 server. GambleForce is likely to regroup/rebuild its infrastructure before launching new attacks.


Nevertheless, the case goes on to show that even the most basic security gaps can have significant consequences, underscoring the need for a layered defence strategy that prioritizes patching known vulnerabilities and implementing vital security controls.









## Tags:
***CVE's***: CVE-2023-23752

### Autogenerated tags:
[[sql]] [[gambleforce]] [[websites]]
