# Russian Ministry Software Backdoored with North Korean KONNI Malware
## Discover the latest cybersecurity revelation: KONNI malware, linked to North Korea, targets the Russian Ministry of Foreign Affairs.
## Information:

+ Link: https://www.hackread.com/russia-software-backdoor-n-korea-konni-malware/
+ Source: HACKRead
+ Author: Waqas
+ Date published: 24 February 2024, 16:43
+ Date scraped: 24 February 2024, 17:02

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/02/russian-ministry-software-backdoored-with-north-korean-konni-malware.jpg)


German cybersecurity firm DCSO has discovered a malware sample uploaded to VirusTotal in January 2024, believed to be part of North Korea-linked activity targeting the Russian Ministry of Foreign Affairs (MID). The malware is believed to be **[KONNI](https://www.hackread.com/konni-rat-word-docs-to-steal-windows-data/)**, a North Korean nexus tool used since 2014.






KONNI, first **[discovered in 2014](https://www.hackread.com/north-korean-hit-by-konni-inexsmar-malware-after-missile-tests/)**, is associated with the Democratic People’s Republic of Korea (DPRK)-nexus actors like Konni Group and TA406. The malware has unique stealer functionality and remote administration capability. It’s installed in an MSI file, with C2 servers encrypted with AES-CTR, and a CustomAction for detection and payload selection. 


In the latest discovery, researchers noted that KONNI’s command set remains unchanged, allowing operators to execute commands, upload/download files, specify sleep intervals, communicate via HTTP, and compress file extensions into .CAB archives.



Interestingly, the sample **[DCSO analyzed](https://medium.com/@DCSO_CyTec/to-russia-with-love-assessing-a-konni-backdoored-suspected-russian-consular-software-installer-ce618ea4b8f3)** was delivered via a backdoored Russian language software installer, similar to a previously observed KONNI delivery technique. The sample was for a tool called “Statistika KZU”, which is believed to be intended for internal use within the Russian MID. The software is used for relaying annual report files from overseas consular posts to the MID’s Consular Department via a secure channel.


Additionally, two user manuals were found in the backdoored installer, detailing the installation and usage of the “Statistika KZU” program. The first manual explains installing the program on an administrative account, providing minimum software requirements and screenshots.


The second 22-pager manual, “StatRKZU\_Pyкoвoдcтвo,” outlines how to use the software for generating annual report files on KZU consular activities, including templates for calculating registered and detained citizens.


The MID’s software, identified as “GosNIIAS” (a Russian federal research institute primarily involved in aerospace research), was tested offline and found legitimate. Despite no direct correlations between GosNIIAS and Statistika KZU, references to contracts were found, including a procurement order for automated system maintenance and data protection software.


This discovery comes amid increasing geopolitical proximity between Russia and the DPRK, following Russia’s renewed [invasion of Ukraine in 2022](https://www.hackread.com/protestware-npm-packages-peace-gaza-ukraine/).






### **Russia and North Korea’s Cyber Standoff**


This is not the first time Russia and North Korea have made collective headlines over cybersecurity threats. **[In August 2023](https://www.hackread.com/russia-insurer-rosgosstrakh-hacked-data-sold/)**, the world witnessed another significant incident when “elite North Korean hackers” affiliated with OpenCarrot and the Lazarus group breached NPO Mashinostroyeniya, a key Russian missile developer. This breach, lasting for at least five months, revealed the alarming capabilities and determination of the attackers.


### **Previous Use of KONNI Backdoor**


KONNI has been used in many cyberespionage campaigns targeting Russian agencies. FortiGuard Labs discovered a KONNI malware campaign **[in November 2023](https://www.hackread.com/konni-rat-word-docs-to-steal-windows-data/)**, targeting Windows systems through Word documents with malicious macros. Malwarebytes researchers **[discovered](https://www.hackread.com/konni-rat-variant-hits-russia-ongoing-attack/)** a campaign in mid-2021 using Russian language lures concerning Russian-Korean trade and economic issues and a meeting of a Russian-Mongolian intergovernmental commission.


An unknown hacking group **[targeted](https://www.hackread.com/north-korean-hit-by-konni-inexsmar-malware-after-missile-tests/)** North Korean organizations using KONNI Malware in 2017. Three campaigns were identified back then- two by Talos Intelligence, a Cisco-owned cybersecurity firm, and the third reported by Cylance security firm.


For insights into this, we reached out to John Bambenek, President at [Bambenek Consulting](https://www.bambenekconsulting.com/), who emphasised that “It is not uncommon for intelligence agencies to spy even on their putative allies, if for nothing else, for insights to either strengthen the relationship or to identify and mitigate threats.”


Mr. Bambenek highlighted that “The use of a backdoor in software used almost exclusively by the Russian Foreign Ministry stands out and shows that the DPRK did their research here for a particular hook into their victims and is, ironically, a more targeted and precise adaptation of the approach Russian intelligence used with **[NotPetya](https://www.hackread.com/notpetya-attack-maersk-reinstalled-45000-pcs-2500-apps-4000-servers/)**.”


“Espionage has a couple of nuances where sometimes you want more sophisticated tools and for some attacks, you want narrow and simpler tools. For espionage, you want long-term persistent infection and sophisticated and interactive tools provide defenders more opportunities for detection. It’s not uncommon to see tools used for espionage that lack some of the obfuscation commonly observed in **[cybercrime tools](https://www.hackread.com/wormgpt-fraudgpt-ai-driven-cyber-crime/)**,” he added.










## Tags:


### Autogenerated tags:
[[konni]] [[malware]] [[cybersecurity]] [[dprk]] [[statistika]] [[bambenek]]
