# Windows Defender SmartScreen Vulnerability Exploited with Phemedrone Stealer
## The vulnerability was patched on November 14, 2023, but the Cybersecurity and Infrastructure Security Agency (CISA) added it to the Known Exploited Vulnerabilities (KEV) list due to evidence of in-the-wild exploitation.
## Information:

+ Link: https://www.hackread.com/windows-defender-smartscreen-vulnerability-phemedrone-stealer/
+ Source: HACKRead
+ Author: Deeba Ahmed
+ Date published: 15 January 2024, 18:55
+ Date scraped: 15 January 2024, 19:03

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/01/windows-defender-smartscreen-vulnerability-phemedrone-stealer.jpg)






The vulnerability was [patched](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-36025) on November 14, 2023, but the Cybersecurity and Infrastructure Security Agency (CISA) added it to the Known Exploited Vulnerabilities (KEV) list due to evidence of in-the-wild exploitation. Since its discovery, numerous malware campaigns, including the Phemedrone Stealer payload, have exploited it in their [attack chains](https://www.hackread.com/8220-gang-telecom-healthcare-cryptojacking-attack/).


Cybersecurity researchers at Trend Micro have discovered that a vulnerability affecting [Microsoft Windows Defender SmartScreen](https://learn.microsoft.com/en-us/windows/security/operating-system-security/virus-and-threat-protection/microsoft-defender-smartscreen/), tracked as CVE-2023-36025, is being exploited to infect users with Phemedrone Stealer. 


For your information, Windows Defender SmartScreen is a built-in security feature in Microsoft Windows 8 and later that helps protect users from malicious websites, downloads, and applications. It acts as a first line of defence against a variety of threats, including phishing websites, malicious downloads and untrusted applications.


This open-source malware strain targets web browsers, cryptocurrency wallets, and messaging apps like Telegram, Steam, and Discord. Its additional capabilities allow the malware to take screenshots gather system information such as hardware details and location data and send stolen data to attackers via Telegram or their C2 server. Phemedrone Stealer is maintained on GitHub and Telegram.


Reportedly, hackers use social media to spread URL files that appear as harmless link shortcuts, which are then downloaded and run by clicking on them. The infection process begins with an attacker hosting malicious Internet Shortcut files on cloud services like Discord or FileTransfer.io, disguised using URL shorteners like shorturl.at. An unsuspecting user may be tricked into opening a maliciously crafted.url file that exploits [CVE-2023-36025](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-36025https://nvd.nist.gov/vuln/detail/CVE-2023-36025).


The attackers craft a Windows shortcut (.url) file to evade the SmartScreen protection prompt by employing a .cpl file as part of a malicious payload delivery mechanism. The.cpl file is executed through the Windows Control Panel process binary, calling rundll32.exe to execute a malicious DLL.


The malware, hosted on GitHub, downloads a ZIP file containing three files: WerFaultSecure.exe, Wer.dll, and Secure.pdf. The wer.dll file is crucial for the loader’s functionality. The attacker executes the loader using DLL sideloading, spoofing a malicious DLL file in the application’s directory.






The DATA3.txt file masks its contents, making deciphering its purpose difficult. The malware collects system information, compresses it into a ZIP file, and sends the compressed data to the attacker via SendMessage and SendZip methods. Through techniques like API hashing and string encryption, the malware evades detection and complicates reverse engineering.


[![Windows Defender SmartScreen Vulnerability Exploited with Phemedrone Stealer](https://www.hackread.com/wp-content/uploads/2024/01/Windows-Defender-SmartScreen-Vulnerability-Exploited-with-Phemedrone-Stealer-783x1024.jpg)](https://www.hackread.com/wp-content/uploads/2024/01/Windows-Defender-SmartScreen-Vulnerability-Exploited-with-Phemedrone-Stealer.jpg)


CVE-2023-36025, having a CVSS score of 8.8, affects Microsoft Windows Defender SmartScreen because of its lack of checks on Internet Shortcut files, allowing attackers to create.url files and execute malicious scripts.


The vulnerability was [patched](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-36025) on November 14, 2023, but the Cybersecurity and Infrastructure Security Agency (CISA) [added](https://www.cisa.gov/news-events/alerts/2023/11/14/cisa-adds-three-known-exploited-vulnerabilities-catalog) it to the Known Exploited Vulnerabilities (KEV) list due to evidence of in-the-wild exploitation. Since its discovery, numerous malware campaigns, including the Phemedrone Stealer payload, have exploited it in their [attack chains](https://www.hackread.com/8220-gang-telecom-healthcare-cryptojacking-attack/).


To stay protected, developers should regularly update their operating systems, apps, and security solutions, be cautious with Internet Shortcut files, and implement advanced solutions like real-time monitoring and threat detection capabilities.










## Tags:
***CVE's***: CVE-2023-36025

### Autogenerated tags:
[[malware]] [[windows]] [[phemedrone]] [[smartscreen]] [[cybersecurity]] [[microsoft]] [[cve-2023-36025]] [[dll]]
