# Decoy Dog Malware Upgraded to Include New Features
## Decoy Dog used DNS for C2 and is suspected to be employed in ongoing nation-state cyber-attacks
## Information:

+ Link: https://www.infosecurity-magazine.com/news/decoy-dog-malware-upgraded/
+ Source: Infosecurity News
+ Author: Alessandro  Mascellino
+ Date published: 25 July 2023, 17:30
+ Date scraped: 25 July 2023, 17:01

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/2f447be1-d75b-487e-957b-d19e22085256.png)


[Infoblox](https://www.infoblox.com/) has unveiled crucial updates on the “Decoy Dog” remote access trojan (RAT) toolkit in a new threat report published today. 


Initially discovered and [disclosed in April 2023](https://www.infoblox.com/company/news-events/press-releases/infoblox-uncovers-dns-malware-toolkit-urges-companies-to-block-malicious-domains/), Decoy Dog has proven to be more sophisticated than previously thought, using DNS for command-and-control (C2) and is suspected to be employed in ongoing nation-state cyber-attacks.


Following Infoblox’s disclosure of the toolkit, threat actors responded swiftly, adapting their systems to maintain access to compromised devices.


The malware has also expanded its reach, with at least three different actors now operating it. Though based on the open-source RAT Pupy, Decoy Dog is a new and previously unknown malware with advanced capabilities to persist on compromised devices.


The malware can now move victims to different controllers, maintaining communication with compromised machines for extended periods. Some victims have remained in contact with a Decoy Dog server for over a year.


“It’s intuitive that DNS should be the first line of defense for organizations to detect and mitigate threats like Decoy Dog,” [said Scott Harrell](https://www.infoblox.com/company/news-events/press-releases/decoy-dog-is-no-ordinary-pupy-infoblox-reveals-shift-in-malware-tactics-after-initial-discovery/), Infoblox president and CEO.


“As demonstrated with Decoy Dog, studying and deeply understanding the attacker’s tactics and techniques allows us to block threats before they are even known as malware.”


*[Read more on similar attacks: Roaming Mantis’ Hacking Campaign Adds DNS Changer to Mobile App](https://www.infosecurity-magazine.com/news/roaming-mantis-adds-dns-changer/)*


To support further investigation of the malware’s C2 systems, Infoblox has released a new dataset containing DNS traffic captured from their servers.


“The lack of insight into underlying victim systems and vulnerabilities being exploited makes Decoy Dog an ongoing and serious threat,” explained Dr. Renée Burton, head of threat intelligence at Infoblox.


“The best defense against this malware is DNS. Malicious activity often goes unnoticed because DNS is undervalued as a critical component in the security ecosystem. Only enterprises with a strong protective DNS strategy can protect themselves from these types of hidden threats.” Burton added.


The executive will present exclusive insights in a talk, “Decoy Dog is No Ordinary Pupy,” at the [Black Hat cybersecurity conference](https://www.blackhat.com/us-23/) in Las Vegas on August 9. 


Infoblox researchers will also provide hands-on challenges using a live Pupy controller at their booth, demonstrating how DNS traffic is exploited to relay communications between clients and servers.






## Tags:


### Autogenerated tags:
[[dns]] [[infoblox]] [[malware]]
