# Hackers Deploy Open-Source Tool Sliver C2, Replacing Cobalt Strike, Metasploit
## Sliver is gaining popularity due to its modular capabilities and cross-platform support
## Information:

+ Link: https://www.infosecurity-magazine.com/news/hackers-deploy-open-source-tool/
+ Source: Infosecurity News
+ Author: Alessandro  Mascellino
+ Date published: 23 January 2023, 17:00
+ Date scraped: 23 January 2023, 19:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/6e5494b1-e53f-4283-a183-5a3435d1b40d.jpg)

An increasing number of threat actors have started relying on the command-and-control (C2) framework Sliver as an open-source alternative to tools such as Metasploit and Cobalt Strike.


Security researchers at [Cybereason](https://www.infosecurity-magazine.com/directory/cybereason-1/) described the new phenomenon in an [advisory](https://www.cybereason.com/blog/sliver-c2-leveraged-by-many-threat-actors) published last Thursday, adding that Sliver is gaining popularity due to its modular capabilities (via Armory), cross-platform support and vast number of features.


“Sliver C2 is getting more and more traction since its release in 2020,” reads the report. “As of today, the number of threat intelligence reports is still low, and the main reports describe the use of the Russian SVR leveraging Sliver C2.”


In particular, the team said it already noticed Sliver with known threat actors and malware families such as [BumbleBee](https://www.infosecurity-magazine.com/search/?q=BumbleBee) and APT29 (also known as Cozy Bear).


The Golang-based, post-exploitation framework had been designed by cybersecurity firm Bishop Fox to provide red team professionals with several penetration testing tools. These include dynamic code generation, compile-time obfuscation, multiplayer mode and staged and stageless payloads, among others.


“Sliver is designed as a second stage payload which, after deployment, gives the threat actor full access to the target system and the ability to conduct the next steps in the attack chain,” explained researchers Loïc Castel and Meroujan Antonyan in the Cybereason advisory.


According to the cybersecurity experts, an attack sequence leveraging the C2 framework could lead to privilege escalation, credential theft and lateral movement. A proof-of-concept attack by Cybereason showed that attackers could ultimately take over the domain controller to exfiltrate sensitive data.


To spot attacks exploiting the platform, Castel and Antonyan recommended companies watch out for unique network and system signatures.


“The detection of Sliver C2 is possible as this framework creates specific signatures when executing Sliver-specific features,” reads the advisory. “Detections and fingerprinting of the infrastructure server also exist and are listed in [this article.](https://www.cybereason.com/blog/sliver-c2-leveraged-by-many-threat-actors)”


The Cybereason advisory comes two months after Proofpoint [security researchers warned](https://www.infosecurity-magazine.com/news/experts-threat-actors-red-team/) that a new red-teaming tool dubbed “Nighthawk” may soon be exploited by threat actors.





## Tags:


### Autogenerated tags:
[[c2]] [[cybereason]]
