# HelpSystems Patch Falls Short, RCE Vulnerability in Cobalt Strike Remains
## Certain components in Java Swing will interpret text as HTML content if it starts with <html>
## Information:

+ Link: https://www.infosecurity-magazine.com/news/rce-vulnerability-in-cobalt-strike/
+ Source: Infosecurity News
+ Author: Alessandro  Mascellino
+ Date published: 18 October 2022, 17:00
+ Date scraped: 18 October 2022, 17:01

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/4dfd54e2-51b6-4033-bc91-6e391776c603.png)

A remote code execution (RCE) vulnerability has been discovered in [Cobalt Strike](https://www.infosecurity-magazine.com/search/?q=cobalt strike) software, potentially allowing threat actors to take control of targeted systems.


At a basic level, Cobalt Strike is a red-team framework primarily used for adversary simulation. It comprises a team server that functions as a command-and-control (C2) component and a beacon (malware tool) to create a connection to the team server and drop next-stage payloads.


The new flaw (tracked CVE-2022-42948) affects Cobalt Strike version 4.7.1 and derives from an incomplete patch released by [HelpSystems](https://www.helpsystems.com/) on September 20, 2022, to rectify a cross-site scripting (XSS) vulnerability (CVE-2022-39197) that could lead to RCE attacks.


According to a new [advisory](https://securityintelligence.com/posts/analysis-rce-vulnerability-cobalt-strike/) by the [IBM](https://www.infosecurity-magazine.com/search/?q=IBM)-sponsored Security Intelligence team, the XSS vulnerability could be triggered in one of three ways: by manipulating client-side UI input fields, simulating a Cobalt Strike implant check-in or hooking a Cobalt Strike implant running on a host.


Despite the patch released by HelpSystems last month, the first of these three methods has not been fully patched, as described by the IBM advisory.


Addressing the new flaw in a blog post published on Monday, Greg Darwin, software development manager at HelpSystems, clarified that RCE could be triggered in specific cases using the Java Swing framework, the graphical user interface (GUI) toolkit behind Cobalt Strike.


"Certain components within Java Swing will automatically interpret any text as HTML content if it starts with < html >," Darwin [explained](http://www.cobaltstrike.com/blog/out-of-band-update-cobalt-strike-4-7-2/). "Disabling automatic parsing of HTML tags across the entire client was enough to mitigate this behavior."


At the same time, the security expert clarified that the vulnerability is not specific to Cobalt Strike, which is why the company has not submitted a new CVE to cover it.


"The underlying vulnerability can be found in Java Swing and can be exploited in any Java Swing GUI that renders HTML, not just Cobalt Strike."


That being said, Darwin also apologized for releasing two out-of-band updates in a matter of weeks.


"We apologize for any problems these issues may have caused," he added. "Licensed users can run the update program to get this version or download version 4.7.2 from scratch from the website. We recommend taking a copy of your existing Cobalt Strike folder before upgrading in case you need to revert to the previous version."


The software company was also under the spotlight last month when Cisco Talos [unveiled a malicious campaign](https://www.infosecurity-magazine.com/news/government-union-lures-used-cobalt/) relying on Cobalt Strike beacons and using them in follow-on attacks.





## Tags:
***CVE's***: CVE-2022-42948 CVE-2022-39197

### Autogenerated tags:
[[html]] [[rce]] [[helpsystems]]
