# Microsoft Blames Clop Affiliate for PaperCut Attacks
## Some attacks also linked to LockBit deployment
## Information:

+ Link: https://www.infosecurity-magazine.com/news/microsoft-blames-clop-affiliate/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 27 April 2023, 08:30
+ Date scraped: 27 April 2023, 10:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/f1fc1a9d-b2d6-41ae-96e1-e5d9b7a880e6.png)

[Microsoft](https://www.microsoft.com/) has claimed that recent attacks exploiting two vulnerabilities in the PaperCut print management software are likely the result of a Clop ransomware affiliate.


The two bugs in question are [CVE-2023–27350](https://nvd.nist.gov/vuln/detail/CVE-2023-27350) – a critical unauthenticated remote code execution flaw – and [CVE-2023–27351](https://nvd.nist.gov/vuln/detail/CVE-2023-27351) – a high severity unauthenticated information disclosure flaw. The former has a CVSS score of 9.8.


After being notified by [Trend Micro](https://www.trendmicro.com/), [PaperCut alerted users](https://www.papercut.com/kb/Main/PO-1216-and-PO-1219) last week that the vulnerabilities were being exploited in the wild and urged customers to update their servers immediately.


Microsoft Threat Intelligence yesterday attributed recent attacks exploiting the bugs to “Lace Tempest,” a threat actor it says overlaps with FIN11 and TA505. FIN11 is linked to the infamous Clop ransomware gang and the Accellion FTA extortion campaign, while TA505 is reportedly behind the Dridex banking Trojan and Locky ransomware.


[*Read more on Clop ransomware: Raspberry Robin Worm Actors Linked to Clop, LockBit Ransomware Groups.*](https://www.infosecurity-magazine.com/news/raspberry-robin-linked-to/)


Also known as DEV-0950, Lace Tempest is a Clop ransomware affiliate that has previously been detected using [GoAnywhere exploits](https://www.infosecurity-magazine.com/news/clop-ransomware-exploits/) and Raspberry Robin malware in ransomware campaigns. Microsoft said the threat group exploited the PaperCut bugs in attacks as early as April 13.


“In observed attacks, Lace Tempest ran multiple PowerShell commands to deliver a TrueBot DLL, which connected to a C2 server, attempted to steal LSASS credentials, and injected the TrueBot payload into the conhost.exe service,” Microsoft [added in a tweet.](https://twitter.com/MsftSecIntel/status/1651346653901725696)


“Next, Lace Tempest delivered a Cobalt Strike Beacon implant, conducted reconnaissance on connected systems, and moved laterally using WMI. The actor then identified and exfiltrated files of interest using the file-sharing app MegaSync.”


Microsoft added that other groups may also be exploiting the two PaperCut vulnerabilities in the wild, noting that some intrusions had led to deployment of the prolific LockBit ransomware.





## Tags:
***CVE's***: CVE-2023-27350 CVE-2023-27351

### Autogenerated tags:
[[ransomware]] [[microsoft]] [[papercut]]
