# MITRE shares lessons on VMware rogue VMs used in its own cyberattack
## Attackers used a default account to create hidden VMs and persist in MITRE’s VMware environment.
## Information:

+ Link: https://www.scmagazine.com/news/mitre-shares-lessons-on-vmware-rogue-vms-used-in-its-own-cyberattack
+ Source: SC Magazine
+ Author: Laura French
+ Date published: 24 May 2024, 00:00
+ Date scraped: 28 May 2024, 19:01

## Article:
![Main article image](https://files.scmagazine.com/wp-content/uploads/2024/05/AdobeStock_346620339.jpg)

MITRE shared new lessons from [its own cyberattack](https://www.scmagazine.com/news/mitre-research-and-prototyping-network-breached-via-ivanti-zero-days) in [a blog post](https://medium.com/mitre-engenuity/infiltrating-defenses-abusing-vmware-in-mitres-cyber-intrusion-4ea647b83f5b) Wednesday, describing how [China state-sponsored threat actor UNC5221](https://www.scmagazine.com/brief/mitre-breach-linked-to-chinese-threat-operation) used rogue virtual machines (VMs) to evade detection and establish persistence in its VMware environment.

MITRE’s Networked Experimentation, Research, and Virtualization Environment (NERVE) was compromised in January with the threat actors leveraging two Ivanti Connect Secure zero-days for initial access. The intrusion was discovered in April.

The latest blog post dives further into the tactics MITRE’s cyberattackers used to persist undetected in the organization’s VMware environment. The attackers, having already gained administrative access to the MITRE NERVE ESXi infrastructure, used the default service account VPXUSER to create several rogue VMs.

The rogue VMs remained hidden due to their creation via VPXUSER directly on the hypervisor instead of through the vCenter administrative console, the blog post explained. Accounts created this way do not appear in the vCenter inventory.

The attackers deployed a backdoor called BRICKSTORM within the rogue VMs, enabling communication with both the attacker’s command-and-control (C2) servers and administrative subnets within NERVE, MITRE said. They also deployed the JSP web shell BEEFLUSH under the vCenter Server’s Tomcat server to execute a Python-based tunneling tool that created SSH connections between the rogue VMs and ESXi hypervisors.

How to detect rogue VMs in your VMware environment
--------------------------------------------------

The MITRE blog concluded with recommended methods for VMware users to detect and mitigate rogue VMs and other suspicious activity.

Users should monitor their environments for unusual SSH activity, such as unexpected “SSH login enabled” and “SSH session was opened” messages, the blog stated. Administrators can manually check for unregistered VMs by using the command lines “vim-cmd vmsvc/getallvms” and “esxcli vm process list | grep Display” and comparing the vim-cmd output with the VM list from esxcli.

The blog post also provided instructions for detecting manipulation of the file “/etc/rc.local.d/local.sh” that can indicate an attacker is attempting to establish persistence. Two scripts – [Invoke-HiddenVMQuery](https://github.com/center-for-threat-informed-defense/public-resources/tree/master/nerve-incident#rogue-vm-detection-script) by MITRE and [VirtualGHOST](https://github.com/CrowdStrike/VirtualGHOST) by CrowdStrike – can also help automatically detect anomalies in VMware environments.

Lastly, MITRE and VMware’s Product Security Incident Response Team (PSIRT) say [enabling secure boot](https://docs.vmware.com/en/VMware-vSphere/7.0/com.vmware.vsphere.security.doc/GUID-5D5EE0D1-2596-43D7-95C8-0B29733191D9.html) is “the most effective countermeasure to thwart the persistence mechanism.”




## Tags:


### Autogenerated tags:
[[vms]] [[blog]] [[vmware]] [[ssh]] [[vcenter]]
