# Alleged Iranian threat actors leak the code of their CodeRAT malware
## The author of the remote access trojan (RAT) CodeRAT has leaked the source code of its malware on GitHub. The development team behind the remote access trojan (RAT) CodeRAT has leaked the source code of its malware on GitHub after the SafeBreach Labs researchers recently analyzed a new targeted attack aimed at Farsi-speaking code developers. […]
## Information:

+ Link: https://securityaffairs.co/wordpress/135255/malware/coderat-malware.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 04 September 2022, 09:14
+ Date scraped: 04 September 2022, 10:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/coderat.png?resize=300%2C300&ssl=1)


The development team behind the remote access trojan (RAT) CodeRAT has leaked the source code of its malware on GitHub after the


SafeBreach Labs researchers recently analyzed a new targeted attack aimed at Farsi-speaking code developers. The attackers used a Microsoft Word document that included a Microsoft Dynamic Data Exchange (DDE) exploit along with a previously undiscovered remote access trojan (RAT), tracked as CodeRAT by SafeBreach Labs researchers.


The interesting aspect of this investigation is that the researchers were able to identify the developer of CodeRAT who, after being confronted by us, opted to leak the source code of CodeRAT in his public GitHub account.


[![CodeRAT](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/coderat.png?resize=936%2C382&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/coderat.png?ssl=1)


CodeRAT allows its operators to monitor the victim’s activity on social networks and on local machines by supporting 50 commands, including taking screenshots, copying clipboard, terminating processes, analyzing GPU usage, downloading/uploading/deleting files, monitoring running processes, and executing programs The malicious code can monitor webmail, Microsoft Office documents, databases, social networks, games, integrated development environments (IDEs) for Windows and Android, and pornographic sites. CodeRAT also monitors a large number of browser window titles, two of which are unique to Iranian victims, a popular Iranian e-commerce site and a web messenger in Farsi.


Experts believe that the malware is a surveillance software used by the Iranian government.


*“This type of monitoring—specifically of pornographic sites, use of anonymous browsing tools, and social network activities—leads us to believe CodeRAT is an intelligence tool used by a threat actor tied to a government. It is commonly seen in attacks operated by the Islamic regime of Iran to monitor illegal/immoral activities of their citizens.” reads the analysis published by SafeBreach Labs.*


The CodeRAT used versatile communication methods, it supports communication over Telegram groups using the bot API or through USB flash drive. The malicious code is also able to operate in stealth mode by avoiding to send back data. The malware doesn’t use a dedicated C2 server, instead it uploads data to an anonymous, public site.


CodeRAT limits its usage to 30 days to avoid detection, it will also use the HTTP Debugger website as a proxy to communicate with its C2 Telegram group. 


The researchers also found evidence that the attackers’ names may be Mohsen and Siavahsh, which are common Persian names.


*“By sharing information specifically about our discovery of CodeRAT, our goal is to raise awareness about this new, unrecognized type of malware that leverages a relatively new technique of using an anonymous uploads site as a C2 server. We also hope to warn the developer community about the fact that they are particularly vulnerable to being targeted by this attack.” concludes the analysis.*


The report also includes indicators of compromise (IOCs) and YARA rules.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, malware)**



 
  


---


  




## Tags:


### Autogenerated tags:
[[coderat]] [[malware]] [[safebreach]] [[microsoft]] [[c2]]
