# Attackers use website contact forms to spread BazarLoader malware
## Threat actors are spreading the BazarLoader malware via website contact forms to evade detection, researchers warn. Researchers from cybersecurity firm Abnormal Security observed threat actors spreading the BazarLoader/BazarBackdoor malware via website contact forms. TrickBot operation has recently arrived at the end of the journey, according to AdvIntel some of its top members move under the Conti ransomware gang, […]
## Information:

+ Link: https://securityaffairs.co/wordpress/128942/cyber-crime/phishing-bazarloader-campaign.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 12 March 2022, 16:40
+ Date scraped: 12 March 2022, 17:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/03/phishing-BazarLoader.png?resize=300%2C300&ssl=1)


Researchers from cybersecurity firm Abnormal Security observed threat actors spreading the [BazarLoader/BazarBackdoor](https://securityaffairs.co/wordpress/128190/cyber-crime/conti-ransomware-takes-over-trickbot.html) malware via website contact forms.


[TrickBot](https://securityaffairs.co/wordpress/128087/malware/trickbot-targets-60-high-profile-companies.html) operation has recently arrived at the end of the journey, according to AdvIntel some of its top members move under the [Conti ransomware](https://securityaffairs.co/wordpress/126988/cyber-crime/bank-indonesia-conti-ransomware.html) gang, which is planning to replace the popular banking Trojan with the stealthier [BazarBackdoor](https://securityaffairs.co/wordpress/126979/cyber-crime/fbi-links-diavol-ransomware-trickbot.html).


BazarBackdoor was developed by TrickBot’s core team of developers and was used to achieve remote access into corporate networks and use it to deploy the ransomware.


With the increasing popularity of TrickBot it became easy to detect it with antimalware solutions, for this reason, the gang began employing the BazarBackdoor for initial access to networks.


The BazarBackdoor malware is usually spread through phishing messages using weaponized documents. 


The security firms rapidly updated their solution to detect these campaigns forcing the threat actors behind the malware to use new techniques to deliver the malware.


*“Between December 2021 and January 2022, we identified a series of phishing campaigns targeting several of our customers.” reads the [analysis](https://abnormalsecurity.com/blog/bazarloader-contact-form) published by Abnormal Security. “Rather than directly sending a phishing email, the attacker in these cases initiated a conversation through an organization’s website contact form. In these initial contact form submissions, the attacker posed as an employee at a Canadian luxury construction company looking for a quote for a product provided by the target.”*


The attacks leveraging an organization’s website contactform started in December 2021, threat actors used BazarBackdoor to deploy ransomware strains or Cobalt Strike beacons.


In one of the attacks analyzed by the experts, the attackers posed as employees of a Canadian construction company who submitted a request for a quote of product supplied by the target.


Once an employee has responded to the phishing attempt, the attackers continued negotiations in an effort to trick victim into downloading a malicious file. 


The attacks analyzed by the experts used a malicious ISO file supposedly relevant to the negotiation, the victims are invited to download it from file-sharing services like TransferNow and WeTransfer.



[![phishing BazarLoader](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/03/phishing-BazarLoader.png?resize=506%2C421&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/03/phishing-BazarLoader.png?ssl=1)
Contact forms were already used in the past, in April, Microsoft researchers [spotted](https://securityaffairs.co/wordpress/116620/cyber-crime/contact-forms-icedid-malware.html) a malware campaign abusing contact forms on legitimate websites to deliver the IcedID malware.


The ISO image used in the attacks observed by Abnormal Security contains a .lnk file and a .log file, the former includes a command instruction to open a terminal window using regsvr32.exe to run the so-named file DumStack.log, which is, in reality, a BazarBackdoor DLL.


*“With a process injection technique, the DLL uses svchost.exe service to evade detection and establish a connection with their command and control (C2) server at the IP address 13.107.21[.]200 using port 443.” continues the analysis.*


The backdoor is injected into the svchost.exe process and waits commands from the C2 server. At the time of the investigation, some of the C2 IP addresses were down, while others were not able to provide the second stage malware making it impossible to analyze it.


*“Based on this, it’s clear that the threat actors were attempting to execute a multi-stage attack with BazarLoader as a first step.” concludes the report.* *“BazarLoader is usually the first stage in a more sophisticated, multi-stage malware attack, often used to deploy Conti ransomware or Cobalt Strike, for example.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, BazarLoader)**


 
  


---


  




## Tags:
***ipv4-adresses***: 13.107.21.200
***urls***: http://13.107.21.200

### Autogenerated tags:
[[malware]] [[bazarbackdoor]] [[ransomware]] [[phishing]] [[website]] [[trickbot]] [[c2]] [[bazarloader]]
