# Avast details Worok espionage group’s compromise chain
## Cyber espionage group Worok abuses Dropbox API to exfiltrate data via using a backdoor hidden in apparently innocuous image files. Researchers from cybersecurity firm Avast observed the recently discovered espionage group Worok abusing Dropbox API to exfiltrate data via using a backdoor hidden in apparently innocuous image files. The experts started their investigation from the analysis published […]
## Information:

+ Link: https://securityaffairs.co/wordpress/138550/apt/worok-apt-dropbox-api.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 15 November 2022, 08:33
+ Date scraped: 15 November 2022, 09:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/image-13.png?resize=300%2C300&ssl=1)


Researchers from cybersecurity firm Avast observed the recently discovered espionage group Worok abusing Dropbox API to exfiltrate data via using a backdoor hidden in apparently innocuous image files.


The experts started their investigation from the analysis published by ESET on attacks against organizations and local governments in Asia and Africa. Avast experts were able to capture several PNG files embedding a data-stealing payload. They pointed out that data collection from victims’ machines using DropBox repository, and attackers use DropBox API for communication with the final stage.


Avast experts shed the light on the compromise chain detailing how attackers initially deployed the first-stage malware., tracked as CLRLoader, which loads the next-state payload PNGLoader.


*“PNGLoader is a loader that extracts bytes from PNGs files and reconstructs them into an executable code. PNGLoader is a .NET DLL file obfuscated utilizing .NET Reactor; the file description provides information that mimics legitimate software such as Jscript Profiler or Transfer Service Proxy.” reads the [report](https://decoded.avast.io/martinchlumecky/png-steganography/) published by Avast. “The deobfuscated PNGLoader code includes the entry point (Setfilter) invoked by CLRLoader.”*


The malicious code is supposedly deployed by threat actors by exploiting [Proxyshell](https://securityaffairs.co/wordpress/121395/security/cisa-alert-exchange-proxyshell-flaws.html) vulnerabilities. Then attackers used publicly available exploit tools to deploy their custom malicious tools. 


[![Worok compromise-chains-3](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/Worok-compromise-chains-3.png?resize=754%2C132&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/Worok-compromise-chains-3.png?ssl=1)


The experts found two variants of PNGLoad, both used to decode the malicious code hidden in the image and run a PowerShell script or a .NET C#-based payload.


The PowerShell script has continued to be elusive, although the cybersecurity company noted it was able to flag a few PNG files belonging to the second category that dispensed a steganographically embedded C# malware.


*“At first glance, the PNG pictures look innocent, like a fluffy cloud,” Avast said.*


Avast extends the compromise chain detailed by ESET with the discovery of a .NET C# payload that they tracked as DropBoxControl, which represents a third stage.



[![Worok](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/image-13.png?resize=688%2C303&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/image-13.png?ssl=1)


DropboxControl is an information-stealing backdoor that communicates abuses the DropBox service for C2 communication.


*“Noteworthy, the C&C server is a DropBox account, and whole communications, such as commands, uploads, and downloads, are performed using regular files in specific folders. Therefore, the backdoor commands are represented as files with a defined extension. DropBoxControl periodically checks the DropBox folder and executes commands based on the request files.” continues the report. “The response for each command is also uploaded to the DropBox folder as the result file.”*


The backdoor can run arbitrary executables, download and upload data, delete and rename files, capture file information, sniff network communications, and exfiltrate metadata.


According to Avast, DropboxControl was not developed by the author of CLRLoad and PNGLoad due to important differences into the source code and its quality.


*“The key finding of this research is the interception of the PNG files, as predicted by ESET. The stenographically embedded C# payload (DropBoxControl) confirms Worok as the cyberespionage group. They steal data via the DropBox account registered on active Google emails.” concludes AVAST. “The prevalence of Worok’s tools in the wild is low, so it can indicate that the toolset is an APT project focusing on high-profile entities in private and public sectors in Asia, Africa, and North America.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://mstdn.social/invite/4GESs2dP)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Worok)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[dropbox]] [[dropboxcontrol]] [[worok]] [[png]] [[pngloader]] [[eset]] [[c#]]
