# B1txor20 Linux botnet use DNS Tunnel and Log4J exploit
## Researchers uncovered a new Linux botnet, tracked as B1txor20, that exploits the Log4J vulnerability and DNS tunnel. Researchers from Qihoo 360’s Netlab have discovered a new backdoor used to infect Linux systems and include them in a botnet tracked as B1txor20. The malware was first spotted on February 9, 2022, when 360Netlab’s honeypot system captured […]
## Information:

+ Link: https://securityaffairs.co/wordpress/129130/malware/b1txor20-linux-botnet-dns-tunnel.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 17 March 2022, 11:16
+ Date scraped: 17 March 2022, 12:03

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/03/B1txor20.png?resize=300%2C300&ssl=1)


Researchers from Qihoo 360’s Netlab have discovered a new backdoor used to infect Linux systems and include them in a botnet tracked as [B1txor20](https://blog.netlab.360.com/b1txor20-use-of-dns-tunneling_en/). 


The malware was first spotted on February 9, 2022, when 360Netlab’s honeypot system captured an unknown ELF file that was spreading by exploiting the [Log4J vulnerability](https://securityaffairs.co/wordpress/125577/security/log4shell-known-exploited-vulnerabilities-catalog.html).


The name B1txor20 is based on the file name “b1t” used for the propagation and the XOR encryption algorithm, and the RC4 algorithm key length of 20 bytes.


The B1txor20 Linux backdoor uses DNS Tunnel technology for C2 communications, below is the list of the main features implemented by the threat: 


* SHELL
* Proxy
* Execute arbitrary commands
* Install Rootkit
* Upload sensitive information



[![B1txor20](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/03/B1txor20.png?resize=647%2C643&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/03/B1txor20.png?ssl=1)
The researchers also noticed the presence of many developed features that have yet to be used, and some of them are affected by bugs. Experts believe the B1txor20 botnet is under development.


*“In short, B1txor20 is a Backdoor for the Linux platform, which uses DNS Tunnel technology to build C2 communication channels. In addition to the traditional backdoor functions, B1txor20 also has functions such as opening Socket5 proxy and remotely downloading and installing Rootkit.” [reads](https://blog.netlab.360.com/b1txor20-use-of-dns-tunneling_en/) the analysis published by the experts.*


Once the system has been compromised, the threat connects the C2 using the DNS tunnel and retrieves and executes commands sent by the server. The researchers noticed that the bot supports a total of 14 commands that allows it to execute arbitrary commands, upload system information, manipulate files, starting and stopping proxy services, and creating reverse shells.


*“Generally speaking, the scenario of malware using DNS Tunnel is as follows: Bot sends the stolen sensitive information, command execution results, and any other information that needs to be delivered, after hiding it using specific encoding techniques, to C2 as a DNS request; After receiving the request, C2 sends the payload to the Bot side as a response to the DNS request. In this way, Bot and C2 achieve communication with the help of DNS protocol.” continues the analysis.*


The post includes additional technical details along with Indicators of Compromise (IoCs) for this threat. 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, B1txor20)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[b1txor20]] [[dns]] [[c2]] [[linux]]
