# BunnyLoader 3.0 surfaces in the threat landscape - Security Affairs
## Researchers found a new variant of the BunnyLoader malware with a modular structure and new evasion capabilities.
## Information:

+ Link: https://securityaffairs.com/160795/hacking/bunnyloader-3-0-malware.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 20 March 2024, 12:53
+ Date scraped: 20 March 2024, 14:09

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/03/BunnyLoader-3.0.png)



In October 2023, Zscaler ThreatLabz researchers discovered a new malware-as-a-service (MaaS) called [BunnyLoader](https://securityaffairs.com/151869/malware/bunnyloader-maas.html), which was advertised for sale in multiple cybercrime forums since September 4, 2023.


The BunnyLoader malware loader is written in C/C++ and is sold on various forums for $250 for a lifetime license. The researchers believe that the BunnyLoader is under rapid development, the authors are releasing multiple updates to implement new features and fix bugs.



The malware also supports anti-sandbox techniques and evasion techniques, it can download and execute a second-stage payload, log keys, steal sensitive information and cryptocurrency, and execute remote commands.


Now Palo Alto Networks Unit 42 researchers discovered a new version of the malware, BunnyLoader 3.0, demonstrated that threat actors continued to modify and enhance the malicious code.


Senior threat intelligence researcher @RussianPanda9xx first shared the announcement on the malware operators.







The latest version was announced on February 11, 2024, revealing that the malware has been “completely redesigned and enhanced by 90%.”


Major enhancements to BunnyLoader payloads include payloads/modules “completely rewritten for improved performance,” reduction of the payload size, and the implementation of advanced keylogging capabilities.


“By the end of September 2023, BunnyLoader underwent a rapid retooling.” [reads Unit 42’s report](https://unit42.paloaltonetworks.com/analysis-of-bunnyloader-malware/). “According to the BunnyLoader advertisement, new features include the following:


* Command-and-control (C2) panel bug fixes
* Antivirus evasion
* Multiple data recovery methods used for information theft
* Added browser paths
* Keylogger functionality
* Anti-analysis protections”


BunnyLoader 3.0 supports new denial-of-service attack features and uses distinct binaries for stealer, clipper, keylogger, and DoS modules.


The operators of BunnyLoader can deploy these modules or use BunnyLoader’s built-in commands to load their preferred malicious code.


Palo Alto Networks researchers also observed important changes in the attack chain, they detailed the use of a previously undocumented dropper to loader [PureCrypter](https://securityaffairs.com/142749/hacking/purecrypter-deliver-agenttesla.html) forking into two branches.


[![BunnyLoader 3.0](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/03/BunnyLoader-3.0.png?resize=1024%2C489&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/03/BunnyLoader-3.0.png?ssl=1)


In one branch the PureLogs loader is executed to deliver the PureLogs stealer, while in the second attack pattern the BunnyLoader is dropped and used to execute the [Meduza](https://securityaffairs.com/156598/malware/meduza-stealer-released-dark-web.html) stealer.


Version 3.0 uses the same base URI structure of the C2 communication observed in prior versions, it uses the format http://[C2]/[path]/[PHP API]*.* The sample of BunnyLoader analyzed by the experts communicates with the C2 server located at hxxp://ads[.]hostloads[.]xyz/BAGUvIxJu32I0/gate.php. Unlike previous versions, this version doesn’t use the string Bunny in the URL path, BunnyLoader 3.0 allows the operator to specify the path name.


The samples of BunnyLoader 3.0 analyzed by Unit 42 use only one endpoint, gate.php.


BunnyLoader 3.0 obfuscates HTTP parameters using RC4 encryption instead of sending them in cleartext like previous versions.


“In the ever changing landscape of MaaS, BunnyLoader continues to evolve, demonstrating the need for threat actors to frequently retool to evade detection. Revealing these evolving tactics and the dynamic nature of this threat empowers readers to bolster their defense posture and better protect their assets.” concludes the report.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, BunnyLoader 3.0)**




---




---





## Tags:
***urls***: http://ads.hostloads.xyz/BAGUvIxJu32I0/gate.php http://C2/path/PHP

### Autogenerated tags:
[[bunnyloader]] [[malware]] [[c2]]
