# CISA warns about SUBMARINE Backdoor employed in Barracuda ESG attacks
## The U.S. Cybersecurity and Infrastructure Security Agency (CISA) warns of threat actors deploying the SUBMARINE Backdoor in Barracuda ESG attacks. The U.S. Cybersecurity and Infrastructure Security Agency (CISA) published an alert on a malware variant, tracked as SUBMARINE Backdoor, that was employed in attacks exploiting the flaw CVE-2023-2868 in Barracuda Email Security Gateway (ESG) appliances. The vulnerability […]
## Information:

+ Link: https://securityaffairs.com/148942/malware/submarine-backdoor-barracuda-esg-attacks.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 29 July 2023, 22:58
+ Date scraped: 30 July 2023, 00:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2013/07/Barracuda_Logo_4C.jpg?resize=300%2C300&ssl=1)



## The U.S. Cybersecurity and Infrastructure Security Agency (CISA) warns of threat actors deploying the SUBMARINE Backdoor in Barracuda ESG attacks.


The U.S. Cybersecurity and Infrastructure Security Agency (CISA) published an alert on a malware variant, tracked as SUBMARINE Backdoor, that was employed in attacks exploiting the flaw [CVE-2023-2868](https://securityaffairs.com/147211/hacking/barracuda-esg-cve-2023-2868-replacement.html) in Barracuda Email Security Gateway (ESG) appliances.


The vulnerability CVE-2023-2868 resides in the module for email attachment screening, threat actors exploited the flaw to obtain unauthorized access to a subset of ESG appliances. 


*“SUBMARINE is a novel persistent backdoor executed with root privileges that lives in a Structured Query Language (SQL) database on the ESG appliance. SUBMARINE comprises multiple artifacts—including a SQL trigger, shell scripts, and a loaded library for a Linux daemon—that together enable execution with root privileges, persistence, command and control, and cleanup.” [reads the alert](https://www.cisa.gov/news-events/alerts/2023/07/28/cisa-releases-malware-analysis-reports-barracuda-backdoors). “CISA also analyzed artifacts related to SUBMARINE that contained the contents of the compromised SQL database.”*



CISA warns that the backdoor can be used by attackers for lateral movement.


At the end of May, the network security solutions provider Barracuda [**warned customers**](https://securityaffairs.com/146620/hacking/barracuda-email-security-gateway-bug.html) that some of its Email Security Gateway (ESG) appliances were recently breached by threat actors exploiting a now-patched zero-day vulnerability.


In Mid-June, Mandiant researchers [linked](https://securityaffairs.com/147511/apt/barracuda-esg-zero-day-china-apt.html) the threat actor UNC4841 behind the attacks that exploited the recently patched Barracuda ESG zero-day vulnerability to China.


*“Through the investigation, Mandiant identified a suspected China-nexus actor, currently tracked as UNC4841, targeting a subset of Barracuda ESG appliances to utilize as a vector for espionage, spanning a multitude of regions and sectors.” reads the [**report**](https://www.mandiant.com/resources/blog/barracuda-esg-exploited-globally) published by Mandiant. “Mandiant assesses with high confidence that UNC4841 is an espionage actor behind this wide-ranging campaign in support of the People’s Republic of China.*


As per the vendor’s statement, the flaw has been exploited in real-world scenarios, with incidents dating back to October 2022 at the very least. Barracuda, with the support of Mandiant, discovered the issue was exploited to deploy malware on a subset of appliances allowing for persistent backdoor access.


The families of malware employed in the attacks are:


* **SALTWATER** – A malware-laced module for the Barracuda SMTP daemon (bsmtpd) that supports multiple capabilities such as uploading/downloading arbitrary files, executing commands, as well as proxying and tunneling malicious traffic to avoid detection. The backdoor component is constructed by leveraging hooks on the send, recv, and close system calls, comprising a total of five distinct components referred to as “Channels” within the binary.
* **SEASPY** – An x64 ELF persistent backdoor masquerades as a legitimate Barracuda Networks service and posing itself as a PCAP filter, specifically monitoring traffic on port 25 (SMTP). SEASPY also supports backdoor functionality that is activated by a “magic packet”.
* **SEASIDE** is a module written in Lua for bsmtpd, it establishes a reverse shell via SMTP HELO/EHLO commands sent via the malware’s C2 server.


SUBMARINE resides in a Structured Query Language (SQL) database on the Barracuda ESG appliance, it is executed with root privileges.


CISA’s [Malware Analysis Report](https://www.cisa.gov/news-events/analysis-reports/ar23-209a) (MAR) includes technical details about the backdoor, including Indicators of Compromise (IoCs) and Yara Rule for its detection.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **Barracuda ESG)**



  


---


  




## Tags:
***CVE's***: CVE-2023-2868

### Autogenerated tags:
[[esg]] [[cisa]] [[malware]] [[mandiant]] [[sql]] [[unc4841]] [[smtp]]
