# China-linked APT Volt Typhoon remained undetected for years in US infrastructure
## China-linked APT Volt Typhoon infiltrated a critical infrastructure network in the US and remained undetected for at least five years.
## Information:

+ Link: https://securityaffairs.com/158842/apt/apt-volt-typhoon-us-infrastructure.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 08 February 2024, 11:01
+ Date scraped: 08 February 2024, 12:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/02/image-5.png)


US CISA, the NSA, the FBI, along with partner Five Eyes agencies, published a joint advisory to warn that China-linked APT [Volt Typhoon](https://securityaffairs.com/155797/apt/volt-typhoon-linked-to-kv-botnet.html) infiltrated a critical infrastructure network in the US and remained undetected for at least five years. 


*“the U.S. authoring agencies have recently observed indications of Volt Typhoon actors maintaining access and footholds within some victim IT environments for at least five years,” [reads the alert](https://www.cisa.gov/news-events/cybersecurity-advisories/aa24-038a).*



The Volt Typhoon group has been active since at least mid-2021 it carried out cyber operations against critical infrastructure. In the most recent campaign, the group targeted organizations in the communications, manufacturing, utility, transportation, construction, maritime, government, information technology, and education sectors.


The APT group is using almost exclusively [living-off-the-land techniques](https://www.microsoft.com/en-us/security/blog/2018/09/27/out-of-sight-but-not-invisible-defeating-fileless-malware-with-behavior-monitoring-amsi-and-next-gen-av/) and hands-on-keyboard activity to evade detection.


In December 2023, Microsoft first noticed that to conceal malicious traffic, the threat actor routes it through compromised small office and home office (SOHO) network devices, including routers, firewalls, and VPN hardware. The group also relies on customized versions of open-source tools for C2 communications and to stay under the radar.


The Chinese cyberespionage group has successfully breached the networks of multiple US critical infrastructure organizations. Most of the impacted organizations are in the Communications, Energy, Transportation Systems, and Water and Wastewater Systems sectors.


*“The group also relies on valid accounts and leverage strong operational security, which combined, allows for long-term undiscovered persistence. In fact, the U.S. authoring agencies have recently observed indications of Volt Typhoon actors maintaining access and footholds within some victim IT environments for at least five years.” [continues the alert](https://www.cisa.gov/news-events/cybersecurity-advisories/aa24-038a). “Volt Typhoon actors conduct extensive pre-exploitation reconnaissance to learn about the target organization and its environment; tailor their tactics, techniques, and procedures (TTPs) to the victim’s environment; and dedicate ongoing resources to maintaining persistence and understanding the target environment over time, even after initial compromise.”*


U.S. agencies fear the possibility that these actors could gain access to the networks of critical infrastructure to cause disruptive effects in the event of potential geopolitical tensions and/or military conflicts.


The Volt Typhoon’s activities suggest that the group primarily aims to establish a foothold within networks to secure access to Operational Technology (OT) assets.



[![](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/02/image-5.png?resize=1024%2C538&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/02/image-5.png?ssl=1)


The US agencies also released a [technical guide](https://www.cisa.gov/resources-tools/resources/identifying-and-mitigating-living-land-techniques) containing recommendations on how to identify and mitigate living off the land techniques adopted by the APT group.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **Hacking, Volt Typhoon)**





---




---





## Tags:


### Autogenerated tags:
[[u.s]]
