# China-linked TA413 group targets Tibetan entities with new backdoor
## China-linked cyberespionage group TA413 exploits employ a never-before-undetected backdoor called LOWZERO in attacks aimed at Tibetan entities. A China-linked cyberespionage group, tracked as TA413 (aka LuckyCat), is exploiting recently disclosed flaws in Sophos Firewall (CVE-2022-1040) and Microsoft Office (CVE-2022-30190) to deploy a never-before-detected backdoor called LOWZERO in attacks aimed at Tibetan entities. The TA413 APT group is known to be focused […]
## Information:

+ Link: https://securityaffairs.co/wordpress/136252/apt/ta413-targets-tibet-backdoor.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 26 September 2022, 14:58
+ Date scraped: 26 September 2022, 16:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/chinese_state_sponsored_group_ta413.png?resize=300%2C300&ssl=1)


A China-linked cyberespionage group, tracked as [TA413 (aka LuckyCat)](https://securityaffairs.co/wordpress/131843/apt/china-apt-exploits-follina-flaw.html), is exploiting recently disclosed flaws in Sophos Firewall (CVE-2022-1040) and Microsoft Office ([CVE-2022-30190](https://thehackernews.com/2022/06/state-backed-hackers-exploit-microsoft.html)) to deploy a never-before-detected backdoor called LOWZERO in attacks aimed at Tibetan entities.


The [TA413](https://malpedia.caad.fkie.fraunhofer.de/actor/ta413) APT group is known to be focused on Tibetan organizations across the world, in past attacks threat actors used a malicious Firefox add-on, dubbed FriarFox, to steal Gmail and Firefox browser data and deliver malware on infected systems.


In June, the [TA413](https://securityaffairs.co/wordpress/115030/apt/china-ta413-targets-tibet.html) group has been observed exploiting the [Follina zero-day flaw](https://securityaffairs.co/wordpress/131824/security/microsoft-workarounds-microsoft-office-0day.html) (tracked as [CVE-2022-30190](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-30190) and rated CVSS score 7.8) in Microsoft Office in attacks in the wild.


*“Over the first half of 2022, we have observed TA413 exploit a now-patched zero-day vulnerability targeting the Sophos Firewall product (CVE-2022-1040), weaponize the “Follina” (CVE-2022-30190) vulnerability shortly after discovery and publication, and employ a newly observed custom backdoor we track as LOWZERO in campaigns targeting Tibetan entities.” reads a [report](https://www.recordedfuture.com/chinese-state-sponsored-group-ta413-adopts-new-capabilities-in-pursuit-of-tibetan-targets) published by Recorded Future. “This willingness to rapidly incorporate new techniques and methods of initial access contrasts with the group’s continued use of well known and reported capabilities, such as the Royal Road RTF weaponizer, and often lax infrastructure procurement tendencies.”* TA413 has been targeting Tibetans entities since at least 2020, the group employs multiple malware, including ExileRAT, Sepulcher, and a custom malicious Mozilla Firefox browser extension tracked as FriarFox.


The attackers use Royal Road RTF builder to create weaponized documents that exploits the above flaws to deliver LOWZERO malware.


Experts noticed that the threat actors have regularly reused phishing email sender addresses for up to several years (such as tseringkanyaq@yahoo[.]com and mediabureauin@gmail[.]com), a circumstance that allowed the researchers to connection multiple campaign to the group’s activity. 



[![chinese_state_sponsored_group_ta413](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/chinese_state_sponsored_group_ta413.png?resize=653%2C521&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/chinese_state_sponsored_group_ta413.png?ssl=1)


In May 2022, the experts uncovered a spear-phishing campaign targeting a Tibetan organization containing a link to a Royal Road sample hosted on the Google Firebase service. The RTF document was crafted to exploit the Follina vulnerability to execute a PowerShell command and download the backdoor from a remote server.


Also put to use in a spear-phishing attack identified in May 2022 is a malicious RTF document that exploited flaws in Microsoft Equation Editor to drop the custom LOWZERO implant. This is achieved by employing a [Royal Road RTF weaponizer tool](https://nao-sec.org/2020/01/an-overhead-view-of-the-royal-road.html), which is widely shared among Chinese threat actors.


The LOWZERO backdoor has a modular structure, it downloads specific modules from the C2 if the compromised machine is of interest to the threat actor.


*“The group continues to incorporate new capabilities while also relying on tried-and-tested TTPs. ” concludes the report. “More widely, TA413’s adoption of both zero-day and recently published vulnerabilities is indicative of wider trends with Chinese cyber-espionage groups whereby exploits regularly appear in use by multiple distinct Chinese activity groups prior to their widespread public availability.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, APT)**



 
  


---


  




## Tags:
***CVE's***: CVE-2022-30190 CVE-2022-1040
***email-adresses***: astseringkanyaq@yahoo.com andmediabureauin@gmail.com
***urls***: http://gmail.com http://yahoo.com

### Autogenerated tags:
[[ta413]] [[lowzero]] [[rtf]] [[microsoft]] [[cve-2022-30190]] [[firefox]] [[malware]] [[zero-day]]
