# Enemybot, a new DDoS botnet appears in the threat landscape
## Enemybot is a DDoS botnet that targeted several routers and web servers by exploiting known vulnerabilities. Researchers from Fortinet discovered a new DDoS botnet, tracked as Enemybot, that has targeted several routers and web servers by exploiting known vulnerabilities. The botnet targets multiple architectures, including arm, bsd, x64, and x86. The researchers attribute the botnet […]
## Information:

+ Link: https://securityaffairs.co/wordpress/130291/cyber-crime/enemybot-botnet-ddos.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 17 April 2022, 17:53
+ Date scraped: 19 April 2022, 11:10

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/04/Enemybot-2.png?resize=300%2C300&ssl=1)


Researchers from Fortinet discovered a new DDoS botnet, tracked as Enemybot, that has targeted several routers and web servers by exploiting known vulnerabilities. The botnet targets multiple architectures, including arm, bsd, x64, and x86.


The researchers attribute the botnet to the cybercrime group [Keksec](https://securityaffairs.co/wordpress/118050/malware/simps-botnet.html) which focuses on DDoS-based extortion. 


Upon installing the threat, the bot drops a file in */tmp/.pwned*, containing a message that attributes itself to Keksec. The message was stored as cleartext in earlier samples, new samples were released with the message encoded with an XOR operation using a multiple-byte key. 


Experts pointed out that the malware is being actively developed.


The Enemybot botnet borrows the code from the [Gafgyt](https://securityaffairs.co/wordpress/116882/cyber-crime/gafgyt-re-uses-mirai-code.html) bot and re-used some codes from the infamous [Mirai botnet](https://github.com/jgamblin/Mirai-Source-Code). Gafgyt is a popular choice for launching large-scale DDoS attacks, it first appeared in the threat landscape in 2014.


*“It uses several methods of obfuscation for its strings to hinder analysis and hide itself from other botnets. Furthermore, it connects to a command-and-control (C2) server that is hidden in the Tor network, making its takedown more complicated.” reads the [analysis](https://www.fortinet.com/blog/threat-research/enemybot-a-look-into-keksecs-latest-ddos-botnet) published by Fortinet. “Enemybot has been seen targeting routers from Seowon Intech, D-Link, and exploits a recently reported iRZ router vulnerability to infect more devices.”*


The botnet implements multiple obfuscation techniques to avoid detection and hides C2 on the Tor network.


The Enemybot botnet employs several methods to spread and targets other IoT devices. It uses a list of hardcoded username/password combinations to login into devices in the attempt to access systems using weak or default credentials. The bot also tries to run shell commands to infect misconfigured Android devices that expose Android Debug Bridge port (5555).


The malware exploits tens of known vulnerabilities including:


* [CVE-2020-17456](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-17456) vulnerability affecting SEOWON INTECH SLC-130 and SLR-120S routers;
* [CVE-2018-10823](https://nvd.nist.gov/vuln/detail/CVE-2018-10823) flaw an older D-Link routers (DWR-116 through 1.06, DWR-512 through 2.02, DWR-712 through 2.02, DWR-912 through 2.02, DWR-921 through 2.02, DWR-111 through 1.01).
* [CVE-2022-27226](https://nvd.nist.gov/vuln/detail/CVE-2022-27226) affecting iRZ mobile routers;
* [CVE-2022-25075](https://securityaffairs.co/wordpress/129745/cyber-crime/beastmode-botnet-targets-totolink-routers.html) to 25084: Targets TOTOLINK routers, previously exploited by the [Beastmode](https://www.fortinet.com/blog/threat-research/totolink-vulnerabilities-beastmode-mirai-campaign)botnet
* [CVE-2021-44228](https://securityaffairs.co/wordpress/127067/security/dutch-ncsc-warns-log4j-attacks.html)/2021-45046: Better known as Log4j, more details are available on our [Fortinet PSIRT blog](https://www.fortinet.com/blog/psirt-blogs/apache-log4j-vulnerability)
* [CVE-2021-41773](https://securityaffairs.co/wordpress/123148/hacking/nmap-script-cve-apache-2021-41773.html)/CVE-2021-42013: Targets Apache HTTP servers
* [CVE-2018-20062](https://securityaffairs.co/wordpress/80018/hacking/thinkphp-framework-attacks.html): Targets ThinkPHP CMS
* [CVE-2017-18368](https://securityaffairs.co/wordpress/93253/malware/gafgyt-botnet-targets-routers.html): Targets Zyxel P660HN routers
* [CVE-2016-6277](https://securityaffairs.co/wordpress/128803/security/cisa-firefox-zerodays-known-exploited-vulnerabilities-catalog.html): Targets NETGEAR routers
* [CVE-2015-2051](https://securityaffairs.co/wordpress/127902/security/known-exploited-vulnerabilities-catalog-flaws.html): Targets D-Link routers
* CVE-2014-9118: Targets Zhone routers
* NETGEAR DGN1000 exploit (No CVE assigned): Targets NETGEAR routers


Once exploited one of the above flaws, the bot runs a shell command to download a shell script from a URL that is dynamically updated by the C2 using the command *LDSERVER*. Then the script downloads the actual Enemybot binary which is compiled for the target device’s architecture.


In case the download server is down, the botnet operators can update the bot clients with a new URL.


Once the bot has been installed on a device, it connects to its C2 server and waits for further commands


Below is the list of supported commands:



[![Enemybot](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/04/Enemybot-2.png?resize=764%2C348&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/04/Enemybot-2.png?ssl=1)
*“Based on the analysis of FortiGuard Labs, Enemybot is Keksec’s latest tool for performing DDoS attacks.” Fortinet notes. “To protect itself, it uses simple obfuscation techniques on its strings as well as hosting its C2 server in the Tor network, taking advantage of the network’s anonymity. It uses several techniques commonly found in other DDoS botnet malware to infect other devices.”* 



> **Please vote for Security Affairs as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS  
> Vote for me in the sections “The Underdogs – Best Personal (non-commercial) Security Blog” and “The Tech Whizz – Best Technical Blog” and others of your choice.  
> To nominate, please visit:**<https://docs.google.com/forms/d/e/1FAIpQLSfxxrxICiMZ9QM9iiPuMQIC-IoM-NpQMOsFZnJXrBQRYJGCOw/viewform>
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Enemybot)**


 
  


---


  




## Tags:
***CVE's***: CVE-2015-2051 CVE-2022-25075 CVE-2021-42013 CVE-2021-44228 CVE-2016-6277 CVE-2018-10823 CVE-2021-41773 CVE-2014-9118 CVE-2020-17456 CVE-2017-18368 CVE-2022-27226 CVE-2018-20062
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSfxxrxICiMZ9QM9iiPuMQIC-IoM-NpQMOsFZnJXrBQRYJGCOw/viewform

### Autogenerated tags:
[[botnet]] [[enemybot]] [[c2]] [[fortinet]] [[ddos]] [[keksec]] [[malware]] [[d-link]]
