# Experts discovered TeslaGun Panel used by TA505 to manage its ServHelper Backdoor
## Researchers discovered a previously undocumented software control panel, named TeslaGun, used by a cybercrime gang known as TA505. Researchers from cybersecurity firm PRODAFT have discovered a previously undocumented software control panel, tracked as TeslaGun, used by a cybercrime group known as TA505. Russian TA505 hacking group, aka Evil Corp, has been active since 2014 focusing on Retail and banking […]
## Information:

+ Link: https://securityaffairs.co/wordpress/135387/apt/ta505-teslagun-control-panel.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 06 September 2022, 13:51
+ Date scraped: 06 September 2022, 14:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/TeslaGun-2.jpg?resize=300%2C300&ssl=1)


Researchers from cybersecurity firm PRODAFT have discovered a previously undocumented software control panel, tracked as TeslaGun, used by a cybercrime group known as [TA505](https://securityaffairs.co/wordpress/123441/breaking-news/ta505-mirrorblast-malspam-campaign.html).


Russian [TA505 hacking group](https://securityaffairs.co/wordpress/84072/hacking/russian-ta505-financial-attacks.html), aka [Evil Corp](https://securityaffairs.co/wordpress/132031/cyber-crime/evil-corp-lockbit-ransomware.html), has been active since 2014 focusing on Retail and banking sectors. [The group is also known for some evasive techniques](https://securityaffairs.co/wordpress/79836/cyber-crime/ta505-group-malware.html) they put in place over time to avoid the security controls and penetrate corporate perimeters with several kinds of malware, for instance abusing the so-called LOLBins (Living Off The Land Binaries), legit programs regularly used by victim, or also the abuse of valid cryptographically signed payloads.


The TA505 group was involved in campaigns aimed at distributing the [Dridex](https://securityaffairs.co/wordpress/87828/malware/dridex-banking-trojan-polymorphism.html) banking Trojan, along with [Locky](https://securityaffairs.co/wordpress/65424/malware/locky-ransomware-2.html), [BitPaymer](https://securityaffairs.co/wordpress/92354/malware/bitpaymer-itunes-zero-day.html), [Philadelphia](https://securityaffairs.co/wordpress/57795/malware/philadelphia-ransomware.html), [GlobeImposter](https://securityaffairs.co/wordpress/67071/malware/globeimposter-ransomware-malspam-campaign.html), and [Jaff ransomware](https://securityaffairs.co/wordpress/60072/malware/jaff-ransomware-decryptor.html) families.



Now PRODAFT experts state that the group has carried out mass phishing campaigns against at   
least 8160 targets. Most of the victims are in the finance sector or individuals. TeslaGun victim data revealed that 3667 targets are in the US.



The financially-motivated group is known to have used multiple malware in its attacks, including [FlawedAmmyy](https://securityaffairs.co/wordpress/87537/malware/flawedammyy-rat-memory.html), the [ServHelper](https://securityaffairs.co/wordpress/79836/cyber-crime/ta505-group-malware.html) backdoor and [FlawedGrace](https://securityaffairs.co/wordpress/79836/cyber-crime/ta505-group-malware.html) malware.


The ServHelper backdoor is written in Delphi and according to the experts, the development team continues to update it by implementing new features since 2019. Researchers pointed out that almost every new campaign used a new variant of the malware.


Once downloaded the ServHelper backdoor set up reverse SSH tunnels that allow attackers to access to the infected system via Remote Desktop Protocol (RDP) on port 3389. In 2019, Proofpoint experts also discovered another ServHelper variant that does not include the tunneling and hijacking capabilities, in this case, the backdoor was used only as a downloader for the FlawedGrace RAT.


The TeslaGun control panel was used by the threat actors to manage the ServHelper backdoor, it acts as a C2 infrastructure allowing operators to issue commands.


*“The actors regularly migrate their proxy servers to new servers in the same datacenter to attain a low detection rate. During our investigation, we observed several TeslaGun management panels predominantly residing in MivoCloud SRL, Moldova” reads the [report](https://www.prodaft.com/resource/detail/ta505-ta505-groups-tesla-gun-depth-analysis) published by the experts.* *“The TeslaGun panel has a pragmatic, minimalist design. The main dashboard only contains infected victim data, a generic comment section for each victim, and several options for filtering victim records.”*


TeslaGun panel shows a table containing victims’ data, including SYSID/ID/IP, Country/State/City, First Time Connected/Last Time Connected, Command, Answer Operations/Tun Port/Operations, and Comments.



[![TeslaGun](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/TeslaGun-2.jpg?resize=1024%2C519&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/TeslaGun-2.jpg?ssl=1)


TeslaGun also allows operators to send one command to all victim devices at the same time, or to configure a default command that runs when a new victim device is added to the panel.


During this investigation, the PTI researchers also discovered TA505 users executing RDP connections using tunnels.


The tool used by the gang to execute RDP connections allows to launch multiple hidden RDP instances. Once infected a victim, TA505 operators can connect to the victim via RDP to use remote connections simultaneously.


*“ServHelper is an example of backdoor malware runs by a financially motivated and highly sophisticated threat group. TA505 appears to be well-embedded in the international cybercrime community, as demonstrated by its ability to collect and sell RDP connections to victim devices. The PTI team was able to gain valuable insight into how TA505 organizes its activities and achieves its goals. This will help cybersecurity policies to protect against backdoor attacks like ServHelper.” concludes the report. “From how TA505 commented their victims on TeslaGun panels perspective, it is obviously seen that TA505 is actively searching for online banking and shopping accounts, particularly from victims in the United States, but also from Russia, Romania, Brazil, and the UK.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, TA505)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[ta505]] [[teslagun]] [[servhelper]] [[rdp]] [[malware]]
