# Experts spotted a backdoor that borrows code from CIA’s Hive malware
## Netlab 360 observed unidentified threat actors using a new backdoor based on the US CIA’s Project Hive malware suite. Researchers from Qihoo Netlab 360 reported that unidentified threat actors using a new backdoor based on the US CIA’s Project Hive malware suite. “Hive provides a covert communications platform for a whole range of CIA malware to send exfiltrated […]
## Information:

+ Link: https://securityaffairs.com/140878/malware/cia-hive-malware-detected.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 16 January 2023, 14:21
+ Date scraped: 16 January 2023, 16:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/hive-malware-function.png?resize=300%2C300&ssl=1)


Researchers from Qihoo Netlab 360 reported that unidentified threat actors using a new backdoor based on the US CIA’s [Project Hive](https://securityaffairs.co/wordpress/62804/intelligence/cia-project-protego.html) malware suite.


“*Hive provides a covert communications platform for a whole range of CIA malware to send exfiltrated information to CIA servers and to receive new instructions from operators at the CIA.”*


In April 2017, Wikileaks published some documents about the project, describing it as a sort of malware command and control infrastructure used by the US agency to control its malicious code and exfiltrate information from the target systems.


One of the 360Netlab’s honeypot caught a suspicious ELF file on October 2021, the experts reported that the malware was spread by exploiting F5 zero-day exploit.


The researchers noticed that the malicious code was contacting the IP address 45.9.150.144 using SSL with forged Kaspersky certificates. Additional analysis revealed that the malware borrows code from the [**Hive project that was leaked in 2017 as part of Vault 8 series**](https://wikileaks.org/vault7/releases/#Hive).


This is the first time that the experts captured a variant of the CIA HIVE malware in the wild, the experts tracked is as “xdr33” based on its embedded Bot-side certificate CN=xdr33.


*“xdr33 is a backdoor born from the CIA Hive project, its main purpose is to collect sensitive information and provide a foothold for subsequent intrusions.” reads the [**analysis**](https://blog.netlab.360.com/headsup_xdr33_variant_of_ciahive_emeerges/) published by the experts.*


According to the researches, the backdoor was developed to gather sensitive information and maintain persistence on the target infrastructure. xdr33 uses XTEA or AES algorithm for traffic encryption and uses SSL with Client-Certificate Authentication mode enabled to protect the traffic.


The backdoor has to two task, beacon and trigger. The former periodically reports sensitive information about the device to the hard-coded Beacon C2 and execute the commands issued by it, while the latter monitors the NIC traffic to identify specific messages that conceal the Trigger C2. Once the messages are received, the trigger communicates with the Trigger C2 and waits for the execution of the commands issued by it.


[![Hive malware](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/hive-malware-function.png?resize=1024%2C511&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/hive-malware-function.png?ssl=1)


Additional details are reported in the analysis published by the the experts that also provides Indicators of Compromise (IoC) for this threat.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, malware)**




  


---


  




## Tags:
***ipv4-adresses***: 45.9.150.144

### Autogenerated tags:
[[malware]] [[c2]]
