# Experts spotted a new Android malware while investigating by Russia-linked Turla APT
## Researchers spotted a new piece of Android malware while investigating activity associated with Russia-linked APT Turla. Researchers at cybersecurity firm Lab52 discovered a new piece of Android malware while investigating into infrastructure associated with Russia-linked APT Turla. The malicious code was discovered while analyzing the Penquin-related infrastructure, the experts noticed malware was contacting IP addresses […]
## Information:

+ Link: https://securityaffairs.co/wordpress/129820/malware/android-malware-turla-apt.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 04 April 2022, 15:20
+ Date scraped: 04 April 2022, 16:01

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/04/Android-malware-turla.png?resize=300%2C300&ssl=1)


Researchers at cybersecurity firm Lab52 discovered a new piece of Android malware while investigating into infrastructure associated with Russia-linked [APT Turla](https://securityaffairs.co/wordpress/122437/apt/turla-apt-new-backdoor-afghanistan.html).


The malicious code was discovered while analyzing the [Penquin-related infrastructure](https://lab52.io/blog/looking-for-penquins-in-the-wild/), the experts noticed malware was contacting IP addresses that had been used as C2 in Russia-linked APT Turla’s operation.


One of the malicious binaries, an Android binary named Process Manager, was contacting the 82.146.35[.]240 address. Experts analyzed it and excluded the attribution to the Russian APT due to its capabilities.



[![Android Malware](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/04/Android-malware-turla.png?resize=331%2C599&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/04/Android-malware-turla.png?ssl=1)
Once installed on an Android device, the malware poses as Process Manager and a warning appears about the permissions granted to the application. 


Below is the list of the granted permissions:


However, the number of permissions requested by the application amounts to 18:




| **PERMISSIONS** | **DESCRIPTION** |
| --- | --- |
| **ACCESS\_COARSE\_LOCATION** | Access to the phone location. |
| **ACCESS\_FINE\_LOCATION** | Access to the location based on GPS. |
| **ACCESS\_NETWORK\_STATE** | View the status of all networks. |
| **ACCESS\_WIFI\_STATE** | View WIFI information. |
| **CAMERA** | Take pictures and videos from the camera |
| **FOREGROUND\_SERVICE** | Allows to put in foreground |
| **INTERNET** | Allows to create internet sockets |
| **MODIFY\_AUDIO\_SETTINGS** | Allows to modify audio settings |
| **REAL\_CALL\_LOG** | Allows to read a telephone call |
| **READ\_CONTACTS** | Allows to read contacts information |
| **READ\_EXTERNAL\_STORAGE** | Allows to read external storage devices |
| **WRITE\_EXTERNAL\_STORAGE** | Allows to write to the Memory Card |
| **READ\_PHONE\_STATE** | Allows to read phone status and its id |
| **READ\_SMS** | Allows to read SMS stored on the SIM card |
| **RECEIVE\_BOOT\_COMPLETED** | Allows to start the app when the device is turned on |
| **RECORD\_AUDIO** | Access to the audio recorder |
| **SEND\_SMS** | Allows to send sms |
| **WAKE\_LOG** | Prevents the device from locking/hibernating |


After its first execution, the icon is removed and the application runs in the background, showing in the notification bar.


Upon configuring the application, the malicious code executes a series of tasks that steal information from the infected device and add it to a JSON.


The malicious code also gathers information on the installed packages and on the permissions the user has for each package.


*“Once all the information has been collected in JSON format, the application contacts the C2 (82.146.35[.]240) and identifies the device by its model, version, id and manufacturer.” [reads](https://lab52.io/blog/complete-dissection-of-an-apk-with-a-suspicious-c2-server/) the analysis.*


The researchers also noticed that the malware also attempts to download and install an application called Rozdhan using a goo.gl shorter.


The application is on Google Play and is used to earn money, has a referral system that is abused by the malicious code. The threat actors install it on the mobile device and make a profit.


*“we want to share our analysis on the capabilities of this piece of malware, although the attribution to Turla does not seem possible given its threat capabilities.” concludes the report.*


Who is behind this threat is still unclear, and did it use the Turla C2 infrastructure?


Is this a false flag operation of a third-party nation-state actor?


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Android malware)**




 
  


---


  




## Tags:
***ipv4-adresses***: 82.146.35.240
***urls***: http://82.146.35.240

### Autogenerated tags:
[[malware]] [[android]] [[turla]] [[c2]]
