# Experts spotted a new macOS Backdoor named SpectralBlur linked to North Korea
## Researchers discovered a macOS backdoor, called SpectralBlur, which shows similarities with a North Korean APT's malware family.
## Information:

+ Link: https://securityaffairs.com/157010/apt/macos-backdoor-spectralblur-north-korea.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 06 January 2024, 18:36
+ Date scraped: 06 January 2024, 19:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2015/03/north-korea-hackers.jpg)


Security researcher Greg Lesnewich discovered a backdoor, called SpectralBlur, that targets Apple macOS. The backdoor shows similarities with the malware family [KANDYKORN](https://securityaffairs.com/153622/hacking/lazarus-kandykorn-malware.html) (aka SockRacket), which was attributed to the North Korea-linked [Lazarus](https://securityaffairs.com/155681/apt/operation-blacksmith-lazarus-log4j.html) sub-group known as [BlueNoroff](https://securityaffairs.com/153842/apt/bluenoroff-apt-objcshellz-macos-malware.html) (aka [TA444](https://securityaffairs.com/141325/apt/ta444-turns-credential-harvesting-activity.html)).


*KandyKorn is an advanced implant with a variety of capabilities to monitor, interact with, and avoid detection. It utilizes reflective loading, a direct-memory form of execution that may bypass detections,” notes Elastic Security, which identified and analyzed the threat.” [reads the report](https://www.elastic.co/security-labs/elastic-catches-dprk-passing-out-kandykorn) published by Elastic.*



SpectralBlur is not a sophisticated malware, it supports ordinary backdoor capabilities, including uploading/downloading files, running a shell, updating its configuration, deleting files, hibernating or sleeping, based on commands issued from the C2.


*“TA444 keeps running fast and furious with these new MacOS malware families. Looking for similar strings lead us to link SpectralBlur and KandyKorn (which were further linked to TA444 after more samples turned up, and eventually, a phishing campaign hit our visibility that pulled down KandyKorn).” [**concludes**](https://g-les.github.io/yara/2024/01/03/100DaysofYARA_SpectralBlur.html) Lesnewich. “So knowing your Macho stuff will help track emerging DPRK capability if that is your interest!”*


The latest discovery confirms the great interest of North Korea-linked threat actors in developing macOS malware to employ in targeted attacks.


In November 2023, researchers from Jamf Threat Labs [**discovered**](https://securityaffairs.com/153842/apt/bluenoroff-apt-objcshellz-macos-malware.html) a new macOS malware strain dubbed ObjCShellz and attributed it to North Korea-linked APT [BlueNoroff](https://securityaffairs.com/145241/hacking/bluenoroff-rustbucket-malware.html).


The experts noticed that the ObjCShellz malware shares similarities with the [RustBucket](https://securityaffairs.com/148042/malware/rustbucket-macos-malware.html) malware campaign associated with the [BlueNoroff](https://securityaffairs.com/126713/apt/bluenoroff-apt-cryptocurrency.html) APT group.


In July 2023, researchers from the Elastic Security Labs [**spotted**](https://securityaffairs.com/148042/malware/rustbucket-macos-malware.html) a new variant of the [RustBucket](https://securityaffairs.com/145241/hacking/bluenoroff-rustbucket-malware.html) Apple macOS malware. In April, the security firm Jamf observed the North Korea-linked [BlueNoroff](https://securityaffairs.com/126713/apt/bluenoroff-apt-cryptocurrency.html) APT group using a new macOS malware, dubbed RustBucket.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Faceboo**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, SpectralBlur)**




---




---





## Tags:


### Autogenerated tags:
[[malware]] [[macos]] [[spectralblur]] [[kandykorn]] [[korea-linked]] [[bluenoroff]] [[ta444]] [[rustbucket]]
