# Experts spotted a new stealthy Linux malware dubbed Shikitega
## A new Linux malware dubbed Shikitega leverages a multi-stage infection chain to target endpoints and IoT devices. Researchers from AT&T Alien Labs discovered a new piece of stealthy Linux malware, dubbed Shikitega, that targets endpoints and IoT devices. The malware outstands for its multistage infection chain, threat actors use it to can gain full control of the system […]
## Information:

+ Link: https://securityaffairs.co/wordpress/135437/malware/shikitega-linux-malware.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 07 September 2022, 16:38
+ Date scraped: 07 September 2022, 18:01

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/Shikitega.jpg?resize=300%2C300&ssl=1)


Researchers from AT&T Alien Labs discovered a new piece of stealthy Linux malware, dubbed Shikitega, that targets endpoints and IoT devices. The malware outstands for its multistage infection chain, threat actors use it to can gain full control of the system and carry out other malicious activities, including cryptocurrency mining.


Shikitega is able to download next-stage payloads from a C2 server and execute them directly in memory, which makes it highly evasive.


The experts reported that the malware downloads and executes Metasploit’s “Mettle” meterpreter to take over infected machines.


Shikitega exploits vulnerabilities to elevate privileges and maintain persistence, the researchers observed that it uses a polymorphic encoder to avoid detection by anti-virus engines.



[![Shikitega](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/Shikitega.jpg?resize=628%2C507&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/Shikitega.jpg?ssl=1)


The main dropper of the malware is a small ELF file (370 bytes in size), while the size of the actual code is around 300 bytes.


*“The malware uses the “[Shikata Ga Nai](https://en.wikipedia.org/wiki/Shikata_ga_nai)” polymorphic XOR additive feedback encoder, which is one of the most popular encoders used in Metasploit. Using the encoder, the malware runs through several decode loops, where one loop decodes the next layer, until the final shellcode payload is decoded and executed.” reads the [analysis](https://cybersecurity.att.com/blogs/labs-research/shikitega-new-stealthy-malware-targeting-linux) published by AT&T Alien Labs.* *“After several decryption loops, the final payload shellcode will be decrypted and executed.”*


Once the malware was installed on a targeted host, it downloads and executes the Metasploit’s “[Mettle](https://github.com/rapid7/mettle)” meterpreter to maximize the control over the system and perform multiple operations.


The findings add to a growing list of Linux malware that has been found in the wild in recent months, including [BPFDoor](https://thehackernews.com/2022/06/quick-and-simple-bpfdoor-explained.html), [Symbiote](https://thehackernews.com/2022/06/symbiote-stealthy-linux-malware.html), [Syslogk](https://thehackernews.com/2022/06/new-syslogk-linux-rootkit-lets.html), [OrBit](https://thehackernews.com/2022/07/researchers-warn-of-new-orbit-linux.html), and [Lightning Framework](https://thehackernews.com/2022/07/new-linux-malware-framework-let.html).


The malware achieves privilege escalation by exploiting [CVE-2021-4034](https://securityaffairs.co/wordpress/127199/security/linux-cve-2021-4034-bug.html) (aka PwnKit) and [CVE-2021-3493](https://nvd.nist.gov/vuln/detail/CVE-2021-3493). The malware leverages the exploit to download and execute the final stage with root privileges – persistence and the payload of the malware.


*“Threat actors continue to search for ways to deliver malware in new ways to stay under the radar and avoid detection. Shiketega malware is delivered in a sophisticated way, it uses a polymorphic encoder, and it gradually delivers its payload where each step reveals only part of the total payload. In addition, the malware abuses known hosting services to host its command and control servers. Stay safe!” concludes the report.*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Log4Shell)**



 
  


---


  




## Tags:
***CVE's***: CVE-2021-3493 CVE-2021-4034

### Autogenerated tags:
[[malware]] [[shikitega]] [[metasploit]]
