# Experts spotted a new undetectable PowerShell Backdoor posing as a Windows update
## Cybersecurity researchers warn of a new PowerShell backdoor that disguises itself as part of the Windows update process to avoid detection. Cybersecurity researchers from SafeBreach a warning of a new PowerShell backdoor masqueraded as a Windows update process to avoid detection. The backdoor spreads via weaponized Word documents (“Apply Form.docm.”) posing as a LinkedIn-based job […]
## Information:

+ Link: https://securityaffairs.co/wordpress/137410/malware/undetectable-powershell-backdoor.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 20 October 2022, 18:09
+ Date scraped: 20 October 2022, 20:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/PowerShell-Backdoor.png?resize=300%2C300&ssl=1)


Cybersecurity researchers from SafeBreach a warning of a new PowerShell backdoor masqueraded as a Windows update process to avoid detection.


The backdoor spreads via weaponized Word documents (“[Apply Form.docm](https://www.virustotal.com/gui/search/name%253A%2522Apply%2520Form.docm%2522).”) posing as a LinkedIn-based job application. The malicious document was uploaded from Jordan on August 25, 2022. 



[![PowerShell Backdoor](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/PowerShell-Backdoor.png?resize=472%2C357&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/PowerShell-Backdoor.png?ssl=1)


The experts believe the backdoor is distributed as a part of a spear phishing campaign conducted by a sophisticated threat actor.


Upon opening the document and enabling the embedded macro, a PowerShell script is dropped on the victim’s machine. It also achieves persistence by creating a scheduled task posing as part of the Windows update process and executing the script that is located in a fake update folder (“*%appdata%\local\Microsoft\Windows*“).


Once executed the script, it will launch a second PowerShell script and before executing the scheduled task, two other scripts (*Script.ps1* and *Temp.ps1*) are dropped on the system.


*“Before executing the scheduled task, it will create two PowerShell scripts, named Script.ps1 and Temp.ps1. The content of the PowerShell scripts is stored in text boxes inside the Word document and will be saved to the same fake update directory of %AppData%\Local\Microsoft\Windows\Update.” [reads](https://www.safebreach.com/resources/blog/safebreach-labs-researchers-uncover-new-fully-undetectable-powershell-backdoor/) the analysis published by SafeBreach.*


Both scripts are obfuscated and FUD with a zero detection rate in VirusTotal.


Script.ps1 connects to the C2 servers and sends a victim ID to the operators, then awaits a command. The command is encrypted using AES-256 CBC.


The analysis of the ID count revealed that the attackers C2 have compromised a total of 70 computers.


The Temp.ps1 script decodes the command in the response, executes it, and then uploads the result in encrypted form via a POST request to the C2.


SafeBreach researchers were able to create a script to decrypt the commands sent to each of them.


The experts found the following percentage of each command type waiting for the victims:


* 66%: Exfiltrate process list command
* 23%: Empty command – Idle (the command starts with “:”)
* 7%: Local users enumerations – whoami and whoami /all + process list
* 2%: Remove files from public folder + net accounts + computer name, IP configurations …
* 1%: List files in special folders – program files, downloads, desktop, documents, appdata
* 1%: Entire script for A.D users enumerations and RDP clients enumerations (see Appendix B)


SafeBreach published indicators of compromise (IoCs) for the PowerShell backdoor.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, PowerShell Backdoor)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[powershell]] [[safebreach]] [[script.ps1]] [[temp.ps1]] [[c2]]
