# Experts warn of OSS supply chain attacks against the banking sector
## Checkmark researchers have uncovered the first known targeted OSS supply chain attacks against the banking sector. In the first half of 2023, Checkmarx researchers detected multiple open-source software supply chain attacks aimed at the banking sector. These attacks targeted specific components in web assets used by banks, according to the experts the attackers used advanced techniques. […]
## Information:

+ Link: https://securityaffairs.com/148757/cyber-crime/supply-chain-attack-banking-sector.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 24 July 2023, 09:46
+ Date scraped: 24 July 2023, 11:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/07/image-38.png?resize=300%2C300&ssl=1)



## Checkmark researchers have uncovered the first known targeted OSS supply chain attacks against the banking sector.


In the first half of 2023, Checkmarx researchers detected multiple open-source software supply chain attacks aimed at the banking sector. These attacks targeted specific components in web assets used by banks, according to the experts the attackers used advanced techniques.


*“On the 5th and 7th of April, a threat actor leveraged the NPM platform to upload a couple of packages containing within them a **preinstall script** that executed its malicious objective upon installation.” reads the [**report**](https://checkmarx.com/blog/first-known-targeted-oss-supply-chain-attacks-against-the-banking-sector/) published by Checkmarx.*


The attackers created fake LinkedIn profiles to get in touch with the victims’ employees and used for each target a specific C2. The experts noticed that the contributor behind the malicious packages was linked to a LinkedIn profile page of an individual that was posing as an employee of the victim.


The two malicious npm packages employed in the April 2023 attacks included a preinstall script used to activate the multi-stage attack chain. In the first stage, the script determined the host operating system (Windows, Linux, or macOS) and downloaded the second-stage malware from a remote server by using Azure’s CDN subdomain that include the name of the bank in question.


The use of Azure’s CDN subdomains allows attackers to avoid detection and bypass traditional deny list methods.


The second-stage payload is the [Havoc Framework](https://github.com/HavocFramework/Havoc), is provided post-exploitation capabilities like other more popular hacking tools, including [Cobalt Strike](https://securityaffairs.com/144537/hacking/microsoft-vs-cracked-copies-cobalt-strike.html), [Sliver](https://securityaffairs.com/133953/hacking/manjusaka-attack-tool.html), and [Brute Ratel](https://securityaffairs.com/136395/cyber-crime/brute-ratel-cracked-copy.html).


[![supply chain attack banking sector](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/07/image-38.png?resize=936%2C422&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/07/image-38.png?ssl=1)



In a second attack observed by the company in February 2023, threat actors targeted a different bank. The attackers uploaded a malicious npm package that contained a masterfully crafted payload designed to blend into the website of the victim bank and lay dormant until it was prompted to spring into action.”


*“The payload revealed that the attacker had identified a unique element ID in the HTML of the login page and designed their code to latch onto a specific login form element, stealthily intercepting login data and then transmitting it to a remote location.” continues the report.*


[![supply chain attack banking sector 2](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/07/image-39.png?resize=936%2C434&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/07/image-39.png?ssl=1)


The experts believe that the two attacks are not linked, the npm packages have been reported and subsequently removed. The names of these packages were not revealed.


Checkmarx believes that we will observe a steady escalation in such kinds of targeted attacks, including on banks.


The report published by Checkmarx includes indicators of compromise (IoCs) for these attacks. 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **supply chain attack**)




  


---


  




## Tags:


### Autogenerated tags:
[[checkmarx]] [[npm]]
