# GALLIUM APT used a new PingPull RAT in recent campaigns
## China-linked Gallium APT employed a previously undocumented RAT, tracked as PingPull, in recent cyber espionage campaign targeting South Asia, Europe, and Africa. China-linked Gallium APT (aka Softcell) used a previously undocumented remote access Trojan dubbed PingPull in recent attacks aimed at organizations in Southeast Asia, Europe, and Africa. Researchers from Palo Alto Networks defined the […]
## Information:

+ Link: https://securityaffairs.co/wordpress/132217/apt/gallium-apt-pingpull-trojan.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 13 June 2022, 14:54
+ Date scraped: 15 June 2022, 14:42

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/06/GALLIUM-scaled.jpg?resize=300%2C300&ssl=1)


China-linked [Gallium](https://securityaffairs.co/wordpress/95047/cyber-crime/gallium-group-targets-telcos.html) APT (aka Softcell) used a previously undocumented remote access Trojan dubbed PingPull in recent attacks aimed at organizations in Southeast Asia, Europe, and Africa.


[![GALLIUM aPT](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/06/GALLIUM.jpg?resize=1024%2C512&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/06/GALLIUM-scaled.jpg?ssl=1)


Researchers from Palo Alto Networks defined the PingPull RAT as a “difficult-to-detect” backdoor that leverages the Internet Control Message Protocol (ICMP) for C2 communications. Experts also found PingPull variants that use HTTPS and TCP for C2 communications instead of ICMP.


The activity of the APT group was first reported by Microsoft in December 2019, when the Microsoft Threat Intelligence Center (MSTIC) warned of the GALLIUM threat group targeting global telecommunication providers worldwide. However, the group has been active at least since 2012.


Since 2021, the cyberespionage group has started targeting financial institutions and government entities in Afghanistan, Australia, Belgium, Cambodia, Malaysia, Mozambique, the Philippines, Russia and Vietnam. Unlike past attacks, the group started using the PingPull RAT.


The PingPull Trojan is written in Visual C++, it was used by threat actors to access a reverse shell and run arbitrary commands on compromised systems. 


*“PingPull samples that use ICMP for C2 communications issue ICMP Echo Request (ping) packets to the C2 server. The C2 server will reply to these Echo requests with an Echo Reply packet to issue commands to the system.” reads the [analysis](https://unit42.paloaltonetworks.com/pingpull-gallium/) published by Palo Alto Networks. “Continuing this method of pivoting across all of the PingPull samples and their associated C2 domains has resulted in the identification of over 170 IP addresses associated with this group dating back to late 2020. “*


The researchers pointed out that GALLIUM is an active threat to telecommunications, finance and government organizations across Southeast Asia, Europe and Africa. The group is improving its cyberespionage capabilities.


**Security Affairs is one of the finalists for the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS. I ask you to vote for me again (even if you have already done it), because this vote is for the final.**


**Please vote for Security Affairs and Pierluigi Paganini in every category that includes them (e.g. sections “The Underdogs – Best Personal (non-commercial) Security Blog” and “The Tech Whizz – Best Technical Blog”)**


**To nominate, please visit:**


<https://docs.google.com/forms/d/e/1FAIpQLSdNDzjvToMSq36YkIHQWwhma90SR0E9rLndflZ3Cu_gVI2Axw/viewform>


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, APT)**




 
  


---


  




## Tags:
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSdNDzjvToMSq36YkIHQWwhma90SR0E9rLndflZ3Cu_gVI2Axw/viewform

### Autogenerated tags:
[[pingpull]] [[c2]] [[icmp]]
