# Google won a lawsuit against the Glupteba botnet operators
## Google won a lawsuit filed against two Russian nationals involved in the operations of the Glupteba botnet. This week, Google announced it has won a nearly year-long legal battle against the Glupteba botnet. Glupteba is a highly sophisticated botnet composed of millions of compromised Windows devices. Unlike other botnets, Gluteba leverages cryptocurrency blockchains as a command-and-control mechanism […]
## Information:

+ Link: https://securityaffairs.co/wordpress/138803/cyber-crime/google-lawsuit-glupteba-botnet-operators.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 21 November 2022, 14:33
+ Date scraped: 22 November 2022, 10:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2021/08/google-logo.png?resize=300%2C300&ssl=1)


This week, Google announced it has won a nearly year-long [legal battle](https://blog.google/technology/safety-security/new-action-combat-cyber-crime/) against the Glupteba botnet. Glupteba is a highly sophisticated botnet composed of millions of compromised Windows devices. Unlike other botnets, Gluteba leverages cryptocurrency blockchains as a command-and-control mechanism in an attempt to make it more resilient to takeover.


*“This means that a conventional botnet can be disabled by taking the server at the hardcoded address offline. The Glupteba malware, however, instructs infected computers to look for the addresses of its C2 servers by referencing transactions associated with specific accounts on the Bitcoin blockchain. The blockchain is not controlled by any central authority, and each transaction is disseminated to and viewable by any user on the blockchain.” [states](https://storage.courtlistener.com/recap/gov.uscourts.nysd.571146/gov.uscourts.nysd.571146.132.0.pdf) the court owner. “These features make the Glupteba botnet unusually resistant to disruption. If the botnet’s C2 servers are disabled, then its operators can simply set up new servers and broadcast their addresses on the blockchain.”*


The IT giant won a lawsuit filed against two Russian nationals involved in the operations of the botnet, the court’s ruling sets an important legal precedent in the fight against cybercrime.


In December 2021, the company’s Threat Analysis Group (TAG) [shared](https://blog.google/threat-analysis-group/disrupting-glupteba-operation/) the actions it took to disrupt the operations of the Glupteba botnet and announced it has filed a case in the Southern District of New York against its operators. 



[![Google Glupteba botnet](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2021/08/google-logo.png?resize=305%2C116&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2021/08/google-logo.png?ssl=1)


*“This week, we were pleased to see the end to a nearly year-long [legal battle](https://blog.google/technology/safety-security/new-action-combat-cyber-crime/) against the Glupteba botnet” reads the [announcement](https://blog.google/outreach-initiatives/public-policy/a-ruling-in-our-legal-case-against-the-glupteba-botnet/) published by Google. “We made the explicit decision to name the criminal actors behind Glupteba as defendants in the suit, to expose them and their various shell companies. This is not a common tactic, but we felt it was important to try and disrupt their ability to operate covertly online.”*


The U.S. District Court issued monetary sanctions against both the Russian-based defendants and their US-based lawyer and required them to pay the legal fees to Google.


*“In exchange, the Defendants would receive Google’s agreement not to report them to law enforcement, and a payment of $1 million per defendant, plus $110,000 in attorney’s fees. The Defendants stated that, although they do not currently have access to the private keys, Valtron would be willing to provide them with the private keys if the case were settled.” continues the court order.*


The sentence is considered very important and demonstrates that crooks can have monetary consequences for engaging in cyber criminal activities like this one.


*It is now clear that the Defendants appeared in this Court not to proceed in good faith to defend against Google’s claims but with the intent to abuse the court system and discovery rules to reap a profit from Google,”* said Federal Judge Denise Cote in her decision Tuesday.


Google pointed out that Glupteba operators have resumed activity using platforms and IoT devices that are not operated by Google. However, the company confirmed that its operation caused a 78% reduction in the number of infected hosts.


*“But there’s a lot more work to be done. Legal cases that expose the criminal elements behind these types of operations are just one tool that Google uses to protect our services and the people and businesses who use them.” concludes the announcement.*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://mstdn.social/invite/4GESs2dP)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Glupteba botnet)**


 
  


---


  




## Tags:


### Autogenerated tags:
[[glupteba]] [[google]] [[botnet]]
