# Gootkit AaaS malware is still active and uses updated tactics
## Gootkit access-as-a-service (AaaS) malware is back with tactics and fileless delivery of Cobalt Strike beacons. Gootkit runs on an access-a-as-a-service model, it is used by different groups to drop additional malicious payloads on the compromised systems. Gootkit has been known to use fileless techniques to deliver threats such as the SunCrypt, and REvil (Sodinokibi) ransomware, Kronos trojans, […]
## Information:

+ Link: https://securityaffairs.co/wordpress/133918/malware/gootkit-is-still-active.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 02 August 2022, 07:44
+ Date scraped: 02 August 2022, 08:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/gootkit.jpg?resize=300%2C292&ssl=1)


Gootkit runs on an [access-a-as-a-service](https://www.trendmicro.com/vinfo/us/security/news/cybercrime-and-digital-threats/investigating-the-emerging-access-as-a-service-market) model, it is used by different groups to drop additional malicious payloads on the compromised systems. Gootkit has been known to use fileless techniques to deliver threats such as the [SunCrypt](https://securityaffairs.co/wordpress/108402/malware/uhnj-suncrypt-ransomware.html), and [REvil](https://securityaffairs.co/wordpress/130811/cyber-crime/samples-new-revil-ransomware.html) (Sodinokibi) ransomware, [Kronos](https://securityaffairs.co/wordpress/61669/cyber-crime/marcus-hutchins-kronos-trojan.html) trojans, and Cobalt Strike.


In the past, Gootkit distributed malware masquerading as freeware installers, now it uses legal documents to trick users into downloading these files.


The attack chain starts with a user searching for specific information in a search engine. Attackers use black SEO technique to display a website compromised by Gootkit operators among the results.


Upon visiting the website, the victim will notice that it is presented as an online forum directly answering his query. This forum hosted a ZIP archive that contains the malicious .js file, which is used to establish persistence and drop a Cobalt Strike binary in the memory of the infected system.


*“When the user downloaded and opened this file, it spawned an obfuscated script which, through registry stuffing, installed a chunk of encrypted codes in the registry and added scheduled tasks for persistence. The encrypted code in the registry was then reflectively loaded through PowerShell to reconstruct a Cobalt Strike binary that runs directly in the memory filelessly.” reads the [analysis](https://www.trendmicro.com/en_us/research/22/g/gootkit-loaders-updated-tactics-and-fileless-delivery-of-cobalt-strike.html) published by Trend Micro. “Much of what we have just described is still in line with the behavior we reported in 2020, but with a few minor updates. This indicates that Gootkit Loader is still actively being developed and has proved successful in compromising unsuspecting victims.”*


Experts pointed out that encrypted registries now use custom text replacement algorithm instead of base64 encoding.



[![gootkit malware](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/gootkit.jpg?resize=550%2C333&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/gootkit.jpg?ssl=1)


The Cobalt Strike binary loaded directly to the memory of the victim’s system has been observed connecting to the IP address 89[.]238[.]185[.]13, which is a Cobalt Strike C2.


*“One key takeaway from this case is that Gootkit is still active and improving its techniques. This implies that this operation has proven effective, as other threat actors seem to continue using it. Users are likely to encounter Gootkit in other campaigns in the future, and it is likely that it will use new means of trapping victims.” concludes the report. “This threat also shows that SEO poisoning remains an effective tactic in luring unsuspecting users. The combination of SEO poisoning and compromised legitimate websites can mask indicators of malicious activity that would usually keep users on their guard. Such tactics highlight the importance of user awareness and the responsibility of website owners in keeping their cyberspaces safe.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Gootkit)**




 
  


---


  




## Tags:
***ipv4-adresses***: 89.238.185.13
***urls***: http://89.238.185.13

### Autogenerated tags:
[[gootkit]] [[seo]] [[website]]
