# Hackers hijacked the eScan Antivirus update mechanism in malware campaign
## A malware campaign has been exploiting the updating mechanism of the eScan antivirus to distribute backdoors and cryptocurrency miners.
## Information:

+ Link: https://securityaffairs.com/162228/breaking-news/escan-antivirus-mitm-attack.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 24 April 2024, 13:52
+ Date scraped: 24 April 2024, 15:10

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/04/image-22.png)



Avast researchers discovered and analyzed a malware campaign that exploited the update mechanism of the eScan antivirus to distribute backdoors and crypto miners.


Threat actors employed two different types of backdoors and targeted large corporate networks



The researchers believe the campaign could be attributed to North Korea-linked AP [Kimsuky](https://securityaffairs.com/149698/apt/kimsuky-war-simulation-centre.html). The final payload distributed by GuptiMiner was also XMRig.


*“GuptiMiner is a highly sophisticated threat that uses an interesting infection chain along with a couple of techniques that include performing DNS requests to the attacker’s DNS servers, performing sideloading, extracting payloads from innocent-looking images, signing its payloads with a custom trusted root anchor certification authority, among others.” reads the [**analysis**](https://decoded.avast.io/janrubin/guptiminer-hijacking-antivirus-updates-for-distributing-backdoors-and-casual-mining/) published by Avast.* *“The main objective of GuptiMiner is to distribute backdoors within big corporate networks.”*


The threat actors behind this campaign exploited a vulnerability in the update mechanism of the Indian antivirus provider eScan that allowed them to carry out a man-in-the-middle attack to distribute the malware. Avast already reported the issue to eScan and the India CERT. eScan acknowledged the flaw and addressed it on July 31, 2023. The issue in the update mechanism was present for at least five years.


The infection process begins when eScan requests an update from the update server. However, the attackers carry out a MitM attack and replace the legitimate update package with a malicious one. Subsequently, eScan unpacks and installs the package, which results in the sideloading of a DLL by eScan’s clean binaries. This DLL facilitates the continuation of the process, leading to the execution of multiple shellcodes and intermediary PE loaders.



[![eScan antivirus](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/04/image-22.png?resize=579%2C1024&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/04/image-22.png?ssl=1)


The researchers noticed that the downloaded package file is replaced with a malware-laced one on the wire because the process doesn’t use an HTTPS connection.


Below the infection chain described by Avast:


1. The eScan updater triggers the update
2. The downloaded package file is replaced with a malicious one on the wire because of a missing HTTPS encryption (MitM is performed)
3. A malicious package `updll62.dlz` is downloaded and unpacked by eScan updater
4. The contents of the package contain a malicious DLL (usually called `version.dll`) that is sideloaded by eScan. Because of the sideloading, the DLL runs with the same privileges as the source process – eScan – and it is loaded next time eScan runs, usually after a system restart
5. If a mutex is not present in the system (depends on the version, e.g. `Mutex_ONLY_ME_V1`), the malware searches for `services.exe` process and injects its next stage into the first one it can find
6. Cleanup is performed, removing the update package


GuptiMiner operates its own DNS servers to provide legitimate destination domain addresses of C2 servers through DNS TXT responses.


GuptiMiner connects directly to malicious DNS servers, bypassing the DNS network entirely. This use of the DNS protocol resembles telnet and is not considered DNS spoofing, which typically occurs within the DNS network. Although the servers requested by GuptiMiner exist, it’s likely an evasion tactic.


In the second-stage the shellcode from the PNG file extracts and executes the Gzip loader. This loader is a simple PE that decompresses another shellcode using Gzip and executes it in a separate thread that kiads the Stage 3 malware Puppeteer.


Puppeteer orchestrates the core functionality of the malware, including the cryptocurrency mining as well as the backdoor deployment.


Surprisingly, the ultimate payload disseminated by GuptiMiner can be also XMRig, which was somewhat unexpected given the level of sophistication of this campaign.


The researchers speculate that using the miner could be a diversionary tactic.


*“During our research, we’ve also found an information stealer which holds a rather similar PDB path as was used across the whole GuptiMiner campaign.” concludes the report. “What is truly interesting, however, is that this information stealer might come from Kimsuky operations.”*


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, eScan antivirus)**





---




---





## Tags:


### Autogenerated tags:
[[escan]] [[dns]] [[guptiminer]] [[malware]] [[dll]] [[backdoors]] [[sideloading]]
