# Hamas-linked APT uses Rust-based SysJoker backdoor against Israel
## Researchers reported that a Hamas-linked APT group is using a rust-based SysJoker backdoor against Israeli entities.
## Information:

+ Link: https://securityaffairs.com/154748/malware/hamas-linked-apt-sysjoker-backdoor.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 25 November 2023, 00:00
+ Date scraped: 25 November 2023, 01:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2014/07/hamas.jpg)


Check Point researchers observed a Hamas-linked APT group is using the [SysJoker](https://securityaffairs.com/126656/malware/sysjoker-backdoor.html) backdoor against Israeli entities.


In December 2021, security experts from Intezer first discovered the [SysJoker](https://www.intezer.com/blog/malware-analysis/new-backdoor-sysjoker/) backdoor, which is able to infect Windows, macOS, and Linux systems.



The version employed in the attacks against Israel is written in Rust language, which suggests the malware was rewritten from scratch. The experts noticed that the malicious code supports the same functionalities as past variants. The threat actor switched from Google Drive to OneDrive to store dynamic C2 (command and control server) URLs.


*“Using OneDrive allows the attackers to easily change the C2 address, which enables them to stay ahead of different reputation-based services. This behavior remains consistent across different versions of SysJoker.” reads the [analysis](https://research.checkpoint.com/2023/israel-hamas-war-spotlight-shaking-the-rust-off-sysjoker/) published by Check Point.*


The backdoor collects information about the infected system (i.e. Windows version, username, MAC address). The collected data is sent to the `/api/attach` API endpoint on the C2 server.


Once registered with the C2 server, the sample initiates the main C2 loop. It sends a POST request with the unique token to the /api/req endpoint, receiving a JSON response from the C2 server.


In turn, the server responds with a JSON containing a field named “data,” which holds an array of actions for the sample to execute. 


Check Point also noticed behavioral similarities with the [Operation Electric Powder](https://www.clearskysec.com/iec/) campaign which targeted Israel in 2016-2017. This campaign was attributed to [Gaza Cybergang](https://securityaffairs.com/64979/cyber-warfare-2/gaza-cybergang-new-ttps.html) (aka Molerats), a threat actor that is believed to be linked to the Palestinian organization Hamas. 


The Gaza cybergang, aka “Gaza Hackers Team” and “[Molerats](http://securityaffairs.co/wordpress/25533/cyber-crime/fireeye-molerats-attacks-xtreme-rat.html),” appears to be politically motivated and has been active since at least since 2012, but it has intensified its activity in Q2 2015.


Check Point also discovered two previously undetected additional SysJoker samples that are more complex than the Rust version.


*“Although the SysJoker malware, which was first seen in 2021 and publicly described in 2022, wasn’t attributed to any known actor, we found evidence that this tool and its newer variants have been used as part of the Israeli-Hamas conflict. We were also able to make a connection between SysJoker and the 2016-2017 Electric Powder Operation against Israel Electric Company.” concludes the report. “The earlier versions of the malware were coded in C++. Since there is no straightforward method to port that code to Rust, it suggests that the malware underwent a complete rewrite and may potentially serve as a foundation for future changes and improvements.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, SysJoker backdoor)**




---




---





## Tags:


### Autogenerated tags:
[[sysjoker]] [[c2]] [[malware]] [[gaza]]
