# HinataBot, a new Go-Based DDoS botnet in the threat landscape
## A new Golang-based DDoS botnet, tracked as HinataBot, targets routers and servers by exploiting known vulnerabilities. Akamai researchers spotted a new DDoS Golang-based botnet, dubbed HinataBot, which has been observed exploiting known flaws to compromise routers and servers. The experts reported that the HinataBot bot was seen being distributed since the beginning of 2023 and its operators are actively […]
## Information:

+ Link: https://securityaffairs.com/143618/cyber-crime/hinatabot-go-based-ddos-botnet.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 17 March 2023, 15:41
+ Date scraped: 17 March 2023, 17:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-33.png?resize=300%2C286&ssl=1)


## A new Golang-based DDoS botnet, tracked as HinataBot, targets routers and servers by exploiting known vulnerabilities.


Akamai researchers spotted a new DDoS Golang-based botnet, dubbed HinataBot, which has been observed exploiting known flaws to compromise routers and servers.


The experts reported that the HinataBot bot was seen being distributed since the beginning of 2023 and its operators are actively updating it.


The name “Hinata” comes after a character from the popular anime series, Naruto.


Akamai’s SIRT recently discovered the new bot within HTTP and SSH honeypots, it stood out due to its large size and the lack of specific identification around its newer hashes. 


The sample captured by the experts abuses old vulnerabilities and weak credentials, the researchers reported that it attempts to exploit flaws in the miniigd SOAP service on Realtek SDK devices ([CVE-2014-8361](https://securityaffairs.com/119018/malware/cyberium-malware-hosting-mirai.html)), Huawei HG532 routers ([CVE-2017-17215](https://securityaffairs.com/67227/malware/cve-2017-17215-exploit-code.html)), and exposed Hadoop YARN servers (CVE N/A). 


HinataBot supports multiple methods of communication, including both dialing out and listening for incoming connections. The botnet can launch distributed denial-of-service (DDoS) flooding attacks that relies on protocols such as HTTP, UDP, TCP, and ICMP to send traffic. However, the latest version of HinataBot only supports HTTP and UDP attacks.


Akamai said that by reverse engineering the bot and imitating the command and control (C2) server, was able to test the offensive capabilities of the botnet by running two attack methods (HTTP and UDP) in a 10-second period.


[![HinataBot botnet](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-33.png?resize=1024%2C284&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-33.png?ssl=1)


*“The http\_flood generated 3.4 MB of packet capture data and pushed 20,430 HTTP requests. The request sizes ranged from 484 to 589 bytes per request, with sizes varying mostly due to randomization of User-Agent and Cookie header data.” reads the [**report**](https://www.akamai.com/blog/security-research/hinatabot-uncovering-new-golang-ddos-botnet) published by Akamai. “The udp\_flood generated 6,733 packets for a total of 421 MB of packet capture data over the wire. There isn’t much else that’s interesting about this attack: it is volumetric in nature and seems to do a decent job of pushing volume.”*


Test results show that a botnet composed of just 1,000 nodes can carry out a UDP flood that would weigh in at around 336 Gbps per second. A botnet of 10,000 nodes (which is roughly 6.9% of the size of Mirai at its peak) can generate a UDP flood that would weigh in at more than 3.3 Tbps. The HTTP flood at 1,000 nodes would generate roughly 2.7 Gbps and more than 2 Mrps, while with 10,000 nodes, those numbers jump to 27 Gbps delivering 20.4 Mrps.


HinataBot is the last bot in order of time to join the ever-growing list of emerging Go-based bots after [GoBruteforcer](https://securityaffairs.com/143435/malware/golang-based-botnet-gobruteforcer.html) and [KmsdBot](https://securityaffairs.com/138514/malware/kmsdbot-golang-malware.html).


*“The HinataBot family relies on old vulnerabilities and brute forcing weak passwords for distribution. This is yet another example of why strong password and patching policies are more critical than ever.” concludes Akamai that also privided Indicators of Compromise and YARA rules for this threat.*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, HinataBot)**



  


---


  




## Tags:
***CVE's***: CVE-2014-8361 CVE-2017-17215

### Autogenerated tags:
[[hinatabot]] [[botnet]] [[http]] [[udp]] [[ddos]] [[gbps]]
