# IcedID malware campaign targets Zoom users
## Cyber researchers warn of a modified Zoom app that was used by threat actors in a phishing campaign to deliver the IcedID Malware. Cyble researchers recently uncovered a phishing campaign targeting users of the popular video conferencing and online meeting platform Zoom to deliver the IcedID malware. IcedID banking trojan first appeared in the threat landscape in 2017, […]
## Information:

+ Link: https://securityaffairs.com/140465/malware/icedid-targets-zoom-users.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 07 January 2023, 18:31
+ Date scraped: 07 January 2023, 19:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Zoom-phishing-IceID.jpg?resize=300%2C300&ssl=1)




## Cyber researchers warn of a modified Zoom app that was used by threat actors in a phishing campaign to deliver the IcedID Malware.


Cyble researchers recently uncovered a phishing campaign targeting users of the popular video conferencing and online meeting platform Zoom to deliver the [IcedID malware](https://securityaffairs.com/130250/cyber-warfare-2/icedid-against-ukraine-gov-agencies.html). 


[IcedID banking trojan](https://securityaffairs.co/wordpress/65532/breaking-news/icedid-banking-trojan.html) first appeared in the threat landscape in 2017, it has capabilities similar to other financial threats like [Gozi](https://securityaffairs.co/wordpress/50511/cyber-crime/new-gozi-campaigns.html), [Zeus](https://securityaffairs.co/wordpress/32875/cyber-crime/news-sophisticated-zeus-variant.html), and [Dridex](https://securityaffairs.co/wordpress/55801/cyber-crime/dridex-trojan-uac.html). Experts at IBM X-Force that first analyzed it noticed that the threat does not borrow code from other banking malware, but the malicious code implements comparable capabilities, including launching [man-in-the-browser](https://securityaffairs.co/wordpress/17538/cyber-crime/man-browser-attacks-scare-banking.html) attacks, and intercepting and stealing financial information from victims.


The IcedID malware usually spreads malvertising campaigns using weaponized Office documents. However, in the campaign discovered by Cyble, threat actors used a phishing website, mimiking the legitimate Zoom website, to deliver the IcedID malware.


*“The TAs behind this campaign used a highly convincing phishing page that looked like a legitimate Zoom website to trick users into downloading the IcedID malware, which carries out malicious activities.” reads the [analysis](https://blog.cyble.com/2023/01/05/zoom-users-at-risk-in-latest-malware-campaign/) published by Cyble.*


The landing page on the website contained a download button. Upon clicking on the button, the site delivered a Zoom installer file from the URL: *hxxps[:]//explorezoom[.]com/products/app/ZoomInstallerFull[.]exe*. The analysis conducted by the experts revealed that the file was a version of the IcedID malware. 



[![Zoom phishing IceID](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Zoom-phishing-IceID.jpg?resize=643%2C385&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Zoom-phishing-IceID.jpg?ssl=1)


Upon executing the “ZoomInstallerFull.exe” executable, the malware drops the binaries ikm.msi, maker.dll binaries in the in the %temp% folder.


The “maker.dll” is a malicious libraries used to perform various malicious activities and load the IcedID malware, while “ikm.msi” is a legitimate installer of the Zoom application.


Once installed, the IcedID malware attempts to connect the C2. If the malware can successfully connect to the C2 server, it can drop an additional malicious payloads in the %programdata% directory.


*“IcedID is a highly advanced, long-lasting malware that has affected users worldwide.” concludes the report. “The threat actor utilized a phishing site in this specific campaign to deliver the IcedID payload. Threat actors are constantly adapting their techniques to evade detection by cybersecurity measures.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, malware)**




  


---


  




## Tags:
***urls***: https://explorezoom.com/products/app/ZoomInstallerFull.exe

### Autogenerated tags:
[[malware]] [[icedid]] [[phishing]] [[website]] [[cyble]]
