# Iran-linked MERCURY APT behind destructive attacks on hybrid environments
## Iran-linked APT group MERCURY is behind destructive attacks on hybrid environments masquerading as a ransomware operation. The Microsoft Threat Intelligence team observed a series of destructive attacks on hybrid environments that were carried out by MuddyWater APT group (aka MERCURY). Threat actors masqueraded the attacks as a standard ransomware operation. MERCURY (aka MuddyWater, SeedWorm and TEMP.Zagros) has been active since […]
## Information:

+ Link: https://securityaffairs.com/144606/apt/mercury-apt-destructive-attacks.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 10 April 2023, 14:06
+ Date scraped: 10 April 2023, 15:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-11.png?resize=300%2C300&ssl=1)


## Iran-linked APT group MERCURY is behind destructive attacks on hybrid environments masquerading as a ransomware operation.


The Microsoft Threat Intelligence team observed a series of destructive attacks on hybrid environments that were carried out by [MuddyWater](https://securityaffairs.com/139505/apt/muddywater-changs-ttps.html) APT group (aka [MERCURY](https://securityaffairs.com/134876/apt/mercury-exploit-log4shell-flaw.html)). Threat actors masqueraded the attacks as a standard ransomware operation.


MERCURY (aka [MuddyWater](https://securityaffairs.co/wordpress/112972/hacking/muddywater-attack-github-imgur.html), [SeedWorm](https://securityaffairs.co/wordpress/78827/apt/seedworm-attacks.html) and [TEMP.Zagros](https://securityaffairs.co/wordpress/70453/hacking/temp-zagros-phishing.html)) has been active since at least 2017, in January 2022 the USCYBERCOM has [officially linked](https://securityaffairs.com/126664/apt/muddywater-linked-to-iran-mois.html) the Iran-linked APT group to Iran’s Ministry of Intelligence and Security (MOIS).


The group was observed targeting both on-premises and cloud environments. According to Microsoft, MERCURY likely conducted the attacks in partnership with another actor tracked as DEV-1084, who carried out the destructive actions after MERCURY gained access to the target environment.


*“MERCURY likely exploited known vulnerabilities in unpatched applications for initial access before handing off access to DEV-1084 to perform extensive reconnaissance and discovery, establish persistence, and move laterally throughout the network, oftentimes waiting weeks and sometimes months before progressing to the next stage.” reads the [**report**](https://www.microsoft.com/en-us/security/blog/2023/04/07/mercury-and-dev-1084-destructive-attack-on-hybrid-environment/) published by Microsoft. “DEV-1084 was then later observed leveraging highly privileged compromised credentials to perform en masse destruction of resources, including server farms, virtual machines, storage accounts, and virtual networks, and send emails to internal and external recipients.”*


DEV-1084 presented itself as cybercrime group likely as an attempt to hide its real motivation of a nation-state actor.


The link between the DEV-1084 cluster and MERCURY was established based on the following evidence:


* Both DEV-1084 and MERCURY were observed sending emails from the IP address 146.70.106[.]89.
* Both groups used MULLVAD VPN.
* DEV-1084 used Rport and a customized version of Ligolo. MERCURY has also been observed using Rport and a similar version of Ligolo in previous attacks.
* DEV-1084 used the *vatacloud[.]com* domain for C2, which is believed to be under the control of the MERCURY APT group.


In the attacks observed by Microsoft, the state-sponsored hackers used highly privileged credentials and access to domain controllers. The attackers were able to interfere with security tools using Group Policy Objects (GPO). Once bypassed the security defenses, the attackers deployed the ransomware payload in the NETLOGON shares on several domain controllers.


Then the attackers maintain persistence by registering a scheduled task using GPO. The ransomware employed in the attacks changes the file name extension to *DARKBIT* and drop ransom notes.


[![Mercury ransomware attack](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-11.png?resize=1024%2C604&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-11.png?ssl=1)


The hackers abused Exchange Web Services to gain full access to email inboxes, then they were able to perform “thousands of search activities” and impersonate a high-ranking employee to send emails both internally and externally.


Microsoft provides mitigations for destructive attacks to secure on-prem environment and Azure AD environment.


**Please vote for Security Affairs (<https://securityaffairs.com/>) as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS**  
**Vote for me in the sections:**


* The Teacher – Most Educational Blog
* The Entertainer – Most Entertaining Blog
* The Tech Whizz – Best Technical Blog
* Best Social Media Account to Follow (@securityaffairs)


Please nominate Security Affairs as your favorite blog.



> 
> 
> > 
> > **Nominate here: <https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform>**
> > 
> > 
> > 
> 
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, MERCURY)**



  


---


  




## Tags:
***urls***: http://146.70.106.89 https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform https://securityaffairs.com/ http://vatacloud.com

### Autogenerated tags:
[[dev-1084]] [[microsoft]] [[ransomware]] [[blog]] [[emails]]
