# Iran-linked Mercury APT exploited Log4Shell in SysAid Apps for initial access
## An Iran-linked Mercury APT group exploited the Log4Shell vulnerability in SysAid applications for initial access to the targeted organizations. The Log4Shell flaw (CVE-2021-44228) made the headlines in December after Chinese security researcher p0rz9 publicly disclosed a Proof-of-concept exploit for the critical remote code execution zero-day vulnerability (aka Log4Shell) that affects the Apache Log4j Java-based logging library. The flaw can be exploited […]
## Information:

+ Link: https://securityaffairs.co/wordpress/134876/apt/mercury-exploit-log4shell-flaw.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 26 August 2022, 17:19
+ Date scraped: 26 August 2022, 18:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/Mercury-log4j.png?resize=300%2C300&ssl=1)


The Log4Shell flaw ([CVE-2021-44228](https://securityaffairs.co/wordpress/125567/hacking/log4shell-log4j-exploitation.html)) made the headlines in December after Chinese security researcher p0rz9 publicly disclosed a Proof-of-concept exploit for the critical remote code execution zero-day vulnerability ([aka Log4Shell](https://securityaffairs.co/wordpress/125480/hacking/log4j-java-library-zeroday.html)) that affects the Apache [Log4j](https://logging.apache.org/log4j/2.x/index.html) Java-based logging library.


The flaw can be exploited for remote code execution and it has been leveraged by both profit-driven cybercriminals and state-sponsored cyberspies.


Log4Shell impacts the products of several major companies that use Log4j, but in many attacks, the vulnerability has been exploited against affected VMware software.


Now researchers from Microsoft, reported that Iran-linked APT tracked as [Mercury](https://securityaffairs.co/wordpress/128493/malware/unc3313-apt-two-backdoors.html) (aka  [MuddyWater](https://securityaffairs.co/wordpress/128383/apt/muddywater-apt-python-backdoor.html), [Static Kitten](https://securityaffairs.co/wordpress/125651/apt/seedworm-targets-telecoms-orgs.html), [Seedworm](https://securityaffairs.co/wordpress/109911/apt/iran-seedworm-middle-east.html), [TEMP.Zagros](https://securityaffairs.co/wordpress/127474/apt/muddywater-apt-targets-turkey.html)) has exploited the flaw against vulnerable SysAid apps used by Israeli organizations. The APT group was officially linked by the US government to Iran’s Ministry of Intelligence and Security.


MERCURY has already exploited the Log4j 2 in past attacks, for example, targeting vulnerable VMware apps, but this is the first time the group has used SysAid apps as a vector for initial access.


*“In recent weeks, the Microsoft Threat Intelligence Center (MSTIC) and Microsoft 365 Defender Research Team detected Iran-based threat actor MERCURY leveraging exploitation of [Log4j 2 vulnerabilities](https://www.microsoft.com/security/blog/2021/12/11/guidance-for-preventing-detecting-and-hunting-for-cve-2021-44228-log4j-2-exploitation/) in [SysAid](https://www.sysaid.com/security-compliance/important-update-regarding-apache-log4j) applications against organizations all located in Israel.” reads the [report](https://www.microsoft.com/security/blog/2022/08/25/mercury-leveraging-log4j-2-vulnerabilities-in-unpatched-systems-to-target-israeli-organizations/) published by Microsoft.* *“The threat actor leveraged Log4j 2 exploits against VMware applications earlier in 2022 and likely looked for similarly vulnerable internet-facing apps. SysAid, which provides IT management tools, might have presented as an attractive target for its presence in the targeted country.”*


Despite SysAid has [addressed the Log4Shell vulnerability](https://www.sysaid.com/security-compliance/important-update-regarding-apache-log4j) shortly after its disclosure, several organizations have yet to apply the patches released by the company.


Once gained a foothold in the target network, the threat actors establish persistence, dump credentials, and move laterally within the targeted organization. The group has used both custom and well-known hacking tools, as well as built-in operating system tools for its hands-on-keyboard attack.




[![Mercury log4j Log4Shell](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/Mercury-log4j.png?resize=960%2C404&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/Mercury-log4j.png?ssl=1)


The threat actor used different methods to communicate with their C2 server, including built-in operating system tools such as PowerShell, a tunneling tool called *vpnui.exe*, a unique version of the open-source tool Ligolo, and a remote monitoring and management software called [eHorus](https://ehorus.com/).


Microsoft shared a list of Inficators of Compromise (IOCs) observed during its investigation.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Log4Shell)**




 
  


---


  




## Tags:
***CVE's***: CVE-2021-44228

### Autogenerated tags:
[[log4shell]] [[log4j]] [[microsoft]] [[sysaid]] [[apps]] [[vmware]]
