# Lazarus APT exploits Zoho ManageEngine flaw to target an Internet backbone infrastructure provider
## The North Korea-linked Lazarus group exploits a critical flaw in Zoho ManageEngine ServiceDesk Plus to deliver the QuiteRAT malware. The North Korea-linked APT group Lazarus has been exploiting a critical vulnerability, tracked as CVE-2022-47966, in Zoho’s ManageEngine ServiceDesk in attacks aimed at the Internet backbone infrastructure provider and healthcare organizations. The state-sponsored hackers targeted entities […]
## Information:

+ Link: https://securityaffairs.com/149829/apt/lazarus-apt-exploits-zoho-manageengine-flaw.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 24 August 2023, 17:50
+ Date scraped: 24 August 2023, 19:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/08/image-44.png?resize=300%2C300&ssl=1)



The North Korea-linked APT group Lazarus has been exploiting a critical vulnerability, tracked as [CVE-2022-47966](https://securityaffairs.com/141248/security/zoho-manageengine-2022-47966-known-exploited-vulnerabilities-catalog.html), in Zoho’s ManageEngine ServiceDesk in attacks aimed at the Internet backbone infrastructure provider and healthcare organizations.


The state-sponsored hackers targeted entities in Europe and the United States, threat actors began exploiting the flaw just days after PoC exploits were publicly disclosed. The APT group exploited the flaw to deploy a newer piece of malware tracked as QuiteRAT. The security researchers first spotted this implant in February.


QuiteRAT supports the same capabilities as Lazarus Group’s [MagicRAT](https://securityaffairs.com/147976/apt/andariel-apt-earlyrat-malware.html) malware, but experts pointed out that its file size is significantly smaller. Both implants are written using the Qt framework and support remote command execution.


The use of the Qt framework makes it harder to analyze the malware’s code and detect these threats.


*“In early 2023, we observed Lazarus Group successfully compromise an internet backbone infrastructure provider in Europe to successfully deploy QuiteRAT. The actors exploited a vulnerable ManageEngine ServiceDesk instance to gain initial access.” reads the [report](https://blog.talosintelligence.com/lazarus-quiterat/) published by Talos researchers. “The successful exploitation triggered the immediate download and execution of a malicious binary via the Java runtime process.”*


The Lazarus Group uses the cURL command to deploy the QuiteRAT binary from a malicious URL.


Once the binary has been downloaded, the QuiteRAT binary is executed by the Java process and the implant on the infected server is activated. Once the implant starts it sends out preliminary system information to its C2 and waits for commands to execute.


[![Lazarus](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/08/image-44.png?resize=1024%2C728&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/08/image-44.png?ssl=1)


The researchers also discovered the Lazarus Group APT using a new malware called “CollectionRAT.”


CollectionRAT is a remote access trojan (RAT) that can run arbitrary commands on an infected system. The researchers linked CollectionRAT to [Jupiter](https://medium.com/@DCSO_CyTec/andariels-jupiter-malware-and-the-case-of-the-curious-c2-dbfe29f57499)/[EarlyRAT](https://securelist.com/lazarus-andariel-mistakes-and-easyrat/110119/), a malware used by the Andariel APT, which is a subgroup of the Lazarus Group.


The researchers noticed that Lazarus Group is changing its tactics, increasingly relying on open-source tools and frameworks (i.e. open-source DeimosC2 framework) in the initial access phase, as opposed to strictly employing them in the post-compromise phase.


*“Another open-source tool we observed Lazarus Group using is the reverse tunneling tool PuTTY Link (Plink). In the past, we’ve observed Lazarus Group use Plink to establish remote tunnel” [continues](https://blog.talosintelligence.com/lazarus-collectionrat/) the report.*


Talos reported that Lazarus APT continues to use much of the same infrastructure and adopts the same tactics, techniques and procedures (TTPs), despite many of which are publicly known. The CollectionRAT malware was discovered by tracking and analyzing these reused infrastructure components.


The researchers published IOCs for this recent attack on their [Github repository](https://github.com/Cisco-Talos/IOCs/upload/main/2023/08).


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Lazarus APT)**




  


---


  




## Tags:
***CVE's***: CVE-2022-47966

### Autogenerated tags:
[[malware]] [[quiterat]] [[collectionrat]] [[open-source]]
