# Lazarus APT group employed Linux Malware in recent attacks and was linked to 3CX supply chain attack
## North Korea-linked APT group Lazarus employed new Linux malware in attacks that are part of Operation Dream Job. North Korea-linked APT group Lazarus is behind a new campaign tracked as Operation DreamJob (aka DeathNote or NukeSped) that employed Linux malware. The threat actors were observed using social engineering techniques to compromise its targets, with fake job offers […]
## Information:

+ Link: https://securityaffairs.com/145073/apt/lazarus-apt-linux-malware-3cx-attack.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 20 April 2023, 21:23
+ Date scraped: 20 April 2023, 22:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-30.png?resize=300%2C300&ssl=1)


## North Korea-linked APT group Lazarus employed new Linux malware in attacks that are part of Operation Dream Job.


North Korea-linked APT group Lazarus is behind a new campaign tracked as Operation DreamJob (aka [DeathNote](https://securityaffairs.com/123831/apt/north-korea-lazarus-supply-chain.html) or [NukeSped](https://securityaffairs.com/92916/malware/nukesped-rat-north-korea.html)) that employed Linux malware. 


The threat actors were observed using social engineering techniques to compromise its targets, with fake job offers as the lure.


ESET researchers detailed the full attack chain that commences with spear-phishing or direct messages on LinkedIn delivering a ZIP file containing a fake HSBC job. The archive contains a native 64-bit Intel Linux binary written in Go and named HSBC job offer․pdf.


*“Interestingly, the file extension is not .pdf. This is because the apparent dot character in the filename is a [leader dot](https://en.wikipedia.org/wiki/Leader_(typography)) represented by the U+2024 Unicode character. The use of the leader dot in the filename was probably an attempt to trick the file manager into treating the file as an executable instead of a PDF.” reads the [**analysis**](https://www.welivesecurity.com/2023/04/20/linux-malware-strengthens-links-lazarus-3cx-supply-chain-attack/) published by ESET. “This could cause the file to run when double-clicked instead of opening it with a PDF viewer.”*


Upon executing the file, the attackers display a decoy PDF user using [xdg-open](https://portland.freedesktop.org/doc/xdg-open.html). The experts tracked dubbed the ELF downloader OdicLoader, it fetches the second-stage backdoor SimplexTea from OpenDrive.



[![Lazarus APT](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-30.png?resize=648%2C395&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-30.png?ssl=1)


ESET researchers added that the analysis of recent attacks revealed similarities between artifacts used in the Dream Job campaign and those employed as part of the [3CX supply chain attack](https://securityaffairs.com/144411/apt/3cx-supply-chain-attack-cryptocurrency.html).


One of the pieces of evidence that corroborates the attribution to the Lazarus APT is the domain journalist [.] org which was one of the four C2 servers used to control the malware used in the 3CX attack.


The experts speculate that the supply chain attack has been prepared since December 2022, when the attackers gained a foothold inside 3CX’s network.


*“It is also interesting to note that Lazarus can produce and use malware for all major desktop operating systems: Windows, macOS, and Linux. Both Windows and macOS systems were targeted during the 3CX incident, with 3CX’s VoIP software for both operating systems being trojanized to include malicious code to fetch arbitrary payloads. In the case of 3CX, both Windows and macOS second-stage malware versions exist. This article demonstrates the existence of a Linux backdoor that probably corresponds to the SIMPLESEA macOS malware seen in the 3CX incident.” concludes the report. “We named this Linux component SimplexTea and showed that it is part of Operation DreamJob, Lazarus’s flagship campaign using job offers to lure and compromise unsuspecting victims.”*


**Please vote for Security Affairs (<https://securityaffairs.com/>) as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS**  
**Vote for me in the sections:**


* The Teacher – Most Educational Blog
* The Entertainer – Most Entertaining Blog
* The Tech Whizz – Best Technical Blog
* Best Social Media Account to Follow (@securityaffairs)


Please nominate Security Affairs as your favorite blog.



> 
> 
> > 
> > **Nominate here: <https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform>**
> > 
> > 
> > 
> 
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **Lazarus**)





  


---


  




## Tags:
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform http://journalist.org https://securityaffairs.com/

### Autogenerated tags:
[[3cx]] [[linux]] [[malware]] [[macos]] [[blog]] [[eset]] [[pdf]] [[windows]]
