# Lazarus APT uses DTrack backdoor in attacks against LATAM and European orgs
## North Korea-linked Lazarus APT is using a new version of the DTrack backdoor in attacks aimed at organizations in Europe and Latin America. North Korea-linked APT Lazarus is using a new version of the DTrack backdoor to attack organizations in Europe and Latin America, Kaspersky researchers warn. DTrack is a modular backdoor used by the […]
## Information:

+ Link: https://securityaffairs.co/wordpress/138622/apt/dtrack-backdoor-targets-europe-latin-america.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 16 November 2022, 18:50
+ Date scraped: 16 November 2022, 19:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/image-17.png?resize=300%2C300&ssl=1)


North Korea-linked APT Lazarus is using a new version of the [DTrack](https://securityaffairs.co/wordpress/93183/security/kudankulam-nuclear-power-plant-infection.html) backdoor to attack organizations in Europe and Latin America, Kaspersky researchers warn.


DTrack is a modular backdoor used by the Lazarus group since [2019](https://securelist.com/my-name-is-dtrack/93338/), it was employed in attacks against a wide variety of targets, from financial environments to [a nuclear power plan](https://www.indiatoday.in/india/story/kudankulam-nuclear-power-plant-dtrack-north-korea-atms-1614200-2019-10-30).


DTrack allows attackers to gather information from the infected host, and upload/download/manipulate files on the infected host, exfiltrate data, and execute commands.


Experts noticed that the DTrack versions used in recent attacks are similar to past ones, however, it is now employed to target a growing number of targets.


The backdoor unpacking process is composed of several stages, the second-stage malicious code is stored inside the malware PE file. DTrack retrieves the payload by reading it from an offset within the file or by reading it from a resource within the PE binary.



[![DTrack Lazarus](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/image-17.png?resize=583%2C328&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/image-17.png?ssl=1)


The second stage payload is a heavily obfuscated shellcode, the APT group used an encryption method different for each sample.


Unlike previous DTrack variants, the one employed in the recent attacks could employ more than three stage payloads.


*“One new aspect of the recent DTrack variants is that the third stage payload is not necessarily the final payload; there may be another piece of binary data consisting of a binary configuration and at least one shellcode, which in turn decrypts and executes the final payload.” continues the analysis.*


Once the final payload (a DLL) is decrypted, the malicious code leverages the process hollowing to load into *explorer.exe*. Another difference in recent campaigns is that the recent variants of the backdoor uses three C2 servers instead of six. 


Kaspersky reported attacks against entities in multiple industries, including education, chemical manufacturing, governmental research centers and policy institutes, IT service providers, utility providers and telecommunications.


Recent attacks hit entities in Germany, Brazil, India, Italy, Mexico, Switzerland, Saudi Arabia, Turkey and the United States.


*“The DTrack backdoor continues to be used actively by the Lazarus group. Modifications in the way the malware is packed show that Lazarus still sees DTrack as an important asset. Despite this, Lazarus has not changed the backdoor much since 2019, when it was initially discovered.” concludes the report. “When the victimology is analyzed, it becomes clear that operations have expanded to Europe and Latin America, a trend we’re seeing more and more often.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://mstdn.social/invite/4GESs2dP)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, APT)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[dtrack]]
