# MITRE attributes the recent attack to China-linked UNC5221
## MITRE published more details on the recent security breach, including a timeline of the attack and attribution evidence.
## Information:

+ Link: https://securityaffairs.com/162811/hacking/mitre-security-breach-china.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 07 May 2024, 13:40
+ Date scraped: 07 May 2024, 15:12

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2022/06/mitre.png)



MITRE has shared more details on the [recent hack](https://securityaffairs.com/162045/security/mitre-security-breach-ivanti-zero-days.html), including the new malware involved in the attack and a timeline of the attacker’s activities.


In April 2024, MITRE disclosed a security breach in one of its research and prototyping networks. The security team at the organization promptly launched an investigation, logged out the threat actor, and engaged third-party forensics Incident Response teams to conduct independent analysis in collaboration with internal experts.



According to the MITRE Corporation, a nation-state actor breached its systems in January 2024 by chaining two [Ivanti Connect Secure zero-day vulnerabilities](https://securityaffairs.com/161465/security/ivanti-code-execution-dos-flaws.html) (CVE-2023-46805 and CVE-2024-21887).


MITRE spotted a foreign nation-state threat actor probing its Networked Experimentation, Research, and Virtualization Environment (NERVE), used for research and prototyping. The organization immediately started mitigation actions which included taking NERVE offline. The investigation is still ongoing to determine the extent of information involved.


The organization notified authorities and affected parties and is working to restore operational alternatives for collaboration.


Despite MITRE diligently following industry best practices, implementing vendor recommendations, and complying with government guidance to strengthen, update, and fortify its Ivanti system, they overlooked the lateral movement into their VMware infrastructure.


The organization said that the core enterprise network or partners’ systems were not affected by this incident.


Mitre researchers reported that the indicators of compromise that were observed during the security breach overlap with those Mandiant [associated](https://securityaffairs.com/158440/apt/malware-ivanti-vpn-flaws-attacks.html) with [UNC5221](https://securityaffairs.com/158393/malware/ivanti-connect-secure-vpn-deliver-krustyloader.html), which is a China-linked APT group.


The state-sponsored hackers first gaining initial access to NERVE on December 31, then they deployed the [ROOTROT web shell](https://cloud.google.com/blog/topics/threat-intelligence/ivanti-post-exploitation-lateral-movement) on 


The adversary deployed the [ROOTROT web shell](https://cloud.google.com/blog/topics/threat-intelligence/ivanti-post-exploitation-lateral-movement) on Internet-facing Ivanti appliances.


On January 4, 2024, the threat actors conducted a reconnaissance on NERVE environment. They accessed vCenter through a compromised Ivanti appliance and communicated with multiple ESXi hosts. The attackers used hijacked credentials to log into several accounts via RDP and accessed user bookmarks and file shares to probe the network.


Then the nation-state actors manipulated VMs to compromise the overall infrastructure.


*“The adversary manipulated VMs and established control over the infrastructure. The adversary used compromised administrative credentials, authenticated from an internal NERVE IP address, indicating lateral movement within the NERVE.” reads the [update](https://medium.com/mitre-engenuity/technical-deep-dive-understanding-the-anatomy-of-a-cyber-intrusion-080bddc679f3) published by Mitre. “They attempted to enable SSH and attempted to destroy one of their own VMs as well as POSTed to /ui/list/export and downloaded a file demonstrating a sophisticated attempt to conceal their presence and maintain persistence within the network.”*


On January 7, 3034, the adversary accessed VMs and deployed malicious payloads, including the BRICKSTORM backdoor and a web shell tracked as BEEFLUSH, enabling persistent access and arbitrary command execution.


The hackers relied on SSH manipulation and script execution to maintain control over the compromised systems. Mitre noted attackers exploiting a default VMware account to list drives and generate new VMs, one of which was removed on the same day. BRICKSTORM was discovered in directories with local persistence setups, communicating with designated C2 domains. BEEFLUSH interacted with internal IP addresses, executing dubious scripts and commands from the vCenter server’s /tmp directory


In the following days, the threat actors deployed additional payloads on the target infrastrcuture, including the [WIREFIRE](https://www.mandiant.com/resources/blog/investigating-ivanti-zero-day-exploitation) (aka GIFTEDVISITOR) web shell, and the BUSHWALK webshell for data exfiltration.


Between mid-February and mid-March, before MITRE discovered the security breach in April, threat actors maintained persistence in the NERVE environment and attempted lateral movement. The organization pointed out that the nation-state actors failed to compromise other resources.


*“Despite unsuccessful attempts to pivot to other resources, the adversary persisted in accessing other virtual environments within Center.” concludes the update that includes malware analysis and Indicators of Compromise for the involved payloads. “The adversary executed a ping command for one of MITRE’s corporate domain controllers and attempted to move laterally into MITRE systems but was unsuccessful.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, China)**





---




---





## Tags:
***CVE's***: CVE-2023-46805 CVE-2024-21887

### Autogenerated tags:
[[vms]] [[nation-state]] [[ivanti]]
