# Malware-laced JAVS Viewer deploys RustDoor implant in supply chain attack
## Malicious actors compromised the JAVS Viewer installer to deliver the RustDoor malware in a supply chain attack.
## Information:

+ Link: https://securityaffairs.com/163683/hacking/supplay-chain-attack-javs-viewer.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 26 May 2024, 04:11
+ Date scraped: 26 May 2024, 06:07

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/05/image-31.png)



Rapid7 researchers warned that threat actors added a backdoor to the installer for the Justice AV Solutions JAVS Viewer software.


The attackers were able to inject a backdoor in the JAVS Viewer v8.3.7 installer that is being distributed from the JAVS’ servers.


Justice AV Solutions (JAVS) is a U.S.-based company providing digital audio-visual recording solutions for courtroom settings and other environments, including jails, councils, and lecture rooms. The JAVS Viewer has over 10,000 installations globally. The backdoor delivered by the researchers allows attackers to gain full control of infected systems. Rapid7 experts recommend to re-image the affected systems, reset associated credentials, and install the latest version of JAVS Viewer (v8.3.8 or higher).


The researchers noticed that the installer for JAVS Viewer Setup 8.3.7.250-1.exe was digitally signed with an unexpected Authenticode signature and included a binary called fffmpeg.exe. The binary executed encoded PowerShell scripts, Rapid7 linked fffmpeg.exe to the [GateDoor](https://medium.com/s2wblog/rustdoor-and-gatedoor-a-new-pair-of-weapons-disguised-as-legitimate-software-by-suspected-34c94e558b40)/[Rustdoor](https://securityaffairs.com/158942/malware/macos-backdoor-rustdoor.html) malware, which was identified by security firm S2W.


*“Both the fffmpeg.exe binary and the installer binary are signed by an Authenticode certificate issued to “Vanguard Tech Limited”. This is unexpected, as it was noted that other JAVS binaries which appear legitimate are signed by a certificate issued to “Justice AV Solutions Inc”.” reads the [**report**](https://www.rapid7.com/blog/post/2024/05/23/cve-2024-4978-backdoored-justice-av-solutions-viewer-software-used-in-apparent-supply-chain-attack/) published by Rapid7. “Searching VirusTotal for other files signed by “Vanguard Tech Limited” shows the following.*


[![](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/05/image-31.png?resize=773%2C431&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/05/image-31.png?ssl=1)


  
*“The above suggests that there may be one other version of the malicious installer (SHA1: b8e97333fc1b5cd29a71299a8f82a541cabf4d59) and one other malicious `fffmpeg.exe` (SHA1: b9d13055766d792abaf1d11f18c6ee7618155a0e). These binaries were first seen on the VirusTotal platform April 1, 2024.”*


The researchers discovered two malicious JAVS Viewer packages on the vendor’s server, they were signed with a certificate issued on February 10.


On April 2, 2024, the X user @2RunJack2 first reported of the implant distributed by the official JAVS downloads page.







Rapid7 published Indicators of Compromise (IoC) for this attack, below is the attack timeline:


* **Feb 10, 2024:** A certificate is issued for the subject Vanguard Tech Limited, which the certificate indicates is based in London.
* **Feb 21, 2024:** The first of the two malicious JAVS Viewer packages is signed with the Vanguard certificate.
* **April 2, 2024:** The Twitter user @2RunJack2 [tweets](https://twitter.com/2RunJack2/status/1775052981966377148) about malware being served by the official JAVS downloads page. It’s not stated whether the vendor was notified.
* **Mar 12, 2024:** The second of the two malicious JAVS Viewer packages is signed with the Vanguard certificate.
* **May 10, 2024:** Rapid7 investigates a new alert in a Managed Detection and Response customer environment. The source of the infection is traced back to an installer that was downloaded from the official JAVS site. The malware file that was downloaded by the victim, the first Viewer package, is not observed to be accessible on the vendor’s download page. It’s unknown who removed the malicious package from the downloads page (i.e., the vendor or the threat actor).
* **May 12, 2024:** Rapid7 discovers three additional malicious payloads being hosted on the threat actor’s C2 infrastructure over port 8000: `chrome_installer.exe`, `firefox_updater.exe`, and `OneDriveStandaloneUpdater.exe`.
* **May 13, 2024:** Rapid7 identifies an unlinked installer file containing malware, the second Viewer package, still being served by the official vendor site. This confirms that the vendor site was the source of the initial infection.
* **May 17, 2024:** Rapid7 discovers that the threat actor removed the binary `OneDriveStandaloneUpdater.exe` from C2 infrastructure and replaced it with a new binary, `ChromeDiscovery.exe`. This indicates that the threat actor is actively updating their C2 infrastructure.


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, JAVS Viewer)**




---




---





## Tags:
***ipv4-adresses***: 8.3.7.250
***SHA1-hash***: b9d13055766d792abaf1d11f18c6ee7618155a0e b8e97333fc1b5cd29a71299a8f82a541cabf4d59

### Autogenerated tags:
[[javs]] [[rapid7]] [[fffmpeg.exe]] [[malware]] [[c2]]
