# Microsoft experts linked the Raspberry Robin malware to Evil Corp operation
## Microsoft linked the recently discovered Raspberry Robin Windows malware to the notorious Evil Corp operation. On July 26, 2022, Microsoft researchers discovered that the FakeUpdates malware was being distributed via Raspberry Robin malware. Raspberry Robin is a Windows worm discovered by cybersecurity researchers from Red Canary, the malware propagates through removable USB devices. The malicious code […]
## Information:

+ Link: https://securityaffairs.co/wordpress/133810/cyber-crime/raspberry-robin-linked-evil-corp.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 29 July 2022, 13:55
+ Date scraped: 29 July 2022, 14:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/07/Evil-Corp-2.png?resize=300%2C245&ssl=1)


On July 26, 2022, Microsoft researchers discovered that the [FakeUpdates](https://securityaffairs.co/wordpress/132031/cyber-crime/evil-corp-lockbit-ransomware.html) malware was being distributed via [Raspberry Robin](https://securityaffairs.co/wordpress/133039/cyber-crime/raspberry-robin-infection-attacks.html) malware. 


[Raspberry Robin](https://securityaffairs.co/wordpress/131033/malware/raspberry-robin-spreads-usb.html) is a Windows worm discovered by cybersecurity researchers from Red Canary, the malware propagates through removable USB devices.


The malicious code uses Windows Installer to reach out to QNAP-associated domains and download a malicious DLL. The malware uses TOR exit nodes as a backup C2 infrastructure.


The malware was first spotted in September 2021, the experts observed Raspberry Robin targeting organizations in the technology and manufacturing industries. Initial access is typically through infected removable drives, often USB devices.


[![raspberry robin](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/05/raspberry-robin.jpg?resize=1024%2C287&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/05/raspberry-robin.jpg?ssl=1)


The malware uses cmd.exe to read and execute a file stored on the infected external drive, it leverages msiexec.exe for external network communication to a rogue domain used as C2 to download and install a DLL library file.


Then msiexec.exe launches a legitimate Windows utility, fodhelper.exe, which in turn run rundll32.exe to execute a malicious command. Experts pointed out that processes launched by fodhelper.exe run with elevated administrative privileges without requiring a User Account Control prompt.


Now, Microsoft experts observed the threat actor DEV-0206 using the Raspberry Robin worm to deploy a downloader on networks that were also compromised by threat actors using [Evil Corp](https://securityaffairs.co/wordpress/132031/cyber-crime/evil-corp-lockbit-ransomware.html) TTPs.


*“On July 26, 2022, Microsoft researchers discovered the FakeUpdates malware being delivered via existing Raspberry Robin infections,” [reads](https://www.microsoft.com/security/blog/2022/05/09/ransomware-as-a-service-understanding-the-cybercrime-gig-economy-and-how-to-protect-yourself/#DEV-0206-DEV-0243) the update provided by Microsoft.*


*“The DEV-0206-associated FakeUpdates activity on affected systems has since led to follow-on actions resembling DEV-0243 pre-ransomware behavior.”*



DEV-0206 is an access broker tracked by Microsoft, which uses malvertising campaigns to compromise networks worldwide. Targets are tricked execute a fake browser update, or a software package, to download a ZIP file and double-click it. The ZIP package contains a JavaScript file, which once executed will start the infection process.


*“Once successfully executed, the JavaScript framework, also referred to [SocGholish](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/wastedlocker-ransomware-us), acts as a loader for other malware campaigns that use access purchased from DEV-0206, most commonly Cobalt Strike payloads.” reads the analysis published by Microsoft.*


In many cases, the infection process led to the deployment of custom Cobalt Strike loaders attributed to DEV-0243, which falls under activities tracked by the experts “EvilCorp,”


Around November 2021, DEV-0243 started to deploy the LockBit 2.0 RaaS payload, experts believe that DEV-0243 threat actors used a RaaS payload by the “EvilCorp” activity group to avoid attribution.



[![Evil Corp 2](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/07/Evil-Corp-2.png?resize=643%2C245&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/07/Evil-Corp-2.png?ssl=1)


The discovery made by Microsoft is very interesting because it is the first time that the researchers found evidence that Raspberry Robin operators leverage an access broker to compromise enterprise networks.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Faceboo**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  | 

 


---









[Pierluigi Paganini](https://securityaffairs.co/wordpress/author/paganinip)
 Pierluigi Paganini is member of the ENISA (European Union Agency for Network and Information Security) Threat Landscape Stakeholder Group and Cyber G7 Group, he is also a Security Evangelist, Security Analyst and Freelance Writer.
Editor-in-Chief at "Cyber Defense Magazine", Pierluigi is a cyber security expert with over 20 years experience in the field, he is Certified Ethical Hacker at EC Council in London. The passion for writing and a strong belief that security is founded on sharing and awareness led Pierluigi to find the security blog "Security Affairs" recently named a Top National Security Resource for US.
Pierluigi is a member of the "The Hacker News" team and he is a writer for some major publications in the field such as Cyber War Zone, ICTTF, Infosec Island, Infosec Institute, The Hacker News Magazine and for many other Security magazines.
Author of the Books "The Deep Dark Web" and “Digital Virtual Currency and Bitcoin”. 






---

 



Previous Article
**[Strong Authentication - Robust Identity and Access Management Is a Strategic Choice](https://securityaffairs.co/wordpress/133807/security/strong-authentication.html)**








---




You might also like



[Strong Authentication – Robust Identity and Access Management Is a Strategic Choice](https://securityaffairs.co/wordpress/133807/security/strong-authentication.html "Strong Authentication – Robust Identity and Access Management Is a Strategic Choice")




[Strong Authentication – Robust Identity and Access Management Is a Strategic Choice](https://securityaffairs.co/wordpress/133807/security/strong-authentication.html "Strong Authentication – Robust Identity and Access Management Is a Strategic Choice")




 July 29, 2022 
 By [Pierluigi Paganini](https://securityaffairs.co/wordpress/author/paganinip)




[Exploitation is underway for a critical flaw in Atlassian Confluence Server and Data Center](https://securityaffairs.co/wordpress/133798/hacking/atlassian-cve-2022-26138-actively-exploited.html "Exploitation is underway for a critical flaw in Atlassian Confluence Server and Data Center")




[Exploitation is underway for a critical flaw in Atlassian Confluence Server and Data Center](https://securityaffairs.co/wordpress/133798/hacking/atlassian-cve-2022-26138-actively-exploited.html "Exploitation is underway for a critical flaw in Atlassian Confluence Server and Data Center")




 July 29, 2022 
 By [Pierluigi Paganini](https://securityaffairs.co/wordpress/author/paganinip)











* Sponsored Content
* 
* PixFuture
* 
* Digging the Deep Web: Exploring the dark side of the web
[Digging The Deep Web](http://securityaffairs.co/wordpress/70429/deep-web/deep-web-book.html)
* Center for Cyber Security and International Relations Studies
* Subscribe Security Affairs Newsletter
[newsletter](https://securityaffairs.co/wordpress/112244/breaking-news/security-affairs-newsletter-is-back.html)
* SecurityAffairs awarded as Best European Cybersecurity Tech Blog at European Cybersecurity Blogger Awards
[EU Sec Bloggers Awards 22](https://securityaffairs.co/wordpress/132506/breaking-news/securityaffairs-best-european-cybersecurity-blog-2022.html)












More Story




[Strong Authentication - Robust Identity and Access Management Is a Strategic Choice](https://securityaffairs.co/wordpress/133807/security/strong-authentication.html)
 
Passwords no longer meet the demands of today’s identity and access requirements. Therefore, strong authentication methods... 
 






 Copyright 2021 Security Affairs by Pierluigi Paganini All Right Reserved. 
Back to top
* [Home](http://securityaffairs.co/wordpress/)
* [Cyber Crime](https://securityaffairs.co/wordpress/category/cyber-crime)
* [Cyber warfare](https://securityaffairs.co/wordpress/category/cyber-warfare-2)
* [APT](https://securityaffairs.co/wordpress/category/apt)
* [Data Breach](https://securityaffairs.co/wordpress/category/data-breach)
* [Deep Web](https://securityaffairs.co/wordpress/category/deep-web)
* [Digital ID](https://securityaffairs.co/wordpress/category/digital-id)
* [Hacking](https://securityaffairs.co/wordpress/category/hacking)
* [Hacktivism](https://securityaffairs.co/wordpress/category/hacktivism)
* [Intelligence](https://securityaffairs.co/wordpress/category/intelligence)
* [Internet of Things](https://securityaffairs.co/wordpress/category/iot)
* [Laws and regulations](https://securityaffairs.co/wordpress/category/laws-and-regulations)
* [Malware](https://securityaffairs.co/wordpress/category/malware)
* [Mobile](https://securityaffairs.co/wordpress/category/mobile-2)
* [Reports](https://securityaffairs.co/wordpress/category/reports)
* [Security](https://securityaffairs.co/wordpress/category/security)
* [Social Networks](https://securityaffairs.co/wordpress/category/social-networks)
* [Terrorism](https://securityaffairs.co/wordpress/category/terrorism)
* [ICS-SCADA](https://securityaffairs.co/wordpress/category/ics-scada)
* [EXTENDED COOKIE POLICY](https://securityaffairs.co/wordpress/extended-cookie-policy)
* [Contact me](https://securityaffairs.co/wordpress/contact)
 




We use cookies on our website to give you the most relevant experience by remembering your preferences and repeat visits. By clicking “Accept All”, you consent to the use of ALL the cookies. However, you may visit "Cookie Settings" to provide a controlled consent.Cookie SettingsAccept AllManage consent




Close






Privacy Overview 
This website uses cookies to improve your experience while you navigate through the website. Out of these cookies, the cookies that are categorized as necessary are stored on your browser as they are essential for the working of basic functionalities...

 




Necessary


Necessary

Always Enabled




 Necessary cookies are absolutely essential for the website to function properly. This category only includes cookies that ensures basic functionalities and security features of the website. These cookies do not store any personal information. 





Non-necessary


Non-necessary





 Any cookies that may not be particularly necessary for the website to function and is used specifically to collect user personal data via analytics, ads, other embedded contents are termed as non-necessary cookies. It is mandatory to procure user consent prior to running these cookies on your website. 












SAVE & ACCEPT












 window.WPCOM\_sharing\_counts = {"https:\/\/securityaffairs.co\/wordpress\/133810\/cyber-crime\/raspberry-robin-linked-evil-corp.html":133810};
 


/\* <![CDATA[ \*/
var click\_object = {"ajax\_url":"https:\/\/securityaffairs.co\/wordpress\/wp-admin\/admin-ajax.php"};
/\* ]]> \*/




Main.boot( [] );













/\* <![CDATA[ \*/
var sharing\_js\_options = {"lang":"en","counts":"1","is\_stats\_active":"1"};
/\* ]]> \*/



var windowOpen;
 ( function () {
 function matches( el, sel ) {
 return !! (
 el.matches && el.matches( sel ) ||
 el.msMatchesSelector && el.msMatchesSelector( sel )
 );
 }

 document.body.addEventListener( 'click', function ( event ) {
 if ( ! event.target ) {
 return;
 }

 var el;
 if ( matches( event.target, 'a.share-twitter' ) ) {
 el = event.target;
 } else if ( event.target.parentNode && matches( event.target.parentNode, 'a.share-twitter' ) ) {
 el = event.target.parentNode;
 }

 if ( el ) {
 event.preventDefault();

 // If there's another sharing window open, close it.
 if ( typeof windowOpen !== 'undefined' ) {
 windowOpen.close();
 }
 windowOpen = window.open( el.getAttribute( 'href' ), 'wpcomtwitter', 'menubar=1,resizable=1,width=600,height=350' );
 return false;
 }
 } );
 } )();
var windowOpen;
 ( function () {
 function matches( el, sel ) {
 return !! (
 el.matches && el.matches( sel ) ||
 el.msMatchesSelector && el.msMatchesSelector( sel )
 );
 }

 document.body.addEventListener( 'click', function ( event ) {
 if ( ! event.target ) {
 return;
 }

 var el;
 if ( matches( event.target, 'a.share-linkedin' ) ) {
 el = event.target;
 } else if ( event.target.parentNode && matches( event.target.parentNode, 'a.share-linkedin' ) ) {
 el = event.target.parentNode;
 }

 if ( el ) {
 event.preventDefault();

 // If there's another sharing window open, close it.
 if ( typeof windowOpen !== 'undefined' ) {
 windowOpen.close();
 }
 windowOpen = window.open( el.getAttribute( 'href' ), 'wpcomlinkedin', 'menubar=1,resizable=1,width=580,height=450' );
 return false;
 }
 } );
 } )();
var windowOpen;
 ( function () {
 function matches( el, sel ) {
 return !! (
 el.matches && el.matches( sel ) ||
 el.msMatchesSelector && el.msMatchesSelector( sel )
 );
 }

 document.body.addEventListener( 'click', function ( event ) {
 if ( ! event.target ) {
 return;
 }

 var el;
 if ( matches( event.target, 'a.share-facebook' ) ) {
 el = event.target;
 } else if ( event.target.parentNode && matches( event.target.parentNode, 'a.share-facebook' ) ) {
 el = event.target.parentNode;
 }

 if ( el ) {
 event.preventDefault();

 // If there's another sharing window open, close it.
 if ( typeof windowOpen !== 'undefined' ) {
 windowOpen.close();
 }
 windowOpen = window.open( el.getAttribute( 'href' ), 'wpcomfacebook', 'menubar=1,resizable=1,width=600,height=400' );
 return false;
 }
 } );
 } )();
var windowOpen;
 ( function () {
 function matches( el, sel ) {
 return !! (
 el.matches && el.matches( sel ) ||
 el.msMatchesSelector && el.msMatchesSelector( sel )
 );
 }

 document.body.addEventListener( 'click', function ( event ) {
 if ( ! event.target ) {
 return;
 }

 var el;
 if ( matches( event.target, 'a.share-tumblr' ) ) {
 el = event.target;
 } else if ( event.target.parentNode && matches( event.target.parentNode, 'a.share-tumblr' ) ) {
 el = event.target.parentNode;
 }

 if ( el ) {
 event.preventDefault();

 // If there's another sharing window open, close it.
 if ( typeof windowOpen !== 'undefined' ) {
 windowOpen.close();
 }
 windowOpen = window.open( el.getAttribute( 'href' ), 'wpcomtumblr', 'menubar=1,resizable=1,width=450,height=450' );
 return false;
 }
 } );
 } )();
var windowOpen;
 ( function () {
 function matches( el, sel ) {
 return !! (
 el.matches && el.matches( sel ) ||
 el.msMatchesSelector && el.msMatchesSelector( sel )
 );
 }

 document.body.addEventListener( 'click', function ( event ) {
 if ( ! event.target ) {
 return;
 }

 var el;
 if ( matches( event.target, 'a.share-pocket' ) ) {
 el = event.target;
 } else if ( event.target.parentNode && matches( event.target.parentNode, 'a.share-pocket' ) ) {
 el = event.target.parentNode;
 }

 if ( el ) {
 event.preventDefault();

 // If there's another sharing window open, close it.
 if ( typeof windowOpen !== 'undefined' ) {
 windowOpen.close();
 }
 windowOpen = window.open( el.getAttribute( 'href' ), 'wpcompocket', 'menubar=1,resizable=1,width=450,height=450' );
 return false;
 }
 } );
 } )();



 \_stq = window.\_stq || [];
 \_stq.push([ 'view', {v:'ext',j:'1:11.1.2',blog:'29506073',post:'133810',tz:'0',srv:'securityaffairs.co'} ]);
 \_stq.push([ 'clickTrackerInit', '29506073', '133810' ]);

 |






## Tags:


### Autogenerated tags:
[[malware]] [[pierluigi]] [[microsoft]] [[website]] [[paganini]] [[dev-0243]] [[fakeupdates]] [[windows]] [[cybersecurity]] [[dev-0206]]
