# Mirai V3G4 botnet exploits 13 flaws to target IoT devices
## During the second half of 2022, a variant of the Mirai bot, tracked as V3G4, targeted IoT devices by exploiting tens of flaws. Palo Alto Networks Unit 42 researchers reported that a Mirai variant called V3G4 was attempting to exploit several flaws to infect IoT devices from July to December 2022.  Below is the list […]
## Information:

+ Link: https://securityaffairs.com/142358/malware/mirai-v3g4-botnet.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 16 February 2023, 21:32
+ Date scraped: 16 February 2023, 23:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/02/Mirai-V3G4-botnet.png?resize=300%2C300&ssl=1)


## During the second half of 2022, a variant of the Mirai bot, tracked as V3G4, targeted IoT devices by exploiting tens of flaws.


Palo Alto Networks Unit 42 researchers reported that a Mirai variant called V3G4 was attempting to exploit several flaws to infect IoT devices from July to December 2022.


Below is the list of vulnerabilities exploited by V3G4:


* [CVE-2012-4869](https://nvd.nist.gov/vuln/detail/CVE-2012-4869): FreePBX Elastix Remote Command Execution Vulnerability
* [Gitorious Remote Command Execution Vulnerability](https://www.exploit-db.com/exploits/18393)
* [CVE-2014-9727](https://nvd.nist.gov/vuln/detail/CVE-2014-9727): FRITZ!Box Webcam Remote Command Execution Vulnerability
* [Mitel AWC Remote Command Execution Vulnerability](https://www.exploit-db.com/exploits/15807)
* [CVE-2017-5173](https://nvd.nist.gov/vuln/detail/CVE-2017-5173): Geutebruck IP Cameras Remote Command Execution Vulnerability
* [CVE-2019-15107](https://nvd.nist.gov/vuln/detail/cve-2019-15107): Webmin Command Injection Vulnerability
* [Spree Commerce Arbitrary Command Execution Vulnerability](https://web.archive.org/web/20110726024546/http://www.spreecommerce.com/blog/2011/04/19/security-fixes/)
* [FLIR Thermal Camera Remote Command Execution Vulnerability](https://www.exploit-db.com/exploits/42788)
* [CVE-2020-8515:](https://nvd.nist.gov/vuln/detail/CVE-2020-8515) DrayTek Vigor Remote Command Execution Vulnerability
* [CVE-2020-15415](https://nvd.nist.gov/vuln/detail/CVE-2020-15415): DrayTek Vigor Remote Command Injection Vulnerability
* [CVE-2022-36267](https://nvd.nist.gov/vuln/detail/CVE-2022-36267): Airspan AirSpot Remote Command Execution Vulnerability
* [CVE-2022-26134](https://nvd.nist.gov/vuln/detail/CVE-2022-26134): Atlassian Confluence Remote Code Execution Vulnerability
* [CVE-2022-4257](https://nvd.nist.gov/vuln/detail/CVE-2022-4257): C-Data Web Management System Command Injection Vulnerability


The threat actors’ goal is to infect the largest number of systems as possible to compose a botnet that can be used to conduct multiple attacks, including DDoS attacks.



The researchers have observed three different Mirai V3G4 campaigns likely operated by the same threat actor for the following reasons:


* The hardcoded command and control (C2) domains among these three campaigns contain the same string (8xl9)
* The malware shell script downloaders are almost identical between the three campaigns
* The botnet client samples use the same XOR decryption key
* The botnet client samples use the same “stop list” (a list of target processes that the botnet client searches for and terminates)
* The botnet client samples use almost identical functions


The botnet exploited 13 vulnerabilities to achieve remote code execution on vulnerable devices. Upon successful exploitation, the malicious code executes wget and curl utilities to download Mirai bot from attackers’ infrastructure and then execute it.



[![Mirai V3G4 botnet](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/02/Mirai-V3G4-botnet.png?resize=781%2C478&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/02/Mirai-V3G4-botnet.png?ssl=1)


Upon execution, the bot prints xXxSlicexXxxVEGA. to the console. The experts noticed that V3G4 also supports a function that makes sure only one instance of this malware is executing on the compromised device. If a botnet process already exists, the botnet client will and exit.


The botnet also attempts to terminate a list of processes, included in the hardcoded ‘stop list,’ by checking their names on the infected device.


Unlike most Mirai variants, the V3G4 variant uses different XOR encryption keys for string encryption.



The researchers also noticed that the bot samples from the three campaigns have minor differences. The original Mirai botnet sample spreads itself by brute-forcing weak telnet/SSH credentials, while other variants rely brute-force attacks and embedded exploits to spread.


However, bot samples discovered between September and December 2022 don’t contain the functions of vulnerability exploitation and brute force of credentials.


*“The vulnerabilities mentioned above have less attack complexity than previously observed variants, but they maintain a critical security impact that can lead to remote code execution. Once the attacker gains control of a vulnerable device in this manner, they could take advantage by including the newly compromised devices in their botnet to conduct further attacks such as DDoS.” concludes the report. “Therefore, it is highly recommended that patches and updates are applied when possible.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, **V3G4**)**



  


---


  




## Tags:
***CVE's***: CVE-2014-9727 CVE-2019-15107 CVE-2012-4869 CVE-2022-36267 CVE-2020-8515 CVE-2022-26134 CVE-2017-5173 CVE-2022-4257 CVE-2020-15415

### Autogenerated tags:
[[botnet]] [[v3g4]] [[mirai]]
