# Moobot botnet spreads by targeting Cacti and RealTek flaws
## The Moobot botnet is actively exploiting critical vulnerabilities in Cacti, and Realtek in attacks in the wild. FortiGuard Labs researchers observed an ongoing hacking campaign targeting Cacti (CVE-2022-46169) and Realtek (CVE-2021-35394) vulnerabilities to spread ShellBot and Moobot malware. The ShellBot, also known as PerlBot, is a Perl-based DDoS bot that uses IRC protocol for C2 communications. The […]
## Information:

+ Link: https://securityaffairs.com/144368/malware/moobot-botnet-cacti-realtek-bugs.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 03 April 2023, 07:45
+ Date scraped: 03 April 2023, 09:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-3.png?resize=300%2C300&ssl=1)


## The Moobot botnet is actively exploiting critical vulnerabilities in Cacti, and Realtek in attacks in the wild.


FortiGuard Labs researchers observed an ongoing hacking campaign targeting Cacti ([CVE-2022-46169](https://securityaffairs.com/142376/security/cacti-office-windows-ios-bugs-to-known-exploited-vulnerabilities-catalog.html)) and Realtek ([CVE-2021-35394](https://securityaffairs.com/141359/hacking/realtek-sdk-flaw-cve-2021-35394-botnets.html)) vulnerabilities to spread [ShellBot](https://securityaffairs.com/143807/cyber-crime/shellbot-targets-linux-ssh-servers.html) and [Moobot](https://securityaffairs.com/135414/malware/moobot-botnet-targets-d-link.html) malware. 


The [ShellBot](https://malpedia.caad.fkie.fraunhofer.de/details/elf.perlbot), also known as PerlBot, is a Perl-based DDoS bot that uses IRC protocol for C2 communications. The ShellBot performs SSH bruteforce attacks on servers that have port 22 open, it uses a dictionary containing a list of known SSH credentials.


The [Mirai](https://securityaffairs.co/wordpress/50929/malware/linux-mirai-elf.html)-based Moobot botnet [was first documented](https://unit42.paloaltonetworks.com/mirai-variant-iot-vulnerabilities/) by Palo Alto Unit 42 researchers in February 2021, in November 2021, it [started exploiting](https://securityaffairs.co/wordpress/125409/malware/moobot-botnet-hikvision.html) a critical command injection flaw ([CVE-2021-36260](https://securityaffairs.co/wordpress/122474/hacking/hikvision-cve-2021-36260-flaw.html)) in the webserver of several Hikvision products. Since September 2022, Moobot botnet was spotted targeting vulnerable D-Link routers.


The CVE-2021-35394 flaw is an arbitrary command injection vulnerability that affects UDPServer due to insufficient legality detection on commands received from clients.


The CVE-2022-46169 flaw is a command injection vulnerability that can be exploited by an unauthenticated user to execute arbitrary code on a server running Cacti. The vulnerability resides in the “remote\_agent.php” file, which can be accessed by an unauthenticated user.


*“The script file to further download Moobot is shown below. It executes the Moobot with the parameter realtek.<Filename>.” reads the [**report**](https://www.fortinet.com/blog/threat-research/moobot-strikes-again-targeting-cacti-and-realtek-vulnerabilities) published by FortiGuard Labs. “Like most Mirai variants, it has an encrypted data section with a botnet configuration.”*



[![Script file for downloading Moobot](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-3.png?resize=1024%2C333&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-3.png?ssl=1)


Figure 5: Script file for downloading Moobot


Experts also observed attacks carried out by the ShellBot botnet since January and primarily targeted Cacti vulnerability. The researchers identified three ShellBot variants, tracked as viz. PowerBots (C) GohacK, LiGhT’s Modded perlbot v2, and B0tchZ 0.2a.


The three variants can launch distributed denial-of-service (DDoS) attacks, PowerBots (C) GohacK and B0tchZ 0.2a also support backdoor capabilities.


*“Over the past few months, threat actors have been spreading ShellBot and Moobot malware on exploitable servers. Compromised victims can be controlled and used as DDoS bots after receiving a command from a C2 server. Because Moobot can kill other botnet processes and also deploy brute force attacks, administrators should use strong passwords and change them periodically. Moreover, some of the ShellBot variants can install other malware from their C2 server.” concludes the report. “The vulnerabilities mentioned above have a critical security impact that can lead to remote code execution. Therefore, it is highly recommended that patches and updates be applied as soon as possible.”*


**Please vote for Security Affairs (<https://securityaffairs.com/>) as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS**  
**Vote for me in the sections:**


* The Teacher – Most Educational Blog
* The Entertainer – Most Entertaining Blog
* The Tech Whizz – Best Technical Blog
* Best Social Media Account to Follow (@securityaffairs)


Please nominate Security Affairs as your favorite blog.



> 
> 
> > 
> > **Nominate here: <https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform>**
> > 
> > 
> > 
> 
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Moobot botnet)**




  


---


  




## Tags:
***CVE's***: CVE-2022-46169 CVE-2021-35394 CVE-2021-36260
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform https://securityaffairs.com/

### Autogenerated tags:
[[moobot]] [[botnet]] [[shellbot]] [[blog]] [[malware]] [[ddos]] [[c2]]
