# Muhstik Botnet Targeting Redis Servers Using Recently Disclosed Vulnerability
## The Muhstik botnet has been observed targeting Redis servers exploiting the recently disclosed CVE-2022-0543 vulnerability. Muhstik is a botnet that is known to use web application exploits to compromise IoT devices, it has been around for at least 2018. Botnet operators monetize their efforts via XMRig combined with DDoS-for-hire services.  The botnet leverages IRC servers for command-and-control (C2) communications, […]
## Information:

+ Link: https://securityaffairs.co/wordpress/129549/cyber-crime/muhstik-botnet-targeting-redis-servers-using-recently-disclosed-vulnerability.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 28 March 2022, 14:41
+ Date scraped: 28 March 2022, 15:01

## Article:
![Main article image](https://securityaffairs.co/wordpress/wp-includes/images/media/default.png)


[Muhstik](https://securityaffairs.co/wordpress/110763/cyber-crime/muhstik-botnet-weblogic-drupal.html) is a botnet that is known to use web application exploits to compromise IoT devices, it has been around for at least 2018. Botnet operators monetize their efforts via XMRig combined with [DDoS-for-hire](https://securityaffairs.co/wordpress/101502/cyber-crime/ddos-for-hire-shutdown.html) services. 


The botnet leverages IRC servers for command-and-control (C2) communications, experts noticed that it has consistently used the same infrastructure since it first appeared in the threat landscape.


The bot propagates by compromising home routers, but experts observed multiple attempted exploits for Linux server propagation. The list of targeted routers include GPON home router, DD-WRT router, and the [Tomato router](https://unit42.paloaltonetworks.com/muhstik-botnet-attacks-tomato-routers-to-harvest-new-iot-devices/). 


The bot includes exploits for Oracle WebLogic Server vulnerabilities [CVE-2019-2725](https://securityaffairs.co/wordpress/86944/breaking-news/cve-2019-2725-cryptojacking.html) and [CVE-2017-10271](https://securityaffairs.co/wordpress/105232/malware/lucifer-ddos-botnet-windows.html), and the Drupal RCE flaw tracked as [CVE-2018-7600](https://securityaffairs.co/wordpress/71517/hacking/drupalgeddon2-attacks.html).


Now researchers from Juniper Threat Labs observed the Muhstik botnet exploiting the CVE-2022-0543 [Lua sandbox escape flaw](https://www.ubercomp.com/posts/2022-01-20_redis_on_debian_rce) that impacts Debian and Debian-derived Linux distributions.


*“Juniper Threat Labs has uncovered an attack that targets Redis Servers using a recently disclosed vulnerability, namely CVE-2022-0543. This vulnerability exists in some Redis Debian packages. The attack started on March 11, 2022 from the same threat actor we’ve seen [targeting confluence servers back in September 2021](https://blogs.juniper.net/en-us/threat-research/muhstik-botnet-targeting-confluence-servers-with-cve-2021-26084) and the same group targeting Log4j back in December.” reads the [analysis](https://blogs.juniper.net/en-us/security/muhstik-gang-targets-redis-servers) published by Juniper. “The payload used is a variant of Muhstik bot that can be used to launch DDOS attacks.”*


The vulnerability, which was rated 10 out of 10 for severity, could be exploited by a remote attacker with the ability to execute arbitrary Lua scripts to possibly escape the Lua sandbox and execute arbitrary code on the underlying machine.


The attacks exploiting the CVE-2022-0543 vulnerability started on March 11, 2022, the attackers were attempting to fetch the malicious script “russia.sh” using wget or curl from “106[.]246.224.219”. It saves it as “/tmp/russ” and executes it.


Experts pointed out that the vulnerability is not related to Redis, instead, it existed because the Lua library in some Debian/Ubuntu packages is provided as a dynamic library (Ubuntu Bionic and Trusty are not affected). Upon initializing the Lua interpreter, the “*package*” variable is automatically populated, and that in turn permitted access to arbitrary Lua functionality.  



To demonstrate this attack, the researchers set up a vulnerable Redis server and launched a [proof of concept](https://github.com/vulhub/vulhub/tree/master/redis/CVE-2022-0543) exploit code which is a Lua script that is using the “eval” command.   
The researchers demonstrated that they are able to achieve code execution by dumping the contents of “/etc/passwd”.  


The researchers shared Indicators of Compromise (IoCs) for these attacks.


*“We advise those who may be vulnerable to patch their Redis service.” concludes the report. “Debian and Ubuntu have also released security advisories regarding this matter. Links are below:*


* *[Debian Advisory](https://security-tracker.debian.org/tracker/CVE-2022-0543)*
* *[Ubuntu Advisory](https://ubuntu.com/security/CVE-2022-0543)“*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Muhstik botnet)**



 
  


---


  




## Tags:
***CVE's***: CVE-2018-7600 CVE-2019-2725 CVE-2022-0543 CVE-2017-10271
***ipv4-adresses***: 106.246.224.219
***urls***: http://106.246.224.219

### Autogenerated tags:
[[lua]] [[botnet]] [[redis]] [[muhstik]] [[debian]] [[cve-2022-0543]] [[ubuntu]]
