# Multiple threat actors exploited Progress Telerik bug to breach U.S. federal agency
## Multiple threat actors exploited a critical flaw in Progress Telerik to breach an unnamed US federal agency, said the US government. A joint advisory issued by the Cybersecurity and Infrastructure Security Agency (CISA), Federal Bureau of Investigation (FBI), and Multi-State Information Sharing and Analysis Center (MS-ISAC) revealed that multiple threat actors, including a nation-state actor, exploited a […]
## Information:

+ Link: https://securityaffairs.com/143557/hacking/progress-telerik-bug-attacks.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 16 March 2023, 10:58
+ Date scraped: 16 March 2023, 12:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2020/07/CISA.jpeg?resize=300%2C300&ssl=1)


## Multiple threat actors exploited a critical flaw in Progress Telerik to breach an unnamed US federal agency, said the US government.


A [joint advisory](https://www.cisa.gov/news-events/analysis-reports/ar23-074a) issued by the Cybersecurity and Infrastructure Security Agency (CISA), Federal Bureau of Investigation (FBI), and Multi-State Information Sharing and Analysis Center (MS-ISAC) revealed that multiple threat actors, including a nation-state actor, exploited a critical vulnerability in Progress Telerik to breach an unnamed US federal agency.


The three-year-old vulnerability, tracked as [CVE-2019-18935](https://securityaffairs.com/109796/hacking/nsa-flaws-china-linked-hackers.html) (CVSS score: 9.8), is a .NET deserialization issue that resides in the Progress Telerik UI for ASP.NET AJAX. Exploitation can result in remote code execution.


*“CISA analysts determined that multiple cyber threat actors, including an Advanced Persistent Threat (APT) actor, exploited a .NET deserialization vulnerability in Progress Telerik user interface for ASP.NET AJAX. Exploitation of this vulnerability allowed malicious actors to successfully execute remote code on a federal civilian executive branch (FCEB) agency’s Microsoft Internet Information Services (IIS) web server.” reads the [advisory](https://www.cisa.gov/news-events/cybersecurity-advisories/aa23-074a). “Actors were then able to upload malicious dynamic-link library (DLL) files (some masqueraded as portable network graphics [PNG] files) to the C:\Windows\Temp\ directory.”*


Threat actors exploited the vulnerability to execute arbitrary code on a Microsoft Internet Information Services (IIS) web server used by a federal civilian executive branch (FCEB) agency.


In 2020 and 2021, this flaw was included by the US National Security Agency (NSA) in the list of the [top 25 vulnerabilities](https://securityaffairs.com/109796/hacking/nsa-flaws-china-linked-hackers.html) exploited by Chinese state-sponsored hacking groups in attacks in the wild.


The flaw was also [**used**](https://securityaffairs.com/106737/cyber-crime/netwalker-ransomware-25m.html) in the past by the [NetWalker ransomware gang](https://securityaffairs.co/wordpress/104042/cyber-crime/michigan-state-university-ransomware.html) in its operations.


The joint alert recommends network defenders review the Malware Analysis Report, [MAR-10413062-1.v1 Telerik Vulnerability in U.S. Government IIS Server](https://www.cisa.gov/news-events/analysis-reports/ar23-074a), to reference CISA’s analysis for the identified malicious files.


According to the MAR, CISA received 18 files for analysis from a forensic analysis engagement conducted at a Federal Civilian Executive Branch (FCEB) agency. Experts reported that 11 of the dynamic link library (DLL) files employed in the attack allows threat actors to read, create, and delete files on the target systems.


*“If the DLL contains a hardcoded Internet Protocol (IP) address, status messages will be sent to the IP. One DLL file will attempt to collect the target system’s Transmission Control Protocol (TCP) connection table, and exfiltrate it to a remote Command and Control server (C2).” [reads the MAR](https://www.cisa.gov/sites/default/files/2023-03/mar-10413062-1.v1_telerik_vulnerability_in_u.s._government_iis_server_1.pdf). “Five of the files drop and decode a reverse shell utility that can send and receive data and commands. In addition, the files drop and decode an Active Server Pages (ASPX) webshell. Two DLL files are capable of loading and executing payloads.”*


US CISA has also provided Indicators of Compromise (IOCs) and YARA rules for detection in the Malware Analysis Report (MAR).


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


(SecurityAffairs – hacking, Progress Telerik**)**



  


---


  




## Tags:
***CVE's***: CVE-2019-18935

### Autogenerated tags:
[[telerik]] [[cisa]] [[dll]] [[fceb]] [[iis]]
