# New Linux botnet RapperBot brute-forces SSH servers
## RapperBot is a new botnet employed in attacks since mid-June 2022 that targets Linux SSH servers with brute-force attacks. Researchers from FortiGuard Labs have discovered a new IoT botnet tracked as RapperBot which is active since mid-June 2022. The bot borrows a large portion of its code from the original Mirai botnet, but unlike other […]
## Information:

+ Link: https://securityaffairs.co/wordpress/134023/malware/rapperbot-linux-botnet.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 05 August 2022, 07:55
+ Date scraped: 05 August 2022, 08:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/rapperbot.png?resize=300%2C300&ssl=1)


Researchers from FortiGuard Labs have discovered a new IoT botnet tracked as RapperBot which is active since mid-June 2022. The bot borrows a large portion of its code from the original [Mirai](https://securityaffairs.co/wordpress/50929/malware/linux-mirai-elf.html) botnet, but unlike other IoT malware families, it implements a built-in capability to brute force credentials and gain access to SSH servers instead of Telnet as implemented in Mirai.


Experts also noticed that the most recent samples include the code to maintain persistence, which is rarely implemented in other Mirai variants.


RapperBot has limited DDoS capabilities, it was designed to target ARM, MIPS, SPARC, and x86 architectures.


*“Unlike the majority of Mirai variants, which natively brute force Telnet servers using default or weak passwords, RapperBot exclusively scans and attempts to brute force SSH servers configured to accept password authentication. The bulk of the malware code contains an implementation of an SSH 2.0 client that can connect and brute force any SSH server that supports Diffie-Hellmann key exchange with 768-bit or 2048-bit keys and data encryption using AES128-CTR.” reads the [analysis](https://www.fortinet.com/blog/threat-research/rapperbot-malware-discovery) published by FortiGuard Labs. “A distinctive feature of the brute forcing implementation in RapperBot is the use of “SSH-2.0-HELLOWORLD” to identify itself to the target SSH server during the SSH Protocol Exchange phase.”*


Earlier samples of the malware had the brute-forcing credential list hardcoded into the binary, but from July the samples started retrieving the list from the C2 server.


Since mid-July, RapperBot started using self-propagation to maintaining remote access into the brute-forced SSH servers. The bot runs a shell command to replace remote victims’ ~/.ssh/authorized\_keys with one containing the threat actors’ SSH public key with the comment “helloworld,”


Once stored public keys stored in ~/.ssh/authorized\_keys, anyone with the corresponding private key can authenticate the SSH server without supplying a password.


RapperBot is also able to retain its foothold on any devices on which it is executed by appending the same aforementioned SSH key to the local “~/.ssh/authorized\_keys” on the infected device upon execution. This allows the malware to maintain its access to these infected devices via SSH even after a device reboot or the removal of RapperBot from the device.


*“In the latest RapperBot samples, the malware also started adding the root user “suhelper” to the infected device by directly writing to “/etc/passwd” and “/etc/shadow/”, further allowing the threat actor to take complete control of the device.” continues the report. “In conjunction, it adds the root user account every hour by writing the following script to “/etc/cron.hourly/0” in the event that other users (or botnets) attempt to remove their account from the victim system.”*



[![rapperbot botnet](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/rapperbot.png?resize=643%2C402&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/rapperbot.png?ssl=1)


Early versions of the bot had strings in plaintext, subsequent ones added extra obfuscation to the strings by building them on the stack to avoid detection. 


Since mid-June, the botnet used over 3,500 unique IPs worldwide to scan and attempt brute-forcing Linux SSH servers with the SSH-2.0-HELLOWORLD client identification string. Most of the IPs are from the US, Taiwan, and South Korea.


Experts pointed out that the goal of RapperBot is still unclear.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, RapperBot)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[ssh]] [[rapperbot]] [[malware]] [[mirai]] [[botnet]]
