# New Lobshot hVNC malware spreads via Google ads
## The previously undetected LOBSHOT malware is distributed using Google ads and gives operators VNC access to Windows devices. Researchers from Elastic Security Labs spotted a new remote access trojan dubbed LOBSHOT was being distributed through Google Ads. Threat actors are using an elaborate scheme of fake websites through Google Ads to spread their malware, the […]
## Information:

+ Link: https://securityaffairs.com/145597/malware/lobshot-malware-hvnc.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 02 May 2023, 06:39
+ Date scraped: 02 May 2023, 08:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/05/image-2.png?resize=300%2C300&ssl=1)


## The previously undetected LOBSHOT malware is distributed using Google ads and gives operators VNC access to Windows devices.


Researchers from Elastic Security Labs spotted a new remote access trojan dubbed LOBSHOT was being distributed through Google Ads.


Threat actors are using an elaborate scheme of fake websites through Google Ads to spread their malware, the backdoors are embedded in installers for apparently legitimate applications, such as AnyDesk.


LOBSHOT outstands for its hVNC (Hidden Virtual Network Computing) component that gives operators direct and stealth access to the infected machine. The experts pointed out that this feature bypasses fraud detection systems and is often used by many popular families as plugins.



[![LOBSHOT malware attack chain](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/05/image-2.png?resize=698%2C379&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/05/image-2.png?ssl=1)



While investigating the malware distribution, the researchers noticed the use of an infrastructure known to belong to cybercrime group [TA505](https://securityaffairs.com/135387/apt/ta505-teslagun-control-panel.html). 


Russian [TA505 hacking group](https://securityaffairs.co/wordpress/84072/hacking/russian-ta505-financial-attacks.html), aka [Evil Corp](https://securityaffairs.co/wordpress/132031/cyber-crime/evil-corp-lockbit-ransomware.html), has been active since 2014 focusing on Retail and banking sectors. [The group is also known for some evasive techniques](https://securityaffairs.co/wordpress/79836/cyber-crime/ta505-group-malware.html) they put in place over time to avoid the security controls and penetrate corporate perimeters with several kinds of malware, for instance abusing the so-called LOLBins (Living Off The Land Binaries), legit programs regularly used by victim, or also the abuse of valid cryptographically signed payloads.


The TA505 group was involved in campaigns aimed at distributing the [Dridex](https://securityaffairs.co/wordpress/87828/malware/dridex-banking-trojan-polymorphism.html) banking Trojan, along with [Locky](https://securityaffairs.co/wordpress/65424/malware/locky-ransomware-2.html), [BitPaymer](https://securityaffairs.co/wordpress/92354/malware/bitpaymer-itunes-zero-day.html), [Philadelphia](https://securityaffairs.co/wordpress/57795/malware/philadelphia-ransomware.html), [GlobeImposter](https://securityaffairs.co/wordpress/67071/malware/globeimposter-ransomware-malspam-campaign.html), and [Jaff ransomware](https://securityaffairs.co/wordpress/60072/malware/jaff-ransomware-decryptor.html) families.


Earlier 2023, Elastic Security Labs observed multiple infections with an interesting attach chain that lead to the execution of the LOBSHOT malware.


*“Around this same time, similar infection chains were observed in the security community with commonalities of users searching for legitimate software downloads that ended up getting served illegitimate software from promoted ads from Google [[1](https://www.spamhaus.com/resource-center/a-surge-of-malvertising-across-google-ads-is-distributing-dangerous-malware/), [2](https://twitter.com/1ZRR4H/status/1617661947851464704?s=20), [3](https://twitter.com/Malwar3Ninja/status/1617423187415044099?s=20), [4](https://twitter.com/malwrhunterteam/status/1617605240316129280?s=20)].” reads the [**report**](https://www.elastic.co/security-labs/elastic-security-labs-discovers-lobshot-malware) published by Elastic Security Labs. “In one example, the malicious ad was for a legitimate remote desktop solution, AnyDesk. Careful examination of the URL goes to **https://www.amydecke[.]website** instead of the legitimate AnyDesk URL, **https://www.anydesk[.]com**.”*



[![lobshot malware](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/05/image-3.png?resize=705%2C129&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/05/image-3.png?ssl=1)


Visiting the link proposed by the malicious Google Ad, users are redirected to landing pages mimiking the download pages of the legitimate software and included Download Now buttons that pointed to an MSI installer.


Upon executing the MSI file, a PowerShell command is launched. The command downloads the DLL (LOBSHOT malware) from download-cdn[.]com, which is a domain associated with the operations of the TA505 cybercrime gang.


The AnyDesk campaign was first reported by the popular cybersecurity researcher [Will Dormann](https://twitter.com/wdormann):







Elastic experts observed over 500 unique LOBSHOT samples since July 2022, they are both 32-bit DLLs or 32-bit executables. 


Once executed, the malware performs Windows Defender anti-emulation check, and if Microsoft Defender is running it terminates its execution to prevent detection.


The malware maintains persistence by adding a Registry entry in the HKEY\_CURRENT\_USER.


LOBSHOT targets specific cryptocurrency wallet extensions for Google Chrome, Edge, and Firefox.


*“For each LOBSHOT sample we have reviewed, there is a hardcoded IP and port that is decrypted from the binary that is used as the primary C2. The malware beacons every 5 seconds” continues the report.* *“LOBSHOT implements the hVNC feature by generating a hidden desktop using the **CreateDesktopW** Windows API and then assigning the desktop to the malware using the **SetThreadDesktop** API**.**A new Windows **explorer.exe**process is then created under the context of the new hidden desktop.”*


Once installed, the malware starts sending screen captures that represent the hidden desktop that is sent to a listening client controlled by the attacker. The operators can interact with the client controlling the keyboard, clicking buttons, and moving the mouse.


Elastic Security Labs released an [open-source tool](https://github.com/elastic/labs-releases/tree/main/extractors/lobshot) that allows extracting the configurations from LOBSHOT samples. 


*“Threat groups are continuing to leverage malvertising techniques to masquerade legitimate software with backdoors like LOBSHOT. These kinds of malware seem small, but end up packing significant functionality which helps threat actors move quickly during the initial access stages with fully interactive remote control capabilities.” concludes the report. “We are continuing to see new samples related to this family each week, and expect it to be around for some time.”*


**Blogger Awards 2022 – VOTE FOR YOUR WINNERS**  
**Vote for me in the sections:**


* The Teacher – Most Educational Blog
* The Entertainer – Most Entertaining Blog
* The Tech Whizz – Best Technical Blog
* Best Social Media Account to Follow (@securityaffairs)


Please nominate Security Affairs as your favorite blog.



> 
> 
> > 
> > **Nominate here: <https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform>**
> > 
> > 
> > 
> 
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **LOBSHOT malware**)



  


---


  




## Tags:
***urls***: https://www.anydesk.com https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform http://download-cdn.com https://www.amydecke.website

### Autogenerated tags:
[[malware]] [[lobshot]] [[google]] [[windows]] [[anydesk]] [[ta505]] [[blog]]
