# New Woody RAT used in attacks aimed at Russian entities
## An unknown threat actor is targeting Russian organizations with a new remote access trojan called Woody RAT. Malwarebytes researchers observed an unknown threat actor targeting Russian organizations with a new remote access trojan called Woody RAT. The attackers were delivering the malware using archive files and Microsoft Office documents exploiting the Follina Windows flaw (CVE-2022-30190). The assumption […]
## Information:

+ Link: https://securityaffairs.co/wordpress/134014/intelligence/woody-rat-targets-russia-orgs.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 04 August 2022, 19:13
+ Date scraped: 04 August 2022, 20:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/Woody-RAT.png?resize=300%2C300&ssl=1)


Malwarebytes researchers observed an unknown threat actor targeting Russian organizations with a new remote access trojan called Woody RAT. The attackers were delivering the malware using archive files and Microsoft Office documents exploiting the Follina Windows flaw ([CVE-2022-30190](https://securityaffairs.co/wordpress/131992/apt/nation-state-actors-follina-exploits.html)).


The assumption that attackers focus on Russian entities is based on a fake domain they registered, Malwarebytes is aware that they tried to target a Russian aerospace and defense entity known as [OAK](https://en.wikipedia.org/wiki/United_Aircraft_Corporation).


*“The earliest versions of this Rat was typically archived into a zip file pretending to be a document specific to a Russian group. When the Follina vulnerability became known to the world, the threat actor switched to it to distribute the payload, as identified by [@MalwareHunterTeam](https://twitter.com/malwrhunterteam/status/1534184385313923072).” [states](https://blog.malwarebytes.com/threat-intelligence/2022/08/woody-rat-a-new-feature-rich-malware-spotted-in-the-wild/) the report published by Malwarebytes.*



[![Woody RAT](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/Woody-RAT.png?resize=1024%2C869&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/Woody-RAT.png?ssl=1)


In the attacks leveraging the archive files (*anketa\_brozhik.doc.zip*, which contains Woody Rat executable, and *Anketa\_Brozhik.doc.exe*, *zayavka.zip* containing Woody Rat masqueraded as application participation in the *selection.doc.exe*), the archives are sent to victims via spear-phishing emails.


Attacks exploiting the Windows Follina flaw were spotted on June 7, 2022, when researchers observed threat actors using a weaponized Microsoft Office document titled *Памятка.docx*. The lure document, called “*Information security memo*,” provides security practices for passwords, confidential information, etc.


To evade network-based monitoring, the Woody RAT malware uses a combination of RSA-4096 and AES-CBC to encrypt the data sent to the command and control server.


The RAT is equipped with multiple backdoor capabilities, such as writing arbitrary files to the machine, executing additional malware, capturing screenshots, enumerating directories, deleting files, and gathering a list of running processes.


The analysis of the malicious code revealed that the malware has 2 .NET DLLs embedded inside named named *WoodySharpExecutor* and *WoodyPowerSession* respectively. *WoodySharpExecutor* allows the malware to run .NET code received from the C2, while *WoodyPowerSession* allows the malware to execute PowerShell commands and scripts received from the C2.


Once created the command threads, the malware deletes itself from the disk using the *ProcessHollowing* technique. 


*“This very capable Rat falls into the category of unknown threat actors we track. Historically, Chinese APTs such as Tonto team as well as North Korea with Konni have targeted Russia. However, based on what we were able to collect, there weren’t any solid indicators to attribute this campaign to a specific threat actor.” concludes the report.*“


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Woody RAT)**




 
  


---


  




## Tags:
***CVE's***: CVE-2022-30190

### Autogenerated tags:
[[malware]] [[malwarebytes]] [[follina]]
