# New XLoader Botnet version uses new techniques to obscure its C2 servers
## A new version of the XLoader botnet is implementing a new technique to obscure the Command and Control infrastructure. Researchers from Check Point have discovered a new version of the XLoader botnet, which implements significant enhancements, such as a new technique to obscure the Command and Control infrastructure XLoader has been observed since 2020, it […]
## Information:

+ Link: https://securityaffairs.co/wordpress/131860/cyber-crime/xloader-botnet-obscures-c2.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 01 June 2022, 20:56
+ Date scraped: 01 June 2022, 21:01

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/06/Xloader-mlware.jpg?resize=300%2C300&ssl=1)


Researchers from Check Point have discovered a new version of the XLoader botnet, which implements significant enhancements, such as a new technique to obscure the Command and Control infrastructure


*[XLoader](https://securityaffairs.co/wordpress/120382/malware/xloader-49-dollar-spyware.html)* has been observed since 2020, it is a very cheap malware strain that is based on the popular [Formbook](https://securityaffairs.co/wordpress/64110/malware/formbook-malware-campaigns.html) Windows malware. 


Check Point experts now state that it is significantly harder to determine the real C2 servers among thousands of legitimate domains used by the operators as a smokescreen.


The researchers pointed out that all XLoader samples have 64 domains and one URI in their configurations. XLoader and Formbook shares the same structure of configuration, the 64 domains from the malware configuration are actually decoys, used as a diverse strategy.


Starting with the Formbook version 4.1 and early versions of XLoader (up to 2.5) developers have hidden a domain name for the real C&C server among the 64 decoys, while the URI that was always thought to be an address of the C&C server became another decoy and is used to a legitimate website. The malicious code analyzed by the researchers randomly choose 16 decoy domains, two of which are replaced with the fake C&C server address and a real C&C server address. To make it harder the analysis, the real C2 server is accessed only after a long delay.



[![Xloader malware](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/06/Xloader-mlware.jpg?resize=1024%2C347&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/06/Xloader-mlware.jpg?ssl=1)


In the latest versions analyzed by Check Point, the malware first selects 16 decoy domains from the configuration, then the first eight domains are overwritten with new random values before each communication cycle while taking steps to skip the real domain.


What’s changed in the newer versions of XLoader is that after the selection of 16 decoy domains from the configuration, the first eight domains are overwritten with new random values before that were selected immediately after launch.


The experts also noticed that XLoader 2.5 replaces three domains in the created list with 2 decoys and the real C&C server domain


*“In July 2021, we described the method of uncovering real C&C servers among the thousands of legitimate servers abused by XLoader v.2.3. The upgraded XLoader v.2.5 introduced significant changes in this algorithm using the power of the Law of Big Numbers from probability theory.” Check Point concludes. “These modifications achieve two goals at once: each node in the botnet maintains a steady knockback rate while fooling automated scripts and preventing the discovery of the real C&C servers. The latter indeed became more difficult, but not impossible.”* 



> **Security Affairs is one of the finalists for the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS. I ask you to vote for me again (even if you have already done it), because this vote is for the final.**
> 
> **Please vote for Security Affairs and Pierluigi Paganini in every category that includes them (e.g. sections “The Underdogs – Best Personal (non-commercial) Security Blog” and “The Tech Whizz – Best Technical Blog”)**
> 
> 


**To nominate, please visit:**


[**https://docs.google.com/forms/d/e/1FAIpQLSdNDzjvToMSq36YkIHQWwhma90SR0E9rLndflZ3Cu\_gVI2Axw/viewform**](https://docs.google.com/forms/d/e/1FAIpQLSdNDzjvToMSq36YkIHQWwhma90SR0E9rLndflZ3Cu_gVI2Axw/viewform)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, malware)**


 
  


---


  




## Tags:
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSdNDzjvToMSq36YkIHQWwhma90SR0E9rLndflZ3Cu_gVI2Axw/viewform

### Autogenerated tags:
[[xloader]] [[c&c]] [[malware]] [[formbook]]
