# North Korea-linked APT Diamond Sleet supply chain attack relies on CyberLink software
## North Korea-linked APT group Diamond Sleet is distributing a trojanized version of the CyberLink software in a supply chain attack.
## Information:

+ Link: https://securityaffairs.com/154652/apt/diamond-sleet-supply-chain-attack-cyberlink.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 23 November 2023, 12:02
+ Date scraped: 23 November 2023, 13:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2015/03/north-korea-hackers.jpg)


Microsoft Threat Intelligence researchers uncovered a supply chain attack carried out by North Korea-linked APT [Diamond Sleet](https://securityaffairs.com/152697/apt/north-korea-linked-apt-groups-actively-exploit-jetbrains-teamcity-flaw.html) (ZINC) involving a trojanized variant of a CyberLink software. The attackers used a malware-laced version of a legitimate CyberLink application installer that was signed using a valid certificate issued to CyberLink Corp.. The installer is hosted on legitimate update infrastructure owned by software firm CyberLink and includes checks to limit the time window for execution and evade detection by security products. 


According to Microsoft, the supply chain attack impacted over 100 devices in multiple countries, including Japan, Taiwan, Canada, and the United States.



The researchers observed the suspicious activity as early as October 20, 2023. Microsoft has yet to identify “hands-on-keyboard activity” carried out by the attackers after the compromise via this malware.


The malicious installer includes the weaponized downloader dubbed LambLoad. Before launching any malware, the LambLoad performs a series of checks to avoid the execution in a virtualized environemnt and to determine the presence on the host of specific security software.


The loader checks for the following process names:


* *csfalconservice.exe* (CrowdStrike Falcon)
* *xagt.exe* (FireEye agent)
* *taniumclient.exe* (Tanium EDR solution)


to avoid targeting systems protected by FireEye, CrowdStrike, or Tanium solutions.


*“If these criteria are not met, the executable continues running the CyberLink software and abandons further execution of malicious code.” reads the [report](https://www.microsoft.com/en-us/security/blog/2023/11/22/diamond-sleet-supply-chain-compromise-distributes-a-modified-cyberlink-installer/) published by Microsoft. “Otherwise, the software attempts to contact one of three URLs to download the second-stage payload embedded inside a file masquerading as a PNG file using the static User-Agent ‘Microsoft Internet Explorer’:*


* *hxxps[:]//i.stack.imgur[.]com/NDTUM.png*
* *hxxps[:]//www.webville[.]net/images/CL202966126.png*
* *hxxps[:]//cldownloader.github[.]io/logo.png*


The PNG file embeds a payload within a deceptive outer PNG header, and the system extracts, decrypts, and executes it in memory.


The attackers connect the malicious code to previously compromised C2 servers.


The report includes Indicators of compromise (IoCs) for this supply chain attacks.


Diamond Sleet is an APT group that operates under the Lazarus group’s umbrella, it has been active since at least 2013.


Microsoft has recently observed Diamond Sleet utilizing trojanized open-source and proprietary software to target organizations in information technology, defense, and media.


In October, Microsoft [warned](https://securityaffairs.com/152697/apt/north-korea-linked-apt-groups-actively-exploit-jetbrains-teamcity-flaw.html) that North Korea-linked threat actors are actively exploiting a critical security vulnerability, tracked as [CVE-2023-42793](https://securityaffairs.com/152020/hacking/cisa-known-exploited-vulnerabilities-catalog-jetbrains-teamcity-and-windows.html) (CVSS score: 9.8), in JetBrains TeamCity.


Microsoft **[attributed](https://www.microsoft.com/en-us/security/blog/2023/10/18/multiple-north-korean-threat-actors-exploiting-the-teamcity-cve-2023-42793-vulnerability/)**the recent attacks to two North Korean APT groups Diamond Sleet and Onyx Sleet, which operate under the [Lazarus Group](https://thehackernews.com/2023/10/lazarus-group-targeting-defense-experts.html) umbrella. 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, North Korea)**





---




---





## Tags:
***CVE's***: CVE-2023-42793
***urls***: https://cldownloader.github.io/logo.png https://www.webville.net/images/CL202966126.png https://i.stack.imgur.com/NDTUM.png

### Autogenerated tags:
[[microsoft]] [[cyberlink]] [[png]]
