# North Korea-linked APT targets Job Seekers with macOS malware
## The North Korea-linked Lazarus Group has been observed targeting job seekers with macOS malware working also on Intel and M1 chipsets. ESET researchers continue to monitor a cyberespionage campaign, tracked as “Operation In(ter)ception,” that has been active at least since June 2020. The campaign targets employees working in the aerospace and military sectors and leverages […]
## Information:

+ Link: https://securityaffairs.co/wordpress/134491/malware/north-korea-mac-malware-m1.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 17 August 2022, 08:31
+ Date scraped: 17 August 2022, 09:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/North-Korea.jpg?resize=300%2C300&ssl=1)


ESET researchers continue to monitor a cyberespionage campaign, tracked as “Operation In(ter)ception,” that has been active at least since June 2020. The campaign targets employees working in the aerospace and military sectors and leverages decoy job offer documents.


ESET published a series of tweets detailing the recent attacks, the experts spotted a signed Mac executable disguised as a job description for Coinbase. The malicious code was uploaded to VirusTotal from Brazil on August 11, 2022.







Malware is compiled for both Intel and Apple Silicon, it drops three files: a decoy PDF document Coinbase\_online\_careers\_2022\_07.pdf, a bundle [http://FinderFontsUpdater.app](https://t.co/TKWYD9BlcE) and a downloader safarifontagent. The discovery is similar to other attacks detected by ESET researches in May.







The bundle employed in the attack is signed July 21 using a certificate issued in February 2022 to a developer named Shankey Nohria and team identifier 264HFWQH63.


*“The application is not notarized and Apple has revoked the certificate on August 12.” [states](https://twitter.com/ESETresearch/status/1559553332313833474) ESET.*


[![North Korea](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/North-Korea.jpg?resize=643%2C306&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/North-Korea.jpg?ssl=1)


Experts noticed that unlike May attacks, the downloader safarifontagent connects to a different C&C server (https://concrecapital[.]com/%user%.jpg). The C2 server did not respond at the time ESET experts analyzed this malware.


The researcher [@h2jazi](https://twitter.com/h2jazi) also discovered a Windows counterpart of this malware on August 4, it was dropping the exact same decoy.







ESET also shared Indicators of compromise (IoCs) for this threat.







Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, North Korea)**



 
  


---


  




## Tags:
***urls***: http://FinderFontsUpdater.app https://concrecapital.com/%user%.jpg

### Autogenerated tags:
[[eset]] [[malware]]
