# PlugX malware delivered by exploiting flaws in Chinese programs
## Researchers observed threat actors deploying PlugX malware by exploiting flaws in Chinese remote control programs Sunlogin and Awesun. Researchers at ASEC (AhnLab Security Emergency response Center) observed threat actors deploying the PlugX malware by exploiting vulnerabilities in the Chinese remote control software Sunlogin and Awesun. Sunlogin RCE vulnerability (CNVD-2022-10270 / CNVD-2022-03672) is known to be […]
## Information:

+ Link: https://securityaffairs.com/143360/malware/plugx-malware-flaws.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 11 March 2023, 19:40
+ Date scraped: 11 March 2023, 20:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-19.png?resize=300%2C300&ssl=1)


## Researchers observed threat actors deploying PlugX malware by exploiting flaws in Chinese remote control programs Sunlogin and Awesun.


Researchers at ASEC (AhnLab Security Emergency response Center) observed threat actors deploying the [PlugX](https://securityaffairs.com/142770/malware/plugx-trojan-disguised-windows-tool.html) malware by exploiting vulnerabilities in the Chinese remote control software Sunlogin and Awesun.


Sunlogin RCE vulnerability (CNVD-2022-10270 / CNVD-2022-03672) is known to be exploited by threat actors since an exploit code was disclosed. In the past, the issue was exploited in attacks to deliver Sliver C2, XMRig CoinMiner, and [Gh0st RAT](https://securityaffairs.com/30302/cyber-crime/gh0st-rat-against-tibetan-ngo.html).


*“The same threat actors performed an RCE vulnerability exploitation on both Sunlogin and AweSun to install Sliver C2.” reads the [**analysis**](https://asec.ahnlab.com/en/49097/) published by ASEC.* 


The PlugX backdoor has been used since 2008 by multiple China-linked APT groups, including [Mustang Panda](https://securityaffairs.com/142961/apt/mustang-panda-mqsttang-backdoor.html), [Winnti](https://securityaffairs.com/130909/apt/china-winnti-apt-steals-intellectual-property.html), and [APT41](https://securityaffairs.com/137300/apt/apt41-spyder-loader.html)


In the attacks observed by ASEC, once exploited the vulnerability, threat actors executed a PowerShell command to create a file named esetservice.exe.


esetservice.exe is actually a legitimate HTTP Server Service program made by the security firm ESET. Attackers also downloaded a file named http\_dll.dll aside from esetservice.exe.


The http\_dll.dll is invoked by the esetservice.exe when placed in the same directory, in a classic [DLL side-loading attack](https://securityaffairs.com/110443/apt/killlsomeone-apt-group.html).



[![PlugX attack](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-19.png?resize=488%2C259&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-19.png?ssl=1)


The DLL acts as the loader for the PlugX malware, the data file contains the actual encoded malware.


Experts pointed out that new features are being added to the PlugX malware, threat actors use it to gain full control over the infected system. Attackers uses the backdoor to conduct a broad range of malicious activities, including logging key inputs, taking screenshots, and installing additional malware.


*“Therefore, users must update their installed software to the latest version to preemptively prevent vulnerability exploitations. Also, V3 should be updated to the latest version so that malware infection can be prevented.” concludes the report that also provides Indicators of Compromise (IoCs).*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, malware)**




  


---


  




## Tags:


### Autogenerated tags:
[[malware]] [[plugx]] [[sunlogin]] [[esetservice.exe]] [[awesun]] [[asec]]
