# Raspberry Robin malware used in attacks against Telecom and Governments
## The Raspberry Robin worm attacks aimed at telecommunications and government office systems across Latin America, Australia, and Europe. Researchers from Trend Micro have uncovered a Raspberry Robin worm campaign targeting telecommunications and government office systems across Latin America, Australia, and Europe. The campaign has been active since at least September 2022, most of the infections have been observed in […]
## Information:

+ Link: https://securityaffairs.com/139964/breaking-news/raspberry-robin-targets-telecom-governments.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 24 December 2022, 14:16
+ Date scraped: 27 December 2022, 03:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2022/12/image-35.png?resize=300%2C300&ssl=1)


Researchers from Trend Micro have uncovered a [Raspberry Robin](https://securityaffairs.co/wordpress/137722/malware/raspberry-robin-clop-ransomware.html) worm campaign targeting telecommunications and government office systems across Latin America, Australia, and Europe.


The campaign has been active since at least September 2022, most of the infections have been observed in Argentina (34,8%), followed by Australia (23,2%).


*“We found samples of the Raspberry Robin malware spreading in telecommunications and government office systems beginning September.” reads the [report](https://www.trendmicro.com/en_us/research/22/l/raspberry-robin-malware-targets-telecom-governments.html) published by Trend Micro. “The main payload itself is packed with more than 10 layers for obfuscation and is capable of delivering a fake payload once it detects sandboxing and security analytics tools.”*


[Raspberry Robin](https://securityaffairs.co/wordpress/131033/malware/raspberry-robin-spreads-usb.html) is a Windows worm discovered by cybersecurity researchers from Red Canary, the malware propagates through removable USB devices.


The malicious code uses Windows Installer to reach out to QNAP-associated domains and download a malicious DLL. The malware uses TOR exit nodes as a backup C2 infrastructure.


The malware was first spotted in September 2021, the experts observed it targeting organizations in the technology and manufacturing industries. Initial access is typically through infected removable drives, often USB devices.


[![raspberry robin](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/05/raspberry-robin.jpg?resize=1024%2C287&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/05/raspberry-robin.jpg?ssl=1)


The malware uses cmd.exe to read and execute a file stored on the infected external drive, it leverages msiexec.exe for external network communication to a rogue domain used as C2 to download and install a DLL library file.


Then msiexec.exe launches a legitimate Windows utility, fodhelper.exe, which in turn run rundll32.exe to execute a malicious command. Experts pointed out that processes launched by a fodhelper.exe run with elevated administrative privileges without requiring a User Account Control prompt.


[![Raspberry Robin infection routine
](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/12/image-35-1024x585.png?resize=646%2C368&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/12/image-35.png?ssl=1)Raspberry Robin infection routine (Source [Trend Micro](https://www.trendmicro.com/en_us/research/22/l/raspberry-robin-malware-targets-telecom-governments.html))


The worm was attributed by IBM to the cybercrime gang [Evil Corp](https://securityaffairs.co/wordpress/133810/cyber-crime/raspberry-robin-linked-evil-corp.html), however, it is used by multiple threat actors to deliver malicious payloads such as the [Clop ransomware](https://securityaffairs.co/wordpress/137722/malware/raspberry-robin-clop-ransomware.html).


The analysis conducted by Trend Micro revealed that the main malware routine contains both the real and fake payloads. The fake payload is loaded once the malicious code detects sandboxing tools, meanwhile the real payload remains obfuscated under packing layers and subsequently connects to the Tor network.


Once installed the malware contact the hard-coded .onion address using an embedded custom TOR client designed to communicate with the real payload using shared memory and it to await further commands.


Upon starting the Tor client process, the real payload randomly uses a name of a legitimate Windows processes like dllhost.exe, regsvr32.exe, and rundll32.exe.


The real routine of the malware runs in a specialized Windows session known as Session 0.


Trend Micro experts discovered multiple similarities with privilege escalation and an anti-debugging technique implemented by LockBit ransomware leading to these hypothesis:


* *The group behind LockBit is also behind Raspberry Robin.*
* *The group behind Raspberry Robin is the maker of some of the tools LockBit is also using.*
* *The group behind Raspberry Robin availed of the services of the affiliate responsible for the techniques used by LockBit.*


*“owever, even if Raspberry Robin uses the same techniques, we cannot conclude for certain that the actors behind LockBit and Raspberry Robin are the same.” concludes the report.*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, malware)**





  


---


  




## Tags:


### Autogenerated tags:
[[malware]] [[windows]] [[lockbit]]
