# Reptile Rootkit employed in attacks against Linux systems in South Korea
## Researchers observed threat actors that are using an open-source rootkit called Reptile in attacks aimed at systems in South Korea. Reptile is an open-source kernel module rootkit that was designed to target Linux systems, unlike other rootkits, it also offers a reverse shell. The malware supports port knocking, it opens a specific port on an infected system […]
## Information:

+ Link: https://securityaffairs.com/149203/malware/reptile-rootkit-south-korea.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 05 August 2023, 20:19
+ Date scraped: 05 August 2023, 21:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/08/image-12.png?resize=300%2C300&ssl=1)



## Researchers observed threat actors that are using an open-source rootkit called Reptile in attacks aimed at systems in South Korea.


[Reptile](https://github.com/f0rb1dd3n/Reptile) is an open-source kernel module rootkit that was designed to target Linux systems, unlike other rootkits, it also offers a reverse shell. The malware supports port knocking, it opens a specific port on an infected system and waits for a Magic Packet sent by the attackers to establish a C2 connection.



[![Reptile](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/08/image-12.png?resize=629%2C332&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/08/image-12.png?ssl=1)



Researchers from the AhnLab Security Emergency Response Center (ASEC) reported that threat actors are using Reptile to target Linux systems in South Korea.


The researchers observed multiple campaigns leveraging Reptile since 2022.


Recently Mandiant published a [report](https://www.mandiant.com/resources/blog/fortinet-malware-ecosystem) about a campaign attributed to a China-linked APT group that used the Reptile rootkit and exploited the zero-day vulnerability ([CVE-2022-41328](https://securityaffairs.com/143594/apt/china-fortinet-zero-day-attacks.html)) in Fortinet products. Researchers from ExaTrack also detailed a campaign using the [Mélofée](https://securityaffairs.com/144210/apt/melofee-malware-linked-to-china.html) malware and the Reptile rootkit. The researchers attributed the campaign to the China-linked cyberespionage group [Winnti](https://securityaffairs.com/130909/apt/china-winnti-apt-steals-intellectual-property.html).


The Reptile malware uses a loader that is a kernel module packed using the open-source tool [kmatryoshka](https://github.com/milabs/kmatryoshka).


The tool is used to decrypt the rootkit and load its kernel module into memory. Then the kernel module opens a specific port and awaits for the attacker communications.


Reptile relies on an engine called KHOOK to hook Linux kernel functions. The rootkit was employed in past attacks against South Korean companies.


*“The initial method of infiltration remains unidentified, but upon examination, the Reptile rootkit, reverse shell, Cmd, and startup script were all included, allowing the basic configuration to be ascertained.” states the [report](https://asec.ahnlab.com/en/55785/) from ASEC. “In this particular attack case, apart from Reptile, an ICMP-based shell called ISH was also utilized by the threat actor. ISH is a malware strain that uses the ICMP protocol to provide the threat actor with a shell. Typically, reverse shells or bind shells use protocols like TCP or HTTP, but it is speculated that the threat actor opted for ISH to evade network detection caused by these communication protocols.”*


Researchers warn that Reptile can be easily utilized by various threat actors because its code is available as open-source. Threat actor can also customize the rootkit in future attacks and use it in conjunction with other malware.


The report also includes Indicators of Compromise (IOCs) for this threat


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, rootkit**)



  


---


  




## Tags:
***CVE's***: CVE-2022-41328

### Autogenerated tags:
[[rootkit]] [[malware]] [[open-source]] [[linux]]
