# Russia-linked IRIDIUM APT linked to Prestige ransomware attacks against Ukraine
## Microsoft linked Prestige ransomware attacks against organizations in Ukraine and Poland to Russia-linked threat actors. In Mid-October, Microsoft Threat Intelligence Center (MSTIC) researchers uncovered previously undetected ransomware, tracked as Prestige ransomware, employed in attacks targeting organizations in the transportation and related logistics industries in Ukraine and Poland. The Prestige ransomware first appeared in the threat […]
## Information:

+ Link: https://securityaffairs.co/wordpress/138362/apt/prestige-ransomware-linked-iridium.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 11 November 2022, 08:28
+ Date scraped: 11 November 2022, 09:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/prestige-ransomware-ALL.png?resize=300%2C300&ssl=1)


In Mid-October, Microsoft Threat Intelligence Center (MSTIC) researchers uncovered previously undetected ransomware, tracked as [Prestige ransomware](https://securityaffairs.co/wordpress/137203/apt/prestige-ransomware-targets-ukraine.html), employed in attacks targeting organizations in the transportation and related logistics industries in Ukraine and Poland.







The Prestige ransomware first appeared in the threat landscape on October 11 in attacks occurring within an hour of each other across all victims.


A notable feature of this campaign is that it is uncommon to observe the threat actors attempting to deploy ransomware into the networks of Ukrainian enterprises.


The campaign shares victimology with recent operations conducted by Russia-linked threat actors.


In an update provided by Microsoft this week, MSTIC attributed the campaign to the IRIDIUM (aka [Sandworm](https://securityaffairs.co/wordpress/135996/apt/sandworm-targets-ukraine-teleco.html)) cyberespionage group. 


Sandworm (aka [BlackEnergy](https://securityaffairs.co/wordpress/77132/cyber-warfare-2/blackenergy-hit-ukraine.html) and [TeleBots](https://securityaffairs.co/wordpress/54415/cyber-warfare-2/telebots.html)) has been active since 2000, it operates under the control of [Unit 74455](https://securityaffairs.co/wordpress/76869/intelligence/7-russian-gru-indictment.html) of the Russian GRU’s Main Center for Special Technologies (GTsST).


The group is also the author of the [NotPetya ransomware](https://securityaffairs.co/wordpress/62085/malware/maersk-notpetya-losses.html) that hit hundreds of companies worldwide in June 2017, causing billions worth of damage.


In April, [Sandworm](https://securityaffairs.co/wordpress/114606/apt/anssi-sandworm-hosting-providers-attacks.html) targeted energy facilities in Ukraine with a new strain of the [Industroyer](https://securityaffairs.co/wordpress/77051/malware/exaramel-malware.html) ICS malware (INDUSTROYER2) and a new version of the [CaddyWiper](https://securityaffairs.co/wordpress/129069/cyber-warfare-2/caddywiper-wiper-hits-ukraine.html) wiper.


The APT hacking group is believed to have been behind numerous attacks this year, including an attack on [Ukrainian energy infrastructure](https://www.bleepingcomputer.com/news/security/sandworm-hackers-fail-to-take-down-ukrainian-energy-provider/) and the deployment of a persistent botnet called “[Cyclops Blink](https://www.bleepingcomputer.com/news/security/us-uk-link-new-cyclops-blink-malware-to-russian-state-hackers/)” dismantled by the US government in April.


From August 2022, Recorded Future researchers observed a rise in command and control (C2) infrastructure used by Sandworm (tracked by Ukraine’s CERT-UA as UAC-0113).


The researchers observed C2 infrastructure relying on dynamic DNS domains masquerading as Ukrainian telecommunication service providers.


Microsoft’s attribution to IRIDIUM is based on forensic artifacts, as well as overlaps in victimology, TTPs, and infrastructure, with the Russia-linked APT group.


*“The Prestige campaign may highlight a measured shift in IRIDIUM’s destructive attack calculus, signaling increased risk to organizations directly supplying or transporting humanitarian or military assistance to Ukraine. More broadly, it may represent an increased risk to organizations in Eastern Europe that may be considered by the Russian state to be providing support relating to the war.” MSTIC [said](https://www.microsoft.com/en-us/security/blog/2022/10/14/new-prestige-ransomware-impacts-organizations-in-ukraine-and-poland/).*


MSTIC researchers observed threat actors using three methods to deploy the Prestige ransomware:


* Method 1: The ransomware payload is copied to the ADMIN$ share of a remote system, and Impacket is used to remotely create a Windows Scheduled Task on target systems to execute the payload
* Method 2: The ransomware payload is copied to the ADMIN$ share of a remote system, and Impacket is used to remotely invoke an encoded PowerShell command on target systems to execute the payload
* Method 3: The ransomware payload is copied to an Active Directory Domain Controller and deployed to systems using the Default Domain Group Policy Object



[![prestige ransomware ALL](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/prestige-ransomware-ALL.png?resize=536%2C771&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/prestige-ransomware-ALL.png?ssl=1)


Microsoft published a list of indicators of compromise (IOCs) and advanced hunting queries detect Prestige ransomware infections.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and **[Mastodon](https://mstdn.social/invite/4GESs2dP)**




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Prestige ransomware)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[ransomware]] [[microsoft]] [[mstic]]
