# Sophisticated JaskaGO info stealer targets macOS and Windows
## JaskaGO is a new Go-based information stealer malware that targets both Windows and Apple macOS systems, experts warn.
## Information:

+ Link: https://securityaffairs.com/156185/malware/jaskago-information-stealer-macos-windows.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 20 December 2023, 11:48
+ Date scraped: 20 December 2023, 13:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2023/12/JaskaGO-.jpg)


Researchers from AT&T Alien Labs uncovered a previously undetected Go-based information stealer dubbed JaskaGO that targets Windows and macOS systems.


JaskaGO is a sophisticated malware that supports an extensive array of commands and can maintain persistence in different ways.



The macOS variant of the malware was first spotted in July 2023, it was spreading in the form of installers for pirated legitimate software such as CapCut or AnyConnect.


Following the discovery, researchers observed dozens of new samples that show the malware. The researchers pointed out that the recent malware sample still has a low detection rate.


Upon initial execution, the malware displays a fake error message, claiming a missing file, in an attempt to mislead the user into believing that the malicious code failed to run.


The malware also performs a series of checks to avoid execution in a virtualized environment.


*“The malware conducts thorough checks to determine if it is operating within a virtual machine (VM). This process begins with the examination of general machine information, where specific criteria such as the number of processors, system up-time, available system memory, and MAC addresses are checked.” reads the [report](https://cybersecurity.att.com/blogs/labs-research/behind-the-scenes-jaskagos-coordinated-strike-on-macos-and-windows) published by AT&T Alien Labs. “The presence of MAC addresses associated with well-known VM software, such as VMware or VirtualBox, is a key indicator.”*


JaskaGO collects information from the infected system and connects to the C2 infrastructure awaiting for instructions.


The malware supports the following commands:


* Creating persistence for the malware (details in the subsequent section).
* Stealer functionalities: collecting information from the infected device and transmitting it to the command and control server.
* Pinging the command and control.
* Executing shell commands.
* Displaying alert messages.
* Retrieving running process list.
* Executing files on disk or in memory.
* Writing to the clipboard:a common tactic for stealing cryptocurrency funds.
* Performing a random task (like those in the VM detection section).
* Downloading and executing additional payloads.
* Initiating the process to exit (self).
* Initiating the process to exit and delete itself.


[![JaskaGO ](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/12/JaskaGO-.jpg?resize=1024%2C453&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/12/JaskaGO-.jpg?ssl=1)


JaskaGO supports multiple exfiltration capabilities. The malware stores harvested data in a specially created folder, zipping and sending it to the C2.


The malware can steal the following info from Chrome and Firefox browsers:


* Browser credentials.
* History.
* Cookies: Files and folders – “Cookies”, “cookies.sqlite”, Network”.
* Password encryption keys key4.db – Stores the master key to decrypt all passwords stored in logins.json.
* Profile files (profile.ini, ^Profile\d+$).
* Login information – “Login Data” folder.


Theinfo stealer also targets browser crypto wallet extensions and can exfiltrate files and folders.


On macOS, JaskaGO replies on a multi-step process to maintain persistence. It executes as Root, disables Gatekeeper, and duplicates itself, adopting the name format “com.%s.appbackgroundservice,” to obfuscate its presence on the system. The malware also creates a LaunchDaemon / LaunchAgent to ensure persistence.


*“Employing sophisticated anti-VM tactics, JaskaGO sidesteps automatic analysis, making it a formidable challenge for detection. Its persistence mechanisms reveal a determined effort to embed itself within systems, while its stealer capabilities transform the malware into a dangerous threat, extracting sensitive information from unsuspecting victims.” concludes the report that includes indicators of compromise (IOCs).*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, JaskaGO)**





---




---





## Tags:


### Autogenerated tags:
[[malware]] [[jaskago]] [[macos]] [[vm]]
