# Trojanized Super Mario Bros game spreads malware
## Researchers observed threat actors spreading a trojanized Super Mario Bros game installer to deliver multiple malware.  Researchers from Cyble Research and Intelligence Labs (CRIL) discovered a trojanized Super Mario Bros game installer for Windows that was used to deliver multiple malware, including an XMR miner, SupremeBot mining client, and the Open-source Umbral stealer. The threat actors […]
## Information:

+ Link: https://securityaffairs.com/147809/malware/trojanized-super-mario-bros-game.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 26 June 2023, 00:22
+ Date scraped: 26 June 2023, 01:04

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-47.png?resize=300%2C300&ssl=1)


## Researchers observed threat actors spreading a trojanized Super Mario Bros game installer to deliver multiple malware.


Researchers from Cyble Research and Intelligence Labs (CRIL) discovered a trojanized Super Mario Bros game installer for Windows that was used to deliver multiple malware, including an XMR miner, SupremeBot mining client, and the Open-source Umbral stealer.



The threat actors bundled a legitimate installer file of super-mario-forever-v702e with the malicious codes. The researchers pointed out that attackers target gamers because they often use powerful hardware for gaming, which is excellent for mining cryptocurrencies.


  ![](//assets.vlitag.com/widget/2023/03/24/1679645040.png) .vi\_svg{cursor:pointer;width:38px!important;height:38px!important;display:none;margin:0!important;max-width:initial!important}.vislider\_\_control\_\_bottom .progress{position:relative;bottom:35px;left:0;height:5px!important;transition:height .3s;background:rgba(0,0,0,.5);cursor:pointer;flex:none;-ms-flex:none;display:flex;width:100%;margin:0;border-radius:0;box-shadow:none}.vislider\_\_control\_\_bottom .progress .progress\_\_filled{width:0%;background:#ddd;-ms-flex:0;flex:0;-ms-flex-preferred-size:0;flex-basis:0%}.vislider\_\_control\_\_bottom button{float:right;max-height:20px}.vislider\_\_control\_\_bottom .vi\_\_time{color:#ddd;margin-left:5px;line-height:1;font-size:13px;display:inline-block}.vi\_slider\_control\_custom{font-family:"Helvetica Neue","Calibri Light",Roboto,sans-serif;letter-spacing:.02em}.vi\_\_player.vi\_\_played:hover .opacity\_\_control{visibility:visible;opacity:1}.playerWrapper button{background:no-repeat;border:none;outline:0;padding:0;display:inline-block;cursor:pointer;font-size:14px!important;background-color:transparent!important}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:-ms-flexbox;display:flex;justify-content:center;-ms-flex-align:center;align-items:center;justify-content:center;align-items:center;position:absolute;top:50%;left:50%;-ms-transform:translate(-50%,-50%) scale(1);transform:translate(-50%,-50%) scale(1)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_button{width:15px!important;height:15px!important;margin:0 30px}.vi\_\_loading .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:none}.slider\_\_control{position:absolute;bottom:0;left:0;width:100%;height:auto!important}.opacity\_\_control{visibility:hidden;opacity:0}.vi\_\_player:not(.vi\_\_played) .vi\_\_button,.vi\_\_player:not(.vi\_\_played) .vislider\_\_control\_\_bottom{display:none}.slider\_\_control#vislider\_control\_overlay{position:absolute;top:0;bottom:0;left:0;right:0;background-color:rgba(0,0,0,.2);cursor:pointer}.vislider\_\_loading{display:none;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_\_loading .vislider\_\_loading{display:block}#vi\_svg\_play{display:block}#btn\_control\_player{cursor:pointer;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);padding:9px;border-radius:50%;display:block;width:auto;height:auto;margin:0;max-width:inherit}.vi\_\_player:not(.vi\_\_played) #btn\_control\_player{opacity:1;visibility:visible}.vi\_\_player.vi\_\_paused .opacity\_\_control{visibility:visible;opacity:1}#vi\_toggleVolVideo .vi\_\_mutedVideo,#vi\_toggleVolVideo .vi\_\_volVideo{padding:initial;background-color:transparent;display:block;height:19px;box-sizing:content-box;position:relative;top:0;right:0}#vi\_toggleVolVideo .icon-volume{position:absolute;top:0;right:0}.sound\_on .vi\_\_mutedVideo{display:none!important}.sound\_off .vi\_\_volVideo{display:none!important}#hide\_fullscreen\_slider{position:absolute;display:none;top:-25px;right:-25px;cursor:pointer}#vi\_poster\_\_video{position:absolute;top:0;left:0;width:inherit!important;height:inherit!important;visibility:hidden;opacity:0}.adWrapperBox .adWrapper video{height:100%!important}.vislider\_\_control\_\_bottom .vi\_slider\_\_button{margin:0 5px;width:14px;height:14px}@media only screen and (max-width:480px){#hide\_fullscreen\_slider{top:-30px;right:0}}                                                             00:00/00:00                                         

Mario Forever is a clone of the original Super Mario that attempts to recreate the classic Nintendo game very faithfully.


The threat actors tampered with the NSIS installer file “Super-Mario-Bros.exe,” the resulting executable file includes three separate executables: *“super-mario-forever-v702e.exe,”* which is the legitimate Super Mario game application, along with the malicious executables named *“java.exe”* and *“atom.exe,”* as shown below.


Upon executing the “Super-Mario-Bros.exe” file, it drops the *“super-mario-forever-v702e.exe”* executable in the *%appdata%*directory and executes it. While executing the file, an Installation Wizard is displayed to proceed with the installation of the “super-mario-forever-v7.02” program.


Once the software is successfully installed, a user interface is launched to play the Super Mario Forever game. However, an XMR (Monero) miner and a SupremeBot mining client are executed in the background.


[![Super Mario Bros](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-47.png?resize=1017%2C649&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-47.png?ssl=1)


*“When “java.exe” is executed, the malware establishes a connection with a mining server “gulf[.]moneroocean[.]stream” to carry out cryptocurrency mining activities.” reads the [**report**](https://blog.cyble.com/2023/06/23/trojanized-super-mario-game-installer-spreads-supremebot-malware/) published by Cyble. “Concurrently, the malware gathers valuable data from the victim’s system, including computer name, username, GPU, CPU, and other relevant details. This sensitive information is then transferred to a Command and Control (C&C) server via the following URL API: “hxxp://shadowlegion[.]duckdns[.]org/nam/api/endpoint[.]php””*


Upon executing SupremeBot (“atom.exe”), it creates a duplicate of itself and places the copy in a hidden folder in the installation directory of the game.


Then *“atom.exe”* initiates the execution of a scheduled task command that creates a new scheduled task entry that runs every 15 minutes without an end date.


Then the executable terminates the *“atom.exe”*process and removes its associated file from the system. Once deleted, the dropped file establishes a connection to the C&C server and sends it systems information, registers the client, and receives the configuration for the Monero miner.


In the last stage of the attack, the *“atom.exe”* retrieves an info-stealing executable, named *“wime.exe”*, from the C2. The executable unpacks itself and loads the open-source malware [Umbral Stealer](https://github.com/Blank-c/Umbral-Stealer) into the process memory.


The malware allows:


* Capturing screenshots
* Retrieving browser passwords and cookies
* Capturing webcam images
* Obtaining telegram session files and discord tokens
* Acquiring Roblox cookies and Minecraft session files
* Collecting files associated with cryptocurrency wallets.


[![Super Mario Bros](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-46.png?resize=917%2C415&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-46.png?ssl=1)


*“The expansive and interconnected user base within the gaming community serves as an appealing target for TAs aiming to exploit vulnerabilities and carry out various malicious activities.” concludes the report. “This coin-miner malware campaign leverages the Super Mario Forever game to target gamers and individuals utilizing high-performance computing machines for gaming purposes. Furthermore, the malware also deploys a stealer component to illicitly acquire sensitive information from the victims’ systems, aiming to generate additional financial profits. The combination of mining and stealing activities leads to financial losses, a substantial decline in the victim’s system performance, and the depletion of valuable system resources.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **gaming**)




  


---


  




## Tags:
***urls***: http://gulf.moneroocean.stream http://shadowlegion.duckdns.org/nam/api/endpoint.php

### Autogenerated tags:
[[malware]] [[atom.exe”]] [[supremebot]]
