# US and UK link new Cyclops Blink malware to Russian state hackers￼
## UK and US cybersecurity agencies linked Cyclops Blink malware to Russia’s Sandworm APT US and UK cybersecurity and law enforcement agencies published a joint security advisory about a new malware, dubbed Cyclops Blink, that has been linked to the Russian-backed Sandworm APT group. Sandworm (aka BlackEnergy and TeleBots) has been active since 2000, it operates under the […]
## Information:

+ Link: https://securityaffairs.co/wordpress/128340/malware/cyclops-blink-sandworm-malware.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 24 February 2022, 05:31
+ Date scraped: 24 February 2022, 06:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2020/07/CISA.jpeg?resize=300%2C300&ssl=1)


US and UK cybersecurity and law enforcement agencies published a joint security advisory about a new malware, dubbed Cyclops Blink, that has been linked to the Russian-backed [Sandworm](https://securityaffairs.co/wordpress/114606/apt/anssi-sandworm-hosting-providers-attacks.html) APT group.


Sandworm (aka BlackEnergy and TeleBots) has been active since 2000, it operates under the control of [Unit 74455](https://securityaffairs.co/wordpress/76869/intelligence/7-russian-gru-indictment.html) of the Russian GRU’s Main Center for Special Technologies (GTsST).


The group is also the author of the [NotPetya ransomware](https://securityaffairs.co/wordpress/62085/malware/maersk-notpetya-losses.html) that hit hundreds of companies worldwide in June 2017, causing billions worth of damage.


Cyclops Blink is believed to be a replacement for the [VPNFilter](https://securityaffairs.co/wordpress/74399/hacking/vpnfilter-chlorine-station.html) botnet, which was first exposed in 2018 and at the time was composed of more than 500,000 compromised routers and network-attached storage (NAS) devices.


The Cyclops Blink malware has been active since at least June 2019, it targets WatchGuard Firebox and other Small Office/Home Office (SOHO) network devices. [According to WatchGuard](https://www.watchguard.com/wgrd-news/blog/important-detection-and-remediation-actions-cyclops-blink-state-sponsored-botnet), Cyclops Blink may have affected roughly 1% of all active WatchGuard firewall appliances.


*“The Sandworm actor has replaced the exposed VPNFilter malware with a new more advanced framework.” reads the [advisory](https://www.ncsc.gov.uk/news/new-sandworm-malware-cyclops-blink-replaces-vpnfilter) published by the UK National Cyber Security Centre. “The actor has so far primarily deployed Cyclops Blink to WatchGuard devices, but it is likely that Sandworm would be capable of compiling the malware for other architectures and firmware.”*


Cyclops Blink is sophisticated malware with a modular structure. It supports functionality to add new modules at run-time allowing Sandworm operators to implement additional capability as required.


The malware leverages the firmware update process to achieve persistence. The malware manages clusters of victims and each deployment of Cyclops Blink has a list of command and control (C2) IP addresses and ports that it uses. 


*“Cyclops Blink persists on reboot and throughout the legitimate firmware update process. Affected organizations should therefore take steps to remove the malware,” concludes the advisory. “WatchGuard has worked closely with the FBI, CISA and the NCSC, and has provided [tooling and guidance](https://detection.watchguard.com/) to enable detection and removal of Cyclops Blink on WatchGuard devices through a non-standard upgrade process.”*


Indicators of compromise (IoCs) are included in the [Cyclops Blink malware analysis report](https://www.ncsc.gov.uk/files/Cyclops-Blink-Malware-Analysis-Report.pdf).


In February, the French security agency ANSSI [warned](https://securityaffairs.co/wordpress/114606/apt/anssi-sandworm-hosting-providers-attacks.html) of a series of attacks targeting Centreon monitoring software used by multiple French organizations and attributes them to the Russia-linked [Sandworm](https://securityaffairs.co/wordpress/43413/malware/sandworm-apt-ukrainian-power-outage.html) APT group.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, CISA)**





 
  


---


  




## Tags:


### Autogenerated tags:
[[malware]] [[watchguard]]
