# US dismantled the Russia-linked Cyclops Blink botnet
## The U.S. government announced the disruption of the Cyclops Blink botnet operated by the Russia-linked Sandworm APT group. The U.S. government announced that it had dismantled the Cyclops Blink botnet operated by the Russia-linked Sandworm APT group. “The Justice Department today announced a court-authorized operation, conducted in March 2022, to disrupt a two-tiered global botnet […]
## Information:

+ Link: https://securityaffairs.co/wordpress/129911/cyber-warfare-2/us-disrupts-cyclops-blink-botnet.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 06 April 2022, 22:13
+ Date scraped: 06 April 2022, 23:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2015/03/DoJ.jpg?resize=300%2C300&ssl=1)


The U.S. government announced that it had dismantled the [Cyclops Blink botnet](https://securityaffairs.co/wordpress/129180/apt/cyclops-blink-botnet-targets-asus-routers.html) operated by the Russia-linked Sandworm APT group. 


*“The Justice Department today announced a court-authorized operation, conducted in March 2022, to disrupt a two-tiered global botnet of thousands of infected network hardware devices under the control of a threat actor known to security researchers as Sandworm, which the U.S. government has previously attributed to the Main Intelligence Directorate of the General Staff of the Armed Forces of the Russian Federation (the GRU).” reads the [press release](https://www.justice.gov/opa/pr/justice-department-announces-court-authorized-disruption-botnet-controlled-russian-federation) published by DoJ. “The operation copied and removed malware from vulnerable internet-connected firewall devices that Sandworm used for command and control (C2) of the underlying botnet.”*


In February, US and UK cybersecurity and law enforcement agencies published a joint security advisory about a new malware, dubbed Cyclops Blink, that has been linked to the Russian-backed [Sandworm](https://securityaffairs.co/wordpress/114606/apt/anssi-sandworm-hosting-providers-attacks.html) APT group.


Sandworm (aka BlackEnergy and TeleBots) has been active since 2000, it operates under the control of [Unit 74455](https://securityaffairs.co/wordpress/76869/intelligence/7-russian-gru-indictment.html) of the Russian GRU’s Main Center for Special Technologies (GTsST).


The group is also the author of the [NotPetya ransomware](https://securityaffairs.co/wordpress/62085/malware/maersk-notpetya-losses.html) that hit hundreds of companies worldwide in June 2017, causing billions worth of damage.


Cyclops Blink is believed to be a replacement for the [VPNFilter](https://securityaffairs.co/wordpress/74399/hacking/vpnfilter-chlorine-station.html) botnet, which was first exposed in 2018 and at the time was composed of more than 500,000 compromised routers and network-attached storage (NAS) devices.


The Cyclops Blink malware has been active since at least June 2019, it targets WatchGuard Firebox, Small Office/Home Office (SOHO) network devices, and ASUS router models.


Cyclops Blink is sophisticated malware with a modular structure. It supports functionality to add new modules at run-time allowing Sandworm operators to implement additional capability as required.


The malware leverages the firmware update process to achieve persistence. The malware manages clusters of victims and each deployment of Cyclops Blink has a list of command and control (C2) IP addresses and ports that it uses. 


*“The second action we are announcing today is the disruption of a global botnet controlled by the Russian military intelligence agency — commonly known as the GRU.” reads the DoJ. “The Russian government has recently used similar infrastructure to attack Ukrainian targets.*


*Fortunately, we were able to disrupt this botnet before it could be used. Thanks to our close work with international partners, we were able to detect the infection of thousands of network hardware devices.*


*We were then able to disable the GRU’s control over those devices before the botnet could be weaponized.”*


The FBI has notified the owners of infected devices in the United States and abroad with the help of foreign law enforcement partners before deleting the Cyclops Blink bot. 


*“We’ve worked closely with WatchGuard to analyze the malware and develop detection tools and remediation techniques over the past several weeks. And our operation removed Russia’s ability to control these Firebox devices on the botnet network, and then copied and removed malware from the infected devices.” FBI Director Chris Wray [said](https://www.fbi.gov/news/pressrel/press-releases/director-christopher-wray-announces-actions-to-disrupt-and-prosecute-russian-criminal-activity-040622). “Now I should caution that as we move forward, any Firebox devices that acted as bots may still remain vulnerable in the future until mitigated by their owners, so those owners should still go ahead and adopt WatchGuard’s recommended detection and remediation steps as soon as possible.”*


WatchGuard published [instructions](https://techsearch.watchguard.com/KB?type=Article&SFDCID=kA16S000000SNyiSAG&lang=en_US) on how to restore compromised Firebox appliances. The company also developed and released a set of Cyclops Blink detection tools, as well as this *4-Step Cyclops Blink Diagnosis and Remediation Plan* to help customers diagnose, remediate if necessary, and prevent future infection.



> **Please vote Security Affairs as best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS  
> Vote for me in the sections “The Underdogs – Best Personal (non-commercial) Security Blog” and “The Tech Whizz – Best Technical Blog” and others of your choice.  
> To nominate, please visit: <https://docs.google.com/forms/d/e/1FAIpQLSfxxrxICiMZ9QM9iiPuMQIC-IoM-NpQMOsFZnJXrBQRYJGCOw/viewform>**
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Russia)**



 
  


---


  




## Tags:
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSfxxrxICiMZ9QM9iiPuMQIC-IoM-NpQMOsFZnJXrBQRYJGCOw/viewform

### Autogenerated tags:
[[malware]] [[botnet]] [[watchguard]] [[gru]]
