# Industrial Organizations in Eastern Europe Targeted by Chinese Cyberspies
## The China-linked cyberspy group APT31 is believed to be behind a data-theft campaign targeting industrial organizations in Eastern Europe.
## Information:

+ Link: https://www.securityweek.com/industrial-organizations-in-eastern-europe-targeted-by-chinese-cyberspies/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 24 July 2023, 09:40
+ Date scraped: 24 July 2023, 10:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**A China-linked cyberspy group appears to be behind a campaign targeting industrial organizations in Eastern Europe, cybersecurity firm Kaspersky reported last week.**


The attacks have been linked to APT31, a group believed to be sponsored by the Chinese government that is also known as Zirconium, Judgement Panda, Bronze Vinewood and Red Keres. The threat actor has focused on operations whose goal is to steal valuable intellectual property from victims.

While the targets of the campaign analyzed by Kaspersky were industrial organizations, the company told *SecurityWeek* there is no indication that the hackers targeted industrial control systems (ICS).


“We do not have any evidence that the attackers could have anything in addition to data theft as their goal in this campaign,” Kaspersky said.

The attacks were observed in 2022 and the cybersecurity firm recently concluded its investigation into the campaign.

The hackers attempted to establish permanent channels for data exfiltration, including for information stored on air-gapped systems, which they targeted through malware-infected removable drives.

The attackers used improved variants of a previously known malware named FourteenHi, which enables the attackers to upload or download files, run commands, and initialize a reverse shell.


The new variants were designed to specifically target the infrastructure of industrial organizations.

In addition, the cyberspies leveraged a new malware implant dubbed MeatBall, which provides extensive remote access capabilities.

The attackers exploited [DLL hijacking](https://www.securityweek.com/?s=dll+hijacking) vulnerabilities affecting legitimate applications to load some of their malware. 


“To exfiltrate data and deliver next-stage malware, the threat actor (or actors) abuse(s) a cloud-based data storage, e.g., Dropbox or Yandex Disk, as well as a service used for temporary file sharing. They also use C2 deployed on regular virtual private servers (VPS),” Kaspersky explained.

The cybersecurity firm’s [report](https://ics-cert.kaspersky.com/publications/reports/2023/07/20/common-ttps-of-attacks-against-industrial-organizations-implants-for-remote-access/) includes technical details on these attacks, including indicators of compromise (IoCs) and tactics, techniques, and procedures (TTPs). 


**Related**: [Chinese Cyberspy Group APT31 Starts Targeting Russia](https://www.securityweek.com/chinese-cyberspy-group-apt31-starts-targeting-russia/)


**Related**: [EU Organizations Warned of Chinese APT Attacks](https://www.securityweek.com/eu-organizations-warned-of-chinese-apt-attacks/)


**Related**: [China-Linked APT15 Targets Foreign Ministries With ‘Graphican’ Backdoor](https://www.securityweek.com/china-linked-apt15-targets-foreign-ministries-with-graphican-backdoor/)





## Tags:


### Autogenerated tags:
[[kaspersky]] [[malware]] [[cybersecurity]]
