# Iranian Group Targeting Israeli Shipping and Other Key Sectors
## Mandiant has been tracking an activity cluster that it believes to be from a single Iranian threat group that has been targeting Israeli interests, especially the shipping industry.
## Information:

+ Link: https://www.securityweek.com/iranian-group-targeting-israeli-shipping-and-other-key-sectors
+ Source: SecurityWeek
+ Author: Kevin Townsend
+ Date published: 17 August 2022, 13:00
+ Date scraped: 17 August 2022, 13:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Although the group’s targeting is regionally focused on Israel, some of the targets are global organizations – meaning there could be a ripple effect across other regions. The primary targets are government, shipping, energy, aviation and healthcare sectors.


There is a strong focus on Israeli shipping. “While we believe this actor is focused on intelligence collection,” say the researchers in an [analysis](https://www.mandiant.com/resources/suspected-iranian-actor-targeting-israeli-shipping), “the collected data may be leveraged to support various activities, from hack-and-leak, to enabling kinetic warfare attacks like those that have plagued the shipping industry in recent years.”


UNC3890’s initial access has been via watering holes and credential harvesting. The latter used the group’s C2 servers masquerading as legitimate services to harvest credentials and send phishing lures. The servers host domains and fake login pages spoofing legitimate services such as Office 365, social networks such as LinkedIn and Facebook, and deliver fake job offers and fake commercials. The researchers also found a UNC3890 server containing scraped Facebook and Instagram details that could have been used in social engineering attacks.


One possible phishing lure used by the attackers is likely to have been a .xls file disguised as a job offer but designed to install Sugardump – one of two unique tools being used by the threat group. Sugardump is a credential harvesting tool able to extract passwords from Chromium-based browsers.


The second tool is Sugarush, a backdoor used to establish a connection with an embedded C2 and to execute CMD commands. Other tools used by UNC3890 include Unicorn (a tool for conducting a PowerShell downgrade attack and to inject a shellcode into memory), Metasploit, and Northstar C2 (an open-source C2 framework developed for penetration testing and red teaming).


Several versions of Sugardump have been found. The earliest dates to early 2021, with two variants. This first version stores credentials without exfiltrating them. It could be an unfinished malware or was designed to operate with other tools for the exfiltration process.


The second version dates to late 2021 or early 2022, using SMTP for C2 communication, and Yahoo, Yandex and Gmail addresses for exfiltration. The researchers also note a connection with a specific phishing lure: a social engineering video containing a commercial for an AI-driven robotic doll.


![AI Robotic Doll](https://www.securityweek.com/sites/default/files/features/AI_Robotic-Doll.png "AI Robotic Doll")


This version has more sophisticated credential stealing capabilities, and is able to extract from Firefox, Chrome, Opera and Edge browsers before exfiltration.


The third version dates to April 2022. It uses HTTP for communication and is associated with a fake NexisLexis job offer as its lure. This lure is delivered as an XLS file containing a macro that attempts to execute an embedded PE file. Collected data is encrypted with AES using the SHA256 of an embedded password as the encryption key. The password contains the word Khoda, which means God in Farsi – and further suggests that the developer is Farsi-speaking. The .NET project for the version was named ‘yaal’, which is the Farsi term for a horse’s mane.


The researchers describe Sugarush as ‘a small but efficient backdoor’ that establishes a reverse shell over TCP. It checks for internet connectivity. If the connectivity exists, Sugarush establishes a new TCP connection to an embedded C&C address via port 4585, and waits for an answer. The answer is interpreted as a CMD command for execution.


The combination of clues found within the code and the focus on Israeli targets leads Mandiant to suggest with ‘moderate confidence’ that UNC3890 is a potentially new threat group linked to Iran.


**Related**: [Disruptive Cyberattacks on NATO Member Albania Linked to Iran](https://www.securityweek.com/disruptive-cyberattacks-nato-member-albania-linked-iran)


**Related**: [Iran Blames Israel for Sabotage at Natanz Nuclear Site](https://www.securityweek.com/iran-blames-israel-sabotage-natanz-nuclear-site)


**Related**: [Israel Blocks Iran Cyber-attacks 'Daily': Netanyahu](https://www.securityweek.com/israel-blocks-iran-cyber-attacks-daily-netanyahu)


**Related**: [Nazar: Old Iran-Linked APT Operation Monitored by NSA](https://www.securityweek.com/nazar-old-iran-linked-apt-operation-monitored-nsa)


 


## Tags:


### Autogenerated tags:
[[c2]] [[unc3890]] [[phishing]] [[sugardump]] [[sugarush]]
