# Microsoft Releases Open Source Tool for Securing MikroTik Routers
## Microsoft has released an open source tool that can be used to secure MikroTik routers and check for signs of Trickbot malware.
## Information:

+ Link: https://www.securityweek.com/microsoft-releases-open-source-tool-securing-mikrotik-routers
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 17 March 2022, 17:00
+ Date scraped: 17 March 2022, 17:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


TrickBot is a piece of malware that has been around since 2016. It was initially a banking trojan designed to steal financial data, but it has evolved into a modular stealer that can target a wide range of information.


Some researchers believe the malware has [reached its limits](https://www.securityweek.com/conti-ransomware-acquires-trickbot-it-thrives-amid-crackdowns) — the vast amount of available IoCs make it easy to detect — and that its development team has been “acquired” by the notorious Conti ransomware group.


However, the malware appears to be operational, with some cybersecurity firms still seeing significant campaigns aimed at the customers of tens of high-profile companies.


Trickbot operators have been [abusing MikroTik routers](https://orangecyberdefense.com/uk/blog/cyberdefense/the-trickbot-and-mikrotik-connection/) for command and control (C&C) purposes for a long time, leveraging them as proxies for C&C servers in an effort to evade detection. Trickbot’s abuse of MikroTik products was highlighted back in 2020, after the [malware survived a takedown](https://www.securityweek.com/trickbot-gets-updated-survive-takedown-attempts) attempt led by Microsoft.


Microsoft now says its researchers have determined exactly how MikroTik routers are abused and the tech giant has created a tool that can be used to check these devices for signs of Trickbot-related hacking.


According to Microsoft, the attackers first compromise MikroTik routers, typically by using default passwords, through brute-force attacks, or by exploiting an old vulnerability to read a file that contains passwords.


“The attackers then issue a unique command that redirects traffic between two ports in the router, establishing the line of communication between Trickbot-affected devices and the C2,” Microsoft [explained](https://www.microsoft.com/security/blog/2022/03/16/uncovering-trickbots-use-of-iot-devices-in-command-and-control-infrastructure/). “MikroTik devices have unique hardware and software, RouterBOARD and RouterOS. This means that to run such a command, the attackers need expertise in RouterOS SSH shell commands.”


The open source tool made available by Microsoft this week has been named RouterOS Scanner and it has been described as a forensics tool for MikroTik devices. The tool can look for weaknesses and suspicious properties that could indicate the device has been compromised.


Specifically, the tool checks the device version and maps it to known vulnerabilities. It also looks for scheduled tasks, traffic redirection rules, DNS cache poisoning, default port changes, non-default users, suspicious files, as well as proxy, SOCKS and firewall rules.


[The tool’s source code](https://github.com/microsoft/routeros-scanner) is available on GitHub.





 


## Tags:


### Autogenerated tags:
[[mikrotik]] [[microsoft]] [[malware]] [[trickbot]] [[routeros]]
