# 3CX Supply Chain Attack — Here's What We Know So Far
## 3CX, has confirmed that multiple versions of its desktop app for Windows and macOS have been affected by a supply chain attack.
## Information:

+ Link: https://thehackernews.com/2023/03/3cx-supply-chain-attack-heres-what-we.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 31 March 2023, 09:37
+ Date scraped: 31 March 2023, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh61NC2LeNHnL7VCXbTQpyj2j0kCZkVU82sxQqWGXf_mb1AzIScS8sUnH2Sd-q74EmFts7ONz4U76aL8bU_aRVHFLL99QN36AxQBcy2DzB_uYLp47t91a4SHwgLHalZkxp1fYLOkz8BXFhEax_OLFGT-xkmYELOPUh4X1SMUxBJTiebLPBVJh1CF1Gd/s728-e3650/3cx.png)


Enterprise communications software maker 3CX on Thursday confirmed that multiple versions of its desktop app for Windows and macOS are affected by a [supply chain attack](https://thehackernews.com/2023/03/3cx-desktop-app-targeted-in-supply.html).


The version numbers include **18.12.407 and 18.12.416** for Windows and **18.11.1213, 18.12.402, 18.12.407, and 18.12.416** for macOS.


The company said it's engaging the services of Google-owned Mandiant to review the incident. In the interim, it's urging its customers of self-hosted and on-premise versions of the software to update to version 18.12.422.


"3CX Hosted and StartUP users do not need to update their servers as we will be updating them over the night automatically," 3CX CEO Nick Galea [said](https://www.3cx.com/blog/news/desktopapp-security-alert-updates/) in a post on Thursday. "Servers will be restarted and the new Electron App MSI/DMG will be installed on the server."


Evidence available so far points to either a compromise of 3CX's software build pipeline to distribute Windows and macOS versions of the app package, or alternatively, the poisoning of an upstream dependency. The scale of the attack is currently unknown.


The earliest period of potentially malicious activity is said to have been detected on or around March 22, 2023, according to a [post on the 3CX forum](https://www.3cx.com/community/threads/threat-alerts-from-sentinelone-for-desktop-update-initiated-from-desktop-client.119806/), although preparations for the campaign are said to have commenced no later than February 2022.


3CX [said](https://www.3cx.com/community/threads/3cx-desktopapp-security-alert.119951/post-559059) the [initial alert](https://www.3cx.com/community/threads/3cx-desktopapp-security-alert-mandiant-appointed-to-investigate.119973/post-559381) flagging a potential security problem in its app last week was treated as a "false positive" owing to the fact that none of the antivirus engines on VirusTotal labeled it as suspicious or malware.


The [Windows version of the attack](https://blog.checkpoint.com/2023/03/29/3cxdesktop-app-trojanizes-in-a-supply-chain-attack-check-point-customers-remain-protected/) leveraged a technique called DLL side-loading to load a rogue library referred to as "ffmpeg.dll" that's designed to read encrypted shellcode from another DLL called "d3dcompiler\_47.dll."


[![3CX Supply Chain Attack](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjvb_5Mjd7Foe7EsweTsUa9ozcj-nHZmGkpIbahiJGKIKRuLZ_hFWLv-fOZGjzr34zyFX4LrbqriLKGMwezn_rwbueKdjT3IVzg2scHkQn_0UFzQh4K2xDXQH8BxLAwWw3KjiQ6SB-m_xYlP1-fFXiyuEUEEc9CsA9jeYjPBxt14nY27Xd3K0bmbumR/s728-e365/malware-download.png)
This involved accessing a GitHub repository to retrieve an ICO file containing URLs hosting the final-stage payload, an information stealer (dubbed [ICONIC Stealer](https://www.volexity.com/blog/2023/03/30/3cx-supply-chain-compromise-leads-to-iconic-incident/) or [SUDDENICON](https://www.elastic.co/security-labs/elastic-users-protected-from-suddenicon-supply-chain-attack)) capable of harvesting system information and sensitive data stored in web browsers.


"The choice of these two DLLs – ffmpeg and d3dcompiler\_47 – by the threat actors behind this attack was no accident," ReversingLabs security researcher Karlo Zanki [said](https://www.reversinglabs.com/blog/red-flags-fly-over-supply-chain-compromised-3cx-update).


"The target in question, 3CXDesktopApp, is built on the Electron open source framework. Both of the libraries in question usually ship with the Electron runtime and, therefore, are unlikely to raise suspicion within customer environments."


![3CX Supply Chain Attack](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)
The macOS attack chain, in the same vein, bypassed Apple's notarization checks to download an unknown payload from a command-and-control (C2) server that's currently unresponsive.


"The macOS version does not use GitHub to retrieve its C2 server," Volexity [said](https://www.volexity.com/blog/2023/03/30/3cx-supply-chain-compromise-leads-to-iconic-incident/), which is tracking the activity under the cluster UTA0040. "Instead, a list of C2 servers is stored in the file encoded with a single byte XOR key, 0x7A."


Cybersecurity firm CrowdStrike, in an advisory of its own, has attributed the attack with high confidence to Labyrinth Chollima (aka [Nickel Academy](https://www.secureworks.com/research/threat-profiles?filter=item-north-korea)), a North Korea-aligned state-sponsored actor.


"The activity, which targets many organizations across a broad range of verticals without any obvious patterns, has been attributed to Labyrinth Chollima based on observed network infrastructure uniquely associated with that adversary, similar installation techniques, and a reused RC4 key," Adam Meyers, senior vice president of intelligence at CrowdStrike, told The Hacker News.


"The trojanized 3CX applications invoke a variant of ArcfeedLoader, malware uniquely attributed to Labyrinth Chollima."


Labyrinth Chollima, per the Texas-based company, is a subset of the [Lazarus Group](https://thehackernews.com/2023/03/north-korean-unc2970-hackers-expands.html), which also constitutes [Silent Chollima](https://thehackernews.com/2022/11/north-korean-hackers-targeting-europe.html) (aka Andariel or Nickel Hyatt) and [Stardust Chollima](https://thehackernews.com/2022/12/bluenoroff-apt-hackers-using-new-ways.html) (aka BlueNoroff or Nickel Gladstone).


The group "has been active at least since 2009 and typically tries to generate revenue by targeting crypto and financial organizations," Meyers said, adding it's "likely affiliated with Bureau 121 of the DPRK's Reconnaissance General Bureau ([RGB](https://www.mandiant.com/resources/blog/mapping-dprk-groups-to-government)) and primarily conducts espionage operations and revenue generation schemes."


  





## Tags:


### Autogenerated tags:
[[3cx]] [[chollima]] [[macos]] [[windows]] [[c2]]
