# 8220 Gang Exploiting Oracle WebLogic Flaw to Hijack Servers and Mine Cryptocurrency
## 8220 Hackers are exploiting a six-year-old critical security flaw in Oracle WebLogic servers to build a botnet for crypto mining.
## Information:

+ Link: https://thehackernews.com/2023/05/8220-gang-exploiting-oracle-weblogic.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 18 May 2023, 15:01
+ Date scraped: 18 May 2023, 11:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEizlh5mMqULGZoEUCSUsIGyrfUbX7pDgNnO0QGjYLR34RYFpT7725uwKCJ2-ZzmnzN2a86A0-jOxUWvF3QBi4wgKoMWaXPXOmBZyLYDrBvlzvOPtzidIZRxvfwoQ0Ewkf3WZRA06l4IaBb_ym3vgS1wFJgwlvxlkTgUpPHT_s_PU_jt_aq3sjJ1Nr5P/s728-e3650/oracle.png)


The notorious cryptojacking group tracked as **8220 Gang** has been spotted weaponizing a six-year-old security flaw in Oracle WebLogic servers to ensnare vulnerable instances into a botnet and distribute cryptocurrency mining malware.


The flaw in question is [CVE-2017-3506](https://nvd.nist.gov/vuln/detail/CVE-2017-3506) (CVSS score: 7.4), which, when successfully exploited, could allow an unauthenticated attacker to execute arbitrary commands remotely.


"This allows attackers to gain unauthorized access to sensitive data or compromise the entire system," Trend Micro researcher Sunil Bharti [said](https://www.trendmicro.com/en_us/research/23/e/8220-gang-evolution-new-strategies-adapted.html) in a report published this week.


8220 Gang, [first documented](https://blog.talosintelligence.com/2018/12/cryptomining-campaigns-2018.html) by Cisco Talos in late 2018, is so named for its original use of port 8220 for command-and-control (C2) network communications.


"8220 Gang identifies targets via scanning for misconfigured or vulnerable hosts on the public internet," SentinelOne [noted](https://www.sentinelone.com/blog/8220-gang-cloud-botnet-targets-misconfigured-cloud-workloads/) last year. "8220 Gang is known to make use of SSH brute force attacks post-infection for the purposes of lateral movement inside a compromised network."


Earlier this year, Sydig [detailed](https://thehackernews.com/2023/03/new-scrubcrypt-crypter-used-in.html) attacks mounted by the "low-skill" crimeware group between November 2022 and January 2023 that aim to breach vulnerable Oracle WebLogic and Apache web servers and deploy a cryptocurrency miner.


[![Cryptocurrency](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjsrkw0SZH6Ikq0Z9DLG0U33w-XB7-yh2b3sMcZVNJgleN1_awQiDo0ZACvSPRAJdWbMXLnsw8DZfcjmyqjWH8KM0xTQ10cKWVnuJrEtKanSIMv8YMa27dxSEqLE3DHsEY9qJUJY9Xdnqjet58z3Gkn7np_XhG4rEeNPlqyRerUqg7CCi8D-YJ3a0Ml/s728-e365/tm.png)
It has also been observed making use of an off-the-shelf malware downloader known as [PureCrypter](https://thehackernews.com/2023/02/purecrypter-malware-targets-government.html) as well as a crypter codenamed [ScrubCrypt](https://thehackernews.com/2023/03/new-scrubcrypt-crypter-used-in.html) to conceal the miner payload and evade detection by security software.


In the latest attack chain documented by Trend Micro, the Oracle WebLogic Server vulnerability is leveraged to deliver a PowerShell payload, which is then used to create another obfuscated PowerShell script in memory.


This newly created PowerShell script disables Windows Antimalware Scan Interface ([AMSI](https://learn.microsoft.com/en-us/windows/win32/amsi/antimalware-scan-interface-portal)) detection and launches a Windows binary that subsequently reaches out to a remote server to retrieve a "meticulously obfuscated" payload.


The intermediate DLL file, for its part, is configured to download a cryptocurrency miner from one of the three C2 servers – 179.43.155[.]202, work.letmaker[.]top, and su-94.letmaker[.]top – using TCP ports 9090, 9091, or 9092.


Trend Micro said recent attacks have also entailed the misuse of a legitimate Linux tool called [lwp-download](https://linux.die.net/man/1/lwp-download) to save arbitrary files on the compromised host.


"lwp-download is a Linux utility present in a number of platforms by default, and 8220 Gang making this a part of any malware routine can affect a number of services even if it were reused more than once," Bharti said.


"Considering the threat actor's tendency to reuse tools for different campaigns and abuse legitimate tools as part of the arsenal, organizations' security teams might be challenged to find other detection and blocking solutions to fend off attacks that abuse this utility."



  





## Tags:
***CVE's***: CVE-2017-3506
***ipv4-adresses***: 179.43.155.202
***urls***: http://su-94.letmaker.top http://179.43.155.202 http://work.letmaker.top

### Autogenerated tags:
[[weblogic]] [[malware]] [[powershell]]
