# APT28 Hacker Group Targeting Europe, Americas, Asia in Widespread Phishing Scheme
## IBM X-Force uncovers extensive phishing campaigns by APT28, targeting Europe, the South Caucasus, Central Asia, and the Americas.
## Information:

+ Link: https://thehackernews.com/2024/03/apt28-hacker-group-targeting-europe.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 18 March 2024, 11:29
+ Date scraped: 18 March 2024, 06:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgqe0EvlLkqNz_YZrCaOQgCe2Hy0X9JqpepUDoKvETFgV0QKVJDgPCZCHrEDUc7s0iF4pqZvb5ImyX4MRRiQpDtW2w_2nuFAvj3A49BoUH_WtrOUAM-h3wkfvPO0u-b25WHXMWBPUhoKbYrRlI2UEep5P9f3EiAEV2QCsk8-GFiQSK7rxiwAXAky8Px5Tvz/s728-rw-e365/phishing.jpg)


The Russia-linked threat actor known as **APT28** has been linked to multiple ongoing phishing campaigns that employ lure documents imitating government and non-governmental organizations (NGOs) in Europe, the South Caucasus, Central Asia, and North and South America.


"The uncovered lures include a mixture of internal and publicly available documents, as well as possible actor-generated documents associated with finance, critical infrastructure, executive engagements, cyber security, maritime security, healthcare, business, and defense industrial production," IBM X-Force [said](https://securityintelligence.com/x-force/itg05-leverages-malware-arsenal/) in a report published last week.


The tech company is tracking the activity under the moniker [ITG05](https://thehackernews.com/2024/02/cybersecurity-agencies-warn-ubiquiti.html), which is also known as Blue Athena, BlueDelta, Fancy Bear, Fighting Ursa, Forest Blizzard (formerly Strontium), FROZENLAKE, Iron Twilight, Pawn Storm, Sednit, Sofacy, TA422, and UAC-028.


The disclosure comes more than three months after the adversary was spotted using decoys related to the ongoing Israel-Hamas war to deliver a custom backdoor dubbed [HeadLace](https://thehackernews.com/2023/12/russian-apt28-hackers-targeting-13.html).


APT28 has since also targeted Ukrainian government entities and Polish organizations with phishing messages designed to deploy bespoke implants and information stealers like [MASEPIE, OCEANMAP, and STEELHOOK](https://thehackernews.com/2023/12/cert-ua-uncovers-new-malware-wave.html).


Other campaigns have entailed the [exploitation of security flaws](https://thehackernews.com/2024/02/russian-apt28-hackers-targeting-high.html) in Microsoft Outlook ([CVE-2023-23397](https://thehackernews.com/2023/12/microsoft-warns-of-kremlin-backed-apt28.html), CVSS score: 9.8) to plunder NT LAN Manager (NTLM) v2 hashes, raising the possibility that the threat actor may leverage other weaknesses to exfiltrate NTLMv2 hashes for use in relay attacks.


[![Widespread Phishing Scheme](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiv9cYVmEedercw8hpXTvhUn73cEDD-hsE5RwRbzTPNjJ7FFZzLYtXBWohw1rLcp_HzcCd7IhCT09v8_Zmhw_9yzSDJFUc2_gixNOW_zJrdSJVNI2_qGaOS59bz24u6C3wWDKOMPltOYTk48PpKGQPrD3exGYCwDviekvQUJ564YdZ0diX3Y4G0BoO26MwO/s728-rw-e365/email.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiv9cYVmEedercw8hpXTvhUn73cEDD-hsE5RwRbzTPNjJ7FFZzLYtXBWohw1rLcp_HzcCd7IhCT09v8_Zmhw_9yzSDJFUc2_gixNOW_zJrdSJVNI2_qGaOS59bz24u6C3wWDKOMPltOYTk48PpKGQPrD3exGYCwDviekvQUJ564YdZ0diX3Y4G0BoO26MwO/s728-rw-e365/email.jpg)
The latest campaigns observed by IBM X-Force between late November 2023 and February 2024 leverage the ["search-ms:" URI protocol handler](https://thehackernews.com/2023/07/hackers-abusing-windows-search-feature.html) in Microsoft Windows to trick victims into downloading malware hosted on actor-controlled WebDAV servers.


There is evidence to suggest that both the WebDAV servers, as well as the MASEPIE C2 servers, may be hosted on [compromised Ubiquiti routers](https://thehackernews.com/2024/02/us-government-disrupts-russian-linked.html), a botnet comprising which was taken down by the U.S. government last month.


The phishing attacks impersonate entities from several countries such as Argentina, Ukraine, Georgia, Belarus, Kazakhstan, Poland, Armenia, Azerbaijan, and the U.S., putting to use a mix of authentic publicly available government and non-government lure documents to activate the infection chains.


"In an update to their methodologies, ITG05 is utilizing the freely available hosting provider, firstcloudit[.]com to stage payloads to enable ongoing operations," security researchers Joe Fasulo, Claire Zaboeva, and Golo Mühr said.


The climax of APT28's elaborate scheme ends with the execution of MASEPIE, OCEANMAP, and STEELHOOK, which are designed to exfiltrate files, run arbitrary commands, and steal browser data. OCEANMAP has been characterized as a more capable version of CredoMap, another backdoor previously identified as used by the group.


"ITG05 remains adaptable to changes in opportunity by delivering new infection methodologies and leveraging commercially available infrastructure, while consistently evolving malware capabilities," the researchers concluded.


  





## Tags:
***CVE's***: CVE-2023-23397
***urls***: http://firstcloudit.com

### Autogenerated tags:
[[apt28]] [[phishing]] [[itg05]] [[masepie]] [[oceanmap]]
