# "Activator" Alert: MacOS Malware Hides in Cracked Apps, Targeting Crypto Wallets
## Malicious "Activator" booby-traps DMG files on macOS, tricking users into granting admin access. It then steals crypto wallet data and system info.
## Information:

+ Link: https://thehackernews.com/2024/01/activator-alert-macos-malware-hides-in.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 23 January 2024, 17:57
+ Date scraped: 23 January 2024, 13:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiYWoV1FgwGyNfx8eL0pQI5u9lGLnQM2NWnA5Q9YcuipJwnYn2sb9-AqUR7vkGWkkbgwlksmfmeX2Tyjqhi8_vElP1xFzCkDkH1aZPj9vUIC_UR5bujhl863DFHlOFLuMNlhrYrgiCRqXfVFNu1qVJEF40TDGfJHiyuqM3xA26gUH6q_BLDwKIpSUCBqR3O/s728-rw-ft-e30/macos.jpg)


Cracked software have been observed infecting Apple macOS users with a previously undocumented stealer malware capable of harvesting system information and cryptocurrency wallet data.


Kaspersky, which identified the artifacts in the wild, [said](https://securelist.com/new-macos-backdoor-crypto-stealer/111778/) they are designed to target machines running macOS Ventura 13.6 and later, indicating the malware's ability to infect Macs on both Intel and Apple silicon processor architectures.


The attack chains leverage booby-trapped disk image (DMG) files that include a program named "Activator" and a pirated version of legitimate software such as xScope.


Users who end up opening the DMG files are urged to move both files to the Applications folder and run the Activator component to apply a supposed patch and run the xScope app.


Launching Activator, however, displays a prompt asking the victim to enter the system administrator password, thereby allowing it to execute a Mach-O binary with elevated permissions in order to launch the modified xScope executable.


"The trick was that the malicious actors had taken pre-cracked application versions and added a few bytes to the beginning of the executable, thus disabling it to make the user launch Activator," security researcher Sergey Puzan said.


The next stage entails establishing contact with a command-and-control (C2) server to fetch an encrypted script. The C2 URL, for its part, is constructed by combining words from two hard-coded lists and adding a random sequence of five letters as a [third-level domain name](https://en.wikipedia.org/wiki/Domain_name#Second-level_and_lower_level_domains).


[![Crypto Wallets](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhTbU8KiR8IC0aO57oZDufWGuo03cUbheHgtJ4RNaTcs26xxrMRWbKkRLUMr03eBU-PYRwRx11fxp2tCSsl84lzG6Ar3zmnX6cJLhTYYP99qTgt7VEvV7ugcfGZA2jA0LNUV5nznPQPktnieU6gWXRvfVV74Kcz0t3wesKskaOPg5jSiDtD5BYDIbgkgedq/s728-rw-ft-e30/code.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhTbU8KiR8IC0aO57oZDufWGuo03cUbheHgtJ4RNaTcs26xxrMRWbKkRLUMr03eBU-PYRwRx11fxp2tCSsl84lzG6Ar3zmnX6cJLhTYYP99qTgt7VEvV7ugcfGZA2jA0LNUV5nznPQPktnieU6gWXRvfVV74Kcz0t3wesKskaOPg5jSiDtD5BYDIbgkgedq/s728-rw-ft-e30/code.jpg)
A DNS request for this domain is then sent to retrieve three [DNS TXT records](https://www.cloudflare.com/learning/dns/dns-records/dns-txt-record/), each containing a Base64-encoded ciphertext fragment that is decrypted and assembled to construct a Python script, which, in turn, establishes persistence and functions as a downloader by reaching out to "apple-health[.]org" every 30 seconds to download and execute the main payload.


"This was a fairly interesting and unusual way of contacting a command-and-control server and hiding activity inside traffic, and it guaranteed downloading the payload, as the response message came from the DNS server," Puzan explained, describing it as "seriously ingenious."


The backdoor, actively maintained and updated by the threat actor, is designed to run received commands, gather system metadata, and check for the presence of Exodus and Bitcoin Core wallets on the infected host.


If found, the applications are replaced by trojanized versions downloaded from the domain "apple-analyser[.]com" that are equipped to exfiltrate the seed phrase, wallet unlock password, name, and balance to an actor-controlled server.


"The final payload was a backdoor that could run any scripts with administrator privileges, and replace Bitcoin Core and Exodus crypto wallet applications installed on the machine with infected versions that stole secret recovery phrases the moment the wallet was unlocked," Puzan said.


The development comes as cracked software is increasingly becoming a conduit to compromise macOS users with a variety of malware, including [Trojan-Proxy](https://thehackernews.com/2023/12/mac-users-beware-new-trojan-proxy.html) and [ZuRu](https://thehackernews.com/2024/01/experts-warn-of-macos-backdoor-hidden.html).


  





## Tags:
***urls***: http://apple-analyser.com http://apple-health.org

### Autogenerated tags:
[[macos]] [[malware]] [[xscope]] [[puzan]] [[dns]]
