# Agent Racoon Backdoor Targets Organizations in Middle East, Africa, and U.S.
## A mysterious malware called Agent Racoon is infiltrating organizations in the Middle East, Africa, and the U.S.
## Information:

+ Link: https://thehackernews.com/2023/12/agent-racoon-backdoor-targets.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 02 December 2023, 13:59
+ Date scraped: 02 December 2023, 09:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjeIxPVMfoOVIcgK2ePpI1S1dPGG1SfZIbHcWCx4O5NKgUYRPWj_NBTfiU-zn-Pqr5GvXP1bDU_-m7FK0LZcvgG3qMPYI-xZLhILPMU5UNEIsf1M-GfcVognfSGXx_lqMFh28jsJWUqch02VRuQQ_Nq2x7v1D1H0NGb05d42Fw_wf_CkVnsWm8I0QvI5tu3/s728-rw-ft-e30/malware.jpg)


Organizations in the Middle East, Africa, and the U.S. have been targeted by an unknown threat actor to distribute a new backdoor called **Agent Racoon**.


"This malware family is written using the .NET framework and leverages the domain name service (DNS) protocol to create a covert channel and provide different backdoor functionalities," Palo Alto Networks Unit 42 researcher Chema Garcia [said](https://unit42.paloaltonetworks.com/new-toolset-targets-middle-east-africa-usa/) in a Friday analysis.


Targets of the attacks span various sectors such as education, real estate, retail, non-profits, telecom, and governments. The activity has not been attributed to a known threat actor, although it's assessed to be a nation-state aligned owing to the victimology pattern and the detection and defense evasion techniques used.


The cybersecurity firm is tracking the cluster under the moniker CL-STA-0002. It's currently not clear how these organizations were breached, and when the attacks took place.


Some of the other tools deployed by the adversary include a customized version of Mimikatz called Mimilite as well as a new utility called Ntospy, which utilizes a custom DLL module implementing a [network provider](https://learn.microsoft.com/en-us/windows/win32/secauthn/network-provider-api) to steal credentials to a remote server.


"While the attackers commonly used Ntospy across the affected organizations, the Mimilite tool and the Agent Racoon malware have only been found in nonprofit and government-related organizations' environments," Garcia explained.


[![Agent Racoon](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh7akrk4TX5wrIrrbWHojFBFAS-ZT2p1kx8TUGXcGJYZv-m_GCjriyXfV8GriUzPwboqwjnarlYzRBEYQwTaUcb3i6Hqz-ek_gQDoPuDkWnj31tkxSrq-kFhVJ_VxK-DYgpIMWSaJ2o9nk9C24zh5bHYuVb8bPm_XNPHvP-Kds6E1C1H3IbRw8e1eRJ5Uf4/s728-rw-ft-e30/hacker.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh7akrk4TX5wrIrrbWHojFBFAS-ZT2p1kx8TUGXcGJYZv-m_GCjriyXfV8GriUzPwboqwjnarlYzRBEYQwTaUcb3i6Hqz-ek_gQDoPuDkWnj31tkxSrq-kFhVJ_VxK-DYgpIMWSaJ2o9nk9C24zh5bHYuVb8bPm_XNPHvP-Kds6E1C1H3IbRw8e1eRJ5Uf4/s728-rw-ft-e30/hacker.jpg)
It's worth pointing out a previously identified threat activity cluster known as [CL-STA-0043](https://thehackernews.com/2023/06/state-backed-hackers-employ-advanced.html) has also been linked to the use of Ntospy, with the adversary also targeting two organizations that have been targeted by CL-STA-0002.


Agent Raccoon, executed by means of scheduled tasks, allows for command execution, file uploading, and file downloading, while disguising itself as Google Update and Microsoft OneDrive Updater binaries.


The command-and-control (C2) infrastructure used in connection with the implant dates back to at least August 2020. An examination of VirusTotal submissions of the Agent Racoon artifacts shows that the earliest sample was uploaded in July 2022.


Unit 42 said it also uncovered evidence of successful data exfiltration from Microsoft Exchange Server environments, resulting in the theft of emails matching different search criteria. The threat actor has also been found to harvest victims' [Roaming Profile](https://learn.microsoft.com/en-us/windows-server/storage/folder-redirection/folder-redirection-rup-overview).


"This tool set is not yet associated with a specific threat actor, and not entirely limited to a single cluster or campaign," Garcia said.


  





## Tags:


### Autogenerated tags:
[[garcia]] [[ntospy]]
