# Alert: Hackers Exploit Barracuda Email Security Gateway 0-Day Flaw for 7 Months
## Critical zero-day flaw exploited for 7 months! Backdoor access, data exfiltration, and 3 potent malware strains discovered.
## Information:

+ Link: https://thehackernews.com/2023/05/alert-hackers-exploit-barracuda-email.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 31 May 2023, 10:55
+ Date scraped: 31 May 2023, 06:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjkYU2QtWAYniRwRVyKx17M8VxzSnq0axs-kfURc2HttOPC5IZfOESTCZfNWaNrLWqilHHXYWV2pv0pXCRg1-FP6xKFJCEZ76tBazjNl7IgFBx-D1_Pdbuehgouxnok5eOaI0yLd2RPY2HWHPVwk2LoH2jOK0RqHjEQanVerjR1HfSNLK5xXW3iAWXL/s728-e3650/barracuda-email.jpg)


Enterprise security firm Barracuda on Tuesday disclosed that a recently patched zero-day flaw in its Email Security Gateway (ESG) appliances had been abused by threat actors since October 2022 to backdoor the devices.


The latest [findings](https://status.barracuda.com/incidents/34kx82j5n4q9) show that the [critical vulnerability](https://thehackernews.com/2023/05/barracuda-warns-of-zero-day-exploited.html), tracked as [CVE-2023-2868](https://nvd.nist.gov/vuln/detail/CVE-2023-2868) (CVSS score: N/A), has been actively exploited for at least seven months prior to its discovery.


The flaw, which Barracuda identified on May 19, 2023, affects versions 5.1.3.001 through 9.2.0.006 and could allow a remote attacker to achieve code execution on susceptible installations. Patches were released by Barracuda on May 20 and May 21.


"CVE-2023-2868 was utilized to obtain unauthorized access to a subset of ESG appliances," the network and email security company [said](https://www.barracuda.com/company/legal/esg-vulnerability) in an updated advisory.


"Malware was identified on a subset of appliances allowing for persistent backdoor access. Evidence of data exfiltration was identified on a subset of impacted appliances."


Three different malware strains have been discovered to date -


* **SALTWATER** - A trojanized module for the Barracuda SMTP daemon (bsmtpd) that's equipped to upload or download arbitrary files, execute commands, as well as proxy and tunneling malicious traffic to fly under the radar.


* **SEASPY** - An x64 ELF backdoor that offers persistence capabilities and is activated by means of a magic packet.


* **SEASIDE** - A Lua based module for bsmtpd establish reverse shells via SMTP HELO/EHLO commands sent via the malware's command-and-control (C2) server.


Source code overlaps have been identified between SEASPY and [cd00r](https://github.com/aaaaaaaannn/cd00r.c), according to Google-owned Mandiant, which is investigating the incident. The attacks have not been attributed to a known threat actor or group.


 UPCOMING WEBINAR Zero Trust + Deception: Learn How to Outsmart Attackers! Discover how Deception can detect advanced threats, stop lateral movement, and enhance your Zero Trust strategy. Join our insightful webinar!

 [Attend for Free](https://thn.news/z-inside-2).ad-button,.ad-label,.ad-label:after{display:inline-block}.ad\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.ad-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.ad-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.ad-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.ad-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.ad-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
The U.S. Cybersecurity and Infrastructure Security Agency (CISA), last week, also [added](https://thehackernews.com/2023/05/barracuda-warns-of-zero-day-exploited.html) the bug to its Known Exploited Vulnerabilities (KEV) catalog, urging federal agencies to apply the fixes by June 16, 2023.


Barracuda did not disclose how many organizations were breached, but noted they were directly contacted with mitigation guidance. It also warned that the ongoing probe may unearth additional users.



  





## Tags:
***CVE's***: CVE-2023-2868

### Autogenerated tags:
[[malware]]
