# Alert: New Phishing Attack Delivers Keylogger Disguised as Bank Payment Notice
## New phishing campaign uncovered by Trustwave SpiderLabs uses novel malware to deploy Agent Tesla, a notorious information stealer and keylogger.
## Information:

+ Link: https://thehackernews.com/2024/03/alert-new-phishing-attack-delivers.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 27 March 2024, 13:26
+ Date scraped: 27 March 2024, 08:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiV18NyZbP3b9rxeU8wmsI9pvzxLNmF00sXB_hucLQWeMRoiuJ2bXscbdqvCwmlU02ls3-6YiZ5onI4Ai7nStga3nj6O2I2JVRBuTxiENU1HnA9_IPAZzqPrvR9_MZ27xH4lK01iMrC2VRDXTd6rDnCnFltrJqZnvpfN5eBuQMbpKGQFI5krI81GqPWxgMM/s728-rw-e365/payment.jpg)


A new phishing campaign has been observed leveraging a novel loader malware to deliver an information stealer and keylogger called [Agent Tesla](https://thehackernews.com/2023/12/hackers-exploiting-old-ms-excel.html).


Trustwave SpiderLabs said it identified a phishing email bearing this attack chain on March 8, 2024. The message masquerades as a bank payment notification, urging the user to open an archive file attachment.


The archive ("Bank Handlowy w Warszawie - dowód wpłaty\_pdf.tar.gz") conceals a malicious loader that activates the procedure to deploy Agent Tesla on the compromised host.


"This loader then used obfuscation to evade detection and leveraged polymorphic behavior with complex decryption methods," security researcher Bernard Bautista [said](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/agent-teslas-new-ride-the-rise-of-a-novel-loader/) in a Tuesday analysis.


"The loader also exhibited the capability to bypass antivirus defenses and retrieved its payload using specific URLs and user agents leveraging proxies to further obfuscate traffic."


The tactic of embedding malware within seemingly benign files is a tactic that has been repeatedly employed by threat actors to trick unsuspecting victims into triggering the infection sequence.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
The loader used in the attack is written in .NET, with Trustwave discovering two distinct variants that each make use of a different decryption routine to access its configuration and ultimately retrieve the XOR-encoded Agent Tesla payload from a remote server.


In an effort to evade detection, the loader is also designed to bypass the Windows Antimalware Scan Interface ([AMSI](https://learn.microsoft.com/en-us/windows/win32/amsi/antimalware-scan-interface-portal)), which [offers](https://www.trendmicro.com/en_us/research/22/l/detecting-windows-amsi-bypass-techniques.html) the ability for security software to scan files, memory, and other data for threats. 


It achieves this by "patching the AmsiScanBuffer function to evade malware scanning of in-memory content," Bautista explained.


The last phase involves decoding and executing Agent Tesla in memory, allowing the threat actors to stealthily exfiltrate sensitive data via SMTP using a compromised email account associated with a legitimate security system supplier in Turkey ("merve@temikan[.]com[.]tr").


The approach, Trustwave said, not only does not raise any red flags, but also affords a layer of anonymity that makes it harder to trace the attack back to the adversary, not to mention save the effort of having to set up dedicated exfiltration channels.


"[The loader] employs methods like patching to bypass Antimalware Scan Interface (AMSI) detection and dynamically load payloads, ensuring stealthy execution and minimizing traces on disk," Bautista said. "This loader marks a notable evolution in the deployment tactics of Agent Tesla."


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhZlsJ5xk9qfleerlpcH5qPFSJGGCt1dF2dBzNvw8EjuHKXa-RyPw9aHEoC5cF9lUfeVH1q2R3GuN2knonTIiQllQxAzARdecNFQXafpQ4gFxr81Ui4RNlz3w9uOplJfY7Tu8Gws8lPtgplB5KNCbLikASznqR-yVjlAMCk0uAH2_qlQCYJOcBbun16FTbU/s728-rw-e365/sek.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhZlsJ5xk9qfleerlpcH5qPFSJGGCt1dF2dBzNvw8EjuHKXa-RyPw9aHEoC5cF9lUfeVH1q2R3GuN2knonTIiQllQxAzARdecNFQXafpQ4gFxr81Ui4RNlz3w9uOplJfY7Tu8Gws8lPtgplB5KNCbLikASznqR-yVjlAMCk0uAH2_qlQCYJOcBbun16FTbU/s728-rw-e365/sek.jpg)
The disclosure comes as BlueVoyant [uncovered](https://www.bluevoyant.com/blog/bluevoyant-identifies-novel-threat-actor-campaign) another phishing activity conducted by a cybercrime group called [TA544](https://thehackernews.com/2024/02/hijackloader-evolves-researchers-decode.html) that leverages PDFs dressed up as legal invoices to propagate [WikiLoader](https://thehackernews.com/2023/11/alert-new-wailingcrab-malware-loader.html) (aka WailingCrab) and establish connections with command-and-control (C2) server that almost exclusively encompasses hacked WordPress sites.


It's worth noting that TA544 also [weaponized](https://twitter.com/ffforward/status/1726540034462159165) a Windows security bypass flaw tracked as [CVE-2023-36025](https://thehackernews.com/2024/02/new-mispadu-banking-trojan-exploiting.html) in November 2023 to distribute Remcos RAT via a different loader family dubbed [IDAT Loader](https://thehackernews.com/2024/02/new-idat-loader-attacks-using.html), allowing it to seize control of infected systems.


The findings also follow a surge in the use of a [phishing kit](https://thehackernews.com/2023/08/phishing-as-service-gets-smarter.html) called Tycoon, which Sekoia said has "become one of the most widespread [adversary-in-the-middle] phishing kits over the last few months, with more than 1,100 domain names detected between late October 2023 and late February 2024."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiq3FD_K5jS19OiNrl_zJkHFPA5uRlxhWj-jrr23FY6-XPfhWmbo9d2hGEAU7haozVp8oJP6WDTShcroe-tunJMeq5PVdoOrePEC_-bzW8DlT4Dpp7r5CvIyQxabciMuLITAu8SQT6OeFR8bKOS4GQ32wteZFU8KG6c8a54AY-I7hO5w6Pc-Fzeun9pPY4w/s728-rw-e3650/cis-d.png)](https://thehackernews.uk/cis-hardened-images-platforms)
Tycoon, [publicly documented](https://thehackernews.com/2024/02/banking-trojans-target-latin-america.html) by Trustwave last month, permits cyber criminals to target users of Microsoft 365 with phony login pages to capture their credentials, session cookies, and two-factor authentication (2FA) codes. It's known to be active since at least August 2023, with the service offered via private Telegram channels.


The phishing kit is notable for incorporating extensive traffic filtering methods to thwart bot activity and analysis attempts, requiring site visitors to complete a [Cloudflare Turnstile challenge](https://thehackernews.com/2023/08/cybercriminals-abusing-cloudflare-r2.html) before redirecting users to a credential harvesting page.


Tycoon also shares operational and design-level similarities with the Dadsec OTT phishing kit, raising the possibility that the developers had access to and tweaked the source code of the latter to suit their needs. This is supported by the fact that Dadsec OTT had its source code leaked in October 2023.


"The developer enhanced stealth capabilities in the most recent version of the phishing kit," Sekoia [said](https://blog.sekoia.io/tycoon-2fa-an-in-depth-analysis-of-the-latest-version-of-the-aitm-phishing-kit/). "The recent updates could reduce the detection rate by security products of the Tycoon 2FA phishing pages and the infrastructure. Additionally, its ease of use and its relatively low price make it quite popular among threat actors."


  





## Tags:
***CVE's***: CVE-2023-36025
***email-adresses***: merve@temikan.com.tr
***urls***: http://temikan.com.tr

### Autogenerated tags:
[[phishing]] [[trustwave]] [[malware]] [[bautista]]
