# AllaKore RAT Malware Targeting Mexican Firms with Financial Fraud Tricks
## Mexican banks under attack! Spear-phishing campaign using modified AllaKore RAT targets large companies.
## Information:

+ Link: https://thehackernews.com/2024/01/allakore-rat-malware-targeting-mexican.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 27 January 2024, 12:25
+ Date scraped: 27 January 2024, 07:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEioiQ98hs7UvI1_4fem8UDqDZOgvDM8b5egbsVtn1icEz2xM8XgySi5rvL6CwdECchxRU2h9zDbyDoUt-xmFJKd8apBxW9YKtXvaYQNh3nvX37YYaxNl-1XbKgRoXzk-iDo8G0a9HP0wths2XDjMvYBU-odYJtTye3ls3_olLtyOUUrxtDzpimrWIpeX2I3/s728-rw-ft-e30/bank.jpg)


Mexican financial institutions are under the radar of a new spear-phishing campaign that delivers a modified version of an open-source remote access trojan called [AllaKore RAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.allakore).


The BlackBerry Research and Intelligence Team attributed the activity to an unknown Latin American-based financially motivated threat actor. The campaign has been active since at least 2021.


"Lures use Mexican Social Security Institute (IMSS) naming schemas and links to legitimate, benign documents during the installation process," the Canadian company [said](https://blogs.blackberry.com/en/2024/01/mexican-banks-and-cryptocurrency-platforms-targeted-with-allakore-rat) in an analysis published earlier this week.


"The AllaKore RAT payload is heavily modified to allow the threat actors to send stolen banking credentials and unique authentication information back to a command-and-control (C2) server for the purposes of financial fraud."


The attacks appear to be designed to particularly single out large companies with gross revenues over $100 million. Targeted entities span retail, agriculture, public sector, manufacturing, transportation, commercial services, capital goods, and banking sectors.


The infection chain begins with a ZIP file that's either distributed via phishing or a drive-by compromise, which contains an MSI installer file that drops a .NET downloader responsible for confirming the Mexican geolocation of the victim and retrieving the altered [AllaKore RAT](https://thehackernews.com/2023/05/sidecopy-using-action-rat-and-allakore.html), a Delphi-based RAT first observed in 2015.


"AllaKore RAT, although somewhat basic, has the potent capability to keylog, screen capture, upload/download files, and even take remote control of the victim's machine," BlackBerry said.


The new functions added to the malware by the threat actor include support for commands related to banking fraud, targeting Mexican banks and crypto trading platforms, launching a reverse shell, extracting clipboard content, and fetching and executing additional payloads.


The threat actor's links to Latin America come from the use of Mexico Starlink IPs used in the campaign, as well as the addition of Spanish-language instructions to the modified RAT payload. Furthermore, the lures employed only work for companies that are large enough to report directly to the Mexican Social Security Institute ([IMSS](https://en.wikipedia.org/wiki/Mexican_Social_Security_Institute)) department.


"This threat actor has been persistently targeting Mexican entities for the purposes of financial gain," the company said. "This activity has continued for over two years, and shows no signs of stopping."


The findings come as IOActive [said](https://labs.ioactive.com/2024/01/atm-security-owning-bitcoin-atm.html) it identified three vulnerabilities in the Lamassu Douro bitcoin ATMs (CVE-2024-0175, CVE-2024-0176, and CVE-2024-0177) that could allow an attacker with physical access to take full control of the devices and steal user assets.


The attacks are made possible by exploiting the ATM's software update mechanism and the device's ability to read QR codes to supply their own malicious file and trigger the execution of arbitrary code. The issues were [fixed](https://support.lamassu.is/hc/en-us/articles/20747552619149-Security-update-for-Douros-2023-10-26-) by the Swiss company in October 2023.


  





## Tags:
***CVE's***: CVE-2024-0175 CVE-2024-0176 CVE-2024-0177

### Autogenerated tags:
[[allakore]]
