# Andoryu Botnet Exploits Critical Ruckus Wireless Flaw for Widespread Attack
## A nascent botnet called Andoryu is now exploiting a critical (CVE-2023-25717) vulnerability to hijack Ruckus Wireless AP devices.
## Information:

+ Link: https://thehackernews.com/2023/05/andoryu-botnet-exploits-critical-ruckus.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 11 May 2023, 12:35
+ Date scraped: 11 May 2023, 08:02

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjLV2KzlVXviHYWVz-SL-DBVk-B3J4eZmMUs1BX4E_0ORX_slJ2jfJdtW6H_9MnhV0NFasp4PMpKJrzVe30Y6NK3gwnb0O_1FiGQUZvKazx4RyHuxOQvoIl8-icipUJI7kEsJVdbdYqLw7eBPJIS3OadIOn-fOs-36L9jJnDcAxzPR7pH6gjUyvVoge/s728-e3650/botnet.png)


A nascent botnet called **Andoryu** has been found to [exploit](https://www.fortiguard.com/threat-signal-report/5151/exploitation-spike-observed-for-ruckus-wireless-admin-rce-vulnerability-cve-2023-25717) a now-patched critical security flaw in the Ruckus Wireless Admin panel to break into vulnerable devices.


The [flaw](https://support.ruckuswireless.com/security_bulletins/315), tracked as [CVE-2023-25717](https://nvd.nist.gov/vuln/detail/CVE-2023-25717) (CVSS score: 9.8), stems from improper handling of HTTP requests, leading to unauthenticated remote code execution and a complete compromise of wireless Access Point (AP) equipment.


Andoryu was [first documented](https://zhuanlan.zhihu.com/p/608397056) by Chinese cybersecurity firm QiAnXin earlier this February, detailing its ability to communicate with command-and-control (C2) servers using the [SOCKS5 protocol](https://en.wikipedia.org/wiki/SOCKS).


While the malware is known to weaponize remote code execution flaws in GitLab ([CVE-2021-22205](https://nvd.nist.gov/vuln/detail/CVE-2021-22205)) and Lilin DVR for propagation, the addition of CVE-2023-25717 shows that Andoryu is actively expanding its exploit arsenal to ensnare more devices into the botnet.


"It contains DDoS attack modules for different protocols and communicates with its command-and-control server using SOCKS5 proxies," Fortinet FortiGuard Labs researcher Cara Lin [said](https://www.fortinet.com/blog/threat-research/andoryubot-new-botnet-campaign-targets-ruckus-wireless-admin-remote-code-execution-vulnerability-cve-2023-25717), adding the latest campaign commenced in late April 2023.


Further analysis of the attack chain has revealed that once the Ruckus flaw is used to gain access to a device, a script from a remote server is dropped onto the infected device for proliferation.


[![Andoryu Botnet](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhyGNhhOWn7gwTF53XwiFRHxaBARAxt_opstGyt-Eph3wWA8cnsKMRbeIu4nIr21KLdcW31LijK_30eVetNFcBqo9PWKiKkTFw_8AuZA-f-4hlJGZsmCJa-JUkm-ufWDAAv7NkM2LsJ6CDEpSRXdD8imNXvPi4fYsbcyP40DsW-i4KAvmsJJKm13qCn/s728-e365/botnet.png)
The malware, for its part, also establishes contact with a C2 server and awaits further instructions to launch a DDoS attack against targets of interest using protocols like ICMP, TCP, and UDP.


The cost associated with mounting such attacks is advertised via a listing on the seller's Telegram channel, with monthly plans ranging from $90 to $115 depending on the duration.

## 
RapperBot Botnet Adds Crypto Mining to its List of Capabilities
[#](#rapperbot-botnet-adds-crypto-mining-to-its-list-of-capabilities)

The alert follows the discovery of new versions of the RapperBot DDoS botnet that incorporate cryptojacking functionality to profit off compromised Intel x64 systems by dropping a Monero crypto miner.


[RapperBot](https://thehackernews.com/2022/08/new-iot-rapperbot-malware-targeting.html) [campaigns](https://thehackernews.com/2022/11/warning-new-rapperbot-campaign-aims-to.html) have primarily focused on brute-forcing IoT devices with weak or default SSH or Telnet credentials to expand the botnet's footprint for launching DDoS attacks.


Fortinet said it detected the latest iteration of the RapperBot miner activity in January 2023, with the attacks delivering a Bash shell script that, in turn, is capable of downloading and executing separate XMRig crypto miners and RapperBot binaries.


Subsequent updates to the malware have merged the two disparate functions into a single bot client with mining capabilities, while also taking steps to terminate competing miner processes.


[![Andoryu Botnet](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgW2xx7UvyNc_H0kiYdKV9Lz1hT-L86LrusE9XexxXgitIuTbC-ld8Qf_vPGxUiQ9jFs3s68seaRlzC4eEc30ocOCWv142yXZjD3-ZLUURq_PfiZqfk5l_BXVZM38FMej9GSO_CAE3ibdkSpzgV7oVnQYE7-s_zx_aHKdnEaoMscs4D-RGF4aq--3aa/s728-e365/ddos-botnet.png)
Interestingly, none of the new RapperBot samples with the integrated XMRig miner incorporate self-propagation capabilities, raising the possibility of an alternate distribution mechanism.


"This suggests the possible availability of an external loader operated by the threat actor that abuses the credentials collected by other RapperBot samples with brute forcing capabilities and infects only x64 machines with the combined bot/miner," Fortinet [theorized](https://www.fortinet.com/blog/threat-research/rapperbot-ddos-botnet-expands-into-cryptojacking).


RapperBot's expansion to cryptojacking is yet another indication that financially motivated threat operators leave no stone unturned to "extract the maximum value from machines infected by their botnets."


The twin developments also come as the U.S. Justice Department [announced](https://thehackernews.com/2023/05/us-authorities-seize-13-domains.html) the seizure of 13 internet domains associated with DDoS-for-hire services.


  





## Tags:
***CVE's***: CVE-2021-22205 CVE-2023-25717

### Autogenerated tags:
[[rapperbot]] [[botnet]] [[ddos]] [[andoryu]] [[malware]] [[fortinet]]
