# Android Malware Wpeeper Uses Compromised WordPress Sites to Hide C2 Servers
## Researchers have uncovered a new Android malware called Wpeeper that uses compromised WordPress sites to hide its true command-and-control servers.
## Information:

+ Link: https://thehackernews.com/2024/05/android-malware-wpeeper-uses.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 01 May 2024, 19:11
+ Date scraped: 01 May 2024, 14:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg5u_Ii5UNgaP19fsdA0m9U32PEVpU6FbaSm0tdLdvEpq6EGKd6o17VbotVaji9enneE65_IrhOQf7m-1E-c17gXi5pt5g4-7lYCkSQFWvG4GD99roJ7J-_mXevDr4iFszo520guNZrk0bKk2sqmuXbM-XloK6GRo8pSBV4M3CiXa7ghsnf7Rg1z8AMYpVH/s728-rw-e365/ndroid.png)


Cybersecurity researchers have discovered a previously undocumented malware targeting Android devices that uses compromised WordPress sites as relays for its actual command-and-control (C2) servers for detection evasion.


The malware, codenamed **Wpeeper**, is an ELF binary that leverages the HTTPS protocol to secure its C2 communications.


"Wpeeper is a typical backdoor Trojan for Android systems, supporting functions such as collecting sensitive device information, managing files and directories, uploading and downloading, and executing commands," researchers from the QiAnXin XLab team [said](https://blog.xlab.qianxin.com/playing-possum-whats-the-wpeeper-backdoor-up-to/).


The ELF binary is embedded within a repackaged application that purports to be the [UPtodown App Store](https://uptodown-android.en.uptodown.com/android) app for Android (package name "com.uptodown"), with the APK file acting as a delivery vehicle for the backdoor in a manner that evades detection.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The Chinese cybersecurity firm said it discovered the malware after it detected a [Wpeeper artifact](https://www.virustotal.com/gui/file/e5af8e705e079d28f795cf490a66f74415699c9674833e2524eb746004d56a6b) with zero detection on the VirusTotal platform on April 18, 2024. The campaign is said to have come to an abrupt end four days later.


The use of the Uptodown App Store app for the campaign indicates an attempt to pass off a legitimate third-party app marketplace and trick unsuspecting users into installing it. According to [stats](https://android-apk.org/com.uptodown/67444750-uptodown-com-uptodown/) on Android-apk.org, the trojanized version of the app (5.92) has been downloaded 2,609 times to date.


[![Android Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgXc_EkaUeRchAINwpEdOIByp3JxR6gV3YBC8ChYmGAWVnXSIb6VVHhZUQV_3DxkSR3b7ZKuBDPBj2PWmAAqXCmhPB38lMkz7CsHsuaww5Prmk1vFcMJuNMZqJu_AT2697gw6KUgMeQxVdCnGyq6Y3uU9ondDjYA_naAUrXTHGSocVR-ph-sCL9LzlvCO7e/s728-rw-e365/code.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgXc_EkaUeRchAINwpEdOIByp3JxR6gV3YBC8ChYmGAWVnXSIb6VVHhZUQV_3DxkSR3b7ZKuBDPBj2PWmAAqXCmhPB38lMkz7CsHsuaww5Prmk1vFcMJuNMZqJu_AT2697gw6KUgMeQxVdCnGyq6Y3uU9ondDjYA_naAUrXTHGSocVR-ph-sCL9LzlvCO7e/s728-rw-e365/code.png)
Wpeeper relies on a multi-tier C2 architecture that uses infected WordPress sites as an intermediary to obscure its true C2 servers. As many as 45 C2 servers have been identified as part of the infrastructure, nine of which are hard-coded into the samples and are used to update the C2 list on the fly.


"These [hard-coded servers] are not C2s but C2 redirectors -- their role is to forward the bot's requests to the real C2, aimed at shielding the actual C2 from detection," the researchers said.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
This has also raised the possibility that some of the hard-coded servers are directly under their control, since there is a risk of losing access to the botnet should WordPress site administrators get wind of the compromise and take steps to correct it.


The commands retrieved from the C2 server allow the malware to collect device and file information, list of installed apps, update the C2 server, download and execute additional payloads from the C2 server or an arbitrary URL, and self-delete itself.


The exact goals and scale of the campaign are presently unknown, although it's suspected that the sneaky method may have been used to increase the installation numbers and then reveal the malware's capabilities.


To mitigate the risks posed by such malware, it's always advised to install apps only from trusted sources, and scrutinize app reviews and permissions prior to downloading them.


  





## Tags:


### Autogenerated tags:
[[c2]] [[malware]] [[wpeeper]] [[android]] [[wordpress]]
