# Arid Viper Hacking Group Using Upgraded Malware in Middle East Cyber Attacks
## Arid Viper hacking group refreshes its malware toolkit and targets Palestinian entities.
## Information:

+ Link: https://thehackernews.com/2023/04/arid-viper-hacking-group-using-upgraded.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 04 April 2023, 10:08
+ Date scraped: 04 April 2023, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjgaRzBIpkK5lbWBQqwlBTnXqQe5BrPSAQEpOyc7rOcspZ39UAzW_yGdoOuMponu9BSxnpAWP04Vh9FFqlZ2B1Or0WBqGjH4mi0Xvjm6-mK3Ws2GYNEv01gdP8NLTqpc0bYkpDlct-IEWr0M7gxrIGdBY6PeQ75NIFs-wODS0NKvsY5GU7P-ede9FI-/s728-e3650/cyber.png)


The threat actor known as **Arid Viper** has been observed using refreshed variants of its malware toolkit in its attacks targeting Palestinian entities since September 2022.


Symantec, which is tracking the group under its insect-themed moniker Mantis, [said](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/verblecon-sophisticated-malware-cryptocurrency-mining-discord) the adversary is "going to great lengths to maintain a persistent presence on targeted networks."


Also known by the names [APT-C-23 and Desert Falcon](https://malpedia.caad.fkie.fraunhofer.de/actor/aridviper), the hacking group has been linked to attacks aimed at Palestine and the Middle East at least since 2014.


Mantis has used an arsenal of homemade malware tools such as [ViperRat](https://www.lookout.com/blog/viperrat-mobile-apt), [FrozenCell](https://thehackernews.com/2021/11/apt-c-23-hackers-using-new-android.html) (aka VolatileVenom), and [Micropsia](https://thehackernews.com/2022/02/new-wave-of-cyber-attacks-target.html) to execute and conceal its campaigns across Windows, Android, and iOS platforms.


The threat actors are believed to be native Arabic speakers and based in Palestine, Egypt, and Turkey, according to a [report](https://securelist.com/the-desert-falcons-targeted-attacks/68817/) published by Kaspersky in February 2015. Prior public reporting has also [tied the group](https://www.idf.il/en/mini-sites/hamas/hamas-uses-fake-facebook-profiles-to-target-israeli-soldiers/) to the cyber warfare division of Hamas.


In April 2022, high-profile Israeli individuals employed in sensitive defense, law enforcement, and emergency services organizations were observed being targeted with a novel Windows backdoor dubbed [BarbWire](https://thehackernews.com/2022/04/hamas-linked-hackers-targeting-high.html).


Attack sequences mounted by the group typically employ spear-phishing emails and fake social credentials to lure targets into installing malware on their devices.


The most recent attacks detailed by Symantec entail the use of updated versions of its custom Micropsia and Arid Gopher implants to breach targets before engaging in credential theft and exfiltration of stolen data.


Arid Gopher, an executable coded in the Go programming language, is a variant of the Micropsia malware that was [first documented](https://www.deepinstinct.com/blog/arid-gopher-the-newest-micropsia-malware-variant) by Deep Instinct in March 2022. The shift to Go is not unusual as it allows the malware to stay under the radar.


Micropsia, alongside its ability to launch secondary payloads (like Arid Gopher), is also designed to log keystrokes, take screenshots, and save Microsoft Office files within RAR archives for exfiltration using a bespoke Python-based tool.


"Arid Gopher, like its predecessor Micropsia, is an info-stealer malware, whose intent is to establish a foothold, collect sensitive system information, and send it back to a C2 (command-and-control) network," Deep Instinct [said](https://www.deepinstinct.com/glossary/arid-gopher-definition) at the time.


Evidence gathered by Symantec shows that Mantis moved to deploy three distinct versions of Micropsia and Arid Gopher on three sets of workstations between December 18, 2022, and January 12, 2023, as a way of retaining access.


Arid Gopher, for its part, has received regular updates and complete code rewrites, with the attackers "aggressively mutating the logic between variants" as a detection evasion mechanism.


"Mantis appears to be a determined adversary, willing to put time and effort into maximizing its chances of success, as evidenced by extensive malware rewriting and its decision to compartmentalize attacks against single organizations into multiple separate strands to reduce the chances of the entire operation being detected," Symantec concluded.



  





## Tags:


### Autogenerated tags:
[[malware]] [[symantec]]
