# Attackers Using Obfuscation Tools to Deliver Multi-Stage Malware via Invoice Phishing
## Cybersecurity experts uncover a sophisticated multi-stage attack! 🛡️ Malware including Venom RAT, Remcos RAT, and more deployed via invoice-themed ph
## Information:

+ Link: https://thehackernews.com/2024/04/attackers-using-obfuscation-tools-to.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 09 April 2024, 12:54
+ Date scraped: 09 April 2024, 08:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEinSYCDc5lgycLNW_wKnC4vskY-LsI-d5aO8CbE03yTbykhYyKQxBWGlpthNiJ4qrXKJ0-6zB-2RISpU3GLKgaltB9bCL6mbsTXyiHmKRIBcV4hMfIpI03WKjIglH7sYsUiLP247vM0CgSo1oEnHqqNjqWVGIb0q4jhmfUWSKzW12iK_uNx8FSF9sPvGrXx/s728-rw-e365/phishing.png)


Cybersecurity researchers have discovered an intricate multi-stage attack that leverages invoice-themed phishing decoys to deliver a wide range of malware such as [Venom RAT](https://thehackernews.com/2024/04/massive-phishing-campaign-strikes-latin.html), Remcos RAT, XWorm, NanoCore RAT, and a stealer that targets crypto wallets.


The email messages come with Scalable Vector Graphics (SVG) file attachments that, when clicked, activate the infection sequence, Fortinet FortiGuard Labs [said](https://www.fortinet.com/blog/threat-research/scrubcrypt-deploys-venomrat-with-arsenal-of-plugins) in a technical report.


The modus operandi is notable for the use of the BatCloak malware obfuscation engine and ScrubCrypt to deliver the malware in the form of obfuscated batch scripts.


[BatCloak](https://thehackernews.com/2023/06/cybercriminals-using-powerful-batcloak.html), offered for sale to other threat actors since late 2022, has its foundations in another tool called Jlaive. Its primary feature is to load a next-stage payload in a manner that circumvents traditional detection mechanisms.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLX0O_pua_BNGD7OG05Td7ASGHjT-c6rLVfmEazcitNrUN4aS12_9AAEWdojbHmrg0EkMQCSyD42w-d6egVdsdVtAEaH-Z0w0f-jU1frNCfaTUp5tY4bg1olzAEY_W1iVATonnvuYqpel_Mxe4TJmkCMSqLOo4ol9NEGBRh_a8C0JhApfKqY8f-wf9m978/s728-e365/wing-d.png)](https://thehackernews.uk/automated-remediation-wing)
ScrubCrypt, a crypter that was [first documented](https://thehackernews.com/2023/03/new-scrubcrypt-crypter-used-in.html) by Fortinet in March 2023 in connection with a cryptojacking campaign orchestrated by the 8220 Gang, is assessed to be one of the iterations of BatCloak, according to research from Trend Micro last year.


In the latest campaign analyzed by the cybersecurity firm, the SVG file serves as a conduit to drop a ZIP archive that contains a batch script likely created using BatCloak, which then unpacks the ScrubCrypt batch file to ultimately execute Venom RAT, but not before setting up persistence on the host and taking steps to bypass [AMSI](https://www.mdsec.co.uk/2018/06/exploring-powershell-amsi-and-logging-evasion/) and [ETW](https://www.mdsec.co.uk/2020/03/hiding-your-net-etw/) [protections](https://www.binarly.io/blog/design-issues-of-modern-edrs-bypassing-etw-based-solutions).


[![Multi-Stage Malware via Invoice Phishing](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi2PdhzvPJLKNwBEe7vT5brZiSJFRNOuawtbmtNNlR-UThv52KxjoWRJ9gR4DfBQz8YDJurXDAITm8pFmTK_xSSRn-ETXqgLQbyj6kLqTVDtw3lk4hCaVqllSMWbRcfncx0IFKc-Fl2ZPgEHlt2MviGGQtW9lGEnEZDXYAx3WLWjTfnU57szLGVPfwmmYMX/s728-rw-e365/email.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi2PdhzvPJLKNwBEe7vT5brZiSJFRNOuawtbmtNNlR-UThv52KxjoWRJ9gR4DfBQz8YDJurXDAITm8pFmTK_xSSRn-ETXqgLQbyj6kLqTVDtw3lk4hCaVqllSMWbRcfncx0IFKc-Fl2ZPgEHlt2MviGGQtW9lGEnEZDXYAx3WLWjTfnU57szLGVPfwmmYMX/s728-rw-e365/email.png)
A fork of Quasar RAT, Venom RAT allows attackers to seize control of the compromised systems, gather sensitive information, and execute commands received from a command-and-control (C2) server.


"While Venom RAT's primary program may appear straightforward, it maintains communication channels with the C2 server to acquire additional plugins for various activities," security researcher Cara Lin said. This includes Venom RAT v6.0.3 with keylogger capabilities, [NanoCore RAT](https://thehackernews.com/2022/01/hackers-use-cloud-services-to.html), [XWorm](https://thehackernews.com/2023/08/new-attack-alert-freezers-injector.html), and [Remcos RAT](https://thehackernews.com/2024/02/new-idat-loader-attacks-using.html).


"This [Remcos RAT] plugin was distributed from VenomRAT's C2 using three methods: an obfuscated VBS script named 'remcos.vbs,' ScrubCrypt, and [Guloader PowerShell](https://thehackernews.com/2023/12/researchers-unveal-guloader-malwares.html)," Lin added.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
Also delivered using the plugin system is a stealer that gathers information about the system and exfiltrates data from folders associated with wallets and applications like Atomic Wallet, Electrum, Ethereum, Exodus, Jaxx Liberty ([retired as of March 2023](https://blog.jaxx.io/sunsetting-jaxx-liberty-what-you-need-to-know/)), Zcash, Foxmail, and Telegram to a remote server.


"This analysis reveals a sophisticated attack leveraging multiple layers of obfuscation and evasion techniques to distribute and execute VenomRAT via ScrubCrypt," Lin said.


"The attackers employ a variety of methods, including phishing emails with malicious attachments, obfuscated script files, and Guloader PowerShell, to infiltrate and compromise victim systems. Furthermore, deploying plugins through different payloads highlights the versatility and adaptability of the attack campaign."


  





## Tags:


### Autogenerated tags:
[[scrubcrypt]] [[batcloak]] [[malware]] [[c2]]
