# Beware: New 'Rustbucket' Malware Variant Targeting macOS Users
## North Korea's BlueNoroff, part of Lazarus Group, has upgraded their macOS malware, Rustbucket, to avoid detection and persist longer.
## Information:

+ Link: https://thehackernews.com/2023/07/beware-new-rustbucket-malware-variant.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 July 2023, 11:28
+ Date scraped: 01 July 2023, 06:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhTPkdfaLux_F1qWxn2HcIm5b8mc2WlqaJo_u-3GomEFAwjrQJkXuoIsLJ-RJsTPvIjLMBEbgfOeJUvGDB3F8c885_4_4KhFqn3KBRFol6n4ah6_cgSQoOnJkB3xIkK5TdsVlOsI3UbJ6LDn1ciZF83p9Uefisx9ysLd7N8hMkKP8LvvKvgFYW6yzKkhqY/s728-e3650/hacker.jpg)


Researchers have pulled back the curtain on an updated version of an Apple macOS malware called **Rustbucket** that comes with improved capabilities to establish persistence and avoid detection by security software.


"This variant of Rustbucket, a malware family that targets macOS systems, adds persistence capabilities not previously observed," Elastic Security Labs researchers [said](https://www.elastic.co/security-labs/DPRK-strikes-using-a-new-variant-of-rustbucket) in a report published this week, adding it's "leveraging a dynamic network infrastructure methodology for command-and-control."


RustBucket is the work of a North Korean threat actor known as BlueNoroff, which is part of a larger intrusion set tracked under the name [Lazarus Group](https://thehackernews.com/2023/05/n-korean-lazarus-group-targets.html), an elite hacking unit supervised by the Reconnaissance General Bureau (RGB), the country's primary intelligence agency.


The malware came to light in April 2023, when Jamf Threat Labs [described](https://thehackernews.com/2023/04/lazarus-subgroup-targeting-apple.html) it as an AppleScript-based backdoor capable of retrieving a second-stage payload from a remote server. Elastic is monitoring the activity as REF9135.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-1)
The second-stage malware, compiled in Swift, is designed to download from the command-and-control (C2) server the main malware, a Rust-based binary with features to gather extensive information as well as fetch and run additional Mach-O binaries or shell scripts on the compromised system.


It's the first instance of BlueNoroff malware specifically targeting macOS users, although a .NET version of RustBucket has since surfaced in the wild with a similar set of features.


"This recent Bluenoroff activity illustrates how intrusion sets turn to cross-platform language in their malware development efforts, further expanding their capabilities highly likely to broaden their victimology," French cybersecurity company Sekoia [said](https://blog.sekoia.io/bluenoroffs-rustbucket-campaign/) in an analysis of the RustBucket campaign in late May 2023.


The infection chain consists of a macOS installer file that installs a backdoored, yet functional, PDF reader. A significant aspect of the attacks is that the malicious activity is triggered only when a weaponized PDF file is launched using the rogue PDF reader. Initial intrusion vector includes phishing emails, as well as employing bogus personas on social networks such as LinkedIn.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://www.memcyco.com/home/library/the-untold-cost-of-brand-impersonation-ebook/?utm_source=thn&utm_medium=referral&utm_campaign=ebook-campaign)
The observed attacks are highly targeted and focused on finance-related institutions in Asia, Europe, and the U.S., suggesting that the activity is geared towards illicit revenue generation to evade sanctions.


What makes the [newly identified version](https://www.virustotal.com/gui/file/de81e5246978775a45f3dbda43e2716aaa1b1c4399fe7d44f918fccecc4dd500) notable is its unusual persistence mechanism and the use of dynamic DNS domain (docsend.linkpc[.]net) for command-and-control, alongside incorporating measures focused on remaining under the radar.


"In the case of this updated RUSTBUCKET sample, it establishes its own persistence by adding a plist file at the path /Users/<user>/Library/LaunchAgents/com.apple.systemupdate.plist, and it copies the malware's binary to the following path /Users/<user>/Library/Metadata/System Update," the researchers said.



  





## Tags:
***urls***: http://docsend.linkpc.net

### Autogenerated tags:
[[malware]] [[rustbucket]] [[macos]] [[command-and-control]] [[bluenoroff]] [[pdf]]
