# Bitter APT Hackers Add Bangladesh to Their List of Targets in South Asia
## The espionage-focused hacking group Bitter APT, known for its attacks on China, Pakistan, and Saudi Arabia, is now targeting Bangladesh.
## Information:

+ Link: https://thehackernews.com/2022/05/bitter-apt-hackers-add-bangladesh-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 11 May 2022, 12:37
+ Date scraped: 11 May 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgx6lZB3oJ9X1sLlKCznoOeSkcDGdxDDzLpQUslIFxcqcdMH_UDcAqH4PjZiqkCxL4jI-B00Zx79nco8uEEf5XiuDqkexKPHK5G1oPT3v5UXngC8t4QHYPLfIhQTOw0d5FZR2WUXYg38_ydmYOd8biQq4tgAK_UHmsEyzslVH8sLV19IMC1QE6NMR95/s728-e100/hacker-code.jpg)


An espionage-focused threat actor known for targeting China, Pakistan, and Saudi Arabia has expanded to set its sights on Bangladeshi government organizations as part of an ongoing campaign that commenced in August 2021.


Cybersecurity firm Cisco Talos attributed the activity with moderate confidence to a hacking group dubbed the [Bitter APT](https://malpedia.caad.fkie.fraunhofer.de/details/win.bitter_rat) based on overlaps in the command-and-control (C2) infrastructure with that of prior campaigns mounted by the same actor.


"Bangladesh fits the profile we have defined for this threat actor, previously targeting Southeast Asian countries including [China](https://www.anomali.com/blog/suspected-bitter-apt-continues-targeting-government-of-china-and-chinese-organizations), Pakistan, and Saudi Arabia," Vitor Ventura, lead security researcher at Cisco Talos, t[old](https://blog.talosintelligence.com/2022/05/bitter-apt-adds-bangladesh-to-their.html) The Hacker News.


"And now, in this latest campaign, they have widened their reach to Bangladesh. Any new country in southeast Asia being targeted by Bitter APT shouldn't be of surprise."


Bitter (aka APT-C-08 or T-APT-17) is suspected to be a South Asian hacking group motivated primarily by intelligence gathering, an operation that's facilitated by means of malware such as BitterRAT, ArtraDownloader, and AndroRAT. Prominent targets include the energy, engineering, and government sectors.


The earliest attacks were distributing the mobile version of BitterRAT date back to September 2014, with the actor having a history of leveraging zero-day flaws — [CVE-2021-1732](https://blog.cyble.com/2021/02/24/bitter-apt-enhances-its-capability-with-windows-kernel-zero-day-exploit/) and [CVE-2021-28310](https://thehackernews.com/2021/04/nsa-discovers-new-vulnerabilities.html) — to its advantage and accomplish its adversarial objectives.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEje8jC-uVfJtCg-HT90ER0XL1ynji-bMSmKY4TsMgVZDJ4BUis2Ee9BqhaK1IgRgN3C39Ble5vyCaoUWCWOSw_sCPSi1K1pqxhfFDtU7-XFOlKQELXIUmacfXYgeFx_YhnGNvj-1DRRGm2mRliJTxxHv8CqVxw48P0ghcuKJ0YObfTzh23rHBy_Bz3i/s728-e100/talos.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEje8jC-uVfJtCg-HT90ER0XL1ynji-bMSmKY4TsMgVZDJ4BUis2Ee9BqhaK1IgRgN3C39Ble5vyCaoUWCWOSw_sCPSi1K1pqxhfFDtU7-XFOlKQELXIUmacfXYgeFx_YhnGNvj-1DRRGm2mRliJTxxHv8CqVxw48P0ghcuKJ0YObfTzh23rHBy_Bz3i/s728-e100/talos.jpg)
The latest campaign, targeting an elite entity of the Bangladesh government, involves sending spear-phishing emails to high-ranking officers of the Rapid Action Battalion Unit of the Bangladesh police (RAB).


As is typically observed in other social engineering attacks of this kind, the missives are designed to lure the recipients into opening a weaponized RTF document or a Microsoft Excel spreadsheet that exploits previously known flaws in the software to deploy a new trojan; dubbed "ZxxZ."


ZxxZ, named so after a separator used by the malware when sending information back to the C2 server, is a 32-bit Windows executable compiled in Visual C++.


"The trojan masquerades as a Windows Security update service and allows the


malicious actor to perform remote code execution, allowing the attacker to perform any other activities by installing other tools," the researchers explained.


While the malicious RTF document exploits a memory corruption vulnerability in Microsoft Office's Equation Editor ([CVE-2017-11882](https://thehackernews.com/2017/11/microsoft-office-rce-exploit.html)), the Excel file abuses two remote code execution flaws, [CVE-2018-0798](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2018-0798) and [CVE-2018-0802](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2018-0802), to activate the infection sequence.


"Actors often change their tools to avoid detection or attribution, this is part of the lifecycle of a threat actor showing its capability and determination," Ventura said.


  





## Tags:
***CVE's***: CVE-2018-0798 CVE-2021-28310 CVE-2017-11882 CVE-2021-1732 CVE-2018-0802

### Autogenerated tags:

