# BlackCat Operators Distributing Ransomware Disguised as WinSCP via Malvertising
## BlackCat ransomware now spreading via malvertising! Watch out for rogue installers disguised as legitimate apps like WinSCP.
## Information:

+ Link: https://thehackernews.com/2023/07/blackcat-operators-distributing.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 03 July 2023, 10:16
+ Date scraped: 03 July 2023, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgrh5jHgqAdcerE_kHHScnqd4v5Xz70RsnDXtsaCt1_jbqlogH0wLFMT7BGzZN7DsIcyX8Ir8BKGJw_Os9XlWqLcpMvrCdWfmDqg9iuc_ocB-Jk7K7WMj7eGZ2mZfhQCc_m-hKQvftpaByY7yz1AMq6Wt3Bm60O3cwiEDYxeyHLe9jVgPyUxp39tasB8WA/s728-e3650/winscp.jpg)


Threat actors associated with the [BlackCat ransomware](https://thehackernews.com/2023/06/improved-blackcat-ransomware-strikes.html) have been observed employing malvertising tricks to distribute rogue installers of the WinSCP file transfer application.


"Malicious actors used malvertising to distribute a piece of malware via cloned webpages of legitimate organizations," Trend Micro researchers [said](https://www.trendmicro.com/en_us/research/23/f/malvertising-used-as-entry-vector-for-blackcat-actors-also-lever.html) in an analysis published last week. "In this case, the distribution involved a webpage of the well-known application WinSCP, an open-source Windows application for file transfer."


[Malvertising](https://thehackernews.com/2023/04/crypto-stealing-opcjacker-malware.html) [refers](https://www.malwarebytes.com/malvertising) to the use of [SEO poisoning techniques](https://www.sentinelone.com/blog/breaking-down-the-seo-poisoning-attack-how-attackers-are-hijacking-search-results/) to spread malware via online advertising. It typically involves hijacking a chosen set of keywords to display bogus ads on Bing and Google search results pages with the goal of redirecting unsuspecting users to sketchy pages.


The idea is to trick users searching for applications like WinSCP into downloading malware, in this instance, a backdoor that contains a [Cobalt Strike Beacon](https://www.reliaquest.com/blog/cobalt-strike-servers-ransomware/) that connects to a remote server for follow-on operations, while also employing legitimate tools like AdFind to facilitate network discovery.


The access afforded by Cobalt Strike is further abused to download a number of programs to conduct reconnaissance, enumeration (PowerView), lateral movement (PsExec), bypass antivirus software (KillAV BAT), and exfiltrate customer data (PuTTY Secure Copy client). Also observed is the use of the [Terminator](https://www.reddit.com/r/crowdstrike/comments/13wjrgn/20230531_situational_awareness_spyboy_defense/) defense evasion tool to tamper with security software by means of a Bring Your Own Vulnerable Driver ([BYOVD](https://thehackernews.com/2023/04/ransomware-hackers-using-aukill-tool-to.html)) attack.


In the attack chain detailed by the cybersecurity company, the threat actors managed to steal top-level administrator privileges to conduct post-exploitation activities and attempted to set up persistence using remote monitoring and management tools like AnyDesk as well as access backup servers.


"It is highly likely that the enterprise would have been substantially affected by the attack if intervention had been sought later, especially since the threat actors had already succeeded in gaining initial access to domain administrator privileges and started establishing backdoors and persistence," Trend Micro said.


[![BlackCat Ransomware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi9d8jf6NWtZmrCEKLFg-sCdYI_m9VbmAGpZM5byCELa5SZ5K0xbRXBTkLIHvQ12MjdPDtbV_6msaJYVFurOK6rVU89M5SMGbNRsgY0MusUI7uC9gD-3ylnYBLFTOTiwtQOBZFPpo9MjxzajQ7UODe3n2YGifchUBNUUCwB_5_X8L9pvivOq7q8gRMo2xY/s728-e3650/hacking.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi9d8jf6NWtZmrCEKLFg-sCdYI_m9VbmAGpZM5byCELa5SZ5K0xbRXBTkLIHvQ12MjdPDtbV_6msaJYVFurOK6rVU89M5SMGbNRsgY0MusUI7uC9gD-3ylnYBLFTOTiwtQOBZFPpo9MjxzajQ7UODe3n2YGifchUBNUUCwB_5_X8L9pvivOq7q8gRMo2xY/s728-e365/hacking.jpg)
The development is just the latest example of threat actors leveraging the Google Ads platform to serve malware. In November 2022, Microsoft [disclosed](https://thehackernews.com/2022/11/microsoft-warns-of-hackers-using-google.html) an attack campaign that leverages the advertising service to deploy BATLOADER, which is then used to drop Royal ransomware.


It also comes as Czech cybersecurity company Avast [released](https://decoded.avast.io/threatresearch/decrypted-akira-ransomware/) a free decryptor for the fledgling Akira ransomware to help victims recover their data without having to pay the operators. Akira, which first appeared in March 2023, has since [expanded its target footprint](https://blog.cyble.com/2023/06/28/akira-ransomware-extends-reach-to-linux-platform/) to include Linux systems.


"Akira has a few similarities to the Conti v2 ransomware, which may indicate that the malware authors were at least inspired by the leaked Conti sources," Avast researchers said. The company did not disclose how it cracked the ransomware's encryption algorithm.


The Conti/TrickBot syndicate, aka Gold Ulrick or ITG23, [shut down in May 2022](https://thehackernews.com/2022/05/conti-ransomware-gang-shut-down-after.html) after suffering a series of disruptive events triggered by the onset of the Russian invasion of Ukraine. But the e-crime group continues to exist to this date, albeit as smaller entities and using shared crypters and infrastructure to distribute their warez.


IBM Security X-Force, in a recent deep dive, said the gang's crypters, which are applications designed to encrypt and obfuscate malware to evade detection by antivirus scanners and hinder analysis, are being used to also disseminate new malware strains such as Aresloader, Canyon, CargoBay, DICELOADER, Lumma C2, Matanbuchus, [Minodo](https://thehackernews.com/2023/04/fin7-and-ex-conti-cybercrime-gangs-join.html) (formerly Domino), [Pikabot](https://thehackernews.com/2023/06/new-mystic-stealer-malware-targets-40.html), SVCReady, Vidar.


"Previously, the crypters were used predominantly with the core malware families associated with ITG23 and their close partners," security researchers Charlotte Hammond and Ole Villadsen [said](https://securityintelligence.com/posts/trickbot-conti-crypters-where-are-they-now/). "However, the fracturing of ITG23 and emergence of new factions, relationships, and methods, have affected how the crypters are used."


Despite the dynamic nature of the cybercrime ecosystem, as nefarious cyber actors come and go, and some operations partner together, shut down, or rebrand their financially motivated schemes, ransomware continues to be a [constant threat](https://thehackernews.com/2023/06/8base-ransomware-spikes-in-activity.html).


This includes the emergence of a new ransomware-as-a-service (RaaS) group called Rhysida, which has primarily singled out education, government, manufacturing, and technology sectors across Western Europe, North and South America, and Australia.


"Rhysida is a 64-bit Portable Executable (PE) Windows cryptographic ransomware application compiled using MINGW/GCC," SentinelOne [said](https://www.sentinelone.com/blog/rhysida-ransomware-raas-crawls-out-of-crimeware-undergrowth-to-attack-chilean-army/) in a technical write-up. "In each sample analyzed, the application's program name is set to Rhysida-0.1, suggesting the tool is in early stages of development."


  





## Tags:


### Autogenerated tags:
[[malware]] [[ransomware]] [[crypters]] [[malvertising]] [[winscp]] [[akira]] [[itg23]]
