# BlackLotus Becomes First UEFI Bootkit Malware to Bypass Secure Boot on Windows 11
## ESET warns of a new, powerful UEFI bootkit malware called BlackLotus that can bypass Secure Boot protection on Windows 11 systems.
## Information:

+ Link: https://thehackernews.com/2023/03/blacklotus-becomes-first-uefi-bootkit.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 March 2023, 11:32
+ Date scraped: 01 March 2023, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgCcfmjjBldi6aBNhYzb-X_i3YeDhmp49_MQcmJ5s3Z-PR1_9gdzQfsAkGwTwVULvUVBHbyMTujsBFpLYGQDNkooKgvmfabVDtUdaTTyNpyD0rrB5R32WxKz-Y5SHQDV3PUcsFMjNOpDG3K2arz8WWQoR0KgR882Gqx53zc3MEhB-_EFe1-8ScpJmm_/s728-e3650/secure-boor.png)


A stealthy Unified Extensible Firmware Interface (UEFI) bootkit called BlackLotus has become the first publicly known malware capable of bypassing [Secure Boot](https://thehackernews.com/2022/08/researchers-uncover-uefi-secure-boot.html) defenses, making it a potent threat in the cyber landscape.


"This bootkit can run even on fully up-to-date Windows 11 systems with UEFI Secure Boot enabled," Slovak cybersecurity company ESET [said](https://www.welivesecurity.com/2023/03/01/blacklotus-uefi-bootkit-myth-confirmed/) in a report shared with The Hacker News.


[UEFI bootkits](https://thehackernews.com/2022/07/experts-uncover-new-cosmicstrand-uefi.html) are deployed in the system firmware and allow full control over the operating system (OS) boot process, thereby making it possible to disable OS-level security mechanisms and deploy arbitrary payloads during startup with high privileges.


Offered for sale at $5,000 (and $200 per new subsequent version), the powerful and persistent toolkit is programmed in Assembly and C and is 80 kilobytes in size. It also features geofencing capabilities to avoid infecting computers in Armenia, Belarus, Kazakhstan, Moldova, Romania, Russia, and Ukraine.


Details about BlackLotus [first emerged](https://www.theregister.com/2022/10/13/blacklotus_malware_kaspersky/) in October 2022, with Kaspersky security researcher Sergey Lozhkin describing it as a sophisticated crimeware solution.


"This represents a bit of a 'leap' forward, in terms of ease of use, scalability, accessibility, and most importantly, the potential for much more impact in the forms of persistence, evasion, and/or destruction," Eclypsium's Scott Scheferman [noted](https://www.linkedin.com/feed/update/urn:li:share:6986711231885713408/).


BlackLotus, in a nutshell, exploits a security flaw tracked as [CVE-2022-21894](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-21894) (aka [Baton Drop](https://github.com/Wack0/CVE-2022-21894)) to get around UEFI Secure Boot protections and set up persistence. The vulnerability was [addressed](https://thehackernews.com/2022/01/first-patch-tuesday-of-2022-brings-fix.html) by Microsoft as part of its January 2022 Patch Tuesday update.


A successful exploitation of the flaw allows arbitrary code execution during early boot phases, permitting a threat actor to carry out malicious actions on a system with UEFI Secure Boot enabled without having physical access to it, ESET said.


[![UEFI Bootkit Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhqEOku-Bd7vZIh3bwwsNOu5UrEqor3tjz5F60FAcmeB6pD-NYHiTwMmQZl6Uf1fqI1AwRqDwIrdhWOz0UYV5rCQAmH_sKKsZqjRZbMjweTo-3rXzTKFQdQokHUDz3yfLGUl6lBrl-xrdTDTYKmqN4rumcSmkKf9uRitjawySlHGmYLHOTUIdH5D5YW/s728-e365/uefii.png)
"This is the first publicly known, in-the-wild abuse of this vulnerability," ESET researcher Martin Smolár said. "Its exploitation is still possible as the affected, validly signed binaries have still not been added to the [UEFI revocation list](https://uefi.org/revocationlistfile)."


"BlackLotus takes advantage of this, bringing its own copies of legitimate – but vulnerable – binaries to the system in order to exploit the vulnerability," effectively paving the way for Bring Your Own Vulnerable Driver ([BYOVD](https://thehackernews.com/2022/12/ransomware-attackers-use-microsoft.html)) attacks.


Besides being equipped to turn off security mechanisms like BitLocker, Hypervisor-protected Code Integrity ([HVCI](https://learn.microsoft.com/en-us/windows-hardware/drivers/bringup/device-guard-and-credential-guard)), and Windows Defender, it's also engineered to drop a kernel driver and an HTTP downloader that communicates with a command-and-control (C2) server to retrieve additional user-mode or kernel-mode malware.

 The exact modus operandi used to deploy the bootkit is unknown as yet, but it starts with an installer component that's responsible for writing the files to the [EFI system partition](https://en.wikipedia.org/wiki/EFI_system_partition), disabling HVCI and BitLocker, and then rebooting the host.


The restart is followed by the weaponization of CVE-2022-21894 to achieve persistence and install the bootkit, after which it is automatically executed on every system start to deploy the kernel driver.


While the driver is tasked with launching the user-mode HTTP downloader and running next-stage kernel-mode payloads, the latter is capable of executing commands received from the C2 server over HTTPS.


This includes downloading and executing a kernel driver, DLL, or a regular executable; fetching bootkit updates, and even uninstalling the bootkit from the infected system.


"Many critical vulnerabilities affecting security of UEFI systems have been discovered in the last few years," Smolár said. "Unfortunately, due the complexity of the whole UEFI ecosystem and related supply-chain problems, many of these vulnerabilities have left many systems vulnerable even a long time after the vulnerabilities have been fixed – or at least after we were told they were fixed."


"It was just a matter of time before someone would take advantage of these failures and create a UEFI bootkit capable of operating on systems with UEFI Secure Boot enabled."


  





## Tags:
***CVE's***: CVE-2022-21894

### Autogenerated tags:
[[uefi]] [[bootkit]] [[blacklotus]] [[eset]]
