# BlackTech Targets Tech, Research, and Gov Sectors New 'Deuterbear' Tool
## China-linked hacking group Earth Hundun is targeting Asia-Pacific tech, research, and government sectors with advanced malware, including "Waterbear"
## Information:

+ Link: https://thehackernews.com/2024/04/blacktech-targets-tech-research-and-gov.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 19 April 2024, 19:14
+ Date scraped: 19 April 2024, 14:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgiGcUfhx1obbm71p9PknFOHSDt0JpRZAWhi6TYuS25Y_b9wL3NjX4nFwVEwHk6fetkwlUFBefLK2jaLL-lTiiX76QsZjJkjYfQFIuJkeIg8yEwHV_wfbjAAhFW4_b6gCAJnT-ky8oCMocwqZtiBNnt7APGxKNsBGioNBJ1NcnUUspJODg4nojqtpyFRTHT/s728-rw-e365/exploit.png)


Technology, research, and government sectors in the Asia-Pacific region have been targeted by a threat actor called **BlackTech** as part of a recent cyber attack wave.


The intrusions pave the way for an updated version of modular backdoor dubbed Waterbear as well as its enhanced successor referred to as Deuterbear.


"Waterbear is known for its complexity, as it uses a number of evasion mechanisms to minimize the chance of detection and analysis," Trend Micro researchers Cyris Tseng and Pierre Lee [said](https://www.trendmicro.com/en_us/research/24/d/earth-hundun-waterbear-deuterbear.html) in an analysis last week.


"In 2022, Earth Hundun began using the latest version of Waterbear — also known as Deuterbear — which has several changes, including anti-memory scanning and decryption routines, that make us consider it a different malware entity from the original Waterbear."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The cybersecurity firm is tracking the threat actor under the moniker Earth Hundun, which is known to be active since at least 2007. It also goes by other names such as Circuit Panda, HUAPI, Manga Taurus, Palmerworm, Red Djinn, and Temp.Overboard.


In a joint advisory published last September, cybersecurity and intelligence agencies from Japan and the U.S. [attributed](https://thehackernews.com/2023/09/chinas-blacktech-hacking-group.html) the adversary to China, describing its ability to modify router firmware and exploit routers' domain-trust relationships to pivot from international subsidiaries to their corporate headquarters based in the two countries.


"BlackTech actors use custom malware, dual-use tools, and living-off-the-land tactics, such as disabling logging on routers, to conceal their operations," the governments said.


[![Deuterbear malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgJltsAqYOPTllN852qYzuqRcjLurlAGAhmlgZFaZw9h_ozh6n2NpQh4VnyMh-BeG-Yjtmy_DyBl7UWh52N7silnxvdIDaVNl4icWloJuz7tBsTVa57-73f6ncWZq7nwbg5GfWJthycs34MAyVkr8V2JMxgcWqJh3jE-FUcX7bTB58lZ0k9NI7AEOucexSj/s728-rw-e365/rsa.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgJltsAqYOPTllN852qYzuqRcjLurlAGAhmlgZFaZw9h_ozh6n2NpQh4VnyMh-BeG-Yjtmy_DyBl7UWh52N7silnxvdIDaVNl4icWloJuz7tBsTVa57-73f6ncWZq7nwbg5GfWJthycs34MAyVkr8V2JMxgcWqJh3jE-FUcX7bTB58lZ0k9NI7AEOucexSj/s728-rw-e365/rsa.png)
"Upon gaining an initial foothold into a target network and gaining administrator access to network edge devices, BlackTech cyber actors often modify the firmware to hide their activity across the edge devices to further maintain persistence in the network."


One of the crucial tools in its multifaceted arsenal is Waterbear (aka [DBGPRINT](https://blogs.jpcert.or.jp/ja/2020/02/japan-security-analyst-conference-2020-1.html#:~:text=Evil%20Hidden%20in%20Shellcode%3A%20The%20Evolution%20of%20Malware%20DBGPRINT)), which has been put to use since 2009 and has been consistently updated over the years with improved defense evasion features.


The core remote access trojan is fetched from a command-and-control (C2) server by means of a downloader, which is launched using a loader that, in turn, is executed via a known technique called DLL side-loading.


The newest version of the implant supports nearly 50 commands, enabling it to perform a wide range of activities, including process enumeration and termination, file operations, window management, start and exit remote shell, screenshot capture, and Windows Registry modification, among others.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
Also delivered using a similar infection flow since 2022 is Deuterbear, whose downloader implements an array of obfuscation methods to resist anti-analysis and uses HTTPS for C2 communications.


"Since 2009, Earth Hundun has continuously evolved and refined the Waterbear backdoor, as well as its many variants and branches," the researchers said.


"The Deuterbear downloader employs HTTPS encryption for network traffic protection and implements various updates in malware execution, such as altering the function decryption, checking for debuggers or sandboxes, and modifying traffic protocols."



  





## Tags:


### Autogenerated tags:
[[deuterbear]] [[blacktech]] [[hundun]] [[malware]] [[downloader]]
