# Bumblebee Malware Returns with New Tricks, Targeting U.S. Businesses
## Bumblebee, QakBot, Zloader, & PikaBot are back, sneakier than ever. Don't trust those shady emails or downloads.
## Information:

+ Link: https://thehackernews.com/2024/02/bumblebee-malware-returns-with-new.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 14 February 2024, 16:48
+ Date scraped: 14 February 2024, 12:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhKb5D0aePx3uUL8DmuyLOreV5jZggdbpx197Itr2vQrvdVznDjieX7QTHDcOzLYdwAbjAVxXpOl5nty3ZSJRFWzSzVOJFTM1QNyGjm3sGa81UPhD1y-pI1zIPKOOv6IkXtqHMVH4KSslSdDQk3qJ7n5ma_x7co7dMnXZMBBwev_3OFGVJiwq1QGpuuBwcr/s728-rw-e30/malware.jpg)


The infamous malware loader and initial access broker known as **Bumblebee** has resurfaced after a four-month absence as part of a new phishing campaign observed in February 2024.


Enterprise security firm Proofpoint said the activity targets organizations in the U.S. with voicemail-themed lures containing links to OneDrive URLs.


"The URLs led to a Word file with names such as "ReleaseEvans#96.docm" (the digits before the file extension varied)," the company [said](https://www.proofpoint.com/us/blog/threat-insight/bumblebee-buzzes-back-black) in a Tuesday report. "The Word document spoofed the consumer electronics company Humane."


Opening the document leverages VBA macros to launch a PowerShell command to download and execute another PowerShell script from a remote server that, in turn, retrieves and runs the Bumblebee loader.


Bumblebee, [first spotted](https://thehackernews.com/2022/04/cybercriminals-using-new-malware-loader.html) in March 2022, is mainly designed to download and execute follow-on payloads such as ransomware. It has been put to use by multiple crimeware threat actors that previously observed delivering BazaLoader (aka BazarLoader) and IcedID.


It's also suspected to be developed by threat actors the Conti and TrickBot cybercrime syndicate as a replacement for BazarLoader. In September 2023, Intel 471 [disclosed](https://thehackernews.com/2023/09/cybercriminals-using-new-asmcrypt.html) a Bumblebee distribution campaign that employed Web Distributed Authoring and Versioning (WebDAV) servers to disseminate the loader.


The attack chain is notable for its reliance on macro-enabled documents in the attack chain, especially considering Microsoft began blocking macros in Office files downloaded from the internet by default starting July 2022, prompting threat actors to [modify and diversify their approaches](https://thehackernews.com/2022/07/hackers-opting-new-attack-methods-after.html).


The return of Bumblebee also coincides with the reappearance of new variants of [QakBot](https://thehackernews.com/2023/12/qakbot-malware-resurfaces-with-new.html), [ZLoader](https://thehackernews.com/2024/01/new-zloader-malware-variant-surfaces.html), and [PikaBot](https://thehackernews.com/2024/02/pikabot-resurfaces-with-streamlined.html), with samples of QakBot distributed in the form of Microsoft Software Installer (MSI) files.


"The .MSI drops a Windows .cab (Cabinet) archive, which in turn contains a DLL," cybersecurity firm Sophos [said](https://infosec.exchange/@SophosXOps/111925140107889131) on Mastodon. "The .MSI extracts the DLL from the .cab, and executes it using shellcode. The shellcode causes the DLL to spawn a second copy of itself and inject the bot code into the second instance's memory space."


The latest QakBot artifacts have been found to harden the encryption used to conceal strings and other information, including employing a [crypter malware](https://thehackernews.com/2023/03/new-scrubcrypt-crypter-used-in.html) called DaveCrypter, making it more challenging to analyze. The new generation also reinstates the ability to detect whether the malware was running inside a virtual machine or sandbox.


Another crucial modification includes encrypting all communications between the malware and the command-and-control (C2) server using AES-256, a stronger method than was used in versions prior to the dismantling of QakBot's infrastructure in late August 2023.


"The takedown of the QakBot botnet infrastructure was a victory, but the bot's creators remain free, and someone who has access to QakBot's original source code has been experimenting with new builds and testing the waters with these latest variants," Andrew Brandt, principal researcher at Sophos X-Ops, said.


"One of the most notable changes involve a change to the encryption algorithm the bot uses to conceal default configurations hardcoded into the bot, making it more difficult for analysts to see how the malware operates; the attackers are also restoring previously deprecated features, such as virtual machine (VM) awareness, and testing them out in these new versions."


The development comes as Malwarebytes [revealed](https://www.malwarebytes.com/blog/news/2024/02/remote-monitoring-management-software-used-in-phishing-attacks) a new campaign in which phishing sites mimicking financial institutions like Barclays trick potential targets into downloading legitimate remote desktop software like AnyDesk to purportedly resolve non-existent issues and ultimately allow threat actors to gain control of the machine.


  





## Tags:


### Autogenerated tags:
[[qakbot]] [[malware]] [[msi]] [[dll]]
