# CERT-UA Uncovers Gamaredon's Rapid Data Exfiltration Tactics Following Initial Compromise
## New report reveals the alarming activities of Gamaredon, a notorious Russian hacking crew. They exploit email and messaging platforms to compromise.
## Information:

+ Link: https://thehackernews.com/2023/07/cert-ua-uncovers-gamaredons-rapid-data.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 17 July 2023, 10:47
+ Date scraped: 17 July 2023, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhZAMhWN_0VegOrky7Iy60QwohUQfDoKIosgsH1TGlLwR8cP9UMphEqtzmjNSMvWJCjd2g2iyD1SNtukK0NDbBRfqYNl_6beVu1fceBlZhdwS3sPSK-ojYSM4Gy44Ati6Lytj9mheJFF0pBhVTI6vrEA9HV9dUJHxnRAh1m943HbMdhPm14x3VylCWuYChH/s728-e3650/ms.jpg)


The Russia-linked threat actor known as Gamaredon has been observed conducting data exfiltration activities within an hour of the initial compromise.


"As a vector of primary compromise, for the most part, emails and messages in messengers (Telegram, WhatsApp, Signal) are used, in most cases, using previously compromised accounts," the Computer Emergency Response Team of Ukraine (CERT-UA) [said](https://cert.gov.ua/article/5160737) in an analysis of the group published last week.


[Gamaredon](https://thehackernews.com/2023/02/new-russian-backed-gamaredons-spyware.html), also called Aqua Blizzard, Armageddon, Shuckworm, or UAC-0010, is a [state-sponsored actor](https://thehackernews.com/2023/06/new-report-reveals-shuckworms-long.html) with ties to the SBU Main Office in the Autonomous Republic of Crimea, which was annexed by Russia in 2014. The group is estimated to have infected thousands of government computers.


It is also one of the [many Russian hacking crews](https://thehackernews.com/2023/07/picassoloader-malware-used-in-ongoing.html) that have maintained an [active presence](https://therecord.media/killnet-cybercrime-group-russia-kremlin-hacking-company) since the start of the Russo-Ukrainian war in February 2022, leveraging phishing campaigns to deliver PowerShell backdoors such as GammaSteel to conduct reconnaissance and execute additional commands.


The messages typically come bearing an archive containing an HTM or HTA file that, when opened, activates the attack sequence.


[![Data Exfiltration](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh8bjmrsThu4_EsokM8jfhWnLSlaePUEP3DJdqo2DUVz4U1e4r-8VKj9WAHcOkkKy8p-o1Z9khIjHxyaLh-fetnvdaVK_bTFG3wENJ6QO-_C4HmrKJRZ5DdTGivBhaFMipSaZazFIAZr4D2xhI7K_Cd1NwyfzVBSI4hJ7NBcRiQlO0xTl43aeADYO79X8lS/s728-e3650/flow.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh8bjmrsThu4_EsokM8jfhWnLSlaePUEP3DJdqo2DUVz4U1e4r-8VKj9WAHcOkkKy8p-o1Z9khIjHxyaLh-fetnvdaVK_bTFG3wENJ6QO-_C4HmrKJRZ5DdTGivBhaFMipSaZazFIAZr4D2xhI7K_Cd1NwyfzVBSI4hJ7NBcRiQlO0xTl43aeADYO79X8lS/s728-e365/flow.jpg)
According to CERT-UA, GammaSteel is used to exfiltrate files matching a specific set of extensions – .doc, .docx, .xls, .xlsx, .rtf, .odt, .txt, .jpg, .jpeg, .pdf, .ps1, .rar, .zip, .7z, and .mdb – within a time period of 30 to 50 minutes.


The group has also been observed consistently evolving its tactics, making use of USB infection techniques for propagation. A host operating in a compromised state for a week could have anywhere between 80 to 120 malicious files, the agency noted.


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Join Today](https://thn.news/I26t1VFD)
Also significant is the threat actor's use of AnyDesk software for interactive remote access, PowerShell scripts for session hijacking to bypass two-factor authentication (2FA), and Telegram and Telegraph for fetching the command-and-control (C2) server information.


"Attackers take separate measures to ensure fault tolerance of their network infrastructure and avoid detection at the network level," CERT-UA said. "During the day, the IP addresses of intermediate control nodes can change from 3 to 6 or more times, which, among other things, indicates the appropriate automation of the process."


  





## Tags:


### Autogenerated tags:
[[cert-ua]]
