# CERT-UA Uncovers New Malware Wave Distributing OCEANMAP, MASEPIE, STEELHOOK
## Ukraine's CERT warns of a new phishing campaign by Russia-linked APT28. They're deploying stealthy malware like MASEPIE and STEELHOOK.
## Information:

+ Link: https://thehackernews.com/2023/12/cert-ua-uncovers-new-malware-wave.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 29 December 2023, 16:11
+ Date scraped: 29 December 2023, 11:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhD4A4omJ02NyFn0YwmIo6xgybPMbyvzQhRsKm9mcfvTeAwURTqF3_hIFaIhK0-vUm6WL_E0k6lFewvFw4mk32BhE6ZrgRRDyFmzlMzlNjiaJWhfdHOpEQiEwAmtQ4oK0FPEBCjfEo4a1s9hY7jKal7v0mPwvD7ySdkIFSemEmdeM_hWpGAgAe8xODbarX0/s728-rw-ft-e30/malware.jpg)


The Computer Emergency Response Team of Ukraine (CERT-UA) has warned of a new phishing campaign orchestrated by the [Russia-linked APT28 group](https://thehackernews.com/2023/06/microsoft-warns-of-widescale-credential.html) to deploy previously undocumented malware such as OCEANMAP, MASEPIE, and STEELHOOK to harvest sensitive information.


The activity, which was [detected](https://cert.gov.ua/article/6276894) by the agency between December 15 and 25, 2023, targets government entities with email messages urging recipients to click on a link to view a document.


 UPCOMING WEBINAR  [From USER to ADMIN: Learn How Hackers Gain Full Control](https://thehacker.news/privilege-escalation-art?source=inside)  Discover the secret tactics hackers use to become admins, how to detect and block it before it's too late. Register for our webinar today.

 [Join Now](https://thehacker.news/privilege-escalation-art?source=inside) 
However, to the contrary, the links redirect to malicious web resources that abuse JavaScript and the ["search-ms:" URI protocol handler](https://thehackernews.com/2023/07/hackers-abusing-windows-search-feature.html) to drop a Windows shortcut file (LNK) that launches PowerShell commands to activate an infection chain for a new malware known as MASEPIE.


MASEPIE is a Python-based tool to download/upload files and execute commands, with communications with the command-and-control (C2) server taking place over an encrypted channel using the TCP protocol.


The attacks further pave the way for the deployment of additional malware, including a PowerShell script called STEELHOOK that's capable of harvesting web browser data and exporting it to an actor-controlled server in Base64-encoded format.


Also delivered is a C#-based backdoor dubbed OCEANMAP that's designed to execute commands using cmd.exe.


"The [IMAP protocol](https://en.wikipedia.org/wiki/Internet_Message_Access_Protocol) is used as a control channel," CERT-UA said, adding persistence is achieved by creating a URL file named "VMSearch.url" in the Windows Startup folder.


"Commands, in Base64-encoded form, are contained in the 'Drafts' of the corresponding email directories; each of the drafts contains the name of the computer, the name of the user and the version of the OS. The results of the commands are stored in the inbox directory."


The agency further pointed out that reconnaissance and lateral movement activities are carried out within an hour of the initial compromise by taking advantage of tools like [Impacket and SMBExec](https://www.varonis.com/blog/insider-danger-stealthy-password-hacking-with-smbexec).


The disclosure comes weeks after IBM X-Force [revealed](https://thehackernews.com/2023/12/russian-apt28-hackers-targeting-13.html) APT28's use of lures related to the ongoing Israel-Hamas war to facilitate the delivery of a custom backdoor called HeadLace.


In recent weeks, the prolific Kremlin-backed hacking group has also been [attributed](https://thehackernews.com/2023/12/microsoft-warns-of-kremlin-backed-apt28.html) to the exploitation of a now-patched critical security flaw in its Outlook email service (CVE-2023-23397, CVSS score: 9.8) to gain unauthorized access to victims' accounts within Exchange servers.


  





## Tags:
***CVE's***: CVE-2023-23397

### Autogenerated tags:
[[malware]] [[masepie]]
