# Cacti, Realtek, and IBM Aspera Faspex Vulnerabilities Under Active Exploitation
## Critical security flaws in Cacti, Realtek, and IBM Aspera Faspex are being exploited by hackers! Unpatched systems are at risk.
## Information:

+ Link: https://thehackernews.com/2023/04/cacti-realtek-and-ibm-aspera-faspex.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 April 2023, 04:51
+ Date scraped: 01 April 2023, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiqpZyxBrsZW1F87DAT4zWmeD9LegkJFTCEc4grYjeghJ5PVZ82AzeB9vSdkso_uuz-Vuguljon1b65NeGnwDyukzUR_oXCNK9NjjXgBu3sm2w-rA9KzqC5ChI_jkIzMLp1UfEIbgRKkIGsHaXS_FTEnxyvENKoBRJfYm7xXftYAUmfBeY_VsauUATd/s728-e3650/botnet.png)


Critical security flaws in Cacti, Realtek, and IBM Aspera Faspex are being exploited by various threat actors in hacks targeting unpatched systems.


This entails the abuse of [CVE-2022-46169](https://nvd.nist.gov/vuln/detail/CVE-2022-46169) (CVSS score: 9.8) and [CVE-2021-35394](https://nvd.nist.gov/vuln/detail/CVE-2021-35394) (CVSS score: 9.8) to deliver [MooBot](https://thehackernews.com/2022/09/mirai-variant-moobot-botnet-exploiting.html) and [ShellBot](https://thehackernews.com/2023/03/new-shellbot-ddos-malware-targeting.html) (aka PerlBot), Fortinet FortiGuard Labs [said](https://www.fortinet.com/blog/threat-research/moobot-strikes-again-targeting-cacti-and-realtek-vulnerabilities) in a report published this week.


[CVE-2022-46169](https://thehackernews.com/2023/01/cacti-servers-under-attack-as-majority.html) relates to a critical authentication bypass and command injection flaw in Cacti servers that allows an unauthenticated user to execute arbitrary code. [CVE-2021-35394](https://thehackernews.com/2023/01/realtek-vulnerability-under-attack-134.html) also concerns an arbitrary command injection vulnerability impacting the Realtek Jungle SDK that was patched in 2021.


While the latter has been previously exploited to distribute botnets like Mirai, Gafgyt, Mozi, and RedGoBot, the development marks the first time it has been utilized to deploy MooBot, a Mirai variant known to be active since 2019.


The Cacti flaw, besides being leveraged for MooBot attacks, has also been observed serving ShellBot payloads since January 2023, when the issue came to light.


At least three different versions of ShellBot have been detected – viz. PowerBots (C) GohacK, LiGhT's Modded perlbot v2, and B0tchZ 0.2a – the first two of which were [recently disclosed](https://thehackernews.com/2023/03/new-shellbot-ddos-malware-targeting.html) by the AhnLab Security Emergency response Center (ASEC).


[![Vulnerabilities Under Active Exploitation](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjhhQhiAblhVo5lpsUc49NhVBagiY9j_uibsOVZW0L-0NFSPlqQDOcd-h5Ow_48uTuNMxOsO0bs2Zw1I7EYXqFnJDqoUD6Ypm5X540w3rANfFk0CuIsi3lTTAndoiRuuAt5OX_uvYIXLRluH--5S2km558IHxk7QQsbAoIhvAgAQ6EzQqzGVN40HRh7/s728-e365/exploit.png)
All three variants are capable of orchestrating distributed denial-of-service (DDoS) attacks. PowerBots (C) GohacK and B0tchZ 0.2a also feature backdoor capabilities to carry out file uploads/downloads and launch a reverse shell.


"Compromised victims can be controlled and used as DDoS bots after receiving a command from a C2 server," Fortinet researcher Cara Lin said. "Because MooBot can kill other botnet processes and also deploy brute force attacks, administrators should use strong passwords and change them periodically."


### Active Exploitation of IBM Aspera Faspex Flaw[#](#active-exploitation-of-ibm-aspera-faspex-flaw)


A third security vulnerability that has come under active exploitation is [CVE-2022-47986](https://nvd.nist.gov/vuln/detail/CVE-2022-47986) (CVSS score: 9.8), a critical YAML deserialization issue in IBM's Aspera Faspex file exchange application.


The [bug](https://thehackernews.com/2023/02/us-cybersecurity-agency-cisa-adds-three.html), patched in December 2022 (version [4.4.2 Patch Level 2](https://www.ibm.com/support/pages/node/6952319)), has been co-opted by cybercriminals in ransomware campaigns associated with [Buhti](https://attackerkb.com/topics/jadqVo21Ub/cve-2022-47986/rapid7-analysis) and [IceFire](https://thehackernews.com/2023/03/icefire-linux-ransomware.html) since February, shortly after the release of the proof-of-concept (PoC) exploit.


Cybersecurity firm Rapid7, earlier this week, [revealed](https://www.rapid7.com/blog/post/2023/03/28/etr-active-exploitation-of-ibm-aspera-faspex-cve-2022-47986/) that one of its customers was compromised by a security flaw, necessitating that users move quickly to apply the fixes to prevent potential risks.


"Because this is typically an internet-facing service and the vulnerability has been linked to ransomware group activity, we recommend taking the service offline if a patch cannot be installed right away," the company said.



  





## Tags:
***CVE's***: CVE-2022-47986 CVE-2022-46169 CVE-2021-35394

### Autogenerated tags:
[[moobot]] [[aspera]] [[faspex]] [[cvss]] [[shellbot]]
