# Camaro Dragon Strikes with New TinyNote Backdoor for Intelligence Gathering
## Beware of TinyNote backdoor! Camaro Dragon's latest cyber weapon that bypasses antivirus, uses persistence tactics.
## Information:

+ Link: https://thehackernews.com/2023/06/camaro-dragon-strikes-with-new-tinynote.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 02 June 2023, 15:38
+ Date scraped: 02 June 2023, 11:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh_w6uFlxq2meswi3Thw7r-i-fg-ueMNDoiOjB_RQoT3y3zN9gYWXpjoMNAzQpWyeHN1B8Cbu7c2mljWQ3MAcUpj6td8vLyCq1Uhm_AXgVElaAjYrf4doFucZh0d7JaR95ZsgBIMQsntc1FgeMm2jY8Ts8FMCqtJUqXZH29hY6NuXi8HePVQtlU5bRV/s728-e3650/dragon.jpg)


The Chinese nation-stage group known as **Camaro Dragon** has been linked to yet another backdoor that's designed to meet its intelligence-gathering goals.


Israeli cybersecurity firm Check Point, which [dubbed](https://research.checkpoint.com/2023/malware-spotlight-camaro-dragons-tinynote-backdoor/) the Go-based malware TinyNote, said it functions as a first-stage payload capable of "basic machine enumeration and command execution via PowerShell or Goroutines."


What the malware lacks in terms of sophistication, it makes up for it when it comes to establishing redundant methods to retain access to the compromised host by means of multiple persistency tasks and varied methods to communicate with different servers.


Camaro Dragon overlaps with a threat actor widely tracked as Mustang Panda, a state-sponsored group from China that is known to be active since at least 2012.


The threat actor was recently in the spotlight for a custom bespoke firmware implant called [Horse Shell](https://thehackernews.com/2023/05/chinas-mustang-panda-hackers-exploit-tp.html) that co-opts TP-Link routers into a mesh network capable of transmitting commands to and from the command-and-control (C2) servers.


In other words, the goal is to obscure the malicious activity by using compromised home routers as intermediate infrastructure that allows communications with infected computers to emanate from a different node.


The latest findings demonstrate the evolution and growth in sophistication of both attackers' evasion tactics and targeting, not to mention the mixture of custom tools used to breach the defenses of different targets.


The TinyNote backdoor is distributed using names related to foreign affairs (e.g., "PDF\_ Contacts List Of Invitated Deplomatic Members"), and likely targets Southeast and East Asian embassies. It's also the first known Mustang Panda artifact written in Golang.


A noteworthy aspect of the malware is its ability to specifically bypass an Indonesian antivirus solution called Smadav, underscoring its high level of preparation and deep knowledge of the victims' environments.


"The TinyNote backdoor highlights the targeted approach of Camaro Dragon and the extensive research they conduct prior to infiltrating their intended victims' systems," Check Point said.


"The simultaneous use of this backdoor together with other tools with different levels of technical advancement implies that the threat actors are actively seeking to diversify their attack arsenal."


The disclosure comes as ThreatMon [uncovered](https://threatmon.io/apt41s-attack-chain-exe-lolbins-leads-to-powershell-backdoor-with-telegram-c2/) APT41's (aka [Wicked Panda](https://thehackernews.com/2023/04/google-uncovers-apt41s-use-of-open.html)) use of living-off-the-land ([LotL](https://www.crowdstrike.com/cybersecurity-101/living-off-the-land-attacks-lotl/)) techniques to launch a PowerShell backdoor by leveraging a legitimate Windows executable called [forfiles](https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/forfiles).


 UPCOMING WEBINAR 🔐 Mastering API Security: Understanding Your True Attack Surface Discover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

 [Supercharge Your Skills](https://thn.news/z-inside-2).ad-button,.ad-label,.ad-label:after{display:inline-block}.ad\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.ad-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.ad-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.ad-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.ad-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.ad-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
That's not all. High-level government officials from G20 nations have emerged as a target of a new phishing campaign orchestrated by another Chinese threat actor referred to as Sharp Panda, per [Cyble](https://blog.cyble.com/2023/06/01/sharppanda-apt-campaign-expands-its-arsenal-targeting-g20-nations/).


The emails contain booby-trapped versions of purported official documents, which employ the remote template injection method to retrieve the next-stage downloader from the C2 server using the Royal Road Rich Text Format (RTF) weaponizer.


It's worth pointing out that the aforementioned infection chain is [consistent](https://thehackernews.com/2023/03/sharp-panda-using-new-soul-framework.html) with previous Sharp Panda activity, as recently evidenced by Check Point in attacks aimed at government entities in Southeast Asia.


What's more, the People's Liberation Army ([PLA](https://en.wikipedia.org/wiki/People%27s_Liberation_Army)) of China has been found leveraging open-source information available from the internet and other sources for military intelligence purposes to gain a strategic advantage over the West.


"The PLA's use of [OSINT](https://en.wikipedia.org/wiki/Open-source_intelligence) very likely provides it an intelligence advantage, as the West's open information environment allows the PLA to easily harvest large quantities of open-source data, whereas Western militaries must contend with China's closed information environment," Recorded Future [noted](https://www.recordedfuture.com/private-eyes-chinas-embrace-open-source-military-intelligence).


The analysis draws from a list of 50 PLA and Chinese defense industry procurement records that were published between January 2019 and January 2023.


"Commercial data providers should also be aware that China's military and defense industry could be purchasing their data for intelligence purposes, and should consider carrying out due diligence when selling their data to entities in China," the company said.


  





## Tags:


### Autogenerated tags:
[[pla]] [[camaro]] [[malware]] [[tinynote]]
