# ChamelDoH: New Linux Backdoor Utilizing DNS-over-HTTPS Tunneling for Covert CnC
## ChamelGang's new weapon unveiled: ChamelDoH. This powerful Linux backdoor uses DNS-over-HTTPS for covert communication.
## Information:

+ Link: https://thehackernews.com/2023/06/chameldoh-new-linux-backdoor-utilizing.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 16 June 2023, 19:24
+ Date scraped: 16 June 2023, 14:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiUEsML6HdSRj2sjXaSmsZvzqyZVsfdT6B3B6I1rOrgvmtuey9J5Qld0Cu48hTNEQ1VOCgi__0V_ZweyIsXexwCFVTZP1--bsgvgEqkG9vc389eb_tK92XImB9LNM1HejzQZkjwPbBTnH-Y6wXiR8QjmTRJCTeAPsBljsc-cxQoWBp5WHVNwxagGjp5/s728-e3650/linux.jpg)


The threat actor known as **ChamelGang** has been observed using a previously undocumented implant to backdoor Linux systems, marking a new expansion of the threat actor's capabilities.


The malware, dubbed [ChamelDoH](https://stairwell.com/news/chamelgang-and-chameldoh-a-dns-over-https-implant/) by Stairwell, is a C++-based tool for communicating via DNS-over-HTTPS ([DoH](https://thehackernews.com/2021/01/nsa-suggests-enterprises-use-designated.html)) tunneling.


ChamelGang was [first outed](https://thehackernews.com/2021/10/a-new-apt-hacking-group-targeting-fuel.html) by Russian cybersecurity firm Positive Technologies in September 2021, detailing its attacks on fuel, energy, and aviation production industries in Russia, the U.S., India, Nepal, Taiwan, and Japan.


Attack chains mounted by the actor have leveraged vulnerabilities in Microsoft Exchange servers and Red Hat JBoss Enterprise Application to gain initial access and carry out data theft attacks using a passive backdoor called DoorMe.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-2)
"This is a native [IIS module](https://thehackernews.com/2021/08/several-malware-families-targeting-iis.html) that is registered as a filter through which HTTP requests and responses are processed," Positive Technologies said at the time. "Its principle of operation is unusual: the backdoor processes only those requests in which the correct cookie parameter is set."


The Linux backdoor discovered by Stairwell, for its part, is designed to capture system information and is capable of remote access operations such as file upload, download, deletion, and shell command execution.


[![Linux Backdoor](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg8VhG5A5caeCLt5EUQR1sPWMjwQBrYXSvqumjDcvTRlAzR44WUB1GTOJyeX6d3JcfPRLnfPirRs3w-Fuw4dgciuXEwAPd0iDj3U8Z6Nn6bN8-3zyYMqP9UAkxjQCnKDuL2DIbeVJ8Kcb_unkdS6vmGF69sTeV62P5n8a6ImZ1WJY015RdCUhrmEql7/s728-e365/doh.jpg)
What makes ChamelDoH unique is its novel communication method of using DoH, which is used to perform Domain Name System (DNS) resolution via the HTTPS protocol, to send [DNS TXT requests](https://www.cloudflare.com/learning/dns/dns-records/dns-txt-record/) to a rogue [nameserver](https://www.cloudflare.com/learning/dns/dns-records/dns-ns-record/).


"Due to these DoH providers being commonly utilized DNS servers [i.e., Cloudflare and Google] for legitimate traffic, they cannot easily be blocked enterprise-wide," Stairwell researcher Daniel Mayer said.


The use of DoH for command-and-control (C2) also offers additional benefits for the threat actor in that the requests cannot be intercepted by means of an adversary-in-the-middle (AitM) attack owing to the use of the HTTPS protocol.


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Join the Webinar](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
This also means that security solutions cannot identify and prohibit malicious DoH requests and sever the communications, thereby turning it to an encrypted channel between a compromised host and the C2 server.


"The result of this tactic is akin to C2 via domain fronting, where traffic is sent to a legitimate service hosted on a CDN, but redirected to a C2 server via the request's Host header – both detection and prevention are difficult," Mayer explained.


The California-based cybersecurity firm said it detected a total of 10 ChamelDoH samples on VirusTotal, one of which was uploaded back on December 14, 2022.


The latest findings show that the "group has also devoted considerable time and effort to researching and developing an equally robust toolset for Linux intrusions," Mayer said.



  





## Tags:


### Autogenerated tags:
[[c2]] [[linux]] [[chameldoh]] [[dns]]
