# Charming Kitten Targets Iranian Dissidents with Advanced Cyber Attacks
## Germany's BfV warns of ongoing cyber attacks by Charming Kitten, targeting Iranians in Germany.
## Information:

+ Link: https://thehackernews.com/2023/08/charming-kitten-targets-iranian.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 14 August 2023, 16:30
+ Date scraped: 14 August 2023, 12:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgb54ewcuEGDF1Ml-eiLx9uRBRAXjsURxrrOl8brPicxa24xRgcz7cvHnsaqOA54rjj_b9bIQuM9CP5tn8CfqkF5ORJ4sxnzjwTzPPSfvKaZkZuVDtQcCY6xA7-9a4CKBcbgstNcrwKZ8238L8NXm4Y1jSYZ8ymE0cx2tBTDIV6GZOnXywxrj_2IqdpQbn0/s728-e365/cyberattack.jpg)


Germany's Federal Office for the Protection of the Constitution (BfV) has warned of cyber attacks targeting Iranian persons and organizations in the country since the end of 2022.


"The cyber attacks were mainly directed against dissident organizations and individuals – such as lawyers, journalists, or human rights activists – inside and outside Iran," the agency [said](https://www.verfassungsschutz.de/SharedDocs/kurzmeldungen/DE/2023/2023-08-10-cyber-brief-01-2023.html) in an advisory.


The intrusions have been attributed to a threat actor called [Charming Kitten](https://thehackernews.com/2023/07/iranian-hackers-sophisticated-malware.html), which is also tracked under the names APT35, Mint Sandstorm, TA453 and Yellow Garuda.


While Iranian nation-state actors lag behind their Russian and Chinese counterparts in sophistication, they have demonstrated a continued advancement of tools and techniques, adding an arsenal of custom malware to facilitate information gathering and rapidly exploiting n-day security flaws to obtain initial access.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjDdxUPmQ8UJQm7kd9rIBsYCDlCQoR3bqVu4rchvOWFKGtnDq1ldILMskU-tlbXnHlWQVvGxivE1Fe-Lh5dJlECjsiblKiu8sbqMdqKgxy97B6MLcQuXtpP2lOmhjny2d5jmCkjl9wSzPqoLkAQ2KHee1cno62wV4IXDkMLIFfzgANa6DJDIBjFicKsID_i/s728-e3650/1.png)](https://thn.news/edWGl41h)
Charming Kitten, in particular, has a long, [storied history](https://thehackernews.com/2023/04/iranian-hackers-launch-sophisticated.html) of leveraging elaborate social engineering and fictitious online identities that are tailor-made to target victims. It also impersonates real journalists and NGO employees in a bid to build rapport and increase the likelihood of success of the attacks.


Once a successful contact is made, the hacking crew has been observed sending links to an online video chat that, when clicked, urge victims to enter their login information on a phishing page, effectively resulting in credential theft. The phishing site impersonates a legitimate online service provider such as Google or Microsoft.


"If an online video chat occurs, it serves to conceal the attack," BfV said. "After logging in to the victim's user account from a C2 server6, the attacker is able to download the entire user data, e.g. by means of Google Takeout."


It's worth noting that the Google Threat Analysis Group (TAG), in August 2022, detailed a malware called [HYPERSCRAPE](https://thehackernews.com/2022/08/google-uncovers-tool-used-by-iranian.html) used by the threat actor to retrieve user data from Gmail, Yahoo!, and Microsoft Outlook accounts.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
The attacks also mirror prior findings from [Certfa Lab](https://blog.certfa.com/posts/charming-kitten-can-we-wave-a-meeting/) and Human Rights Watch (HRW), which [disclosed](https://thehackernews.com/2022/12/iranian-state-hackers-targeting-key.html) a credential phishing campaign aimed at human rights activists, journalists, researchers, academics, diplomats, and politicians working in the Middle East around the same time.


The development comes as Sophos revealed a mobile malware campaign targeting customers of four Iranian banks, Bank Mellat, Bank Saderat, Resalat Bank, and Central Bank of Iran, with as many as [40 bogus Android apps](https://github.com/sophoslabs/IoCs/blob/master/Iranian-banking-malware.csv) designed to steal sensitive information.


"All the apps, which were available for download between December 2022 and May 2023, collect internet banking login credentials and credit card details, and have several other capabilities," security researcher Pankaj Kohli [said](https://news.sophos.com/en-us/2023/07/27/uncovering-an-iranian-mobile-malware-campaign/) in a report published late last month.


This includes "hiding their icons to maintain stealth and intercepting incoming SMS messages which some banks use as part of multi-factor authentication schemes." Also present is a feature to search the infected device for several other apps relating to banking, payment, or cryptocurrency.


  





## Tags:


### Autogenerated tags:
[[malware]] [[phishing]] [[google]] [[apps]]
