# China's Mustang Panda Hackers Exploit TP-Link Routers for Persistent Attacks
## Chinese nation-state actor Mustang Panda is utilizing custom firmware implants for TP-Link routers and compromising networks.
## Information:

+ Link: https://thehackernews.com/2023/05/chinas-mustang-panda-hackers-exploit-tp.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 16 May 2023, 20:15
+ Date scraped: 16 May 2023, 15:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhQ5XqYnvryTXAKVIEDnvYrQqdDuZLp6uHFQytkgACSDbb6zj2S6eBU3OHeafcHmHzgA_eXn5_BL_I8yMW7qbCVDAllINKnG-A5HULTpaPdf8LwB3q8pYFbbPQp-byqKBfQbYVoBQ2UUwcmzsR8E2LkiBOFFVzaizod3PEEl3G8dR5AMHWf3_sgN9Fw/s728-e3650/trojan.png)


The Chinese nation-state actor known as **Mustang Panda** has been linked to a new set of sophisticated and targeted attacks aimed at European foreign affairs entities since January 2023.


An analysis of these intrusions, per Check Point researchers Itay Cohen and Radoslaw Madej, has revealed a custom firmware implant designed explicitly for TP-Link routers.


"The implant features several malicious components, including a custom backdoor named 'Horse Shell' that enables the attackers to maintain persistent access, build anonymous infrastructure, and enable lateral movement into compromised networks," the company [said](https://research.checkpoint.com/2023/the-dragon-who-sold-his-camaro-analyzing-custom-router-implant/).


"Due to its firmware-agnostic design, the implant's components can be integrated into various firmware by different vendors."


The Israeli cybersecurity firm is tracking the threat group under the name Camaro Dragon, [which](https://thehackernews.com/2023/02/google-reveals-alarming-surge-in.html) is [also known as](https://thehackernews.com/2023/03/researchers-uncover-chinese-nation.html) BASIN, Bronze President, Earth Preta, HoneyMyte, RedDelta, and Red Lich.


The exact method used to deploy the tampered firmware images on the infected routers is currently unknown, as is its usage and involvement in actual attacks. It's suspected that initial access may have been acquired by exploiting known security flaws or brute-forcing devices with default or easily guessable passwords.


What is known is that the C++-based Horse Shell implant provides attackers the ability to execute arbitrary shell commands, upload and download files to and from the router, and relay communication between two different clients.


[![Exploit TP-Link Routers](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjHhlvE0S4xb104LFs-nQKeWIOA-5oQ00z1u3Os8Kl9a6bGq217E7I7Tl2eQN3c0MA7P1cIeH3vDDcePs--Ih6OixQufObXJadVvcCxk_6y6pqbWh5rWyJTxbl4f-uOeNz15ERw9l3VVAPAA4JV1QCwSgd18asUUuzz7IB4JcjOxSv4-3DEWSUruoMP/s728-e365/router.png)
But in an interesting twist, the router backdoor is believed to target arbitrary devices on residential and home networks, suggesting that the compromised routers are being co-opted into a mesh network with the goal of creating a "chain of nodes between main infections and real command-and-control."


In relaying communications between infected routers by using a SOCKS tunnel, the idea is to introduce an additional layer of anonymity and conceal the final server, as each node in the chain contains information only about the nodes preceding and succeeding it.


Put differently, the methods obscure the origin and destination of the traffic in a manner analogous to TOR, making it a lot more challenging to detect the scope of the attack and disrupt it.


"If one node in the chain is compromised or taken down, the attacker can still maintain communication with the C2 by routing traffic through a different node in the chain," the researchers explained.


That said, this is not the first time China-affiliated threat actors have relied on a network of compromised routers to meet their strategic objectives.


In 2021, the National Cybersecurity Agency of France (ANSSI) [detailed](https://www.cert.ssi.gouv.fr/cti/CERTFR-2021-CTI-013/%20https://thehackernews.com/2021/02/chinese-hackers-had-access-to-us.html) an intrusion set orchestrated by [APT31](https://thehackernews.com/2021/02/chinese-hackers-had-access-to-us.html) (aka [Judgement Panda or Violet Typhoon](https://thehackernews.com/2021/08/new-chinese-spyware-being-used-in.html)) that leveraged a piece of advanced malware known as Pakdoor (or SoWat) to allow the infected routers to communicate with each other.


"The discovery is yet another example of a long-standing trend of Chinese threat actors to exploit internet-facing network devices and modify their underlying software or firmware," the researchers said.



  





## Tags:


### Autogenerated tags:

