# China-Linked Group Breaches Networks via Connectwise, F5 Software Flaws
## China-linked threat group aggressively exploits software flaws in Connectwise ScreenConnect & F5 BIG-IP.
## Information:

+ Link: https://thehackernews.com/2024/03/china-linked-group-breaches-networks.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 22 March 2024, 16:58
+ Date scraped: 22 March 2024, 12:04

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjX1OrN3yoHpCp3MoqtXumV3yhBw20fgRopKie-_WJUnwDR5Qs9ZrGRpSGgcBJUdnN898Y3W-ajxhQLoYhrf7fZE_jnBKfE0DqcWwcsRtDc_XBP9OEaFZg8m3E247yh3mKss4FIjUQr-JhqJ6nJepPkLAuLVz714JnHmD4ZZkGVQJspDeQyF-cR1hsDL1vO/s728-rw-e365/chinese-hackers.jpg)


A China-linked threat cluster leveraged security flaws in Connectwise ScreenConnect and F5 BIG-IP software to deliver custom malware capable of delivering additional backdoors on compromised Linux hosts as part of an "aggressive" campaign.


Google-owned Mandiant is [tracking](https://www.mandiant.com/resources/blog/initial-access-brokers-exploit-f5-screenconnect) the activity under its uncategorized moniker **UNC5174** (aka Uteus or Uetus), describing it as a "former member of Chinese hacktivist collectives that has since shown indications of acting as a contractor for China's Ministry of State Security (MSS) focused on executing access operations."


The threat actor is believed to have orchestrated widespread attacks against Southeast Asian and U.S. research and education institutions, Hong Kong businesses, charities and non-governmental organizations (NGOs), and U.S. and U.K. government organizations between October and November 2023, and again in February 2024 using the ScreenConnect bug.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
Initial access to target environments is facilitated by the exploitation of known security flaws in Atlassian Confluence ([CVE-2023-22518](https://thehackernews.com/2023/10/atlassian-warns-of-new-critical.html)), ConnectWise ScreenConnect ([CVE-2024-1709](https://thehackernews.com/2024/02/critical-flaws-found-in-connectwise.html)), F5 BIG-IP ([CVE-2023-46747](https://thehackernews.com/2023/10/f5-issues-warning-big-ip-vulnerability.html)), Linux Kernel ([CVE-2022-0185](https://thehackernews.com/2022/01/12-year-old-polkit-flaw-lets.html)), and Zyxel ([CVE-2022-3052](https://nvd.nist.gov/vuln/detail/CVE-2022-3052)).


A successful foothold is followed by extensive reconnaissance and scanning of internet-facing systems for security vulnerabilities, with UNC5174 also creating administrative user accounts to execute malicious actions with elevated privileges, including dropping a C-based ELF downloader dubbed SNOWLIGHT.


SNOWLIGHT is designed to download the next-stage payload, an obfuscated Golang backdoor named GOREVERSE, from a remote URL that's related to [SUPERSHELL](https://github.com/tdragon6/Supershell), an open-source command-and-control (C2) framework that allows attackers to [establish a reverse SSH tunnel](https://www.broadcom.com/support/security-center/attacksignatures/detail?asid=34274) and launch interactive shell sessions to execute arbitrary code.


Also put to use by the threat actor is a Golang-based tunneling tool known as GOHEAVY, which is likely employed to facilitate lateral movement within compromised networks, as well as other programs like [afrog](https://github.com/zan8in/afrog), DirBuster, Metasploit, Sliver, and sqlmap.


[![Connectwise, F5 Software Flaws](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgZdBei4k6D_IxdYw7Wh9ODJCJ1-qHt1ixhkXZcMJjt9doi1StOBrnbJyTKvn2w_B95gOOM4BSdcS44aziHth8MpcnkU-QFC8seqt4Y6ksKdW8GC2Kicgcj_Hi6ox_qjX2UFPPnyYz7W4K6SbyjOJoFXsqDmh3ZdnBFHwFBcBhgvgJjc81FL-P3x8e-309j/s728-rw-e365/hackers.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgZdBei4k6D_IxdYw7Wh9ODJCJ1-qHt1ixhkXZcMJjt9doi1StOBrnbJyTKvn2w_B95gOOM4BSdcS44aziHth8MpcnkU-QFC8seqt4Y6ksKdW8GC2Kicgcj_Hi6ox_qjX2UFPPnyYz7W4K6SbyjOJoFXsqDmh3ZdnBFHwFBcBhgvgJjc81FL-P3x8e-309j/s728-rw-e365/hackers.jpg)
In one unusual instance spotted by the threat intelligence firm, the threat actors have been found to apply mitigations for CVE-2023-46747 in a likely attempt to prevent other unrelated adversaries from weaponizing the same loophole to obtain access.


"UNC5174 (aka Uteus) was previously a member of Chinese hacktivist collectives 'Dawn Calvary' and has collaborated with 'Genesis Day' / 'Xiaoqiying' and 'Teng Snake,'" Mandiant assessed. "This individual appears to have departed these groups in mid-2023 and has since focused on executing access operations with the intention of brokering access to compromised environments."


There is evidence to suggest that the threat actor may be an initial access broker, even claiming to be affiliated with the MSS in dark web forums. This is bolstered by the fact some of the U.S. defense and U.K. government entities were simultaneously targeted by another access broker referred to as [UNC302](https://thehackernews.com/2020/07/chinese-hackers-covid19.html).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiq3FD_K5jS19OiNrl_zJkHFPA5uRlxhWj-jrr23FY6-XPfhWmbo9d2hGEAU7haozVp8oJP6WDTShcroe-tunJMeq5PVdoOrePEC_-bzW8DlT4Dpp7r5CvIyQxabciMuLITAu8SQT6OeFR8bKOS4GQ32wteZFU8KG6c8a54AY-I7hO5w6Pc-Fzeun9pPY4w/s728-rw-e3650/cis-d.png)](https://thehackernews.uk/cis-hardened-images-platforms)
The findings once again underscore Chinese nation-state groups' continued efforts to breach edge appliances by swiftly co-opting recently disclosed vulnerabilities into their arsenal in order to conduct cyber espionage operations at scale.


"UNC5174 has been observed attempting to sell access to U.S. defense contractor appliances, U.K. government entities, and institutions in Asia in late 2023 following CVE-2023-46747 exploitation," Mandiant researchers said.


"There are similarities between UNC5174 and UNC302, which suggests they operate within an MSS initial access broker landscape. These similarities suggest possible shared exploits and operational priorities between these threat actors, although further investigation is required for definitive attribution."


The disclosure comes as the MSS [warned](https://www.scmp.com/news/china/politics/article/3256216/china-warns-foreign-hackers-are-infiltrating-hundreds-business-and-government-networks) that an unnamed foreign hacking group had infiltrated "hundreds" of Chinese business and government organizations by leveraging phishing emails and known security bugs to breach networks. It did not reveal the threat actor's name or origin.


  





## Tags:
***CVE's***: CVE-2022-3052 CVE-2024-1709 CVE-2022-0185 CVE-2023-22518 CVE-2023-46747

### Autogenerated tags:
[[unc5174]] [[u.s]] [[screenconnect]] [[mandiant]] [[u.k]] [[cve-2023-46747]]
