# China-Linked Hackers Target Myanmar's Top Ministries with Backdoor Blitz
## Chinese hackers Mustang Panda caught red-handed targeting Myanmar's Ministry of Defence and Foreign Affairs
## Information:

+ Link: https://thehackernews.com/2024/01/china-linked-hackers-target-myanmars.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 30 January 2024, 19:15
+ Date scraped: 30 January 2024, 15:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjk-F8L49O-FqoT8x-Bl1anNkIKYo6hiw12xNH1hWZjzjSaM3WO6wH4L5slBsyyKx5EUXQBRh6yzPiplfR7_YpkEXFo-uwMHNVPJcTN_9jOIJwDhjjRJ1mNXd2FYnHmu2HjEVsChncEh1uFDAXt19F0Ao9KHJ4PwnAarqSDa4X0GU6ToTLoEXz83b4DLS1O/s728-rw-ft-e30/chinese.jpg)


The China-based threat actor known as **Mustang Panda** is suspected to have targeted Myanmar's Ministry of Defence and Foreign Affairs as part of twin campaigns designed to deploy backdoors and remote access trojans.


The findings come from CSIRT-CTI, which said the activities took place in November 2023 and January 2024 after artifacts in connection with the attacks were uploaded to the VirusTotal platform.


"The most prominent of these TTPs are the use of legitimate software including a binary developed by engineering firm Bernecker & Rainer (B&R) and a component of the Windows 10 upgrade assistant to sideload malicious dynamic-link libraries (DLLs)," CSIRT-CTI [said](https://csirt-cti.net/2024/01/23/stately-taurus-targets-myanmar/).


Mustang Panda, active since at least 2012, is also recognized by the cybersecurity community under the names BASIN, Bronze President, Camaro Dragon, Earth Preta, HoneyMyte, RedDelta, Red Lich, Stately Taurus, and TEMP.Hex.


In recent months, the adversary has been attributed to attacks targeting an [unnamed Southeast Asian government](https://thehackernews.com/2023/09/new-report-uncovers-three-distinct.html) as well [as the Philippines](https://thehackernews.com/2023/11/mustang-panda-hackers-targets.html) to deliver backdoors capable of harvesting sensitive information.


The November 2023 infection sequence starts with a phishing email bearing a booby-trapped ZIP archive attachment containing a legitimate executable ("Analysis of the third meeting of NDSC.exe") that's originally signed by B&R Industrial Automation GmbH and a DLL file ("BrMod104.dll").


The attack takes advantage of the fact that the binary is susceptible to [DLL search order hijacking](https://thehackernews.com/2024/01/new-variant-of-dll-search-order.html) to [side-load the rogue DLL](https://www.bitdefender.com/blog/businessinsights/tech-explainer-what-is-dll-sideloading/) and subsequently establish persistence and contact with a command-and-control (C2) server and retrieve a known backdoor called [PUBLOAD](https://thehackernews.com/2022/11/chinese-mustang-panda-hackers-actively.html), which, in turn, acts as a custom loader to drop the [PlugX implant](https://thehackernews.com/2023/03/chinese-hackers-targeting-european.html).


[![China-Linked Hackers](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjrRRQoulNPtqi4ksVstIhej2dZ6fWAuAQ8JT9vPuJvB-Bwdl7vJfHXiFnpPd6b1bwAOimvxkK_qdt22ERBrVZFQ5sdghs58h1krYwpnPnH1uquvJa5gyoFEj6P0Qn-WBKz4S-H6w0nq5K1ztM1cuYxWb88rftZ6J6j9v4hyKXRIlm_5_KTujkqylcBgueO/s728-rw-ft-e30/hacker.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjrRRQoulNPtqi4ksVstIhej2dZ6fWAuAQ8JT9vPuJvB-Bwdl7vJfHXiFnpPd6b1bwAOimvxkK_qdt22ERBrVZFQ5sdghs58h1krYwpnPnH1uquvJa5gyoFEj6P0Qn-WBKz4S-H6w0nq5K1ztM1cuYxWb88rftZ6J6j9v4hyKXRIlm_5_KTujkqylcBgueO/s728-rw-ft-e30/hacker.jpg)
"The threat actors attempt to disguise the [C2] traffic as Microsoft update traffic by adding the 'Host: www.asia.microsoft.com' and 'User-Agent: Windows-Update-Agent' headers," CSIRT-CTI noted, mirror a May 2023 campaign [disclosed](https://lab52.io/blog/1943-2/) by Lab52.


On the other hand, the second campaign observed earlier this month employs an optical disc image ("ASEAN Notes.iso") containing LNK shortcuts to trigger a multi-stage process that uses another bespoke loader called [TONESHELL](https://thehackernews.com/2022/11/chinese-mustang-panda-hackers-actively.html) to likely deploy PlugX from a now-inaccessible C2 server.


It's worth noting that a similar attack chain attributed to Mustang Panda was previously [unearthed by EclecticIQ](https://blog.eclecticiq.com/mustang-panda-apt-group-uses-european-commission-themed-lure-to-deliver-plugx-malware) in February 2023 in intrusions aimed at government and public sector organizations across Asia and Europe.


"Following the [rebel attacks in northern Myanmar](https://www.reuters.com/world/asia-pacific/myanmar-army-seeks-restore-order-rebel-alliance-launches-surprise-attacks-2023-10-27/) [in October 2023], China has expressed concern regarding its effect on trade routes and security around the Myanmar-China border," CSIRT-CTI said.


"Stately Taurus operations are known to align with geopolitical interests of the Chinese government, including multiple cyberespionage operations against Myanmar in the past."


  





## Tags:


### Autogenerated tags:
[[csirt-cti]] [[myanmar]] [[dll]]
