# China-linked Daxin Malware Targeted Multiple Governments in Espionage Attacks
## China-linked Daxin malware targets multiple governments and critical infrastructure in widespread cyber espionage attacks.
## Information:

+ Link: https://thehackernews.com/2022/03/china-linked-daxin-malware-targeted.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 March 2022, 08:01
+ Date scraped: 01 March 2022, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEi7rQuEyMmAXur752VnYiMVn9AHig1Xc-tj1gx_0sPVG5gNMVQuMsYdJYxeXeWaT9DivOMnxQz4Vd7QEVGzu8owEQG9zDifUQ2LMsFHe1UAnjxyHl_-lQIFhrOWPCFRS45J9GLAjQJCV25KO74ZFHMFpnFCfFMqrZKXxNoGhDLlQ_kRcuF_1BrhqkIJ=s728-e1000)


A previously undocumented espionage tool has been deployed against selected governments and other critical infrastructure targets as part of a long-running espionage campaign orchestrated by China-linked threat actors since at least 2013.


Broadcom's Symantec Threat Hunter team characterized the backdoor, named [Daxin](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/daxin-backdoor-espionage), as a technologically advanced malware, allowing the attackers to carry out a variety of communications and information-gathering operations aimed at entities in the telecom, transportation, and manufacturing sectors that are of strategic interest to China.


"Daxin malware is a highly sophisticated rootkit backdoor with complex, stealthy command-and-control (C2) functionality that enables remote actors to communicate with secured devices not connected directly to the internet," the U.S. Cybersecurity and Infrastructure Security Agency (CISA) [said](https://www.cisa.gov/uscert/ncas/current-activity/2022/02/28/broadcom-software-discloses-apt-actors-deploying-daxin-malware) in an independent advisory.


The implant takes the form of a Windows kernel driver that implements an elaborate communications mechanism that affords the malware a high degree of stealth and the capability to talk to machines that are physically disconnected from the internet.


It achieves this by expressly avoiding launching its own network services, instead opting to take advantage of legitimate [TCP/IP](https://en.wikipedia.org/wiki/Internet_protocol_suite) services already running on the infected computers to blend its communications with normal traffic on the target's network and receive commands from a remote peer.


[![Cyber Espionage Attacks](https://thehackernews.com/new-images/img/a/AVvXsEgsFNP0yWUZb-vBIdq28Nn3AdwHr274ZmLM_fn7zerN5TjiadL7ZFNyO_9EDH1-hV-rHMu5HbrHOEBLzFI3LXPKfRV5YBxVhdeGKUvcyUxF9E1jlFImheP7qopogoY61UmgmJamk7BnoLLEUYcZBphYmK01CWW1ros9M36sWqv_XbyUliOee_CDt4a8=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEgsFNP0yWUZb-vBIdq28Nn3AdwHr274ZmLM_fn7zerN5TjiadL7ZFNyO_9EDH1-hV-rHMu5HbrHOEBLzFI3LXPKfRV5YBxVhdeGKUvcyUxF9E1jlFImheP7qopogoY61UmgmJamk7BnoLLEUYcZBphYmK01CWW1ros9M36sWqv_XbyUliOee_CDt4a8)
"These features are reminiscent of Regin," the researchers noted, referring to another sophisticated [malware and hacking toolkit](https://malpedia.caad.fkie.fraunhofer.de/details/win.regin) attributed to the U.S. National Security Agency (NSA) for government spying operations back in 2014.


Among the unusual aspects of Daxin, besides generating no suspicious network traffic to remain unseen, is its ability to relay commands across a network of infected computers within the attacked organization, creating a "multi-node communications channel" that permits recurring access to the compromised computers for extended periods of time.


While recent intrusions involving the backdoor are said to have transpired in November 2021, Symantec said it uncovered code-level commonalities with an older piece of malware called [Exforel](https://www.microsoft.com/en-us/wdsi/threats/malware-encyclopedia-description?Name=Trojan:Win32/Exforel.A&threatId=-2147296682) (aka [Zala](https://www.microsoft.com/en-us/wdsi/threats/malware-encyclopedia-description?Name=VirTool:WinNT/Exforel.A&threatId=-2147298998)), indicating that Daxin may have been built by an actor with access to the latter's codebase or that they are the work of the same group.


The campaigns have not been attributed to a single adversary, but a timeline of the attacks shows that Daxin was installed on some of the same systems where tools associated with other Chinese espionage actors like Slug were found. This includes the deployment of both Daxin and [Owprox](https://malpedia.caad.fkie.fraunhofer.de/details/win.owlproxy) malware on a single computer belonging to a tech company in May 2020.


"Daxin is without doubt the most advanced piece of malware [...] used by a China-linked actor," the researchers said. "Considering its capabilities and the nature of its deployed attacks, Daxin appears to be optimized for use against hardened targets, allowing the attackers to burrow deep into a target's network and exfiltrate data without raising suspicions."


The disclosure arrives a week after China-based Pangu Lab outed a "top-tier" backdoor called [Bvp47](https://thehackernews.com/2022/02/chinese-experts-uncover-details-of.html) put to use by the U.S. National Security Agency for over a decade targeting as many as 287 organizations in 45 countries located chiefly in China, Korea, Japan, Germany, Spain, India, and Mexico.


  






## Tags:


### Autogenerated tags:
[[daxin]] [[malware]] [[u.s]]
