# Chinese APT41 Hackers Target Mobile Devices with New WyrmSpy and DragonEgg Spyware
## APT41, a China-linked nation-state actor, has been linked to two new Android spyware strains, WyrmSpy and DragonEgg.
## Information:

+ Link: https://thehackernews.com/2023/07/chinese-apt41-hackers-target-mobile.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 19 July 2023, 15:50
+ Date scraped: 19 July 2023, 11:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjGH-A2Jj5ozHs5tBwqH0gz2xiblDSxpi6fF6KF8806Eus1W7c3biwJyG6EFTY9u1ybCPQe4Tnw-yh_eAMjWoAVv9aV6n79xx2x03GIhiC9tlONMsrAjR-SJBToPNr2Tck85ymogAccIchI-zKagtaFFd9NFR2ng4ymrA3On_1T7LXZsu30cfHQ3b2tNh7A/s728-e3650/spyware.jpg)


The prolific China-linked nation-state actor known as APT41 has been linked to two previously undocumented strains of Android spyware called WyrmSpy and DragonEgg.


"Known for its exploitation of web-facing applications and infiltration of traditional endpoint devices, an established threat actor like APT 41 including mobile in its arsenal of malware shows how mobile endpoints are high-value targets with coveted corporate and personal data," Lookout [said](https://www.lookout.com/threat-intelligence/article/wyrmspy-dragonegg-surveillanceware-apt41) in a report shared with The Hacker News.


APT41, also tracked under the names Axiom, Blackfly, Brass Typhoon (formerly Barium), Bronze Atlas, HOODOO, Wicked Panda, and Winnti, is known to be operational since at least 2007, targeting a wide range of industries to conduct intellectual property theft.


Recent attacks mounted by the adversarial collective have [leveraged](https://thehackernews.com/2023/04/google-uncovers-apt41s-use-of-open.html) an open-source red teaming tool known as Google Command and Control (GC2) as part of attacks aimed at media and job platforms in Taiwan and Italy.


The initial intrusion vector for the mobile surveillanceware campaign is not known, although it's suspected to have involved the use of social engineering. Lookout said it first detected WyrmSpy as early as 2017 and DragonEgg at the start of 2021, with new samples of the latter spotted as recently as April 2023.


WyrmSpy primarily masquerades as a default system app used for displaying notifications to the user. Later variants, however, have packaged the malware into apps impersonating as adult video content, Baidu Waimai, and Adobe Flash. On the other hand, DragonEgg has been distributed in the form of third-party Android keyboards and messaging apps like Telegram.


There is no evidence that these rogue apps were distributed through the Google Play Store.


WyrmSpy and DragonEgg's connections to APT41 arise from the use of a command-and-server (C2) with the IP address 121.42.149[.]52, which resolves to a domain ("vpn2.umisen[.]com") [previously identified](https://thehackernews.com/2020/09/apt41-hackers-wanted-by-fbi.html) as associated with the group's infrastructure.


Once installed, both strains of malware request intrusive permissions and come fitted with sophisticated data collection and exfiltration capabilities, harvesting users' photos, locations, SMS messages and audio recordings.


The malware has also been observed relying on modules that are downloaded from a now-offline C2 server after the installation of the app to facilitate the data collection, while simultaneously avoiding detection.


WyrmSpy, for its part, is capable of disabling Security-Enhanced Linux ([SELinux](https://thehackernews.com/2023/05/predator-android-spyware-researchers.html)), a security feature in Android, and making use of rooting tools such as KingRoot11 to obtain elevated privileges on the compromised handsets. A notable feature of DragonEgg is that it establishes contact with the C2 server to fetch an unknown tertiary module that poses as a forensics program.


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Get Ready to Learn](https://thn.news/I26t1VFD)
"The discovery of WyrmSpy and DragonEgg is a reminder of the growing threat posed by advanced Android malware," Kristina Balaam, a senior threat researcher at Lookout, said. "These spyware packages are highly sophisticated and can be used to collect a wide range of data from infected devices."


The findings come as Mandiant disclosed the evolving tactics adopted by Chinese espionage crews to fly under the radar, including [weaponizing networking devices](https://thehackernews.com/2023/06/chinese-unc4841-group-exploits-zero-day.html) and [virtualization software](https://thehackernews.com/2023/06/chinese-hackers-exploit-vmware-zero-day.html), [employing botnets](https://thehackernews.com/2023/05/chinas-stealthy-hackers-infiltrate-us.html) to [obfuscate traffic](https://thehackernews.com/2023/05/chinas-mustang-panda-hackers-exploit-tp.html) [between C2 infrastructure and victim environments](https://thehackernews.com/2022/09/sparklinggoblin-apt-hackers-using-new.html), and tunneling malicious traffic inside of victim networks through compromised systems.


"Use of botnets, proxying traffic in a compromised network, and targeting edge devices are not new tactics, nor are they unique to Chinese cyber espionage actors," the Google-owned threat intelligence firm said. "However, during the last decade, we have tracked Chinese cyber espionage actors' use of these and other tactics as part of a broader evolution toward more purposeful, stealthy, and effective operations."


  





## Tags:
***ipv4-adresses***: 121.42.149.52
***urls***: http://vpn2.umisen.com http://121.42.149.52

### Autogenerated tags:
[[wyrmspy]] [[dragonegg]] [[malware]] [[android]] [[c2]] [[apt41]] [[apps]]
