# Chinese Cyber Espionage Hackers Using USB Devices to Target Entities in Philippines
## A hacking group with suspected ties to China has been linked to a series of cyber espionage attacks in the Philippines, mainly using USB devices.
## Information:

+ Link: https://thehackernews.com/2022/11/chinese-cyber-espionage-hackers-using.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 30 November 2022, 06:21
+ Date scraped: 30 November 2022, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgazMz1M9Jqx1bqZK7zqf8ETDiE7vMz8kmQfsNG2-5NVNySqo3TelXLy7JUwljfRoDSV8PrRDJM4yjee-5Z30K0jcLdHml6uPtgNoHAWeswI2IZPszKhjMJLTn0x7jEIgwr6guEy0RP1tUXuJZV7qy4wjrbYTLgc06u1pIOmlr3RT7oG2T6vd_hMPBv/s728-e1000/pen-drive.png)


A threat actor with a suspected China nexus has been linked to a set of espionage attacks in the Philippines that primarily relies on USB devices as an initial infection vector.


Mandiant, which is part of Google Cloud, is tracking the cluster under its uncategorized moniker **UNC4191**. An analysis of the artifacts used in the intrusions indicates that the campaign dates as far back as September 2021.


"UNC4191 operations have affected a range of public and private sector entities primarily in Southeast Asia and extending to the U.S., Europe, and APJ," researchers Ryan Tomcik, John Wolfram, Tommy Dacanay, and Geoff Ackerman [said](https://www.mandiant.com/resources/blog/china-nexus-espionage-southeast-asia).


"However, even when targeted organizations were based in other locations, the specific systems targeted by UNC4191 were also found to be physically located in the Philippines."


The reliance on infected USB drives to propagate the malware is unusual if [not new](https://thehackernews.com/2022/04/fin7-hackers-leveraging-password-reuse.html). The [Raspberry Robin](https://thehackernews.com/2022/10/raspberry-robin-operators-selling.html) worm, which has [evolved](https://twitter.com/SophosXOps/status/1594703522993508352) into an initial access service for follow-on attacks, is known to use USB drives as an entry point.


[![Cyber Espionage Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiAnhF4o5bEampqOWBwAMr0wJUnPdjZmksSvn38S9sAA1MKTuqR6zQA8qSE2StqQaZTdB_QDpgc2M44JAux5y6rSeBlbYgEEKa4Vto8lvD1dHLhtIM_n8X_2JvJPvpJmndPTbY6PiBjqOrwj9vO7uy-VO7nW6_0hsk02myA0dnAAuHm3bY74GQYGRws/s728-e1000/1.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiAnhF4o5bEampqOWBwAMr0wJUnPdjZmksSvn38S9sAA1MKTuqR6zQA8qSE2StqQaZTdB_QDpgc2M44JAux5y6rSeBlbYgEEKa4Vto8lvD1dHLhtIM_n8X_2JvJPvpJmndPTbY6PiBjqOrwj9vO7uy-VO7nW6_0hsk02myA0dnAAuHm3bY74GQYGRws/s728-e100/1.png)
The threat intelligence and incident response firm said that the attacks led to the deployment of three new malware families dubbed MISTCLOAK, DARKDEW, BLUEHAZE, and [Ncat](https://nmap.org/ncat/), the latter of which is a command-line networking utility that's used to create a reverse shell on the victim system.


MISTCLOAK, for its part, gets activated when a user plugs in a compromised removable device to a system, acting as a launchpad for an encrypted payload called DARKDEW that's capable of infecting removable drives, effectively proliferating the infections.


[![Cyber Espionage Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiiGWt9lbW_l_unOeayw-h3s-gV3XUTCeQwVpiXPY6tAlHbCen9-LpQyLxkRF7huAr0-rSIW_UQ6TMoNl-ZDCGW3Q7VRsT2ZsilCMJqTx7bmSllpjHEZQmTSIy8ATrXH2Df5dH8zn8VrAd0OksMCXabuAlqbPsItQIsmim3ScFn_fnv1ilurT7nTF86/s728-e1000/hack.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiiGWt9lbW_l_unOeayw-h3s-gV3XUTCeQwVpiXPY6tAlHbCen9-LpQyLxkRF7huAr0-rSIW_UQ6TMoNl-ZDCGW3Q7VRsT2ZsilCMJqTx7bmSllpjHEZQmTSIy8ATrXH2Df5dH8zn8VrAd0OksMCXabuAlqbPsItQIsmim3ScFn_fnv1ilurT7nTF86/s728-e100/hack.png)
"The malware self-replicates by infecting new removable drives that are plugged into a compromised system, allowing the malicious payloads to propagate to additional systems and potentially collect data from [air-gapped](https://thehackernews.com/2022/08/new-air-gap-attack-uses-mems-gyroscope.html) [systems](https://thehackernews.com/2022/08/air-gapped-devices-can-send-covert.html)," the researchers explained.


The DARKDEW dropper further serves to launch another executable ("DateCheck.exe"), a renamed version of a legitimate, signed application known as "Razer Chromium Render Process" that invokes the BLUEHAZE malware.


BLUEHAZE, a launcher written in C/C++, takes the attack chain forward by starting a copy of Ncat to create a reverse shell to a hardcoded command-and-control (C2) address.


"We believe this activity showcases Chinese operations to gain and maintain access to public and private entities for the purposes of intelligence collection related to China's political and commercial interests," the researchers said.


  





## Tags:


### Autogenerated tags:
[[malware]] [[usb]] [[unc4191]] [[darkdew]] [[bluehaze]]
