# Chinese Espionage Hackers Target Tibetans Using New LOWZERO Backdoor
## China-aligned APT hackers deployed a never-before-seen backdoor called LOWZERO in a cyberespionage campaign targeting Tibetan entities using recently
## Information:

+ Link: https://thehackernews.com/2022/09/chinese-espionage-hackers-target.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 26 September 2022, 12:14
+ Date scraped: 26 September 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEges_oQp6YhYMafMFx5Bgh8Fw8z_Kw493RaFfsAEw_JLzOOb54c2i2bgfnW0FkTDBs_MLV-X6J32JSn8EBWja2e8VH9MYvtZfC3m9Xs1Ck2EOk_lIL4zHqZmFa7fbJAAlzH_V51OPs9BCNXC5F1-I_8AXChplDz3fUP8Fz9uaAnTNKyLSMHA_EkxVus/s728-e1000/code.jpg)


A China-aligned advanced persistent threat actor known as TA413 weaponized recently disclosed flaws in Sophos Firewall and Microsoft Office to deploy a never-before-seen backdoor called **LOWZERO** as part of an espionage campaign aimed at Tibetan entities.


Targets primarily consisted of organizations associated with the Tibetan community, including enterprises associated with the Tibetan government-in-exile.


The intrusions involved the exploitation of [CVE-2022-1040](https://thehackernews.com/2022/06/chinese-hackers-exploited-sophos.html) and [CVE-2022-30190](https://thehackernews.com/2022/06/state-backed-hackers-exploit-microsoft.html) (aka "Follina"), two remote code execution vulnerabilities in Sophos Firewall and Microsoft Office, respectively.


"This willingness to rapidly incorporate new techniques and methods of initial access contrasts with the group's continued use of well known and reported capabilities, such as the Royal Road RTF weaponizer, and often lax infrastructure procurement tendencies," Recorded Future [said](https://www.recordedfuture.com/chinese-state-sponsored-group-ta413-adopts-new-capabilities-in-pursuit-of-tibetan-targets) in a new technical analysis.


TA413, also known as LuckyCat, has been linked to relentlessly targeting organizations and individuals associated with the Tibetan community at least since 2020 using malware such as ExileRAT, Sepulcher, and a malicious Mozilla Firefox browser extension dubbed [FriarFox](https://thehackernews.com/2021/02/chinese-hackers-using-firefox-extension.html).


[![Chinese Espionage Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiA6KaN98j8MBSFqaYNe3Dod86yILo_svn3l1ASNt_XF8pjnD-xxQspWUwkZLgODzNBkYLJ_tz2JD7T6amhNIP2_z_Y4h02QRpPA5iEkXLXi2RUK43WPK_MrAE7E8xcSV3rroxTL4wnxq00AUp3OXhrP5XHzbk4BQaHYJYjzWVp0fGAuT-LeC7f5CI6/s728-e1000/dll.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiA6KaN98j8MBSFqaYNe3Dod86yILo_svn3l1ASNt_XF8pjnD-xxQspWUwkZLgODzNBkYLJ_tz2JD7T6amhNIP2_z_Y4h02QRpPA5iEkXLXi2RUK43WPK_MrAE7E8xcSV3rroxTL4wnxq00AUp3OXhrP5XHzbk4BQaHYJYjzWVp0fGAuT-LeC7f5CI6/s728-e100/dll.jpg)
The group's exploitation of the Follina flaw was previously [highlighted](https://thehackernews.com/2022/05/chinese-hackers-begin-exploiting-latest.html) by Proofpoint in June 2022, although the ultimate end goal of the infection chains remained unclear.


Also put to use in a spear-phishing attack identified in May 2022 is a malicious RTF document that exploited flaws in Microsoft Equation Editor to drop the custom LOWZERO implant. This is achieved by employing a [Royal Road RTF weaponizer tool](https://nao-sec.org/2020/01/an-overhead-view-of-the-royal-road.html), which is widely shared among Chinese threat actors.


In another phishing email sent to a Tibetan target in late May, a Microsoft Word attachment hosted on the Google Firebase service attempted to leverage the Follina vulnerability to execute a PowerShell command designed to download the backdoor from a remote server.


LOWZERO, the backdoor, is capable of receiving additional modules from its command-and-control (C2) server, but only on the condition that the compromised machine is deemed to be of interest to the threat actor.


"The group continues to incorporate new capabilities while also relying on tried-and-tested [tactics, techniques, and procedures," the cybersecurity firm said.


"TA413's adoption of both zero-day and recently published vulnerabilities is indicative of [wider](https://www.technologyreview.com/2022/02/28/1046575/how-china-built-a-one-of-a-kind-cyber-espionage-behemoth-to-last/) [trends](https://www.crowdstrike.com/global-threat-report/) with Chinese cyber-espionage groups whereby exploits regularly appear in use by multiple distinct Chinese activity groups prior to their widespread public availability."


  





## Tags:
***CVE's***: CVE-2022-30190 CVE-2022-1040

### Autogenerated tags:
[[microsoft]] [[ta413]] [[lowzero]] [[follina]] [[rtf]]
