# Chinese Hackers Target Middle East Telecoms in Latest Cyber Attacks
## China-linked APT group BackdoorDiplomacy has been spotted launching sophisticated cyber attacks against telecom companies in the Middle East.
## Information:

+ Link: https://thehackernews.com/2022/12/chinese-hackers-target-middle-east.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 06 December 2022, 16:08
+ Date scraped: 06 December 2022, 17:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg-qU9NKl3nAe5a5zI3DJ8Rxu1D1YqgePCv15VyLhI67WwsJKok5GF10g3-Dyn0eFD-U-nmBeVoyNvoB4O-s3fHHQUrhAspA4HocUne9buCCUzlYkY0NpqUgllZAd6zUpUnGAh2hFGO-GjA-vLzs0L8_5Ly-4ZpWwnG5rKQy4WM-jQgP2Z0tIjedC1X/s728-e1000/telecom.jpg)


A malicious campaign targeting the Middle East is likely linked to **BackdoorDiplomacy**, an advanced persistent threat (APT) group with ties to China.


The espionage activity, directed against a telecom company in the region, is said to have commenced on August 19, 2021 through the successful exploitation of [ProxyShell flaws](https://thehackernews.com/2021/08/hackers-actively-searching-for.html) in the Microsoft Exchange Server.


Initial compromise leveraged binaries vulnerable to side-loading techniques, followed by using a mix of legitimate and bespoke tools to conduct reconnaissance, harvest data, move laterally across the environment, and evade detection.


"File attributes of the malicious tools showed that the first tools deployed by the threat actors were the NPS proxy tool and IRAFAU backdoor," Bitdefender researchers Victor Vrabie and Adrian Schipor said in a [report](https://www.bitdefender.com/blog/labs/backdoor-diplomacy-wields-new-tools-in-fresh-middle-east-campaign) shared with The Hacker News.


"Starting in February 2022, the threat actors used another tool – [the] Quarian backdoor, along with many other scanners and proxy/tunneling tools."


BackdoorDiplomacy was [first documented](https://thehackernews.com/2021/06/new-cyber-espionage-group-targeting.html) by ESET in June 2021, with the intrusions primarily aimed at diplomatic entities and telecommunication companies in Africa and the Middle East to deploy Quarian (aka Turian or Whitebird).


[![Latest Cyber Attacks](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg-rT1WrTqTUr6-tNAaa2bMsRz74Zng2B1zWX_GnHE2cc5x0ks-27yru1J0n7AkoXHG-xzXM_JtP7wCCVyQFygUCcbR8IjiGTSuKU6WwPYyYYO2gszje9tIUzla8X5JEQl4bfHo3JGAf1Te9dZhPZ9Dg45qe0gqlppG4lWKoJ6Is7Pp4OFtDjZgYyea/s728-e1000/hackers.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg-rT1WrTqTUr6-tNAaa2bMsRz74Zng2B1zWX_GnHE2cc5x0ks-27yru1J0n7AkoXHG-xzXM_JtP7wCCVyQFygUCcbR8IjiGTSuKU6WwPYyYYO2gszje9tIUzla8X5JEQl4bfHo3JGAf1Te9dZhPZ9Dg45qe0gqlppG4lWKoJ6Is7Pp4OFtDjZgYyea/s728-e100/hackers.png)
The espionage motives of the attack is evidenced by the use of keylogger and PowerShell scripts designed to gather email content. IRAFAU, which is the first malware component delivered after obtaining a foothold, is used to perform information discovery and lateral movement.


This is facilitated by downloading and uploading files from and to a command-and-control (C2) server, launching a remote shell, and executing arbitrary files.


The second backdoor used in the operation is an updated version of Quarian, which comes with a broader set of capabilities to control the compromised host.


Also put to use is a tool dubbed Impersoni-fake-ator that's embedded into legitimate utilities like [DebugView](https://learn.microsoft.com/en-us/sysinternals/downloads/debugview) and Putty and is engineered to capture system metadata and execute a decrypted payload received from the C2 server.


The intrusion is further characterized by the use of open source software such as [ToRat](https://github.com/lu4p/ToRat), a Golang remote administration tool, and [AsyncRAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.asyncrat), the latter of which is likely dropped via Quarian.


Bitdefender's attribution of the attack to BackdoorDiplomacy comes from overlaps in the C2 infrastructure identified as used by the group in prior campaigns.


  





## Tags:


### Autogenerated tags:
[[quarian]] [[backdoordiplomacy]] [[c2]]
