# Chinese Hackers Target VMware Horizon Servers with Log4Shell to Deploy Rootkit
## Chinese APT hacker group "Deep Panda'' exploits the infamous Log4Shell vulnerability in VMware Horizon to infect targeted servers with rootkit.
## Information:

+ Link: https://thehackernews.com/2022/04/chinese-hackers-target-vmware-horizon.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 April 2022, 10:41
+ Date scraped: 01 April 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhXafS9588HhHTdvv7qUG0HBhnwsnfF87t9mIOfwrRZyRsfjp87D04Gjh9iT_OwYCx6eVTThq_eWQcQYBbI3UchWsCB4QFCW4qC3lSKk_hk1mJM1m0wgAjjwqae91Z8ey-fBeqo2CIam-TOK4HCGzoaAwiWQjlsdbSOrxJjW0IOWMbwxzygudXCGWNo/s728-e100/ROOTKIT.jpg)


A Chinese advanced persistent threat tracked as Deep Panda has been observed exploiting the [Log4Shell vulnerability](https://thehackernews.com/2021/12/extremely-critical-log4j-vulnerability.html) in VMware Horizon servers to deploy a backdoor and a novel rootkit on infected machines with the goal of stealing sensitive data.


"The nature of targeting was opportunistic insofar that multiple infections in several countries and various sectors occurred on the same dates," [said](https://www.fortinet.com/blog/threat-research/deep-panda-log4shell-fire-chili-rootkits) Rotem Sde-Or and Eliran Voronovitch, researchers with Fortinet's FortiGuard Labs, in a report released this week. "The victims belong to the financial, academic, cosmetics, and travel industries."


[Deep Panda](https://attack.mitre.org/groups/G0009/), also known by the monikers Shell Crew, KungFu Kittens, and Bronze Firestone, is said to have been active since at least 2010, with recent attacks "targeting legal firms for data exfiltration and technology providers for command-and-control infrastructure building," [according](https://www.secureworks.com/research/threat-profiles/bronze-firestone) to Secureworks.


Cybersecurity firm CrowdStrike, which assigned the panda-themed name to the group all the way back in July 2014, [called](https://www.crowdstrike.com/blog/deep-thought-chinese-targeting-national-security-think-tanks/) it "one of the most advanced Chinese nation-state cyber intrusion groups."


The latest set of attacks documented by Fortinet shows that the infection procedure involved the exploitation of the Log4j remote code execution flaw (aka Log4Shell) in vulnerable VMware Horizon servers to spawn a chain of intermediate stages, ultimately leading to the deployment of a backdoor dubbed Milestone ("1.dll").


Based on the leaked source code of the infamous [Gh0st RAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.ghost_rat) but with notable differences in the command-and-control (C2) communication mechanism employed, Milestone is also designed to send information about the current sessions on the system to the remote server.


Also detected during the attacks is a kernel rootkit called "Fire Chili" that's digitally signed with stolen certificates from game development companies, enabling it to evade detection by security software and conceal malicious file operations, processes, registry key additions, and network connections.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEghhN2j5mQhICltFJEgS7wge5m6SeIG3PkACbk1F6rofSWociFXy8Hc17dJcKXuzJ_lW0hUafFZl98gdkmWtIyWDHbUiFUzpPu4WCi7JP5u1VPo9VET8plQdNSbOni7d6r86cW9UiqVg8gMC5VGjCrCnY6qzcFoESwFRa468OEvzScNVjb4Wtx8EBeY/s728-e100/malware.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEghhN2j5mQhICltFJEgS7wge5m6SeIG3PkACbk1F6rofSWociFXy8Hc17dJcKXuzJ_lW0hUafFZl98gdkmWtIyWDHbUiFUzpPu4WCi7JP5u1VPo9VET8plQdNSbOni7d6r86cW9UiqVg8gMC5VGjCrCnY6qzcFoESwFRa468OEvzScNVjb4Wtx8EBeY/s728-e100/malware.jpg)
This is achieved by means of [ioctl](https://en.wikipedia.org/wiki/Ioctl) (input/output control) system calls to hide the driver rootkit's registry key, the Milestone backdoor files, and the loader file and process used to launch the implant.


Fortinet's attribution to Deep Panda stems from overlaps between Milestone and Infoadmin RAT, a remote access trojan used by the sophisticated hacking collective in the early 2010s, with additional clues pointing to tactical similarities to that of the Winnti group.


This is backed by the use of compromised digital signatures belonging to gaming companies, a target of choice for Winnti, as well as a C2 domain (gnisoft[.]com), which has been [previously linked](https://www.welivesecurity.com/2020/05/21/no-game-over-winnti-group/) to the Chinese state-sponsored actor in 2020.


"The reason these tools are linked to two different groups is unclear at this time," the researchers said. "It's possible that the groups' developers shared resources, such as stolen certificates and C2 infrastructure, with each other. This may explain why the samples were only signed several hours after being compiled."


The disclosure adds to a [long list of hacking groups](https://thehackernews.com/2022/01/nhs-warns-of-hackers-targeting-log4j.html) that have exploited the Log4Shell vulnerability targeting VMware's virtualization platform.


In December 2021, CrowdStrike described an unsuccessful campaign undertaken by an adversary dubbed [Aquatic Panda](https://thehackernews.com/2021/12/chinese-apt-hackers-used-log4shell.html) that leveraged the flaw to perform various post-exploitation operations, including reconnaissance and credential harvesting on targeted systems.


Since then, multiple groups have joined the fray, including the Iranian [TunnelVision group](https://thehackernews.com/2022/02/iranian-hackers-targeting-vmware.html), which was observed actively exploiting the Log4j logging library defect to compromise unpatched VMware Horizon servers with ransomware.


Most recently, cybersecurity company Sophos [highlighted](https://news.sophos.com/en-us/2022/03/29/horde-of-miner-bots-and-backdoors-leveraged-log4j-to-attack-vmware-horizon-servers/) a slew of attacks against vulnerable Horizon servers that have been ongoing since January and have been mounted by threat actors to illicitly mine cryptocurrency, install PowerShell-based reverse shells, or to deploy Atera agents to remotely deliver additional payloads.


"Attempts to compromise Horizon servers are among the more targeted exploits of Log4Shell vulnerabilities because of their nature," Sophos researchers said, adding "platforms such as Horizon are particularly attractive targets to all types of malicious actors because they are widespread and can (if still vulnerable) easily found and exploited with well-tested tools."


  





## Tags:
***urls***: http://gnisoft.com

### Autogenerated tags:
[[log4shell]] [[vmware]] [[rootkit]] [[fortinet]] [[c2]]
