# Chinese Hackers Targeting European Entities with New MQsTTang Backdoor
## China-based hackers Mustang Panda are using a new custom backdoor called MQsTTang in their latest social engineering campaign against European entitie
## Information:

+ Link: https://thehackernews.com/2023/03/chinese-hackers-targeting-european.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 03 March 2023, 09:56
+ Date scraped: 03 March 2023, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjNdVaiN31QB7qYjU7dizExLVCi36DwFW6dwOIHgIp4H1JmK84so0A5GnsNWQPTjBq40uF4iYtnSffi_f3s7gnZvxQExzob9H8jutHCMHtvXKiatSf0mDSRDZ8ncvdlv86c1PdRF6EP_RWqA_6MoQWOGQ-E4jpwpCoiXRVA3YHH_rJhOzkCS0pSzMTu/s728-e3650/chart.png)


The China-aligned Mustang Panda actor has been observed using a hitherto unseen custom backdoor called **MQsTTang** as part of an ongoing social engineering campaign that commenced in January 2023.


"Unlike most of the group's malware, MQsTTang doesn't seem to be based on existing families or publicly available projects," ESET researcher Alexandre Côté Cyr [said](https://www.welivesecurity.com/2023/03/02/mqsttang-mustang-panda-latest-backdoor-treads-new-ground-qt-mqtt/) in a new report.


Attack chains orchestrated by the group have stepped up targeting of European entities in the wake of [Russia's full-scale invasion of Ukraine](https://thehackernews.com/2022/03/google-russian-hackers-target.html) last year. The victimology of the current activity is unclear, but the Slovak cybersecurity company said the decoy filenames are in line with the group's previous campaigns that target European political organizations.


That said, ESET also observed attacks against unknown entities in Bulgaria and Australia, as well as a governmental institution in Taiwan, indicating focus on Europe and Asia.


Mustang Panda has a [history](https://thehackernews.com/2021/07/chinas-cyberspies-targeting-southeast.html) of using a [remote access trojan](https://www.bitdefender.com/blog/labs/luminousmoth-plugx-file-exfiltration-and-persistence-revisited/) dubbed [PlugX](https://thehackernews.com/2023/02/plugx-trojan-disguised-as-legitimate.html) for achieving its objectives, although recent intrusions have seen the group expanding its malware arsenal to include [custom tools](https://thehackernews.com/2022/11/chinese-mustang-panda-hackers-actively.html) like TONEINS, TONESHELL, and PUBLOAD.


[![MQsTTang Backdoor](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEigWibOGtMor3gdY1dhouuB1_sFc9HNSdWLslQ-oC1i_f1VUa-ULe4-els1q2m02daedN6EET-f0308zT99f0L90Fn1nHg4LJoDOPhOB-vJZhKIeh34RfuPkeMIPhk6vv6JaT4yRD-nN6wb3uROh_bCRBaoJsqDPxXScvAJAsf_7cPyJVwM2RRENIFO/s728-e365/hackers.png)
In December 2022, Avast [disclosed](https://decoded.avast.io/threatintel/apt-treasure-trove-avast-suspects-chinese-apt-group-mustang-panda-is-collecting-data-from-burmese-government-agencies-and-opposition-groups/) another set of attacks aimed at government agencies and political NGOs in Myanmar that led to the exfiltration of sensitive data, including email dumps, files, court hearings, interrogation reports, and meeting transcripts, using a PlugX variant called [Hodur](https://thehackernews.com/2022/03/chinese-mustang-panda-hackers-spotted.html) and a Google Drive uploader utility.


What's more, an FTP server linked to the threat actor has been found to host a variety of previously undocumented tools used to distribute malware to infected devices, including a Go-based trojan called JSX and a sophisticated backdoor referred to as HT3.


The development of MQsTTang points to a continuation of that trend, even if it's a "barebones" single-stage backdoor sans any obfuscation techniques that allow for executing arbitrary commands received from a remote server.

However, an unusual aspect of the implant is the use of an IoT messaging protocol called [MQTT](https://mqtt.org/) for command-and-control (C2) communications, which is achieved using an open source library called [QMQTT](https://github.com/emqx/qmqtt), an MQTT client for the [Qt](https://www.qt.io/product/framework) cross-platform application framework.


The initial intrusion vector for the attacks is spear-phishing, with MQTT distributed via RAR archives containing a single executable that features filenames with diplomatic themes (e.g., "PDF\_Passport and CVs of diplomatic members from Tokyo of JAPAN.eXE").


"This new MQsTTang backdoor provides a kind of remote shell without any of the bells and whistles associated with the group's other malware families," Côté Cyr said. "However, it shows that Mustang Panda is exploring new technology stacks for its tools."



  





## Tags:


### Autogenerated tags:
[[mqsttang]] [[malware]] [[mqtt]]
