# Chinese Hackers Targeting Online Casinos with GamePlayerFramework Malware
## Chinese Hackers Targeting Online Casinos with GamePlayerFramework Malware | Read breaking news and high quality articles on cyber security, hacking, information security, computer security, cybercrime, ethical hacking and technology.
## Information:

+ Link: https://thehackernews.com/2022/10/chinese-hackers-targeting-online.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 19 October 2022, 12:33
+ Date scraped: 19 October 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg_l5B-5ZYsUQ8CPXKS_VvjI9DNHcD4qp3Aab-FY6_E6KvhooX3qrnqF6U-P0Bq9fv0PR6x2UO8RMoenJQf_22631V4oX8QKNPWeDyXOuLwYzN0eTwJoK_5-yAMET9sEOPolr3pqdu-Jf-EVgii7uZgGZ0AyIOdigbccNPTpdPkkIuxi-SiE_3fsnQG/s728-e1000/hack.jpg)


An advanced persistent threat (APT) group of Chinese origin codenamed **DiceyF** has been linked to a string of attacks aimed at online casinos in Southeast Asia for years.


Russian cybersecurity company Kaspersky said the activity aligns with another set of intrusions attributed to [Earth Berberoka](https://thehackernews.com/2022/08/chinese-hackers-backdoored-mimi-chat.html) (aka [GamblingPuppet](https://thehackernews.com/2022/10/comm100-chat-provider-hijacked-to.html)) and [DRBControl](https://thehackernews.com/2021/09/a-new-apt-hacker-group-spying-on-hotels.html), citing tactical and targeting similarities as well as the abuse of secure messaging clients.


"Possibly we have a mix of espionage and [intellectual property] theft, but the true motivations remain a mystery," researchers Kurt Baumgartner and Georgy Kucherin [said](https://securelist.com/diceyf-deploys-gameplayerframework-in-online-casino-development-studio/107723/) in a technical write-up published this week.


The starting point of the investigation was in November 2021 when Kaspersky said it detected multiple [PlugX loaders](https://thehackernews.com/2022/09/chinese-hackers-target-government.html) and other payloads that were deployed via an employee monitoring service and a security package deployment service.


[![GamePlayerFramework Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh3x0g6WZvllq-_qJoqaSn0CGZ0utYJFUlKbrqwLzG8UAHcLHuWJ29LpT6jJargNrd2DZVczPjGREy3g0qtZzD_Ac-z64_J9K5bfteK_rileXN79la30n3cib1TSlDq-EcDaJo1rXxS-ReBvjY56emhyP3anmBIcJP4pfUCvViQ4d4ULXCAV2qNnQTn/s728-e1000/hacking.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh3x0g6WZvllq-_qJoqaSn0CGZ0utYJFUlKbrqwLzG8UAHcLHuWJ29LpT6jJargNrd2DZVczPjGREy3g0qtZzD_Ac-z64_J9K5bfteK_rileXN79la30n3cib1TSlDq-EcDaJo1rXxS-ReBvjY56emhyP3anmBIcJP4pfUCvViQ4d4ULXCAV2qNnQTn/s728-e100/hacking.jpg)
The initial infection method – the distribution of the framework through security solution packages – afforded the threat actor "to perform cyberespionage activities with some level of stealth," the company stated.


Subsequently, the same security package deployment service is said to have been employed to deliver what's called the GamePlayerFramework, a C# variant of a C++-based malware known as PuppetLoader.


"This 'framework' includes downloaders, launchers, and a set of plugins that provide remote access and steal keystrokes and clipboard data," the researchers explained.


[![GamePlayerFramework Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgqRlnCdLpeX3xQwaIIEttKW2ENAK0prVcw0CD4JQT0HDpKWbWiQBP5CbgttOQeAnp-N405JDgKCcWMCc17sRqUZzn5c5l_R_kYZ2gT9hE-IiGxzshZfBGmEMtFLINXRUNfW0xom4Yh1MM3vUWtPNEfT5Lyx4ZPjxR0VYXMiuULfL02jtuMXWY82-qr/s728-e1000/email.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgqRlnCdLpeX3xQwaIIEttKW2ENAK0prVcw0CD4JQT0HDpKWbWiQBP5CbgttOQeAnp-N405JDgKCcWMCc17sRqUZzn5c5l_R_kYZ2gT9hE-IiGxzshZfBGmEMtFLINXRUNfW0xom4Yh1MM3vUWtPNEfT5Lyx4ZPjxR0VYXMiuULfL02jtuMXWY82-qr/s728-e100/email.jpg)
Indications are that the DiceyF activity is a follow-on campaign to Earth Berberoka with a retooled malware toolset, even as the framework is maintained through two separate branches dubbed Tifa and Yuna, which come with different modules of varying levels of sophistication.


While the Tifa branch contains a downloader and a core component, Yuna is more complex in terms of functionality, incorporating a downloader, a set of plugins, and at least 12 PuppetLoader modules. That said, both branches are believed to be actively and incrementally updated.


Regardless of the variant employed, the GamePlayerFramework, once launched, connects to a command-and-control (C2) and transmits information about the compromised host and the clipboard contents, after which the C2 responds with one of 15 commands that allow the malware to seize control of the machine.


This also includes launching a plugin on the victim system that can either be downloaded from the C2 server when the framework is instantiated or retrieved using the "InstallPlugin" command sent by the server.


These plugins, in turn, make it possible to steal cookies from Google Chrome and Mozilla Firefox browsers, capture keystroke and clipboard data, set up virtual desktop sessions, and even remotely connect to the machine over SSH.


Kaspersky also pointed to the use of a malicious app that mimics another software called Mango Employee Account Data Synchronizer, a messenger app used at the targeted entities, to drop the GamePlayerFramework within the network.


"There are many interesting characteristics of DiceyF campaigns and TTPs," the researchers said. "The group modifies their codebase over time, and develops functionality in the code throughout their intrusions."


"To make sure that victims did not become suspicious of the disguised implants, attackers obtained information about targeted organizations (such as the floor where the organization's IT department is located) and included it inside graphic windows displayed to victims."


  





## Tags:


### Autogenerated tags:
[[diceyf]] [[kaspersky]] [[gameplayerframework]] [[malware]] [[plugins]] [[c2]]
