# Chinese Hackers Using PingPull Linux Variant to Target Financial and Government Entities
## Chinese threat actor Alloy Taurus has been caught using a Linux variant of a backdoor called PingPull to target financial institutions and governments
## Information:

+ Link: https://thehackernews.com/2023/04/chinese-hackers-using-pingpull-linux.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 26 April 2023, 15:31
+ Date scraped: 26 April 2023, 16:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgDNJ38A33-csAlB_C7yO6BlILqAd-Q2M-JTJN8gU3_MFumkOWmzXL0_4dzPhPi8a2oekBK7IipzbgqnoEt2jGvmAQ3Fy5b8E9i0wqcoNMCSXO5PBj7xIs0NA6bX1I2iVp5FbgWQBPcgi-SkZfnVfzENGdMYRYMUgq6AYwX2nqlRRgyY79_3qm7aF5B/s728-e3650/chinese.png)


The Chinese nation-state group dubbed **Alloy Taurus** is using a Linux variant of a backdoor called PingPull as well as a new undocumented tool codenamed Sword2033.


That's according to findings from Palo Alto Networks Unit 42, which [discovered](https://unit42.paloaltonetworks.com/alloy-taurus/) recent malicious cyber activity carried out by the group targeting South Africa and Nepal.


Alloy Taurus is the constellation-themed moniker assigned to a threat actor that's known for its attacks targeting telecom companies since at least 2012. It's also tracked by Microsoft as Granite Typhoon (previously Gallium).


Last month, the adversary was attributed to a campaign called [Tainted Love](https://thehackernews.com/2023/03/operation-soft-cell-chinese-hackers.html) targeting telecommunication providers in the Middle East as part of a broader operation referred to as Soft Cell.


Recent cyber espionage attacks mounted by Alloy Taurus have also broadened their victimology footprint to include financial institutions and government entities.


PingPull, [first documented](https://thehackernews.com/2022/06/chinese-gallium-hackers-using-new.html) by Unit 42 in June 2022, is a remote access trojan that employs the Internet Control Message Protocol (ICMP) for command-and-control (C2) communications.


The Linux flavor of the malware boasts of similar functionalities as its Windows counterpart, allowing it to carry out file operations and run arbitrary commands by transmitting from the C2 server a single upper case character between A and K, and M.


"Upon execution, this sample is configured to communicate with the domain yrhsywu2009.zapto[.]org over port 8443 for C2," Unit 42 said. "It uses a statically linked OpenSSL (OpenSSL 0.9.8e) library to interact with the domain over HTTPS."


[![PingPull Linux](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg694mBZkoXDmKgmjWumZh2JV4EzrRRco3-OG736u6m8LSk41G5Dy0WZPUyvomdTQxOdLQE4lycdmEhLq5pQAh9FguWiufpYuXBf1ggBYBGaEsDkuEANn8YCEvKWnash5uoDZkHEhFY16pgcY19L1213XfWWuAVC3mntgxcIsmg07CEsfs0jJR8pE0J/s728-e365/paloalto.png)
Interestingly, PingPull's parsing of the C2 instructions mirrors that of the [China Chopper](https://www.mandiant.com/resources/blog/breaking-down-china-chopper-web-shell-part-i), a [web shell](https://blog.talosintelligence.com/china-chopper-still-active-9-years-later/) widely used by Chinese threat actors, suggesting that the threat actor is repurposing existing source code to devise custom tools.


A closer examination of the aforementioned domain has also revealed the existence of another ELF artifact (i.e., Sword2033) that supports three basic functions, including uploading and exfiltrating files and executing commands.


The malware's links to Alloy Taurus stems from the fact that the domain resolved to an IP address that was previously identified as an active indicator of compromise (IoC) associated with a prior campaign targeting companies operating in Southeast Asia, Europe, and Africa.


The targeting of South Africa, per the cybersecurity company, comes against the backdrop of the country holding a [joint 10-day naval drill](https://www.bbc.com/news/world-64380572) with Russia and China earlier this year.


"Alloy Taurus remains an active threat to telecommunications, finance and government organizations across Southeast Asia, Europe and Africa," Unit 42 said.


"The identification of a Linux variant of PingPull malware, as well as recent use of the Sword2033 backdoor, suggests that the group continues to evolve their operations in support of their espionage activities."



  





## Tags:
***urls***: http://yrhsywu2009.zapto.org

### Autogenerated tags:
[[pingpull]] [[c2]] [[linux]] [[sword2033]] [[malware]]
