# Chinese Hackers Utilize Golang Malware in DragonSpark Attacks to Evade Detection
## Chinese-speaking actor behind DragonSpark attacks targeting organizations in East Asia using Golang malware and unusual techniques to evade detection.
## Information:

+ Link: https://thehackernews.com/2023/01/chinese-hackers-utilize-golang-malware.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 24 January 2023, 14:37
+ Date scraped: 24 January 2023, 16:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh7Q7QlBDQ1nLtXnHkOa2WzRpHaS9ZLzjzQRQD0ewVOmNwNM9dFhfqzQ2xyvKOfN4sLymk00xkbYAVIZkU0SQN17FG86sb4W2gEjHMbKLaHpIsVfEoicW89kb6V3E36zfpCOr5m3TQ_ZZiYL4KQsoX50eZD3M1B_I7Zye_LCEt8ROa5ckjDpMK1Tyko/s728-rj-e3650/malware.jpg)


Organizations in East Asia are being targeted by a likely Chinese-speaking actor dubbed **DragonSpark** while employing uncommon tactics to go past security layers.


"The attacks are characterized by the use of the little known open source SparkRAT and malware that attempts to evade detection through Golang source code interpretation," SentinelOne [said](https://www.sentinelone.com/labs/dragonspark-attacks-evade-detection-with-sparkrat-and-golang-source-code-interpretation/) in an analysis published today.


A striking aspect of the intrusions is the consistent use of SparkRAT to conduct a variety of activities, including stealing information, obtaining control of an infected host, or running additional PowerShell instructions.


The threat actor's end goals remain unknown as yet, although espionage or cybercrime is likely to be the motive. DragonSpark's ties to China stem from the use of the [China Chopper](https://thehackernews.com/2022/11/chinese-mustang-panda-hackers-actively.html) web shell to deploy malware – a widely used attack pathway among Chinese threat actors.


Furthermore, not only do the open source tools used in the cyber assaults originate from developers or companies with links to China, the instructure for staging the payloads are located in Taiwan, Hong Kong, China, and Singapore, some of which belong to legitimate businesses.


The command-and-control (C2) servers, on the other hand, are situated in Hong Kong and the U.S., the cybersecurity firm said.


[![Golang Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhh9q47zTSd38z5XUAl02M-c_nKm3J2AZWFL41lwWIggtuxM4cucm8ds4Xqig0TR_HnpAbmrF_1SA4npjvr7EJoy7hH-eiRh8dYPajuUWuvtpw1sAV5LoQDObmMsr5khETlvlKw-MeZ7NndjGFx_IV_TuyjcHTbNwEw8m6IVvVkj4vZArc-njA5JbRc/s728-rj-e365/malware.png)
Initial access avenues entail compromising internet-exposed web servers and MySQL database servers to drop the China Chopper web shell. The foothold is then leveraged to carry out lateral movement, privilege escalation, and malware deployment using open source tools like [SharpToken](https://github.com/BeichenDream/SharpToken), [BadPotato](https://github.com/BeichenDream/BadPotato), and [GotoHTTP](https://gotohttp.com/).

 Also delivered to the hosts are custom malware capable of executing arbitrary code and [SparkRAT](https://github.com/XZB-1248/Spark), a cross-platform remote access trojan that can run system commands, manipulate files and processes, and siphon information of interest. 


Another malware of note is the Golang-based m6699.exe, which interprets at runtime the source code contained within it so as to fly under the radar and launch a shellcode loader that's engineered to contact the C2 server for fetching and executing the next-stage shellcode.


"Chinese-speaking threat actors are known to frequently use open source software in malicious campaigns," the researchers concluded.


"Since SparkRAT is a multi-platform and feature-rich tool, and is regularly updated with new features, we estimate that the RAT will remain attractive to cybercriminals and other threat actors in the future."


  





## Tags:


### Autogenerated tags:
[[malware]] [[sparkrat]]
