# Chinese LuoYu Hackers Using Man-on-the-Side Attacks to Deploy WinDealer Backdoor
## LuoYu, an "extremely sophisticated" Chinese-speaking APT hacker group, has been observed using man-on-the-side attacks to deploy a Windows backdoor.
## Information:

+ Link: https://thehackernews.com/2022/06/chinese-luoyu-hackers-using-man-on-side.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 03 June 2022, 14:12
+ Date scraped: 03 June 2022, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhQXMu1btoIb1lGOLY01sT__i_-rs_Tids4YBzT8rbcN5A7TnoepqmbFFbnccOEQ1-2usV9JyZvkifOxnAcDqs2Oylqr9CUB8v_vNIIfgHfUbNj7I8PI1n1h06BDBLxo-mTZa3_e02W0F5Xye54TIHtyQu6eXxkJ6CDp4kv4OECO5EmogaedPYtSBb_/s728-e1000/team5.jpg)


An "extremely sophisticated" Chinese-speaking advanced persistent threat (APT) actor dubbed **LuoYu** has been observed using a malicious Windows tool called WinDealer that's delivered by means of man-on-the-side attacks.


"This groundbreaking development allows the actor to modify network traffic in-transit to insert malicious payloads," Russian cybersecurity company Kaspersky [said](https://securelist.com/windealer-dealing-on-the-side/105946/) in a new report. "Such attacks are especially dangerous and devastating because they do not require any interaction with the target to lead to a successful infection."


Known to be active since 2008, organizations targeted by LuoYu are predominantly foreign diplomatic organizations established in China and members of the academic community as well as financial, defense, logistics, and telecommunications companies.


LuoYu's use of [WinDealer](https://jsac.jpcert.or.jp/archive/2022/pdf/JSAC2022_7_leon-niwa-ishimaru_en.pdf) was first documented by Taiwanese cybersecurity firm [TeamT5](https://teamt5.org/en/posts/japan-security-analyst-conference-2021/) at the Japan Security Analyst Conference (JSAC) in January 2021. Subsequent [attack campaigns](https://blogs.jpcert.or.jp/en/2022/03/jsac2022report1.html) have used the malware to target Japanese entities, with isolated infections reported in Austria, Germany, India, Russia, and the U.S.


Other tools that are part of the adversary's malware arsenal include [PlugX](https://thehackernews.com/2022/05/experts-uncover-new-espionage-attacks.html) and its successor [ShadowPad](https://thehackernews.com/2022/05/chinese-hackers-caught-exploiting.html), both of which have been used by a variety of Chinese threat actors to enable their strategic objectives. Additionally, the actor is known to target Linux, macOS, and Android devices.


WinDealer, for its part, has been delivered in the past via websites that act as [watering holes](https://en.wikipedia.org/wiki/Watering_hole_attack) and in the form of trojanized applications masquerading as instant messaging and video hosting services like Tencent QQ and Youku.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj5larTzIMeZxoVV-prF15LAtvDFAWKs_RL8UmiCcKkkejS2DSYQdar6l73miVU_TNzkdMjy_JvAh-cafVVl2rbkr1SN9fATNxBypMGXqakhK-raoAHNBJs7opQSUvL0gqsgmuvxt_A6uw9IQa9ZTf4OhIC1-7ODsNrmPMdEgEHCAtTRJlVwW5bbOP5/s728-e100/windealer.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj5larTzIMeZxoVV-prF15LAtvDFAWKs_RL8UmiCcKkkejS2DSYQdar6l73miVU_TNzkdMjy_JvAh-cafVVl2rbkr1SN9fATNxBypMGXqakhK-raoAHNBJs7opQSUvL0gqsgmuvxt_A6uw9IQa9ZTf4OhIC1-7ODsNrmPMdEgEHCAtTRJlVwW5bbOP5/s728-e100/windealer.jpg)
But the infection vector has since been traded for another distribution method that makes use of the automatic update mechanism of select legitimate applications to serve a compromised version of the executable on "rare occasions."


WinDealer, a modular malware platform at its core, comes with all the usual bells and whistles associated with a traditional backdoor, allowing it to hoover sensitive information, capture screenshots, and execute arbitrary commands.


But where it also stands apart is its use of a complex IP generation algorithm to select a command-and-control (C2) server to connect to at random from a pool of 48,000 IP addresses.


"The only way to explain these seemingly impossible network behaviors is by assuming the existence of a man-on-the-side attacker who is able to intercept all network traffic and even modify it if needed," the company said.


A [man-on-the-side](https://en.wikipedia.org/wiki/Man-on-the-side_attack) attack, similar to a man-in-the-middle attack, enables a rogue interloper to read and inject arbitrary messages into a communications channel, but not modify or delete messages sent by other parties.


Such intrusions typically bank on strategically timing their messages such that the malicious reply containing the attacker-supplied data is sent in response to a victim's request for a web resource before the actual response from the server.


The fact that the threat actor is able to control such a massive range of IP addresses could also explain the hijacking of the update mechanism associated with genuine apps to deliver the WinDealer payload, Kaspersky pointed out.


"Man-on-the-side-attacks are extremely destructive as the only condition needed to attack a device is for it to be connected to the internet," security researcher Suguru Ishimaru said.


"No matter how the attack has been carried out, the only way for potential victims to defend themselves is to remain extremely vigilant and have robust security procedures, such as regular antivirus scans, analysis of outbound network traffic, and extensive logging to detect anomalies."


  





## Tags:


### Autogenerated tags:
[[windealer]] [[luoyu]] [[man-on-the-side]] [[malware]] [[ip]]
