# Critical Atlassian Flaw Exploited to Deploy Linux Variant of Cerber Ransomware
## Hackers are exploiting a critical vulnerability in Atlassian servers to gain admin access and deploy a Linux variant of Cerber ransomware.
## Information:

+ Link: https://thehackernews.com/2024/04/critical-atlassian-flaw-exploited-to.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 17 April 2024, 16:27
+ Date scraped: 17 April 2024, 11:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj8FthSjsJfGJWa1Qvq9E5PiSyfq-LqFk07tOia2Y3tYn9WAaEzOnvB6Ztjx-hPaKDLS1E3jhTD8WUYerA4ua6aZ8x1v2YlWGcl8qXYs_kmgf-wV8CWcPYsL4LlOydskq-U-Ml2gpcDrwBxZfrDh3fnu1Xb6Et2rac_2jCQMgEPXZWg6iJhc8KYzgCXrXEs/s728-rw-e365/linux.png)


Threat actors are exploiting unpatched Atlassian servers to deploy a Linux variant of Cerber (aka C3RB3R) ransomware.


The attacks leverage [CVE-2023-22518](https://thehackernews.com/2023/10/atlassian-warns-of-new-critical.html) (CVSS score: 9.1), a critical security vulnerability impacting the Atlassian Confluence Data Center and Server that allows an unauthenticated attacker to reset Confluence and create an administrator account.


Armed with this access, a threat actor could take over affected systems, leading to a full loss of confidentiality, integrity, and availability.


According to cloud security firm Cado, financially motivated cybercrime groups have been observed abusing the newly created admin account to install the Effluence web shell plugin and allow for the execution of arbitrary commands on the host.


"The attacker uses this web shell to download and run the primary Cerber payload," Nate Bill, threat intelligence engineer at Cado, [said](https://www.cadosecurity.com/blog/cerber-ransomware-dissecting-the-three-heads) in a report shared with The Hacker News.


"In a default install, the Confluence application is executed as the 'confluence' user, a low privilege user. As such, the data the ransomware is able to encrypt is limited to files owned by the confluence user."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
It's worth noting that the exploitation of CVE-2023-22518 to deploy Cerber ransomware was [previously highlighted](https://thehackernews.com/2023/11/experts-warn-of-ransomware-hackers.html) by Rapid7 in November 2023.


Written in C++, the primary payload acts as a loader for additional C++-based malware by retrieving them from a command-and-control (C2) server and then erasing its own presence from the infected host.


It includes "agttydck.bat," which is executed to download the encryptor ("agttydcb.bat") that's subsequently launched by the primary payload.


It's suspected that agttydck functions akin to a permission checker for the malware, assessing its ability to write to a /tmp/ck.log file. The exact purpose of this check is unclear.

 The encryptor, on the other hand, traverses the root directory and encrypts all contents with a .L0CK3D extension. It also drops a ransom note in each directory. However, no data exfiltration takes place despite claims to the contrary in the note.


The most interesting aspect of the attacks is the use of pure C++ payloads, which are becoming something of a rarity given the shift to cross-platform programming languages like Golang and Rust.


"Cerber is a relatively sophisticated, albeit aging, ransomware payload," Bill said. "While the use of the Confluence vulnerability allows it to compromise a large amount of likely high value systems, often the data it is able to encrypt will be limited to just the confluence data and in well configured systems this will be backed up."


"This greatly limits the efficacy of the ransomware in extracting money from victims, as there is much less incentive to pay up," the researcher added.


The development comes amid the emergence of new ransomware families like [Evil Ant](https://www.netskope.com/blog/netskope-threat-coverage-evil-ant-ransomware), [HelloFire](https://www.shadowstackre.com/analysis/hellofire), [L00KUPRU](https://www.broadcom.com/support/security-center/protection-bulletin/l00kupru-ransomware) (an Xorist ransomware variant), [Muliaka](https://www.facct.ru/blog/ransomware-2023-2024/) (based on the leaked Conti ransomware code), [Napoli](https://www.broadcom.com/support/security-center/protection-bulletin/napoli-ransomware) (a Chaos ransomware variant), [Red CryptoApp](https://netenrich.com/blog/red-cryptoapp-ransomware-new-threat-group), [Risen](https://www.broadcom.com/support/security-center/protection-bulletin/risen-ransomware), and [SEXi](https://twitter.com/1ZRR4H/status/1775371621605298386) (based on the leaked Babuk ransomware code) that have been spotted targeting Windows and VMware ESXi servers.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
Ransomware actors are also leveraging the [leaked LockBit ransomware source code](https://thehackernews.com/2023/08/lockbit-30-ransomware-builder-leak.html) to spawn their own custom variants like Lambda (aka Synapse), Mordor, and Zgut, according to reports from [F.A.C.C.T.](https://www.facct.ru/blog/ransomware-2023-2024/) and [Kaspersky](https://securelist.com/lockbit-3-0-based-custom-targeted-ransomware/112375/).


The latter's analysis of the leaked LockBit 3.0 builder files has revealed the "alarming simplicity" with which attackers can craft bespoke ransomware and augment their capabilities with more potent features.


Kaspersky said it uncovered a tailored version with the ability to spread across the network via PsExec by taking advantage of stolen administrator credentials and performing malicious activities, such as terminating Microsoft Defender Antivirus and erasing Windows Event Logs in order to encrypt the data and cover its tracks.


"This underscores the need for robust security measures capable of mitigating this kind of threat effectively, as well as adoption of a cybersecurity culture among employees," the company said.


  





## Tags:
***CVE's***: CVE-2023-22518

### Autogenerated tags:
[[ransomware]] [[cerber]]
