# Cryptocurrency Companies Targeted in Sophisticated 3CX Supply Chain Attack
## A supply chain breach at 3CX has been linked to the North Korean-associated backdoor, Gopuram. The Lazarus Group is believed to be behind the attack.
## Information:

+ Link: https://thehackernews.com/2023/04/cryptocurrency-companies-targeted-in.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 04 April 2023, 03:54
+ Date scraped: 04 April 2023, 05:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhFT902WJjUFT2NIWQ1Ywri-LUSolAeVyhqtS3UjEvhKPmbtlOrfApAyImqUKMHK6545ozJPPB60_Nz4g0scSLXtlvLHIsjwQK7Pe9ZdNXxfkuFeSGJy4yun3SxM9fXfpBOcvXLQ6zkFfKDY8Hh9UHv6WHcrYCqrYb7rAc45duEqWW2KsVJ5nx8d0JW/s728-e3650/crypto.png)


The adversary behind the [supply chain attack targeting 3CX](https://thehackernews.com/2023/03/3cx-desktop-app-targeted-in-supply.html) deployed a second-stage implant specifically singling out a small number of cryptocurrency companies.


Russian cybersecurity firm Kaspersky, which has been [internally tracking](https://securelist.com/gopuram-backdoor-deployed-through-3cx-supply-chain-attack/109344/) the versatile backdoor under the name **Gopuram** since 2020, said it observed an increase in the number of infections in March 2023 coinciding with the 3CX breach.


Gopuram's primary function is to connect to a command-and-control (C2) server and await further instructions that allow the attackers to interact with the victim's file system, create processes, and launch as many as eight in-memory modules.


The backdoor's links to North Korea stem from the fact that it "co-existed on victim machines with [AppleJeus](https://thehackernews.com/2022/12/north-korean-hackers-spread-applejeus.html), a backdoor attributed to the Korean-speaking threat actor Lazarus," detailing an attack on an unnamed crypto firm located in Southeast Asia in 2020.


The targeting of cryptocurrency companies is another telltale sign of the Lazarus Group's involvement, given the [threat actor's recurring focus](https://thehackernews.com/2023/02/norway-seizes-584-million-in.html) on the financial industry to generate illicit profits for the sanctions-hit nation.


Kaspersky further said it identified a C2 overlap with a server ("wirexpro[.]com") that was previously identified as employed in an [AppleJeus campaign](https://www.malwarebytes.com/blog/news/2022/12/lazarus-group-uses-fake-cryptocurrency-apps-to-plant-applejeus-malware) documented by Malwarebytes in December 2022. 


"As the Gopuram backdoor has been deployed to less than ten infected machines, it indicates that attackers used Gopuram with surgical precision," the company pointed out, adding the highest infection rates have been detected in Brazil, Germany, Italy, and France.


While the [attack chain](https://thehackernews.com/2023/03/3cx-supply-chain-attack-heres-what-we.html) discovered so far entails the use of rogue installers to distribute an information stealer (known as ICONIC Stealer), the latest findings suggest that the ultimate goal of the campaign may have been to infect targets with the full-fledged modular backdoor.


That said, it's not known how successful the campaign has been, and if it has led to the actual theft of sensitive data or cryptocurrency. It, however, raises the possibility that ICONIC Stealer was used as a reconnaissance utility to cast a wide net and identify targets of interest for follow-on exploitation.


The development comes as BlackBerry [revealed that](https://blogs.blackberry.com/en/2023/03/initial-implants-and-network-analysis-suggest-the-3cx-supply-chain-operation-goes-back-to-fall-2022) "the initial phase of this operation took place somewhere between the end of summer and the beginning of fall 2022."


A majority of the attack attempts, per the Canadian company, have been registered in Australia, the U.S., and the U.K., with healthcare, pharma, IT, and finance emerging as the top targeted sectors.


It's currently unclear how the threat actor obtained initial access to the 3CX network, and if it entailed the exploitation of a known or unknown vulnerability. The compromise is being tracked under the identifier [CVE-2023-29059](https://nvd.nist.gov/vuln/detail/CVE-2023-29059).


Evidence collected to date indicates that the attackers poisoned 3CX's development environment and delivered trojanized versions of the legitimate app to the company's downstream customers in a [SolarWinds](https://thehackernews.com/2021/01/heres-how-solarwinds-hackers-stayed.html) or [Kaseya](https://thehackernews.com/2021/07/kaseya-gets-universal-decryptor-to-help.html)-like supply chain attack.


One of the malicious components responsible for retrieving the info-stealer, a library named "d3dcompiler\_47.dll," has also been spotted [weaponizing](https://www.trendmicro.com/en_us/research/23/c/information-on-attacks-involving-3cx-desktop-app.html) a 10-year-old Windows flaw ([CVE-2013-3900](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2013-3900)) to incorporate encrypted shellcode without invalidating its Microsoft-issued signature.


A point worth noting here is that the same technique was adopted by a [ZLoader malware campaign](https://thehackernews.com/2022/01/new-zloader-banking-malware-campaign.html) unearthed by Israeli cybersecurity firm Check Point Research in January 2022.


Multiple versions of the desktop app – 18.12.407 and 18.12.416 for Windows and 18.11.1213, 18.12.402, 18.12.407, and 18.12.416 for macOS – have been impacted. 3CX has since [pinned the attack](https://www.3cx.com/blog/news/security-incident-updates/) on a "highly experienced and knowledgeable hacker." 


CrowdStrike has tied the incident to a North Korea-aligned nation-state group it tracks under the moniker Labyrinth Chollima, a sub-cluster within the Lazarus Group.


  





## Tags:
***CVE's***: CVE-2023-29059 CVE-2013-3900
***urls***: http://wirexpro.com

### Autogenerated tags:
[[3cx]] [[gopuram]]
