# Cyber Criminals Exploit GitHub and FileZilla to Deliver Cocktail Malware
## A multi-faceted campaign is targeting Android, macOS, and Windows users with various stealer malware and banking trojans.
## Information:

+ Link: https://thehackernews.com/2024/05/cyber-criminals-exploit-github-and.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 20 May 2024, 14:56
+ Date scraped: 20 May 2024, 10:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjoLVp_rXZpAax3aY4Aa-AmJXwZmeAWuktKiXp4GN-qgCDkfiAGlu_1tuNLKXIJEjNkKq0r0cjLiVpBK3BqY8xka1y-u9IIKR1pAMRiZNFPqCaP1wpZ_rX8rfV9Nm-qFAVs42kYWkE9r6Ceds151AlrK6l3CUUxxM7_Dtzf7NxdgFTeC8VRqc-KUHj3yVjj/s728-rw-e365/malware.png)


A "multi-faceted campaign" has been observed abusing legitimate services like GitHub and FileZilla to deliver an array of stealer malware and banking trojans such as Atomic (aka AMOS), Vidar, Lumma (aka LummaC2), and Octo by impersonating credible software like 1Password, Bartender 5, and Pixelmator Pro.


"The presence of multiple malware variants suggests a broad cross-platform targeting strategy, while the overlapping C2 infrastructure points to a centralized command setup — possibly increasing the efficiency of the attacks," Recorded Future's Insikt Group [said](https://www.recordedfuture.com/gitcaught-threat-actor-leverages-github-repository-for-malicious-infrastructure) in a report.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The cybersecurity firm, which is tracking the activity under the moniker GitCaught, said the campaign not only highlights the misuse of authentic internet services to orchestrate cyber attacks, but also the reliance on multiple malware variants targeting Android, macOS, and Windows to increase the success rate.


Attack chains entail the use of fake profiles and repositories on GitHub, hosting counterfeit versions of well-known software with the goal of sensitive data from compromised devices. The links to these malicious files are then embedded within several domains that are typically distributed via [malvertising and SEO poisoning campaigns](https://thehackernews.com/2024/04/new-redline-stealer-variant-disguised.html).


[![Cocktail Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiH54P93qK3hfK03tmeGuu6iKoTNdxvtl9i2hM9bW08l7sI0tsMYipSaqSTNPqYW8n7jfGru4Zl_c_EtidYIJLrUAbGseaVi1kUlRKs94V9AnA4hWlRmH483efl5_9ZoXqfofBdLxtOby5iZO82Y2SaHZRTJksTxpi9pbA8vMRK_t5c_TFmXUh0PPAnvJPG/s728-rw-e365/exe.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiH54P93qK3hfK03tmeGuu6iKoTNdxvtl9i2hM9bW08l7sI0tsMYipSaqSTNPqYW8n7jfGru4Zl_c_EtidYIJLrUAbGseaVi1kUlRKs94V9AnA4hWlRmH483efl5_9ZoXqfofBdLxtOby5iZO82Y2SaHZRTJksTxpi9pbA8vMRK_t5c_TFmXUh0PPAnvJPG/s728-rw-e365/exe.png)
The adversary behind the operation, suspected to be Russian-speaking threat actors from the Commonwealth of Independent States (CIS), has also been observed using FileZilla servers for malware management and delivery.


Further analysis of the disk image files on GitHub and the associated infrastructure has determined that the attacks are tied to a larger campaign designed to deliver RedLine, Lumma, Raccoon, Vidar, Rhadamanthys, DanaBot, and DarkComet RAT since at least August 2023.


The Rhadamanthys infection pathway is also notable for the fact that victims who land on the fake application websites are redirected to payloads hosted on Bitbucket and Dropbox, suggesting a broader abuse of legitimate services.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
The development comes as the Microsoft Threat Intelligence team said that the macOS backdoor codenamed [Activator](https://x.com/MsftSecIntel/status/1788962208120013250) remains a "very active threat," distributed via disk image files impersonating cracked versions of legitimate software and stealing data from Exodus and Bitcoin-Qt wallet applications.


"It prompts the user to let it run with elevated privileges, turns off the macOS Gatekeeper, and disables the Notification Center," the tech giant [said](https://thehackernews.com/2024/01/activator-alert-macos-malware-hides-in.html). "It then downloads and launches multiple stages of malicious Python scripts from multiple command-and-control (C2) domains and adds these malicious scripts to the LaunchAgents folder for persistence."

 
  





## Tags:


### Autogenerated tags:
[[malware]] [[github]] [[macos]]
