# Cyber Espionage Alert: LilacSquid Targets IT, Energy, and Pharma Sectors
## Cisco Talos uncovers a previously unknown cyber espionage group targeting organizations in the U.S., Europe, and Asia since 2021.
## Information:

+ Link: https://thehackernews.com/2024/05/cyber-espionage-alert-lilacsquid.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 30 May 2024, 20:56
+ Date scraped: 30 May 2024, 16:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiP-0tPvdVxLiudeZNkhmcVrIIDHzugII2J9cwrkd9Jgv1cJ4moSVi1w2Dz8eiMiPNZRkRS82-Vnx1tRkM9eI_NyyFn_onTi9ucCeGXr2pswPjtTyTDnF080T5zM7g5ArztT7Lc1w6Ipo5ywQNCtCJVZtg2tgOgYczSgxRjUb_FHhB6UHil0uKaAf0qVrFo/s728-rw-e365/ciscoc.png)


A previously undocumented cyber espionage-focused threat actor named **LilacSquid** has been linked to targeted attacks spanning various sectors in the United States (U.S.), Europe, and Asia as part of a data theft campaign since at least 2021.


"The campaign is geared toward establishing long-term access to compromised victim organizations to enable LilacSquid to siphon data of interest to attacker-controlled servers," Cisco Talos researcher Asheer Malhotra [said](https://blog.talosintelligence.com/lilacsquid/) in a new technical report published today.


Targets include information technology organizations building software for the research and industrial sectors in the U.S, energy companies in Europe, and the pharmaceutical sector in Asia, indicating a broad victimology footprint.


Attack chains are known to exploit either publicly known vulnerabilities to breach internet-facing application servers or make use of compromised remote desktop protocol (RDP) credentials to deliver a mix of open-source tools and custom malware.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The campaign's most distinctive feature is the use of an open-source remote management tool called MeshAgent, which serves as a conduit to deliver a bespoke version of [Quasar RAT](https://www.cisa.gov/news-events/analysis-reports/ar18-352a) codenamed PurpleInk.


Alternate infection procedures leveraging compromised RDP credentials exhibit a slightly different modus operandi, wherein the threat actors choose to either deploy MeshAgent or drop a .NET-based loader dubbed InkLoader to drop PurpleInk.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjnrslJutILn5-rFJ-yIIPk9iOOEelPYn72r0zy6kHGher83YB8IUVPFizPhBufy-NCKldpqSPlufgh27Ml8L5hh_Mh29cVp8yW0PikALmxR9ZpK-lhfeW8wcrPOzho3bUXAJaCCQ7TGo_-OZMbeyo80AKlwnPzUa4LmLuED2l_Ie_cGQyZnU_w_xddC4pF/s728-rw-e365/cisco.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjnrslJutILn5-rFJ-yIIPk9iOOEelPYn72r0zy6kHGher83YB8IUVPFizPhBufy-NCKldpqSPlufgh27Ml8L5hh_Mh29cVp8yW0PikALmxR9ZpK-lhfeW8wcrPOzho3bUXAJaCCQ7TGo_-OZMbeyo80AKlwnPzUa4LmLuED2l_Ie_cGQyZnU_w_xddC4pF/s728-rw-e365/cisco.png)
"A successful login via RDP leads to the download of InkLoader and PurpleInk, copying these artifacts into desired directories on disk and the subsequent registration of InkLoader as a service that is then started to deploy InkLoader and, in turn, PurpleInk," Malhotra said.


PurpleInk, actively maintained by LilacSquid since 2021, is both heavily obfuscated and versatile, allowing it to run new applications, perform file operations, get system information, enumerate directories and processes, launch a remote shell, and connect to a specific remote address provided by a command-and-control (C2) server.


Talos said it identified another custom tool called InkBox that's said to have been used by the adversary to deploy PurpleInk prior to InkLoader.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
The incorporation of MeshAgent as part of their post-compromise playbooks is noteworthy in part due to the fact that it's a tactic [previously adopted](https://thehackernews.com/2024/03/new-deepgosu-malware-campaign-targets.html) by a North Korean threat actor named [Andariel](https://asec.ahnlab.com/en/63192/), a sub-cluster within the infamous Lazarus Group, in attacks targeting South Korean companies.


Another overlap concerns the use of tunneling tools to maintain secondary access, with LilacSquid deploying Secure Socket Funneling ([SSF](https://github.com/securesocketfunneling/ssf)) to create a communication channel to its infrastructure.


"Multiple tactics, techniques, tools, and procedures (TTPs) utilized in this campaign bear some overlap with North Korean APT groups, such as Andariel and its parent umbrella group, Lazarus," Malhotra said.

 
  





## Tags:


### Autogenerated tags:
[[purpleink]] [[inkloader]] [[lilacsquid]] [[malhotra]] [[rdp]] [[meshagent]]
