# Cybercrime Groups Increasingly Adopting Sliver Command-and-Control Framework
## Nation-state threat actors are increasingly adopting and integrating the Sliver command-and-control (C2) framework into their intrusion campaigns.
## Information:

+ Link: https://thehackernews.com/2022/08/cybercrime-groups-increasingly-adopting.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 26 August 2022, 06:52
+ Date scraped: 26 August 2022, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgqL2z22xF1DVwCkfCd3b6DyTXHmui_8aJ-1TfYNhA0dDpIbMMabC5QTxhLcIjtMrXSZ2ntdQLr6ODBgouOzakRz3VSBEp87WXxK_dVtX6r76YaxepVMhVSt_4mp9MPvKOO5I8_Jmp7Qc4XHzVMharIQM63MEistws1sGfBaxpxLMt7r-W34YlXgFvI/s728-e1000/silver-framework.jpg)


Nation-state threat actors are [increasingly adopting](https://thehackernews.com/2021/05/top-11-security-flaws-russian-spy.html) and integrating the Sliver command-and-control (C2) framework in their intrusion campaigns as a replacement for Cobalt Strike.


"Given Cobalt Strike's popularity as an attack tool, defenses against it have also improved over time," Microsoft security experts [said](https://www.microsoft.com/security/blog/2022/08/24/looking-for-the-sliver-lining-hunting-for-emerging-command-and-control-frameworks/). "Sliver thus presents an attractive alternative for actors looking for a lesser-known toolset with a low barrier for entry."


Sliver, first made public in late 2019 by cybersecurity company BishopFox, is a Go-based [open source C2 platform](https://github.com/BishopFox/sliver) that supports user-developed extensions, custom implant generation, and other commandeering options.


"A C2 framework usually includes a server that accepts connections from implants on a compromised system, and a client application that allows the C2 operators to interact with the implants and launch malicious commands," Microsoft said.


Besides facilitating long-term access to infected hosts, the cross-platform kit is also known to deliver stagers, which are payloads primarily intended to retrieve and launch a fully-featured backdoor on compromised systems.


Included among its users is a prolific ransomware-as-service (RaaS) affiliate tracked as [DEV-0237](https://aka.ms/ransomware-as-a-service#DEV-0237) (aka [FIN12](https://thehackernews.com/2021/10/ransomware-group-fin12-aggressively.html)) that has previously leveraged initial access acquired from other groups (aka initial access brokers) to deploy various ransomware strains such as Ryuk, Conti, Hive, and [BlackCat](https://thehackernews.com/2022/06/blackcat-ransomware-gang-targeting.html).


[![Sliver Command-and-Control Framework](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiMFLXjcFEcAZlRzIU-WYYlX7goa63qJJ51VpqhQMI26NWA5j-xl0Kt54fVAshV36UsVvKDL60OpP8LbaZiY71s1yhxXjGQ5n040kl834RSYJaaHnip11rt9Ku_qm7cvO8nL7ZGdHYlSRCQTPpsAblSfI9V5ct1OzYprjoSnUUbiybEEGP2AlBCJ_BL/s728-e1000/memory.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiMFLXjcFEcAZlRzIU-WYYlX7goa63qJJ51VpqhQMI26NWA5j-xl0Kt54fVAshV36UsVvKDL60OpP8LbaZiY71s1yhxXjGQ5n040kl834RSYJaaHnip11rt9Ku_qm7cvO8nL7ZGdHYlSRCQTPpsAblSfI9V5ct1OzYprjoSnUUbiybEEGP2AlBCJ_BL/s728-e100/memory.jpg)
Microsoft said it recently observed cybercrime actors dropping Sliver and other post-exploitation software by embedding them within the [Bumblebee](https://thehackernews.com/2022/08/hackers-using-bumblebee-loader-to.html) (aka COLDTRAIN) loader, which emerged earlier this year as a successor to BazarLoader and shares links with the larger [Conti](https://thehackernews.com/2022/08/conti-cybercrime-cartel-using-bazarcall.html) syndicate.


The migration from Cobalt Strike to a freely available tool is seen as an attempt on the part of adversaries to decrease their chances of exposure in a compromised environment and render attribution challenging, giving their campaigns an increased level of stealth and persistence.


Sliver is not the only framework that has caught the attention of malicious actors. In recent months, campaigns undertaken by a suspected Russian state-sponsored group have involved another legitimate adversarial attack simulation software named [Brute Ratel](https://thehackernews.com/2022/07/hackers-abusing-brc4-red-team.html).


"Sliver and many other C2 frameworks are yet another example of how threat actors are continually attempting to evade automated security detections," Microsoft said.


  





## Tags:


### Autogenerated tags:
[[c2]] [[microsoft]]
