# Cybersecurity Agencies Sound Alarm on Rising TrueBot Malware Attacks
## New variants of TrueBot malware targeting U.S. and Canadian organizations, exploiting a critical vulnerability in Netwrix Auditor.
## Information:

+ Link: https://thehackernews.com/2023/07/cybersecurity-agencies-sound-alarm-on.html
+ Source: The Hacker News
+ Author: Swati Khandelwal
+ Date published: 07 July 2023, 10:42
+ Date scraped: 07 July 2023, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEizWKk1DzG1FW1WuuAudeKKzxe_XapsBIX40-xMTdgsQO6m9hzjHLWnTQzUOr8lUH-C5aMcphAp7NueZaAGEMFb64xjseQbfaxpnxRq7kTTVgMsd8auEpb-4AKGOAI1eIq5ZZRgSa1opkzIANzt5yivZI4s9K5EkGP2Hf0zLbb8Cf6LPkF92NAdhTuY88Ap/s728-e3650/truebot.jpg)


Cybersecurity agencies have warned about the emergence of new variants of the TrueBot malware. These variants specifically target organizations in the United States and Canada, aiming to extract sensitive data from compromised networks.


These sophisticated [attacks exploit a critical vulnerability](https://thehackernews.com/2022/12/new-truebot-malware-variant-leveraging.html) ([CVE-2022-31199](https://thehackernews.com/2022/07/new-netwrix-auditor-bug-could-let.html)) in the widely used Netwrix Auditor server and its associated agents.


This vulnerability enables unauthorized attackers to execute malicious code with the SYSTEM user's privileges, granting them unrestricted access to compromised systems.


The [TrueBot malware](https://thehackernews.com/2023/06/alarming-surge-in-truebot-activity.html), which is associated with hacker groups Silence and FIN11, is employed to exfiltrate data and distribute ransomware, compromising the security of numerous networks that have been compromised.


The attackers initially gain access by exploiting the mentioned vulnerability and subsequently proceed to install TrueBot. Once inside the networks, they install the FlawedGrace Remote Access Trojan (RAT) to escalate their privileges, establish persistence on the compromised systems, and carry out further actions.

"During FlawedGrace's execution phase, the RAT stores encrypted payloads within the registry. The tool can create scheduled tasks and inject payloads into msiexec[.]exe and svchost[.]exe, which are command processes that enable FlawedGrace to establish a command and control (C2) connection to 92.118.36[.]199, for example, as well as load dynamic link libraries (DLLs) to accomplish privilege escalation," the [advisory](https://www.cisa.gov/news-events/cybersecurity-advisories/aa23-187a) says.


The attackers deploy Cobalt Strike beacons within a few hours of the initial breach. These beacons facilitate post-exploitation tasks, including data theft and installing ransomware or other malware payloads.


While earlier variants of the TrueBot malware were primarily distributed through malicious email attachments, the newer versions utilize the CVE-2022-31199 vulnerability to gain initial access.


This change in tactics enables threat actors to launch attacks on a larger scale within compromised environments. Notably, the Netwrix Auditor software is utilized by over 13,000 organizations globally, including prominent companies such as Airbus, Allianz, the UK NHS, and Virgin.


The advisory does not provide specific information about the victims or the number of organizations affected by the TrueBot attacks.


The report also emphasizes the involvement of the [Raspberry Robin malware](https://thehackernews.com/2022/10/raspberry-robin-operators-selling.html) in these TrueBot attacks, as well as [other post-compromise](https://thehackernews.com/2023/01/new-analysis-reveals-raspberry-robin.html) malware like [IcedID](https://thehackernews.com/2023/01/icedid-malware-strikes-again-active.html) and [Bumblebee](https://thehackernews.com/2022/08/hackers-using-bumblebee-loader-to.html). By utilizing Raspberry Robin as a distribution platform, attackers can reach more potential victims and amplify the impact of their malicious activities.


Since the Silence and TA505 groups actively target networks for financial gain, organizations must implement the recommended security measures.


UPCOMING WEBINAR[🔐 Privileged Access Management: Learn How to Conquer Key Challenges](https://thn.news/pam-webinar)Discover different approaches to conquer Privileged Account Management (PAM) challenges and level up your privileged access security strategy.

[Supercharge Your Skills](https://thn.news/pam-webinar)
To safeguard themselves against TrueBot malware and similar threats, organizations should take the following recommendations into account:


1. **Apply patches:** Organizations using Netwrix Auditor should apply the necessary patches to address the CVE-2022-31199 vulnerability and update their software to version 10.5 or higher.
2. **Update security measures:** Implement multi-factor authentication (MFA) for all employees and services.
3. **Monitor for indicators of compromise (IOCs):** Security teams should proactively monitor their networks for signs of TrueBot infection. The joint advisory provides guidelines to aid in detecting and mitigating the malware's impact.
4. **Report incidents:** If organizations detect IOCs or suspect a TrueBot infection, they should promptly take the incident response actions outlined in the advisory and report the incident to CISA or the FBI.



  





## Tags:
***CVE's***: CVE-2022-31199
***ipv4-adresses***: 92.118.36.199
***urls***: http://msiexec.exe http://92.118.36.199 http://svchost.exe

### Autogenerated tags:
[[truebot]] [[malware]] [[cve-2022-31199]] [[netwrix]] [[flawedgrace]]
