# Cybersecurity Agencies Warn Ubiquiti EdgeRouter Users of APT28's MooBot Threat
## Nations unite to warn against the MooBot botnet threat targeting Ubiquiti EdgeRouters.
## Information:

+ Link: https://thehackernews.com/2024/02/cybersecurity-agencies-warn-ubiquiti.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 28 February 2024, 11:17
+ Date scraped: 28 February 2024, 06:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiVidC28jWwk2edpwvuCz9vGqe51cVwQL4wLXygitHn32Sk29OnuPOn-je0SKdpXiq-DWcZqozk8hT4U2uOCDZ-afceAvKHJcTDJvd1S1rnDo72TfGt7tb3PzLGRHNn6vluLxi28jrPl-1sSD8RlgSyy8sGrvrxwJ1lJTIxFUwvKB1JT5vMOlzfwISXgZ_o/s728-rw-e365/router-hacking.jpg)


In a new joint advisory, cybersecurity and intelligence agencies from the U.S. and other countries are urging users of Ubiquiti EdgeRouter to take protective measures, weeks after a botnet comprising infected routers was [felled by law enforcement](https://thehackernews.com/2024/02/us-government-disrupts-russian-linked.html) as part of an operation codenamed Dying Ember.


The botnet, named MooBot, is said to have been used by a Russia-linked threat actor known as APT28 to facilitate covert cyber operations and drop custom malware for follow-on exploitation. APT28, affiliated with Russia's Main Directorate of the General Staff (GRU), is known to be active since at least 2007.


APT28 actors have "used compromised EdgeRouters globally to harvest credentials, collect NTLMv2 digests, proxy network traffic, and host spear-phishing landing pages and custom tools," the authorities [said](https://www.ic3.gov/Media/News/2024/240227.pdf) [PDF].


The adversary's use of EdgeRouters dates back to 2022, with the attacks targeting aerospace and defense, education, energy and utilities, governments, hospitality, manufacturing, oil and gas, retail, technology, and transportation sectors in the Czech Republic, Italy, Lithuania, Jordan, Montenegro, Poland, Slovakia, Turkey, Ukraine, the U.A.E., and the U.S.


MooBot attacks entail targeting routers with default or weak credentials to deploy OpenSSH trojans, with APT28 acquiring this access to deliver bash script and other ELF binaries to collect credentials, proxy network traffic, host phishing pages, and other tooling.


This includes Python scripts to upload account credentials belonging to specifically targeted webmail users, which are collected via cross-site scripting and browser-in-the-browser ([BitB](https://thehackernews.com/2022/03/new-browser-in-browser-bitb-attack.html)) spear-phishing campaigns.


APT28 has also been linked to the exploitation of [CVE-2023-23397](https://thehackernews.com/2023/12/microsoft-warns-of-kremlin-backed-apt28.html) (CVSS score: 9.8), a now-patched critical privilege escalation flaw in Microsoft Outlook that could enable the theft of NT LAN Manager (NTLM) hashes and mount a relay attack without requiring any user interaction.


Another tool in its malware arsenal is [MASEPIE](https://thehackernews.com/2023/12/cert-ua-uncovers-new-malware-wave.html), a Python backdoor capable of executing arbitrary commands on victim machines utilizing compromised Ubiquiti EdgeRouters as command-and-control (C2) infrastructure.


"With root access to compromised Ubiquiti EdgeRouters, APT28 actors have unfettered access to Linux-based operating systems to install tooling and to obfuscate their identity while conducting malicious campaigns," the agencies noted.


Organizations are recommended to perform a hardware factory reset of the routers to flush file systems of malicious files, upgrade to the latest firmware version, change default credentials, and implement firewall rules to prevent exposure of remote management services.


The revelations are a sign that nation-state hackers are increasingly using routers as a launchpad for attacks, using them to create botnets such as [VPNFilter](https://thehackernews.com/2018/05/vpnfilter-botnet-malware.html), [Cyclops Blink](https://thehackernews.com/2022/04/fbi-shut-down-russia-linked-cyclops.html), and [KV-botnet](https://thehackernews.com/2024/02/after-fbi-takedown-kv-botnet-operators.html) and conduct their malicious activities.


The bulletin arrives a day after the Five Eyes nations [called out APT29](https://thehackernews.com/2024/02/five-eyes-agencies-expose-apt29s.html) – the threat group affiliated with Russia's Foreign Intelligence Service (SVR) and the entity behind the attacks on SolarWinds, Microsoft, and HPE – for employing service accounts and dormant accounts to access cloud environments at target organizations.


  





## Tags:
***CVE's***: CVE-2023-23397

### Autogenerated tags:
[[apt28]] [[edgerouters]] [[ubiquiti]]
