# DarkGate Malware Activity Spikes as Developer Rents Out Malware to Affiliates
## New malspam campaign uses DarkGate malware to steal data, mine cryptocurrency, and evade detection.
## Information:

+ Link: https://thehackernews.com/2023/08/darkgate-malware-activity-spikes-as.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 29 August 2023, 20:08
+ Date scraped: 29 August 2023, 15:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjmRtsfqmbiSGbt36FlbdxhalYWSHV6zIrmzqE9ncmcAr-ReSIJDlkF4FOua-i5lWKfd10imDCZZxBDa6swkf9kDvBLf5yFIWLInovGQ-GVS7c-Wm6wKZ-DE70CwQ5fam7ovWUrAF8a6QuU53SIycG-enwsF-MCfAPHAn4ZUfFVkHlbN6rDxvuveTvPjsQ/s728-e3650/malspam.jpg)


A new malspam campaign has been observed deploying an off-the-shelf malware called **DarkGate**.


"The current spike in DarkGate malware activity is plausible given the fact that the developer of the malware has recently started to rent out the malware to a limited number of affiliates," Telekom Security [said](https://github.security.telekom.com/2023/08/darkgate-loader.html) in a report published last week.


The latest findings build on [recent findings](https://0xtoxin.github.io/threat%20breakdown/DarkGate-Camapign-Analysis/) from security researcher Igal Lytzki, who detailed a "high volume campaign" that leverages hijacked email threads to trick recipients into downloading the malware.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiltwxN6CgTsOwvK4Kb9RC48ffApMCcXD3j2Gc3db9P1-x8PHByrz3vE32zvTg2ob2gKgFCjZBxfrCvkNyecbAPGYBfbb0Tj5AljTS_uYaanG6sEjZCK8NhoD2rHwk-Eh24yrpazpnZZiKsiHdbNkq2XVUeD-T-sZ2yW29dfOwyrVq3f31mu0hw25FnVzTn/s728-e3650/3.png)](https://thn.news/edWGl41h)
The attack commences with a phishing URL that, when clicked, passes through a traffic direction system ([TDS](https://thehackernews.com/2022/06/researchers-uncover-malware-controlling.html)) to take the victim to an MSI payload subject to certain conditions. This includes the presence of a refresh header in the HTTP response.


Opening the MSI file triggers a multi-stage process that incorporates an AutoIt script to execute shellcode that acts as a conduit to decrypt and launch DarkGate via a crypter (or loader).


Specifically, the loader is designed to parse the AutoIt script and extract the encrypted malware sample.


[![DarkGate Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjo_0JGXi_GBbuNyORZwKMTfljBy-g6FDy4cNHyRXlX6-npAvWzNMfE9sKZU1m0i2P-dVfYTdiRxitzv3QU_rLvV6c-sDda1o8a9QG-myoVhru2UBZAwv5t3W2jEvFW0tnLNYQy0v66hlTtyXip73uMCGZucSy8rwHxgCEKRk8K8DFXV8mEIGQ8VK6iUMo/s728-e3650/hacking.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjo_0JGXi_GBbuNyORZwKMTfljBy-g6FDy4cNHyRXlX6-npAvWzNMfE9sKZU1m0i2P-dVfYTdiRxitzv3QU_rLvV6c-sDda1o8a9QG-myoVhru2UBZAwv5t3W2jEvFW0tnLNYQy0v66hlTtyXip73uMCGZucSy8rwHxgCEKRk8K8DFXV8mEIGQ8VK6iUMo/s728-e365/hacking.jpg)
An alternate variation of the attacks have been observed using a Visual Basic Script in place of an MSI file, which, in turn, uses cURL to retrieve the AutoIt executable and script file. The exact method by which the VB Script is delivered is currently unknown.


DarkGate, sold mainly on underground forums by an actor named RastaFarEye, comes with capabilities to evade detection by security software, set up persistence using Windows Registry changes, escalate privileges, and steal data from web browsers and other software such as Discord and FileZilla.


It also establishes contact with a command-and-control (C2) server for enumerating files, data exfiltration, launching cryptocurrency miners, and remotely capturing screenshots as well as running other commands.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
The malware is offered as a subscription that starts from $1,000 per day to $15,000 per month to $100,000 a year, with the author advertising it as the "ultimate tool for pentesters/redteamers" and that it has "features that you won't find anywhere." Interestingly, earlier versions of DarkGate also [came fitted](https://www.fortinet.com/blog/threat-research/enter-the-darkgate-new-cryptocurrency-mining-and-ransomware-campaign) with a ransomware module.


Phishing attacks are a [primary delivery pathway](https://www.reliaquest.com/blog/3-malware-loaders-you-cant-shouldnt-iognore/) for stealers, trojans, and malware loaders such as [KrakenKeylogger](https://0xtoxin.github.io/threat%20hunting/KrakenKeylogger-pt2/), [QakBot](https://thehackernews.com/2023/08/qakbot-malware-operators-expand-c2.html), [Raccoon Stealer](https://cyberint.com/blog/financial-services/raccoon-stealer/), [SmokeLoader](https://thehackernews.com/2023/08/new-whiffy-recon-malware-triangulates.html), and others, with threat actors continuously adding new features and enhancements to expand their functionalities.


According to a [recent report](https://threatresearch.ext.hp.com/hp-wolf-security-threat-insights-report-q2-2023/) published by HP Wolf Security, email remained the top vector for delivering malware to endpoints, accounting for 79% of threats identified in Q2 2023.


  





## Tags:


### Autogenerated tags:
[[malware]] [[darkgate]] [[msi]] [[autoit]]
