# DarkMe Malware Targets Traders Using Microsoft SmartScreen Zero-Day Vulnerability
## Cybercriminals exploit a zero-day flaw in Microsoft Defender SmartScreen to target financial traders with sophisticated malware!
## Information:

+ Link: https://thehackernews.com/2024/02/darkme-malware-targets-traders-using.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 14 February 2024, 13:03
+ Date scraped: 14 February 2024, 08:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiDxsWZtMUgmZz5rKH-NbrAkA6dv3NZaDoBd4puHxMXvXQc5SA3BAdPzOWcaWaQwHzKHvlE06MBejybwscxmbgqCSedwNfgZHIeo6TGB1cVTRlCzhicYxuuEa8zFhX4vWsEs2odbiRb9_RamAFOW0YExxQfi7rVH2OYlT0rGlKEWeub8wgOe4knCQ4-vG6t/s728-rw-e30/trading.jpg)


A newly disclosed security flaw in the Microsoft Defender SmartScreen has been exploited as a zero-day by an advanced persistent threat actor called [Water Hydra](https://thehackernews.com/2023/11/experts-uncover-darkcasino-new-emerging.html) (aka DarkCasino) targeting financial market traders.


Trend Micro, which began tracking the campaign in late December 2023, said it entails the exploitation of CVE-2024-21412, a security bypass vulnerability related to Internet Shortcut Files (.URL).


"In this attack chain, the threat actor leveraged CVE-2024-21412 to bypass Microsoft Defender SmartScreen and infect victims with the DarkMe malware," the cybersecurity firm [said](https://www.trendmicro.com/en_us/research/24/b/cve202421412-water-hydra-targets-traders-with-windows-defender-s.html) in a Tuesday report.


Microsoft, which [addressed](https://thehackernews.com/2024/02/microsoft-rolls-out-patches-for-73.html) the flaw in its February Patch Tuesday update, said an unauthenticated attacker could exploit the flaw by sending the targeted user a specially crafted file in order to bypass displayed security checks.


However, successful exploitation banks on the prerequisite that the threat actor convinces the victim to click on the file link to view the attacker-controlled content.


The infection procedure documented by Trend Micro exploits CVE-2024-21412 to drop a malicious installer file ("7z.msi") by clicking on a booby-trapped URL ("fxbulls[.]ru") distributed via forex trading forums under the pretext of sharing a link to a stock chart image that, in reality, is an internet shortcut file ("photo\_2023-12-29.jpg.url").


"The landing page on fxbulls[.]ru contains a link to a malicious WebDAV share with a filtered crafted view," security researchers Peter Girnus, Aliakbar Zahravi, and Simon Zuckerbraun said.


"When users click on this link, the browser will ask them to open the link in Windows Explorer. This is not a security prompt, so the user might not think that this link is malicious."


The clever trick that makes this possible is the threat actor's abuse of the [search: application protocol](https://thehackernews.com/2023/07/hackers-abusing-windows-search-feature.html), which is used for calling the desktop search application on Windows and has been abused in the past to deliver malware.


The rogue internet shortcut file, for its part, points to another internet shortcut file hosted on a remote server ("2.url"), which, in turn, points to a CMD shell script within a ZIP archive hosted on the same server ("a2.zip/a2.cmd").


This unusual referencing stems from the fact that "calling a shortcut within another shortcut was sufficient to evade SmartScreen, which failed to properly apply Mark of the Web ([MotW](https://thehackernews.com/2022/12/bluenoroff-apt-hackers-using-new-ways.html)), a critical Windows component that alerts users when opening or running files from an untrusted source."


The end goal of the campaign is to deliver a Visual Basic trojan known as DarkMe stealthily in the background while displaying the stock graph to the victim to keep up the ruse upon completion of the exploitation and infection chain.


DarkMe comes with capabilities to download and execute additional instructions, alongside registering itself with a command-and-control (C2) server and gathering information from the compromised system.


The development comes amid a new trend where zero-days found by cybercrime groups end up getting incorporated into attack chains deployed by nation-state hacking groups to launch sophisticated attacks.


"Water Hydra possess the technical knowledge and tools to discover and exploit zero-day vulnerabilities in advanced campaigns, deploying highly destructive malware such as DarkMe," the researchers said.


  





## Tags:
***CVE's***: CVE-2024-21412
***urls***: http://fxbulls.ru

### Autogenerated tags:
[[darkme]] [[microsoft]] [[smartscreen]] [[cve-2024-21412]] [[malware]] [[windows]]
