# Decoy Dog: New Breed of Malware Posing Serious Threats to Enterprise Networks
## Decoy Dog, a powerful malware, outperforms the Pupy RAT, featuring previously unknown capabilities.
## Information:

+ Link: https://thehackernews.com/2023/07/decoy-dog-new-breed-of-malware-posing.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 26 July 2023, 18:43
+ Date scraped: 26 July 2023, 14:02

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjsgqPMojJXYLx8K0cyeJC2EljZvyrXSsZctFvt23zjmqEMq2tJlrhsGPQsRQ7xwRnACsyYlHp603vUofEPWnbzRaSz1bIKZHemA9-UxBqrEgLIfiaqxxJ5eKVWb6k22fygeXFeAJecbmOfV7YwuCPe6M8R8et7nIcePaEy5D2LpGmGqpfzDmN1KwyItvpt/s728-e3650/cyber.jpg)


A deeper analysis of a recently discovered malware called **Decoy Dog** has revealed that it's a significant upgrade over the [Pupy RAT](https://github.com/n1nj4sec/pupy), an open-source remote access trojan it's modeled on.


"Decoy Dog has a full suite of powerful, previously unknown capabilities – including the ability to move victims to another controller, allowing them to maintain communication with compromised machines and remain hidden for long periods of time," Infoblox [said](https://www.infoblox.com/company/news-events/press-releases/decoy-dog-is-no-ordinary-pupy-infoblox-reveals-shift-in-malware-tactics-after-initial-discovery/) in a Tuesday report. "Some victims have actively communicated with a Decoy Dog server for over a year."


Other new features allow the malware to execute arbitrary Java code on the client and connect to emergency controllers using a mechanism that's similar to a traditional DNS domain generation algorithm ([DGA](https://en.wikipedia.org/wiki/Domain_generation_algorithm)), with the Decoy Dog domains engineered to respond to replayed DNS queries from breached clients.


The sophisticated toolkit was [first discovered](https://thehackernews.com/2023/05/new-decoy-dog-malware-toolkit-uncovered.html) by the cybersecurity firm in early April 2023 after detecting anomalous DNS beaconing activity, revealing its highly targeted attacks against enterprise networks.


The origins of Decoy Dog remain unclear as yet, but it's suspected to be operated by a handful of nation-state hackers, who employ distinct tactics but respond to inbound requests that match the structure of client communication.


[![Decoy Dog](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjQFWvtFU9vW2Qg3sUtEPd2hgwi3MOhhixlmtytfw9DG6AuY4Kx16VQqTdF03c1V1euHPp--YLzkeQhv0cCtLTs1cbJx5_GQcIHiQTk9kMk6Tn-1n4XoMfQuyYIkxPDUoJzIYsIXu5DtcaZsei6iOYc-yZ61wdvThbFLSZQOd_mpIMXZun8ZO2ozWaXD1jh/s728-e3650/malware.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjQFWvtFU9vW2Qg3sUtEPd2hgwi3MOhhixlmtytfw9DG6AuY4Kx16VQqTdF03c1V1euHPp--YLzkeQhv0cCtLTs1cbJx5_GQcIHiQTk9kMk6Tn-1n4XoMfQuyYIkxPDUoJzIYsIXu5DtcaZsei6iOYc-yZ61wdvThbFLSZQOd_mpIMXZun8ZO2ozWaXD1jh/s728-e365/malware.jpg)
Decoy Dog makes use of the domain name system ([DNS](https://www.cloudflare.com/learning/dns/what-is-dns/)) to perform command-and-control (C2). An endpoint that's compromised by the malware communicates with, and receives instructions from, a controller (i.e., a server) via DNS queries and IP address responses.


The threat actors behind the operation are said to have made swift adjustments to their attack infrastructure in response to the earlier disclosures, taking down some of the DNS nameservers as well as registering new replacement domains to establish remote persistence.


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Join the Webinar](https://thn.news/I26t1VFD)
"Rather than shutting down their operation, the actor transferred existing compromised clients to the new controllers," Infoblox noted. "This is an extraordinary response demonstrating the actor felt it necessary to maintain access to their existing victims."


The first known deployment of Decoy Dog dates back to late-March or early-April 2022, following which three other clusters were detected as under the control of different controllers. A total of 21 Decoy Dog domains have been detected to date.


What's more, one set of controllers registered since April 2023 has adapted by incorporating a geofencing technique to limit responses to client IP addresses to certain locations, with observed activity limited to Russia and Eastern Europe.


"The lack of insight into underlying victim systems and vulnerabilities being exploited makes Decoy Dog an ongoing and serious threat," Dr. Renée Burton, head of threat intelligence at Infoblox, said. "The best defense against this malware is DNS."


  





## Tags:


### Autogenerated tags:
[[dns]] [[malware]] [[infoblox]]
