# DirtyMoe Malware Infects 2,000+ Ukrainian Computers for DDoS and Cryptojacking
## Over 2,000 Ukrainian computers infected with DirtyMoe malware: This malware is capable of stealing cryptocurrency and launching denial-of-service atta
## Information:

+ Link: https://thehackernews.com/2024/02/dirtymoe-malware-infects-2000-ukrainian.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 02 February 2024, 18:47
+ Date scraped: 02 February 2024, 14:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg-19sEoZNiyWA3M0I-Rq4SmOKi6Y01UkceC8fN-fodP5XSqAJQ1y07ihd1Re0bA8MJ4xTG3jKkk1NxcYCd7gyWKgOlF6pVFyVwgfP9-C2OFyAiesQy_1qpbvTCR4RB775ciI_HbRzC15GVTOeGQkfzQb6r5sGEzapfei7SwG6x6YTiE95WKCO76Y5rXIaf/s728-rw-ft-e30/ua.jpg)


The Computer Emergency Response Team of Ukraine (CERT-UA) has warned that more than 2,000 computers in the country have been infected by a strain of malware called DirtyMoe.


The agency [attributed](https://cert.gov.ua/article/6277422) the campaign to a threat actor it calls **UAC-0027**.


[DirtyMoe](https://thehackernews.com/2022/03/dirtymoe-botnet-gains-new-exploits-in.html), active since at least 2016, is capable of carrying out cryptojacking and distributed denial-of-service (DDoS) attacks. In March 2022, cybersecurity firm Avast revealed the malware's ability to propagate in a worm-like fashion by taking advantage of known security flaws.


The DDoS botnet is known to be delivered by means of another malware referred to as [Purple Fox](https://thehackernews.com/2022/03/purple-fox-hackers-spotted-using-new.html) or via bogus MSI installer packages for popular software such as Telegram. Purple Fox is also [equipped with a rootkit](https://www.trendmicro.com/en_us/research/21/l/a-look-into-purple-fox-server-infrastructure.html) that allows the threat actors to [hide the malware](https://www.akamai.com/blog/security/purple-fox-rootkit-now-propagates-as-a-worm) on the machine and make it difficult to detect and remove.


The exact initial access vector used in the campaign targeting Ukraine is currently unknown. CERT-UA is recommending that organizations keep their systems up-to-date, enforce network segmentation, and monitor network traffic for any anomalous activity.


The disclosure comes as Securonix detailed an ongoing phishing campaign known as STEADY#URSA targeting Ukrainian military personnel with the goal of delivering a bespoke PowerShell backdoor dubbed SUBTLE-PAWS.


"The exploitation chain is relatively simple: it involves the target executing a malicious shortcut (.lnk) file which loads and executes a new PowerShell backdoor payload code (found inside another file contained within the same archive)," security researchers Den Iuzvyk, Tim Peck, and Oleg Kolesnikov [said](https://www.securonix.com/blog/security-advisory-steadyursa-attack-campaign-targets-ukraine-military/).


[![DDoS and Cryptojacking](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgFkpnfpdZ5Ol0iV5M3OVCPU8Sf0UbS-MPtZICIrErigj9MMj3IL1fbNvNxUckg4JA_MOLcDfwZ0Zaf_yJVhufnZ_phfyBWaIDVLaNLsD0hJaRWMw-eB5exebl3I9TEXG_ARwtQscV4zleUBD-3cTnxZqBVZf-4apFvGznSc2QuJ6TA0Dm3aGqbcxo3hp32/s728-rw-ft-e30/powershell.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgFkpnfpdZ5Ol0iV5M3OVCPU8Sf0UbS-MPtZICIrErigj9MMj3IL1fbNvNxUckg4JA_MOLcDfwZ0Zaf_yJVhufnZ_phfyBWaIDVLaNLsD0hJaRWMw-eB5exebl3I9TEXG_ARwtQscV4zleUBD-3cTnxZqBVZf-4apFvGznSc2QuJ6TA0Dm3aGqbcxo3hp32/s728-rw-ft-e30/powershell.jpg)
The attack is said to be related to a threat actor known as [Shuckworm](https://thehackernews.com/2023/06/new-report-reveals-shuckworms-long.html), which is also known as Aqua Blizzard (formerly Actinium), Armageddon, Gamaredon, Iron Tilden, Primitive Bear, Trident Ursa, UNC530, and Winterflounder. Active since at least 2013, it's assessed to be part of Russia's Federal Security Service (FSB).


SUBTLE-PAWS, in addition to setting up persistence on the host, uses Telegram's blogging platform called Telegraph to retrieve the command-and-control (C2) information, a technique [previously identified](https://thehackernews.com/2023/01/gamaredon-group-launches-cyberattacks.html) as [associated](https://thehackernews.com/2023/07/cert-ua-uncovers-gamaredons-rapid-data.html) with the adversary since early 2023, and can propagate through removable attached drives.


Gamaredon's ability to spread via USB drives was also documented by Check Point in November 2023, which named the PowerShell-based USB worm [LitterDrifter](https://thehackernews.com/2023/11/russian-cyber-espionage-group-deploys.html).


"The SUBTLE-PAWS backdoor uses advanced techniques to execute malicious payloads dynamically," the researchers said.


"They store and retrieve executable PowerShell code from the Windows Registry which can assist in evading traditional file-based detection methods. This approach also aids in maintaining persistence on the infected system, as the malware can initiate itself again after reboots or other interruptions."


  





## Tags:


### Autogenerated tags:
[[malware]] [[powershell]] [[subtle-paws]]
