# DoNot Team's New Firebird Backdoor Hits Pakistan and Afghanistan
## Discover the latest cyber threat: DoNot Team's Firebird backdoor targeting Pakistan and Afghanistan.
## Information:

+ Link: https://thehackernews.com/2023/10/donot-teams-new-firebird-backdoor-hits.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 23 October 2023, 17:04
+ Date scraped: 23 October 2023, 12:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhn8BXEAf2bpS5s8BGl6T4SbUIXQq0E0ysH86FlM9bmN6kK2JuPjoUxVbK8OAE3zGk_oySU_4b6jUFuX8siOM-vEUPpCBeaR0DBn_AvWStdoy46bICShyphenhyphen-2hYsQZlDPjhU0KZNlcsdyR8XvVXyqEaYQPEIOIornuBs8v71y3WgjDBVXqnW2R03GKYvvVcLK/s728-rw-ft-e30/hacker.jpg)


The threat actor known as [DoNot Team](https://thehackernews.com/2023/06/rogue-android-apps-target-pakistani.html) has been linked to the use of a novel .NET-based backdoor called **Firebird** targeting a handful of victims in Pakistan and Afghanistan.


Cybersecurity company Kaspersky, which disclosed the findings in its APT trends report Q3 2023, said the attack chains are also configured to deliver a downloader named CSVtyrei, so named for its resemblance to Vtyrei.


"Some code within the examples appeared non-functional, hinting at ongoing development efforts," the Russian firm [said](https://securelist.com/apt-trends-report-q3-2023/110752/).


[Vtyrei](https://securelist.com/apt-trends-report-q3-2021/104708/) (aka BREEZESUGAR) refers to a first-stage payload and downloader strain previously harnessed by the adversary to deliver a malware framework known as **RTY**.


DoNot Team, also known by the names APT-C-35, Origami Elephant, and SECTOR02, is suspected to be of Indian origin, with its attacks employing spear-phishing emails and rogue Android apps to propagate malware.


The latest assessment from Kaspersky builds on an [analysis](https://securelist.com/apt-trends-report-q1-2023/109581/) of the threat actor's twin attack sequences in April 2023 to deploy the Agent K11 and RTY frameworks.


The disclosure also follows Zscaler ThreatLabz's uncovering of new malicious activity carried out by the Pakistan-based [Transparent Tribe](https://thehackernews.com/2023/09/transparent-tribe-uses-fake-youtube.html) (aka APT36) actor targeting Indian government sectors using an updated malware arsenal that comprises a previously undocumented Windows trojan dubbed ElizaRAT.


"ElizaRAT is delivered as a .NET binary and establishes a C2 communication channel via Telegram, enabling threat actors to exert complete control over the targeted endpoint," security researcher Sudeep Singh [noted](https://www.zscaler.com/blogs/security-research/peek-apt36-s-updated-arsenal) last month.


Active since 2013, Transparent Tribe has utilized credential harvesting and malware distribution attacks, often distributing trojanized installers of Indian government applications like Kavach multi-factor authentication and weaponizing open-source command-and-control (C2) frameworks such as [Mythic](https://thehackernews.com/2023/09/new-blister-malware-update-fuelling.html).


In a sign that the hacking crew has also set its eyes on Linux systems, Zscaler said it identified a small set of desktop entry files that pave the way for the execution of Python-based ELF binaries, including GLOBSHELL for file exfiltration and PYSHELLFOX for stealing session data from the Mozilla Firefox browser.


"Linux-based operating systems are widely used in the Indian government sector," Singh said, adding the targeting of the Linux environment is also likely motivated by India's decision to replace Microsoft Windows OS with [Maya OS](https://en.wikipedia.org/wiki/Maya_(operating_system)), a Debian Linux-based operating system, across government and defense sectors.


Joining DoNot Team and Transparent Tribe is another nation-state actor from the Asia-Pacific region with a focus on Pakistan.


Codenamed [Mysterious Elephant](https://securelist.com/apt-trends-report-q2-2023/110231/) (aka APT-K-47), the hacking group has been attributed to a spear-phishing campaign that drops a novel backdoor called [ORPCBackdoor](https://thehackernews.com/2023/07/patchwork-hackers-target-chinese.html) that's capable of executing files and commands on the victim's computer, and receive files or commands from a malicious server.


According to the [Knownsec 404 Team](https://medium.com/@knownsec404team/apt-k-47-mysterious-elephant-a-new-apt-organization-in-south-asia-5c66f954477), APT-K-47 shares tooling and targeting overlaps with that of other actors such as [SideWinder](https://thehackernews.com/2023/05/state-sponsored-sidewinder-hacker.html), [Patchwork](https://thehackernews.com/2023/05/meta-uncovers-massive-social-media.html), [Confucius](https://thehackernews.com/2023/05/operation-chattygoblin-hackers.html), and [Bitter](https://thehackernews.com/2022/07/bitter-apt-hackers-continue-to-target.html), most of which are assessed to be aligned with India.


  





## Tags:


### Autogenerated tags:
[[malware]] [[donot]]
