# Earth Estries' Espionage Campaign Targets Governments and Tech Titans Across Continents
## Earth Estries, a hacking group with pro-level skills, targets gov't and tech sectors across 6 countries.
## Information:

+ Link: https://thehackernews.com/2023/08/earth-estries-espionage-campaign.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 31 August 2023, 14:52
+ Date scraped: 31 August 2023, 10:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj77JTcceF1jWJtP92oG_vR8k1XnXiTcghw2J8JGNTXifPckfSH2daMHt8SNj3_cesyt_dSakopcCcIpCBxgKNELguTe7bj_ApT_njEmMxdEQX8IEc_uNnIpA7WoklSa6jG-L8TtfC1sPtD2ClrgjdUeplEeMuzmNbd9ZG7LbsQe7lZ9FjNyIpRWUkZ0cJm/s728-e3650/exploit.jpg)


A hacking outfit nicknamed **Earth Estries** has been attributed to a new, ongoing cyber espionage campaign targeting government and technology industries based in the Philippines, Taiwan, Malaysia, South Africa, Germany, and the U.S.


"The threat actors behind Earth Estries are working with high-level resources and functioning with sophisticated skills and experience in cyber espionage and illicit activities," Trend Micro researchers Ted Lee, Lenart Bermejo, Hara Hiroaki, Leon M Chang, and Gilbert Sison [said](https://www.trendmicro.com/en_us/research/23/h/earth-estries-targets-government-tech-for-cyberespionage.html).


Active since at least 2020, Earth Estries is said to share tactical overlaps with another nation-state group tracked as [FamousSparrow](https://thehackernews.com/2021/09/a-new-apt-hacker-group-spying-on-hotels.html), which was first exposed by ESET in 2021 as exploiting ProxyLogon flaws in Microsoft Exchange Server to penetrate hospitality, government, engineering, and legal sectors.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjDdxUPmQ8UJQm7kd9rIBsYCDlCQoR3bqVu4rchvOWFKGtnDq1ldILMskU-tlbXnHlWQVvGxivE1Fe-Lh5dJlECjsiblKiu8sbqMdqKgxy97B6MLcQuXtpP2lOmhjny2d5jmCkjl9wSzPqoLkAQ2KHee1cno62wV4IXDkMLIFfzgANa6DJDIBjFicKsID_i/s728-e3650/1.png)](https://thn.news/edWGl41h)
It's worth pointing out that commonalities have also been unearthed between FamousSparrow and [UNC4841](https://thehackernews.com/2023/08/chinese-hacking-group-exploits.html), a categorized activity cluster held responsible for the weaponization of a [recently disclosed zero-day flaw](https://www.cisa.gov/news-events/alerts/2023/08/29/cisa-releases-iocs-associated-malicious-barracuda-activity) in Barracuda Networks Email Security Gateway (ESG) appliances.


Attack chains documented by Trend Micro show that the adversary is leveraging Cobalt Strike to conduct post-exploitation of compromised environments, following which it moves quickly to deploy additional malware and broaden the foothold.


[![Earth Estries](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhcfKRcqvpiD4k93uGc52pQ-gG9jZJuNaG5YXBuoCYvSmXLGU59fZHK9kg2AKum58CIeFXFe9UcXmkO6nODrNTBBEGTLBK0fS4ADmRHlcC9gXNpFOkfcUTTcXEvw0kJiVL0_fDyipRBzrUlltvtOZuK6qmU62kYVCWNMGaZbQFfO7lF9AJwzcmNXocrzyW8/s728-e3650/hacking.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhcfKRcqvpiD4k93uGc52pQ-gG9jZJuNaG5YXBuoCYvSmXLGU59fZHK9kg2AKum58CIeFXFe9UcXmkO6nODrNTBBEGTLBK0fS4ADmRHlcC9gXNpFOkfcUTTcXEvw0kJiVL0_fDyipRBzrUlltvtOZuK6qmU62kYVCWNMGaZbQFfO7lF9AJwzcmNXocrzyW8/s728-e365/hacking.jpg)
The adversary has been observed employing an arsenal of backdoors and hacking tools, including backdoors, browser data stealers, and port scanners to enhance data collection.


This encompasses Zingdoor, a Go-based implant to capture system information, enumerate and manage files, and run arbitrary commands; TrillClient, a custom stealer written in Go to siphon data from web browsers; and HemiGate, a backdoor that can log keystrokes, take screenshots, perform file operations, and monitor processes.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
Further lending legitimacy to the adversary's espionage motives is its proclivity towards regularly cleaning and redeploying its backdoors on the infected host in an attempt to reduce the risk of exposure and detection.


[![Earth Estries](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiDTGSUFFTX3w0o2ChjbwD0sN9irN6rVRlPVO-EauLAMXgG9cfB7VD67hGrp8TcHO6l9x9EtYXQ8BVDHTlPjiboFb2MBqJIFDk9RqrgFt5567w4tGDjkep-zyiPNi35jhKyol5ckjcSTg-uuxl7Xqwo_9Q0tRVTX7jQHV2ZXSyKKf-gw_bne8_rLhX6IYUz/s728-e3650/victim.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiDTGSUFFTX3w0o2ChjbwD0sN9irN6rVRlPVO-EauLAMXgG9cfB7VD67hGrp8TcHO6l9x9EtYXQ8BVDHTlPjiboFb2MBqJIFDk9RqrgFt5567w4tGDjkep-zyiPNi35jhKyol5ckjcSTg-uuxl7Xqwo_9Q0tRVTX7jQHV2ZXSyKKf-gw_bne8_rLhX6IYUz/s728-e365/victim.jpg)
"Earth Estries relies heavily on [DLL side-loading](https://attack.mitre.org/techniques/T1574/002/) to load various tools within its arsenal," the researchers said. "To leave as little footprint as possible, they use PowerShell downgrade attacks to avoid detection from Windows Antimalware Scan Interface's (AMSI) logging mechanism."


Another significant aspect of the modus operandi is the abuse of public services such as Github, Gmail, AnonFiles, and File.io to exchange or transfer commands and stolen data. A majority of the command-and-control (C2) servers are located in the U.S., India, Australia, Canada, China, Japan, Finland, South Africa, and the U.K.


"By compromising internal servers and valid accounts, the threat actors can perform lateral movement within the victim's network and carry out their malicious activities covertly," the researchers said. "They also use techniques like PowerShell downgrade attacks and novel DLL side-loading combinations to evade detection."


  





## Tags:


### Autogenerated tags:
[[estries]] [[backdoors]]
