# Emotet Botnet's Latest Resurgence Spreads to Over 100,000 Computers
## Emotet botnet malware has infected over 100,000 computers since its latest resurgence in November 2021, and the number is steadily increasing.
## Information:

+ Link: https://thehackernews.com/2022/03/emotet-botnets-latest-resurgence.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 March 2022, 07:18
+ Date scraped: 10 March 2022, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEjpzvljt3BRMQDFcdKmqLWtHithivtriJIHGBHTA_wRk43EYlUm4AH6lIg4qw1j5w1ZxX9MLcfgeVZqO5ZtS1rZjS5yUrKB3l7zVs0t33dSWQYq99TzUz-bhW49AbBnIeuZwKL4YeD7v69j10Lla7LA9eZOxgcMnyMdoFizynZdKxkd5uu2ouxsNoBd=s728-e1000)


The insidious Emotet botnet, which staged a return in November 2021 after a 10-month-long hiatus, is once again exhibiting signs of steady growth, amassing a swarm of over 100,000 infected hosts for perpetrating its malicious activities.


"While Emotet has not yet attained the same scale it once had, the botnet is showing a strong resurgence with a total of approximately 130,000 unique bots spread across 179 countries since November 2021," researchers from Lumen's Black Lotus Labs [said](https://blog.lumen.com/emotet-redux/) in a report.


Emotet, prior to its [takedown](https://thehackernews.com/2021/01/european-authorities-disrupt-emotet.html) in late January 2021 as part of a coordinated law enforcement operation dubbed "Ladybird," had infected no fewer than 1.6 million devices globally, acting as a conduit for cybercriminals to install other types of malware, such as banking trojans or ransomware, onto compromised systems.


The malware [officially resurfaced](https://thehackernews.com/2021/11/notorious-emotet-botnet-makes-comeback.html) in November 2021 [using TrickBot](https://thehackernews.com/2021/12/140000-reasons-why-emotet-is.html) as a delivery vehicle, with the latter [shuttering its attack infrastructure](https://thehackernews.com/2022/02/notorious-trickbot-malware-gang-shuts.html) late last month after several key members of the group were absorbed into the Conti ransomware cartel.


[![Emotet botnet malware](https://thehackernews.com/new-images/img/a/AVvXsEixf_ORHaDr8GZZcRb8Tf6yjrMO8Tun7KW5sQnvM0VkbRIeRcmmo7h0s0AJdu_s6jjuwto0bl_az2sK5gkvS16KttBhP-V2kF3VMryAnq2NxSyO8J6pclHpuKx1acsNQa9F40CGzfLtRCi5VxBNK_CZ4N_et7ZTP7SCNeeE9aCtw4_ioVeNftQABk9B=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEixf_ORHaDr8GZZcRb8Tf6yjrMO8Tun7KW5sQnvM0VkbRIeRcmmo7h0s0AJdu_s6jjuwto0bl_az2sK5gkvS16KttBhP-V2kF3VMryAnq2NxSyO8J6pclHpuKx1acsNQa9F40CGzfLtRCi5VxBNK_CZ4N_et7ZTP7SCNeeE9aCtw4_ioVeNftQABk9B)
Emotet's resurrection is said to have been [orchestrated by the Conti gang](https://www.advintel.io/post/corporate-loader-emotet-history-of-x-project-return-for-ransomware) itself in an attempt to shift tactics in response to increased law enforcement scrutiny into the TrickBot's malware distribution activities.


[![Emotet botnet malware](https://thehackernews.com/new-images/img/a/AVvXsEhF80qPA83E9b-R3Vc9b4rEKkg_eibM7LkeRq09tkzrGuCOGp6Ws091cZJwidJRFro7ysMyskEy6g_0V36NT2c3OXCkxnDXNm4DN4kpov4fEqxvemZHIiwa_xjBwscFGnTEl9eT2FpFHCzpFlhg1fIZBQXpmnW7HYURRivw4BMRovcUshXusoSsB5LA=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEhF80qPA83E9b-R3Vc9b4rEKkg_eibM7LkeRq09tkzrGuCOGp6Ws091cZJwidJRFro7ysMyskEy6g_0V36NT2c3OXCkxnDXNm4DN4kpov4fEqxvemZHIiwa_xjBwscFGnTEl9eT2FpFHCzpFlhg1fIZBQXpmnW7HYURRivw4BMRovcUshXusoSsB5LA)
Black Lotus Labs noted that the "aggregation of bots really didn't begin in earnest until January [2022]," adding the new variants of Emotet have swapped the RSA encryption scheme in favor of elliptic curve cryptography (ECC) to encrypt network traffic.


Another new addition to its capabilities is its ability to gather additional system information beyond a list of running processes from the compromised machines.


What's more, Emotet's botnet infrastructure is said to encompass nearly 200 command-and-control (C2) servers, with most of the domains located in the U.S., Germany, France, Brazil, Thailand, Singapore, Indonesia, Canada, the U.K., and India.


Infected bots, on the other hand, are heavily concentrated in Asia, chiefly Japan, India, Indonesia, and Thailand, followed by South Africa, Mexico, the U.S., China, Brazil, and Italy. "This is not surprising given the preponderance of vulnerable or outdated Windows hosts in the region," the researchers said.


"The growth and distribution of bots is an important indicator of Emotet's progress in restoring its once sprawling infrastructure," Black Lotus Labs noted. "Each bot is a potential foothold to a coveted network and presents an opportunity to deploy Cobalt Strike or eventually be promoted to a Bot C2."


  





## Tags:


### Autogenerated tags:
[[emotet]] [[botnet]] [[malware]]
