# Evasive QBot Malware Leverages Short-lived Residential IPs for Dynamic Attacks
## New study unveils QBot's crafty techniques: It conceals its constantly evolving C&C infrastructure within residential IP space, with 25% of servers ac
## Information:

+ Link: https://thehackernews.com/2023/06/evasive-qbot-malware-leverages-short.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 June 2023, 21:41
+ Date scraped: 01 June 2023, 17:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjF1-tTxcQcsHt92Ph8x0MihvROKqu3VFsJ-TzEv8zQtjhIkV05DWX6s__AIUJfx3h47gKbwMOYSmejV96fkfiGdpohQ82T99rtv_su4SrBGKEHanTQ8E_nJ2yIKPe5htbQSWy5m9fwKJrVrqtPDfBXjvdMKlCUjBoU7KWAVWmEEL995LJJqaAnUQIY/s728-e3650/black.jpg)


An analysis of the "evasive and tenacious" malware known as QBot has revealed that 25% of its command-and-control (C2) servers are merely active for a single day.


What's more, 50% of the servers don't remain active for more than a week, indicating the use of an adaptable and dynamic [C2 infrastructure](https://github.com/blacklotuslabs/IOCs/blob/main/Qakbot_retool_reinfect_recycle.txt), Lumen Black Lotus Labs said in a report shared with The Hacker News.


"This botnet has adapted techniques to conceal its infrastructure in residential IP space and infected web servers, as opposed to hiding in a network of hosted virtual private servers (VPSs)," security researchers Chris Formosa and Steve Rudd said.


[QBot](https://thehackernews.com/2023/04/new-qbot-banking-trojan-campaign.html), also called QakBot and Pinkslipbot, is a persistent and potent threat that started off as a banking trojan before evolving into a downloader for other payloads, including ransomware. Its origins go back as far as 2007.


The malware arrives on victims' devices via spear-phishing emails, which either directly incorporate lure files or contain embedded URLs that lead to decoy documents.


The threat actors behind QBot have [continuously improved](https://www.trendmicro.com/vinfo/us/threat-encyclopedia/spam/3730/qakbot-sneaks-in-via-html-smuggling-and-html-downloader) their tactics over the years to infiltrate victim systems using different methods such as email thread hijacking, [HTML smuggling](https://thehackernews.com/2022/12/hacking-using-svg-files-to-smuggle-qbot.html), and employing [uncommon attachment types](https://asec.ahnlab.com/en/44662/) to slip past security barriers.


Another notable aspect of the operation is the modus operandi itself: QBot's malspam campaigns play out in the form of bursts of intense activity followed by periods of little to no attacks, only to resurface with a revamped infection chain.


While phishing waves bearing QBot at the start of 2023 [leveraged](https://thehackernews.com/2023/02/post-macro-world-sees-rise-in-microsoft.html) [Microsoft OneNote](https://news.sophos.com/en-us/2023/02/06/qakbot-onenote-attacks/) as an intrusion vector, recent attacks have employed [protected PDF files](https://blog.checkpoint.com/security/april-2023s-most-wanted-malware-qbot-launches-substantial-malspam-campaign-and-mirai-makes-its-return/) to install the malware on victim machines.


QakBot's reliance on compromised web servers and hosts existing in the residential IP space for C2 translates to a brief lifespan, leading to a scenario where 70 to 90 new servers emerge over a seven-day period on average.


 UPCOMING WEBINAR 🔐 Mastering API Security: Understanding Your True Attack Surface Discover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

 [Secure Your Seat](https://thn.news/z-inside-2).ad-button,.ad-label,.ad-label:after{display:inline-block}.ad\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.ad-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.ad-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.ad-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.ad-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.ad-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
"Qakbot retains resiliency by repurposing victim machines into C2s," the researchers said, adding it replenishes "the supply of C2s through bots that subsequently turn to C2s."


According to [data](https://www.team-cymru.com/post/visualizing-qakbot-infrastructure) released by Team Cymru last month, a majority of Qakbot bot C2 servers are suspected to be compromised hosts that were purchased from a third-party broker, with most of them located in India as of March 2023.


Black Lotus Labs' examination of the attack infrastructure has further revealed the presence of a [backconnect server](https://proxyway.com/guides/backconnect-proxies) that turns a "significant number" of the infected bots into a proxy that can then be advertised for other malicious purposes.


"Qakbot has persevered by adopting a field-expedient approach to build and develop its architecture," the researchers concluded.


"While it may not rely on sheer numbers like [Emotet](https://thehackernews.com/2023/03/emotet-rises-again-evades-macro.html), it demonstrates technical craft by varying initial access methods and maintaining a resilient yet evasive residential C2 architecture."



  





## Tags:


### Autogenerated tags:
[[qbot]] [[c2]] [[qakbot]] [[malware]] [[c2s]]
