# Experts Detail Saintstealer and Prynt Stealer Info-Stealing Malware Families
## Cybersecurity researchers have dissected the inner workings of an information-stealing malware called Saintstealer.
## Information:

+ Link: https://thehackernews.com/2022/05/experts-detail-saintstealer-and-prynt.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 May 2022, 12:44
+ Date scraped: 10 May 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEizYJrnUpycRaPiFY0vdZkvnfNtRXmFDDdEGlpa4TdBO5MPef0bhZnK089QBPqNCIRm9p2SaRUpNq4YhFB8vJm_rzJ9qiJwsssoViPZ563uJxgcgdE_DU7EzMyx97mtcQ_qhWac9KPbbY97VyziOHfzWs9pfkzisvY8OnPwQf0cyg2ZgQD2r3D-v0cB/s728-e100/stealer.jpg)


Cybersecurity researchers have dissected the inner workings of an information-stealing malware called **Saintstealer** that's designed to siphon credentials and system information.


"After execution, the stealer extracts username, passwords, credit card details, etc.," Cyble researchers [said](https://blog.cyble.com/2022/04/27/dissecting-saintstealer/) in an analysis last week. "The stealer also steals data from various locations across the system and compresses it in a password-protected ZIP file."


A 32-bit C# .NET-based executable with the name "saintgang.exe," Saintstealer is equipped with anti-analysis checks, opting to terminate itself if it's running either in a sandboxed or virtual environment.


The malware can capture a wide range of information that ranges from taking screenshots to gathering passwords, cookies, and autofill data stored in Chromium-based browsers such as Google Chrome, Opera, Edge, Brave, Vivaldi, and Yandex, among others.


It can also steal Discord multi-factor authentication tokens, files with .txt, .doc, and .docx extensions as well as extract information from VimeWorld, Telegram, and VPN apps like NordVPN, OpenVPN, and ProtonVPN.


Besides transmitting the compressed information to a Telegram channel, the metadata related to the exfiltrated data is sent to a remote command-and-control (C2) server.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjrR7z1y2WZmLbWjo1gB9ka6rvdhj7rgVJRywCvFAjYi0kApZ7GnwPIJqMdrZN12MgwMhTODGReIH0QIG0KnDFR6K81TdNx4fUBFm9gnL25UUO0aOeGmqbtbXLv9SKIvElVCdd_vGN8NjlFFvXT0ue0CkDccBK7mssjc7z5CYUAKwzsQbYTh12xEbKx/s728-e100/malware-code.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjrR7z1y2WZmLbWjo1gB9ka6rvdhj7rgVJRywCvFAjYi0kApZ7GnwPIJqMdrZN12MgwMhTODGReIH0QIG0KnDFR6K81TdNx4fUBFm9gnL25UUO0aOeGmqbtbXLv9SKIvElVCdd_vGN8NjlFFvXT0ue0CkDccBK7mssjc7z5CYUAKwzsQbYTh12xEbKx/s728-e100/malware-code.jpg)
What's more, the IP address linked to the C2 domain — 141.8.197[.]42 — is tied to multiple stealer families such as Nixscare stealer, BloodyStealer, QuasarRAT, Predator stealer, and EchelonStealer.


"Information stealers can be harmful to individuals as well as large organizations," the researchers said. "If even unsophisticated stealers like Saintstealer gain infrastructural access, it could have devastating effects on the cyberinfrastructure of the targeted organization."


The disclosure comes as a new infostealer named [Prynt Stealer](https://blog.cyble.com/2022/04/21/prynt-stealer-a-new-info-stealer-performing-clipper-and-keylogger-activities/) has surfaced in the wild that can also perform keylogging operations and financial theft using a clipper module.


"It can target 30+ Chromium-based browsers, 5+ Firefox-based browsers, and a range of VPN, FTP, messaging, and gaming apps," Cyble noted last month.


Sold for $100 for a one-month license and $900 for a lifetime subscription, the malware joins a long list of other recently advertised stealers, including [Jester](https://thehackernews.com/2022/04/researchers-warn-of-ffdroider-and.html), [BlackGuard](https://thehackernews.com/2022/04/experts-shed-light-on-blackguard.html), [Mars Stealer](https://thehackernews.com/2022/03/researchers-expose-mars-stealer-malware.html), [META](https://isc.sans.edu/forums/diary/Windows+MetaStealer+Malware/28522/), [FFDroider, and Lightning Stealer](https://thehackernews.com/2022/04/researchers-warn-of-ffdroider-and.html).


  





## Tags:
***ipv4-adresses***: 141.8.197.42
***urls***: http://141.8.197.42

### Autogenerated tags:
[[malware]] [[saintstealer]]
