# Experts Uncover Year-Long Cyber Attack on IT Firm Utilizing Custom Malware RDStealer
## Experts expose a year-long cyber operation targeting an East Asian IT firm, deploying custom malware called RDStealer to compromise data.
## Information:

+ Link: https://thehackernews.com/2023/06/experts-uncover-year-long-cyber-attack.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 20 June 2023, 17:25
+ Date scraped: 20 June 2023, 12:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEisgSqlmV831wJ6PD9fBQVGUIt2VlUb5U1W-g9aLZWU9y8tJxWHP_cAmhsaYEU_HFOWv8hF3UciShSMAETClBA0u4HxQajAVvUCmeK8054kfpCLaUhmFLe1LUJk7oTnTVdcjW21e2CfP_0-LcVqpzuNrFDNGZcVGT8VNz_rcuO3F-sQN7Y5J1n3Wzog6sw/s728-e3650/software.jpg)


A highly targeted cyber attack against an East Asian IT company involved the deployment of a custom malware written in Golang called **RDStealer**.


"The operation was active for more than a year with the end goal of compromising credentials and data exfiltration," Bitdefender security researcher Victor Vrabie [said](https://www.bitdefender.com/blog/labs/exposing-rdstealerdeep-dive-into-a-targetedcyber-attack-against-east-asiainfrastructure/) in a technical report shared with The Hacker News.


Evidence gathered by the Romanian cybersecurity firm shows that the campaign started in early 2022. The target was an unspecified IT company located in East Asia.


In the early phases, the operation relied on readily available remote access trojans like AsyncRAT and Cobalt Strike, before transitioning to bespoke malware in late 2021 or early 2022 in a bid to thwart detection.


A primary evasion tactic concerns the use of Microsoft Windows folders that are likely to be excluded from scanning by security software (e.g., System32 and Program Files) to store the backdoor payloads.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-1)
One of the sub-folders in question is "C:\Program Files\Dell\CommandUpdate," which is the directory for a legitimate Dell application called [Dell Command | Update](https://www.dell.com/support/kbdoc/en-us/000177325/dell-command-update).


Bitdefender said all the machines infected over the course of the incident were manufactured by Dell, suggesting that the threat actors deliberately chose this folder to camouflage the malicious activity.


This line of reasoning is bolstered by the fact that the threat actor registered command-and-control (C2) domains such as "dell-a[.]ntp-update[.]com" with the goal of blending in with the target environment.


The intrusion set is characterized by the use of a server-side backdoor called RDStealer, which specializes in gathering clipboard content and keystroke data from the host.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh_Ng8eXaW2gbPC7MNO2NOELWVOzbY1DDjl8eqsN22ddnxKevN2qD2q3z7lKK3P1y-h0E8vE2R_WuNxI5E1nxapFe5XN4lY5UXmTNMSD_IeyfCUO491oe4rZ86XOOEbMR6c1AMLFEaS0zQlSFuYFSvtiYtQ5Gks3eEYJyAuvP8XzH4scxEP6UmEWfGocrQ/s728-e365/malware.jpg)
But what makes it stand out is its capability to "monitor incoming RDP [Remote Desktop Protocol] connections and compromise a remote machine if [client drive mapping](https://learn.microsoft.com/en-us/windows/win32/termserv/terminal-services-virtual-channels) is enabled."


Thus when a new RDP client connection is detected, commands are issued by RDStealer to exfiltrate sensitive data, such as browsing history, credentials, and private keys from apps like mRemoteNG, KeePass, and Google Chrome.


"This highlights the fact that threat actors actively seek credentials and saved connections to other systems," Bitdefender's Marin Zugec [said](https://www.bitdefender.com/blog/businessinsights/unpacking-rdstealer-an-exfiltration-malware-targeting-rdp-workloads/) in a second analysis.


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Join Now](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
What's more, the connecting RDP clients are infected with another Golang-based custom malware known as Logutil to maintain a persistent foothold on the victim network using [DLL side-loading techniques](https://www.bitdefender.com/blog/businessinsights/tech-explainer-what-is-dll-sideloading/) and facilitate command execution.


Not much is known about the threat actor other than the fact that it has been active dating back to at least 2020.


"Cybercriminals continually innovate and explore novel methods to enhance the reliability and stealthiness of their malicious activities," Zugec said.


"This attack serves as a testament to the increasing sophistication of modern cyber attacks, but also underscores the fact that threat actors can leverage their newfound sophistication to exploit older, widely adopted technologies."



  





## Tags:
***urls***: http://dell-a.ntp-update.com

### Autogenerated tags:
[[malware]] [[rdstealer]] [[bitdefender]] [[rdp]]
