# Experts Warn of 'Beep' - A New Evasive Malware That Can Fly Under the Radar
## Cybersecurity researchers have discovered a new evasive malware, Beep, which can drop an information stealer onto a compromised host.
## Information:

+ Link: https://thehackernews.com/2023/02/experts-warn-of-beep-new-evasive.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 15 February 2023, 09:25
+ Date scraped: 15 February 2023, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgce0uF_RXj-7YEsL_CU6pc0dB6OLoRf1bV2cXXtGwcxtogvh5wmqw6U_q3zAk6rkj1sz8B0dG5G49iulu908vP_XgUEuxnZMy7ODr2NvkW-Uy1pBGifaycCq0Tmq0r1o77FGgX_C3w9oSy-dOh7fEwZio3AKByyJSCKEgJ41z9hggq7WenRV6DRlOa/s728-e3650/beep.png)


Cybersecurity researchers have unearthed a new piece of evasive malware dubbed **Beep** that's designed to fly under the radar and drop additional payloads onto a compromised host.


"It seemed as if the authors of this malware were trying to implement as many anti-debugging and anti-VM (anti-sandbox) techniques as they could find," Minerva Labs researcher Natalie Zargarov [said](https://minerva-labs.com/blog/beepin-out-of-the-sandbox-analyzing-a-new-extremely-evasive-malware/).


"One such technique involved delaying execution through the use of the [Beep API function](https://learn.microsoft.com/en-us/windows/win32/api/utilapiset/nf-utilapiset-beep), hence the malware's name."


Beep comprises three components, the first of which is a dropper that's responsible for creating a new Windows Registry key and executing a Base64-encoded PowerShell script stored in it.


The PowerShell script, for its part, reaches out to a remote server to retrieve an injector, which, after confirming it's not being debugged or launched in a virtual machine, extracts and launches the payload via a technique called [process hollowing](https://attack.mitre.org/techniques/T1055/012/).


The payload is an information stealer that's equipped to collect and exfiltrate system information and enumerate running processes. Other instructions the malware is capable of accepting from a command-and-control (C2) server include the ability to execute DLL and EXE files.


[![Evasive Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEipSUXTip9DKGHmqmUYacJWLSECmwWuFyi-iC6-BnA6M0SrfPTySEX2AHakhZUz4OaCbk4Dgvng1BhNf6YvookGJwMkcCh2Je0S837Lo4aDub-pa0f4b_Jqn4UGpd4EPF_Z6hB-C13v-_y0Rda086kilE85izoUtd4ldu-u7nDeO3-L5_8EBX9PUMNZ/s728-e365/dll.png)
A number of other features are yet to be implemented, suggesting that Beep is still in its early stages of development.


What sets the emerging malware apart is its heavy focus on stealth, adopting a sheer number of [detection evasion methods](https://anti-debug.checkpoint.com/) in an attempt to resist analysis, avoid sandboxes, and delay execution.


"Once this malware successfully penetrates a system, it can easily download and spread a wide range of additional malicious tools, including ransomware, making it extremely dangerous," Zargarov noted.

 The findings come as antivirus vendor Avast revealed details of another dropper strain codenamed **NeedleDropper** that has been used to distribute different malware families since October 2022.


Delivered via spam email attachments, Discord, or OneDrive URLs, the malware is suspected to be offered as a service for other criminal actors looking to distribute their own payloads.


"The malware tries to hide itself by dropping many unused, invalid files and stores important data between several MB of unimportant data, and also utilizes legitimate applications to perform its execution," the company [said](https://decoded.avast.io/threatresearch/needledropper/).



  





## Tags:


### Autogenerated tags:
[[malware]]
