# Experts Warn of RambleOn Android Malware Targeting South Korean Journalists
## A new Android malware targeting South Korean journalists has been discovered.
## Information:

+ Link: https://thehackernews.com/2023/02/experts-warn-of-rambleon-android.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 17 February 2023, 15:51
+ Date scraped: 17 February 2023, 16:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhanjKJdfLJtNYlj1IMBnBdDFyUDsnlMvTtEn4JC23VaHHI-hSa5Tt2lrPijjXI8eIRVS3slZjv5rVj41G8K4kXBR8m8vFSNECAXNy-HkrB-yHomziAlg6mYTyWMG9SC4ZXqcjephrx6vG4aA7k_4p5zKBNmkT9fVUGerhvw9Mz09ReaH8pvX_aqPCd/s728-e3650/android.png)


Suspected North Korean nation-state actors targeted a journalist in South Korea with a malware-laced Android app as part of a social engineering campaign.


The findings come from South Korea-based non-profit Interlab, which coined the new malware **RambleOn**.


The malicious functionalities include the "ability to read and leak target's contact list, SMS, voice call content, location and others from the time of compromise on the target," Interlab threat researcher Ovi Liber [said](https://interlab.or.kr/archives/2567) in a report published this week.


The spyware camouflages as a secure chat app called [Fizzle](https://www.virustotal.com/gui/file/97d8aed87ec78d975aaff4a63415badf95635616686a7ad4a3257e02b6ca2400/detection) (ch.seme), but in reality, acts as a conduit to deliver a next-stage payload hosted on pCloud and Yandex.


The chat app is said to have been sent as an Android Package (APK) file over WeChat to the targeted journalist on December 7, 2022, under the pretext of wanting to discuss a sensitive topic.


The primary purpose of RambleOn is to function as a loader for another APK file ([com.data.WeCoin](https://www.virustotal.com/gui/file/751e67116e71b0a04bce6cabfa748fc105238ed1dd5b7d72f6d3f6301bbcad17/details)) while also requesting for intrusive permissions to collect files, access call logs, intercept SMS messages, record audio, and location data.


[![RambleOn Android Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhOkDYHFAipWEXCUn2CW8lN25bzvasRNzp65m7XvBFzPAFStTALoHYUzWySl3zuufshJgsNKPhjtT5xbneOw6igrd46uLVsc_jt3EkJSF2XS9nInuJzfw0dVEZ3qW4YbdiYSUhG2s8IlcfK04cBtQbJ_f506Obxlep69Bak3FCGB9BQQ4AqSWHVbTQ5/s728-e365/malware.png)
The secondary payload, for its part, is designed to provide an alternative channel for accessing the infected Android device using Firebase Cloud Messaging (FCM) as a command-and-control (C2) mechanism.

 Interlab said it identified overlaps in the FCM functionality between RambleOn and [FastFire](https://thehackernews.com/2022/10/kimsuky-hackers-spotted-using-3-new.html), a piece of Android spyware that was attributed to Kimsuky by South Korean cybersecurity company S2W last year.


"The victimology of this event fits very closely with the modus operandi of groups such as [APT37](https://thehackernews.com/2023/02/north-koreas-apt37-targeting-southern.html) and Kimsuky," Liber said, pointing out the former's use of pCloud and Yandex storage for payload delivery and command-and-control.



  





## Tags:


### Autogenerated tags:
[[android]] [[interlab]] [[rambleon]]
