# Experts Warn of Stealthy PowerShell Backdoor Disguising as Windows Update
## Security researchers warn of a new, stealthy PowerShell backdoor that disguises itself as a Windows update process.
## Information:

+ Link: https://thehackernews.com/2022/10/experts-warn-of-stealthy-powershell.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 19 October 2022, 10:09
+ Date scraped: 19 October 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjqYrJmZDKh1r7FdG8H9inTS6c0P7Mp_gPIp_ewfD_PlwKkigkv3JsTu5X3JXFFRmN-20DrXmw89c0rRF04hr6gnIRVqqBl-KzH-5onQAOaMXEnL2MZY3D61sf7vuR8DpNfoT-D3XfKeHvB03SoWI7xrNefZucL0B4a8V5qx7F5gjdZNv7Kf6En4UbL/s728-e1000/malware.jpg)


Details have emerged about a previously undocumented and fully undetectable (FUD) PowerShell backdoor that gains its stealth by disguising itself as part of a Windows update process.


"The covert self-developed tool and the associated C2 commands seem to be the work of a sophisticated, unknown threat actor who has targeted approximately 100 victims," Tomer Bar, director of security research at SafeBreach, [said](https://www.safebreach.com/resources/blog/safebreach-labs-researchers-uncover-new-fully-undetectable-powershell-backdoor/) in a new report.


Attributed to an [unnamed threat actor](https://securelist.com/top-10-unattributed-apt-mysteries/107676/), attack chains involving the malware commence with a weaponized [Microsoft Word document](https://www.virustotal.com/gui/file/45f293b1b5a4aaec48ac943696302bac9c893867f1fc282e85ed8341dd2f0f50) that, per the company, was uploaded from Jordan on August 25, 2022.


Metadata associated with the lure document indicates that the initial intrusion vector is a LinkedIn-based spear-phishing attack, which ultimately leads to the execution of a PowerShell script via a piece of embedded macro code.


[![PowerShell Backdoor](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh6nJrDmnqPFEzv4URTHO3wLr6X09GI6nV5svxewdF6tzhBL9dxIvsWgCVc7PJTD_ko7TiuBtHnNl_d6sNWdvG7QnilMstfDwsukF2qgtfNfwnHyi-hLoyfoYZC2bNvEw-p6Hf_L1sHKqCIv739KFp5PUXt8Cr8vXClIpD7GBPcWwNEXvtsC1NpE2qe/s728-e1000/hack.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh6nJrDmnqPFEzv4URTHO3wLr6X09GI6nV5svxewdF6tzhBL9dxIvsWgCVc7PJTD_ko7TiuBtHnNl_d6sNWdvG7QnilMstfDwsukF2qgtfNfwnHyi-hLoyfoYZC2bNvEw-p6Hf_L1sHKqCIv739KFp5PUXt8Cr8vXClIpD7GBPcWwNEXvtsC1NpE2qe/s728-e100/hack.jpg)
The PowerShell script ([Script1.ps1](https://www.virustotal.com/gui/file/bda4484bb6325dfccaa464c2007a8f20130f0cf359a7f79e14feeab3faa62332)) is designed to connect to a remote command-and-control (C2) server and retrieve a command to be launched on the compromised machine by means of a second PowerShell script ([temp.ps1](https://www.virustotal.com/gui/file/16007ea6ae7ce797451baec2132e30564a29ee0bf8a8f05828ad2289b3690f55)).


But an operational security error made by the actor by using a trivial incremental identifier to uniquely identify each victim (i.e., 0, 1, 2, etc.) allowed for reconstructing the commands issued by the C2 server.


Some of the notable commands issued consist of exfiltrating the list of running processes, enumerating files in specific folders, launching whoami, and deleting files under the public user folders.


As of writing, 32 security vendors and 18 anti-malware engines flag the decoy document and the PowerShell scripts as malicious, respectively.


The findings come as Microsoft has [taken steps](https://thehackernews.com/2022/07/microsoft-resumes-blocking-office-vba.html) to block Excel 4.0 (XLM or XL4) and Visual Basic for Applications (VBA) macros by default across Office apps, prompting threat actors to pivot to [alternative delivery methods](https://thehackernews.com/2022/07/hackers-opting-new-attack-methods-after.html).


  





## Tags:


### Autogenerated tags:
[[powershell]] [[c2]]
