# FBI Dismantles QakBot Malware, Frees 700,000 Computers, Seizes $8.6 Million
## Operation Duck Hunt takes down QakBot, a powerful Windows malware! Over 700,000 computers globally compromised. $8.6 Million in crypto seized.
## Information:

+ Link: https://thehackernews.com/2023/08/fbi-dismantles-qakbot-malware-frees.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 30 August 2023, 09:35
+ Date scraped: 30 August 2023, 05:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiTFY_Y_yq_eYT1SjyFK5CQDe4Euoyq5lfF41y5USoQm2DWWgPbsS6t_24qCyANY723aVHMkBvU3Z7PensLJW5_j6UGTjAhqZl4bh6dIfd9O_ynjGuoEVPmW4k41qwb2OLQOuQWZykspk5OeCrIsdJyD3srYnj0j5SCwuaoJrFbHZa6bmc6YPVTOMDpR9nu/s728-e3650/botnet-malware.png)


A coordinated law enforcement effort codenamed **Operation Duck Hunt** has felled [QakBot](https://thehackernews.com/2023/08/qakbot-malware-operators-expand-c2.html), a notorious Windows malware family that's estimated to have compromised over 700,000 computers globally and facilitated financial fraud as well as ransomware.


To that end, the U.S. Justice Department (DoJ) [said](https://www.justice.gov/usao-cdca/pr/qakbot-malware-disrupted-international-cyber-takedown) the malware is "being deleted from victim computers, preventing it from doing any more harm," adding it seized more than $8.6 million in cryptocurrency in illicit profits.


The cross-border exercise involved the participation of France, Germany, Latvia, Romania, the Netherlands, the U.K., and the U.S., alongside technical assistance from cybersecurity company Zscaler.


The dismantling has been hailed as "the largest U.S.-led financial and technical disruption of a botnet infrastructure leveraged by cybercriminals." No arrests were announced.


QakBot, also known as QBot and Pinkslipbot, started its life as a banking trojan in 2007 before morphing into a general-purpose Swiss Army knife that acts as a distribution center for malicious code on infected machines, including ransomware, unbeknownst to the victims.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgwAoxYDskfi-J01jeLkkPEZqHZy9bLaLX8kLNuruprE8YRTIB5EBEid3uvBbzR90H6IcIJgVhjn0srTxOZLXejyJ6Jz9ZP-lexe0SPTD7GA1oU6HgxduclFP4BBnHkKiVJ_bsnI7UWFpYdpeFEkKKy1rxI2i0Y5KObLKK-rA7YfSuph4A714RQKICG252V/s728-e3650/4.png)](https://thn.news/edWGl41h)
Some of the [major ransomware families](https://www.secureworks.com/blog/qakbot-campaign-delivered-black-basta-ransomware) propagated through QakBot comprise Conti, ProLock, Egregor, REvil, MegaCortex, and Black Basta. QakBot administrators are said to have received fees corresponding to approximately $58 million in ransoms paid by victims between October 2021 and April 2023.


"QakBot was a key enabler within the cyber crime ecosystem, facilitating ransomware attacks and other serious threats," Will Lyne, head of cyber intelligence at the U.K.'s National Crime Agency (NCA), [said](https://www.nationalcrimeagency.gov.uk/news/qakbot-cyber-crime-service-taken-out-in-international-operation) in a statement.


The counteroffensive against QakBot follows a [similar takedown](https://thehackernews.com/2021/12/140000-reasons-why-emotet-is.html) of Emotet in October 2020, which has since [resurfaced](https://thehackernews.com/2023/01/emotet-malware-makes-comeback-with-new.html) following a major disruption to its backend infrastructure.


Typically distributed via phishing emails, the modular malware also comes fitted with command execution and information harvesting capabilities. It has seen constant updates during its lifetime, with the actors (codenamed Gold Lagoon or Mallard Spider) known to take extended breaks each summer before resuming their spamming campaigns.


"The victim computers infected with QakBot malware are part of a botnet (a network of compromised computers), meaning the perpetrators can remotely control all the infected computers in a coordinated manner," the DoJ said.


The joint effort, according to court documents, enabled access to QakBot infrastructure, thereby making it possible to redirect the botnet traffic to and through servers controlled by the U.S. Federal Bureau of Investigation (FBI) with the ultimate goal of neutralizing the "far-reaching criminal supply chain."


Specifically, the servers instructed the compromised endpoints to download an [uninstaller file](https://www.virustotal.com/gui/file/7cdee5a583eacf24b1f142413aabb4e556ccf4ef3a4764ad084c1526cc90e117) that's designed to untether the machines from the QakBot botnet, effectively preventing additional payloads from being delivered.


Secureworks Counter Threat Unit (CTU) [said](https://www.secureworks.com/blog/law-enforcement-takes-down-qakbot) it detected the botnet distributing shellcode to infected devices on August 25, 2023, which "unpacks a custom DLL (dynamic-link library) executable that contains code that can cleanly terminate the running QakBot process on the host" by means of a QPCMD\_BOT\_SHUTDOWN command.


"The victims [in the U.S.] ranged from financial institutions on the East Coast to a critical infrastructure government contractor in the Midwest to a medical device manufacturer on the West Coast," FBI Director Christopher Wray [said](https://www.fbi.gov/news/stories/fbi-partners-dismantle-qakbot-infrastructure-in-multinational-cyber-takedown).


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
QakBot has demonstrated a higher level of complexity over time, rapidly shifting its tactics in response to new security guardrails. For instance, after Microsoft disabled macros by default in all Office applications, it began abusing [OneNote files](https://thehackernews.com/2023/04/microsoft-tightens-onenote-security-by.html) as an [infection vector](https://www.crowdstrike.com/blog/qakbot-ecrime-campaign-leverages-microsoft-onenote-for-distribution/) earlier this year.


The sophistication and adaptability is also evident in the operators' ability to weaponize a wide range of file formats (e.g., PDF, HTML, and ZIP) in its attack chains. A majority of QakBot's command-and-control (C2) servers are concentrated in the U.S., the U.K., India, Canada, and France (FR). Its backend infrastructure is located in Russia.


QakBot, like Emotet and IcedID, employs a three-tiered system of servers to control and communicate with the malware installed on infected computers. The primary purpose of the Tier 1 and Tier 2 servers is to forward communications containing encrypted data between QakBot-infected computers and the Tier 3 server which controls the botnet.


"QakBot is a highly sophisticated banking trojan malware, strategically targeting businesses across different countries," Zscaler researchers [noted](https://www.zscaler.com/blogs/security-research/hibernating-qakbot-comprehensive-study-and-depth-campaign-analysis) in an exhaustive analysis published in late July 2023.


"This elusive threat employs multiple file formats and obfuscation methods within its attack chain, enabling it to evade detection from conventional antivirus engines. Through its experimentation with diverse attack chains, it becomes evident that the threat actor behind QakBot is continuously refining its strategies."


QakBot has also been one of the most active malware families in the second quarter of 2023, per [HP Wolf Security](https://threatresearch.ext.hp.com/hp-wolf-security-threat-insights-report-q2-2023/), leveraging as many as 18 unique attack chains and clocking 56 campaigns over the time period, underscoring the e-crime group's penchant for "quickly permuting their tradecraft to exploit gaps in network defenses."


  





## Tags:


### Autogenerated tags:
[[qakbot]] [[malware]] [[botnet]] [[ransomware]] [[u.s]] [[u.k]]
