# FBI Shut Down Russia-linked "Cyclops Blink" Botnet That Infected Thousands of Devices
## FBI has dismantled a Russia-linked botnet called Cyclops Blink that controlled thousands of infected devices around the world.
## Information:

+ Link: https://thehackernews.com/2022/04/fbi-shut-down-russia-linked-cyclops.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 07 April 2022, 07:15
+ Date scraped: 07 April 2022, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgUU9Tn4dG6mxlbtIkrvyTSNTHrxxgwROHn8bSa60gnu0z-IiJeR0kZpjhxXzY50-h-PYETzBNKk3cg1jG49dxMeXeHYmGIxq6GWj0OvmPZmHBn_CP6FnueZarsZK-KyWo1YaWOUVA6q9V4zsQmjMzwZL2KempoJYBFydG0ANNlby2nfPD2Z77n17rJ/s728-e1000/botnet.jpg)


The U.S. Department of Justice (DoJ) announced that it neutralized **Cyclops Blink**, a modular botnet controlled by a threat actor known as Sandworm, which has been attributed to the Main Intelligence Directorate of the General Staff of the Armed Forces of the Russian Federation (GRU).


"The operation copied and removed malware from vulnerable internet-connected firewall devices that Sandworm used for command-and-control (C2) of the underlying botnet," the DoJ [said](https://www.justice.gov/opa/pr/justice-department-announces-court-authorized-disruption-botnet-controlled-russian-federation) in a statement Wednesday.


In addition to disrupting its C2 infrastructure, the operation also closed the external management ports that the threat actor used to establish connections with the firewall appliances, effectively severing the connections and preventing the hacking group from using the infected devices to commandeer the botnet.


The March 22 court-authorized disruption of Cyclops Blink comes a little over a month after intelligence agencies in the U.K. and the U.S. [described](https://thehackernews.com/2022/02/us-uk-agencies-warn-of-new-russian.html) the botnet as a replacement framework for the [VPNFilter malware](https://thehackernews.com/2018/05/vpnfilter-router-hacking.html) that was exposed and [sinkholed in May 2018](https://thehackernews.com/2018/05/vpnfilter-botnet-malware.html).


Cyclops Blink, which is believed to have emerged as early as June 2019, primarily targeted WatchGuard firewall appliances and ASUS routers, with the Sandworm group leveraging a previously identified security vulnerability in WatchGuard's Firebox firmware as an initial access vector.


A follow-up analysis by cybersecurity firm Trend Micro last month [suggested](https://thehackernews.com/2022/03/new-variant-of-russian-cyclops-blink.html) the possibility that the botnet is an attempt to "build an infrastructure for further attacks on high-value targets."


"These network devices are often located on the perimeter of a victim's computer network, thereby providing Sandworm with the potential ability to conduct malicious activities against all computers within those networks," the DoJ added.


Details of the security flaw were never made public beyond the fact that the company addressed the issue as part of software updates issued in May 2021, with WatchGuard [noting](https://www.watchguard.com/wgrd-blog/new-fireware-update-releases) to the contrary that the issues were internally detected and that they were not "actively found in the wild."


The company has since revised its [Cyclops Blink FAQs](https://techsearch.watchguard.com/KB?type=Article&SFDCID=kA16S000000SOCGSA4&lang=en_US) to spell out that the vulnerability in question is [CVE-2022-23176](https://nvd.nist.gov/vuln/detail/CVE-2022-23176) (CVSS score: 8.8), which could "allow an unprivileged user with access to Firebox management to authenticate to the system as an administrator" and gain unauthorized remote access.


ASUS, for its part, has [released firmware patches](https://www.asus.com/content/ASUS-Product-Security-Advisory/) as of April 1, 2022, to block the threat, recommending users to update to the latest version.


  





## Tags:
***CVE's***: CVE-2022-23176

### Autogenerated tags:
[[botnet]] [[doj]] [[watchguard]]
