# FlyingYeti Exploits WinRAR Vulnerability to Deliver COOKBOX Malware in Ukraine
## Cloudflare disrupts month-long phishing campaign by Russia-aligned FlyingYeti targeting Ukraine.
## Information:

+ Link: https://thehackernews.com/2024/05/flyingyeti-exploits-winrar.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 30 May 2024, 22:07
+ Date scraped: 30 May 2024, 17:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg68sqpj7J1OntdWt42pRoHyK6-JR_emWxyIKxr0X7jWweXsAkx8zHj719wmONSno2zrn6YVL8gdAw6g1FFpVCcyNjogusPvAKM_n1auqxns_qvHpmgf0Q9AYF4D6vV7V3MjEWSb2GG-0XSjDeXPQgbyz0yJb3XekG4Uj5XggMzBQ8NGAuSv0tMO1_HSe23/s728-rw-e365/exploit.png)


Cloudflare on Thursday said it took steps to disrupt a month-long phishing campaign orchestrated by a Russia-aligned threat actor called **FlyingYeti** targeting Ukraine.


"The FlyingYeti campaign capitalized on anxiety over the potential loss of access to housing and utilities by enticing targets to open malicious files via debt-themed lures," Cloudflare's threat intelligence team Cloudforce One [said](https://blog.cloudflare.com/disrupting-flyingyeti-campaign-targeting-ukraine) in a new report published today.


"If opened, the files would result in infection with the PowerShell malware known as COOKBOX, allowing FlyingYeti to support follow-on objectives, such as installation of additional payloads and control over the victim's system."


FlyingYeti is the denomination used by the web infrastructure company to track an activity cluster that the Computer Emergency Response Team of Ukraine (CERT-UA) is tracking under the moniker UAC-0149.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Previous attacks [disclosed](https://thehackernews.com/2024/02/new-idat-loader-attacks-using.html) by the cybersecurity agency have involved the use of malicious attachments sent via the Signal instant messaging app to deliver [COOKBOX](https://cert.gov.ua/article/6278620), a PowerShell-based malware capable of loading and executing cmdlets.


The latest campaign detected by Cloudforce One in mid-April 2024 involves the use of Cloudflare Workers and GitHub, alongside the exploitation of WinRAR vulnerability tracked as [CVE-2023-38831](https://thehackernews.com/2023/12/uac-0099-using-winrar-exploit-to-target.html).


The company described the threat actor as primarily focused on targeting Ukrainian military entities, adding it utilizes dynamic DNS (DDNS) for their infrastructure and leverages cloud-based platforms for staging malicious content and for command-and-control (C2) purposes.


The email messages have been observed employing debt restructuring and payment-related lures to entice recipients into clicking on a now-removed GitHub page (komunalka.github[.]io) that impersonates the [Kyiv Komunalka website](https://www.komunalka.ua/cabinet/) and instructs them to download a Microsoft Word file ("Рахунок.docx").


But in reality, clicking on the download button in the page results in the retrieval of a RAR archive file ("Заборгованість по ЖКП.rar"), but only after evaluating the HTTP request to a Cloudflare Worker. The RAR file, once launched, weaponizes CVE-2023-38831 to execute the COOKBOX malware.


"The malware is designed to persist on a host, serving as a foothold in the infected device. Once installed, this variant of COOKBOX will make requests to the DDNS domain postdock[.]serveftp[.]com for C2, awaiting PowerShell cmdlets that the malware will subsequently run," Cloudflare said.


The development comes as CERT-UA [warned](https://cert.gov.ua/article/6279366) of a spike in phishing attacks from a financially motivated group known as [UAC-0006](https://thehackernews.com/2024/03/new-bunnyloader-malware-variant.html) that are engineered to drop the SmokeLoader malware, which is then used to deploy additional malware such as TALESHOT.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
Phishing campaigns have also set their sights on European and U.S. financial organizations to deliver a legitimate Remote Monitoring and Management (RMM) software called SuperOps by packing its MSI installer within a trojanized version of the popular Minesweeper game.


"Running this program on a computer will provide unauthorized remote access to the computer to third-parties," CERT-UA [said](https://cert.gov.ua/article/6279419), attributing it to a threat actor called UAC-0188.


The disclosure also follows a report from Flashpoint, which revealed that Russian advanced persistent threat (APT) groups are simultaneously evolving and refining their tactics as well as expanding their targeting.


"They are using new spear-phishing campaigns to exfiltrate data and credentials by delivering malware sold on illicit marketplaces," the company [said](https://flashpoint.io/blog/russian-apt-groups-cyber-threats/) last week. "The most prevalent malware families used in these spear-phishing campaigns were Agent Tesla, Remcos, SmokeLoader, Snake Keylogger, and GuLoader."

 
  





## Tags:
***CVE's***: CVE-2023-38831
***urls***: http://postdock.serveftp.com http://komunalka.github.io

### Autogenerated tags:
[[malware]] [[cloudflare]] [[flyingyeti]] [[cookbox]] [[phishing]] [[cert-ua]]
