# FormBook Malware Spreads via Malvertising Using MalVirt Loader to Evade Detection
## Researchers have uncovered a malvertising campaign that distributes virtualized . NET MalVirt loaders to evade detection and infect victims' computers
## Information:

+ Link: https://thehackernews.com/2023/02/formbook-malware-spreads-via.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 06 February 2023, 08:11
+ Date scraped: 06 February 2023, 09:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgGRnPtCcucSTY5Mfwo59bTX-LiM8-_P6xL73ospfLTXM09McnG6rGb5nKK41wNyKkjlA9AYT8vVbbTmou6jG6Ukbdn9rMP6fEca25P3nx9BlSzGJvVpGkN-_iCJDRUjWB4syVSI58VZYBJWWV5ZdrTK65FOH1Ap-1qiRC2_B16-d7MVMTXeG3gA9DJ/s728-e365/malware.png)


An ongoing malvertising campaign is being used to distribute virtualized .NET loaders that are designed to deploy the FormBook information-stealing malware.


"The loaders, dubbed MalVirt, use obfuscated virtualization for anti-analysis and evasion along with the Windows Process Explorer driver for terminating processes," SentinelOne researchers Aleksandar Milenkoski and Tom Hegel [said](https://www.sentinelone.com/labs/malvirt-net-virtualization-thrives-in-malvertising-attacks/) in a technical write-up.


The shift to Google malvertising is the latest example of how crimeware actors are [devising alternate delivery routes](https://thehackernews.com/2023/02/post-macro-world-sees-rise-in-microsoft.html) to distribute malware ever since Microsoft announced plans to block the execution of macros in Office by default from files downloaded from the internet.


Malvertising entails placing rogue search engine advertisements in hopes of tricking users searching for popular software like Blender into downloading the trojanized software.


The MalVirt loaders, which are implemented in .NET, use the legitimate [KoiVM](https://ki-host.appspot.com/KoiVM) virtualizing protector for .NET applications for concealing its behavior and are tasked with distributing the FormBook malware family.


Besides incorporating anti-analysis and anti-detection techniques to evade execution within a virtual machine or an application sandbox environment, the loaders have been found to employ a modified version of KoiVM that packs in additional obfuscation layers in order to make deciphering even more challenging.


The loaders also deploy and load a signed Microsoft [Process Explorer](https://learn.microsoft.com/en-us/sysinternals/) driver with the goal of carrying out actions with elevated permissions. The privileges, for instance, can be weaponized to terminate processes with security software to avoid getting flagged.


Both FormBook and its successor, XLoader, implement a wide range of functionalities, such as keylogging, screenshot theft, harvesting of web and other credentials, and staging of additional malware.


The malware strains are also notable for camouflaging their command-and-control (C2) traffic among smokescreen HTTP requests with encoded content to multiple decoy domains, as previously [revealed](https://thehackernews.com/2022/06/new-xloader-botnet-version-using.html) by Zscaler and Check Point last year.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgKUfwVKmFvJ2qQQD97S1_WyLraCiDvw26kJTaGPEjOvU2pB_zZm93KXxe5cKzehGGf5EMNLDf3ORMb2AhozAFm4fadtnSQB4qdhaP8jaP6FmaM4v-44DfcKF68z2mS0iKGpqMkgkp_3EIUL6zKtwd7zdvNsasTDKBsb9GAv63UPTkoml16gjSRSXP9/s728-e365/google.png)
"As a response to Microsoft blocking Office macros by default in documents from the Internet, threat actors have turned to alternative malware distribution methods – most recently, malvertising," the researchers said.


"The MalVirt loaders [...] demonstrate just how much effort threat actors are investing in evading detection and thwarting analysis."


It's pertinent that the [method](https://thehackernews.com/2022/12/new-malvertising-campaign-via-google.html) is [already](https://thehackernews.com/2023/01/the-evolving-tactics-of-vidar-stealer.html) [witnessing](https://thehackernews.com/2023/01/raccoon-and-vidar-stealers-spreading.html) a [spike](https://labs.k7computing.com/index.php/information-stealers-going-incognito-on-google-ads/) due to its use by other criminal actors to push IcedID, Raccoon, Rhadamanthys, and Vidar stealers over the past few months.

 "It is likely that a threat actor has started to sell malvertising as a service on the dark web, and there is a great deal of demand," Abuse.ch [said](https://www.spamhaus.com/resource-center/a-surge-of-malvertising-across-google-ads-is-distributing-dangerous-malware/) in a [report](https://twitter.com/abuse_ch/status/1621416361858678786), pointing out a possible reason for the "escalation."


The findings arrive two months after India-based K7 Security Labs [detailed](https://labs.k7computing.com/index.php/koivm-loader-resurfaces-with-a-bang/) a phishing campaign that leverages a .NET loader to drop Remcos RAT and Agent Tesla by means of a virtualized KoiVM virtualized binary.


It's not all malicious ads, however, as adversaries are also experimenting with other file types like Excel add-ins (XLLs) and OneNote email attachments to sneak past security perimeters. Newly joining this list is the use of Visual Studio Tools for Office (VSTO) add-ins as an attack vehicle.


"VSTO add-ins can be packaged alongside Office documents (Local VSTO), or, alternatively, fetched from a remote location when a VSTO-Bearing Office document is opened (Remote VSTO)," Deep Instinct [disclosed](https://www.deepinstinct.com/blog/no-macro-no-worries-vsto-being-weaponized-by-threat-actors) last week. "This, however, may require bypass of trust-related security mechanisms."


  





## Tags:


### Autogenerated tags:
[[malware]] [[malvertising]] [[vsto]] [[virtualized]] [[formbook]] [[malvirt]] [[microsoft]] [[koivm]] [[add-ins]]
