# Foxit PDF Reader Flaw Exploited by Hackers to Deliver Diverse Malware Arsenal
## Multiple threat actors are exploiting a design flaw inFoxit PDF software to deliver various malware.
## Information:

+ Link: https://thehackernews.com/2024/05/foxit-pdf-reader-flaw-exploited-by.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 20 May 2024, 17:50
+ Date scraped: 20 May 2024, 13:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEinRiV_XiRI9o2S5jAcxj7y6CyJFJEriCacEVFhydLwRPJLFqxhs6qGG6wdDhH8K6-HKrBLDTUN8MX2hqb_513Qu2JtOo5E_J-FiO-KjyqMKvv4qldMUwpwBgHnmCfUyppRmYBAS0AIYh86_BgPN5gBPGcN50ofL0hWx05Teogx2goq8d42BTEl8AeuqVLR/s728-rw-e365/pdf.png)


Multiple threat actors are weaponizing a design flaw in Foxit PDF Reader to deliver a variety of malware such as Agent Tesla, AsyncRAT, DCRat, NanoCore RAT, NjRAT, Pony, Remcos RAT, and XWorm.


"This exploit triggers security warnings that could deceive unsuspecting users into executing harmful commands," Check Point [said](https://research.checkpoint.com/2024/foxit-pdf-flawed-design-exploitation/) in a technical report. "This exploit has been used by multiple threat actors, from e-crime to espionage."


It's worth noting that Adobe Acrobat Reader – which is more prevalent in sandboxes or antivirus solutions – is not susceptible to this specific exploit, thus contributing to the campaign's low detection rate.


The issue stems from the fact that the application shows "OK" as the default selected option in a pop-up when users are asked to trust the document prior to enabling certain features to avoid potential security risks.


Once a user clicks OK, they are displayed a second pop-up warning that the file is about to execute additional commands with the option "Open" set as the default. The command triggered is then used to download and execute a malicious payload hosted on Discord's content delivery network (CDN).


"If there were any chance the targeted user would read the first message, the second would be 'Agreed' without reading," security researcher Antonis Terefos said.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
"This is the case that the Threat Actors are taking advantage of this flawed logic and common human behavior, which provides as the default choice the most 'harmful' one."


Check Point said it identified a PDF document bearing a military theme that, when opened via Foxit PDF Reader, executed a command to fetch a downloader that, in turn, retrieved two executables to collect and upload data, including documents, images, archive files, and databases to a command-and-control (C2) server.


Further analysis of the attack chain has revealed that the downloader could also be used to drop a third payload that's capable of capturing screenshots of the infected host, after which they are uploaded to the C2 server.


The activity, assessed to be geared towards espionage, has been linked to [DoNot Team](https://thehackernews.com/2023/10/donot-teams-new-firebird-backdoor-hits.html) (aka APT-C-35 and Origami Elephant), citing overlaps with previously observed tactics and techniques associated with the threat actor.


A second instance weaponizing the same technique employs a multi-stage sequence to deploy a stealer and two cryptocurrency miner modules such as XMRig and lolMiner. Interestingly, some of the booby-trapped PDF files are distributed via Facebook.


[![Foxit PDF Reader](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEin3xoOMeW3Mihfn6VT2PHKQydTgzhrRxk-5fkjhXPhqZBD233AiGdZCp-M0RyoZnITjPe1yNb1MpbeDZpynFzmMp5f2aqq6jusWAsBYRz_AxrOS2rnlhohdUzzCW1-R3FNgZz7KMDDU6z6POnQJp-qzOnwNcd6bg7ghtG_WZl-ElQ2_RNumF8XxYs8dMyc/s728-rw-e365/cp.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEin3xoOMeW3Mihfn6VT2PHKQydTgzhrRxk-5fkjhXPhqZBD233AiGdZCp-M0RyoZnITjPe1yNb1MpbeDZpynFzmMp5f2aqq6jusWAsBYRz_AxrOS2rnlhohdUzzCW1-R3FNgZz7KMDDU6z6POnQJp-qzOnwNcd6bg7ghtG_WZl-ElQ2_RNumF8XxYs8dMyc/s728-rw-e365/cp.jpg)
The Python-based stealer malware is equipped to steal victims' credentials and cookies from Chrome and Edge browsers, with the miners retrieved from a Gitlab repository belonging to a user named topworld20241. The [repository](https://gitlab.com/topworld20241/none), created on February 17, 2024, is still active as of writing.


In another case documented by the cybersecurity company, the PDF file acts as a conduit to retrieve from Discord CDN [Blank-Grabber](https://github.com/Blank-c/Blank-Grabber), an open-source information stealer that's available on GitHub and which has been archived as of August 6, 2023.


"Another interesting case occurred when a malicious PDF included a hyperlink to an attachment hosted on trello[.]com," Terefos said. "Upon downloading, it revealed a secondary PDF file containing malicious code, which takes advantage of this


'exploitation' of Foxit Reader users."


The infection pathway culminates in the delivery of Remcos RAT, but only after progressing through a series of steps that involve the use of LNK files, HTML Application (HTA), and Visual Basic scripts as intermediate steps.


The threat actor behind the Remcos RAT campaign, who goes by the name [silentkillertv](https://t.me/silentkillertv) and claims to be an [ethical hacker](https://www.youtube.com/@EthicalHackingSilentkillertv/) with over 22 years of experience, has been observed [advertising several malicious tools](https://t.me/Silent_Tools/358) via a dedicated Telegram channel called [silent\_tools](https://t.me/s/silent_tools), including crypters and PDF exploits targeting Foxit PDF Reader. The channel was created on April 21, 2022.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
Check Point said it also identified .NET- and Python-based PDF builder services such as Avict Softwares I Exploit PDF, PDF Exploit Builder 2023, and FuckCrypt that were used to create the malware-laced PDF files. The DoNot Team is said to have used a .NET PDF builder [freely available](https://github.com/K3rnel-Dev/pdf-exploit/) on GitHub.


If anything, the use of Discord, Gitlab, and Trello demonstrates the continued abuse of legitimate websites by threat actors to blend in with normal network traffic, evade detection, and distribute malware. Foxit has acknowledged the issue and is expected to roll out a fix in version 2024 3. The current version is [2024.2.1.25153](https://www.foxit.com/pdf-reader/version-history.html).


"While this 'exploit' doesn't fit the classical definition of triggering malicious activities, it could be more accurately categorized as a form of 'phishing' or manipulation aimed at Foxit PDF Reader users, coaxing them into habitually clicking 'OK' without understanding the potential risks involved," Terefos said.


"The infection success and the low detection rate allow PDFs to be distributed via many untraditional ways, such as Facebook, without being stopped by any detection rules."


  





## Tags:
***urls***: http://trello.com

### Autogenerated tags:
[[pdf]] [[foxit]] [[malware]] [[remcos]] [[terefos]]
