# GHOSTENGINE Exploits Vulnerable Drivers to Disable EDRs in Cryptojacking Attack
## New cryptojacking campaign REF4578 discovered. Hackers use vulnerable drivers to disable security solutions and install XMRig miner.
## Information:

+ Link: https://thehackernews.com/2024/05/ghostengine-exploits-vulnerable-drivers.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 22 May 2024, 14:27
+ Date scraped: 22 May 2024, 09:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhpO0fXo_l1wNBmNdjsT-Ec0GymVUtBx7JFCV-5EpgBNUBofiO9QAaORQlVJ16cQpM7AWFI-RNlW4S9QJKimnT1UWajxND12eQpcfQPST1ySneL5altHruvqmdWMP_x2m9BC98QYG1rDR0pqQGhk2wNbYif1tt0-MhywRtg8VWcU3tm55SVYxze0KwuefRW/s728-rw-e365/crypto-malware.png)


Cybersecurity researchers have discovered a new cryptojacking campaign that employs vulnerable drivers to disable known security solutions (EDRs) and thwart detection in what's called a Bring Your Own Vulnerable Driver ([BYOVD](https://thehackernews.com/2024/02/lazarus-hackers-exploited-windows.html)) attack.


Elastic Security Labs is tracking the campaign under the name REF4578 and the primary payload as GHOSTENGINE. Previous research from Chinese cybersecurity firm Antiy Labs has [codenamed](https://www.antiy.com/response/HideShoveling.html) the activity as HIDDEN SHOVEL.


"GHOSTENGINE leverages vulnerable drivers to terminate and delete known EDR agents that would likely interfere with the deployed and well-known coin miner," Elastic researchers Salim Bitam, Samir Bousseaden, Terrance DeJesus, and Andrew Pease [said](https://www.elastic.co/security-labs/invisible-miners-unveiling-ghostengine).


"This campaign involved an uncommon amount of complexity to ensure both the installation and persistence of the XMRig miner."


It all starts with an executable file ("Tiworker.exe"), which is used to run a PowerShell script that retrieves an obfuscated PowerShell script that masquerades as a PNG image ("get.png") to fetch additional payloads from a command-and-control (C2) server.


These modules -- aswArPot.sys, IObitUnlockers.sys, curl.exe, smartsscreen.exe, oci.dll, backup.png, and kill.png -- are launched on the infected host after downloading them over HTTP from either the configured C2 server or a backup server in case the domains are unavailable. It also incorporates an FTP-based fallback mechanism.


Furthermore, the malware attempts to disable Microsoft Defender Antivirus, clear several Windows event log channels, and make sure that the C:\ volume has at least 10 MB of free space to download files, which are then stashed in the C:\Windows\Fonts folder.


"If not, it will try to delete large files from the system before looking for another suitable volume with sufficient space and creating a folder under $RECYCLE.BIN\Fonts," the researchers said.


The PowerShell script is also designed to create three scheduled tasks on the system to run a malicious DLL every 20 minutes, launch itself by means of a batch script every hour, and execute smartsscreen.exe every 40 minutes.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The core payload of the attack chain is smartsscreen.exe (aka GHOSTENGINE), whose main purpose is to deactivate security processes using the [vulnerable Avast driver](https://thehackernews.com/2022/05/researchers-disclose-10-year-old.html) ("aswArPot.sys"), complete initial infection, and execute the miner.


The security agent binary is then deleted by means of another vulnerable driver from IObit ("iobitunlockers.sys"), following which the XMRig client mining program is downloaded from the C2 server and executed.


The DLL file is used to ensure the persistence of the malware and download updates from the C2 servers by fetching the get.png script and executing it, while the "backup.png" Powershell script functions as a backdoor to enable remote command execution on the system.


In what has been interpreted as a redundancy measure, the PowerShell script "kill.png" has similar capabilities as smartsscreen.exe to delete security agent binaries by injecting and loading an executable file into memory.


The development comes as the Uptycs Threat Research Team discovered a large-scale, ongoing operation since January 2024 that exploits known flaws in the Log4j logging utility (e.g., [CVE-2021-44228](https://thehackernews.com/2021/12/extremely-critical-log4j-vulnerability.html)) to deliver an XMRig miner onto the targeted hosts.


[![Cryptojacking Campaign](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgYRKx8j0edc5XRNRLkrfNJtTOTYCT3BFQgrlijcwryc3BNVHvbOCLAx0InXdFsHjkugkyZLhnpV-uy0MMwSWvJo677feWFh4pkdQ2TI-9QqrIr73uShKSOEb7PginQS70-WYfAcYjShAttIq4-oYRiBboXQogrsJlAZiVmRwHFYtZHsVZWMVwylllAQxyT/s728-rw-e365/code.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgYRKx8j0edc5XRNRLkrfNJtTOTYCT3BFQgrlijcwryc3BNVHvbOCLAx0InXdFsHjkugkyZLhnpV-uy0MMwSWvJo677feWFh4pkdQ2TI-9QqrIr73uShKSOEb7PginQS70-WYfAcYjShAttIq4-oYRiBboXQogrsJlAZiVmRwHFYtZHsVZWMVwylllAQxyT/s728-rw-e365/code.png)
"Subsequent to compromising a victim machine, it initiated contact with a URL to fetch a shell script for the deployment of the XMRig miner, or alternatively, in select instances, it disseminated Mirai or Gafgyt malware," security researcher Shilpesh Trivedi [said](https://www.uptycs.com/blog/log4j-campaign-xmrig-malware).


A majority of the impacted servers are located in China, followed by Hong Kong, Netherlands, Japan, the U.S., Germany, South Africa, and Sweden.


### BYOVD and Other Methods to Undermine Security Mechanisms[#](#byovd-and-other-methods-to-undermine-security-mechanisms)


BYOVD is an [increasingly popular technique](https://www.elastic.co/security-labs/forget-vulnerable-drivers-admin-is-all-you-need) wherein a threat actor brings a known-vulnerable signed driver, loads it into the kernel, and exploits it to perform privileged actions, often with an aim to disarm security processes and allow them to operate stealthily.


"Drivers run at ring 0, the most privileged level of the operating system," Israeli cybersecurity firm Cymulate [notes](https://cymulate.com/blog/defending-against-bring-your-own-vulnerable-driver-byovd-attacks/). "This grants them direct access to critical memory, CPU, I/O operations, and other fundamental resources. In the case of BYOVD, the attack is designed to load a vulnerable driver to further the attack."


Although Microsoft has deployed the [Vulnerable Driver Blocklist](https://learn.microsoft.com/en-us/windows/security/application-security/application-control/windows-defender-application-control/design/microsoft-recommended-driver-block-rules) by default starting in Windows 11 22H2, the list is only updated only once or twice a year, necessitating that users manually update it periodically for optimal protection.


The exact scope of the campaign remains unknown and it's currently not clear who is behind it. However, the unusual sophistication behind what appears to be a straightforward illicit cryptocurrency mining attack bears notice.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
The disclosure also follows the discovery of a novel technique called [EDRaser](https://github.com/SafeBreach-Labs/EDRaser) that takes advantage of flaws in Microsoft Defender ([CVE-2023-24860](https://msrc.microsoft.com/update-guide/en-US/advisory/CVE-2023-24860) and [CVE-2023-36010](https://msrc.microsoft.com/update-guide/en-US/advisory/CVE-2023-36010)) to remotely delete access logs, Windows event logs, databases, and other files.


The [issue](https://www.blackhat.com/asia-24/briefings/schedule/#edr-reloaded-erase-data-remotely-36730), which also impacts Kaspersky, stems from the fact that both the security programs use byte signatures to detect malware, thus allowing a threat actor to implant malware signatures into legit files and fool the tools into thinking that they are malicious, SafeBreach said.


The cybersecurity company has separately uncovered a [creative exploit](https://www.blackhat.com/asia-24/briefings/schedule/#the-dark-side-of-edr-repurpose-edr-as-an-offensive-tool-37846) to get around security protections offered by Palo Alto Networks Cortex XDR and weaponize it to deploy a reverse shell and ransomware, effectively repurposing it into a rogue offensive tool.


[![BYOD Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjMB5Gquw8bCnchCGfh096QX4PsWmRSq2TTA8H6uDh2A8lWl4rlcXIBZaEQd9mn_3KbaAZeoBDgmjVRiwMGP9OgASngmV99nr1CYRIL7kaA8tVYl1UCGwvRh3FT0qu4htbzPziItQ8hzs3OIbesb_0vARED6l61W0F9Zt1CvoyUGuCJaVrtQfmZWdNcrGYo/s728-rw-e365/byod.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjMB5Gquw8bCnchCGfh096QX4PsWmRSq2TTA8H6uDh2A8lWl4rlcXIBZaEQd9mn_3KbaAZeoBDgmjVRiwMGP9OgASngmV99nr1CYRIL7kaA8tVYl1UCGwvRh3FT0qu4htbzPziItQ8hzs3OIbesb_0vARED6l61W0F9Zt1CvoyUGuCJaVrtQfmZWdNcrGYo/s728-rw-e365/byod.png)
At its core, the bypass makes it possible to load a vulnerable driver ("[rtcore64.sys](https://thehackernews.com/2023/05/chinese-hacker-group-earth-longzhi.html)") via a BYOVD attack and tamper with the solution to prevent a legitimate administrator from removing the software and ultimately insert malicious code into one of its processes, granting the threat actor high privileges while remaining undetected and persistent.


"The logic behind the detection processes of a security product should be closely guarded," security researcher Shmuel Cohen [said](https://www.safebreach.com/blog/dark-side-of-edr-offensive-tool/) last month. "By giving attackers access to this sensitive detection logic via the solution's content files, they are much more likely to be able to engineer a way around it."


Another novel method is HookChain, which, as Brazilian security researcher Helvio Carvalho Junior, involves combining IAT hooking, dynamic system service numbers ([SSN](https://www.mdsec.co.uk/2022/04/resolving-system-service-numbers-using-the-exception-directory/)) resolution, and indirect system calls to escape monitoring and control mechanisms implemented by security software in the user mode, particularly in the [NTDLL.dll library](https://thehackernews.com/2022/12/guloader-malware-utilizing-new.html).


"HookChain is capable of redirecting the execution flow of all major Windows subsystems, such as kernel32.dll, kernelbase.dll, and user32.dll," Carvalho Junior [said](https://arxiv.org/abs/2404.16856) in a newly published paper.


"This means that, once deployed, HookChain ensures that all API calls within the context of an application are carried out transparently, completely avoiding detection by [Endpoint detection and response software]."


  





## Tags:
***CVE's***: CVE-2021-44228 CVE-2023-36010 CVE-2023-24860

### Autogenerated tags:
[[byovd]] [[powershell]] [[malware]] [[cybersecurity]] [[xmrig]] [[c2]] [[smartsscreen.exe]] [[windows]] [[ghostengine]] [[microsoft]]
