# GTPDOOR Linux Malware Targets Telecoms, Exploiting GPRS Roaming Networks
## Discover the Stealthy New Malware Targeting Telecom Networks! GTPDOOR uses GPRS Tunnelling Protocol for unseen levels of control.
## Information:

+ Link: https://thehackernews.com/2024/02/gtpdoor-linux-malware-targets-telecoms.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 29 February 2024, 17:03
+ Date scraped: 29 February 2024, 12:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh8ZCZvSbOtGh_UAiA2QCc7XXmNM_EPYN0XjG79ufcTcfp1z5o0Rs4fFpU-OvJwKfxxG45Zox_vw36AXqBZwOAonmZFLNhHZqIbsez9XS4TNGgfr1iN943UTybupWK2bhHerleeHMe6Kknzy9DVBLDUCEG-jN2SeNYYTrMbjGDz9lSB76zOUH9cDZP6Y5vz/s728-rw-e365/telecom.jpg)


Threat hunters have discovered a new Linux malware called **GTPDOOR** that's designed to be deployed in telecom networks that are adjacent to GPRS roaming exchanges ([GRX](https://en.wikipedia.org/wiki/GPRS_roaming_exchange))


The [malware](https://doubleagent.net/telecommunications/backdoor/gtp/2024/02/27/GTPDOOR-COVERT-TELCO-BACKDOOR) is novel in the fact that it leverages the GPRS Tunnelling Protocol ([GTP](https://en.wikipedia.org/wiki/GPRS_Tunnelling_Protocol)) for command-and-control (C2) communications.


GPRS roaming allows subscribers to access their GPRS services while they are beyond the reach of their home mobile network. This is facilitated by means of a GRX that transports the roaming traffic using GTP between the visited and the home Public Land Mobile Network ([PLMN](https://en.wikipedia.org/wiki/Public_land_mobile_network)).


Security researcher haxrob, who discovered two [GTPDOOR](https://www.virustotal.com/gui/file/827f41fc1a6f8a4c8a8575b3e2349aeaba0dfc2c9390ef1cceeef1bb85c34161) [artifacts](https://www.virustotal.com/gui/file/5cbafa2d562be0f5fa690f8d551cdb0bee9fc299959b749b99d44ae3fda782e4) uploaded to VirusTotal from China and Italy, said the backdoor is likely linked to a known threat actor tracked as [LightBasin](https://thehackernews.com/2021/10/lightbasin-hackers-breach-at-least-13.html) (aka UNC1945), which was previously disclosed by CrowdStrike in October 2021 in connection with a series of attacks targeting the telecom sector to steal subscriber information and call metadata.


[![GTPDOOR Linux Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjnJHK7M9RFkyFZJrr4AS3E7JpzBHud-jShW9NLdLY01O2s8jtbxtIoeUTfWsxfROsGPwoLXD3c1yd7x6fDxvWVnBXmaunB642-mn9lpk8IXtunDmve9BnaH0IzmTC_DWCVHHGbq8Un8MzriZ_8qQq4WAn7ww44zcGOXuokw0GPPxPy1dX15CBH7VjVFDm9/s728-rw-e365/linux.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjnJHK7M9RFkyFZJrr4AS3E7JpzBHud-jShW9NLdLY01O2s8jtbxtIoeUTfWsxfROsGPwoLXD3c1yd7x6fDxvWVnBXmaunB642-mn9lpk8IXtunDmve9BnaH0IzmTC_DWCVHHGbq8Un8MzriZ_8qQq4WAn7ww44zcGOXuokw0GPPxPy1dX15CBH7VjVFDm9/s728-rw-e365/linux.jpg)
"When run, the first thing GTPDOOR does is process-name stomps itself – changing its process name to '[syslog]' – disguised as syslog invoked from the kernel," the researcher said. "It suppresses child signals and then opens a raw socket [that] will allow the implant to receive UDP messages that hit the network interfaces."


Put differently, GTPDOOR allows a threat actor that already has established persistence on the roaming exchange network to contact a compromised host by sending GTP-C Echo Request messages with a malicious payload.


This magic GTP-C Echo Request message acts as a conduit to transmit a command to be executed on the infected machine and return the results back to the remote host.


GTPDOOR "Can be covertly probed from an external network to elicit a response by sending a TCP packet to any port number," the researcher noted. "If the implant is active a crafted empty TCP packet is returned along with information if the destination port was open/responding on the host."


"This implant looks like it is designed to sit on compromised hosts that directly touch the GRX network – these are the systems that communicate to other telecommunication operator networks via the GRX."



  





## Tags:


### Autogenerated tags:
[[gtpdoor]] [[gprs]]
