# Glupteba Botnet Evades Detection with Undocumented UEFI Bootkit
## Glupteba botnet has been found to include an undocumented UEFI bootkit feature, enhancing its stealth and persistence capabilities significantly.
## Information:

+ Link: https://thehackernews.com/2024/02/glupteba-botnet-evades-detection-with.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 13 February 2024, 20:07
+ Date scraped: 13 February 2024, 15:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjE8jbbC8uG_yDCMb48V7p7Zsa7ihnET2dR6U-0vMJEz2zeZU4BGpFZN2QS_koBi-dbggx0z4wjGsgD9b0fELDAF52KYPmIAzg-ZBDfPn3WHWrjr4wQ-yZbur8WzEpV2ZHHKXFospLl8M1F7RlPJLfAAEWnp2RapqaAV0fD54Ps8hEZpg86Jmk6fUQDeeFw/s728-rw-e30/bootkit.jpg)


The **Glupteba** botnet has been found to incorporate a previously undocumented Unified Extensible Firmware Interface ([UEFI](https://en.wikipedia.org/wiki/UEFI)) bootkit feature, adding another layer of sophistication and stealth to the malware.


"This bootkit can intervene and control the [operating system] boot process, enabling Glupteba to hide itself and create a stealthy persistence that can be extremely difficult to detect and remove," Palo Alto Networks Unit 42 researchers Lior Rochberger and Dan Yashnik [said](https://unit42.paloaltonetworks.com/glupteba-malware-uefi-bootkit/#post-132484-_9pnlcgdp770l) in a Monday analysis.


Glupteba is a fully-featured information stealer and backdoor capable of facilitating illicit cryptocurrency mining and deploying proxy components on infected hosts. It's also known to leverage the Bitcoin blockchain as a backup command-and-control (C2) system, making it [resilient to takedown efforts](https://thehackernews.com/2021/12/google-disrupts-blockchain-based.html).


Some of the other functions allow it to deliver additional payloads, siphon credentials, and credit card data, perform ad fraud, and even exploit routers to gain credentials and remote administrative access.


Over the past decade, [modular malware](https://thehackernews.com/2022/12/glupteba-botnet-continues-to-thrive.html) has metamorphosed into a sophisticated threat employing elaborate multi-stage infection chains to sidestep detection by security solutions.


A November 2023 campaign observed by the cybersecurity firm entails the use of pay-per-install (PPI) services such as Ruzki to distribute Glupteba. In September 2022, Sekoia [linked](https://thehackernews.com/2022/09/researchers-find-link-bw-privateloader.html) Ruzki to activity clusters, leveraging PrivateLoader as a conduit to propagate next-stage malware.


This takes the form of large-scale phishing attacks in which PrivateLoader is delivered under the guise of installation files for cracked software, which then loads SmokeLoader that, in turn, launches RedLine Stealer and Amadey, with the latter ultimately dropping Glupteba.


[![Glupteba Botnet](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjfhH-FKFk8aP_BptSuL-gDSKGtW7QQ0oddVEcfRI0u-dHoNBC-kVVX6_FDeydZM96zBkYDAMYP5IkXVAFB_HqAXcRY3I9zzaOkkydy42H-OS0aFuo3kU6kTehYLzDeizjDjhIOunIABr3I9GEtDoYiD1C525g40CcxRCXwp03qH8jXGwm4fkWz5yfohCe3/s728-rw-e30/zip.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjfhH-FKFk8aP_BptSuL-gDSKGtW7QQ0oddVEcfRI0u-dHoNBC-kVVX6_FDeydZM96zBkYDAMYP5IkXVAFB_HqAXcRY3I9zzaOkkydy42H-OS0aFuo3kU6kTehYLzDeizjDjhIOunIABr3I9GEtDoYiD1C525g40CcxRCXwp03qH8jXGwm4fkWz5yfohCe3/s728-rw-e30/zip.jpg)
"Threat actors often distribute Glupteba as part of a complex infection chain spreading several malware families at the same time," the researchers explained. "This infection chain often starts with a PrivateLoader or SmokeLoader infection that loads other malware families, then loads Glupteba."


In a sign that the malware is being actively maintained, Glupteba comes fitted with a UEFI bootkit by incorporating a modified version of an open-source project called [EfiGuard](https://github.com/Mattiwatti/EfiGuard), which is capable of disabling PatchGuard and Driver Signature Enforcement (DSE) at boot time.


It's worth pointing out that previous versions of the malware were [found](https://news.sophos.com/en-us/2020/06/24/glupteba-report/) to "install a kernel driver the bot uses as a rootkit, and make other changes that weaken the security posture of an infected host."


"Glupteba malware continues to stand out as a notable example of the complexity and adaptability exhibited by modern cybercriminals," the researchers said.


"The identification of an undocumented UEFI bypass technique within Glupteba underscores this malware's capacity for innovation and evasion. Furthermore, with its role in distributing Glupteba, the PPI ecosystem highlights the collaboration and monetization strategies employed by cybercriminals in their attempts at mass infections."


  





## Tags:


### Autogenerated tags:
[[glupteba]] [[malware]] [[uefi]] [[bootkit]] [[privateloader]]
