# GoldenJackal: New Threat Group Targeting Middle Eastern and South Asian Governments
## A new cyber threat, GoldenJackal, is targeting government and diplomatic entities in the Middle East and South Asia.
## Information:

+ Link: https://thehackernews.com/2023/05/goldenjackal-new-threat-group-targeting.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 23 May 2023, 21:00
+ Date scraped: 23 May 2023, 17:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjKx6lnebkMoVxrD6i2a9kHJMAK5StxF6UxajtGC-QKg5H7keNnKCBTpf-Bd8WwGeUEEfMG2Ggx08MrkhJWyUl22L9HcF5u4bQjfUVvL0VUOr0pFg3D_XL31sY-zLG7VDiFGPVTewvqYAqdOJK9m6gUKqO6V3YHg5ylRQkhbSZxgEioqOxwvUsuvejm/s728-e3650/hackers.jpg)


Government and diplomatic entities in the Middle East and South Asia are the target of a new advanced persistent threat actor named **GoldenJackal**.


Russian cybersecurity firm Kaspersky, which has been [keeping tabs](https://securelist.com/goldenjackal-apt-group/109677/) on the group's activities since mid-2020, characterized the adversary as both capable and stealthy.


The targeting scope of the campaign is focused on Afghanistan, Azerbaijan, Iran, Iraq, Pakistan, and Turkey, infecting victims with tailored malware that steals data, propagates across systems via removable drives, and conducts surveillance.


GoldenJackal is suspected to have been active for at least four years, although little is known about the group. Kaspersky said it has been unable to determine its origin or affiliation with known threat actors, but the actor's modus operandi suggests an espionage motivation.


What's more, the threat actor's attempts to maintain a low profile and disappear into the shadows bears all the hallmarks of a state-sponsored group.


That said, some tactical overlaps have been observed between the threat actor and [Turla](https://thehackernews.com/2023/05/us-government-neutralizes-russias-most.html), one of Russia's [elite nation-state hacking crews](https://www.wired.com/story/turla-history-russia-fsb-hackers/). In one stance, a victim machine was infected by Turla and GoldenJackal two months apart.


The exact initial path employed to breach targeted computers is unknown at this stage, but evidence gathered so far points to the use of trojanized Skype installers and malicious Microsoft Word documents.


While the installer serves as a conduit to deliver a .NET-based trojan called JackalControl, the Word files have been observed weaponizing the [Follina vulnerability](https://thehackernews.com/2022/06/state-backed-hackers-exploit-microsoft.html) ([CVE-2022-30190](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-30190)) to drop the same malware.


JackalControl, as the name indicates, enables the attackers to remotely commandeer the machine, execute arbitrary commands, as well as upload and download from and to the system.


![Geography of victims](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)
Some of the other malware families deployed by GoldenJackal are as follows -


* **JackalSteal** - An implant that's used to find files of interest, including those located in removable USB drives, and transmit them to a remote server.
* **JackalWorm** - A worm that's engineered to infect systems using removable USB drives and install the JackalControl trojan.
* **JackalPerInfo** - A malware that comes with features to harvest system metadata, folder contents, installed applications, and running processes, and credentials stored in web browser databases.
* **JackalScreenWatcher** - A utility to grab screenshots based on a preset time interval and send them to an actor-controlled server.


Another notable aspect of the threat actor is its reliance on hacked WordPress sites as a relay to forward web requests to the actual command-and-control (C2) server by means of a rogue PHP file injected into the websites.


"The group is probably trying to reduce its visibility by limiting the number of victims," Kaspersky researcher Giampaolo Dedola said. "Their toolkit seems to be under development – the number of variants shows that they are still investing in it."



  





## Tags:
***CVE's***: CVE-2022-30190

### Autogenerated tags:
[[goldenjackal]] [[malware]] [[kaspersky]] [[jackalcontrol]]
