# Google Identifies 34 Cracked Versions of Popular Cobalt Strike Hacking Toolkit in the Wild
## Google researchers have identified 34 different cracked versions of the Cobalt Strike hacking toolkit in the wild that are being abused by hackers for
## Information:

+ Link: https://thehackernews.com/2022/11/google-identifies-34-cracked-versions.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 21 November 2022, 05:42
+ Date scraped: 22 November 2022, 13:05

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhtq6oZF3ngExoo2LCX1YkmfmkM9QLZM6gpaW2rlHlxAYPAAG0q_LVJyWfavhiwP4ZYLm8ynTf0x4hGcMJQ2G7Kp9ROAj7-cu6taYczjN18QTNIg9HIPyCrTq5HObzdYAtbx7AoYLF3YX5uYg_anSoC2I_FvA1zMHmmRAZatsGTDhuqsMh3UccajyUq/s728-e100/cobaltstrike.gif)


Google Cloud last week disclosed that it identified 34 different hacked release versions of the Cobalt Strike tool in the wild, the earliest of which [shipped](https://download.cobaltstrike.com/releasenotes.txt) in November 2012.


The versions, spanning 1.44 to 4.7, add up to a total of 275 unique JAR files, according to findings from the Google Cloud Threat Intelligence (GCTI) team. The [latest version](https://thehackernews.com/2022/10/critical-rce-vulnerability-discovered.html) of Cobalt Strike is version 4.7.2.


Cobalt Strike, developed by [Fortra](https://www.fortra.com/resources/press-releases/helpsystems-now-fortra) (née HelpSystems), is a popular adversarial framework used by red teams to simulate attack scenarios and test the resilience of their cyber defenses.


It comprises a Team Server that acts as the command-and-control (C2) hub to remotely commandeer infected devices and a stager that's designed to deliver a next-stage payload called the Beacon, a fully-featured implant that reports back to the C2 server.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjwchiJ1Fv_40h0NHiF2zGVeW8JruMpUyxawdNA14f0dlykwHal0gEtsjj1YfJoqEPLLPkE8S1FMaYbtqqd_bwUnv8bRy2eJq7hB5b-fdLOJ7kOjUrQKSo8I9dqNFdPLCB1u578F3_pNXRZENU4hqyrfp0Y6O98MJruhDOSBpbkiTAeZ-QwurP-KBRW/s728-e100/google.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjwchiJ1Fv_40h0NHiF2zGVeW8JruMpUyxawdNA14f0dlykwHal0gEtsjj1YfJoqEPLLPkE8S1FMaYbtqqd_bwUnv8bRy2eJq7hB5b-fdLOJ7kOjUrQKSo8I9dqNFdPLCB1u578F3_pNXRZENU4hqyrfp0Y6O98MJruhDOSBpbkiTAeZ-QwurP-KBRW/s728-e100/google.png)
Given its wide-ranging suite of features, unauthorized versions of the software have been [increasingly](https://thehackernews.com/2022/06/researchers-warn-of-matanbuchus-malware.html) [weaponized](https://thehackernews.com/2022/08/lockbit-ransomware-abuses-windows.html) by [many](https://thehackernews.com/2022/09/new-malware-campaign-targeting-job.html) a [threat](https://thehackernews.com/2022/10/sidewinder-apt-using-new-warhawk.html) [actor](https://thehackernews.com/2022/10/raspberry-robin-operators-selling.html) to [advance](https://thehackernews.com/2022/11/researchers-find-links-bw-black-basta.html) their [post-exploitation](https://thehackernews.com/2022/11/researchers-detail-opera1er-apt-attacks.html) [activities](https://thehackernews.com/2022/11/new-earth-longzhi-apt-targets-ukraine.html).


"While the intention of Cobalt Strike is to emulate a real cyber threat, malicious actors have latched on to its capabilities, and use it as a robust tool for lateral movement in their victim's network as part of their second-stage attack payload," Greg Sinclair, a reverse engineer at Google's Chronicle subsidiary, [said](https://cloud.google.com/blog/products/identity-security/making-cobalt-strike-harder-for-threat-actors-to-abuse).


In a bid to tackle this abuse, GCTI has released a set of [open source YARA Rules](https://github.com/chronicle/GCTI/tree/main/YARA/CobaltStrike) to flag different variants of the software used by malicious hacking groups.


The idea is to "excise the bad versions while leaving the legitimate ones untouched," Sinclair said, adding "our intention is to move the tool back to the domain of legitimate red teams and make it harder for bad guys to abuse."


  





## Tags:


### Autogenerated tags:
[[google]]
