# Hack-for-Hire Group Targets Travel and Financial Entities with New Janicab Malware Variant
## Hack-for-hire group Evilnum uses new Janicab malware variant to attack travel, legal and financial entities.
## Information:

+ Link: https://thehackernews.com/2022/12/hack-for-hire-group-targets-travel-and.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 December 2022, 11:46
+ Date scraped: 10 December 2022, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg0-Q9ZCy1Yxw0varmws574IbwLyZv3FtDp4SqFVx2MxQ_pcaTCRIyUwkNn_IUhGjX2D8l7D8QnfrFTv1pUISCtJO_3mqCFEHrXvHxhCCIIe0Z2bquqTHLqXOAoC19kyef_oTP3XigLbC-tS-PL_OxaCjEdTES5tsIfwG3_lCAhYZmOTy0GeZOh8N5M/s728-e1000/hack-for-hire.png)


Travel agencies have emerged as the target of a hack-for-hire group dubbed **Evilnum** as part of a broader campaign aimed at legal and financial investment institutions in the Middle East and Europe.


The attacks targeting law firms throughout 2020 and 2021 involved a revamped variant of a malware called Janicab that leverages a number of public services like YouTube as [dead drop resolvers](https://thehackernews.com/2022/12/researchers-uncover-new-drokbk-malware.html), Kaspersky [said](https://securelist.com/deathstalker-targets-legal-entities-with-new-janicab-variant/108131/) in a technical report published this week.


Janicab infections comprise a diverse set of victims located in Egypt, Georgia, Saudi Arabia, the UAE, and the U.K. The development marks the first time legal organizations in Saudi Arabia have been targeted by this group.


Also tracked as DeathStalker, the threat actor is known to deploy [backdoors](https://thehackernews.com/2020/12/hackers-for-hire-group-develops-new.html) like Janicab, Evilnum, Powersing, and PowerPepper to exfiltrate confidential corporate information.


"Their interest in gathering sensitive business information leads us to believe that DeathStalker is a group of mercenaries offering hacking-for-hire services, or acting as some sort of information broker in financial circles," the Russian cybersecurity company [noted](https://securelist.com/deathstalker-mercenary-triumvirate/98177/) in August 2020.


According to [ESET](https://thehackernews.com/2020/08/google-drive-file-versions.html), the hacking crew has a pattern of harvesting internal company presentations, software licenses, email credentials, and documents containing customer lists, investments and trading operations.


Earlier this year, Zscaler and Proofpoint [uncovered](https://thehackernews.com/2022/07/hackers-use-evilnum-malware-to-target.html) fresh attacks orchestrated by Evilnum that have been directed against companies in the crypto and fintech verticals since late 2021.


[![Hack-for-Hire Group](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjvzICFd1Dd-HC6vei-xlc8QypVCcyk_pm6PMXLJf9sXSlnPztyM4kFY73fHAZ1_M94Z_q8sEMLEAjwTQQGsSnSaE3P2SKaR7730lynzmHQMuvHhEoZQUW8HPI-PcsOsqW15lN8YsVaYICNWDOtL6FXkppJ0HQwfCkELnnIMIPlcpVVxv9eKdY6W8On/s728-e100/code.png)
Kaspersky's analysis of the DeathStalker intrusions has revealed the use of an LNK-based dropper embedded inside a ZIP archive for initial access by means of a spear-phishing attack.


The lure attachment purports to be a corporate profile document related to power hydraulics that, when opened, leads to the deployment of the VBScript-based Janicab implant, which is capable of command execution and deploying more tools.


Newer versions of the modular malware have simultaneously removed audio recording features and added a keylogger module that shares overlaps with prior Powersing attacks. Other functions include checking for installed antivirus products and getting a list of processes indicating malware analysis.


The 2021 attacks are also notable for employing unlisted old YouTube links that are used to host an encoded string that's deciphered by Janicab to extract the command-and-control (C2) IP address for retrieving follow-on commands and exfiltrating data.

 "Since the threat actor uses unlisted old YouTube links, the likelihood of finding the relevant links on YouTube is almost zero," the researchers said. "This also effectively allows the threat actor to reuse C2 infrastructure."


The findings underscore that the threat actor has continued to update its malware toolset to maintain stealthiness over extended periods of time.


Besides application allowlisting and operating system hardening, organizations are recommended to monitor Internet Explorer processes, since the browser is used in hidden mode to communicate with the C2 server.


As legal and financial sectors are a common target for the threat actor, the researchers further theorized that DeathStalker's customers and operators could be weaponizing the intrusions to keep tabs on lawsuits, blackmail high-profile individuals, track financial assets, and harvest business intelligence about potential mergers and acquisitions.


  





## Tags:


### Autogenerated tags:
[[janicab]] [[malware]] [[youtube]] [[deathstalker]] [[evilnum]] [[c2]]
