# Hackers Deploy "SUBMARINE" Backdoor in Barracuda Email Security Gateway Attacks
## U.S. cybersecurity agency CISA has revealed details of "SUBMARINE," a novel persistent backdoor deployed in the Barracuda Email Security Gateway (ESG)
## Information:

+ Link: https://thehackernews.com/2023/07/hackers-deploy-submarine-backdoor-in.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 29 July 2023, 10:29
+ Date scraped: 29 July 2023, 06:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg7XUn2G8PyV7q1_C7wUPJgBLIAgAyw38aGeV04-XIjUts_9qjWg0qjOzs5vyfheCWUWcneS34f_BW--Gb2FeqhMLrGQEYE7o1akMyBeEc4TZ-DyHWoO0XiHdlUYuHRpn9UCUSRzs2mgD0u1qVyBHS_UwmiJkzrPgTl3VYxZ8Vzux6MFGNNU3S1vNldiU75/s728-e3650/email-security.jpg)


The U.S. Cybersecurity and Infrastructure Security Agency (CISA) on Friday disclosed details of a "novel persistent backdoor" called **SUBMARINE** deployed by threat actors in connection with the hack on Barracuda Email Security Gateway (ESG) appliances.


"SUBMARINE comprises multiple artifacts — including a SQL trigger, shell scripts, and a loaded library for a Linux daemon — that together enable execution with root privileges, persistence, command and control, and cleanup," the agency [said](https://www.cisa.gov/news-events/alerts/2023/07/28/cisa-releases-malware-analysis-reports-barracuda-backdoors).


The findings come from an analysis of malware samples obtained from an unnamed organization that had been compromised by threat actors exploiting a critical flaw in ESG devices, [CVE-2023-2868](https://thehackernews.com/2023/06/barracuda-urges-immediate-replacement.html) (CVSS score: 9.8), which allows for remote command injection.


Evidence gathered so far shows that the attackers behind the activity, a suspected China nexus-actor tracked by Mandiant as [UNC4841](https://thehackernews.com/2023/06/chinese-unc4841-group-exploits-zero-day.html), leveraged the flaw as a zero-day in October 2022 to gain initial access to victim environments and implanted backdoors to establish and maintain persistence.


To that end, the infection chain involved sending phishing emails with booby-trapped TAR file attachments to trigger exploitation, leading to the deployment of a reverse shell payload to establish communication with the threat actor's command-and-control (C2) server, from where a passive backdoor known as SEASPY is downloaded for executing arbitrary commands on the device.


SUBMARINE, also codenamed [DEPTHCHARGE](https://twitter.com/AustinLarsen_/status/1685050371822247936) by the Google-owned threat intelligence firm, is the latest malware family to be discovered in connection with the operation. Executed with root privileges, it resides in a Structured Query Language (SQL) database on the ESG appliance.


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Get Ready to Learn](https://thn.news/I26t1VFD)
It's believed to have been "deployed in response to remediation efforts," echoing Mandiant's characterization of the adversary as an aggressive actor capable of quickly altering their malware and employing additional persistence mechanisms in an attempt to maintain their access.


The agency further said it "analyzed artifacts related to SUBMARINE that contained the contents of the compromised SQL database," and that it "poses a severe threat for lateral movement."


  





## Tags:
***CVE's***: CVE-2023-2868

### Autogenerated tags:
[[esg]] [[sql]] [[malware]]
