# Hackers Exploit Fortinet Flaw, Deploy ScreenConnect, Metasploit in New Campaign
## If you use Fortinet FortiClient EMS, patch NOW. Hackers are actively using a new exploit
## Information:

+ Link: https://thehackernews.com/2024/04/hackers-exploit-fortinet-flaw-deploy.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 17 April 2024, 15:53
+ Date scraped: 17 April 2024, 11:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgDC4ybcFx_TM6RTVtiOzBVlawqdS9cKLGLr37h_c_QqybQ8wc3kLibnDp2b7hmCzXPsfbx5jk2Ge6Zhfq5I0KqYrEVfgCTXulf5v7Sc9Z7fxeky6LNj30j3o8YPLr4vCLetoz0yN3f1vrsSqQqk1F3Kzcx9Lco-IiGyViOPzkVKT4-z2NRt8eUwwbVGTjl/s728-rw-e365/email.png)


Cybersecurity researchers have discovered a new campaign that's exploiting a recently disclosed security flaw in Fortinet FortiClient EMS devices to deliver ScreenConnect and Metasploit Powerfun payloads.


The activity entails the exploitation of [CVE-2023-48788](https://thehackernews.com/2024/03/cisa-alerts-on-active-exploitation-of.html) (CVSS score: 9.3), a critical SQL injection flaw that could permit an unauthenticated attacker to execute unauthorized code or commands via specifically crafted requests.


Cybersecurity firm Forescout is [tracking](https://www.forescout.com/blog/connectfun-new-exploit-campaign-in-the-wild-targets-media-company/) the campaign under the codename **Connect:fun** owing to the use of ScreenConnect and Powerfun for post-exploitation.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The intrusion targeted an unnamed media company that had its vulnerable FortiClient EMS device exposed to the internet shortly after the [release](https://github.com/horizon3ai/CVE-2023-48788/blob/main/CVE-2023-48788.py) of a proof-of-concept (PoC) exploit for the flaw on March 21, 2024.


Over the next couple of days, the unknown adversary was observed leveraging the flaw to unsuccessfully download ScreenConnect and then install the remote desktop software using the [msiexec utility](https://thehackernews.com/2023/01/new-analysis-reveals-raspberry-robin.html).


However, on March 25, the PoC exploit was used to launch PowerShell code that downloaded Metasploit's [Powerfun](https://github.com/rapid7/metasploit-framework/blob/master/data/exploits/powershell/powerfun.ps1) script and initiated a reverse connection to another IP address.


[![ScreenConnect, Metasploit](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiVdXaVI6TKZzvgyw6IAPrcf-A8BcJRgkZRNFb7pjc3Uj5ZxeFdcsOacvFuXBKtrT_IJnihMCHmnoC6G-VbGLfOwhGMtr-dRxb7Z1_JAN89XsPH1UZKdO4d9CS1Jgn0HiDGGrzj1go60_wh-LTv2OobiZYKFJ_e_pRpGy7m6WRMag3pLMnOW_J_j03CES2W/s728-rw-e365/map.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiVdXaVI6TKZzvgyw6IAPrcf-A8BcJRgkZRNFb7pjc3Uj5ZxeFdcsOacvFuXBKtrT_IJnihMCHmnoC6G-VbGLfOwhGMtr-dRxb7Z1_JAN89XsPH1UZKdO4d9CS1Jgn0HiDGGrzj1go60_wh-LTv2OobiZYKFJ_e_pRpGy7m6WRMag3pLMnOW_J_j03CES2W/s728-rw-e365/map.png)
Also detected were SQL statements designed to download ScreenConnect from a remote domain ("ursketz[.]com") using [certutil](https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/certutil), which was then installed via msiexec before establishing connections with a command-and-control (C2) server.


There is evidence to suggest that the threat actor behind it has been active since at least 2022, specifically singling out Fortinet appliances and using Vietnamese and German languages in their infrastructure.


"The observed activity clearly has a manual component evidenced by all the failed attempts to download and install tools, as well as the relatively long time taken between attempts," security researcher Sai Molige said.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"This is evidence that this activity is part of a specific campaign, rather than an exploit included in automated cybercriminal botnets. From our observations, it appears that the actors behind this campaign are not mass scanning but choosing target environments that have VPN appliances."


Forescout said the attack shares tactical and infrastructure overlaps with other incidents documented by [Palo Alto Networks Unit 42](https://github.com/PaloAltoNetworks/Unit42-timely-threat-intel/blob/main/2024-03-24-thru-26-IOCs-for-Fortnet-EMS-exploit-activity.txt) and [Blumira](https://www.blumira.com/cve-2023-48788-forticlientems-pervasive-sql-injection-in-das-component/) in March 2024 that involve the abuse of CVE-2023-48788 to download ScreenConnect and Atera.


Organizations are recommended to apply patches provided by Fortinet to address potential threats, monitor for suspicious traffic, and use a web application firewall (WAF) to block potentially malicious requests.


  





## Tags:
***CVE's***: CVE-2023-48788

### Autogenerated tags:
[[screenconnect]] [[fortinet]] [[powerfun]]
