# Hackers Exploit OpenMetadata Flaws to Mine Crypto on Kubernetes
## Vulnerabilities in OpenMetadata are being exploited. These critical security flaws enable hackers to get into Kubernetes environments.
## Information:

+ Link: https://thehackernews.com/2024/04/hackers-exploit-openmetadata-flaws-to.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 18 April 2024, 11:24
+ Date scraped: 18 April 2024, 06:10

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh7zG5RpaL3ybtITM8DbZhkUDxE8FcGzu8juHdCVqIyGGERvAAph0N3xY8JDCKlWHzCweyd4FVK4U1eEaCsl-Wg3WhsCf0cx0XQljqRg5pIC2GH9pV1tafGq1umfOhftlnIZliIBgXDMdyG4uY-4uy6Ian3DkjEZFE-lFrd1JX8Fpw_YPtdND_aNsZUuNQr/s728-rw-e365/openmetadata.png)


Threat actors are actively exploiting critical vulnerabilities in OpenMetadata to gain unauthorized access to Kubernetes workloads and leverage them for cryptocurrency mining activity.


That's according to the Microsoft Threat Intelligence team, which [said](https://www.microsoft.com/en-us/security/blog/2024/04/17/attackers-exploiting-new-critical-openmetadata-vulnerabilities-on-kubernetes-clusters/) the flaws have been weaponized since the start of April 2024.


OpenMetadata is an [open-source platform](https://open-metadata.org/) that operates as a metadata management tool, offering a unified solution for data asset discovery, observability, and governance.


The flaws in question – all discovered and credited to security researcher Alvaro Muñoz – are listed below -


* [**CVE-2024-28847**](https://nvd.nist.gov/vuln/detail/CVE-2024-28847) (CVSS score: 8.8) - A Spring Expression Language (SpEL) injection vulnerability in PUT /api/v1/events/subscriptions (fixed in version 1.2.4)
* [**CVE-2024-28848**](https://nvd.nist.gov/vuln/detail/CVE-2024-28848) (CVSS score: 8.8) - A SpEL injection vulnerability in GET /api/v1/policies/validation/condition/<expr> (fixed in version 1.2.4)
* [**CVE-2024-28253**](https://nvd.nist.gov/vuln/detail/CVE-2024-28253) (CVSS score: 8.8) - A SpEL injection vulnerability in PUT /api/v1/policies (fixed in version 1.3.1)
* [**CVE-2024-28254**](https://nvd.nist.gov/vuln/detail/CVE-2024-28254) (CVSS score: 8.8) - A SpEL injection vulnerability in GET /api/v1/events/subscriptions/validation/condition/<expr> (fixed in version 1.2.4)
* [**CVE-2024-28255**](https://nvd.nist.gov/vuln/detail/CVE-2024-28255) (CVSS score: 9.8) - An authentication bypass vulnerability (fixed in version 1.2.4)


Successful exploitation of the vulnerabilities could allow a threat actor to bypass authentication and achieve remote code execution.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The modus operandi uncovered by Microsoft entails the targeting of internet-exposed OpenMetadata workloads that have been left unpatched to gain code execution on the container running the OpenMetadata image.


Upon gaining an initial foothold, the threat actors have been observed carrying out reconnaissance activities to determine their level of access to the compromised environment and gather details about the network and hardware configuration, operating system version, the number of active users, and the environment variables.


"This reconnaissance step often involves contacting a publicly available service," security researchers Hagai Ran Kestenberg and Yossi Weizman said.


"In this specific attack, the attackers send ping requests to domains that end with oast[.]me and oast[.]pro, which are associated with Interactsh, an open-source tool for detecting out-of-band interactions."


[![OpenMetadata Flaws](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi3bar9PnnGgZYnZieW76ael_9jNX1m-Sw80Sl1S4_J6NpN1jhkujVGOmMPJmnMfIU2YGLbttjkvF4_1lj2JvEBFk2C6rg3yUk3hipdkWT33igxDvjcX2z1biVoxRT4JlC2ffQJGRFEZKX3CPlAsOmDGbKJOfZM7TpwpkHuhVt_oihqob9EQIzeXmgZ-QTV/s728-rw-e365/mining.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi3bar9PnnGgZYnZieW76ael_9jNX1m-Sw80Sl1S4_J6NpN1jhkujVGOmMPJmnMfIU2YGLbttjkvF4_1lj2JvEBFk2C6rg3yUk3hipdkWT33igxDvjcX2z1biVoxRT4JlC2ffQJGRFEZKX3CPlAsOmDGbKJOfZM7TpwpkHuhVt_oihqob9EQIzeXmgZ-QTV/s728-rw-e365/mining.png)
In doing so, the idea is to validate network connectivity from the infiltrated system to attacker-controlled infrastructure without raising any red flags, thereby giving threat actors the confidence to establish command-and-control (C2) communications and deploy additional payloads.


The end goal of the attacks is to retrieve and deploy a Windows or Linux variant of the crypto-mining malware from a remote server located in China, depending on the operating system.


Once the miner is launched, the initial payloads are removed from the workload, and the attackers initiate a reverse shell for their remote server using the Netcat tool, permitting them to commandeer the system. Persistence is achieved by setting cron jobs to run the malicious code at predefined intervals.


Interestingly, the threat actor also leaves behind a personal note telling that they are poor and that they need the money to buy a car and a suite. "I don't want to do anything illegal," the note reads.


OpenMetadata users are advised to switch to strong authentication methods, avoid using default credentials, and update their images to the latest version.


"This attack serves as a valuable reminder of why it's crucial to stay compliant and run fully patched workloads in containerized environments," the researchers said.


The development comes as publicly accessible Redis servers that have the authentication feature disabled or have unpatched flaws are being targeted to install Metasploit Meterpreter payloads for post-exploitation.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"When Metasploit is installed, the threat actor can take control of the infected system and also dominate the internal network of an organization using the various features offered by the malware," the AhnLab Security Intelligence Center (ASEC) [said](https://asec.ahnlab.com/en/64034/).


It also follows a report from WithSecure that detailed how search permissions on Docker directories could be abused to achieve privilege escalation. It's worth pointing out that the issue ([CVE-2021-41091](https://nvd.nist.gov/vuln/detail/CVE-2021-41091), CVSS score: 6.3) was [previously flagged](https://www.cyberark.com/resources/threat-research-blog/how-docker-made-me-more-capable-and-the-host-less-secure) by CyberArk in February 2022, and addressed by Docker in version 20.10.9.


"The setting of the searchable bit for other users on /var/lib/docker/ and child directories can allow for a low-privileged attacker to gain access to various containers' filesystems," WithSecure [said](https://labs.withsecure.com/publications/abusing-search-permissions-on-docker-directories-for-privilege-escalation).


  





## Tags:
***CVE's***: CVE-2024-28847 CVE-2024-28255 CVE-2024-28253 CVE-2021-41091 CVE-2024-28254 CVE-2024-28848

### Autogenerated tags:
[[cvss]] [[openmetadata]] [[spel]]
