# Hackers Exploit Vulnerabilities in Sunlogin to Deploy Sliver C2 Framework
## Cyber criminals are taking advantage of Sunlogin software vulnerabilities to carry out post-exploitation activities with the Sliver C2 framework.
## Information:

+ Link: https://thehackernews.com/2023/02/hackers-exploit-vulnerabilities-in.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 07 February 2023, 12:58
+ Date scraped: 07 February 2023, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh_F2TnrFuDI4fcked58mUJXnv-3aVfv2YOWZ2KTyxspixd-SgXb2IELvC_vkQ7sb-e56TEHjGKzY-xM5a6Lmoe2AZgHmst3gKBtVKRWYi0-S0wErx5ajzqDROMhUSphpAM3QY2aMpiXbUrim-WKwsR6DrQDcGxoK9VCEuFuJiUrzFcDrd3uTvUw3dR/s728-e3650/malware.png)


Threat actors are leveraging known flaws in Sunlogin software to deploy the Sliver command-and-control (C2) framework for carrying out post-exploitation activities.


The findings come from AhnLab Security Emergency response Center (ASEC), which found that security vulnerabilities in Sunlogin, a remote desktop program developed in China, are being abused to deploy a wide range of payloads.


"Not only did threat actors use the Sliver backdoor, but they also used the [BYOVD](https://thehackernews.com/2022/12/ransomware-attackers-use-microsoft.html) (Bring Your Own Vulnerable Driver) malware to incapacitate security products and install reverse shells," the researchers [said](https://asec.ahnlab.com/en/47088/).


Attack chains commence with the exploitation of two remote code execution bugs in Sunlogin versions prior to v11.0.0.33 (CNVD-2022-03672 and CNVD-2022-10270), followed by delivering Sliver or other malware such as [Gh0st RAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.ghost_rat) and XMRig crypto coin miner.


In one instance, the threat actor is said to have weaponized the Sunlogin flaws to install a PowerShell script that, in turn, employs the BYOVD technique to incapacitate security software installed in the system and drop a reverse shell using Powercat.


The BYOVD method abuses a legitimate but vulnerable Windows driver, mhyprot2.sys, that's signed with a valid certificate to gain elevated permissions and terminate antivirus processes.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhqXZBnoEaFJoUVSxABm2gVmOGPG9VKl2S6U5BzOy4PhOo_uWrtLxwebMEEUDolWnwFvlV0ERKXEM3t4ucPKdzNuDn4kimW6r-XG18IiGq5aEt8LI-gp5aoNlx8BXCdSUKIdK1at1gKxeHmMHZHxTlpkFijKtbFTHSk0o0sYuTNLKyz_DFb5p_3Ldhc/s728-e365/process.png)
It's worth noting here that the anti-cheat driver for the Genshin Impact video game was previously utilized as a precursor to ransomware deployment, as [disclosed](https://thehackernews.com/2022/09/ransomware-attackers-abuse-genshin.html) by Trend Micro.


"It is unconfirmed whether it was done by the same threat actor, but after a few hours, a log shows that a Sliver backdoor was installed on the same system through a Sunlogin RCE vulnerability exploitation," the researchers said.

 The findings come as threat actors are adopting [Sliver](https://thehackernews.com/2023/01/threat-actors-turn-to-sliver-as-open.html), a Go-based legitimate penetration testing tool, as an alternative to Cobalt Strike and Metasploit.


"Sliver offers the required step-by-step features like account information theft, internal network movement, and overtaking the internal network of companies, just like Cobalt Strike," the researchers concluded.



  





## Tags:
***ipv4-adresses***: 11.0.0.33

### Autogenerated tags:
[[sunlogin]] [[byovd]]
