# Hackers Exploiting Redis Vulnerability to Deploy New Redigo Malware on Servers
## Hackers are exploiting a vulnerability in the Redis database application to deploy a new Go-based malware, dubbed "Redigo."
## Information:

+ Link: https://thehackernews.com/2022/12/hackers-exploiting-redis-vulnerability.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 02 December 2022, 11:09
+ Date scraped: 02 December 2022, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjNKxuY6OWhLpZH-rtq-VzzYef5YlCpmB54JfspwL7YKrFhqXhwow0RQoSvgGwD85G7TFmEZZv11MD0opwkGwKgoF-Du2cS0fE3mu6LDih-6WAmJspPOw4rDCPX5iIHCb8YoN3m2vXq9a4b4xNmhrmxHpXDFDX3O5iTTK6UgoPe4W_iqq5W_1xXlsvd/s728-e1000/redis-server.jpg)


A previously undocumented Go-based malware is targeting Redis servers with the goal of taking control of the infected systems and likely building a botnet network.


The attacks involve taking advantage of a critical security vulnerability in the open source, in-memory, key-value store that was disclosed earlier this year to deploy **Redigo**, according to cloud security firm [Aqua](https://blog.aquasec.com/redigo-redis-backdoor-malware).


Tracked as CVE-2022-0543 (CVSS score: 10.0), the weakness pertains to a case of sandbox escape in the Lua scripting engine that could be leveraged to attain remote code execution.


[![Redis Vulnerability](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjWpHGkvYkBs1bIHfSmnDthkbYeeFc5DeFg86drtHwSZtSpK7lJWAgxNp4pvmBx1t0VzYt2k17-mQuHYEE_XcC6EmRYW3wpkb_ldOhB8bCmLEEnCfWS9dAPdnfzVN2eIZxFWOaYUk-ymtsB0XEDK1CQVc34adMJy4QeHdWlpo5T352XVwUmeBVEsCZ5/s728-e1000/redis-malware.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjWpHGkvYkBs1bIHfSmnDthkbYeeFc5DeFg86drtHwSZtSpK7lJWAgxNp4pvmBx1t0VzYt2k17-mQuHYEE_XcC6EmRYW3wpkb_ldOhB8bCmLEEnCfWS9dAPdnfzVN2eIZxFWOaYUk-ymtsB0XEDK1CQVc34adMJy4QeHdWlpo5T352XVwUmeBVEsCZ5/s728-e100/redis-malware.png)
This is not the first time the flaw has come under active exploitation, what with Juniper Threat Labs uncovering attacks perpetrated by the [Muhstik botnet](https://thehackernews.com/2022/03/muhstik-botnet-targeting-redis-servers.html) in March 2022 to execute arbitrary commands.


The Redigo infection chain is similar in that the adversaries scan for exposed Redis servers on port 6379 to establish initial access, following it up by downloading a shared library "exp\_lin.so" from a remote server.


This library file comes with an exploit for CVE-2022-0543 to execute an arbitrary command in order to retrieve Redigo from the same server, in addition to taking steps to mask their activity by simulating legitimate Redis cluster communication over port 6379.


"The dropped malware mimics the Redis server communication which allowed the adversaries to hide communications between the targeted host and the C2 server," Aqua researcher Nitzan Yaakov explained.


It's not known what the end goal of the attacks are, but it's suspected that the compromised hosts could be co-opted into a botnet to facilitate DDoS attacks or used to steal sensitive information from the database server to further extend their reach.


  





## Tags:
***CVE's***: CVE-2022-0543

### Autogenerated tags:
[[redis]] [[botnet]] [[redigo]]
