# Hackers Hit Indian Defense, Energy Sectors with Malware Posing as Air Force Invite
## Indian government & energy sectors under attack. Hackers used phishing emails, weaponized 'HackBrowserData' malware to steal sensitive data.
## Information:

+ Link: https://thehackernews.com/2024/03/hackers-target-indian-defense-and.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 27 March 2024, 20:54
+ Date scraped: 27 March 2024, 16:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiL-VtQI47wDMn5mFnZwgXABjMrDqsWTbdpGleNX6ZYdLN-vlIL3Q18L6jd6Mss2gLkKAo-YpaBeji1mCAgOkoUn-rHzSNRL8uHKv77Qtbl-Joq8TEoHrP_Eb3rMqi3UTfJJ7QQ3OSYO8B2lzoc8Qyp5ux7Kc7Pbgwwc9eyUaejXvoJOBKz9ezvjXCREFlz/s728-rw-e365/india.jpg)


Indian government entities and energy companies have been targeted by unknown threat actors with an aim to deliver a modified version of an open-source information stealer malware called HackBrowserData and exfiltrate sensitive information in some cases by using Slack as command-and-control (C2).


"The information stealer was delivered via a phishing email, masquerading as an invitation letter from the Indian Air Force," EclecticIQ researcher Arda Büyükkaya [said](https://blog.eclecticiq.com/operation-flightnight-indian-government-entities-and-energy-sector-targeted-by-cyber-espionage-campaign) in a report published today.


"The attacker utilized Slack channels as exfiltration points to upload confidential internal documents, private email messages, and cached web browser data after the malware's execution."


The campaign, observed by the Dutch cybersecurity firm beginning March 7, 2024, has been codenamed Operation FlightNight in reference to the Slack channels operated by the adversary.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
Targets of the malicious activity span multiple government entities in India, counting those related to electronic communications, IT governance, and national defense.


The threat actor is said to have successfully compromised private energy companies, harvesting financial documents, personal details of employees, details about drilling activities in oil and gas. In all, about 8.81 GB of data has been exfiltrated over the course of the campaign.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgH7RwiZ07YVvfJll5NezvW-rf2n5mDnMLLmsc_Q8ci8pjNvBp5S1H4-CQYlEZ_-6CMV3cTS91-Y8-OCDHoNvKnfRk1-mVXDAPpfzH3qx7E28qNSKB_4EWo7yCsIsU25_FKRrbfSgtVh-6SdB4gABKNvjLYZz7BjYWCQ3_-yzSUD7o8L2OYWGFLHI9MlSDj/s728-rw-e365/op.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgH7RwiZ07YVvfJll5NezvW-rf2n5mDnMLLmsc_Q8ci8pjNvBp5S1H4-CQYlEZ_-6CMV3cTS91-Y8-OCDHoNvKnfRk1-mVXDAPpfzH3qx7E28qNSKB_4EWo7yCsIsU25_FKRrbfSgtVh-6SdB4gABKNvjLYZz7BjYWCQ3_-yzSUD7o8L2OYWGFLHI9MlSDj/s728-rw-e365/op.jpg)
The attack chain starts with a phishing message containing an ISO file ("invite.iso"), which, in turn, contains a Windows shortcut (LNK) that triggers the execution of a hidden binary ("scholar.exe") present within the mounted optical disk image.


Simultaneously, a lure PDF file that purports to be an invitation letter from the Indian Air Force is displayed to the victim while the malware clandestinely harvests documents and cached web browser data and transmits them to an actor-controlled Slack channel named FlightNight.


The malware is an altered version of [HackBrowserData](https://github.com/moonD4rk/HackBrowserData) that goes beyond its browser data theft features to incorporate capabilities to siphon documents (Microsoft Office, PDFs, and SQL database files), communicate over Slack, and better evade detection using obfuscation techniques. 


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiq3FD_K5jS19OiNrl_zJkHFPA5uRlxhWj-jrr23FY6-XPfhWmbo9d2hGEAU7haozVp8oJP6WDTShcroe-tunJMeq5PVdoOrePEC_-bzW8DlT4Dpp7r5CvIyQxabciMuLITAu8SQT6OeFR8bKOS4GQ32wteZFU8KG6c8a54AY-I7hO5w6Pc-Fzeun9pPY4w/s728-rw-e3650/cis-d.png)](https://thehackernews.uk/cis-hardened-images-platforms)
It's suspected that the threat actor stole the decoy PDF during a previous intrusion, with behavioral similarities traced back to a phishing campaign targeting the Indian Air Force with a Go-based stealer called GoStealer.


Details of the activity were [disclosed](https://xelemental.github.io/Golang-based-credential-stealer-targets-Indian-Airforce-Officials/) by an Indian security researcher who goes by the alias xelemental ([@ElementalX2](https://twitter.com/ElementalX2)) in mid-January 2024.


The GoStealer infection sequence is virtually identical to that FlightNight, employing procurement-themed lures ("SU-30 Aircraft Procurement.iso") to display a decoy file while the stealer payload is deployed to exfiltrate information of interest over Slack.


By adapting freely available offensive tools and repurposing legitimate infrastructure such as Slack that's prevalent in enterprise environments, it allows threat actors to reduce time and development costs, as well as easily fly under the radar.


![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi5RE6ufi0TJ14X7MW4CV8ch4SJm71g9m0MPcSCrvgkFyeFo8d-ZCkL0UbS04Dol0jR4umN1rr9Zjk_Der6L55abbLYxfxvDaEsncQNn4Sy6dR8XgBkrUrp2DTalmAspPsSocDtp46YgXzeUOUZf8ru1-Yrv7FMcHTV7izEpDmeSIqwORwZqnW_Lw_iMQsT/s728-rw-e365/flow.jpg)
The efficiency benefits also mean that it's that much easier to launch a targeted attack, even allowing less-skilled and aspiring cybercriminals to spring into action and inflict significant damage to organizations.


"Operation FlightNight and the GoStealer campaign highlight a simple yet effective approach by threat actors to use open-source tools for cyber espionage," Büyükkaya said.


"This underscores the evolving landscape of cyber threats, wherein actors abuse widely used open-source offensive tools and platforms to achieve their objectives with minimal risk of detection and investment."


  





## Tags:


### Autogenerated tags:
[[malware]] [[flightnight]] [[open-source]] [[phishing]] [[gostealer]]
