# Hackers Increasingly Using Browser Automation Frameworks for Malicious Activities
## Hackers increasingly rely on free browser automation frameworks to perform malicious activities as part of their attack campaigns.
## Information:

+ Link: https://thehackernews.com/2022/05/hackers-increasingly-using-browser.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 26 May 2022, 10:49
+ Date scraped: 26 May 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEilvlTnSoi9PNjSHLsY2cwLxsb8jWUmzb3Tpk4Po4wZcvTpwx_k1eUyKEG9Iv53xDsD4GeYhLcbkPG-FXc-yoBVrVfANuK4UAtDsAIrOlO-rFVePcwz4BkmX0lIi3wsLFDuk3yCKh6k4voJNp3qh5nfLYmpE5mCoAiiCjesvHFeE8fijXHePXmcHpSk/s728-e1000/hacking.jpg)


Cybersecurity researchers are calling attention to a free-to-use browser automation framework that's being increasingly used by threat actors as part of their attack campaigns.


"The framework contains numerous features which we assess may be utilized in the enablement of malicious activities," researchers from Team Cymru [said](https://team-cymru.com/blog/2022/05/25/bablosoft-lowering-the-barrier-of-entry-for-malicious-actors/) in a new report published Wednesday.


"The technical entry bar for the framework is purposefully kept low, which has served to create an active community of content developers and contributors, with actors in the underground economy advertising their time for the creation of bespoke tooling."


The U.S. cybersecurity company said it observed command-and-control (C2) IP addresses associated with malware such as [Bumblebee](https://thehackernews.com/2022/04/cybercriminals-using-new-malware-loader.html), [BlackGuard](https://thehackernews.com/2022/04/experts-shed-light-on-blackguard.html), and [RedLine Stealer](https://thehackernews.com/2022/04/new-rig-exploit-kit-campaign-infecting.html) establishing connections to the downloads subdomain of Bablosoft ("downloads.bablosoft[.]com"), the maker of the Browser Automation Studio (BAS).


Bablosoft was previously [documented](https://www.f5.com/labs/articles/threat-intelligence/2021-credential-stuffing-report) by cloud security and application delivery firm F5 in February 2021, pointing to the framework's ability to automate tasks in Google's Chrome browser in a manner similar to legitimate developer tools like Puppeteer and Selenium.


[![Browser Automation Framework](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhcv9-DlC4Bgrr_NNffYxDjbIsfB32Fm5u1LNGlzrUaTM8pZxvnsE_y-UHw0xO1IpxhXkiliVSCJfxkf3DNWq-HXTgYHtsRFtCY3YwIAcHB5MANQhlam_1srEmES944NVkVKDwBQtlgpXxBjCbTaa2hQEfrwCK6S0p221nrJMSbhrIM5mVDscI8_t11/s728-e1000/code.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhcv9-DlC4Bgrr_NNffYxDjbIsfB32Fm5u1LNGlzrUaTM8pZxvnsE_y-UHw0xO1IpxhXkiliVSCJfxkf3DNWq-HXTgYHtsRFtCY3YwIAcHB5MANQhlam_1srEmES944NVkVKDwBQtlgpXxBjCbTaa2hQEfrwCK6S0p221nrJMSbhrIM5mVDscI8_t11/s728-e100/code.jpg)
Threat telemetry for the subdomain's IP address — 46.101.13[.]144 — shows that a vast majority of activity is originating from locations in Russia and Ukraine, with open source intelligence indicating that Bablosoft's owner is allegedly based in the Ukrainian capital city of Kyiv.


It's being suspected that the operators of the malware campaigns connected to the Bablosoft subdomain for purposes of downloading additional tools for use as part of post-exploitation activities.


Also identified are several hosts associated with cryptojacking malware like XMRig and Tofsee communicating with a second subdomain named "fingerprints.bablosoft[.]com" to use a service that helps the mining malware conceal its behavior.


"Based on the number of actors already utilizing tools offered on the Bablosoft website, we can only expect to see BAS becoming a more common element of the threat actor's toolkit," the researchers said.


  





## Tags:
***ipv4-adresses***: 46.101.13.144
***urls***: http://fingerprints.bablosoft.com http://downloads.bablosoft.com http://46.101.13.144

### Autogenerated tags:
[[bablosoft]] [[malware]] [[subdomain]]
