# Hackers Targeting Unpatched Atlassian Confluence Servers to Deploy Crypto Miners
## Hackers are actively exploiting an unauthenticated RCE vulnerability in unpatched Atlassian Confluence servers to deploy cryptocurrency mining malware
## Information:

+ Link: https://thehackernews.com/2022/09/hackers-targeting-unpatched-atlassian.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 22 September 2022, 06:17
+ Date scraped: 22 September 2022, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNDB_6urGQ6KJEXanQt_pnHjch23bL6gkveY_rOhDjbe4aoM3fY-HCttsNtRUZDqHuVy9mNU18TLb4dYkj4PS1k95YfJlM8CL-hT9QNezW6GwsBeDapBrHrXEriDxJIeTtZI57ZQvwAS_Tic8ecD0wm8qgF6Aq2T-VPvXYXxJNg8SREGCGZlwHdhzZ/s728-e1000/malware.jpg)


A now-patched critical security flaw affecting Atlassian Confluence Server that came to light a few months ago is being actively exploited for illicit cryptocurrency mining on unpatched installations.


"If left unremedied and successfully exploited, this vulnerability could be used for multiple and more malicious attacks, such as a complete domain takeover of the infrastructure and the deployment information stealers, remote access trojans (RATs), and ransomware," Trend Micro threat researcher Sunil Bharti [said](https://www.trendmicro.com/en_us/research/22/i/atlassian-confluence-vulnerability-cve-2022-26134-abused-for-cryptocurrency-mining-other-malware.html) in a report.


The issue, tracked as [CVE-2022-26134](https://thehackernews.com/2022/06/atlassian-releases-patch-for-confluence.html) (CVSS score: 9.8), was addressed by the Australian software company in June 2022.


In one of the infection chains observed by the cybersecurity company, the flaw was leveraged to download and run a shell script ("ro.sh") on the victim's machine, which, in turn, fetched a second shell script ("ap.sh").


The malicious code is designed to update the [PATH variable](https://www.digitalocean.com/community/tutorials/how-to-view-and-update-the-linux-path-environment-variable) to include additional paths such as "/tmp", download the cURL utility (if not already present) from a remote server, disable iptables firewall, abuse the [PwnKit flaw](https://thehackernews.com/2022/09/new-stealthy-shikitega-malware.html) (CVE-2021-4034) to gain root privileges, and ultimately deploy the hezb crypto miner.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgJUBIiTQNhHQT7F4futeVMM2_cBIIPj-5ZrZyhn0F2LxqA0mpy-CsPoin32NArWubqXSZLDYTS1ZIeDtR_X8GEGlXvkNeXx4aL2VaogujG-5IWSExG-3DZArq7MNuOLv1yLywHo1bUv6GdjWbgkDMoArlCUKyC2Er-EgIo1UmgacIcGat8-xAz6eag/s728-e100/curl.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgJUBIiTQNhHQT7F4futeVMM2_cBIIPj-5ZrZyhn0F2LxqA0mpy-CsPoin32NArWubqXSZLDYTS1ZIeDtR_X8GEGlXvkNeXx4aL2VaogujG-5IWSExG-3DZArq7MNuOLv1yLywHo1bUv6GdjWbgkDMoArlCUKyC2Er-EgIo1UmgacIcGat8-xAz6eag/s728-e100/curl.jpg)
Like other cryptojacking attacks, the shell script also terminates other competing coin miners, disables cloud service provider agents from Alibaba and Tencent, before carrying out lateral movement via SSH.


The findings mirror similar exploitation attempts previously disclosed by [Lacework](https://www.lacework.com/blog/kinsing-dark-iot-botnet-among-threats-targeting-cve-2022-26134/), [Microsoft, Sophos](https://thehackernews.com/2022/06/atlassian-confluence-flaw-being-used-to.html), and [Akamai](https://www.akamai.com/blog/security/atlassian-confluence-vulnerability-observations) in June.


Lacework's analysis further shows that the command-and-control (C2) server used to retrieve the cURL software as well as the hezb miner also distributed a Golang-based ELF binary named "[kik](https://www.virustotal.com/gui/file/f13e48658426307d9d1434b50fa0493f566ed1f31d6e88bb4ac2ae12ec31ef1f/)" that enables the malware to kill processes of interest.


Users are advised to prioritize patching the flaw as it could be abused by threat actors for other nefarious purposes.


"Attackers could take advantage of injecting their own code for interpretation and gain access to the Confluence domain being targeted, as well as conduct attacks ranging from controlling the server for subsequent malicious activities to damaging the infrastructure itself," Bharti said.


  





## Tags:
***CVE's***: CVE-2021-4034 CVE-2022-26134

### Autogenerated tags:

