# Hackers Using Golang Variant of Cobalt Strike to Target Apple macOS Systems
## A Golang variant of Cobalt Strike, known as Geacon, is drawing attention in the cybersecurity world due to a rise in Geacon payloads.
## Information:

+ Link: https://thehackernews.com/2023/05/hackers-using-golang-variant-of-cobalt.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 16 May 2023, 12:58
+ Date scraped: 16 May 2023, 08:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiJEPkX85b1zRJuRC3o4Ey4rWV_ErUAZk5zdX5_bqgy398xc5kBUpNj3FBnTh0FajF8VRE3nCrcdPZ9lt4MZM4VSn9gtp8Pqk0HSOn1jDUSgeVH1NmyZqpWUWM_ScFOEiVdxKXJH7IloESNvMzdrAD6cEYuLUG4xepf6ZaMAdb1fE1nzPU_QLpLr9te/s728-e3650/macos-malware.png)


A Golang implementation of Cobalt Strike called Geacon is likely to garner the attention of threat actors looking to target Apple macOS systems.


The findings come from SentinelOne, which observed an uptick in the number of Geacon payloads appearing on VirusTotal in recent months.


"While some of these are likely red-team operations, others bear the characteristics of genuine malicious attacks," security researchers Phil Stokes and Dinesh Devadoss [said](https://www.sentinelone.com/blog/geacon-brings-cobalt-strike-capabilities-to-macos-threat-actors/) in a report.


[Cobalt Strike](https://thehackernews.com/2023/04/microsoft-takes-legal-action-to-disrupt.html) is a well-known red teaming and adversary simulation tool developed by Fortra. Owing to its myriad post-exploitation capabilities, illegally cracked versions of the software have been abused by threat actors over the years.


While post-exploitation activity associated with Cobalt Strike has primarily singled out Windows, such attacks against macOS are something of a rarity.


In May 2022, software supply chain firm Sonatype [disclosed](https://blog.sonatype.com/new-pymafka-malicious-package-drops-cobalt-strike-on-macos-windows-linux) details of a rogue Python package called "[pymafka](https://www.sentinelone.com/labs/use-of-obfuscated-beacons-in-pymafka-supply-chain-attack-signals-a-new-trend-in-macos-attack-ttps/)" that was designed to drop a Cobalt Strike Beacon onto compromised Windows, macOS, and Linux hosts.


That may, however, change with the emergence of Geacon artifacts in the wild. Geacon is a Go variant of Cobalt Strike that has been [available on GitHub](https://github.com/darkr4y/geacon) since February 2020.


Further analysis of two new VirusTotal samples that were uploaded in April 2023 has traced their origins to two Geacon variants ([geacon\_plus](https://github.com/Z3ratu1/geacon_plus) and [geacon\_pro](https://web.archive.org/web/20230306124040/https://github.com/H4de5-7/geacon_pro)) that were developed in late October by two anonymous Chinese developers z3ratu1 and H4de5.


The geacon\_pro project is no longer accessible on GitHub, but an Internet Archive snapshot captured on March 6, 2023, reveals its ability to bypass antivirus engines such as Microsoft Defender, Kaspersky, and Qihoo 360 360 Core Crystal.


[![Cobalt Strike](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhdckxh3XQrC79nxOGGc4KIZFWv8BUiAKWl3kxOrRx6WsL1Kl2M-UA1qxnTWmYkNiNsX356EHE0W2U_mVDYBf8fLGMW_B0BxwOUluof3tHf4i4eG1kic2_ZXBo71pqVgOyjNItxNiOhnszRZn8e_JNRepPDkYIKpCpyex9mzUljM0U8hgx3zQyeT_xE/s728-e365/email.png)
H4de5, the developer behind geacon\_pro, claims the tool is mainly designed to support CobaltStrike versions 4.1 and later, while geacon\_plus supports CobaltStrike version 4.0. The [current version](https://download.cobaltstrike.com/releasenotes.txt) of the software is 4.8.


Xu Yiqing's Resume\_20230320.app, one of the artifacts discovered by SentinelOne, employs a [run-only AppleScript](https://www.sentinelone.com/labs/fade-dead-adventures-in-reversing-malicious-run-only-applescripts/) to reach out to a remote server and download a Geacon payload. It's compatible with both Apple silicon and Intel architectures.


"The unsigned [Geacon payload](https://www.virustotal.com/gui/file/e122069e26836ab48927220e2be778c3c031daa132395d89b82de9de232d66b1) is retrieved from an IP address in China," the researchers said. "Before it begins its beaconing activity, the user is presented with a two-page decoy document embedded in the Geacon binary. A PDF is opened displaying a resume for an individual named 'Xu Yiqing.'"


The Geacon binary, compiled from the geacon\_plus source code, packs a multitude of functions that allows it to download next-stage payloads and exfiltrate data, and facilitate network communications.


The second sample, per the cybersecurity firm, is embedded within a trojanized app that masquerades as the SecureLink remote support app (SecureLink.app) and mainly targets Intel devices.


The barebones, unsigned application requests for users' permission to access contacts, photos, reminders, as well as the device's camera and microphone. Its main component is a [Geacon payload](https://www.virustotal.com/gui/file/dcaef77d7ce813f7328b6cb0e1bf64bbb6d964b6ce83542f56c8923a0e43dcdf/details) built from the geacon\_pro project that connects to a known command-and-control (C2) server in Japan.


The development comes as the macOS ecosystem is [being](https://www.sentinelone.com/blog/macos-payloads-7-prevalent-and-emerging-obfuscation-techniques/) [targeted](https://thehackernews.com/2023/04/lazarus-subgroup-targeting-apple.html) by a wide variety of [threat actors](https://thehackernews.com/2023/04/new-atomic-macos-stealer-can-steal-your.html), including state-sponsored groups, to deploy backdoors and information stealers.


"The uptick in Geacon samples over the last few months suggests that security teams should be paying attention to this tool and ensuring that they have protections in place."



  





## Tags:


### Autogenerated tags:
[[geacon]] [[macos]] [[geacon_pro]] [[geacon_plus]]
