# Hamas-Linked Cyberattacks Using Rust-Powered SysJoker Backdoor Against Israel
## Researchers found a Rust version of SysJoker, a cross-platform backdoor used by Hamas-affiliated threat actor targeting Israel during ongoing conflict
## Information:

+ Link: https://thehackernews.com/2023/11/hamas-linked-cyberattacks-using-rust.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 24 November 2023, 16:01
+ Date scraped: 24 November 2023, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgSnyoR1AFwYrgQX73IYN3-MEfYlxuN2JhSGNDpctbiCGwBGgdnvuoTQCX4cF_7qR4sMUDusUFK43elSWzmM6pPtA0DHeXaPyvqh3c4ItX55TFJXEwngtte7xMdZjcNNgVSASxutPpoylmTjm5qwfJW6uKIJMAScZja_wpdpvNz8gRjUULzwS34fg8BxGQi/s728-rw-ft-e30/cyberattack.jpg)


Cybersecurity researchers have shed light on a Rust version of a cross-platform backdoor called **SysJoker**, which is assessed to have been used by a Hamas-affiliated threat actor to target Israel amid the ongoing war in the region.


"Among the most prominent changes is the shift to Rust language, which indicates the malware code was entirely rewritten, while still maintaining similar functionalities," Check Point [said](https://research.checkpoint.com/2023/israel-hamas-war-spotlight-shaking-the-rust-off-sysjoker/) in a Wednesday analysis. "In addition, the threat actor moved to using OneDrive instead of Google Drive to store dynamic C2 (command-and-control server) URLs."


SysJoker was [publicly documented](https://thehackernews.com/2022/01/new-sysjoker-espionage-malware.html) by Intezer in January 2022, describing it as a backdoor capable of gathering system information and establishing contact with an attacker-controlled server by accessing a text file hosted on Google Drive that contains a hard-coded URL.


"Being cross-platform allows the malware authors to gain advantage of wide infection on all major platforms," VMware [said](https://blogs.vmware.com/security/2022/03/%e2%80%afsysjoker-an-analysis-of-a-multi-os-rat.html) last year. "SysJoker has the ability to execute commands remotely as well as download and execute new malware on victim machines."


The discovery of a Rust variant of SysJoker points to an evolution of the cross-platform threat, with the implant employing random sleep intervals at various stages of its execution, likely in an effort to evade sandboxes.


One noteworthy shift is the use of OneDrive to retrieve the encrypted and encoded C2 server address, which is subsequently parsed to extract the IP address and port to be used.


"Using OneDrive allows the attackers to easily change the C2 address, which enables them to stay ahead of different reputation-based services," Check Point said. "This behavior remains consistent across different versions of SysJoker."


After establishing connections with the server, the artifact awaits further additional payloads that are then executed on the compromised host.


The cybersecurity company said it also discovered two never-before-seen SysJoker samples designed for Windows that are significantly more complex, one of which utilizing a multi-stage execution process to launch the malware.


SysJoker has not yet been formally attributed to any threat actor or group. But newly gathered evidence shows overlaps between the backdoor and malware samples used in connection with [Operation Electric Powder](https://www.clearskysec.com/iec/), which refers to a targeted campaign against Israeli organizations between April 2016 and February 2017.


This activity was [linked](https://apt.etda.or.th/cgi-bin/showcard.cgi?u=6a9903bb-0925-4715-83cf-f058c03a003b) by McAfee to a [Hamas-affiliated threat actor](https://cybersecurity.att.com/blogs/labs-research/alien-labs-2019-analysis-of-threat-groups-molerats-and-apt-c-37) known as [Molerats](https://thehackernews.com/2023/11/new-campaign-targets-middle-east.html) (aka Extreme Jackal, Gaza Cyber Gang, and TA402).


"Both campaigns used API-themed URLs and implemented script commands in a similar fashion," Check Point noted, raising the possibility that "the same actor is responsible for both attacks, despite the large time gap between the operations."


  





## Tags:


### Autogenerated tags:
[[sysjoker]] [[malware]] [[cross-platform]] [[onedrive]] [[c2]]
