# HiatusRAT Malware Resurfaces: Taiwan Firms and U.S. Military Under Attack
## #HiatusRAT malware creators return, targeting Taiwan-based orgs & U.S. military procurement system.
## Information:

+ Link: https://thehackernews.com/2023/08/hiatusrat-malware-resurfaces-taiwan.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 21 August 2023, 11:07
+ Date scraped: 21 August 2023, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEic7MiCRt8Ff1BMR2LI9dih_jScc2G-4moWOhgHKSH2E5MXMsr84IoNRszXYSOxkg5onlBtFD8feyE-gisnruO6esRSOObnH1yebjyw57Y_s9VyICWdfhoHhl2Vp62775gYTO27R5rY5aR9OSgZrS07FYlLDk3mxt5pGiH-KQo9Edo832nWEDvZv8I4mi49/s728-e3650/main.jpg)


The threat actors behind the HiatusRAT malware have returned from their hiatus with a new wave of reconnaissance and targeting activity aimed at Taiwan-based organizations and a U.S. military procurement system.


Besides recompiling malware samples for different architectures, the artifacts are said to have been hosted on new virtual private servers (VPSs), Lumen Black Lotus Labs [said](https://blog.lumen.com/hiatusrat-takes-little-time-off-in-a-return-to-action/) in a report published last week.


The cybersecurity firm described the activity cluster as "brazen" and "one of the most audacious," indicating no signs of slowing down. The identity and the origin of the threat actors are presently unknown.


Targets included commercial firms, such as semiconductor and chemical manufacturers, and at least one municipal government organization in Taiwan as well as a U.S. Department of Defense (DoD) server associated with submitting and retrieving proposals for defense contracts.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiltwxN6CgTsOwvK4Kb9RC48ffApMCcXD3j2Gc3db9P1-x8PHByrz3vE32zvTg2ob2gKgFCjZBxfrCvkNyecbAPGYBfbb0Tj5AljTS_uYaanG6sEjZCK8NhoD2rHwk-Eh24yrpazpnZZiKsiHdbNkq2XVUeD-T-sZ2yW29dfOwyrVq3f31mu0hw25FnVzTn/s728-e3650/3.png)](https://thn.news/edWGl41h)
HiatusRAT was [first disclosed](https://thehackernews.com/2023/03/new-hiatusrat-malware-targets-business.html) by the cybersecurity company in March 2023 as having targeted business-grade routers to covertly spy on victims primarily located in Latin America and Europe as part of a campaign that commenced in July 2022.


As many as 100 edge networking devices globally were infected to passively collect traffic and transform them into a proxy network of command-and-control (C2) infrastructure.


[![HiatusRAT Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh2zwkd261kj8_irBlwCzHpnTpo5j7RbCU_nVrZIFoPQ9myD0ZOZoHgGu8Lb2sTl6vRHyZTolEdIsGb7cqv0b_he1NmTv_6Eb4XnhpPyfPfm9Qo-PFRfzRlWA4HP7sv3LZ5doDuxgNMZEHIJ78QN1crgxbFeuHHm0U71wC3t6-YYkYoC0ElTrpBUeMXLUrO/s728-e3650/hacking.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh2zwkd261kj8_irBlwCzHpnTpo5j7RbCU_nVrZIFoPQ9myD0ZOZoHgGu8Lb2sTl6vRHyZTolEdIsGb7cqv0b_he1NmTv_6Eb4XnhpPyfPfm9Qo-PFRfzRlWA4HP7sv3LZ5doDuxgNMZEHIJ78QN1crgxbFeuHHm0U71wC3t6-YYkYoC0ElTrpBUeMXLUrO/s728-e365/hacking.jpg)
The latest set of attacks, observed from mid-June through August 2023, entail the use of pre-built HiatusRAT binaries specifically designed for Arm, Intel 80386, and x86-64 architectures, alongside MIPS, MIPS64, and i386.


A telemetry analysis to determine connections made to the server hosting the malware has revealed that "over 91% of the inbound connections stemmed from Taiwan, and there appeared to be a preference for Ruckus-manufactured edge devices."


The HiatusRAT infrastructure consists of payload and reconnaissance servers, which directly communicate with the victim networks. These servers are commandeered by Tier 1 servers, which, in turn, are operated and managed by Tier 2 servers.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
The attackers have been identified as using two different IP addresses 207.246.80[.]240 and 45.63.70[.]57 to connect to the DoD server on June 13 for approximately a period of two hours. 11 MB of bi-directional data is estimated to have been transferred during the period.


It's not clear what the end goal is, but it's suspected that the adversary may have been looking for publicly available information related to current and future military contracts for future targeting.


The targeting of perimeter assets such as routers has become something of a pattern in recent months, with threat actors associated with China linked to the exploitation of security flaws in unpatched [Fortinet](https://thehackernews.com/2023/03/chinese-hackers-exploit-fortinet-zero.html) and [SonicWall appliances](https://thehackernews.com/2023/03/china-linked-hackers-targeting.html) to establish long-term persistence within target environments.


"Despite prior disclosures of tools and capabilities, the threat actor took the most minor of steps to swap out existing payload servers and carried on with their operations, without even attempting to re-configure their C2 infrastructure," the company said.


  





## Tags:
***ipv4-adresses***: 45.63.70.57 207.246.80.240
***urls***: http://45.63.70.57 http://207.246.80.240

### Autogenerated tags:
[[hiatusrat]] [[malware]]
