# IcedID Malware Adapts and Expands Threat with Updated BackConnect Module
## Latest findings reveal that the IcedID malware is getting even more dangerous with updates to its BackConnect module for post-compromise activity.
## Information:

+ Link: https://thehackernews.com/2023/07/icedid-malware-adapts-and-expands.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 28 July 2023, 18:40
+ Date scraped: 28 July 2023, 14:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg0Hn5lPxK7alaPFt_dx1RkC_acUN18FBK-W8JNffEUTOn5Tq5VLsoj_M73eH9Cfp-LyLKC0wl-eQEp3StM3gondBHRCfTcC0g485mvLoCtLD6xglkxakhwiBHfw6JYwLxp8RfcbMYYg9LSmrycP2lt-mPy95FuJniyGrQFZMUZGeXpk0v6I4JgLTpu3IPc/s728-e3650/hacking.jpg)


The threat actors linked to the malware loader known as IcedID have made updates to the BackConnect (BC) module that's used for post-compromise activity on hacked systems, new findings from Team Cymru reveal.


IcedID, also called **BokBot**, is a strain of malware similar to [Emotet](https://www.welivesecurity.com/2023/07/06/whats-up-with-emotet/) and [QakBot](https://www.zscaler.com/blogs/security-research/hibernating-qakbot-comprehensive-study-and-depth-campaign-analysis) that started off as a banking trojan in 2017, before switching to the role of an initial access facilitator for other payloads. Recent versions of the malware have been [observed](https://thehackernews.com/2023/03/icedid-malware-shifts-focus-from.html) removing functionality related to online banking fraud to prioritize ransomware delivery.


The BackConnect (BC) module, [first documented](https://www.netresec.com/?page=Blog&month=2022-10&post=IcedID-BackConnect-Protocol) by Netresec in October 2022, relies on a proprietary command-and-control (C2) protocol to exchange commands between a server and the infected host. The protocol, which comes with a VNC component for remote access, has also been identified in other malware such as the now-discontinued [BazarLoader](https://thehackernews.com/2022/08/hackers-using-bumblebee-loader-to.html) and QakBot.


In December 2022, Team Cymru [reported](https://thehackernews.com/2023/01/icedid-malware-strikes-again-active.html) the discovery of 11 BC C2s active since July 1, 2022, noting that operators likely located in Moldova and Ukraine are overseeing distinct elements of the BC protocol.


"For the past several months, BackConnect traffic caused by IcedID was easy to detect because it occurred over TCP port 8080," Palo Alto Networks Unit 42 [said](https://unit42.paloaltonetworks.com/wireshark-quiz-icedid-answers/) in late May 2023. "However, as early as April 11, 2023, BackConnect activity for IcedID changed to TCP port 443, making it harder to find."


The latest analysis of the attack infrastructure from Team Cymru has revealed that the number of BC C2s have shot up from 11 to 34 since January 23, 2023, with the average uptime of a server significantly reducing from 28 days to eight days.


"Since 11 April 2023, a total of 20 high confidence BC C2 servers were identified, based on pivots from management infrastructure," the cybersecurity firm said in a report shared with The Hacker News.


"The first observation is that the number of concurrent C2 servers in operation has increased [...], with as many as four C2 servers receiving management communications on a particular day."


A further examination of the traffic originating from BC C2 servers has uncovered as many as eight candidate victims between late April 2023 and June 2023 that "communicated with three or more BC C2s over a relatively long period of time."


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Join the Session](https://thn.news/I26t1VFD)
It's also suspected that the same IcedID operator or affiliate is accessing multiple victims within the same time frame, based on the volume of traffic observed between the victims and the servers.


"In examining management infrastructure associated with IcedID BC, we are also able to discern a pattern of multiple distinct accesses from users we assess to be both associated with the day to day operations of IcedID, and their affiliates who interact with victim hosts post-compromise," Team Cymru said.


"The evidence in our NetFlow data suggests that certain IcedID victims are used as proxies in spamming operations, enabled by BC's SOCKS capabilities. This is a potential double blow for victims, not only are they compromised and incurring data / financial loss, but they are also further exploited for the purposes of spreading further IcedID campaigns."


  





## Tags:


### Autogenerated tags:
[[bc]] [[icedid]] [[c2]] [[malware]] [[backconnect]] [[cymru]] [[c2s]]
