# Iran's MuddyWater Targets Israel in New Spear-Phishing Cyber Campaign
## Iranian state-backed hackers, MuddyWater, has evolved its tactics. They're now using N-able's Advanced Monitoring Agent.
## Information:

+ Link: https://thehackernews.com/2023/11/irans-muddywater-targets-israel-in-new.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 02 November 2023, 14:51
+ Date scraped: 02 November 2023, 10:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhHiuVJVmPQaFrRxCHEu1FzKsaCa9cYpIo0c5tVh8o6tNGojTwwjCmTBUKYb2nuusDWqzhmgsMt5n0zmPk1Qy4U9GvAXTEPliklM4ZS3K-pEafGGkeMi_GDhxz180AoCnSSrEXI93oUm-tcVqEtkXBZNRHYE8uK6giKJP7B0FOK938zwfFMVMhvQuge-OsJ/s728-rw-ft-e30/cyberattack.jpg)


The Iranian nation-state actor known as **MuddyWater** has been linked to a new spear-phishing campaign targeting two Israeli entities to ultimately deploy a legitimate remote administration tool from N-able called [Advanced Monitoring Agent](https://www.n-able.com/features/advanced-monitoring-agent).


Cybersecurity firm Deep Instinct, which disclosed details of the attacks, [said](https://www.deepinstinct.com/blog/muddywater-en-able-spear-phishing-with-new-ttps) the campaign "exhibits updated TTPs to previously reported MuddyWater activity," which has, in the past, used similar attack chains to distribute other remote access tools like [ScreenConnect, RemoteUtilities, Syncro](https://thehackernews.com/2022/12/muddywater-hackers-target-asian-and.html), and [SimpleHelp](https://thehackernews.com/2023/04/iranian-hackers-using-simplehelp-remote.html).


While the latest development marks the first time MuddyWater has been observed using N-able's remote monitoring software, it also underscores the fact that the largely unchanged modus operandi continues to yield some level of success to the threat actor.


The findings have also been separately confirmed by cybersecurity company Group-IB in a [post](https://twitter.com/GroupIB_TI/status/1719675754886131959) shared on X (formerly Twitter).


The state-sponsored group is a [cyber espionage crew](https://thehackernews.com/2023/04/iran-based-hackers-caught-carrying-out.html) that's said to be a subordinate element within Iran's Ministry of Intelligence and Security (MOIS), joining other MOIS-affiliated clusters like [OilRig](https://thehackernews.com/2023/10/iran-linked-oilrig-targets-middle-east.html), [Lyceum](https://thehackernews.com/2022/06/iranian-hackers-spotted-using-new-dns.html), [Agrius](https://thehackernews.com/2023/05/iranian-agrius-hackers-targeting.html), and [Scarred Manticore](https://thehackernews.com/2023/11/iranian-cyber-espionage-group-targets.html). It has been active since at least 2017.


Prior attack sequences have entailed sending spear-phishing emails with direct links as well as HTML, PDF, and RTF attachments containing links to archives hosted on various file-sharing platforms that ultimately drop one of the aforementioned remote administration tools.


The latest tactics and tools represent in some ways a continuation, and in other ways an evolution, for the group variously known as Mango Sandstorm and Static Kitten.


What's different this time around is the use of a new file-sharing service called Storyblok to initiate a multi-stage infection vector.


"It contains hidden files, an LNK file that initiates the infection, and an executable file designed to unhide a decoy document while executing Advanced Monitoring Agent, a remote administration tool," security researcher Simon Kenin said in a Wednesday analysis.


"After the victim has been infected, the MuddyWater operator will connect to the infected host using the legitimate remote administration tool and will start doing reconnaissance on the target."


The lure document displayed to the victim is an official memo from the Israeli Civil Service Commission, which can be [publicly downloaded](https://www.gov.il/he/departments/news/disciplinary-treatment-statements-against-israel-wartime-news) from its official website.


In a further sign of Iran's fast improving malicious cyber capabilities, Deep Instinct said it also spotted the MuddyWater actors leveraging a new command-and-control (C2) framework called MuddyC2Go, a successor to [MuddyC3 and PhonyC2](https://thehackernews.com/2023/06/from-muddyc3-to-phonyc2-irans.html).



  





## Tags:


### Autogenerated tags:
[[muddywater]]
