# Iranian Government-Backed Hackers Targeting U.S. Energy and Transit Systems
## Iranian government-linked hackers have been identified as responsible for cyberattacks on critical infrastructure in the United States.
## Information:

+ Link: https://thehackernews.com/2023/04/iranian-government-backed-hackers.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 19 April 2023, 06:42
+ Date scraped: 19 April 2023, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjiBNCXvFYNrsQQZpT_6aMQ823h8QcUJVTOYOwcVURvQTVKooeX6z0BVo00hXbGCTsJQgJc6pDZAJ3MGUoMbwhQwn6La1QHMZJ58ffKWbV-AYQg9vm9lePbvDqt-JOYoyZvjMeCalA6JRjo9WxMO0cIUwpRq9eXvFHkiJa-1JpttDBCVmCLExMi1MBo/s728-e3650/critical-infra.png)


An Iranian government-backed actor known as **Mint Sandstorm** has been linked to attacks aimed at critical infrastructure in the U.S. between late 2021 to mid-2022.


"This Mint Sandstorm subgroup is technically and operationally mature, capable of developing bespoke tooling and quickly weaponizing N-day vulnerabilities, and has demonstrated agility in its operational focus, which appears to align with Iran's national priorities," the Microsoft Threat Intelligence team [said](https://www.microsoft.com/en-us/security/blog/2023/04/18/nation-state-threat-actor-mint-sandstorm-refines-tradecraft-to-attack-high-value-targets/) in an analysis.


Targeted entities consist of seaports, energy companies, transit systems, and a major U.S. utility and gas company. The activity is suspected to be retaliatory and in response to attacks targeting its maritime, [railway](https://thehackernews.com/2021/07/a-new-wiper-malware-was-behind-recent.html), and [gas station payment systems](https://thehackernews.com/2021/10/cyber-attack-in-iran-reportedly.html) that took place between May 2020 and late 2021.


It's worth noting here that Iran subsequently [accused](https://www.iranintl.com/en/20211028899666) Israel and the U.S. of masterminding the attacks on the gas stations in a bid to create unrest in the nation.


Mint Sandstorm is the new name assigned to the threat actor Microsoft was previously tracking under the name [Phosphorus](https://thehackernews.com/2022/09/microsoft-warns-of-ransomware-attacks.html), and also known as [APT35](https://thehackernews.com/2023/03/iranian-hackers-target-women-involved.html), Charming Kitten, ITG18, TA453, and Yellow Garuda.


The [change in nomenclature](https://www.microsoft.com/en-us/security/blog/2023/04/18/microsoft-shifts-to-a-new-threat-actor-naming-taxonomy/) is part of Microsoft's shift from chemical elements-inspired monikers to a new [weather-themed threat actor naming taxonomy](https://learn.microsoft.com/en-us/microsoft-365/security/intelligence/microsoft-threat-actor-naming), in part driven by the increasing "complexity, scale, and volume of threats."


Unlike [MuddyWater](https://thehackernews.com/2023/04/iranian-hackers-using-simplehelp-remote.html) (aka Mercury or Mango Sandstorm), which is known to operate on behalf of Iran's Ministry of Intelligence and Security (MOIS), [Mint Sandstorm](https://thehackernews.com/2022/09/us-charges-3-iranian-hackers-and.html) is said to be associated with Islamic Revolutionary Guard Corps (IRGC).


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNOaqcuc9CnuIT_gSNZYqCfDqLvVq9s0v8vOxuC7sJuiSLwkFlpSIzpRb9ifgXdp0ueGh_6YG61CDBYj8Uc1k7O-EDCgTStwD8Qk98a0Pos4TbW5MZ6WAS_GUcgNkfaPRJei3nmEjI2RForkJeFbl4lVdfmAgXCKuLCTHzrMVnWTYqap0lAdvpAsRP/s728-e365/exploit-chain.png)
The attacks detailed by Redmond demonstrate the adversary's ability to constantly refine its tactics as part of highly-targeted phishing campaigns to obtain access to targeted environments.


This includes rapid adoption of publicly disclosed proof-of-concepts (PoCs) linked to flaws in internet-facing applications (e.g., [CVE-2022-47966](https://thehackernews.com/2023/02/experts-sound-alarm-over-growing.html) and [CVE-2022-47986](https://thehackernews.com/2023/02/us-cybersecurity-agency-cisa-adds-three.html)) into their playbooks for initial access and persistence.


A successful breach is followed by the deployment of a custom PowerShell script, which is then used to activate one of the two attack chains, the first of which relies on additional PowerShell scripts to connect to a remote server and steal Active Directory databases.


The other sequence entails the use of Impacket to connect to an actor-controlled server and deploy a bespoke implant called Drokbk and Soldier, with the latter being a multistage .NET backdoor with the ability to download and run tools and uninstall itself.


Drokbk was previously [detailed](https://thehackernews.com/2022/12/researchers-uncover-new-drokbk-malware.html) by Secureworks Counter Threat Unit (CTU) in December 2022, attributing it to a threat actor known as Nemesis Kitten (aka Cobalt Mirage, TunnelVision, or UNC2448), a sub-cluster of Mint Sandstorm.


Microsoft also called out the threat actor for conducting low-volume phishing campaigns that culminate in the use of a third custom and modular backdoor referred to as [CharmPower](https://thehackernews.com/2022/01/iranian-hackers-exploit-log4j.html), a PowerShell-based malware that can read files, gather host information, and exfiltrate the data.


"Capabilities observed in intrusions attributed to this Mint Sandstorm subgroup are concerning as they allow operators to conceal C2 communication, persist in a compromised system, and deploy a range of post-compromise tools with varying capabilities," the tech giant added.


  





## Tags:
***CVE's***: CVE-2022-47986 CVE-2022-47966

### Autogenerated tags:
[[microsoft]] [[u.s]]
