# Iranian Hackers Exploiting Unpatched Log4j 2 Bugs to Target Israeli Organizations
## Iranian state-sponsored actors are leveraging unpatched Log4j systems to target Israeli entities.
## Information:

+ Link: https://thehackernews.com/2022/08/iranian-hackers-exploiting-unpatched.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 27 August 2022, 03:23
+ Date scraped: 27 August 2022, 04:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhcT1Fv3_9rsWlJzhYEIc-aAf9DOwYWzurFH08RJVRsBNbmiY8efhEcIvJyEPNszIO_Es3Qa8qrlkIe_2A8Ziwxt_V_wM0A3qpxu5qh2cf9s4t_Puk9yEF3slcIwsM2S026HFXf7jWvQPqzqLfN5gNap14AfolPz7hnTurOQpVqlWN9dvNZN6GQJPo5/s728-e1000/iran-hackers.jpg)


Iranian state-sponsored actors are leaving no stone unturned to exploit unpatched systems running Log4j to target Israeli entities, indicating the vulnerability's [long tail](https://thehackernews.com/2022/06/log4shell-still-being-exploited-to-hack.html) for remediation.


Microsoft attributed the latest set of activities to the [umbrella threat group](https://thehackernews.com/2022/03/iranian-hackers-targeting-turkey-and.html) tracked as [MuddyWater](https://thehackernews.com/2022/02/irans-muddywater-hacker-group-using-new.html) (aka Cobalt Ulster, Mercury, Seedworm, or Static Kitten), which is [linked](https://thehackernews.com/2022/01/us-cyber-command-links-muddywater.html) to the Iranian intelligence apparatus, the Ministry of Intelligence and Security (MOIS).


The attacks are notable for using SysAid Server instances unsecured against the [Log4Shell flaw](https://thehackernews.com/2021/12/extremely-critical-log4j-vulnerability.html) as a vector for initial access, [marking](https://thehackernews.com/2022/01/iranian-hackers-exploit-log4j.html) a [departure](https://thehackernews.com/2022/02/iranian-hackers-targeting-vmware.html) from the actors' pattern of leveraging VMware applications for breaching target environments.


"After gaining access, Mercury establishes persistence, dumps credentials, and moves laterally within the targeted organization using both custom and well-known hacking tools, as well as built-in operating system tools for its hands-on-keyboard attack," Microsoft [said](https://www.microsoft.com/security/blog/2022/08/25/mercury-leveraging-log4j-2-vulnerabilities-in-unpatched-systems-to-target-israeli-organizations/).


[![Log4j 2 Bugs](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiEY8bFJzA4Vo5E-51T317ysyhNyuELdzWBrMSX0bVcuH0-GwT3rvx98GwUWcYT6uGEZsyl_oC06QFM8jtx_FRCeULg_F5SSrExXHoNNFOqAIcrwmlEf9SHHuVZLnyUBfyTuRX-kSSlrbHLwTncuNKGZSy1TrvW9WDeVw6L8G-Hb_BRt_OO6ebaepJ-/s728-e1000/ms.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiEY8bFJzA4Vo5E-51T317ysyhNyuELdzWBrMSX0bVcuH0-GwT3rvx98GwUWcYT6uGEZsyl_oC06QFM8jtx_FRCeULg_F5SSrExXHoNNFOqAIcrwmlEf9SHHuVZLnyUBfyTuRX-kSSlrbHLwTncuNKGZSy1TrvW9WDeVw6L8G-Hb_BRt_OO6ebaepJ-/s728-e100/ms.jpg)
The tech giant's threat intelligence team said it observed the attacks between July 23 and 25, 2022.


A successful compromise is said to have been followed by the deployment of web shells to execute commands that permit the actor to conduct reconnaissance, establish persistence, steal credentials, and facilitate lateral movement.


Also employed for command-and-control (C2) communication during intrusions is a remote monitoring and management software called [eHorus](https://ehorus.com/) and Ligolo, a [reverse-tunneling tool](https://thehackernews.com/2022/03/iranian-hackers-targeting-turkey-and.html) of choice for the adversary.


The findings come as the U.S. Department of Homeland Security's Cyber Safety Review Board (CSRB) [deemed](https://www.dhs.gov/news/2022/07/14/cyber-safety-review-board-releases-report-its-review-log4j-vulnerabilities-and) the critical vulnerability in the open-source Java-based logging framework an endemic weakness that will continue to plague organizations for years to come as exploitation evolves.


Log4j's [wide usage](https://www.microsoft.com/security/blog/2021/12/11/guidance-for-preventing-detecting-and-hunting-for-cve-2021-44228-log4j-2-exploitation/) across many suppliers' software and services means sophisticated adversaries like nation-state actors and commodity operators alike have opportunistically taken advantage of the vulnerability to mount a smorgasbord of attacks.


The Log4Shell attacks also follow a recent report from Mandiant that detailed an espionage campaign aimed at Israeli shipping, government, energy, and healthcare organizations by a likely Iranian hacking group dubbed [UNC3890](https://thehackernews.com/2022/08/suspected-iranian-hackers-targeted.html).


  





## Tags:


### Autogenerated tags:

