# Iranian Hackers Target Middle East Policy Experts with New BASICSTAR Backdoor
## The Iranian cyberespionage group Charming Kitten is using fake webinars and a new 'BASICSTAR' backdoor to target experts in Middle Eastern policy.
## Information:

+ Link: https://thehackernews.com/2024/02/iranian-hackers-target-middle-east.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 19 February 2024, 10:09
+ Date scraped: 19 February 2024, 05:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjwRhgYGyrPzINOjpsMQUNxgNxDGTGJrsQcOcTPfyjuwcCbqKUv7-cj4_Okr7vgDPrHKfSUk5oA5icvPeSj0FC1kVZ7HCEY91t9_xj-NXQYQEToizbxHi7rgS0bCFmSeoOBX18-q6MQaX929C8Itqlwi7uTjfm-0S3dFVy41yzQWGQ1oa4UEd3ekK3bB0Ac/s728-rw-e365/rar.jpg)


The Iranian-origin threat actor known as Charming Kitten has been linked to a new set of attacks aimed at Middle East policy experts with a new backdoor called **BASICSTAR** by creating a fake webinar portal.


Charming Kitten, also called APT35, CharmingCypress, Mint Sandstorm, TA453, and Yellow Garuda, has a history of orchestrating a wide range of social engineering campaigns that cast a wide net in their targeting, often singling out think tanks, NGOs, and journalists.


"CharmingCypress often employs unusual social-engineering tactics, such as engaging targets in prolonged conversations over email before sending links to malicious content," Volexity researchers Ankur Saini, Callum Roxan, Charlie Gardner, and Damien Cash [said](https://www.volexity.com/blog/2024/02/13/charmingcypress-innovating-persistence/).


Last month, Microsoft [revealed](https://thehackernews.com/2024/01/iranian-hackers-masquerades-as.html) that high-profile individuals working on Middle Eastern affairs have been targeted by the adversary to deploy malware such as MischiefTut and MediaPl (aka EYEGLASS) that are capable of harvesting sensitive information from a compromised host.


The group, assessed to be affiliated with Iran's Islamic Revolutionary Guard Corps (IRGC), has also distributed several other backdoors such as [PowerLess](https://thehackernews.com/2023/04/iranian-hackers-launch-sophisticated.html), [BellaCiao](https://thehackernews.com/2023/04/charming-kittens-new-bellaciao-malware.html), [POWERSTAR](https://thehackernews.com/2023/06/iranian-hackers-charming-kitten-utilize.html) (aka GorjolEcho), and [NokNok](https://thehackernews.com/2023/07/iranian-hackers-sophisticated-malware.html) over the past year, emphasizing its determination to continue its cyber onslaught, adapting its tactics and methods despite public exposure.


The phishing attacks observed between September and October 2023 involved the Charming Kitten operators posing as the Rasanah International Institute for Iranian Studies (IIIS) to initiate and build trust with targets.


The phishing attempts are also characterized by the use of compromised email accounts belonging to legitimate contacts and multiple threat-actor-controlled email accounts, the latter of which is called Multi-Persona Impersonation ([MPI](https://thehackernews.com/2022/09/iranian-hackers-target-high-value.html)).


[![New BASICSTAR Backdoor](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg5EqPRUgdm11IBcNCAqQbBXK6PfIXklUgy61Zcrmyxdo0Ooss7cBqYBXk8Wusfa8B5tzNaF3r8BUnM2WqNGzv8oU8qLE-4-KMJRmsPKWtISFpG1eu65nmtebq-7v5UzGLRCqF79qisX0W0kJnZ5jraKRaFT0aARqy9zPrxay9V5y4FfG4HmvDTDkXvy9DH/s728-rw-e365/malware.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg5EqPRUgdm11IBcNCAqQbBXK6PfIXklUgy61Zcrmyxdo0Ooss7cBqYBXk8Wusfa8B5tzNaF3r8BUnM2WqNGzv8oU8qLE-4-KMJRmsPKWtISFpG1eu65nmtebq-7v5UzGLRCqF79qisX0W0kJnZ5jraKRaFT0aARqy9zPrxay9V5y4FfG4HmvDTDkXvy9DH/s728-rw-e365/malware.jpg)
The attack chains typically employ RAR archives containing LNK files as a starting point to distribute malware, with the messages urging prospective targets to join a fake webinar about topics that are of interest to them. One such multi-stage infection sequence has been observed to deploy BASICSTAR and KORKULOADER, a PowerShell downloader script.


BASICSTAR, a Visual Basic Script (VBS) malware, is capable of gathering basic system information, remotely executing commands relayed from a command-and-control (C2) server, and downloading and displaying a decoy PDF file.


What's more, some of these phishing attacks are engineered to serve different backdoors depending on the machine's operating system. While Windows victims are compromised with POWERLESS, Apple macOS victims are targeted with an infection chain culminating in NokNok via a functional VPN application that's laced with malware.


"This threat actor is highly committed to conducting surveillance on their targets in order to determine how best to manipulate them and deploy malware," the researchers said. "Additionally, few other threat actors have consistently churned out as many campaigns as CharmingCypress, dedicating human operators to support their ongoing efforts."


The disclosure comes as Recorded Future uncovered IRGC's targeting of Western countries using a network of contracting companies that also specialize in exporting technologies for surveillance and offensive purposes to countries like Iraq, Syria, and Lebanon.


The relationship between intelligence and military organizations and Iran-based contractors takes the form of various cyber centers that act as "firewalls" to conceal the sponsoring entity.


They include Ayandeh Sazan Sepher Aria (suspected to be associated with [Emennet Pasargad](https://thehackernews.com/2023/02/microsoft-iranian-nation-state-group.html)), DSP Research Institute, Sabrin Kish, Soroush Saman, Mahak Rayan Afraz, and the Parnian Telecommunication and Electronic Company.


"Iranian contracting companies are established and run by a tight-knit network of personas, who, in some cases, represent the contractors as board members," the company [said](https://www.recordedfuture.com/leaks-and-revelations-irgc-networks-cyber-companies). "The individuals are closely associated with the IRGC, and in some cases, are even representatives of sanctioned entities (such as the IRGC Cooperative Foundation)."


  





## Tags:


### Autogenerated tags:
[[malware]] [[irgc]] [[basicstar]] [[charmingcypress]] [[phishing]]
