# Iranian Hackers Targeting Turkey and Arabian Peninsula in New Malware Campaign
## Iran-linked Hackers Targeting Turkey and Arabian Peninsula in New Malware Campaign
## Information:

+ Link: https://thehackernews.com/2022/03/iranian-hackers-targeting-turkey-and.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 March 2022, 15:12
+ Date scraped: 10 March 2022, 16:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEgB917ttoq2z64aTwjXTotDXmIW_i9fAEx1sSwoHKDkCsRIQPFk3yyWsybfgtZkURnxpCcxmbbxBVtSsHDR1Q3ohsaVHDRVaYor_o7V-jnjJlQVojR9ODEpnVmq0AQvXcq2nCozdLzzYoyhTVK3lUkamtdUd2pcFeXnzPdYY38VcnVzGtcDV3d7s1mv=s728-e1000)


The Iranian state-sponsored threat actor known as **MuddyWater** has been attributed to a new swarm of attacks targeting Turkey and the Arabian Peninsula with the goal of deploying remote access trojans (RATs) on compromised systems.


"The MuddyWater supergroup is highly motivated and can use unauthorized access to conduct espionage, intellectual property theft, and deploy ransomware and destructive malware in an enterprise," Cisco Talos researchers Asheer Malhotra, Vitor Ventura, and Arnaud Zobec [said](https://blog.talosintelligence.com/2022/03/iranian-supergroup-muddywater.html) in a report published today.


The group, which has been active since at least 2017, is known for its attacks on various sectors that help further advance Iran's geopolitical and national security objectives. In January 2022, the U.S. Cyber Command attributed the actor to the country's Ministry of Intelligence and Security (MOIS).


MuddyWater is also believed to be a "conglomerate of [multiple teams](https://thehackernews.com/2022/02/iranian-hackers-using-new-spying.html) operating independently rather than a single threat actor group," the cybersecurity firm added, making it an umbrella actor in the vein of [Winnti](https://malpedia.caad.fkie.fraunhofer.de/actor/winnti_umbrella), a China-based advanced persistent threat (APT).


[![MuddyWater](https://thehackernews.com/new-images/img/a/AVvXsEhMFlljYqO2BQb7ycwO2amtej1uAxVhrR9vNqk2SpwSBP2MzpRmys9-hgBdHI7EYpv6TxSc7kRD5TjBtbRoLT15x8s_M8D9xvYo9fzTI52vkuv3gH2yuhzuIDwtqXHr16qcegh9JcJ4yjTyk4ezLt73a56HBo9wqUbZDgcBhog_ooIfqy21fliO1vlg=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEhMFlljYqO2BQb7ycwO2amtej1uAxVhrR9vNqk2SpwSBP2MzpRmys9-hgBdHI7EYpv6TxSc7kRD5TjBtbRoLT15x8s_M8D9xvYo9fzTI52vkuv3gH2yuhzuIDwtqXHr16qcegh9JcJ4yjTyk4ezLt73a56HBo9wqUbZDgcBhog_ooIfqy21fliO1vlg)
The latest campaigns undertaken by the hacking crew involve the use of malware-laced documents delivered via phishing messages to deploy a remote access trojan called SloughRAT (aka [Canopy](https://thehackernews.com/2022/02/irans-muddywater-hacker-group-using-new.html) by CISA) capable of executing arbitrary code and commands received from its command-and-control (C2) servers.


The maldoc, an Excel file containing a malicious macro, triggers the infection chain to drop two Windows Script Files (.WSF) on the endpoint, the first one of them acting as the instrumentor to invoke and execute the next-stage payload. 


Also discovered are two additional script-based implants, one written in Visual Basic and the other coded in JavaScript, both of which are engineered to download and run malicious commands on the compromised host.


Furthermore, the latest set of intrusions marks a continuation of a [November 2021 campaign](https://thehackernews.com/2022/01/researchers-uncover-new-iranian-hacking.html) that struck Turkish private organizations and governmental institutions with PowerShell-based backdoors to gather information from its victims, even as it exhibits overlaps with another campaign that took place in March 2021.


[![MuddyWater](https://thehackernews.com/new-images/img/a/AVvXsEjLqn3hprRUhRVre_9IGnlF0nvxpGdcNiBhPCC6UGXwHFRh2c6Ky2G6ecWLfnCOhw17qM5DZSMReQr3E6lwDpS_zqxhLrbj0bMICrCHp8KzuJ2NWdmYbTA7qVByriJFGI1ERtbhqW8qqTzqVF3FoTga3w7OWczyt-_VrYPF5h6Adczv1ANUU1KDS4cK=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEjLqn3hprRUhRVre_9IGnlF0nvxpGdcNiBhPCC6UGXwHFRh2c6Ky2G6ecWLfnCOhw17qM5DZSMReQr3E6lwDpS_zqxhLrbj0bMICrCHp8KzuJ2NWdmYbTA7qVByriJFGI1ERtbhqW8qqTzqVF3FoTga3w7OWczyt-_VrYPF5h6Adczv1ANUU1KDS4cK)
The commonalities in tactics and techniques adopted by the operators have raised the possibility that these attacks are "distinct, yet related, clusters of activity," with the campaigns leveraging a "broader TTP-sharing paradigm, typical of coordinated operational teams," the researchers noted.


A second phishing attack sequence between December 2021 and January 2022 concerned the deployment of VBS-based malicious downloaders using scheduled tasks created by the adversary, enabling the execution of payloads retrieved from a remote server. The results of the command are subsequently exfiltrated back to the C2 server.


"While they share certain techniques, these campaigns also denote individuality in the way they were conducted, indicating the existence of multiple sub-teams beneath the Muddywater umbrella — all sharing a pool of tactics and tools to pick and choose from," the researchers concluded.


  





## Tags:


### Autogenerated tags:
[[muddywater]]
