# KamiKakaBot Malware Used in Latest Dark Pink APT Attacks on Southeast Asian Targets
## Dark Pink is suspected to be of Asia-Pacific origin and has been linked to attacks targeting government and military entities with KamiKakaBot malware
## Information:

+ Link: https://thehackernews.com/2023/03/kamikakabot-malware-used-in-latest-dark.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 13 March 2023, 06:15
+ Date scraped: 13 March 2023, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhcEcRUNCTov328K1xPocoF-5qTbzhB5uD0nQYfgPSoK1px8x3K_EvV-UIqNyNj9Uj9fKTTqmpM1A0fpp8Cxs6uMBVJLXudpHUTSqtTXQFfGm3wO8slH57EyQUJTcb1DvfIozsBY6q7GpDWyTu51H4tQ47kYXgxHytEPeh_OwC2kCMXKsUC3nK2dKNK/s728-e3650/hack.png)


The **Dark Pink** advanced persistent threat (APT) actor has been linked to a fresh set of attacks targeting government and military entities in Southeast Asian countries with a malware called KamiKakaBot.


Dark Pink, also called Saaiwc, was [first profiled](https://thehackernews.com/2023/01/dark-pink-apt-group-targets-governments.html) by Group-IB earlier this year, describing its use of custom tools such as TelePowerBot and KamiKakaBot to run arbitrary commands and exfiltrate sensitive information.


The threat actor is suspected to be of Asia-Pacific origin and has been active since at least mid-2021, with an increased tempo observed in 2022.


"The latest attacks, which took place in February 2023, were almost identical to previous attacks," Dutch cybersecurity company EclecticIQ [disclosed](https://blog.eclecticiq.com/dark-pink-apt-group-strikes-government-entities-in-south-asian-countries) in a new report published last week.


"The main difference in the February campaign is that the malware's obfuscation routine has improved to better evade anti-malware measures."


The attacks play out in the form of social engineering lures that contain ISO image file attachments in email messages to deliver the malware.


The ISO image includes an executable (Winword.exe), a loader (MSVCR100.dll), and a decoy Microsoft Word document, the latter of which comes embedded with the KamiKakaBot payload.


[![KamiKakaBot Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi0RIOfLmSGEoEhi97ASj-8zC0vusmI6tC2FuWo7dZyaRyj9TRL6FU9YjpDCco49tutxTl-KRrzkpISZdIobGxPIVssFWEidHpUVyonjsPo7MGxo4RqTlxqAiii1y7spJ6ShwsSccHKdbyAsD6AUN40nCNgn6WKwI-2Sy3g47y8GCRKHQdCdT2_bXJh/s728-e365/ap.png)
The loader, for its part, is designed to load the KamiKakaBot malware by leveraging the [DLL side-loading method](https://attack.mitre.org/techniques/T1574/002/) to evade security protections and load it into the memory of the Winword.exe binary.


KamiKakaBot is primarily engineered to steal data stored in web browsers and execute remote code using Command Prompt (cmd.exe), while also embracing evasion techniques to blend in with victim environments and hinder detection.


Persistence on the compromised host is achieved by abusing the [Winlogon Helper library](https://attack.mitre.org/techniques/T1547/004/) to make malicious Windows Registry key modifications. The gathered data is subsequently exfiltrated to a Telegram bot as a ZIP archive.


"The use of legitimate web services as a command-and-control (C2) server, such as Telegram, remains the number one choice for different threat actors, ranging from regular cyber criminals to advanced persistent threat actors," the Amsterdam-based company said.


"The Dark Pink APT group is very likely a cyber espionage-motivated threat actor that specifically exploits relations between ASEAN and European nations to create phishing lures during the February 2023 campaign."



  





## Tags:


### Autogenerated tags:
[[kamikakabot]] [[malware]]
