# Konni Group Using Russian-Language Malicious Word Docs in Latest Attacks
## Threat actor Konni, potentially tied to North Korea, deploys RAT in cyber espionage using Russian Word doc, exploiting WinRAR flaw.
## Information:

+ Link: https://thehackernews.com/2023/11/konni-group-using-russian-language.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 23 November 2023, 20:16
+ Date scraped: 23 November 2023, 15:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhlgSiefvHwJJ31UCfzbuFuNKiMyNKr6elLjzAKibpCdj7kjrkvCG49BTUXRRBPREyOS0KlYCcAO5-7Pc7L0QbIJrZ5gJ7_Y4lHqtFEZce2kr2ZN0kd80GrJYf8AoBQSb_7MO-wFqd7__sCDm6oMM_046cA9gfPzLdjSsJa4Ux3Xx6HRsMJuotDChs6WHfV/s728-rw-ft-e30/trojan.jpg)


A new phishing attack has been observed leveraging a Russian-language Microsoft Word document to deliver malware capable of harvesting sensitive information from compromised Windows hosts.


The activity has been attributed to a threat actor called **Konni**, which is assessed to share overlaps with a North Korean cluster tracked as [Kimsuky](https://thehackernews.com/2023/06/kimsuky-targets-think-tanks-and-news.html) (aka APT43).


"This campaign relies on a remote access trojan (RAT) capable of extracting information and executing commands on compromised devices," Fortinet FortiGuard Labs researcher Cara Lin [said](https://www.fortinet.com/blog/threat-research/konni-campaign-distributed-via-malicious-document) in an analysis published this week.


The [cyber espionage](https://thehackernews.com/2022/01/north-korean-hackers-start-new-year.html) [group](https://thehackernews.com/2022/01/north-korean-hackers-return-with.html) is notable for its [targeting of Russia](https://apnews.com/article/north-korea-russia-kim-jong-un-putin-timeline-336b51634fab28a34ec210a78866f4d9), with the modus operandi involving the use of spear-phishing emails and malicious documents as entry points for their attacks.


Recent attacks documented by Knowsec and ThreatMon have leveraged the [WinRAR vulnerability](https://thehackernews.com/2023/10/google-tag-detects-state-backed-threat.html) (CVE-2023-38831) as well as obfuscated Visual Basic scripts to drop [Konni RAT](https://blog.talosintelligence.com/konni-references-north-korean-missile-capabilities/) and a Windows Batch script capable of collecting data from the infected machines.


"Konni's primary objectives include data exfiltration and conducting espionage activities," ThreatMon [said](https://threatmon.io/the-konni-apt-chronicle-tracing-their-intelligence-driven-attack-chain/). "To achieve these goals, the group employs a wide array of malware and tools, frequently adapting their tactics to avoid detection and attribution."


The latest attack sequence observed by Fortinet involves a macro-laced Word document that, when enabled, displays an article in Russian that's purportedly about "Western Assessments of the Progress of the Special Military Operation."


The Visual Basic for Application (VBA) macro subsequently proceeds to launch an interim Batch script that performs system checks, User Account Control (UAC) bypass, and ultimately paves the way for the deployment of a DLL file that incorporates information gathering and exfiltration capabilities.


"The payload incorporates a UAC bypass and encrypted communication with a C2 server, enabling the threat actor to execute privileged commands," Lin said.


Konni is far from the only North Korean threat actor to single out Russia. Evidence gathered by [Kaspersky](https://thehackernews.com/2023/10/lazarus-group-targeting-defense-experts.html), [Microsoft](https://thehackernews.com/2023/09/north-korean-hackers-exploit-zero-day.html), and [SentinelOne](https://thehackernews.com/2023/08/north-korean-hackers-targets-russian.html) shows that the adversarial collective referred to as ScarCruft (aka APT37) has also targeted trading companies and missile engineering firms located in the country.


The disclosure also arrives less than two weeks after Solar, the cybersecurity arm of Russian state-owned telecom company Rostelecom, revealed that threat actors from Asia – primarily those from China and North Korea – accounted for a majority of attacks against the country's infrastructure.


"The North Korean Lazarus group is also very active on the territory of the Russian Federation," the company [said](https://rt-solar.ru/events/news/3851/). "As of early November, Lazarus hackers still have access to a number of Russian systems."


  





## Tags:
***CVE's***: CVE-2023-38831

### Autogenerated tags:
[[konni]]
