# LODEINFO Fileless Malware Evolves with Anti-Analysis and Remote Code Tricks
## APT10, a Chinese nation-state hacking group, has updated its LODEINFO backdoor to target Japanese organizations with fileless malware.
## Information:

+ Link: https://thehackernews.com/2024/01/lodeinfo-fileless-malware-evolves-with.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 25 January 2024, 17:00
+ Date scraped: 25 January 2024, 12:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhF1UIPCCJFlmDADlZrbsy9fr3rbn19Wilni0CMjdS3mhJmMgIwxGT-9DqN8tXd-3LvaH-xZ8efnThBWTh4OmXfBrhYIZAQCMHBUejrsiOh0YAuT2FpcEaEkWvB1F4lHvDk-D368xxgc6lliU4nR5EkBE2A_d2Gn0rbmbSo_Sds_yDoZS2IwnBG5cibxfDA/s728-rw-ft-e30/blob.jpg)


Cybersecurity researchers have uncovered an updated version of a backdoor called **LODEINFO** that's distributed via spear-phishing attacks.


The findings come from Japanese company ITOCHU Cyber & Intelligence, which [said](https://blog-en.itochuci.co.jp/entry/2024/01/24/134100) the malware "has been updated with new features, as well as changes to the anti-analysis (analysis avoidance) techniques."


LODEINFO (versions 0.6.6 and 0.6.7) was [first documented](https://thehackernews.com/2022/11/chinese-hackers-using-new-stealthy.html) by Kaspersky in November 2022, detailing its capabilities to execute arbitrary shellcode, take screenshots, and exfiltrate files back to an actor-controlled server.


A month later, ESET [disclosed attacks](https://thehackernews.com/2022/12/researchers-uncover-mirrorface-cyber.html) targeting Japanese political establishments that led to the deployment of LODEINFO.


The backdoor is the work of a Chinese nation-state actor known as Stone Panda (aka APT10, Bronze Riverside, Cicada, Earth Tengshe, MirrorFace, and Potassium), which has a history of orchestrating attacks targeting Japan since 2021.


Attack chains commence with phishing emails bearing malicious Microsoft Word documents that, when opened, execute VBA macros to launch downloader shellcode capable of ultimately executing the LODEINFO implant.


[![LODEINFO Fileless Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhtAfs56Pa6QxPHG_noDG_13WaACrXnjNMIU0xMsned7uWj1zTtG6y6lHJbFnYlXPAZvSki07jiJymlpRD4RS3uYdTG6Suv1xQWkY3lErybd5T0lZUDNNYOsON8kj1u0wHEqsRnXQIG0OEibeDi80kkIwtkaxT7gCBSuOTefGi1S7FO5dsPYdRGmBdobcK9/s728-rw-ft-e30/blob-1.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhtAfs56Pa6QxPHG_noDG_13WaACrXnjNMIU0xMsned7uWj1zTtG6y6lHJbFnYlXPAZvSki07jiJymlpRD4RS3uYdTG6Suv1xQWkY3lErybd5T0lZUDNNYOsON8kj1u0wHEqsRnXQIG0OEibeDi80kkIwtkaxT7gCBSuOTefGi1S7FO5dsPYdRGmBdobcK9/s728-rw-ft-e30/blob-1.jpg)
LODEINFO infection paths observed in 2023 have also been observed making use of remote template injection methods to retrieve and execute malicious macros hosted on the adversary's infrastructure every time the victim opens a lure Word document containing the template.


What's more, checks are said to have been added to verify the language settings of Microsoft Office to confirm if it's Japanese sometime around June 2023, only for it be removed a month later in attacks leveraging LODEINFO version 0.7.1.


[![LODEINFO Fileless Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiy0wKFeVTJPAgakaiehj7C2mYW-TuXc-3xr1EzqEUVTAN7on91Dc0WNOeuxn50p75X99lByk1iRbjBinDPu1q0w0swMZs_mTf7XD29m6S8_aNqVdySqyQoBrqsI7e4Hv9kD4wQkPCcwvdDksXBntE7mGsP8USBHSEzPRMQFT0gp_ue9VTV76BzdRAQ_vXP/s728-rw-ft-e30/timeline.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiy0wKFeVTJPAgakaiehj7C2mYW-TuXc-3xr1EzqEUVTAN7on91Dc0WNOeuxn50p75X99lByk1iRbjBinDPu1q0w0swMZs_mTf7XD29m6S8_aNqVdySqyQoBrqsI7e4Hv9kD4wQkPCcwvdDksXBntE7mGsP8USBHSEzPRMQFT0gp_ue9VTV76BzdRAQ_vXP/s728-rw-ft-e30/timeline.jpg)
"In addition, the filename of the maldoc itself has been changed from Japanese to English," ITOCHU noted. "From this, we believe that v0.7.1 was likely used to attack environments in languages other than Japanese."


Another notable change in attacks delivering LODEINFO version 0.7.1 is the introduction of a new intermediate stage that involves the shellcode downloader fetching a file that masquerades as a Privacy-Enhanced Mail ([PEM](https://en.wikipedia.org/wiki/Privacy-Enhanced_Mail)) from a C2 server, which, in turn, loads the backdoor directly in memory.


The downloader shares similarities with a known fileless downloader dubbed DOWNIISSA based on the self-patching mechanism to conceal malicious code, encoding method for command-and-control (C2) server information, and the structure of the data decrypted from the fake PEM file.


"LODEINFO backdoor shellcode is a fileless malware that allows attackers to remotely access and operate infected hosts," the company said, with samples found in 2023 and 2024 incorporating extra commands. The latest version of LODEINFO is 0.7.3.


"As a countermeasure, since both the downloader shellcode and the backdoor shellcode of LODEINFO are fileless malware, it is essential to introduce a product that can scan and detect malware in memory in order to detect it," it added.


  





## Tags:


### Autogenerated tags:
[[lodeinfo]] [[shellcode]] [[downloader]] [[malware]] [[fileless]]
