# Latrodectus Malware Loader Emerges as IcedID's Successor in Phishing Campaigns
## Researchers have observed a surge in email phishing campaigns delivering Latrodectus, a new malware loader believed to be the successor to IcedID.
## Information:

+ Link: https://thehackernews.com/2024/05/latrodectus-malware-loader-emerges-as.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 20 May 2024, 11:17
+ Date scraped: 20 May 2024, 06:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiaSlRbIUbyKqPEtm2I428qqbur_PuJRbGTYuVER5b5E1uD4CLM5Bgbmb3U4deiV6hU_JXva6c7iak3XojM2XW1B97SiL5lZzf8tBmDgskBOy76M5m6_MMkfyJ9TuPwers54SvHNIa536wYfB7uGcEB5l3Lr4_wSOY59rVbZphqGx-XU11o3RioPxm-z7aw/s728-rw-e365/malware.png)


Cybersecurity researchers have observed a spike in email phishing campaigns starting early March 2024 that delivers [Latrodectus](https://thehackernews.com/2024/04/watch-out-for-latrodectus-this-malware.html), a nascent malware loader believed to be the successor to the IcedID malware.


"These campaigns typically involve a recognizable infection chain involving oversized JavaScript files that utilize WMI's ability to invoke msiexec.exe and install a remotely-hosted MSI file, remotely hosted on a WEBDAV share," Elastic Security Labs researchers Daniel Stepanic and Samir Bousseaden [said](https://www.elastic.co/security-labs/spring-cleaning-with-latrodectus).


Latrodectus comes with standard capabilities that are typically expected of malware designed to deploy additional payloads such as QakBot, DarkGate, and [PikaBot](https://www.elastic.co/security-labs/pikabot-i-choose-you), allowing threat actors to conduct various post-exploitation activities.


An analysis of the latest Latrodectus artifacts has revealed an extensive focus on enumeration and execution as well as the incorporation of a self-delete technique to delete running files.


The malware, besides masquerading as libraries associated with legitimate software, utilizes source code obfuscation and performs anti-analysis checks in order to prevent its execution from proceeding further in a debugging or sandboxed environment.


Latrodectus also sets up persistence on Windows hosts using a scheduled task and establishes contact with a command-and-control (C2) server over HTTPS to receive commands that allow it to collect system information; update, restart, and terminate itself; and run shellcode, DLL, and executable files.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Two new commands added to the malware since its emergence late last year include the ability to enumerate files in the desktop directory and retrieve the entire running process ancestry from the infected machine.


It further supports a command to download and execute IcedID (command ID 18) from the C2 server, although Elastic said it did not detect this behavior in the wild.


"There definitely is some kind of development connection or working arrangement between IcedID and Latrodectus," the researchers said.


"One hypothesis being considered is that LATRODECTUS is being actively developed as a replacement for IcedID, and the handler (#18) was included until malware authors were satisfied with Latrodectus' capabilities."


The development comes as Forcepoint [dissected](https://www.forcepoint.com/blog/x-labs/phishing-script-inside-darkgate-campaign) a phishing campaign that makes use of invoice-themed email lures to deliver the [DarkGate malware](https://thehackernews.com/2024/03/darkgate-malware-exploits-recently.html).


The attack chain begins with phishing emails posing as QuickBooks invoices, urging users to install Java by clicking on an embedded link that leads to a malicious Java archive (JAR). The JAR file acts as a conduit to run a PowerShell script responsible for downloading and launching DarkGate via an AutoIT script.


Social engineering campaigns have also employed an updated version of a phishing-as-a-service (PhaaS) platform called [Tycoon](https://thehackernews.com/2024/03/alert-new-phishing-attack-delivers.html) to harvest Microsoft 365 and Gmail session cookies and bypass multi-factor authentication (MFA) protections.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgZfBi5KN3kspDmaKxn86Af7Hza6HZxasYGNneL_h4zi8oBLHQ7-7hFYc9eHMJQtjcvrAm_ZSBj8XKNLfMOCqfHGYLPekFqeafP81ZEJ4GYKfYWvmTd6jRAXnV1yRvr-gIk1skngEvOJ5qbD_MVCj7ZLVjE3lfTB0ZcXpuSs0SxeTNkjJBlYNqQisR4vZjM/s728-rw-e365/elastic.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgZfBi5KN3kspDmaKxn86Af7Hza6HZxasYGNneL_h4zi8oBLHQ7-7hFYc9eHMJQtjcvrAm_ZSBj8XKNLfMOCqfHGYLPekFqeafP81ZEJ4GYKfYWvmTd6jRAXnV1yRvr-gIk1skngEvOJ5qbD_MVCj7ZLVjE3lfTB0ZcXpuSs0SxeTNkjJBlYNqQisR4vZjM/s728-rw-e365/elastic.png)
"This new version boasts enhanced detection evasion capabilities that make it even harder for security systems to identify and block the kit," Proofpoint [said](https://www.proofpoint.com/us/blog/email-and-cloud-threats/tycoon-2fa-phishing-kit-mfa-bypass). "Significant alterations to the kit's JavaScript and HTML code have been implemented to increase its stealthiness and effectiveness."


These include obfuscation techniques to make the source code harder to understand and the use of dynamic code generation to tweak the code every time it runs, thus evading signature-based detection systems.


Other social engineering campaigns detected in March 2024 have taken advantage of Google ads impersonating Calendly and Rufus to propagate another malware loader known as D3F@ck Loader, which first emerged in cybercrime forums in January 2024, and ultimately drop Raccoon Stealer and [DanaBot](https://thehackernews.com/2023/12/microsoft-warns-of-malvertising-scheme.html).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
"The case of D3F@ck Loader illustrates how malware-as-a-service (MaaS) continues to evolve, utilizing [[Extended Validation] certificates](https://en.wikipedia.org/wiki/Extended_Validation_Certificate) to bypass trusted security measures," cybersecurity company eSentire [noted](https://www.esentire.com/blog/d3f-ck-loader-the-new-maas-loader) late last month.


The disclosure also follows the emergence of new stealer malware families like [Fletchen Stealer](https://www.cyfirma.com/research/fletchen-stealer-an-information-stealer-with-sophisticated-anti-analysis-measures/), [WaveStealer](https://www.broadcom.com/support/security-center/protection-bulletin/wavestealer-new-malware-distributed-on-messaging-platforms), [zEus Stealer](https://www.fortinet.com/blog/threat-research/zeus-stealer-distributed-via-crafted-minecraft-source-pack), and [Ziraat Stealer](https://www.broadcom.com/support/security-center/protection-bulletin/ziraat-stealer-disguised-as-data-recovery-tool), even as the [Remcos](https://www.elastic.co/security-labs/dissecting-remcos-rat-part-four) remote access trojan (RAT) has been spotted using a [PrivateLoader](https://thehackernews.com/2022/12/privateloader-ppi-service-found.html) module to augment its capabilities.


"By installing VB scripts, altering the registry, and setting up services to restart the malware at variable times or by control, [Remcos] malware is able to infiltrate a system completely and remain undetected," the SonicWall Capture Labs threat research team [said](https://blog.sonicwall.com/en-us/2024/05/remcos-is-pairing-with-privateloader-to-extend-its-capabilities/).


  





## Tags:


### Autogenerated tags:
[[malware]] [[icedid]] [[phishing]] [[darkgate]]
