# Lazarus Group Adds Linux Malware to Arsenal in Operation Dream Job
## The Lazarus Group strikes again, this time targeting Linux users in Operation Dream Job.
## Information:

+ Link: https://thehackernews.com/2023/04/lazarus-group-adds-linux-malware-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 20 April 2023, 11:56
+ Date scraped: 20 April 2023, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj_rM-uWnFgreAoFcsQhVOwYca1OD6a0E4DRK2jaoDKtlBPXC4RMCPZNXJ8oJHO6su_Kxg7Wko5SOdVTEVF3i1l66zAm2WCWs70b4WafcBNcbS5TCyD8b8_73HtjBTm1cAKFi4wp8VMl32oJ_JAOGMYS5A6j7idQBcjit2i8Y8voZYtBy_hduFx12uE/s728-e3650/linux-malware.jpg)


The notorious North Korea-aligned state-sponsored actor known as the **Lazarus Group** has been attributed to a new campaign aimed at Linux users.


The attacks are part of a persistent and long-running activity tracked under the name **Operation Dream Job**, ESET said in a [new report](https://www.welivesecurity.com/2023/04/20/linux-malware-strengthens-links-lazarus-3cx-supply-chain-attack/) published today.


The findings are crucial, not least because it marks the first publicly documented example of the adversary using Linux malware as part of this social engineering scheme.


[Operation Dream Job](https://www.clearskysec.com/operation-dream-job/), also known as [DeathNote or NukeSped](https://thehackernews.com/2023/04/lazarus-hacker-group-evolves-tactics.html), refers to multiple attack waves wherein the group leverages fraudulent job offers as a lure to trick unsuspecting targets into downloading malware. It also [exhibits overlaps](https://thehackernews.com/2022/08/north-korea-hackers-spotted-targeting.html) with two other Lazarus clusters known as Operation In(ter)ception and Operation North Star.


The attack chain discovered by ESET is no different in that it delivers a fake HSBC job offer as a decoy within a ZIP archive file that's then used to launch a Linux backdoor named SimplexTea distributed via an OpenDrive cloud storage account.


[![Linux Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhSAIPoUsDau4iZajq1dkiN-X9CC5Dg0rpcVkHfbKk2zCPx9l5uHRLp-zj8Ehuu05bcIvKf44NdXRge_9mzDuOvRlFfJDQ6zKcp7xNvd-64r4WiztQY71EST1ad03t_G0RjfzaBGDqBNL9tzYyK6Tk4zUntD1k0voYOJ_25_aOSAP0Lr08DaNuZvnzy/s728-e365/code.png)
While the exact method used to distribute the ZIP file is not known, it's suspected to be either spear-phishing or direct messages on LinkedIn. The backdoor, written in C++, bears similarities to [BADCALL](https://www.cisa.gov/news-events/analysis-reports/ar19-252a), a Windows trojan previously attributed to the group.


Furthermore, ESET said it identified commonalities between artifacts used in the Dream Job campaign and those unearthed as part of the [supply chain attack](https://unit42.paloaltonetworks.com/3cxdesktopapp-supply-chain-attack/) on VoIP software developer 3CX that came to light last month.


This also includes the command-and-control (C2) domain "journalide[.]org," which was listed as [one of the four C2 servers](https://thehackernews.com/2023/04/lazarus-sub-group-labyrinth-chollima.html) used by malware families detected within the 3CX environment.


Indications are that preparations for the supply chain attack had been underway since December 2022, when some of the components were committed to the GitHub code-hosting platform.


The findings not only strengthen the existing link between Lazarus Group and the 3CX compromise, but also demonstrates the threat actor's [continued success](https://thehackernews.com/2021/10/latest-report-uncovers-supply-chain.html) with staging supply chain attacks [since 2020](https://thehackernews.com/2020/11/trojanized-security-software-hits-south.html).



  





## Tags:
***urls***: http://journalide.org

### Autogenerated tags:
[[linux]] [[eset]] [[malware]] [[3cx]]
