# Lazarus Group Exploits Zero-Day Vulnerability to Hack South Korean Financial Entity
## The Lazarus Group has breached a South Korean financial business entity twice within a year, exploiting flaws in an undisclosed software.
## Information:

+ Link: https://thehackernews.com/2023/03/lazarus-group-exploits-zero-day.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 08 March 2023, 10:34
+ Date scraped: 08 March 2023, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhNmBYdW7bJfaAo1AHQPbiQGp9ggy2zic7X9pcNJRr9df0m-4ayZqvJAfU-jvAuzeO4_mxVM7lyrXf9NLhF3fE1xbj0W7H5JGwwQkdG7lAVRiwvzhSKBIdl9KEAYiT7oX25i6QS12WF8qRKHpeZze2gudxwunmBhmR7LJ07_6-yWYvE7tq4R7kYh66i/s728-e3650/north-korean-hackers.png)


The North Korea-linked **Lazarus Group** has been observed weaponizing flaws in an undisclosed software to breach a financial business entity in South Korea twice within a span of a year.


While the first attack in May 2022 entailed the use of a vulnerable version of a certificate software that's widely used by public institutions and universities, the re-infiltration in October 2022 involved the exploitation of a zero-day in the same program.


Cybersecurity firm AhnLab Security Emergency Response Center (ASEC) [said](https://asec.ahnlab.com/en/48810/) it's refraining from mentioning the software owing to the fact that "the vulnerability has not been fully verified yet and a software patch has not been released."


The adversarial collective, after obtaining an initial foothold by an unknown method, abused the zero-day bug to perform lateral movement, shortly after which the AhnLab V3 anti-malware engine was disabled via a [BYOVD attack](https://thehackernews.com/2022/12/ransomware-attackers-use-microsoft.html).


It's worth noting here that the Bring Your Own Vulnerable Driver, aka BYOVD, technique has been [repeatedly employed](https://thehackernews.com/2022/10/hackers-exploiting-dell-driver.html) by the Lazarus Group in recent months, as documented by both ESET and AhnLab in a series of reports late last year.


[![Zero-Day Vulnerability](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhVnUT1ooBrlMcr3DgSJdWwQdHUdR6o9fGt_HgLoGNg0zEl0upe43z0ozC-TSXOMHYCH0abYVvG6Chb4tcPj3ZmU3qr9vK8rngF6Yf9R_vSY2V1j_lUVjlW9S4yNIvsbSZr0gASIDRTwJ1Pa1xeMww9h4r51uIiTG4dA8WOZTdFSBXkm7yRYQlo98lZ/s728-e365/cyberattack.png)
Among other steps to conceal its malicious behavior include changing file names before deleting them and modifying timestamps using an anti-forensic technique referred to as [timestomping](https://attack.mitre.org/techniques/T1070/006/).


The attack ultimately paved the way for multiple backdoor payloads (Keys.dat and Settings.vwx) that are designed to connect to a remote command-and-control (C2) server and retrieve additional binaries and execute them in a fileless manner.


The development comes a week after ESET [shed light](https://thehackernews.com/2023/02/lazarus-group-using-new-winordll64.html) on a new implant called WinorDLL64 that's deployed by the notorious threat actor by means of a malware loader named Wslink.


"The Lazarus group is researching the vulnerabilities of various other software and are constantly changing their TTPs by altering the way they disable security products and carry out anti-forensic techniques to interfere or delay detection and analysis in order to infiltrate Korean institutions and companies," ASEC said.



  





## Tags:


### Autogenerated tags:
[[ahnlab]]
