# Lazarus Group Using Log4j Exploits to Deploy Remote Access Trojans
## Lazarus Group launched a new global campaign involves exploiting security flaws in Log4j to deploy previously undocumented RAT on compromised hosts.
## Information:

+ Link: https://thehackernews.com/2023/12/lazarus-group-using-log4j-exploits-to.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 11 December 2023, 18:30
+ Date scraped: 11 December 2023, 14:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiiIF77NfD80p5ZYdruFGFY8I7JjyWWTzHXNuiV2THVfu2Jc75XvpaSIDZBIxAZRRxkb65_lWiPI-add7BBJPpZOC6E2fN9r6MvCsmnsSujywFAXjvVVIw43S2qTGCy72d4wvvQ1wl9II9Hi1a8TxVjwYAUSzCZ1qLr-tu59alHaW8QqdTTLz3WetdkMqYj/s728-rw-ft-e30/hacker.jpg)


The notorious North Korea-linked threat actor known as the **Lazarus Group** has been attributed to a new global campaign that involves the opportunistic exploitation of security flaws in Log4j to deploy previously undocumented remote access trojans (RATs) on compromised hosts.


Cisco Talos is tracking the activity under the name Operation Blacksmith, noting the use of three DLang-based malware families, including a RAT called NineRAT that leverages Telegram for command-and-control (C2), DLRAT, and a downloader dubbed BottomLoader.


The cybersecurity firm described the latest tactics of the adversary as a definitive shift and that they overlap with the cluster widely tracked as Andariel (aka Onyx Sleet or Silent Chollima), a sub-group within the Lazarus umbrella.


"Andariel is typically tasked with initial access, reconnaissance and establishing long term access for espionage in support of the North Korean government's national interests," Talos researchers Jung soo An, Asheer Malhotra, and Vitor Ventura said in a technical [report](https://blog.talosintelligence.com/lazarus_new_rats_dlang_and_telegram/) shared with The Hacker News.


Attack chains involve the exploitation of [CVE-2021-44228](https://thehackernews.com/2021/12/extremely-critical-log4j-vulnerability.html) (aka Log4Shell) against publicly-accessible VMWare Horizon servers to deliver NineRAT. Some of the prominent sectors targeted include manufacturing, agriculture, and physical security.


 UPCOMING WEBINAR  [Cracking the Code: Learn How Cyber Attackers Exploit Human Psychology](https://thehacker.news/social-engineering-psychology?source=inside)  Ever wondered why social engineering is so effective? Dive deep into the psychology of cyber attackers in our upcoming webinar.

 [Join Now](https://thehacker.news/social-engineering-psychology?source=inside) 
The abuse of Log4Shell is not surprising given the fact that 2.8 percent of applications are still using vulnerable versions of the library (from 2.0-beta9 through 2.15.0) after two years of public disclosure, according to [Veracode](https://www.veracode.com/blog/research/state-log4j-vulnerabilities-how-much-did-log4shell-change), with another 3.8% using Log4j 2.17.0, which, while not vulnerable to CVE-2021-44228, is susceptible to [CVE-2021-44832](https://thehackernews.com/2021/12/new-apache-log4j-update-released-to.html).


NineRAT, first developed around May 2022, is said to have been put to use as early as March 2023 in an attack aimed at a South American agricultural organization and then again in September 2023 on a European manufacturing entity. By using a legitimate messaging service for C2 communications, the goal is to evade detection.


The malware acts as the primary means of interaction with the infected endpoint, enabling the attackers to send commands to gather system information, upload files of interest, download additional files, and even uninstall and upgrade itself.


"Once NineRAT is activated it accepts preliminary commands from the telegram based C2 channel, to again fingerprint the infected systems," the researchers noted.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhJ09X3hPZXgNCYEciBEEftsjjNVHQDfiIFXO1sQbPVilUO9UKegg52giURI82gGAUfkLXe9nMl_AP-MXpPLfnhosncLLIIug53LVFr2ixDq4FDR7UxtdtXGygwcojeVuBc0JaAjul4H3zElVwwhx8PGHhTfBlk-qNgNqFqwWoDlvBQpsVr_VoCLj3VWqA9/s728-rw-ft-e30/talos.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhJ09X3hPZXgNCYEciBEEftsjjNVHQDfiIFXO1sQbPVilUO9UKegg52giURI82gGAUfkLXe9nMl_AP-MXpPLfnhosncLLIIug53LVFr2ixDq4FDR7UxtdtXGygwcojeVuBc0JaAjul4H3zElVwwhx8PGHhTfBlk-qNgNqFqwWoDlvBQpsVr_VoCLj3VWqA9/s728-rw-ft-e30/talos.jpg)
"Re-fingerprinting of infected systems indicates that the data collected by Lazarus via NineRAT may be shared by other APT groups and essentially resides in a different repository from the fingerprint data collected initially by Lazarus during their initial access and implant deployment phase."


Also used in the attacks after initial reconnaissance is a custom proxy tool called HazyLoad that was [previously identified by Microsoft](https://thehackernews.com/2023/10/microsoft-warns-of-north-korean-attacks.html) as used by the threat actor as part of intrusions weaponizing critical security flaws in JetBrains TeamCity ([CVE-2023-42793](https://nvd.nist.gov/vuln/detail/CVE-2023-42793), CVSS score: 9.8). HazyLoad is downloaded and executed by means of another malware called BottomLoader.


Furthermore, Operation Blacksmith has been observed delivering DLRAT, which is both a downloader and a RAT equipped to perform system reconnaissance, deploy additional malware, and retrieve commands from the C2 and execute them in the compromised systems.


"The multiple tools giving overlapping backdoor entry present Lazarus Group with redundancies in the event a tool is discovered, enabling highly persistent access," the researchers said.


The disclosure comes as the AhnLab Security Emergency Response Center (ASEC) detailed Kimsuky's use of AutoIt versions of malware such as Amadey and RftRAT and distributing them via spear-phishing attacks bearing booby-trapped attachments and links in an attempt to bypass security products.


[Kimusky](https://thehackernews.com/2023/12/n-korean-kimsuky-targeting-south-korean.html), also known by the names APT43, ARCHIPELAGO, Black Banshee, Emerald Sleet (previously Thallium), Nickel Kimball, and Velvet Chollima, is an element operating under North Korea's Reconnaissance General Bureau (RGB), which also houses the Lazarus Group.


It was [sanctioned](https://thehackernews.com/2023/12/us-treasury-sanctions-north-korean.html) by the U.S. Treasury Department on November 30, 2023, for gathering intelligence to support the regime's strategic objectives.


"After taking control of the infected system, to exfiltrate information, the Kimsuky group installs various malware such as keyloggers and tools for extracting accounts and cookies from web browsers," ASEC [said](https://asec.ahnlab.com/en/59590/) in an analysis published last week.


  





## Tags:
***CVE's***: CVE-2021-44228 CVE-2021-44832 CVE-2023-42793

### Autogenerated tags:
[[malware]] [[ninerat]] [[c2]]
