# Lazarus Sub-Group Labyrinth Chollima Uncovered as Mastermind in 3CX Supply Chain Attack
## Lazarus sub-group Labyrinth Chollima identified as the mastermind behind 3CX supply-chain cyberattack.
## Information:

+ Link: https://thehackernews.com/2023/04/lazarus-sub-group-labyrinth-chollima.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 12 April 2023, 04:06
+ Date scraped: 12 April 2023, 05:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhFcXu9ZHvh0jnjOWktyxIDoPagKzeOB4H6O446QKC_8UWxyhur05RXRFwyMMc7FSE-BVWflU8s9UTiiu6Eo7-_gzEJQoOnGGau64WhOXSeA0Hrl5GnwOEgx0MN8DQjF_6cXZ0uzwCZRnSBZwHSQXlCRR2pws6XaUz-Pj1AztLk_EMjwbTqF4tzCSi6/s728-e3650/hacking.jpg)


Enterprise communications service provider 3CX confirmed that the [supply chain attack](https://thehackernews.com/2023/03/3cx-desktop-app-targeted-in-supply.html) targeting its desktop application for Windows and macOS was the handiwork of a threat actor with North Korean nexus.


The findings are the result of an interim assessment conducted by Google-owned Mandiant, whose services were enlisted after the intrusion came to light late last month. The threat intelligence and incident response unit is tracking the activity under its uncategorized moniker **UNC4736**.


It's worth noting that cybersecurity firm CrowdStrike has attributed the attack to a Lazarus sub-group dubbed Labyrinth Chollima, citing tactical overlaps.


The [attack chain](https://thehackernews.com/2023/03/3cx-supply-chain-attack-heres-what-we.html), based on analyses from multiple security vendors, entailed the use of DLL side-loading techniques to load an information stealer known as ICONIC Stealer, followed by a second-stage called [Gopuram](https://thehackernews.com/2023/04/cryptocurrency-companies-targeted-in.html) in selective attacks aimed at crypto companies.


Mandiant's forensic investigation has now revealed that the threat actors infected 3CX systems with a malware codenamed TAXHAUL that's designed to decrypt and load shellcode containing a "complex downloader" labeled COLDCAT.


"On Windows, the attacker used DLL side-loading to achieve persistence for TAXHAUL malware," 3CX [said](https://www.3cx.com/blog/news/mandiant-initial-results/). "The persistence mechanism also ensures the attacker malware is loaded at system start-up, enabling the attacker to retain remote access to the infected system over the internet."


The company further said the malicious DLL (wlbsctrl.dll) was [loaded](https://github.com/securycore/Ikeext-Privesc) by the Windows IKE and AuthIP IPsec Keying Modules ([IKEEXT](https://infosecwriteups.com/ikeext-dll-hijacking-3aefe4dde7f5)) service through [svchost.exe](https://en.wikipedia.org/wiki/Svchost.exe), a legitimate system process.


macOS systems targeted in the attack are said to have been backdoored using another malware strain referred to as SIMPLESEA, a C-based malware that communicates via HTTP to run shell commands, transfer files, and update configurations.


The malware strains detected within the 3CX environment have been observed to contact at least four command-and-control (C2) servers: azureonlinecloud[.]com, akamaicontainer[.]com, journalide[.]org, and msboxonline[.]com.


3CX CEO Nick Galea, in a [forum post](https://www.3cx.com/community/threads/security-incident-update-april-4-2023.120075/) last week, said the company is only aware of a "handful of cases" where the malware was actually activated and that it's working to "strengthen our policies, practices, and technology to protect against future attacks." An [updated](https://www.3cx.com/blog/releases/v18u7-desktop-app-electron/) [app](https://www.3cx.com/blog/releases/v18u7a-security-update/) has since been made available to customers.


It's currently not determined how the threat actors managed to break into 3CX's network, and if it entailed the weaponization of a known or unknown vulnerability. The supply chain compromise is being tracked under the identifier [CVE-2023-29059](https://nvd.nist.gov/vuln/detail/CVE-2023-29059) (CVSS score: 7.8).



  





## Tags:
***CVE's***: CVE-2023-29059
***urls***: http://akamaicontainer.com http://journalide.org http://azureonlinecloud.com http://msboxonline.com

### Autogenerated tags:
[[malware]] [[3cx]] [[windows]] [[dll]]
