# Lazarus Subgroup Targeting Apple Devices with New RustBucket macOS Malware
## BlueNoroff, a suspected subgroup of Lazarus Group, is now targeting Apple's macOS with new malware RustBucket, highlighting hackers' expanding toolset
## Information:

+ Link: https://thehackernews.com/2023/04/lazarus-subgroup-targeting-apple.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 25 April 2023, 11:27
+ Date scraped: 25 April 2023, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgpl9JhpSFX-658GFQZLKHpaIujC7ybpnu4v4fS2Na20Y6-ERCHjpn6Dv3YArGBD4QPRILYl7EDWKk23z-EEA3j7N-WlIQ75sQjQQGrJFOki4y5qQKw6qHPHyYUigqGvxcaTrI2B20BZXH1gycovn8gW22biMattn8sTa9h3VxW7mhanCu5r-hAjrSw/s728-e3650/macos.png)


A financially-motivated North Korean threat actor is suspected to be behind a new Apple macOS malware strain called **RustBucket**.


"[RustBucket] communicates with command and control (C2) servers to download and execute various payloads," Jamf Threat Labs researchers Ferdous Saljooki and Jaron Bradley [said](https://www.jamf.com/blog/bluenoroff-apt-targets-macos-rustbucket-malware/) in a technical report published last week. 


The Apple device management company attributed it to a threat actor known as BlueNoroff, a subgroup within the infamous Lazarus cluster that's also tracked under the monikers APT28, Nickel Gladstone, Sapphire Sleet, Stardust Chollima, and TA444.


The connections stem from tactical and infrastructure overlaps with a [prior campaign](https://thehackernews.com/2022/12/bluenoroff-apt-hackers-using-new-ways.html) exposed by Russian cybersecurity company Kaspersky in late December 2022 likely aimed at Japanese financial entities using fake domains impersonating venture capital firms.


BlueNoroff, unlike other constituent entities of the Lazarus Group, is known for its [sophisticated](https://www.wired.com/story/how-north-korea-robs-banks-around-world/) [cyber-enabled heists](https://www.bbc.com/news/stories-57520169) targeting the [SWIFT system](https://thehackernews.com/2021/02/us-charges-3-north-korean-hackers-over.html) as well as cryptocurrency exchanges as part of an intrusion set tracked as [CryptoCore](https://thehackernews.com/2021/05/researchers-link-cryptocore-attacks-on.html).


Earlier this year, the U.S. Federal Bureau of Investigation (FBI) [implicated](https://thehackernews.com/2023/01/fbi-says-north-korean-hackers-behind.html) the threat actor for the theft of $100 million in cryptocurrency assets from Harmony Horizon Bridge in June 2022.


BlueNoroff's attack repertoire is also said to have [witnessed a major shift](https://thehackernews.com/2023/01/north-korean-hackers-turn-to-credential.html) over the past few months, what with the group making use of job-themed lures to trick email recipients into entering their credentials on fake landing pages.


The macOS malware identified by Jamf masquerades as an "Internal PDF Viewer" application to activate the infection, although it bears noting that the success of the attack banks on the victim manually overriding [Gatekeeper protections](https://thehackernews.com/2023/04/lockbit-ransomware-now-targeting-apple.html).


In reality, it's an AppleScript file that's engineered to retrieve a second-stage payload from a remote server, which also carries the same name as its predecessor. Both malicious apps are signed with an ad-hoc signature.


The second-stage payload, written in Objective-C, is a basic application that offers the ability to view PDF files and only initiates the next phase of the attack chain when a booby-trapped PDF file is opened through the app.


One such [nine-page PDF document](https://www.virustotal.com/gui/file/3d41cd5199dbd6cefcc78d53bb44a2ecbea716de2bc8e547ead7c2aebd9925f0) identified by Jamf purports to offer an "investment strategy," that when launched, reaches out to the command-and-control (C2) server to download and execute a third-stage trojan, a Mach-O executable written in Rust that comes with capabilities to run system reconnaissance commands.


"This PDF viewer technique used by the attacker is a clever one," the researchers explained. "At this point, in order to perform analysis, not only do we need the stage-two malware but we also require the correct PDF file that operates as a key in order to execute the malicious code within the application."


It's not currently not clear how initial access is obtained and if the attacks were successful, but the development is a sign that threat actors are [adapting their toolsets](https://thehackernews.com/2023/04/lockbit-ransomware-now-targeting-apple.html) to accommodate cross-platform malware by using programming languages like Go and Rust.


The findings also come off a [busy period](https://thehackernews.com/2022/09/north-korean-lazarus-hackers-targeting.html) of [attacks](https://thehackernews.com/2022/09/north-koreas-lazarus-hackers-targeting.html) [orchestrated](https://thehackernews.com/2022/12/north-korean-hackers-spread-applejeus.html) by the [Lazarus Group](https://thehackernews.com/2023/02/north-korean-hackers-exploit-unpatched.html) aimed at [organizations](https://thehackernews.com/2023/03/north-korean-unc2970-hackers-expands.html) across [countries and industry verticals](https://thehackernews.com/2023/04/lazarus-hacker-group-evolves-tactics.html) for collecting strategic intelligence and performing cryptocurrency theft.


Lazarus Group (aka Hidden Cobra and Diamond Sleet) is less a distinct outfit and more of an umbrella term for a mixture of state-sponsored and criminal hacking groups that sit within the Reconnaissance General Bureau (RGB), North Korea's primary foreign intelligence apparatus.


Recent activity undertaken by the threat actor has offered fresh evidence of the threat actor's growing interest in exploiting trust relationships in the software supply chain as entry points to corporate networks.


Last week, the adversarial collective was linked to a [cascading supply chain attack](https://thehackernews.com/2023/04/lazarus-xtrader-hack-impacts-critical.html) that weaponized trojanized installers versions of a legitimate app known as X\_TRADER to breach enterprise communications software maker 3CX and poison its Windows and macOS apps.


Around the same time, ESET detailed Lazarus Group's use of a Linux malware dubbed [SimplexTea](https://thehackernews.com/2023/04/lazarus-group-adds-linux-malware-to.html) against the backdrop of a recurring social engineering campaign referred to as Operation Dream Job.


"It is also interesting to note that Lazarus can produce and use native malware for all major desktop operating systems: Windows, macOS, and Linux," ESET malware researcher Marc-Etienne M.Léveillé pointed out last week.


Lazarus is far from the only RGB-affiliated state-sponsored hacking group known to conduct operations on behalf of the sanctions-hit country. Another equally prolific threat actor is [Kimsuky](https://www.cisa.gov/news-events/cybersecurity-advisories/aa20-301a) (aka [APT43](https://thehackernews.com/2023/03/north-korean-apt43-group-uses.html) or Emerald Sleet), a sub-group of which is monitored by Google's Threat Analysis Group (TAG) as [ARCHIPELAGO](https://thehackernews.com/2023/04/google-tag-warns-of-north-korean-linked.html).


"The actor primarily targets organizations in the U.S. and South Korea, including individuals working within the government, military, manufacturing, academic, and think tank organizations that possess subject matter expertise in defense and security, particularly nuclear security and nonproliferation policy," Google-owned Mandiant [noted](https://www.mandiant.com/resources/blog/mapping-dprk-groups-to-government) last year.


Other less known targets of Kimsuky include Indian and Japanese as government and educational institutions, a set of attacks tracked by Taiwnese cybersecurity company TeamT5 under the name [KimDragon](https://www.blackhat.com/asia-21/briefings/schedule/index.html#we-are-about-to-land-how-clouddragon-turns-a-nightmare-into-reality-22252).


The group has a history of deploying a raft of cyber weapons to exfiltrate sensitive information through a [wide range of tactics](https://thehackernews.com/2023/03/german-and-south-korean-agencies-warn.html) such as spear-phishing, fraudulent browser extensions, and remote access trojans.


Latest findings [released by VirusTotal](https://blog.virustotal.com/2023/04/apt43-investigation-into-north-korean.html) highlight Kimsuky's heavy reliance on malicious Microsoft Word documents to deliver its payloads. A majority of the files have been submitted to the malware-scanning platform from South Korea, the U.S., Italy, and Israel, and the U.K.


"The group uses a variety of techniques and tools to conduct espionage, sabotage, and theft operations, including spear phishing and credential harvesting," the Google Chronicle subsidiary said.


  





## Tags:


### Autogenerated tags:
[[malware]] [[pdf]] [[macos]] [[jamf]] [[bluenoroff]] [[u.s]] [[kimsuky]]
