# Magento, WooCommerce, WordPress, and Shopify Exploited in Web Skimmer Attack
## 🚨 Attention online shoppers! Beware of the insidious Magecart-style web skimmer campaign sweeping across e-commerce websites!
## Information:

+ Link: https://thehackernews.com/2023/06/magento-woocommerce-wordpress-and.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 05 June 2023, 11:59
+ Date scraped: 05 June 2023, 07:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj9ZB0V4kwM69C5ZPEPcBV90vI6FokTPpSSIefi84NKLtToVldb2HdiM9HoSc9MaIEMaNFeS14jOVFyWxibFi8B4HTT99xyXBlvq7a37TIFLlSOw_1I4njj2n1lCSJYqJxrK3bst2HYCkKXU82H6Hpu3AXy3vyU8Wm04STchBOHdT9ZPBGGKaEkE8ad/s728-e3650/magecart.jpg)


Cybersecurity researchers have unearthed a new ongoing [Magecart](https://thehackernews.com/2023/04/attention-online-shoppers-dont-be.html)-style web skimmer campaign that's designed to steal personally identifiable information (PII) and credit card data from e-commerce websites.


A noteworthy aspect that sets it apart from other Magecart campaigns is that the hijacked sites further serve as "makeshift" command-and-control (C2) servers, using the cover to facilitate the distribution of malicious code without the knowledge of the victim sites.


Web security company Akamai said it identified victims of varying sizes in North America, Latin America, and Europe, potentially putting the personal data of thousands of site visitors at risk of being harvested and sold for illicit profits.


"Attackers employ a number of evasion techniques during the campaign, including obfuscating [using] Base64 and masking the attack to resemble popular third-party services, such as Google Analytics or Google Tag Manager," Akamai security researcher Roman Lvovsky [said](https://www.akamai.com/blog/security-research/new-magecart-hides-behind-legit-domains).


The idea, in a nutshell, is to breach vulnerable legitimate sites and use them to host web skimmer code, thereby leveraging the good reputation of the genuine domains to their advantage. In some cases, the attacks have been underway for nearly a month.


"Rather than using the attackers' own C2 server to host malicious code, which may be flagged as a malicious domain, attackers hack into (using vulnerabilities or any other means at their disposal) a vulnerable, legitimate site, such as a small or medium-sized retail website, and stash their code within it," Akamai noted.


The result of the attacks are two kinds of victims: legitimate sites that have been compromised to act as a "distribution center" for malware and vulnerable e-commerce websites that are the target of the skimmers.


[![Web Skimmer Attack](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiGvWUS38lu9dxHsaFCB6T7epMQoTApkk_3R6Bv0NCVg4Z7ojOMCVKXULtTz143dcq_iHqTrndgQQbWBGWoniUsGCz2cQZM_kNmB5E3YMixJL6a4Qu7UcZ80HO0B9yJpvSZV-gD0Jd8m7X2F39X-w2u1mpeT6JGroq9wj8WKqnwlVUw9oAEaX5d5l5c/s728-e365/code.jpg)
In some cases, websites have not only been subjected to data theft, but also unwittingly served as a vehicle for spreading the malware to other susceptible websites.


"This attack included the exploitation of Magento, WooCommerce, WordPress, and Shopify, demonstrating the growing variety of vulnerabilities and abusable digital commerce platforms," Lvovsky said.


By taking advantage of the established trust the websites have garnered over time, the technique creates a "smokescreen" that makes it challenging to identify and respond to such attacks.


 UPCOMING WEBINAR 🔐 Mastering API Security: Understanding Your True Attack Surface Discover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

 [Secure Your Seat](https://thn.news/z-inside-2).ad-button,.ad-label,.ad-label:after{display:inline-block}.ad\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.ad-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.ad-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.ad-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.ad-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.ad-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
The campaign also adopts other methods to avoid detection. This includes camouflaging the skimmer code as third-party services like Google Tag Manager or Facebook Pixel to conceal its true intentions.


Another trick employed is the JavaScript code snippets function as loaders to fetch the full attack code from the host victim website, thereby minimizing the footprint and likelihood of detection.


The obfuscated skimmer code, which comes in two different variants, is equipped to intercept and exfiltrate PII and credit card details as an encoded string over an HTTP request to an actor-controlled server.


"Exfiltration will only happen once for each user going through checkout," Lvovsky noted. "Once a user's information is stolen, the script will flag the browser to ensure it doesn't steal the information twice (to reduce suspicious network traffic). This further increases the evasiveness of this Magecart-style attack.



  





## Tags:


### Autogenerated tags:
[[websites]] [[google]] [[lvovsky]]
