# Microsoft Confirms PaperCut Servers Used to Deliver LockBit and Cl0p Ransomware
## Microsoft has confirmed that hackers linked to Cl0p and LockBit ransomware families are actively exploiting PaperCut servers.
## Information:

+ Link: https://thehackernews.com/2023/04/microsoft-confirms-papercut-servers.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 27 April 2023, 08:20
+ Date scraped: 27 April 2023, 09:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhLJxpoG9iTcXXyaz5lYD43Bety2Vdr22-v-MIAD19zxn4euLhN2910PDUdYA2uQE08VH3N-ihFKHsPsFOmHmPvsrN4HT_EY97dAClqyr9i7Im8ZSJyUHCH3X824MmeAUGIwlhERwbtd-lTRTfntk37y_AihpwaXi_iCQvzf0h0ocZwzckoRGPsb_dt/s728-e3650/ransomware.png)


Microsoft has confirmed that the [active exploitation of PaperCut servers](https://thehackernews.com/2023/04/russian-hackers-suspected-in-ongoing.html) is linked to attacks designed to deliver Cl0p and LockBit ransomware families.


The tech giant's threat intelligence team is attributing a subset of the intrusions to a financially motivated actor it tracks under the name **Lace Tempest** (formerly DEV-0950), which overlaps with other hacking groups like FIN11, TA505, and Evil Corp.


"In observed attacks, Lace Tempest ran multiple PowerShell commands to deliver a TrueBot DLL, which connected to a C2 server, attempted to steal LSASS credentials, and injected the [TrueBot payload](https://thehackernews.com/2022/12/new-truebot-malware-variant-leveraging.html) into the conhost.exe service," Microsoft [said](https://twitter.com/MsftSecIntel/status/1651346653901725696) in a series of tweets.


The next phase of the attack entailed the deployment of Cobalt Strike Beacon implant to conduct reconnaissance, move laterally across the network using WMI, and exfiltrate files of interest via the file-sharing service MegaSync.


Lace Tempest is a Cl0p ransomware affiliate that's said to have previously leveraged [Fortra GoAnywhere MFT exploits](https://thehackernews.com/2023/04/fortra-sheds-light-on-goanywhere-mft.html) as well as initial access gained via [Raspberry Robin](https://thehackernews.com/2022/10/raspberry-robin-operators-selling.html) infections (attributed to another actor dubbed DEV-0856).


Raspberry Robin, also called QNAP worm, is [believed](https://thehackernews.com/2023/01/new-analysis-reveals-raspberry-robin.html) to be an access-as-a-service malware that's used as a delivery vehicle for next-stage payloads such as IcedID, Cl0p, and LockBit. It's known to [incorporate](https://research.checkpoint.com/2023/raspberry-robin-anti-evasion-how-to-exploit-analysis/) various obfuscation, anti-debugging, and [anti-virtual machine measures](https://www.cynet.com/attack-techniques-hands-on/malware-anti-vm-techniques/) to evade detection.


Microsoft said the threat actor incorporated PaperCut flaws (2023-27350 and CVE-2023-27351) into its attack toolkit as early as April 13, corroborating the Melbourne-based print management software provider's earlier assessment.


Successful exploitation of the two security vulnerabilities could allow unauthenticated remote attackers to achieve arbitrary code execution and gain unauthorized access to sensitive information.


A separate cluster of activity has also been detected weaponizing the same flaws, including those that lead to [LockBit ransomware infections](https://thehackernews.com/2023/04/lockbit-ransomware-now-targeting-apple.html), Redmond further added.


## FIN7 Exploits Veeam Flaw CVE-2023-27532[#](#fin7-exploits-veeam-flaw-cve202327532)


The development comes as the Russian cybercrime group monitored as [FIN7](https://thehackernews.com/2022/04/fin7-hackers-leveraging-password-reuse.html) has been linked to attacks exploiting unpatched Veeam backup software instances to distribute POWERTRASH, a staple PowerShell-based in-memory dropper that executes an embedded payload.


[![FIN7 Exploits Veeam Flaw](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgmD2Yug3KxM2NaMyD3oN5APZBDw77dYtX2Zk3tJM6JX5b0xWy6NCOFpVXYxivi9U_Sm1aelNV2N4vohJMVOFJf363CZm9SGD7xXLypfu2P1v6enY3TAshs6dIaPCj9dtF-tDTRadROH0UCrlNTcWAYS6LZ58AJP273CZRhtKVkuDVPb0HnUxmAZnxY/s728-e365/sqlcmd.png)
The activity, detected by WithSecure on March 28, 2023, likely involved the abuse of [CVE-2023-27532](https://nvd.nist.gov/vuln/detail/cve-2023-27532), a high-severity flaw in Veeam Backup & Replication that permits an unauthenticated attacker to obtain encrypted credentials stored in the configuration database and gain access to the infrastructure hosts. It was patched last month.


"The threat actor used a series of commands as well as custom scripts to gather host and network information from the compromised machines," the Finnish cybersecurity company [said](https://labs.withsecure.com/publications/fin7-target-veeam-servers). "Furthermore, a series of SQL commands were executed to steal information from the Veeam backup database."


Also utilized in the attacks were custom PowerShell scripts to retrieve stored credentials from the backup servers, gather system information, and set up an active foothold in the compromised host by executing DICELOADER (aka Lizar or Tirion) every time the device boots up.


The hitherto undocumented persistence script has been codenamed POWERHOLD, with the DICELOADER malware decoded and executed using another unique loader referred to as DUBLOADER.


"The goal of these attacks were unclear at the time of writing, as they were mitigated before fully materializing," security researchers Neeraj Singh and Mohammad Kazem Hassan Nejad said, adding the findings point to the group's evolving tradecraft and modus operandi.


POWERHOLD and DUBLOADER are far from the only new pieces of malware added by FIN7 to its attack arsenal. IBM Security X-Force recently shed light on a loader and backdoor called [Domino](https://thehackernews.com/2023/04/fin7-and-ex-conti-cybercrime-gangs-join.html) that's designed to facilitate follow-on exploitation.


## Mirai Botnet Exploits TP-Link Archer WiFi Router Bug[#](#mirai-botnet-exploits-tplink-archer-wifi-router-bug)


In a related development, the Zero Day Initiative (ZDI) disclosed that the [Mirai botnet](https://thehackernews.com/2023/02/new-mirai-botnet-variant-v3g4.html) authors have updated their malware to include CVE-2023-1389, a high-severity flaw in TP-Link Archer AX21 routers that could allow an unauthenticated adversary to execute arbitrary code on affected installations.


[![Mirai Botnet Exploits](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhTb51yV3YYHpq91rsLfSVk3LEMcniHWQkCB3u8m0-OHY8UHSPpjdsoCybyDGa2McxukJkqgQuPhwUqOalR-Vtyg8YC05PPdlrTfG8joLfoKdqaI5DJ2ONU4ifvLgfO_MusQ_bFXVDoL8VU88h2bC3VpJxQlY8ohBEioTHT3c4V2bxZClV56SNT1Bg8/s728-e365/botnet.png)
The issue ([CVE-2023-1389](https://nvd.nist.gov/vuln/detail/CVE-2023-1389), CVSS score: 8.8) was demonstrated at the Pwn2Own hacking contest held in Toronto in December 2022 by researchers from Team Viettel, prompting the vendor to issue fixes in March 2023.


The first signs of in-the-wild exploitation, per ZDI, emerged on April 11, 2023, with the threat actors leveraging the flaw to make an HTTP request to the Mirai command-and-control (C2) servers to download and execute payloads responsible for co-opting the device into the botnet and [launch DDoS attacks](https://thehackernews.com/2022/11/warning-new-rapperbot-campaign-aims-to.html) [against game servers](https://thehackernews.com/2022/12/kmsdbot-botnet-suspected-of-being-used.html).


"This is nothing new for the maintainers of the Mirai botnet, who are known for quickly exploiting IoT devices to maintain their foothold in an enterprise," ZDI threat researcher Peter Girnus [said](https://www.zerodayinitiative.com/blog/2023/4/21/tp-link-wan-side-vulnerability-cve-2023-1389-added-to-the-mirai-botnet-arsenal). "Applying [this patch](https://www.tp-link.com/us/support/download/archer-ax21/v3/#Firmware) is the only recommended action to address this vulnerability."


  





## Tags:
***CVE's***: CVE-2023-1389 CVE-2023-27351 CVE-2023-27532

### Autogenerated tags:
[[malware]] [[veeam]] [[mirai]] [[botnet]] [[microsoft]] [[cl0p]] [[lockbit]] [[ransomware]] [[fin7]] [[zdi]]
