# Microsoft Warns Rise in XorDdos Malware Targeting Linux Devices
## Recent findings from Microsoft show that the activity of the Linux botnet known as XorDdos has increased dramatically over the last six months by 254%
## Information:

+ Link: https://thehackernews.com/2022/05/microsoft-warns-rise-in-xorddos-malware.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 20 May 2022, 11:18
+ Date scraped: 20 May 2022, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjRofcMkd-vYJ1HYsgICRnd-6I-BZ_APFlfHi0jNwpI0GjF_KVkT03A2hjx_mvbtArPS9lAgk1RCkgzB5mhvk-jDP1k0aJcGmR8zBSu4GSvimOUr_2lW76xBdBGWoQC_GSKzwnytjIErtVt9kxlj-wHaui17Wn8OOCaEXIa1peNGUrBvpfLH6OVawU8/s728-e1000/linux.jpg)


A Linux botnet malware known as **XorDdos** has witnessed a 254% surge in activity over the last six months, according to latest research from Microsoft.


The trojan, so named for carrying out denial-of-service attacks on Linux systems and its use of XOR-based encryption for communications with its command-and-control (C2) server, is [known](https://thehackernews.com/2015/09/xor-ddos-attack.html) to have been [active](https://blog.malwaremustdie.org/2014/09/mmd-0028-2014-fuzzy-reversing-new-china.html) since at least 2014.


"XorDdos' modular nature provides attackers with a versatile trojan capable of infecting a variety of Linux system architectures," Ratnesh Pandey, Yevgeny Kulakov, and Jonathan Bar Or of the Microsoft 365 Defender Research Team [said](https://www.microsoft.com/security/blog/2022/05/19/rise-in-xorddos-a-deeper-look-at-the-stealthy-ddos-malware-targeting-linux-devices/) in an exhaustive deep-dive of the malware.


"Its SSH brute force attacks are a relatively simple yet effective technique for gaining root access over a number of potential targets."


Remote control over vulnerable IoT and other internet-connected devices is gained by means of secure shell (SSH) brute-force attacks, enabling the malware to form a botnet capable of carrying distributed denial-of-service (DDoS) attacks.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhcdD1m-Vgz-DBBADggWV5tsLs5i3be9-0TKbCZunIYTxxPnaOYV0q20kAD2K5USAuFF6rQnEmMncF2NiTcNjGW84ANL0_qRVJv7Y2Zg0C7Pnv0nhr16vQZ0DExBEZy2iPbDhj98SATrDk8U6jHj3rb5toLrfU-eESyWWXMbz3_tni2zi8gqDXZPlOZ/s728-e100/flow.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhcdD1m-Vgz-DBBADggWV5tsLs5i3be9-0TKbCZunIYTxxPnaOYV0q20kAD2K5USAuFF6rQnEmMncF2NiTcNjGW84ANL0_qRVJv7Y2Zg0C7Pnv0nhr16vQZ0DExBEZy2iPbDhj98SATrDk8U6jHj3rb5toLrfU-eESyWWXMbz3_tni2zi8gqDXZPlOZ/s728-e100/flow.jpg)
Besides being compiled for ARM, x86, and x64 architectures, the malware is designed to support different Linux distributions, not to mention come with features to siphon sensitive information, install a rootkit, and act as a vector for follow-on activities.


In recent years, XorDdos has [targeted](https://thehackernews.com/2020/06/cryptocurrency-docker-image.html) unprotected Docker servers with exposed ports (2375), using victimized systems to overwhelm a target network or service with fake traffic in order to render it inaccessible.


XorDdos has since emerged as the top Linux-targeted threat in 2021, according to a [report](https://thehackernews.com/2022/04/hackers-exploiting-spring4shell.html) from CrowdStrike published earlier this January.


"XorDdos uses evasion and persistence mechanisms that allow its operations to remain robust and stealthy," the researchers noted.


"Its evasion capabilities include obfuscating the malware's activities, evading rule-based detection mechanisms and hash-based malicious file lookup, as well as using anti-forensic techniques to break process tree-based analysis."


  





## Tags:


### Autogenerated tags:
[[malware]] [[xorddos]] [[linux]]
