# Microsoft Warns of State-Sponsored Attacks Exploiting Critical PaperCut Vulnerability
## Iranian state-sponsored hackers join financially motivated actors in exploiting a critical flaw (CVE-2023-27350) in PaperCut print management software
## Information:

+ Link: https://thehackernews.com/2023/05/microsoft-warns-of-state-sponsored.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 09 May 2023, 14:23
+ Date scraped: 09 May 2023, 10:02

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjWJKf1saYGZ0b7XT1JQWUz3NMdQsvHIrj-ztluKQDozRWxsXgdYgnP63CvHsjvh96V7tM24UH7Cte-SsQGQ_8iZ3huAiphJ9vBw6mqyF61C1BlwbD0oRVKP7Sf45RDYTNNfA2m23T9ABpnsBNYpaTm1jkLh-e0Y3jQShOx5mVfbDvxZuFh0NpYrbhg/s728-e3650/papercut.png)


Iranian nation-state groups have now joined financially motivated actors in actively exploiting a critical flaw in PaperCut print management software, Microsoft said.


The tech giant's threat intelligence team said it observed both Mango Sandstorm (Mercury) and Mint Sandstorm (Phosphorus) weaponizing CVE-2023-27350 in their operations to achieve initial access.


"This activity shows Mint Sandstorm's continued ability to [rapidly incorporate [proof-of-concept] exploits](https://thehackernews.com/2023/04/iranian-government-backed-hackers.html) into their operations," Microsoft [said](https://twitter.com/MsftSecIntel/status/1654610012457648129) in a series of tweets.


On the other hand, CVE-2023-27350 exploitation activity associated with Mango Sandstorm is said to be on the lower end of the spectrum, with the state-sponsored group "using tools from prior intrusions to connect to their C2 infrastructure."


It's worth noting that [Mango Sandstorm](https://thehackernews.com/2023/04/iran-based-hackers-caught-carrying-out.html) is linked to Iran's Ministry of Intelligence and Security (MOIS) and [Mint Sandstorm](https://thehackernews.com/2023/04/charming-kittens-new-bellaciao-malware.html) is said to be associated with the Islamic Revolutionary Guard Corps (IRGC).


The ongoing assault comes weeks after Microsoft confirmed the involvement of Lace Tempest, a cybercrime gang that overlaps with other hacking groups like FIN11, TA505, and Evil Corp, in abusing the flaw to [deliver Cl0p and LockBit ransomware](https://thehackernews.com/2023/04/microsoft-confirms-papercut-servers.html).


CVE-2023-27350 (CVSS score: 9.8) relates to a critical flaw in PaperCut MF and NG installations that could be exploited by an unauthenticated attacker to execute arbitrary code with SYSTEM privileges.



A patch was made available by PaperCut on March 8, 2023. Trend Micro's Zero Day Initiative (ZDI), which discovered and reported the issue, is expected to release more technical information about it on May 10, 2023.


Cybersecurity firm VulnCheck, last week, [published details](https://thehackernews.com/2023/05/researchers-uncover-new-exploit-for.html) on a new line of attack that can circumvent existing detections, enabling adversaries to leverage the flaw unimpeded.


With more attackers jumping in on the PaperCut exploitation bandwagon to breach vulnerable servers, it's imperative that organizations move quickly to apply the necessary updates (versions 20.1.7, 21.2.11, and 22.0.9 and later).


The development also follows a report from Microsoft which [revealed](https://thehackernews.com/2023/05/meta-uncovers-massive-social-media.html) that Iranian threat actors in Iran are increasingly relying on a new tactic that combines offensive cyber operations with multi-pronged influence operations to "fuel geopolitical change in alignment with the regime's objectives."


The shift coincides with an increased tempo in adopting newly reported vulnerabilities, the use of compromised websites for command-and-control to better conceal the source of attacks, and harnessing custom tooling and tradecraft for maximum impact.



  





## Tags:
***CVE's***: CVE-2023-27350

### Autogenerated tags:
[[papercut]] [[microsoft]] [[cve-2023-27350]]
