# Mirai-based Botnet Exploiting Zero-Day Bugs in Routers and NVRs for Massive DDoS Attacks
## Active malware campaign exploits zero-day vulnerabilities to create a Mirai-based DDoS botnet targeting routers and NVR devices.
## Information:

+ Link: https://thehackernews.com/2023/11/mirai-based-botnet-exploiting-zero-day.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 23 November 2023, 16:17
+ Date scraped: 23 November 2023, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiRt7CbFWl2K7lU6CiNduEtShzzecFnCiKqpLYNv10qO9dfHfHIsCHjl7XN7mWQ7Nbv0KOvgLZNB6Iz-h0tz5GdyI1WdcxojO1hAlQJi5RC9UZLhVql8Va6XLeSAMNIR_TZ8WA9sJzSjImJlwJQszgDiQtV1SaJNbUs7b7m1ioEQjY6FK9S3nEn0QPqOAVE/s728-rw-ft-e30/botnet.jpg)


An active malware campaign is leveraging two zero-day vulnerabilities with remote code execution (RCE) functionality to rope routers and video recorders into a Mirai-based distributed denial-of-service (DDoS) botnet.


"The payload targets routers and network video recorder (NVR) devices with default admin credentials and installs Mirai variants when successful," Akamai [said](https://www.akamai.com/blog/security-research/new-rce-botnet-spreads-mirai-via-zero-days) in an advisory published this week.


Details of the flaws are currently under wraps to allow the two vendors to publish patches and prevent other threat actors from abusing them. The fixes for one of the vulnerabilities are expected to be shipped next month.


The attacks were first discovered by the web infrastructure and security company against its honeypots in late October 2023. The perpetrators of the attacks have not been identified as yet.


The botnet, which has been codenamed InfectedSlurs due to the use of racial and offensive language in the command-and-control (C2) servers and hard-coded strings, is a [JenX Mirai malware variant](https://www.radware.com/security/ddos-threats-attacks/threat-advisories-attack-reports/jenx/) that came to light in January 2018.


Akamai said it also identified additional malware samples that appeared to be linked to the [hailBot](https://thehackernews.com/2023/11/alert-oracleiv-ddos-botnet-targets.html) Mirai variant, the latter of which emerged in September 2023, according to a recent analysis from NSFOCUS.


"The hailBot is developed based on Mirai source code, and its name is derived from the string information 'hail china mainland' output after running," the Beijing-headquartered cybersecurity firm [noted](https://nsfocusglobal.com/mirai-botnets-new-wave-hailbot-kiraibot-catddos-and-their-fierce-onslaught/), detailing its ability to propagate via vulnerability exploitation and weak passwords.

 The development comes as Akamai [detailed](https://www.akamai.com/blog/security-research/defeating-webshells-wso-ng) a web shell called [wso-ng](https://thehackernews.com/2023/08/ongoing-xurum-attacks-on-e-commerce.html), an "advanced iteration" of WSO (short for "web shell by oRb") that integrates with legitimate tools like VirusTotal and SecurityTrails while stealthily concealing its login interface behind a [404 error page](https://thehackernews.com/2023/10/new-magecart-campaign-alters-404-error.html) upon attempting to access it.


One of the notable reconnaissance capabilities of the web shell involves retrieving AWS metadata for subsequent lateral movement as well as searching for potential Redis database connections so as to obtain unauthorized access to sensitive application data.


"Web shells allow attackers to run commands on servers to steal data or use the server as a launch pad for other activities like credential theft, lateral movement, deployment of additional payloads, or hands-on-keyboard activity, while allowing attackers to persist in an affected organization," Microsoft [said](https://www.microsoft.com/en-us/security/blog/2021/02/11/web-shell-attacks-continue-to-rise/) back in 2021.


The use of off-the-shelf web shells is also seen as an attempt by threat actors to challenge attribution efforts and fly under the radar, a key hallmark of cyber espionage groups that specialize in intelligence gathering.


Another [common tactic](https://thehackernews.com/2023/01/over-4500-wordpress-sites-hacked-to.html) adopted by [attackers](https://thehackernews.com/2022/05/thousands-of-wordpress-sites-hacked-to.html) is the use of [compromised-but-legitimate domains](https://thehackernews.com/2023/10/over-17000-wordpress-sites-compromised.html) for C2 purposes and malware distribution.


In August 2023, Infoblox disclosed a [widespread attack](https://blogs.infoblox.com/cyber-threat-intelligence/cyber-threat-advisory/vextrio-deploys-dns-based-tds-server/) involving compromised WordPress websites that conditionally redirect visitors to intermediary C2 and dictionary domain generation algorithm (DDGA) domains. The [activity](https://blog.sucuri.net/2023/08/from-google-dns-to-tech-support-scam-sites-unmasking-the-malware-trail.html) has been attributed to a threat actor named VexTrio.


  





## Tags:


### Autogenerated tags:
[[malware]] [[mirai]] [[c2]]
