# Mispadu Trojan Targets Europe, Thousands of Credentials Compromised
## Banking trojan Mispadu expands from Latin America, now targets users in Italy, Poland & Sweden. Finance, automotive, legal & commercial entities at ri
## Information:

+ Link: https://thehackernews.com/2024/04/mispadu-trojan-targets-europe-thousands.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 03 April 2024, 15:02
+ Date scraped: 03 April 2024, 10:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgp_ui36luirVwCC-9S3hmpIbKfGQSK98Cw528hmrpRAw60AzvnCKLPExZYrP1dKZK3RDrHcX6HUGz0CgsP0-_ypDiC7FW4fmRrssjbHljpPzZSVw4RUmsPwhdZYwegJRaCuE0tTguvi5WwABXUUQA6auGVldQ6PzYrU8tOD7vyDLHc0mWz-Ddq1IQmkmtj/s728-rw-e365/hacking.png)


The banking trojan known as **Mispadu** has expanded its focus beyond Latin America (LATAM) and Spanish-speaking individuals to target users in Italy, Poland, and Sweden.


Targets of the ongoing campaign include entities spanning finance, services, motor vehicle manufacturing, law firms, and commercial facilities, according to Morphisec.


"Despite the geographic expansion, Mexico remains the primary target," security researcher Arnold Osipov [said](https://blog.morphisec.com/mispadu-infiltration-beyond-latam) in a report published last week.


"The campaign has resulted in thousands of stolen credentials, with records dating back to April 2023. The threat actor leverages these credentials to orchestrate malicious phishing emails, posing a significant threat to recipients."


Mispadu, also called URSA, [came to light](https://thehackernews.com/2023/03/mispadu-banking-trojan-targets-latin.html) in 2019, when it was observed carrying out credential theft activities aimed at financial institutions in Brazil and Mexico by displaying fake pop-up windows. The Delphi-based malware is also capable of taking screenshots and capturing keystrokes.


Typically distributed via spam emails, [recent attack chains](https://thehackernews.com/2024/02/new-mispadu-banking-trojan-exploiting.html) have leveraged a now-patched Windows SmartScreen security bypass flaw (CVE-2023-36025, CVSS score: 8.8) to compromise users in Mexico.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLX0O_pua_BNGD7OG05Td7ASGHjT-c6rLVfmEazcitNrUN4aS12_9AAEWdojbHmrg0EkMQCSyD42w-d6egVdsdVtAEaH-Z0w0f-jU1frNCfaTUp5tY4bg1olzAEY_W1iVATonnvuYqpel_Mxe4TJmkCMSqLOo4ol9NEGBRh_a8C0JhApfKqY8f-wf9m978/s728-e365/wing-d.png)](https://thehackernews.uk/automated-remediation-wing)
The infection sequence analyzed by Morphisec is a multi-stage process that commences with a PDF attachment present in invoice-themed emails that, when opened, prompts the recipient to click on a booby-trapped link to download the complete invoice, resulting in the download of a ZIP archive.


The ZIP comes with either an MSI installer or an HTA script that's responsible for retrieving and executing a Visual Basic Script (VBScript) from a remote server, which, in turn, downloads a second VBScript that ultimately downloads and launches the Mispadu payload using an AutoIT script but after it's decrypted and injected into memory by means of a loader.


"This [second] script is heavily obfuscated and employs the same decryption algorithm as mentioned in the DLL," Osipov said.


"Before downloading and invoking the next stage, the script conducts several Anti-VM checks, including querying the computer's model, manufacturer, and BIOS version, and comparing them to those associated with virtual machines."


The Mispadu attacks are also characterized by the use of two distinct command-and-control (C2) servers, one for fetching the intermediate and final-stage payloads and another for exfiltrating the stolen credentials from over 200 services. There are currently more than 60,000 files in the server.


The development comes as the DFIR Report [detailed](https://thedfirreport.com/2024/04/01/from-onenote-to-ransomnote-an-ice-cold-intrusion/) a February 2023 intrusion that entailed the abuse of malicious Microsoft OneNote files to drop [IcedID](https://thehackernews.com/2023/07/icedid-malware-adapts-and-expands.html), using it to drop Cobalt Strike, AnyDesk, and the Nokoyawa ransomware.


Microsoft, exactly a year ago, [announced](https://thehackernews.com/2023/04/microsoft-tightens-onenote-security-by.html) that it would start blocking 120 extensions embedded within OneNote files to prevent its abuse for malware delivery.


YouTube Videos for Game Cracks Serve Malware[#](#youtube-videos-for-game-cracks-serve-malware)
----------------------------------------------------------------------------------------------


The findings also come as enterprise security firm Proofpoint said several YouTube channels promoting cracked and pirated video games are [acting](https://www.cybereason.com/blog/from-cracked-to-hacked-malware-spread-via-youtube-videos) as a [conduit](https://thehackernews.com/2024/01/beware-youtube-videos-promoting-cracked.html) to deliver information stealers such as Lumma Stealer, Stealc, and Vidar by adding malicious links to video descriptions.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"The videos purport to show an end user how to do things like download software or upgrade video games for free, but the link in the video descriptions leads to malware," security researcher Isaac Shaughnessy [said](https://www.proofpoint.com/us/blog/threat-insight/threat-actors-deliver-malware-youtube-video-game-cracks) in an analysis published today.


There is evidence to suggest that such videos are posted from compromised accounts, but there is also the possibility that the threat actors behind the operation have created short-lived accounts for dissemination purposes.


All the videos include Discord and MediaFire URLs that point to password-protected archives that ultimately lead to the deployment of the stealer malware.


Proofpoint said it identified multiple distinct activity clusters propagating stealers via YouTube with an aim to single out non-enterprise users. The campaign has not been attributed to a single threat actor or group.


"The techniques used are similar, however, including the use of video descriptions to host URLs leading to malicious payloads and providing instructions on disabling antivirus, and using similar file sizes with bloating to attempt to bypass detections," Shaughnessy said.


  





## Tags:
***CVE's***: CVE-2023-36025

### Autogenerated tags:
[[mispadu]] [[malware]] [[emails]] [[youtube]]
