# MuddyC2Go: New C2 Framework Iranian Hackers Using Against Israel
## MuddyWater expands its cyber arsenal with MuddyC2Go, a new C2 framework used in sophisticated attacks targeting Israel.
## Information:

+ Link: https://thehackernews.com/2023/11/muddyc2go-new-c2-framework-iranian.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 09 November 2023, 16:20
+ Date scraped: 09 November 2023, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiM8EIQYL38Gq7BVWA_TsSkxScBXcDLobpo_Hjov5JFX9lBt4QVnzSBYTW4NmmbUt7paaX4CX99lnHktyzfjIE11J_ZLQdEx0Af9m1T-CJDKO_8xlTscqYSe10SrWuVWUVMB_QTT-sjVcnDhZPCOUo-HTnUbF4wMF15UvaTA6OfmWju0ZMjXnl6fZEuF7Ez/s728-rw-ft-e30/cyber.jpg)


Iranian nation-state actors have been observed using a previously undocumented command-and-control (C2) framework called **MuddyC2Go** as part of [attacks targeting Israel](https://thehackernews.com/2023/11/irans-muddywater-targets-israel-in-new.html).


"The framework's web component is written in the Go programming language," Deep Instinct security researcher Simon Kenin [said](https://www.deepinstinct.com/blog/muddyc2go-latest-c2-framework-used-by-iranian-apt-muddywater-spotted-in-israel) in a technical report published Wednesday.


The tool has been attributed to [MuddyWater](https://www.secureworks.com/blog/business-as-usual-for-iranian-operations-despite-increased-tensions), an [Iranian](https://blog.talosintelligence.com/iranian-apt-muddywater-targets-turkey/) [state-sponsored](https://www.mandiant.com/resources/blog/telegram-malware-iranian-espionage) [hacking](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/seedworm-apt-iran-middle-east) [crew](https://www.security.ntt/blog/analysis-of-an-iranian-apts-e400-powgoop-variant) that's affiliated to the country's Ministry of Intelligence and Security (MOIS).


The cybersecurity firm said the C2 framework may have been put to use by the threat actor since early 2020, with recent attacks leveraging it in place of PhonyC2, another custom C2 platform from MuddyWater that came to light in June 2023 and has had its source code leaked.


Typical attack sequences observed over the years have involved sending spear-phishing emails bearing malware-laced archives or bogus links that lead to the deployment of legitimate remote administration tools.


The installation of the remote administration software paves the way for the delivery of additional payloads, including PhonyC2.


MuddyWater's modus operandi has since received a facelift, using password-protected archives to evade email security solutions and distributing an executable instead of a remote administration tool.


"This executable contains an embedded PowerShell script that automatically connects to MuddyWater's C2, eliminating the need for manual execution by the operator," Kenin explained.


The MuddyC2Go server, in return, sends a PowerShell script, which runs every 10 seconds and waits for further commands from the operator.


While the full extent of MuddyC2Go's features are unknown, it's suspected to be a framework that's responsible for generating PowerShell payloads in order to conduct post-exploitation activities.


"We recommend disabling PowerShell if it is not needed," Kenin said. "If it is enabled, we recommend close monitoring of PowerShell activity."


  





## Tags:


### Autogenerated tags:
[[powershell]] [[c2]] [[muddywater]] [[muddyc2go]] [[kenin]]
