# MyloBot Botnet Spreading Rapidly Worldwide: Infecting Over 50,000 Devices Daily
## New research has unveiled that a new botnet malware MyloBot is rapidly spreading and has already compromised thousands of systems.
## Information:

+ Link: https://thehackernews.com/2023/02/mylobot-botnet-spreading-rapidly.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 21 February 2023, 13:39
+ Date scraped: 21 February 2023, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhPWD1mIOZN3qGcZI8dEvZZIQbf0d8deyWUOsKFOMoYH06j8_sUu6mdH_-RN8AqWbRXh7NSsc7KZKO5zinEkB1P-8y-sh3hLcvK6R3dINqrPvHdTILCcuMYXufvlpFk2Vb96Ar9K1wkM07u7wzOW1GM35SKyzmQkOA6UNqniZI0wmgxCRP151E4mAtq/s728-e3650/botnet.jpg)


A sophisticated botnet known as MyloBot has compromised thousands of systems, with most of them located in India, the U.S., Indonesia, and Iran.


That's according to new findings from BitSight, which [said](https://www.bitsight.com/blog/mylobot-investigating-proxy-botnet) it's "currently seeing more than 50,000 unique infected systems every day," down from a high of 250,000 unique hosts in 2020.


Furthermore, an analysis of MyloBot's infrastructure has found connections to a residential proxy service called BHProxies, indicating that the compromised machines are being used by the latter.


MyloBot, which emerged on the threat landscape in 2017, was [first documented](https://www.deepinstinct.com/blog/meet-mylobot-a-new-highly-sophisticated-never-seen-before-botnet-thats-out-in-the-wild) by Deep Instinct in 2018, calling out its anti-analysis techniques and its ability to function as a downloader.


"What makes Mylobot dangerous is its ability to download and execute any type of payload after it infects a host," Lumen's Black Lotus Labs [said](https://blog.lumen.com/mylobot-continues-global-infections/) in November 2018. "This means at any time it could download any other type of malware the attacker desires."


Last year, the malware was observed [sending extortion emails](https://thehackernews.com/2022/02/new-mylobot-malware-variant-sends.html) from hacked endpoints as part of a financially motivated campaign seeking over $2,700 in Bitcoin.


[![MyloBot Botnet](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg4y9asHZIkgRqcs74eur21VSy0m_q48PTJ-7rThCZ78uWx_JmOL9ggPi9DYxvXhYfGtyTlCzDyjqez5ViBPMmemHvv7DEiqgMtPdx7m2TRhmvSjvGWwloqOnrLiwdbL9RTYdkUcTOqyIs_qnDCXjpi67vyfh8qtOiiAMUntbF2hEpH7eHptcbSvhb8/s728-e365/malware.png)
MyloBot is known to employ a multi-stage sequence to unpack and launch the bot malware. Notably, it also sits idle for 14 days before attempting to contact the command-and-control (C2) server to sidestep detection.


The primary function of the botnet is to establish a connection to a hard-coded C2 domain embedded within the malware and await further instructions.


"When Mylobot receives an instruction from the C2, it transforms the infected computer into a proxy," BitSight said. "The infected machine will be able to handle many connections and relay traffic sent through the command-and-control server."

 Subsequent iterations of the malware have leveraged a downloader that, in turn, contacts a C2 server, which responds with an encrypted message containing a link to retrieve the MyloBot payload.


[![MyloBot Botnet](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiA2j4gjRUjrf1rtCNo7-VQtHfCByvdQFRlzZnBfdtR1fBgmM0sF2EoHHsQtdV9wkxg4gNvhodFCKoafVNQ1J0Vyj08dE580un2bXrll3qLEzC1CrIQ75LIPgrrqIel9-RriW5KDvef_cc4oco7n-5N1Q0IzP_z2pKrLEKJiLRaILXRg97dmi0NuC9X/s728-e365/map.png)
The evidence that MyloBot could be a part of something bigger stems from a reverse DNS lookup of one of the IP addresses associated with the botnet's C2 infrastructure has revealed ties to a domain named "clients.bhproxies[.]com."


The Boston-based cybersecurity company said it began sinkholing MyloBot in November 2018 and that it continues to see the botnet evolve over time.



  





## Tags:
***urls***: http://clients.bhproxies.com

### Autogenerated tags:
[[mylobot]] [[malware]] [[c2]] [[botnet]]
