# N. Korean Kimsuky Targeting South Korean Research Institutes with Backdoor Attacks
## North Korean threat actor Kimsuky targets South Korean research institutes in a spear-phishing campaign. Learn how they use backdoors.
## Information:

+ Link: https://thehackernews.com/2023/12/n-korean-kimsuky-targeting-south-korean.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 08 December 2023, 19:03
+ Date scraped: 08 December 2023, 14:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiifD26XZT8DlNHI9oy5JOxz7h7LZ9nF55kuIoH6LaYjIRtqdzWMVUyqD5n9mGFn9WCvxAwbRjf-QKnoUbkGqTbfThVsBRhC82cY0X87YKiTZY4P5MNuC-qXCmctxhEf435iOzCwpSE46jucBgCFoYUtA7MKhGlBY69MpwmcPgCx4_ECuge0W4k1MTN9kT9/s728-rw-ft-e30/hackers.jpg)


The North Korean threat actor known as **Kimsuky** has been observed targeting research institutes in South Korea as part of a spear-phishing campaign with the ultimate goal of distributing backdoors on compromised systems.


"The threat actor ultimately uses a backdoor to steal information and execute commands," the AhnLab Security Emergency Response Center (ASEC) [said](https://asec.ahnlab.com/en/59387/) in an analysis posted last week.


The attack chains commence with an import declaration lure that's actually a malicious JSE file containing an obfuscated PowerShell script, a Base64-encoded payload, and a decoy PDF document.


The next stage entails opening the PDF file as a diversionary tactic, while the PowerShell script is executed in the background to launch the backdoor.


The malware, for its part, is configured to collect network information and other relevant data (i.e., host name, user name, and operating system version) and transmit the encoded details to a remote server.


It's also capable of running commands, executing additional payloads, and terminating itself, turning it into a backdoor for remote access to the infected host.


 UPCOMING WEBINAR  [Cracking the Code: Learn How Cyber Attackers Exploit Human Psychology](https://thehacker.news/social-engineering-psychology?source=inside)  Ever wondered why social engineering is so effective? Dive deep into the psychology of cyber attackers in our upcoming webinar.

 [Join Now](https://thehacker.news/social-engineering-psychology?source=inside) 
Kimsuky, active since at least 2012, started off targeting South Korean government entities, think tanks, and individuals identified as experts in various fields, before expanding its victimology footprint to encompass Europe, Russia, and the U.S.


Earlier this month, the U.S. Treasury Department [sanctioned](https://thehackernews.com/2023/12/us-treasury-sanctions-north-korean.html) Kimsuky for gathering intelligence to support North Korea's strategic objectives, including geopolitical events, foreign policy, and diplomatic efforts.


"Kimsuky has focused its intelligence collection activities on foreign policy and national security issues related to the Korean peninsula, nuclear policy, and sanctions," cybersecurity firm ThreatMon [noted](https://threatmon.io/storage/unraveling-the-layers-analysis-of-kimsukys-multi-staged-cyberattack/) in a recent report.


The state-sponsored group has also been observed leveraging booby-trapped URLs that, when clicked, download a bogus ZIP archive masquerading as an update for the Chrome browser to deploy a malicious VBScript from Google Drive that employs the cloud storage as a conduit for data exfiltration and command-and-control (C2).


Lazarus Group Goes Phishing on Telegram[#](#lazarus-group-goes-phishing-on-telegram)
------------------------------------------------------------------------------------


The development comes as blockchain security company SlowMist implicated the notorious North Korea-backed outfit called the Lazarus Group in a widespread phishing campaign on Telegram targeting the cryptocurrency sector.


"More recently, these hackers have escalated their tactics by posing as reputable investment institutions to execute phishing scams against various cryptocurrency project teams," the Singapore-based firm [said](https://slowmist.medium.com/analysis-of-north-korean-hackers-targeted-phishing-scams-on-telegram-872db3f7392b).


After establishing rapport, the targets are deceived into downloading a malicious script under the guise of sharing an online meeting link that facilitates crypto theft.


It also follows a report from the Seoul Metropolitan Police Agency (SMPA) that [accused](https://www.smpa.go.kr/user/nd42986.do?View&boardNo=00300907) the Lazarus sub-cluster codenamed [Andariel](https://thehackernews.com/2023/11/n-korean-hackers-mixing-and-matching.html) of stealing technical information about anti-aircraft weapon systems from domestic defense companies and laundering ransomware proceeds back to North Korea.


[![Phishing on Telegram](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg0R1LS1rguP-8geOrmS7NHKcAgmiYAyUHcceXIqZu-PP5JP-VQC2mEaDsdHDgc0RN6PT8noMazjtwRk83vPndIXwfrgy_lK11tBxcflBv_Du7ZFdAlkXUZhx_9gsbq-f_NZDMYPemE18i7oS_Ye0O9G48-EZGKv9XDnIg8wvKwXAJ070mT2MYrr1s9jbgm/s728-rw-ft-e30/links.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg0R1LS1rguP-8geOrmS7NHKcAgmiYAyUHcceXIqZu-PP5JP-VQC2mEaDsdHDgc0RN6PT8noMazjtwRk83vPndIXwfrgy_lK11tBxcflBv_Du7ZFdAlkXUZhx_9gsbq-f_NZDMYPemE18i7oS_Ye0O9G48-EZGKv9XDnIg8wvKwXAJ070mT2MYrr1s9jbgm/s728-rw-ft-e30/links.jpg)
It is estimated that more than 250 files amounting to 1.2 terabytes have been stolen in the attacks. To cover up the tracks, the adversary is said to have used servers from a local company that "rents servers to subscribers with unclear identities" as an entry point.


In addition, the group extorted 470 million won ($356,000) worth of bitcoin from three South Korean firms in ransomware attacks and laundered them through virtual asset exchanges such as Bithumb and Binance. It's worth noting that Andariel has been linked to the deployment of [Maui ransomware](https://thehackernews.com/2023/06/north-korean-hacker-group-andariel.html) in the past.


  





## Tags:


### Autogenerated tags:
[[kimsuky]] [[phishing]] [[ransomware]]
