# N.K. Hackers Employ Matryoshka Doll-Style Cascading Supply Chain Attack on 3CX
## Google-owned Mandiant has uncovered a Matryoshka doll-style attack against 3CX.
## Information:

+ Link: https://thehackernews.com/2023/04/nk-hackers-employ-matryoshka-doll-style.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 21 April 2023, 09:55
+ Date scraped: 21 April 2023, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjYQKkzY_-mItw25Wa6aQD0IVkkL1G7_qgOa1tw2npjUQUrl-xwgz9g1wJ9Q1Drav9iy8Q0Dhj9J_9szRCLzM0vldk7WEUr_x93_N9pMzqV1mYPdl59j5aD2CPYNqmwrl9vQ6WKwvh3LXtyOvVytBIfLsknbKJ0EfpukdsnLKVPF7TcKzlg6dAS7Mzr/s728-e3650/supply-chain-hack.png)


The supply chain attack targeting 3CX was the result of a prior supply chain compromise associated with a different company, demonstrating a new level of sophistication with North Korean threat actors.


Google-owned Mandiant, which is [tracking](https://thehackernews.com/2023/04/lazarus-sub-group-labyrinth-chollima.html) the attack event under the moniker **UNC4736**, [said](https://www.mandiant.com/resources/blog/3cx-software-supply-chain-compromise) the incident marks the first time it has seen a "software supply chain attack lead to another software supply chain attack."


The Matryoshka doll-style cascading attack against 3CX first came to light on March 29, 2023, when it [emerged](https://thehackernews.com/2023/03/3cx-supply-chain-attack-heres-what-we.html) that Windows and macOS versions of its communication software were trojanized to deliver a C/C++-based data miner named ICONIC Stealer by means of a downloader, SUDDENICON, that used icon files hosted on GitHub to extract the server containing the stealer.


"The malicious application next attempts to steal sensitive information from the victim user's web browser," the U.S. Cybersecurity and Infrastructure Security Agency (CISA) [said](https://www.cisa.gov/news-events/alerts/2023/04/20/cisa-releases-malware-analysis-report-iconicstealer) in an analysis of the malware. "Specifically it will target the Chrome, Edge, Brave, or Firefox browsers."


Select attacks targeting cryptocurrency companies also entailed the deployment of a next-stage backdoor referred to as [Gopuram](https://thehackernews.com/2023/04/cryptocurrency-companies-targeted-in.html) that's capable of running additional commands and interacting with the victim's file system.


Mandiant's [investigation](https://www.3cx.com/blog/news/mandiant-security-update2/) into the sequence of events has now revealed the patient zero to be a malicious version of a now-discontinued software provided by a fintech company called Trading Technologies, which was downloaded by a 3CX employee to their personal computer.


It described the initial intrusion vector as "a malware-laced software package distributed via an earlier software supply chain compromise that began with a tampered installer for X\_TRADER."


This rogue installer, in turn, contained a setup binary that dropped two trojanized DLLs and an innocuous executable, the latter of which is used to side-load one of the DLLs that's camouflaged as a legitimate dependency.


The attack chain then made use of open source tools like [SIGFLIP](https://github.com/med0x2e/SigFlip) and [DAVESHELL](https://github.com/monoxgas/sRDI) to ultimately extract and execute VEILEDSIGNAL, a multi-stage modular backdoor written in C that's capable of sending data, executing shellcode, and terminating itself.


The initial compromise of the employee's personal computer using VEILEDSIGNAL enabled the threat actor to obtain the individual's corporate credentials, two after which the first unauthorized access to its network took place via a VPN by taking advantage of the stolen credentials.


Besides identifying tactical similarities between the compromised X\_TRADER and 3CXDesktopApp apps, Mandiant found that the threat actor subsequently laterally moved within the 3CX environment and breached the Windows and macOS build environments.


"On the Windows build environment, the attacker deployed a TAXHAUL launcher and COLDCAT downloader that persisted by performing DLL side-loading through the IKEEXT service and ran with LocalSystem privileges," Mandiant said. "The macOS build server was compromised with POOLRAT backdoor using Launch Daemons as a persistence mechanism."


POOLRAT, previously classified by the threat intelligence firm as SIMPLESEA, is a C/C++ macOS implant capable of collecting basic system information and executing arbitrary commands, including carrying out file operations.


UNC4736 is suspected to be a threat group with North Korean nexus, an assessment that's been reinforced by ESET's [discovery](https://thehackernews.com/2023/04/lazarus-group-adds-linux-malware-to.html) of an overlapping command-and-control (C2) domain (journalide[.]org) employed in the supply chain attack and that of a Lazarus Group campaign called Operation Dream Job.


Evidence gathered by Mandiant shows that the group exhibits commonalities with another intrusion set tracked as [Operation AppleJeus](https://thehackernews.com/2022/12/north-korean-hackers-spread-applejeus.html), which has a track record of carrying out financially motivated attacks.


What's more, the breach of Trading Technologies' website is said to have taken place in early February 2022 by [weaponizing](https://thehackernews.com/2022/03/north-korean-hackers-exploited-chrome.html) a then zero-day flaw in Google Chrome ([CVE-2022-0609](https://thehackernews.com/2022/02/new-chrome-0-day-bug-under-active.html)) to activate a multi-stage infection chain responsible for serving unknown payloads to the site visitors.


"The site www.tradingtechnologies[.]com was compromised and hosting a hidden IFRAME to exploit visitors, just two months before the site was known to deliver a trojanized X\_TRADER software package," Mandiant explained.


Another link connecting it to AppleJeus is the threat actor's previous use of an older version of POOLRAT as part of a [long-running campaign](https://www.cisa.gov/news-events/cybersecurity-advisories/aa21-048a) disseminating booby-trapped trading applications like [CoinGoTrade](https://www.cisa.gov/news-events/analysis-reports/ar21-048e) to facilitate cryptocurrency theft.


The entire scale of the campaign remains unknown, and it's currently not clear if the compromised X\_TRADER software was used by other firms. The platform was purportedly decommissioned in April 2020, but it was still available to download from the site in 2022.


3CX, in an [update](https://www.3cx.com/blog/news/security-action-plan/) shared on April 20, 2023, said it's taking steps to harden its systems and minimize the risk of nested software-in-software supply chain attacks by enhancing product security, incorporating tools to ensure the integrity of its software, and establishing a new department for Network Operations and Security.


"Cascading software supply chain compromises demonstrate that North Korean operators can exploit network access in creative ways to develop and distribute malware, and move between target networks while conducting operations aligned with North Korea's interests," Mandiant said.


  





## Tags:
***CVE's***: CVE-2022-0609
***urls***: http://www.tradingtechnologies.com http://journalide.org

### Autogenerated tags:
[[mandiant]] [[3cx]] [[macos]] [[x_trader]] [[windows]] [[trojanized]] [[poolrat]]
