# Nation State Hackers Exploiting Zero-Day in Roundcube Webmail Software
## Attention to all Roundcube users: Security researchers have discovered malicious activity from Winter Vivern.
## Information:

+ Link: https://thehackernews.com/2023/10/nation-state-hackers-exploiting-zero.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 25 October 2023, 18:50
+ Date scraped: 25 October 2023, 14:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgN8gr2UVA3841cci7OVavoDxTyBwNvHE6fc7a5TIlTEr7J-PHTWAQZaK-75TO_S0mLFfdruhdMUJy31DmKN_XOrRk3S5mljimFJHvzQegUZ1AcEyuaOXAo4LL0w7t8XSDZY0glgTgYiPI0XRvP1zmNHYOyqA8uI0haxqBKcNmKIpzdSa-WoyofrgMBjZRn/s728-rw-ft-e30/email-hacking.jpg)


The threat actor known as [Winter Vivern](https://thehackernews.com/2023/03/winter-vivern-apt-targets-european.html) has been observed exploiting a zero-day flaw in Roundcube webmail software on October 11, 2023, to harvest email messages from victims' accounts.


"Winter Vivern has stepped up its operations by using a zero-day vulnerability in Roundcube," ESET security researcher Matthieu Faou [said](https://www.welivesecurity.com/en/eset-research/winter-vivern-exploits-zero-day-vulnerability-roundcube-webmail-servers/) in a new report published today. Previously, it was using known vulnerabilities in Roundcube and Zimbra, for which proofs-of-concept are available online."


Winter Vivern, also known as TA473 and UAC-0114, is an [adversarial collective](https://thehackernews.com/2023/08/researchers-uncover-decade-long-cyber.html) whose objectives align with that of Belarus and Russia. Over the past few months, it has been attributed to attacks against Ukraine and Poland, as well as government entities across Europe and India.


The group is also assessed to have exploited another flaw Roundcube previously (CVE-2020-35730), making it the [second nation-state group after APT28](https://thehackernews.com/2023/06/microsoft-warns-of-widescale-credential.html) to target the open-source webmail software.


[![Roundcube Webmail Software](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjTQu5injTVz8N97LhRC3mVKxPn6Xdh6gxSnWJDsyqlF67F6tksxuIM3Kb2tmAcjmjn1MeK65yZrL_ozCCZ3AWtMLeXfFX5NraTTnackjC8wjFaKxeknewpnRODbW5x1R9fGLZ-sk0fecWxlJtSAc50q24tVYtcbpUSAZDsNa-CBrTqekimWU2j8c3xHdku/s728-rw-ft-e30/email.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjTQu5injTVz8N97LhRC3mVKxPn6Xdh6gxSnWJDsyqlF67F6tksxuIM3Kb2tmAcjmjn1MeK65yZrL_ozCCZ3AWtMLeXfFX5NraTTnackjC8wjFaKxeknewpnRODbW5x1R9fGLZ-sk0fecWxlJtSAc50q24tVYtcbpUSAZDsNa-CBrTqekimWU2j8c3xHdku/s728-rw-ft-e30/email.jpg)
The new security vulnerability in question is [CVE-2023-5631](https://nvd.nist.gov/vuln/detail/CVE-2023-5631) (CVSS score: 5.4), a stored cross-site scripting flaw that could allow a remote attacker to load arbitrary JavaScript code. A fix was released on October 14, 2023.


Attack chains mounted by the group commence with a phishing message that incorporates a Base64-encoded payload in the HTML source code that, in turn, decodes to a JavaScript injection from a remote server by weaponizing the XSS flaw.


"In summary, by sending a specially crafted email message, attackers are able to load arbitrary JavaScript code in the context of the Roundcube user's browser window," Faou explained. "No manual interaction other than viewing the message in a web browser is required."


The second-stage JavaScript (checkupdate.js) is a loader that facilitates the execution of a final JavaScript payload that allows the threat actor to exfiltrate email messages to a command-and-control (C2) server.


"Despite the low sophistication of the group's toolset, it is a threat to governments in Europe because of its persistence, very regular running of phishing campaigns, and because a significant number of internet-facing applications are not regularly updated although they are known to contain vulnerabilities," Faou said.



  





## Tags:
***CVE's***: CVE-2020-35730 CVE-2023-5631

### Autogenerated tags:
[[roundcube]] [[javascript]] [[vivern]] [[faou]]
