# New Agent Tesla Malware Variant Using ZPAQ Compression in Email Attacks
## New variant of Agent Tesla malware identified. It's a keylogger and remote access trojan (RAT) offered as part of a malware-as-a-service (MaaS) model.
## Information:

+ Link: https://thehackernews.com/2023/11/new-agent-tesla-malware-variant-using.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 21 November 2023, 17:27
+ Date scraped: 21 November 2023, 12:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjMd4jhXbWwzGCPsJ_OdZY1iGZpoRW9znSKu_437p7sCnl6V1J0nuUrZlB_fLEVTVocKHpwJaEehOyUret6FZEnuc4bPoAiZubv-kgO_B2e0lrLSt8_jOEPPK-Hq_fZ2KYXH8t2QhuGdu56ITl20tr7FqeepljxehmNFwEyDjvrle3QeQVsUiqz0ZcIBJwj/s728-rw-ft-e30/malware.jpg)


A new variant of the **Agent Tesla** malware has been observed delivered via a lure file with the [ZPAQ compression format](https://mattmahoney.net/dc/zpaq.html) to harvest data from several email clients and nearly 40 web browsers.


"ZPAQ is a file compression format that offers a better compression ratio and journaling function compared to widely used formats like ZIP and RAR," G Data malware analyst Anna Lvova [said](https://www.gdatasoftware.com/blog/2023/11/37822-agent-tesla-zpaq) in a Monday analysis.


"That means that ZPAQ archives can be smaller, saving storage space and bandwidth when transferring files. However, ZPAQ has the biggest disadvantage: limited software support."


First appearing in 2014, Agent Tesla is a [keylogger](https://cofense.com/blog/the-rise-of-agent-tesla-understanding-the-notorious-keylogger/) and [remote access trojan](https://www.blackberry.com/us/en/solutions/endpoint-security/ransomware-protection/agent-tesla) (RAT) written in .NET that's [offered](https://thehackernews.com/2023/09/sophisticated-phishing-campaign.html) to other threat actors as part of a malware-as-a-service (MaaS) model.


It's often used as a first-stage payload, providing remote access to a compromised system and utilized to download more sophisticated second-stage tools such as ransomware.


Agent Tesla is typically delivered via phishing emails, with [recent campaigns](https://thehackernews.com/2023/09/alert-phishing-campaigns-deliver-new.html) leveraging a six-year-old memory corruption vulnerability in Microsoft Office's Equation Editor (CVE-2017-11882).


[![Agent Tesla Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjbK7VJ870Vd6TD3Fjzfo5fIxDhrljnWm075yVRTMO0FWFcTiTGEyCwoznS25wLfXfqDvkHou1ioz2JfGKzI2XkHtCed5buQ0edXXtIS4_Erl0E62EhPYM0EhmGD6iNul4CHiijUPtZCfVs3Nh0E1z9uMT2t7ZSBWSX5njkIuBOJ-p7HQbFUj6BulTnSl_D/s728-rw-ft-e30/ps.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjbK7VJ870Vd6TD3Fjzfo5fIxDhrljnWm075yVRTMO0FWFcTiTGEyCwoznS25wLfXfqDvkHou1ioz2JfGKzI2XkHtCed5buQ0edXXtIS4_Erl0E62EhPYM0EhmGD6iNul4CHiijUPtZCfVs3Nh0E1z9uMT2t7ZSBWSX5njkIuBOJ-p7HQbFUj6BulTnSl_D/s728-rw-ft-e30/ps.jpg)
The latest attack chain begins with an email containing a ZPAQ file attachment that purports to be a PDF document, opening which extracts a bloated .NET executable that's mostly padded with zero bytes to artificially inflate the sample size to 1 GB in an effort to bypass traditional security measures.


"The main function of the unarchived .NET executable is to download a file with .wav extension and decrypt it," Lvova explained. "Using commonly used file extensions disguises the traffic as normal, making it more difficult for network security solutions to detect and prevent malicious activity."


The end goal of the attack is to infect the endpoint with Agent Teslathat's obfuscated with [.NET Reactor](https://www.eziriz.com/dotnet_reactor.htm), a legitimate code protection software. Command-and-control (C2) communications is accomplished via Telegram.


The development is a sign that threat actors are experimenting with uncommon file formats for malware delivery, necessitating that users be on the lookout for suspicious emails and keep their systems up-to-date.


"The usage of the ZPAQ compression format raises more questions than answers," Lvova said. "The assumptions here are that either threat actors target a specific group of people who have technical knowledge or use less widely known archive tools, or they are testing other techniques to spread malware faster and bypass security software."



  





## Tags:
***CVE's***: CVE-2017-11882

### Autogenerated tags:
[[zpaq]] [[malware]] [[lvova]]
