# New BIFROSE Linux Malware Variant Using Deceptive VMware Domain for Evasion
## Cybersecurity researchers have discovered a new variant of the BIFROSE remote access trojan targeting Linux systems, employing deceptive domains to mi
## Information:

+ Link: https://thehackernews.com/2024/03/new-bifrose-linux-malware-variant-using.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 01 March 2024, 16:26
+ Date scraped: 01 March 2024, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiU2OY-4edyEWIHddwLg9Q0Dq6clkF7OkyHh2yMwbMWsMylm0AGzWSWtC2_wOGYXU8xzEsedE97i2Y7x1CvcURcdodphaCZLDLN8HUlMcgo5-OHcp5Nbyd2-ftzrjElh1DWrDpQk-bq1tNSGtGanLUbkZgQPv3rVeel-fgYhqOIJ33wSlnk0To1McKtIR95/s728-rw-e365/linux.jpg)


Cybersecurity researchers have discovered a new Linux variant of a remote access trojan (RAT) called BIFROSE (aka Bifrost) that uses a deceptive domain mimicking VMware.


"This latest version of Bifrost aims to bypass security measures and compromise targeted systems," Palo Alto Networks Unit 42 researchers Anmol Maurya and Siddharth Sharma [said](https://unit42.paloaltonetworks.com/new-linux-variant-bifrost-malware/).


[BIFROSE](https://malpedia.caad.fkie.fraunhofer.de/details/elf.bifrost) is one of the long-standing threats that has been active since 2004. It has been offered for sale in underground forums for up to $10,000 in the past, according to a [report](https://web.archive.org/web/20210921032629/https://blog.trendmicro.com/trendlabs-security-intelligence/new-targeted-attack-group-buys-bifrose-code-works-in-teams/) from Trend Micro in December 2015.


The malware has been put to use by a state-backed hacking group from China tracked as [BlackTech](https://thehackernews.com/2023/09/chinas-blacktech-hacking-group.html) (aka Circuit Panda, HUAPI, Manga Taurus, Palmerworm, PLEAD, Red Djinn, and Temp.Overboard), which has a history of striking organizations in Japan, Taiwan, and the U.S.


It's suspected that the threat actor purchased the source code or gained access to it around 2010, and repurposed the malware for use in its own campaigns via custom backdoors like KIVARS and XBOW.


Linux variants of BIFROSE (aka ELF\_BIFROSE) have been [observed](https://teamt5.org/tw/posts/technical-analysis-on-backdoor-bifrost-of-the-Chinese-apt-group-huapi/) [since](https://jp.security.ntt/resources/EN-BlackTech_2021.pdf) [at least 2020](https://cyberandramen.net/2022/12/30/a-quick-look-at-elf-bifrose/) with capabilities to launch remote shells, download/upload files, and perform file operations.


"Attackers typically distribute Bifrost through email attachments or malicious websites," the researchers said. "Once installed on a victim's computer, Bifrost allows the attacker to gather sensitive information, like the victim's hostname and IP address."


What makes the latest variant noteworthy is that it reaches out to a command-and-control (C2) server with the name "download.vmfare[.]com" in an attempt to masquerade as VMware. The deceptive domain is resolved by contacting a Taiwan-based public DNS resolver with the IP address 168.95.1[.]1.


Unit 42 said it detected a spike in Bifrost activity since October 2023, identifying no less than 104 artifacts in its telemetry. It further discovered an Arm version of the malware, suggesting the threat actors are likely looking to expand their attack surface.


[![BIFROSE Linux Variant](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi79V4psh7F3zwAx4dIhyphenhyphen-6-soLAxYxYbh2nZ66q2OpK4k5eaxjBv-oFvkNKF6JC_zpBbxxsrDK5dGnKskohVlqn5YrECiuzyzNPby1Dn-FuLlODUvXrcidlh6RCUHUT4QCQtcpDxKSwTxD6r874EgNyXQDVly9ItEF0aXB3emEJsRsalJ08SldTA1oq8EN/s728-rw-e365/code.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi79V4psh7F3zwAx4dIhyphenhyphen-6-soLAxYxYbh2nZ66q2OpK4k5eaxjBv-oFvkNKF6JC_zpBbxxsrDK5dGnKskohVlqn5YrECiuzyzNPby1Dn-FuLlODUvXrcidlh6RCUHUT4QCQtcpDxKSwTxD6r874EgNyXQDVly9ItEF0aXB3emEJsRsalJ08SldTA1oq8EN/s728-rw-e365/code.jpg)
"With new variants that employ deceptive domain strategies like typosquatting, a recent spike in Bifrost activity highlights the dangerous nature of this malware," the researchers said.


The development comes as McAfee Labs [detailed](https://www.mcafee.com/blogs/other-blogs/mcafee-labs/guloader-unmasked-decrypting-the-threat-of-malicious-svg-files/) a new [GuLoader campaign](https://thehackernews.com/2023/12/researchers-unveal-guloader-malwares.html) that propagates the malware through malicious SVG file attachments in email messages. The malware has also been observed being distributed via VBS scripts as part of a multi-stage payload delivery.


"This recent surge highlights its evolving tactics for broader reach and evasion," Trustwave SpiderLabs [said](https://twitter.com/SpiderLabs/status/1762136430975889711) in a post on X earlier this week.


[![BIFROSE Linux Variant](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjbamZeQlGgIN1aM8MkynNwRq9U1jCYW9vuvgSqxCmzMd5iD4Gn4IrVRoyaZ83kkn3r3Tm4Xa8qPAHnGceatHC1k8uAxGCCKdnKyJywOa-oJjrSxeNquWWkewA1X-HfAHgVIym47qWpSM3rQwyYc7YA5sBOA0irt4mL0H9opUPkuwff25hzkJ6m2DUrYlve/s728-rw-e365/Fig-1Infection-chain.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjbamZeQlGgIN1aM8MkynNwRq9U1jCYW9vuvgSqxCmzMd5iD4Gn4IrVRoyaZ83kkn3r3Tm4Xa8qPAHnGceatHC1k8uAxGCCKdnKyJywOa-oJjrSxeNquWWkewA1X-HfAHgVIym47qWpSM3rQwyYc7YA5sBOA0irt4mL0H9opUPkuwff25hzkJ6m2DUrYlve/s728-rw-e365/Fig-1Infection-chain.png)
The Bifrost and GuLoader attacks coincide with the [release](https://twitter.com/MonThreat/status/1762476715987624306) of a new version of the [Warzone RAT](https://thehackernews.com/2024/02/us-doj-dismantles-warzone-rat.html), which recently had two of its operators arrested and its infrastructure dismantled by the U.S. government.


  





## Tags:
***urls***: http://download.vmfare.com http://168.95.1.1

### Autogenerated tags:
[[malware]] [[bifrose]]
