# New Backdoor Created Using Leaked CIA's Hive Malware Discovered in the Wild
## A new backdoor has been discovered that borrows its features from the leaked CIA's Hive malware suite.
## Information:

+ Link: https://thehackernews.com/2023/01/new-backdoor-created-using-leaked-cias.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 16 January 2023, 10:09
+ Date scraped: 16 January 2023, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhh6LFF8-aecADYJyBQ2YS6MDGt6KnswiAnPf9F8bnx2qYOrF0zV0Mfed-yrhkDoCo5s9CeDVv8UBQzSpV0JuQ_qlVfP4hN-vuQ_ru-cato5knb8ptJSJsasmri4o-4axz2gWz9QQTO2pOd6G9wVqDSuTmrjZ67zDMoxxLn20auogXspkK8aGiYI4Bj/s728-rj-e3650/cia-malware-1.png)


Unidentified threat actors have deployed a new backdoor that borrows its features from the U.S. Central Intelligence Agency (CIA)'s [Hive](https://wikileaks.org/vault8/) multi-platform [malware suite](https://wikileaks.org/ciav7p1/cms/page_7995396.html), the source code of which was [released](https://thehackernews.com/2017/11/cia-hive-malware-code.html) by WikiLeaks in November 2017.


"This is the first time we caught a variant of the CIA Hive attack kit in the wild, and we named it **xdr33** based on its embedded Bot-side certificate CN=xdr33," Qihoo Netlab 360's Alex Turing and Hui Wang [said](https://blog.netlab.360.com/headsup_xdr33_variant_of_ciahive_emeerges/) in a technical write-up published last week.


xdr33 is said to be propagated by exploiting a security vulnerability in the F5 appliance and communicating with a command-and-control (C2) server using SSL with forged Kaspersky certificates.


The intent of the backdoor, per the Chinese cybersecurity firm, is to harvest sensitive information and act as a launchpad for subsequent intrusions. It improves upon Hive by adding new C2 instructions and functionalities, among other implementation changes.


The [ELF](https://en.wikipedia.org/wiki/Executable_and_Linkable_Format) sample further operates as a Beacon by periodically exfiltrating system metadata to the remote server and executing commands issued by the C2.


[![CIA's Hive Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgXzerSdimEcb2E6BkgG-uwXEfovMlLZA5gImxtyQzC56SIVSuZhEn6q9rI8W9xAvZbgFcLNs58DeRRfPSjsBGlGUc-unLYSTpCGJKZVtQsjQ7FJGpP39lB8CxXh87EqExdxgXxFvBUORFO9j4Poi-9gvTaGMe8qa5yGKdQXX_mn54JRsCzv0y6V0nd/s728-rj-e365/cia-malware-3.png)
[![CIA's Hive Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjLtCRborAGb-9_z9rvaQVJ9e0f3YyGengE0CtWR6Vpzp54obxvNu5Kfzb3QtGHG1CEH6fF2hFo6jNSehfcp2cfISyfpdRF_J2IWZRkvGBza3JmzhqxW_cLMz1qrzD1SQzSkwkVHnF1bu3pchRPaivXFydND_C-FRe_AdsFWZGTKp74TUH8WI5ZRam3/s728-rj-e365/cia-malware-2.png)
This includes the ability to download and upload arbitrary files, run commands using cmd, and launch shell, in addition to updating and erasing traces of itself from the compromised host.

 The malware also incorporates a Trigger module that's designed to eavesdrop on network traffic for a specific "trigger" packet in order to extract the C2 server mentioned in the IP packet's payload, establish connection, and wait for the execution of commands issued by the C2.


"It is worth noting that Trigger C2 differs from Beacon C2 in the details of communication; after establishing an SSL tunnel, [the] bot and Trigger C2 use a [Diffie-Helllman key exchange](https://en.wikipedia.org/wiki/Diffie%E2%80%93Hellman_key_exchange) to establish a shared key, which is used in the AES algorithm to create a second layer of encryption," the researchers explained.



  





## Tags:


### Autogenerated tags:
[[c2]]
