# New Banking Trojan CHAVECLOAK Targets Brazilian Users via Phishing Tactics
## Hackers are getting creative with CHAVECLOAK. This malware can block screens, log keystrokes, and even show fake pop-up windows to steal banking login
## Information:

+ Link: https://thehackernews.com/2024/03/new-banking-trojan-chavecloak-targets.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 11 March 2024, 20:17
+ Date scraped: 11 March 2024, 23:18

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjF11LAgOwlkzbI9tg3_sWaO0KdddD3KF4xn5WxHH9jk2ezuU4mLDCYrYAw9FZZDntBypePS2LhKbOsydWvtvLwgvoi-MajhTcC0kZDSzH70f2EVxOT60-NBE6cEnE_-Kpf6tiZB5uccMaiXNjdlopbl8z2O3IfCuhhrsOFJ-iqBqvPeL3nx492wCreHsil/s728-rw-e365/trojan.jpg)


Users in Brazil are the target of a new banking trojan known as **CHAVECLOAK** that's propagated via phishing emails bearing PDF attachments.


"This intricate attack involves the PDF downloading a ZIP file and subsequently utilizing DLL side-loading techniques to execute the final malware," Fortinet FortiGuard Labs researcher Cara Lin [said](https://www.fortinet.com/blog/threat-research/banking-trojan-chavecloak-targets-brazil).


The attack chain involves the use of contract-themed DocuSign lures to trick users into opening PDF files containing a button to read and sign the documents.


In reality, clicking the button leads to the retrieval of an installer file from a remote link that's shortened using the Goo.su URL shortening service.


Present within the installer is an executable named "Lightshot.exe" that leverages DLL side-loading to load "Lightshot.dll," which is the CHAVECLOAK malware that facilitates the theft of sensitive information.


This includes gathering system metadata and running checks to determine whether the compromised machine is located in Brazil and, if so, periodically monitoring the foreground window to compare it against a predefined list of bank-related strings.


If it matches, a connection is established with a command-and-control (C2) server and proceeds to harvest various kinds of information and exfiltrate them to distinct endpoints on the server depending on the financial institution.


"The malware facilitates various actions to steal a victim's credentials, such as allowing the operator to block the victim's screen, log keystrokes, and display deceptive pop-up windows," Lin said.


"The malware actively monitors the victim's access to specific financial portals, including several banks and Mercado Bitcoin, which encompasses both traditional banking and cryptocurrency platforms."


Fortinet said it also uncovered a Delphi variant of CHAVECLOAK, once again highlighting the [prevalence of Delphi-based malware](https://thehackernews.com/2024/02/new-coyote-trojan-targets-61-brazilian.html) targeting Latin America.


[![Banking Trojan CHAVECLOAK](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhb_bn6lQI5uMn3R4_Qx55-npoBHnJlcsTJNhHcPvizab3ym-PvgeYEZYG3oU7fbKGYwCcXilw9AcH1fC7mOvRjTYpwabN2o5zxzYQzaqjE0avdhTPCR6AqhGC-78i9dJ29j4u1A9gB_VvZPfXDwqS42pklNuPxcC1NQcgxIPYd8JHClFsPKp1ay3rY7C-m/s728-rw-e365/fig01-chavecloak-attack-flow.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhb_bn6lQI5uMn3R4_Qx55-npoBHnJlcsTJNhHcPvizab3ym-PvgeYEZYG3oU7fbKGYwCcXilw9AcH1fC7mOvRjTYpwabN2o5zxzYQzaqjE0avdhTPCR6AqhGC-78i9dJ29j4u1A9gB_VvZPfXDwqS42pklNuPxcC1NQcgxIPYd8JHClFsPKp1ay3rY7C-m/s728-rw-e365/fig01-chavecloak-attack-flow.png)
"The emergence of the CHAVECLOAK banking Trojan underscores the evolving landscape of cyberthreats targeting the financial sector, specifically focusing on users in Brazil," Lin concluded.


The findings come amid an ongoing mobile banking fraud campaign against the U.K., Spain, and Italy that entails using smishing and vishing (i.e., SMS and voice phishing) tactics to deploy an Android malware called [Copybara](https://thehackernews.com/2022/10/hackers-using-vishing-tactics-to-trick.html) with the goal of performing unauthorized banking transfers to a network of bank accounts operated by money mules.


"TAs [Threat actors] have been caught using a structured way of managing all the ongoing phishing campaigns via a centralized web panel known as 'Mr. Robot,'" Cleafy [said](https://www.cleafy.com/cleafy-labs/on-device-fraud-on-the-rise-exposing-a-recent-copybara-fraud-campaign) in a report published last week.


[![Banking Trojan CHAVECLOAK](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgt0OzJbQguaP268sRMQhwhTd5BchsKDyvW0d4k8mxpHQFt44UcA7ywhOp-gjt17j0w2wPsOXtUfZcL6HT_KdpFpsMM028vWO90ulNfIiD-2x2_jOG-53TlTYL2nti6jgpf2_5fkdXAaYdQ22kePRAaNzjpluhWiTBi50J7MkbhRMrccx26nItqfosxj-B_/s728-rw-e365/65e1d52abbed481aa3f9cd63_f14.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgt0OzJbQguaP268sRMQhwhTd5BchsKDyvW0d4k8mxpHQFt44UcA7ywhOp-gjt17j0w2wPsOXtUfZcL6HT_KdpFpsMM028vWO90ulNfIiD-2x2_jOG-53TlTYL2nti6jgpf2_5fkdXAaYdQ22kePRAaNzjpluhWiTBi50J7MkbhRMrccx26nItqfosxj-B_/s728-rw-e365/65e1d52abbed481aa3f9cd63_f14.png)
"With this panel, TAs can enable and manage multiple phishing campaigns (against different financial institutions) based on their needs."


The C2 framework also allows attackers to orchestrate tailored attacks on distinct financial institutions using phishing kits that are engineered to mimic the user interface of the targeted entity, while also adopting anti-detection methods via geofencing and device fingerprinting to limit connections only from mobile devices.


[![Banking Trojan CHAVECLOAK](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEicKeYNJ9QModejKtCJtEELYAW1VtNsnJX2fCfM-D2fu-DAm6nzOJ_5NjqUh0FxvJ10VhGYvWUsWp4H79x5vvyWX-FB3keM25cBkzJRbeiExELtBgUr9qIvOX2S0tgvWVzN-8JzqWgKICM2wEBRELg8Xbu7r63HAAGZ31yhCRL52G_8rr86dKfVEaypM-0F/s728-rw-e365/65e1c69bdc69fc95360b6b71_f1.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEicKeYNJ9QModejKtCJtEELYAW1VtNsnJX2fCfM-D2fu-DAm6nzOJ_5NjqUh0FxvJ10VhGYvWUsWp4H79x5vvyWX-FB3keM25cBkzJRbeiExELtBgUr9qIvOX2S0tgvWVzN-8JzqWgKICM2wEBRELg8Xbu7r63HAAGZ31yhCRL52G_8rr86dKfVEaypM-0F/s728-rw-e365/65e1c69bdc69fc95360b6b71_f1.png)
The phishing kit – which serves as a fake login page – is responsible for capturing retail banking customer credentials and phone numbers and sending the details to a Telegram group.


Some of the malicious infrastructure used for the campaign is designed to deliver Copybara, which is managed using a C2 panel named JOKER RAT that displays all the infected devices and their geographical distribution over a live map.


It also allows the threat actors to remotely interact in real-time with an infected device using a VNC module, in addition to injecting fake overlays on top of banking apps to siphon credentials, logging keystrokes by abusing Android's accessibility services, and intercepting SMS messages.


On top of that, JOKER RAT comes with an APK builder that makes it possible to customize the rogue app's name, package name, and icons.


"Another feature available inside the panel is the 'Push Notification,' probably used to send to the infected devices fake push notifications that look like a bank notification to entice the user to open the bank's app in such a way that the malware can steal credentials," Cleafy researchers Francesco Iubatti and Federico Valentini said.


The growing sophistication of on-device fraud (ODF) schemes is further evidenced by a recently disclosed [TeaBot](https://thehackernews.com/2024/02/anatsa-android-trojan-bypasses-google.html) (aka Anatsa) campaign that managed to infiltrate the Google Play Store under the guise of PDF reader apps.


"This application serves as a dropper, facilitating the download of a banking trojan of the TeaBot family through multiple stages," Iubatti [said](https://www.cleafy.com/cleafy-labs/a-stealthy-threat-uncovered-teabot-on-google-play-store). "Before downloading the banking trojan, the dropper performs advanced evasion techniques, including obfuscation and file deletion, alongside multiple checks about the victim countries."


  





## Tags:


### Autogenerated tags:
[[malware]] [[phishing]] [[chavecloak]] [[pdf]] [[c2]]
