# New BunnyLoader Malware Variant Surfaces with Modular Attack Features
## New threat: BunnyLoader 3.0 malware variant emerges with advanced modules for data theft, keylogging, and evasion tactics.
## Information:

+ Link: https://thehackernews.com/2024/03/new-bunnyloader-malware-variant.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 20 March 2024, 15:13
+ Date scraped: 20 March 2024, 10:04

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj5UxSfvpR7OFtwdFJSUGVBWmujfCUMSZIFG8DbcV5blvrSopBlJBCMLRZbRfXI4unUprjQB5ym3KBVOie1njjnpWeFoNBVcX930NySQszv35Ve3Pupz2fyQUCJe3naro48_EX-ZOPyA3J9aW7AUfcace4DH6Ah9lyuHzY8qjBRzTgYd9k_2QhwtnKMFiyC/s728-rw-e365/rabit.jpg)


Cybersecurity researchers have discovered an updated variant of a stealer and malware loader called **BunnyLoader** that modularizes its various functions as well as allow it to evade detection.


"BunnyLoader is dynamically developing malware with the capability to steal information, credentials and cryptocurrency, as well as deliver additional malware to its victims," Palo Alto Networks Unit 42 [said](https://unit42.paloaltonetworks.com/analysis-of-bunnyloader-malware/) in a report published last week.


The new version, dubbed BunnyLoader 3.0, was announced by its developer named Player (or Player\_Bunny) on February 11, 2024, with rewritten modules for data theft, reduced payload size, and enhanced keylogging capabilities.


BunnyLoader was [first documented](https://thehackernews.com/2023/10/bunnyloader-new-malware-as-service.html) by Zscaler ThreatLabz in September 2023, describing it as malware-as-a-service (MaaS) designed to harvest credentials and facilitate cryptocurrency theft. It was initially offered on a subscription basis for $250 per month.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
The malware has since undergone frequent updates that are aimed at evading antivirus defenses as well as expanding on its data gathering functions, with BunnyLoader 2.0 released by the end of the same month.


The third generation of BunnyLoader goes a step further by not only incorporating new denial-of-service (DoS) features to mount HTTP flood attacks against a target URL, but also splitting its stealer, clipper, keylogger, and DoS modules into distinct binaries.


"Operators of BunnyLoader can choose to deploy these modules or use BunnyLoader's built-in commands to load their choice of malware," Unit 42 explained.


Infection chains delivering BunnyLoader have also become progressively more sophisticated, leveraging a previously undocumented dropper to loader [PureCrypter](https://thehackernews.com/2023/02/purecrypter-malware-targets-government.html), which then forks into two separate branches.


While one branch launches the PureLogs loader to ultimately deliver the PureLogs stealer, the second attack sequence drops BunnyLoader to distribute another stealer malware called [Meduza](https://thehackernews.com/2023/07/evasive-meduza-stealer-targets-19.html).


[![BunnyLoader Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgwkn7FPCyLy5iy67pN_5G_x2Hiu4H0Z8RyOILxsgfCfygvoS_IAcohokbfdCnxMQGBGM46Xy05IfLYQZHKy_7F5AXldRU8XqnhS8FEtcto0UFDkTph1ZH_fMlQTTnH-G8K28soNDGTz4dm8owVkv1kQsQp2VyqA4xlN0sZeMSFl1ZRNOUM6PgyTfI7QkTJ/s728-rw-e365/december.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgwkn7FPCyLy5iy67pN_5G_x2Hiu4H0Z8RyOILxsgfCfygvoS_IAcohokbfdCnxMQGBGM46Xy05IfLYQZHKy_7F5AXldRU8XqnhS8FEtcto0UFDkTph1ZH_fMlQTTnH-G8K28soNDGTz4dm8owVkv1kQsQp2VyqA4xlN0sZeMSFl1ZRNOUM6PgyTfI7QkTJ/s728-rw-e365/december.jpg)
"In the ever changing landscape of MaaS, BunnyLoader continues to evolve, demonstrating the need for threat actors to frequently retool to evade detection," Unit 42 researchers said.


The development comes amid the [continued](https://thehackernews.com/2023/05/cert-ua-warns-of-smokeloader-and.html) [use](https://thehackernews.com/2023/07/bluebravo-deploys-graphicalproton.html) of [SmokeLoader malware](https://thehackernews.com/2023/10/cert-ua-reports-11-ukrainian-telecom.html) (aka Dofoil or Sharik) by a suspected Russian cybercrime crew called UAC-006 to [target](https://www.facebook.com/ncsccUA/posts/pfbid02KTB18VfDFSopP9QsaBQAgrGrXEEZs6fLX5H2jPCjc5notWdCeVs52cfN5fe2xyBol) the Ukrainian government and financial entities. It's known to be [active since 2011](https://www.cyfirma.com/blogs/technical-analysis-of-smokeloader-malware/).


As many as 23 phishing attack waves delivering SmokeLoader were recorded between May and November 2023, according to an [exhaustive report](https://scpc.gov.ua/en/articles/356) published by Ukraine's State Cyber Protection Center (SCPC). 


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiq3FD_K5jS19OiNrl_zJkHFPA5uRlxhWj-jrr23FY6-XPfhWmbo9d2hGEAU7haozVp8oJP6WDTShcroe-tunJMeq5PVdoOrePEC_-bzW8DlT4Dpp7r5CvIyQxabciMuLITAu8SQT6OeFR8bKOS4GQ32wteZFU8KG6c8a54AY-I7hO5w6Pc-Fzeun9pPY4w/s728-rw-e3650/cis-d.png)](https://thehackernews.uk/cis-hardened-images-platforms)
"Primarily a loader with added information-stealing capabilities, SmokeLoader has been linked to Russian cybercrime operations and is readily available on Russian cybercrime forums," Unit 42 [said](https://unit42.paloaltonetworks.com/unit-42-scpc-ssscip-uncover-smoke-loader-phishing/).


Adding to BunnyLoader and SmokeLoader is a new information stealer malware codenamed GlorySprout, which is developed in C++ and offered for $300 for a lifetime access. According to RussianPanda, the stealer is a clone of [Taurus Stealer](https://thehackernews.com/2021/04/alert-theres-new-malware-out-there.html).


"A notable difference is that GlorySprout, unlike [Taurus Stealer](https://outpost24.com/blog/an-in-depth-analysis-of-the-new-taurus-stealer/), does not download additional DLL dependencies from C2 servers," the researcher [said](https://russianpanda.com/2024/03/16/The-GlorySprout-Stealer-or-a-Failed-Clone-of-Taurus-Stealer/). "Additionally, GlorySprout lacks the Anti-VM feature that is present in Taurus Stealer."


  





## Tags:


### Autogenerated tags:
[[bunnyloader]] [[malware]] [[smokeloader]] [[cybercrime]] [[glorysprout]]
