# New Condi Malware Hijacking TP-Link Wi-Fi Routers for DDoS Botnet Attacks
## New malware alert! Condi, a powerful botnet, is exploiting a vulnerability in TP-Link Archer AX21 Wi-Fi routers, turning them into DDoS attack machine
## Information:

+ Link: https://thehackernews.com/2023/06/new-condi-malware-hijacking-tp-link-wi.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 21 June 2023, 11:06
+ Date scraped: 21 June 2023, 07:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiujnY6cgd3blTNfcsc1BS5IVhGRbbVi-KhQrI7ZT1anpvKSpDdnZujxhBeNUIEctKZZGPLwqU7ztissDfGsSZTLj-RMG_uKReeekNnp5v75VdScub1wq5HDwptnlkN9QZVlVuxZSDAr6gukL9WmJh4fBvX-RK46it902K6cJk6MW-ojt5DRwC2cyxMLCQ/s728-e3650/router-hacking.jpg)


A new malware called **Condi** has been observed exploiting a security vulnerability in TP-Link Archer AX21 (AX1800) Wi-Fi routers to rope the devices into a distributed denial-of-service (DDoS) botnet.


Fortinet FortiGuard Labs [said](https://www.fortinet.com/blog/threat-research/condi-ddos-botnet-spreads-via-tp-links-cve-2023-1389) the campaign has ramped up since the end of May 2023. Condi is the work of a threat actor who goes by the online alias zxcr9999 on Telegram and runs a Telegram channel called Condi Network to advertise their warez.


"The Telegram channel was started in May 2022, and the threat actor has been monetizing its botnet by providing DDoS-as-a-service and selling the malware source code," security researchers Joie Salvio and Roy Tay said.


An analysis of the malware artifact reveals its ability to terminate other competing botnets on the same host. It, however, lacks a persistence mechanism, meaning the program cannot survive a system reboot.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-1)
To get around this limitation, the malware deletes multiple binaries that are used to shut down or reboot the system -


* /usr/sbin/reboot
* /usr/bin/reboot
* /usr/sbin/shutdown
* /usr/bin/shutdown
* /usr/sbin/poweroff
* /usr/bin/poweroff
* /usr/sbin/halt
* /usr/bin/halt


Condi, unlike some botnets which propagate by means of brute-force attacks, leverages a scanner module that checks for vulnerable TP-Link Archer AX21 devices and, if so, executes a shell script retrieved from a remote server to deposit the malware.


Specifically, the scanner singles out routers susceptible to [CVE-2023-1389](https://thehackernews.com/2023/05/active-exploitation-of-tp-link-apache.html) (CVSS score: 8.8), a [command injection bug](https://www.fortiguard.com/outbreak-alert/tp-link-archer-ax-21-command-injection) that was previously exploited by the Mirai botnet.


[![Condi Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjxKEQCWjKN0BuZN-XmK4J_36vOqhf4lxf-v071bOgYP0VetM3xegFUj2Xdh6FO7jiMdqXLJz8cfn0Q6ji3SfArDuiPgvxhkkNo70rb-8TEASlhA7PdzrdAlxB0xSIdprtnEwXfVPf1BIkVQWv2ItJ-IFJX5CTENOwLORKp8cFMvJ_WEjLStpJBOZh8Qcg/s728-e365/router-exploit.jpg)
Fortinet said it came across other Condi samples that exploited several known security flaws for propagation, suggesting that unpatched software is at risk of being targeted by botnet malware.


The aggressive monetization tactics aside, Condi aims to ensnare the devices to create a powerful DDoS botnet that can be rented by other actors to orchestrate TCP and UDP flood attacks on websites and services.


"Malware campaigns, especially botnets, are always looking for ways to expand," the researchers said. "Exploiting recently discovered (or published) vulnerabilities has always been one of their favored methods."


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Reserve Your Spot](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
The development comes as the AhnLab Security Emergency Response Center (ASEC) revealed that poorly managed Linux servers are being breached to deliver DDoS bots such as [ShellBot](https://thehackernews.com/2023/03/new-shellbot-ddos-malware-targeting.html) and [Tsunami](https://thehackernews.com/2022/06/microsoft-warns-of-cryptomining-malware.html) (aka Kaiten) as well as stealthily abuse the resources for cryptocurrency mining.


"The source code of Tsunami is publicly available so it is used by a multitude of threat actors," ASEC [said](https://asec.ahnlab.com/en/54647/). "Among its various uses, it is mostly used in attacks against IoT devices. Of course, it is also consistently used to target Linux servers."


The attack chains entail compromising the servers using a [dictionary attack](https://en.wikipedia.org/wiki/Dictionary_attack) to execute a rogue shell script capable of downloading next-stage malware and maintaining persistent backdoor access by adding a public key to the [.ssh/authorized\_keys file](https://thehackernews.com/2023/05/new-gobrat-remote-access-trojan.html).


The Tsunami botnet malware used in the attack is a new variant called Ziggy that shares significant overlaps with the original source code. It further employs the Internet relay chat ([IRC](https://en.wikipedia.org/wiki/Internet_Relay_Chat)) for command-and-control (C2).


Also used during the intrusions is a set of ancillary tools for privilege escalation and altering or erasing log files to conceal the trail and hinder analysis.


"Administrators should use passwords that are difficult to guess for their accounts and change them periodically to protect the Linux server from brute force attacks and dictionary attacks and update to the latest patch to prevent vulnerability attacks," ASEC said.


  





## Tags:
***CVE's***: CVE-2023-1389

### Autogenerated tags:
[[malware]] [[condi]] [[botnet]] [[ddos]] [[botnets]] [[asec]] [[linux]]
