# New Cryptocurrency Mining Campaign Targets Linux Systems and IoT Devices
## Internet-facing Linux systems and IoT devices are under attack! Discover how threat actors hijack SSH credentials, deploy crypto mining malware.
## Information:

+ Link: https://thehackernews.com/2023/06/new-cryptocurrency-mining-campaign.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 23 June 2023, 13:00
+ Date scraped: 23 June 2023, 08:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg5X7LyvcfiYoMgK4acoRwNqu8XbNQIK9s-9s2G49g_UprjyuABIXtliMkl8IrEgnt3d4Il7FdjNyaJvQALiBa-_OvHuYYopn9kM3kQS_XNCq6RrtpULJk8N15zSm8BkedIbO9jcL_nXVSfwgyroOKUfsBvVT22Uq5SSepVjvV31ezTWIqKiOxjXppkFYA/s728-e3650/linux.jpg)


Internet-facing Linux systems and Internet of Things (IoT) devices are being targeted as part of a new campaign designed to illicitly mine cryptocurrency.


"The threat actors behind the attack use a backdoor that deploys a wide array of tools and components such as rootkits and an IRC bot to steal device resources for mining operations," Microsoft threat intelligence researcher Rotem Sde-Or [said](https://www.microsoft.com/en-us/security/blog/2023/06/22/iot-devices-and-linux-based-systems-targeted-by-openssh-trojan-campaign/).


"The backdoor also installs a patched version of OpenSSH on affected devices, allowing threat actors to hijack SSH credentials, move laterally within the network, and conceal malicious SSH connections."


To pull off the scheme, misconfigured Linux hosts are brute-forced to gain initial access, following which the threat actors move to disable shell history and fetch a trojanized version of OpenSSH from a remote server.


The rogue OpenSSH package is configured to install and launch the backdoor, a shell script that allows the attackers to distribute additional payloads and conduct other post-exploitation activities.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-1)
This includes exfiltrating information about the device, installing open-source rootkits called [Diamorphine](https://github.com/m0nad/Diamorphine) and [Reptile](https://github.com/f0rb1dd3n/Reptile) from GitHub, and taking steps to obscure its activity by clearing logs that could alert its presence.


"To ensure persistent SSH access to the device, the backdoor appends two public keys to the authorized\_keys configuration files of all users on the system," the Windows maker said.


The implant also seeks to monopolize the infected system's resources by eliminating competing crypto mining processes that may be already running on it prior to launching its miner.


Furthermore, it runs a modified version of [ZiggyStarTux](https://github.com/isdrupter/ziggystartux), an IRC-based distributed denial-of-service (DDoS) client that's capable of executing bash commands issued from the command-and-control (C2) server. It's based on another botnet malware called Kaiten (aka Tsunami).


[![Linux Systems and IoT Devices](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi8fGns5_s0Ff7X_M6Au-tebcQar86sofiWV9TwdHO4GMxCF4TtbD6eRfjdHtODF73FCMSTSic8NbdbyJp3QnV-yK6oxrVyPYzE5eyzvs5yZfcl63oxqHzx5ArNeuK_PVhfmpzJPUqaDG-3gszgVV_zzc8kqCWpuakx2gyE_g0UrX-GvemK6JCsJ99LOeM/s728-e365/rootkit.jpg)
The attacks, the tech giant noted, leverage an unnamed Southeast Asian financial institution's subdomain for C2 communications in an attempt to disguise the malicious traffic.


It's worth pointing out that the modus operandi detailed by Microsoft [overlaps](https://thehackernews.com/2023/06/new-condi-malware-hijacking-tp-link-wi.html) with a recent report from the AhnLab Security Emergency Response Center (ASEC), which detailed attacks targeting exposed Linux servers with crypto mining malware and a Tsunami botnet variant dubbed Ziggy.


APPSEC GUIDE[Master DevSecOps with an AppSec Platform: Learn How to Shift Everywhere](https://thn.news/cm-inside-1)Learn how to shift everywhere and secure your applications at every stage of the software development life cycle.

[Download Guide](https://thn.news/cm-inside-1)
The operation has been traced back to an actor named asterzeu, who has offered the toolkit for sale on the malware-as-a-service market. "The complexity and scope of this attack are indicative of the efforts attackers make to evade detection," Sde-Or said.


The development comes as multiple known security flaws in routers, digital video recorders, and other network software are being actively exploited by threat actors to deploy the [Mirai botnet](https://thehackernews.com/2023/06/active-mirai-botnet-variant-exploiting.html) malware, according to [Akamai](https://www.akamai.com/blog/security-research/cve-2023-26801-exploited-spreading-mirai-botnet) and [Palo Alto Networks Unit 42](https://unit42.paloaltonetworks.com/mirai-variant-targets-iot-exploits/).


"The Mirai botnet, discovered back in 2016, is still active today," Uni 42 researchers said. "A significant part of the reason for its popularity among threat actors lies in the security flaws of IoT devices."


"These remote code execution vulnerabilities targeting IoT devices exhibit a combination of low complexity and high impact, making them an irresistible target for threat actors."


  





## Tags:


### Autogenerated tags:
[[botnet]] [[linux]] [[iot]] [[openssh]] [[ssh]] [[malware]]
