# New Cuttlefish Malware Hijacks Router Connections, Sniffs for Cloud Credentials
## Attention SOHO router users! A new malware called Cuttlefish is on the prowl, stealthily monitoring your traffic and stealing authentication data.
## Information:

+ Link: https://thehackernews.com/2024/05/new-cuttlefish-malware-hijacks-router.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 02 May 2024, 10:34
+ Date scraped: 02 May 2024, 06:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhyNe67nDISGXYhECsz8hjhhdrir3btsZyG8G7-SMmVBbX-Kjq3e3l3wHvdrfcNhvnMsAdSM4dI4cMBB1IPJS3kuUMfwhS3O8EudzdIL29HAKxF-FXE4rmDq34uOmSZv6puZDe9xItkpvPYHne5lf1G_AULXbrHpyenhpxvr4OJqMaM-awJh_XMc0EGo_BQ/s728-rw-e365/malware.png)


A new malware called **Cuttlefish** is targeting small office and home office (SOHO) routers with the goal of stealthily monitoring all traffic through the devices and gather authentication data from HTTP GET and POST requests.


"This malware is modular, designed primarily to steal authentication material found in web requests that transit the router from the adjacent local area network (LAN)," the Black Lotus Labs team at Lumen Technologies [said](https://blog.lumen.com/eight-arms-to-hold-you-the-cuttlefish-malware/) in a report published today.


"A secondary function gives it the capacity to perform both DNS and HTTP hijacking for connections to private IP space, associated with communications on an internal network."


There is source code evidence suggesting overlaps with another previously known activity cluster called [HiatusRAT](https://thehackernews.com/2023/08/hiatusrat-malware-resurfaces-taiwan.html), although no shared victimology has been observed to date. It's said that these two operations are running concurrently.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Cuttlefish has been active since at least July 27, 2023, with the latest campaign running from October 2023 through April 2024 and predominantly infecting 600 unique IP addresses associated with two Turkish telecom providers.


The exact initial access vector used to compromise networking equipment is unclear. However, a successful foothold is followed by the deployment of a bash script that gathers host data, such as the contents of /etc, running processes, active connections, and mounts, and exfiltrates the details to an actor-controlled domain ("kkthreas[.]com/upload").


[![Cuttlefish Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiQAzqScxQxbIA7hrVwrfhXS-x7vHpa2xdrm-lReMW4xiFd7GGIJc-xhjMetzUKQC3H7Nf5z_E5WWtwHKlx9bqJKwjco200XVHKp7AbJCBJ4XGy7YsKtqTEwwARnkAq76sUNXTTt1lXv3QDV2wBSo1vjf-OPSEx1dWjXAMcK2ZtQcXg3VasfxBJTt58baL1/s728-rw-e365/code.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiQAzqScxQxbIA7hrVwrfhXS-x7vHpa2xdrm-lReMW4xiFd7GGIJc-xhjMetzUKQC3H7Nf5z_E5WWtwHKlx9bqJKwjco200XVHKp7AbJCBJ4XGy7YsKtqTEwwARnkAq76sUNXTTt1lXv3QDV2wBSo1vjf-OPSEx1dWjXAMcK2ZtQcXg3VasfxBJTt58baL1/s728-rw-e365/code.png)
It subsequently downloads and executes the Cuttlefish payload from a dedicated server depending on the router architecture (e.g., Arm, i386, i386\_i686, i386\_x64, mips32, and mips64).


A noteworthy aspect is that the passive sniffing of the network packets is primarily designed to single out authentication data associated with public cloud-based services such as Alicloud, Amazon Web Services (AWS), Digital Ocean, CloudFlare, and BitBucket by creating an extended Berkeley Packet Filter (eBPF).


This functionality is governed based on a ruleset that dictates the malware to either hijack traffic destined to a private IP address, or initiate a sniffer function for traffic heading to a public IP in order to steal credentials if certain parameters are met.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
The hijack rules, for their part, are retrieved and updated from a command-and-control (C2) server set up for this purpose after establishing a secure connection to it using an embedded RSA certificate.


The malware is also equipped to act as a proxy and a VPN to transmit the captured data through the infiltrated router, thereby allowing the threat actors to use the stolen credentials to access targeted resources.


"Cuttlefish represents the latest evolution in passive eavesdropping malware for edge networking equipment [...] as it combines multiple attributes," the cybersecurity firm said.


"It has the ability to perform route manipulation, hijack connections, and employs passive sniffing capability. With the stolen key material, the actor not only retrieves cloud resources associated with the targeted entity but gains a foothold into that cloud ecosystem."


  





## Tags:
***urls***: http://kkthreas.com/upload

### Autogenerated tags:
[[malware]] [[ip]]
