# New DEEP#GOSU Malware Campaign Targets Windows Users with Advanced Tactics
## New cyberattack campaign, DEEP#GOSU, uses PowerShell & VBScript to target Windows systems.
## Information:

+ Link: https://thehackernews.com/2024/03/new-deepgosu-malware-campaign-targets.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 18 March 2024, 23:26
+ Date scraped: 18 March 2024, 18:06

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgQv258wvtjdHtSmn4-Bu6XOXmeRBHDTMVWTkE-k1JCWSp-gHFD90z5AmA2cpromChHtPuQS15fzQD3_9i35-YbUtdQIIsit559-bO9f7Mlb9X1x2fKlOLGmwnrp4h5tkxoAchP10HbC6HxGp1m8bhsFGi4agJbqx8SKEcQ6qU508KYfUSx3vDMCLm8qhT0/s728-rw-e365/malware.jpg)


A new elaborate attack campaign has been observed employing PowerShell and VBScript malware to infect Windows systems and harvest sensitive information.


Cybersecurity company Securonix, which dubbed the campaign DEEP#GOSU, [said](https://www.securonix.com/blog/securonix-threat-research-security-advisory-new-deepgosu-attack-campaign/) it's likely associated with the North Korean state-sponsored group tracked as [Kimsuky](https://thehackernews.com/2024/03/hackers-exploit-connectwise.html).


"The malware payloads used in the **DEEP#GOSU** represent a sophisticated, multi-stage threat designed to operate stealthily on Windows systems especially from a network-monitoring standpoint," security researchers Den Iuzvyk, Tim Peck, and Oleg Kolesnikov said in a technical analysis shared with The Hacker News.


"Its capabilities included keylogging, clipboard monitoring, dynamic payload execution, and data exfiltration, and persistence using both RAT software for full remote access, scheduled tasks as well as self-executing PowerShell scripts using jobs."


A notable aspect of the infection procedure is that it leverages legitimate services such as Dropbox or Google Docs for command-and-control (C2), thus allowing the threat actor to blend undetected into regular network traffic.


On top of that, the use of such cloud services to stage the payloads allows for updating the functionality of the malware or delivering additional modules.


The starting point is said to be a malicious email attachment containing a ZIP archive with a rogue shortcut file (.LNK) that masquerades as a PDF file ("IMG\_20240214\_0001.pdf.lnk").


The .LNK file comes embedded with a PowerShell script as well as a decoy PDF document, with the former also reaching out to an actor-controlled Dropbox infrastructure to retrieve and execute another PowerShell script ("ps.bin").


The second-stage PowerShell script, for its part, fetches a new file from Dropbox ("r\_enc.bin"), a .NET assembly file in binary form that's actually an open-source remote access trojan known as [TruRat](https://github.com/AdvancedHacker101/C-Sharp-R.A.T-Client/blob/master/TutClient/Program.cs) (aka TutRat or C# RAT) with capabilities to record keystrokes, manage files, and facilitate remote control.


It's worth noting that Kimsuky has employed TruRat in at least [two](https://asec.ahnlab.com/en/51469/) [campaigns](https://asec.ahnlab.com/en/59042/) uncovered by the AhnLab Security Intelligence Center (ASEC) last year.


Also retrieved by the PowerShell script from Dropbox is a VBScript ("info\_sc.txt"), which, in turn, is designed to run arbitrary VBScript code retrieved from the cloud storage service, including a PowerShell script ("w568232.ps12x").


The VBScript is also designed to use Windows Management Instrumentation ([WMI](https://learn.microsoft.com/en-us/windows/win32/wmisdk/wmi-start-page)) to execute commands on the system, and set up scheduled tasks on the system for persistence.


[![Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhUoY66VEgnmNOo-iMOAOqyhUXcqByuZkkFAF6jomOYBoblHzbe6LylIF4_NEWAwEblR0ZqJtzc-wOeZTLVs12EniKR1Ni5Nm0BORAH7EFKBNWKeR9ce1-Spa4DhTu8ED4MHGx9YfQuDhyphenhyphenuwRjAZ73NupJ_B-GMy51pxGmNs3JCxsvSAPTX1fN-darFgW39/s728-rw-e365/san1.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhUoY66VEgnmNOo-iMOAOqyhUXcqByuZkkFAF6jomOYBoblHzbe6LylIF4_NEWAwEblR0ZqJtzc-wOeZTLVs12EniKR1Ni5Nm0BORAH7EFKBNWKeR9ce1-Spa4DhTu8ED4MHGx9YfQuDhyphenhyphenuwRjAZ73NupJ_B-GMy51pxGmNs3JCxsvSAPTX1fN-darFgW39/s728-rw-e365/san1.jpg)
Another noteworthy aspect of the VBScript is the use of Google Docs to dynamically retrieve configuration data for the Dropbox connection, allowing the threat actor to change the account information without having to alter the script itself.


The PowerShell script downloaded as a result is equipped to gather extensive information about the system and exfiltrate the details via a POST request to Dropbox.


"The purpose of this script appears to be designed to serve as a tool for periodic communication with a command-and-control (C2) server via Dropbox," the researchers said. "Its main purposes include encrypting and exfiltrating or downloading data."


In other words, it acts as a backdoor to control the compromised hosts and continuously keep a log of user activity, including keystrokes, clipboard content, and the foreground window.


The development comes as security researcher Ovi Liber detailed North Korea-linked [ScarCruft's](https://thehackernews.com/2023/06/n-korean-scarcruft-hackers-exploit.html) embedding of malicious code within Hangul Word Processor (HWP) lure documents present in phishing emails to distribute malware like RokRAT.


[![Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEglQV84n5UYQS0qcgM1yXzCJw2CuxswscCYIEJ4C0RpT1J9mFV8q-dLEvMat6zyR1IqN3NKXJ_TtUI38p_cxIKHTHmhpTc1ndrDP4wCcoyzlAD0CpYR5a7es9vcLt_7Aq6JEb9tMbnyA3Vu8PpyrsW_SmQkLxghqlEEu-bZiKWOIv7knCZMMgnShJ-g7F84/s728-rw-e365/san2.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEglQV84n5UYQS0qcgM1yXzCJw2CuxswscCYIEJ4C0RpT1J9mFV8q-dLEvMat6zyR1IqN3NKXJ_TtUI38p_cxIKHTHmhpTc1ndrDP4wCcoyzlAD0CpYR5a7es9vcLt_7Aq6JEb9tMbnyA3Vu8PpyrsW_SmQkLxghqlEEu-bZiKWOIv7knCZMMgnShJ-g7F84/s728-rw-e365/san2.jpg)
"The email contains a HWP Doc which has an embedded OLE object in the form of a BAT script," Liber [said](https://www.0x0v1.com/rearchive-rokrat-hwp/). "Once the user clicks on the OLE object, the BAT script executes which in turn creates a PowerShell-based reflective DLL injection attack on the victims machine."


It also follows Andariel's exploitation of a legitimate remote desktop solution called [MeshAgent](https://github.com/Ylianst/MeshAgent) to [install malware](https://asec.ahnlab.com/en/53267/) like AndarLoader and ModeLoader, a JavaScript malware meant for command execution.


"This is the first confirmed use of a MeshAgent by the [Andariel group](https://thehackernews.com/2023/09/researchers-warn-of-cyber-weapons-used.html)," ASEC [said](https://asec.ahnlab.com/ko/62771/). "The Andariel Group has been continuously abusing the asset management solutions of domestic companies to distribute malware in the process of lateral movement, starting with Innorix Agent in the past."


Andariel, also known by the names Nicket Hyatt or Silent Chollima, is a sub-cluster of the notorious [Lazarus Group](https://thehackernews.com/2024/02/lazarus-hackers-exploited-windows.html), actively orchestrating attacks for both cyber espionage and financial gain.


The prolific state-sponsored threat actor has since been observed laundering a chunk of the crypto assets stolen from the hack of crypto exchange HTX and its cross-chain bridge (aka HECO Bridge) through [Tornado Cash](https://thehackernews.com/2023/08/tornado-cash-founders-charged-in.html). The breach led to the theft of $112.5 million in cryptocurrency in November 2023.


"Following common crypto-laundering patterns, the stolen tokens were immediately swapped for ETH, using decentralized exchanges," Elliptic [said](https://www.elliptic.co/blog/north-korean-hackers-return-to-tornado-cash-despite-sanctions). "The stolen funds then lay dormant until March 13, 2024, when the stolen crypto assets began to be sent through Tornado Cash."


The blockchain analytics firm said that Tornado Cash's continuation of its operations despite sanctions have likely made it an attractive proposition for the Lazarus Group to conceal its transaction trail following the [shutdown of Sinbad](https://thehackernews.com/2023/11/us-treasury-sanctions-sinbad.html) in November 2023.


"The mixer operates through smart contracts running on decentralized blockchains, so it cannot be seized and shut down in the same way that centralized mixers such as Sinbad.io have been," it noted.


  





## Tags:


### Autogenerated tags:
[[powershell]] [[malware]] [[dropbox]] [[vbscript]] [[andariel]] [[windows]]
