# New Decoy Dog Malware Toolkit Uncovered: Targeting Enterprise Networks
## Newly discovered malware toolkit, Decoy Dog, is highly sophisticated and evasive, using strategic domain aging and DNS query dribbling.
## Information:

+ Link: https://thehackernews.com/2023/05/new-decoy-dog-malware-toolkit-uncovered.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 May 2023, 12:31
+ Date scraped: 01 May 2023, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiA7rd3EDfrv29r5pg2X4WSLO7Ew0tzXBpnB4IGfiKjx8uAPThNIRuWaUUy_yf7lZCGzGawjZ_2oqjeNl8bvCA_pXntY0xUN_UH18TntGWkENIDCbFUXegvoF7Y5Iy6xxoCh0P-rt-47zYPyMHj9l-jM5O9t9iwZOCEoh43Y2PL2rIKDfOfPfNfy9DO/s728-e3650/hacking.png)


An analysis of over 70 billion DNS records has led to the discovery of a new sophisticated malware toolkit dubbed **Decoy Dog** targeting enterprise networks.


**Decoy Dog**, as the name implies, is evasive and employs techniques like strategic domain aging and DNS query dribbling, wherein a series of queries are transmitted to the command-and-control (C2) domains so as to not arouse any suspicion.


"Decoy Dog is a cohesive toolkit with a number of highly unusual characteristics that make it uniquely identifiable, particularly when examining its domains on a DNS level," Infoblox [said](https://blogs.infoblox.com/cyber-threat-intelligence/cyber-threat-advisory/dog-hunt-finding-decoy-dog-toolkit-via-anomalous-dns-traffic/) in an advisory published late last month.


The cybersecurity firm, which identified the malware in early April 2023 following anomalous DNS beaconing activity, said its atypical characteristics allowed it to map additional domains that are part of the attack infrastructure.


That said, the usage of Decoy Dog in the wild is "very rare," with the DNS signature matching less than 0.0000027% of the 370 million active domains on the internet, according to the California-based company.


One of the chief components of the toolkit is Pupy RAT, an open source trojan that's delivered by means of a method called [DNS tunneling](https://unit42.paloaltonetworks.com/dns-tunneling-how-dns-can-be-abused-by-malicious-actors/), in which DNS queries and responses are used as a C2 for stealthily dropping payloads.


[![Decoy Dog Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgL1TjDeijPjrr4C8yfEs1jYWf5lgqq9VIPeliG4l3DSf1qkCTV8mJus9hZiP76E5JlUGMVKVNt3w1m8Hq424wm7fuL_SVRUYYlPC2uA72qcfRAvzvO_0YKI9Irdkp51vk5zdgepZaOoFc6pfjVyQ5qNUfqq2P45rjy8si1uy-fzJW98W9_H4GVzriV/s728-e365/chart.png)
It's worth noting that the use of the cross-platform Pupy RAT has been linked to nation-state actors from China such as [Earth Berberoka](https://thehackernews.com/2023/03/melofee-researchers-uncover-new-linux.html) (aka GamblingPuppet) in the past, although there's no evidence to suggest the actor's involvement in this campaign.


Further investigation into Decoy Dog suggests that the operation had been set up at least a year prior to its discovery, with three distinct infrastructure configurations detected to date.


Another crucial aspect is the unusual DNS beaconing behavior associated with Decoy Dog domains, such that they adhere to a pattern of periodic, but infrequent, DNS requests so as to fly under the radar.


"[Decoy Dog domains](https://github.com/infobloxopen/threat-intelligence/blob/main/cta_indicators/decoy_dog_cta_20230420_iocs.csv) can be grouped together based on their shared registrars, name servers, IPs, and dynamic DNS providers," Infoblox said.


"Given the other commonalities between Decoy Dog domains, this is indicative of either one threat actor gradually evolving their tactics, or multiple threat actors deploying the same toolkit on different infrastructure."



  





## Tags:


### Autogenerated tags:
[[dns]]
