# New Financial Malware 'JanelaRAT' Targets Latin American Users
## A new financial malware named JanelaRAT is making waves in Latin America. This threat captures sensitive data from compromised Windows systems.
## Information:

+ Link: https://thehackernews.com/2023/08/new-financial-malware-janelarat-targets.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 14 August 2023, 15:55
+ Date scraped: 14 August 2023, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiwT0chPJaoF0BSss1qfRUdbthg0CENfaPELXZBeaDLUlQNxmAgMkZTg8F5LYaImzH-eKFLz0T03rX3ihE5h7j_SZolojWNyCCqA6qUvYqs9GMh9N2hyOfHao7KS4GcDWh63yEsoffDNMCSgGIX80K6Xsdr7iJruDCv4ul_vbMx_Y2kveMQJuoPBLUX8Tvw/s728-e3650/chr.jpg)


Users in Latin America (LATAM) are the target of a financial malware called **JanelaRAT** that's capable of capturing sensitive information from compromised Microsoft Windows systems.


"JanelaRAT mainly targets financial and cryptocurrency data from LATAM bank and financial institutions," Zscaler ThreatLabz researchers Gaetano Pellegrino and Sudeep Singh [said](https://www.zscaler.com/blogs/security-research/janelarat-repurposed-bx-rat-variant-targeting-latam-fintech), adding it "abuses DLL side-loading techniques from legitimate sources (like VMWare and Microsoft) to evade endpoint detection."


The exact starting point of the infection chain is unclear, but the cybersecurity company, which discovered the campaign in June 2023, said the unknown vector is used to deliver a ZIP archive file containing a Visual Basic Script.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgwAoxYDskfi-J01jeLkkPEZqHZy9bLaLX8kLNuruprE8YRTIB5EBEid3uvBbzR90H6IcIJgVhjn0srTxOZLXejyJ6Jz9ZP-lexe0SPTD7GA1oU6HgxduclFP4BBnHkKiVJ_bsnI7UWFpYdpeFEkKKy1rxI2i0Y5KObLKK-rA7YfSuph4A714RQKICG252V/s728-e3650/4.png)](https://thn.news/edWGl41h)
The VBScript is engineered to fetch a second ZIP archive from the attackers' server as well as drop a batch file used to establish persistence of the malware.


The ZIP archive is packed with two components, the JanelaRAT payload and a legitimate executable -- identity\_helper.exe or vmnat.exe -- that's used to launch the former by means of DLL side-loading.


JanelaRAT, for its part, employs string encryption and transitions into an idle state when necessary to avoid analysis and detection. It's also a heavily modified variant of BX RAT, which was first discovered in 2014.


One of the new additions to the trojan is its ability to capture windows titles and send them to the threat actors, but not before registering the newly-infected host with the command-and-control (C2) server. Other features of JanelaRAT allow it to track mouse inputs, log keystrokes, take screenshots, and harvest system metadata.


"JanelaRAT ships with just a subset of the features offered by BX RAT," the researchers said. "The JanelaRAT developer didn't import shell commands execution functionality, or files and processes manipulation functionalities."


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
A closer analysis of the source code has revealed the presence of several strings in Portuguese, indicating that the author is familiar with the language.


The links to LATAM come from references to organizations operating in the banking and decentralized finance verticals and the fact that the VBScript uploads to VirusTotal originated from Chile, Colombia, and Mexico.


"The usage of original or modified commodity Remote Access Trojans (RATs) is common among [threat actors operating in the LATAM region](https://thehackernews.com/2023/04/blind-eagle-cyber-espionage-group.html)," the researchers said. "JanelaRAT's focus on harvesting LATAM financial data and its method of extracting window titles for transmission underscores its targeted and stealthy nature."


  





## Tags:


### Autogenerated tags:
[[janelarat]] [[latam]]
