# New Findings Challenge Attribution in Denmark's Energy Sector Cyberattacks
## Surprise twist in Denmark cyber attacks - Not the work of Russia's Sandworm. New evidence shifts the narrative. Discover more
## Information:

+ Link: https://thehackernews.com/2024/01/new-findings-challenge-attribution-in.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 14 January 2024, 14:37
+ Date scraped: 14 January 2024, 10:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjxUnGsFu7yBvYVmL9tprCtuGSGeE23q7YNTx1EI7AFogirEROSy02c84KcsN3DoI4KFf6sW7HEu6sOZCJiqGdV4LsEoaSsWslAmrTWerS5DSDgCFndPAmbxw1C9AtopZt6e02Ysxj2l21eLQ40O9EcijlsTzh89SCY4stfYfyjyorU5yCDFk89oQsu_UYn/s728-rw-ft-e30/cyberattack.jpg)


The cyber attacks targeting the energy sector in Denmark last year may not have had the involvement of the Russia-linked Sandworm hacking group, [new findings](https://www.forescout.com/blog/analysis-of-energy-sector-cyberattacks-in-denmark-and-ukraine/) from Forescout show.


The intrusions, which [targeted around 22 Danish energy organizations](https://thehackernews.com/2023/11/russian-hackers-launch-largest-ever.html) in May 2023, occurred in two distinct waves, one which exploited a security flaw in Zyxel firewall (CVE-2023-28771) and a follow-on activity cluster that saw the attackers deploy Mirai botnet variants on infected hosts via an as-yet-unknown initial access vector.


The first wave took place on May 11, while the second wave lasted from May 22 to 31, 2023. In one such attack detected on May 24, it was observed that the compromised system was communicating with IP addresses (217.57.80[.]18 and 70.62.153[.]174) that were previously used as command-and-control (C2) for the now-dismantled [Cyclops Blink](https://thehackernews.com/2022/04/fbi-shut-down-russia-linked-cyclops.html) botnet.


[![Denmark's Energy Sector Cyberattacks](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi7Ne1q5GKzaN98AX-SsSHEjoBZwA6fmhuGhV_ygKMIe6EzYczowXCLolkk6yi_cgxBC1OYIixQJziptwMbet0eyZNXr2LCehX7hSqih7OpBEUJsNnl2HC-FxJCL041FovxbrJnOeqXMgoyfJEnYBMdHdgkjybW1r705K-HIwdIwhgkjrxIZzMcs6wLPE1l/s728-rw-ft-e30/map.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi7Ne1q5GKzaN98AX-SsSHEjoBZwA6fmhuGhV_ygKMIe6EzYczowXCLolkk6yi_cgxBC1OYIixQJziptwMbet0eyZNXr2LCehX7hSqih7OpBEUJsNnl2HC-FxJCL041FovxbrJnOeqXMgoyfJEnYBMdHdgkjybW1r705K-HIwdIwhgkjrxIZzMcs6wLPE1l/s728-rw-ft-e30/map.jpg)
Forescout's closer examination of the attack campaign, however, has revealed that not only were the two waves unrelated, but also unlikely the work of the state-sponsored group owing to the fact the second wave was part of a broader mass exploitation campaign against unpatched Zyxel firewalls. It's currently not known who is behind the twin sets of attacks.


"The campaign described as the 'second wave' of attacks on Denmark, started before and continued after [the 10-day time period], targeting firewalls indiscriminately in a very similar manner, only changing staging servers periodically," the company said in a report aptly titled "Clearing the Fog of War."


There is evidence to suggest that the attacks may have started as early as February 16 using other known flaws Zyxel devices (CVE-2020-9054 and CVE-2022-30525) alongside CVE-2023-28771, and persisted as late as October 2023, with the activity singling out various entities across Europe and the U.S.


"This is further evidence that exploitation of CVE-2023-27881, rather than being limited to Danish critical infrastructure, is ongoing and targeting exposed devices, some of which just happen to be Zyxel firewalls safeguarding critical infrastructure organizations," Forescout added.

 
  





## Tags:
***CVE's***: CVE-2022-30525 CVE-2023-28771 CVE-2020-9054 CVE-2023-27881
***ipv4-adresses***: 70.62.153.174 217.57.80.18
***urls***: http://217.57.80.18 http://70.62.153.174

### Autogenerated tags:
[[zyxel]] [[forescout]] [[firewalls]]
