# New HiatusRAT Malware Targets Business-Grade Routers to Covertly Spy on Victims
## A new complex malware campaign, Hiatus, is targeting business-grade routers to spy on victims in Latin America, Europe, and North America.
## Information:

+ Link: https://thehackernews.com/2023/03/new-hiatusrat-malware-targets-business.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 06 March 2023, 14:18
+ Date scraped: 06 March 2023, 19:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgpFwlHDKR4hqJS-62Ezpv5R8vd2ZAFhM2ALXbRnGnq7fAoRG8OOiEfSlYw6zXNuGuea1NsoJ8egXT9Gj5HVLt3KAAtTUrJXiNWfeUnV0Vpan15kWB5lH8EClju5ldJoJOxtVua5KXsgRT8OIo1Ozgaq1RECUz8_qbzu6laGRePmXS7xT_vWOz3xwyc/s728-e3650/router.png)


A never-before-seen complex malware is targeting business-grade routers to covertly spy on victims in Latin America, Europe, and North America at least since July 2022.


The elusive campaign, dubbed **Hiatus** by Lumen Black Lotus Labs, has been found to deploy two malicious binaries, a remote access trojan dubbed HiatusRAT and a [variant of tcpdump](https://web.archive.org/web/20230216210400/https:/www.git2get.com/t/5rXQChMtk97h) that makes it possible to capture packet capture on the target device.


"Once a targeted system is infected, HiatusRAT allows the threat actor to remotely interact with the system, and it utilizes prebuilt functionality [...] to convert the compromised machine into a covert proxy for the threat actor," the company [said](https://blog.lumen.com/new-hiatusrat-router-malware-covertly-spies-on-victims/) in a report shared with The Hacker News.


"The packet-capture binary enables the actor to monitor router traffic on ports associated with email and file-transfer communications."


The threat cluster primarily singles out end-of-life (EoL) DrayTek Vigor router models 2960 and 3900, with approximately 100 internet-exposed devices compromised as of mid-February 2023. Some of the impacted industry verticals include pharmaceuticals, IT services/consulting firms, and municipal government, among others.


Interestingly, this represents only a small fraction of the 4,100 DrayTek 2960 and 3900 routers that are publicly accessible over the internet, raising the possibility that "the threat actor is intentionally maintaining a minimal footprint to limit their exposure."


Given that the impacted devices are high-bandwidth routers that can simultaneously support hundreds of VPN connections, it's being suspected that the goal is to spy on targets and establish a stealthy proxy network.


[![HiatusRAT Router Hacking Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg_2uavR3oR6Axs4G4ikK5LGuGzYIm69B1kGKOkhvtr-jIImuhEgkQS9CUg28lNAlzt8u4VEbZzBvF-OwwMvvsFt39uMPrABxQquoaAhqxoXQgN18DI7S-TnV6nD8u4dQBu7LvLiOvfHOJl9xrAIF_2-6f91dhFbSPymPH06nKpkLktofTp_KY13JBC/s728-e365/black.png)
"These devices typically live outside the traditional security perimeter, which means they usually are not monitored or updated," Mark Dehus, director of threat intelligence for Lumen Black Lotus Labs, said. "This helps the actor establish and maintain long-term persistence without detection."


The exact initial access vector used in the attacks is unknown, but a successful breach is followed by the deployment of a bash script that downloads and executes HiatusRAT and a packet-capture binary.


HiatusRAT is feature-rich and can harvest router information, running processes, and contact a remote server to fetch files or run arbitrary commands. It's also capable of proxying command-and-control (C2) traffic through the router.


The use of compromised routers as proxy infrastructure is likely an attempt to obfuscate the C2 operations, the researchers said.


The findings come more than six months after Lumen Black Lotus Labs also shed light on an unrelated router-focused malware campaign that used a novel trojan called [ZuoRAT](https://thehackernews.com/2022/06/zuorat-malware-hijacking-home-office.html).


"The discovery of Hiatus confirms that actors are continuing to pursue router exploitation," Dehus said. "These campaigns demonstrate the need to secure the router ecosystem, and routers should be regularly monitored, rebooted, and updated, while end-of-life devices should be replaced."



  





## Tags:


### Autogenerated tags:
[[hiatusrat]]
