# New IceXLoader Malware Loader Variant Infected Thousands of Victims Worldwide
## Researchers find an updated version of an IceXLoader malware loader suspected of infecting thousands of home and corporate Windows machines worldwide.
## Information:

+ Link: https://thehackernews.com/2022/11/new-icexloader-malware-loader-variant.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 09 November 2022, 10:15
+ Date scraped: 09 November 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjUT46a410mOmIAeexr4BlzDgGhZSRNZh0p4gO4PhrEe-Svd7bcP_z2AcfBYhdCsRCORxMZN4Zljpq7DoOVJyWcZMKG8RL3tPK30Y9-f5Oog11T6yhG6ohoHgBG_iPLH-Cj9e28zbn0BsCYO9M1ifKpvHQUa4T83YeC447hj75xwRekwt4a7IGH6KBz/s728-e1000/zip.jpg)


An updated version of a malware loader codenamed **IceXLoader** is suspected of having compromised thousands of personal and enterprise Windows machines across the world.


IceXLoader is a commodity malware that's sold for $118 on underground forums for a lifetime license. It's chiefly employed to download and execute additional malware on breached hosts.


This past June, Fortinet FortiGuard Labs said it [uncovered](https://thehackernews.com/2022/06/researchers-warn-of-matanbuchus-malware.html) a version of the trojan written in the Nim programming language with the goal of evading analysis and detection.


"While the version discovered in June (v3.0) looked like a work-in-progress, we recently observed a newer v3.3.3 loader which looks to be fully functionable and includes a multi-stage delivery chain," Natalie Zargarov, cybersecurity researcher at Minerva Labs, [said](https://minerva-labs.com/blog/new-updated-icexloader-claims-thousands-of-victims-around-the-world/) in a report published Tuesday.


IceXLoader is traditionally distributed through phishing campaigns, with emails containing ZIP archives functioning as a trigger to deploy the malware. Infection chains have leveraged IceXLoader to deliver [DarkCrystal RAT](https://thehackernews.com/2022/05/experts-sound-alarm-on-dcrat-backdoor.html) and cryptocurrency miners.


[![IceXLoader Malware Loader](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjq3XaIxTXRkHia9S3uTcXANQuXeo-Qlrwz5GCykd7maKAivPEgSx_BN6o8CLCYYrXsfVRiGYIuKPAP13juWr-CS-mD-iMzRCMArCUlBz2ZuCAA0mcOVRE1Dn-BPsJct-L4c6uCTXuGNXaTjpqN3EUODiHEe8Awijl499wejdRDA05tWCeQSITsGzl6/s728-e1000/registry.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjq3XaIxTXRkHia9S3uTcXANQuXeo-Qlrwz5GCykd7maKAivPEgSx_BN6o8CLCYYrXsfVRiGYIuKPAP13juWr-CS-mD-iMzRCMArCUlBz2ZuCAA0mcOVRE1Dn-BPsJct-L4c6uCTXuGNXaTjpqN3EUODiHEe8Awijl499wejdRDA05tWCeQSITsGzl6/s728-e100/registry.jpg)
In the attack sequence detailed by Minerva Labs, the ZIP file has been found to harbor a [dropper](https://www.virustotal.com/gui/file/49d6552ae5c5027ce1e68edee2438564b50ddc384276fd97360c92503771d3ac), which drops a .NET-based downloader that, as the name implies, download a PNG image ("Ejvffhop.png") from a hard-coded URL.


This image file, another dropper, is subsequently converted into an array of bytes, effectively allowing it to decrypt and inject [IceXLoader](https://www.virustotal.com/gui/file/0911819d0e050ddc5884ea40b4b39a716a7ef8de0179d0dfded9f043546cede9) into a new process using a technique called [process hollowing](https://attack.mitre.org/techniques/T1055/012/).


Version 3.3.3 of IceXLoader, like its predecessor, is written in Nim and is equipped to collect system metadata, all of which is exfiltrated to a remote attacker-controlled domain, while awaiting further commands issued by the server.


The commands include the ability to restart and uninstall the malware loader and halt its execution. But its main feature is to download and execute next-stage malware on disk or filelessly in memory.


Minerva Labs said a SQLite database file hosted in the command-and-control (C2) server is being continuously updated with information about thousands of victims, adding it's in the process of notifying impacted companies.


  





## Tags:


### Autogenerated tags:
[[malware]] [[icexloader]]
