# New LABRAT Campaign Exploits GitLab Flaw for Cryptojacking and Proxyjacking Activities
## LABRAT exploits GitLab flaw for cryptojacking & proxyjacking. Cross-platform malware, kernel-based rootkits.
## Information:

+ Link: https://thehackernews.com/2023/08/new-labrat-campaign-exploits-gitlab.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 17 August 2023, 19:56
+ Date scraped: 17 August 2023, 15:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiRlvo9emWd80B2COPWjo0e368-zkZy2AydvQwPGsxOsDw-AoT3vIWrgcydY4nwnOqftr47b9rK2AQH_ntWwBcq06AWi_L7UzodIFzUzYNu3xQFgdEjDgxGiCIAVGlVHaiWOvpbZBJxuC_MRMdzT_n7F5BnSkIGAXvA7sgMSiY5WCuJ5gJ2Wwc1HrB4NDOZ/s728-e3650/hacking.jpg)


A new, financially motivated operation dubbed **LABRAT** has been observed weaponizing a now-patched critical flaw in GitLab as part of a cryptojacking and proxyjacking campaign.


"The attacker utilized undetected signature-based tools, sophisticated and stealthy cross-platform malware, command-and-control (C2) tools which bypassed firewalls, and kernel-based rootkits to hide their presence," Sysdig [said](https://sysdig.com/blog/labrat-cryptojacking-proxyjacking-campaign/) in a report shared with The Hacker News.


"Furthermore, the attacker abused a legitimate service, [TryCloudflare](https://try.cloudflare.com/), to obfuscate their C2 network."


[Proxyjacking](https://thehackernews.com/2023/06/cybercriminals-hijacking-vulnerable-ssh.html) allows the attacker to rent the compromised host out to a proxy network, making it possible to monetize the unused bandwidth. Cryptojacking, on the other hand, refers to the abuse of the system resources to mine cryptocurrency.


A notable aspect of the campaign is the use of compiled binaries written in Go and .NET to fly under the radar, with LABRAT also providing backdoor access to the infected systems. This could ultimately pave the way for follow-on attack, data theft, and ransomware.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgwAoxYDskfi-J01jeLkkPEZqHZy9bLaLX8kLNuruprE8YRTIB5EBEid3uvBbzR90H6IcIJgVhjn0srTxOZLXejyJ6Jz9ZP-lexe0SPTD7GA1oU6HgxduclFP4BBnHkKiVJ_bsnI7UWFpYdpeFEkKKy1rxI2i0Y5KObLKK-rA7YfSuph4A714RQKICG252V/s728-e3650/4.png)](https://thn.news/edWGl41h)
The attack chains begin with the exploitation of [CVE-2021-22205](https://nvd.nist.gov/vuln/detail/CVE-2021-22205) (CVSS score: 10.0), a remote code execution vulnerability that has been exploited in the wild by [Indonesian-origin actors](https://thehackernews.com/2023/05/indonesian-cybercriminals-exploit-aws.html) in the past to deploy crypto miners.


A successful break-in is followed by the retrieval of a dropper shell script from a C2 server that sets up persistence, conducts lateral movement using SSH credentials found in the system, and downloads additional binaries from a private GitLab repository.


"During the LABRAT operation, TryCloudflare was used to redirect connections to a password-protected web server that hosted a malicious shell script," Miguel Hernández said. "Using the legitimate TryCloudFlare infrastructure can make it difficult for defenders to identify subdomains as malicious, especially if it is used in normal operations too."


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgXSQNfwKvCGU7ZrWMK8eNg2enumf7EUiOgfZO1ib9uiM-Lrzzkgc59q1DkTSdm5Fea878KU6bfJ0n5BNRXwo9riXiXHcL7v74i1b7cM_bDIHHhxC8mceFp9D2IQ3Mjpmd4-jjrMSGxoJ1uHTiwVJ_EtI48ut6PnZ_UUSXvasJp-i8pkai13wp5KI8svOZr/s728-e365/proxy.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgXSQNfwKvCGU7ZrWMK8eNg2enumf7EUiOgfZO1ib9uiM-Lrzzkgc59q1DkTSdm5Fea878KU6bfJ0n5BNRXwo9riXiXHcL7v74i1b7cM_bDIHHhxC8mceFp9D2IQ3Mjpmd4-jjrMSGxoJ1uHTiwVJ_EtI48ut6PnZ_UUSXvasJp-i8pkai13wp5KI8svOZr/s728-e365/proxy.jpg)
TryCloudflare is a [free tool](https://developers.cloudflare.com/cloudflare-one/connections/connect-networks/do-more-with-tunnels/trycloudflare/) that can be used to create a Cloudflare Tunnel without adding a site to Cloudflare's DNS. It launches a process that generates a random subdomain on trycloudflare.com, thereby allowing internal resources to be exposed to the public internet.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
The development adds to the [abuse of cloudflared](https://thehackernews.com/2023/08/hackers-abusing-cloudflare-tunnels-for.html) to establish covert communication channels from compromised hosts and main access to victim networks.


In a second variant of the attack, the adversary is said to have used a Solr server instead of TryCloudflare to download an exploit for the [PwnKit](https://thehackernews.com/2022/06/cisa-warns-of-active-exploitation-of.html) (CVE-2021-4034) from the same GitLab repository to elevate privileges, along with another file that's no longer accessible.


Some of the payloads retrieved by the dropper script include an open-source utility known as Global Socket ([gsocket](https://www.gsocket.io/)) for remote access and binaries to conduct cryptojacking and proxyjacking via known services such as IPRoyal and ProxyLite. The mining process is concealed using a kernel-based rootkit called [hiding-cryptominers-linux-rootkit](https://github.com/alfonmga/hiding-cryptominers-linux-rootkit).


Also delivered is a Go-based executable designed to ensure persistence and kill competing mining processes or older versions of itself in order to fully harness the machine's resources and maximize their earnings.


"Since the goal of the LABRAT operation is financial, time is money," Hernández said. "The longer a compromise goes undetected, the more money the attacker makes and the more it will cost the victim."


  





## Tags:
***CVE's***: CVE-2021-4034 CVE-2021-22205

### Autogenerated tags:
[[trycloudflare]] [[labrat]] [[gitlab]] [[cryptojacking]] [[proxyjacking]] [[c2]]
