# New Malvertising Campaign Distributing PikaBot Disguised as Popular Software
## PikaBot, a dangerous loader, is spreading via malvertising campaigns targeting users searching for legit software like AnyDesk
## Information:

+ Link: https://thehackernews.com/2023/12/new-malvertising-campaign-distributing.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 19 December 2023, 16:32
+ Date scraped: 19 December 2023, 12:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhGOzOcqextZnjKZBvNlqemOzvdahmCMZHbB8eV20XRiPvzruXEnBaFlwW7FyyY8K8diws9ojIUz7zsKpwJP1BYhEvIugGqKTIQY9dHkMmB7kC1eiOxoTxEWCHcbsO9TP5f538RKQjetjdcdIzhjeRRfJ7unkq3O2oFUNO4E-GzDeNMhs-bGuKSCU71F0cX/s728-rw-ft-e30/ads.jpg)


The malware loader known as PikaBot is being distributed as part of a [malvertising](https://thehackernews.com/2023/11/new-malvertising-campaign-uses-fake.html) [campaign](https://thehackernews.com/2023/12/microsoft-warns-of-malvertising-scheme.html) targeting users searching for legitimate software like AnyDesk.


"PikaBot was previously only distributed via malspam campaigns similarly to QakBot and emerged as one of the preferred payloads for a threat actor known as TA577," Malwarebytes' Jérôme Segura [said](https://www.malwarebytes.com/blog/threat-intelligence/2023/12/pikabot-distributed-via-malicious-ads).


The malware family, which [first](https://medium.com/@DCSO_CyTec/shortandmalicious-pikabot-and-the-matanbuchus-connection-5e302644398) [appeared](https://news.sophos.com/en-us/2023/06/12/deep-dive-into-the-pikabot-cyber-threat/) in early 2023, consists of a loader and a core module that allows it to operate as a backdoor as well as a distributor for other payloads.


This [enables](https://thehackernews.com/2023/06/new-mystic-stealer-malware-targets-40.html) the threat actors to gain unauthorized remote access to compromised systems and transmit commands from a command-and-control (C2) server, ranging from arbitrary shellcode, DLLs, or executable files, to other malicious tools such as Cobalt Strike.


 UPCOMING WEBINAR  [Beat AI-Powered Threats with Zero Trust - Webinar for Security Professionals](https://thehacker.news/zero-trust-attack-surface?source=inside)  Traditional security measures won't cut it in today's world. It's time for Zero Trust Security. Secure your data like never before.

 [Join Now](https://thehacker.news/zero-trust-attack-surface?source=inside) 
One of the threat actors leveraging PikaBot in its attacks is [TA577](https://www.proofpoint.com/us/blog/threat-insight/first-step-initial-access-leads-ransomware), a prolific cybercrime threat actor that has, in the past, delivered QakBot, IcedID, SystemBC, SmokeLoader, Ursnif, and Cobalt Strike.


Last month, it emerged that PikaBot, along with DarkGate, is being [propagated](https://thehackernews.com/2023/11/darkgate-and-pikabot-malware-resurrect.html) via malspam campaigns mirror that of QakBot. "Pikabot infection led to Cobalt Strike on 207.246.99[.]159:443 using masterunis[.]net as its domain," Palo Alto Networks Unit 42 [disclosed](https://twitter.com/Unit42_Intel/status/1736859404157276596) recently.


The latest initial infection vector is a malicious Google ad for AnyDesk that, when clicked by a victim from the search results page, redirects to a fake website named anadesky.ovmv[.]net that points to a malicious MSI installer hosted on Dropbox.


It's worth pointing out that the redirection to the bogus website only occurs after fingerprinting the request, and only if it's not originating from a virtual machine.


"The threat actors are bypassing Google's security checks with a tracking URL via a legitimate marketing platform to redirect to their custom domain behind Cloudflare," Segura explained. "At this point, only clean IP addresses are forwarded to the next step."


Interestingly, a second round of fingerprinting takes place when the victim clicks on the download button on the website, likely in an added attempt to ensure that it's not accessible in a virtualized environment.


Malwarebytes said the attacks are reminiscent of previously identified malvertising chains employed to disseminate another loader malware known as [FakeBat](https://thehackernews.com/2023/07/new-malvertising-campaign-distributing.html) (aka EugenLoader).


[![Malvertising Campaign](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhzew5cY1O0pIvXGu47zih4xOWON6vzKQrx3Ro6AuoiJ1F6p2OqQMDO2erpTZthxRczlpiw9hDwRF3j4i57H3nlmLwoccqLdhnrXLeD6CcOauCNpGLRhjVpOuivEpq8lZA6eKqKxMp1miibh85T8Toj1BQIMz5swDtVEj2XOrixE66S0QZTVwV2QA1y3ZaM/s728-rw-ft-e30/malware.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhzew5cY1O0pIvXGu47zih4xOWON6vzKQrx3Ro6AuoiJ1F6p2OqQMDO2erpTZthxRczlpiw9hDwRF3j4i57H3nlmLwoccqLdhnrXLeD6CcOauCNpGLRhjVpOuivEpq8lZA6eKqKxMp1miibh85T8Toj1BQIMz5swDtVEj2XOrixE66S0QZTVwV2QA1y3ZaM/s728-rw-ft-e30/malware.jpg)
"This is particularly interesting because it points towards a common process used by different threat actors," Segura said. "Perhaps, this is something akin to 'malvertising-as-a-service' where Google ads and decoy pages are provided to malware distributors."


This disclosure comes as the cybersecurity company said it detected a spike in malicious ads through Google searches for popular software like Zoom, Advanced IP Scanner, and WinSCP to deliver a previously never-before-seen loader called HiroshimaNukes as well as FakeBat.


"It uses several techniques to bypass detection from DLL side-loading to very large payloads," Segura [said](https://www.malwarebytes.com/blog/threat-intelligence/2023/12/malvertisers-zoom-in-on-cryptocurrencies-and-initial-access). "Its goal is to drop additional malware, typically a stealer followed by data exfiltration."


The rise in malvertising is indicative of how browser-based attacks act as channels for infiltrating target networks. This also includes a new Google Chrome extension framework codenamed ParaSiteSnatcher, which allows threat actors to "monitor, manipulate, and exfiltrate highly sensitive information from multiple sources."


Specifically designed to compromise users in Latin America, the rogue extension is noteworthy for its use of the Chrome Browser API to intercept and exfiltrate all POST requests containing sensitive account and financial information. It's downloaded through a VBScript downloader hosted on Dropbox and Google Cloud and installed onto an infected system.


"Once installed, the extension manifests with the help of extensive permissions enabled through the Chrome extension, allowing it to manipulate web sessions, web requests, and track user interactions across multiple tabs using the Chrome tabs API," Trend Micro [said](https://www.trendmicro.com/en_us/research/23/k/parasitesnatcher-how-malicious-chrome-extensions-target-brazil-.html) last month.


"The malware includes various components that facilitate its operation, content scripts that enable malicious code injection into web pages, monitor Chrome tabs, and intercept user input and web browser communication."


  





## Tags:
***ipv4-adresses***: 207.246.99.159
***urls***: http://anadesky.ovmv.net http://masterunis.net http://207.246.99.159:443

### Autogenerated tags:
[[malware]] [[google]] [[pikabot]] [[segura]] [[malvertising]] [[qakbot]] [[website]]
