# New Malware Campaign Leveraging Satacom Downloader to Steal Cryptocurrency
## Attention crypto users! Find out how cybercriminals are using the Satacom downloader to steal cryptocurrency through Chromium-based browsers.
## Information:

+ Link: https://thehackernews.com/2023/06/new-malware-campaign-leveraging-satacom.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 06 June 2023, 23:51
+ Date scraped: 06 June 2023, 19:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiXypS_T5bvBczoNZcJvPr2KbLYTg_GiAB928ctc3C9SgPfkGXOsZ1jMTXb4CTAjQaA20pd5BqKRYiBpl7KtWvOvVQlx9f4tl1RzuOFUQd7CImH5EB6j-o830UwsoOZB238oool2eJQuwlta5j2fKDm19gTxM3pskcZMtnOEVhQ79IL-JUWZpCWMQrD/s728-e3650/bitcoin.jpg)


A recent malware campaign has been found to leverage **Satacom downloader** as a conduit to deploy stealthy malware capable of siphoning cryptocurrency using a rogue extension for Chromium-based browsers.


"The main purpose of the malware that is dropped by the Satacom downloader is to steal BTC from the victim's account by performing web injections into targeted cryptocurrency websites," Kaspersky researchers Haim Zigel and Oleg Kupreev [said](https://securelist.com/satacom-delivers-cryptocurrency-stealing-browser-extension/109807/).


Targets of the campaign include Coinbase, Bybit, KuCoin, Huobi, and Binance users primarily located in Brazil, Algeria, Turkey, Vietnam, Indonesia, India, Egypt, and Mexico.


Satacom downloader, also called [Legion Loader](https://www.deepinstinct.com/blog/untangling-legion-loaders-hornet-nest-of-malware), first emerged in 2019 as a dropper for next-stage payloads, including information stealers and cryptocurrency miners.


Infection chains involving the malware begin when users searching for cracked software are redirected to bogus websites that host ZIP archive files containing the malware.


"Various types of websites are used to spread the malware," the researchers explained. "Some of them are malicious websites with a hardcoded download link, while others have the 'Download' button injected through a legitimate ad plugin."


Present within the archive file is an executable called "Setup.exe" that's about 5 MB in size but inflated to roughly 450 MB with null bytes in an attempt to evade analysis and detection.


Launching the binary initiates the malware routine, culminating in the execution of the Satacom downloader that, in turn, uses DNS requests as a command-and-control (C2) method to fetch the URL that hosts the actual malware.


The campaign documented by Kaspersky leads to a PowerShell script, which downloads the browser add-on from a remote third-party server. It also searches for browser shortcut (.LNK) files in the compromised host and modifies the "Target" parameter with [the "--load-extension" flag](https://thehackernews.com/2022/11/this-malware-installs-malicious-browser.html) to launch the browser with the downloaded extension.


[![Cryptocurrency Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhQp5bLB5n9YNN2qkkM3xerDdVJD5v4Q3SifE8vK_2FKNKLHWuZ0T25x4pk7wgxh9oR3lBL60ahJRuOS6-28eX0bFnJetrtngp7PjZjydV0O1NdNXQ-X8bSMhNtwNBlHKA_WSkRx2tGiftw52vUVJL822ktES97xux9hIH_Jm_oOyR7LG7oKvJEkyMJ/s728-e365/code.jpg)
What's more, the add-on masquerades as a Google Drive extension and employs web injections sent by the C2 server when the victim is visiting one of the targeted cryptocurrency websites to manipulate the content and steal crypto.


The C2 address is concealed within the script and addr fields of the most recent bitcoin transaction associated with an [actor-controlled wallet address](https://blockchain.info/address/bc1qtms60m4fxhp5v229kfxwd3xruu48c4a0tqwafu), employing the same technique as the [Glupteba botnet malware](https://thehackernews.com/2022/12/glupteba-botnet-continues-to-thrive.html) to get around domain blockades or takedowns.


"The extension performs various actions on the account in order to remotely control it using the web inject scripts, and eventually the extension tries to withdraw the BTC currency to the threat actors' wallet," the researchers said.


In an additional attempt to conceal its activity, the malicious extension contains scripts to conceal the email confirmation of the fraudulent transaction across Gmail, Hotmail and Yahoo! services by means of an HTML code injection.


 UPCOMING WEBINAR 🔐 Mastering API Security: Understanding Your True Attack Surface Discover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

 [Reserve Your Spot](https://thn.news/z-inside-2).ad-button,.ad-label,.ad-label:after{display:inline-block}.ad\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.ad-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.ad-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.ad-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.ad-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.ad-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
A consequence of this injection is that the victim is unaware that an illicit transfer to the threat actors' wallet was made. Another notable aspect of the add-on is its ability to extract system metadata, cookies, browser history, screenshots of opened tabs, and even receive commands from the C2 server.


"The extension can update its functionality due to the technique used to retrieve the C2 server via the last transaction of a specific BTC wallet, which can be modified at any time by making another transaction to this wallet," the researchers said.


"This allows the threat actors to change the domain URL to a different one in case it's banned or blocked by antivirus vendors."


[![booby-trapped extensions](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg-CCVYxmHGATALARdIEh-V_cllz_4JMF-obJqFJYghrYwzThBRmTRSHtRZo9jgY0DuwrlGwT3nD98PBq3ewiyYVRxMlS7ayDoL_5HvIxHhKS0aUwotgqlCVad2zRdfmHgx8Od4BcZhhVal88YLSFuz2S7lVDOJfKUiycoNU8q8DxMmQB1B8cHphHfo/s728-e365/yt.jpg)
The development comes as [several](https://palant.info/2023/05/31/more-malicious-extensions-in-chrome-web-store/) [booby-trapped extensions](https://blog.avast.com/malicious-extensions-chrome-web-store) posing as legitimate utilities have been unearthed on the Chrome Web Store with capabilities to spread adware and hijack search results to display sponsored links, paid search results, and potentially malicious links.


The extensions, while offering the promised features, contained obfuscated code that allowed a third-party website to inject arbitrary JavaScript code into all websites that a user visited without their knowledge.


  





## Tags:


### Autogenerated tags:
[[malware]] [[websites]] [[c2]] [[satacom]] [[downloader]] [[btc]] [[add-on]]
