# New Malware Campaign Targets Inexperienced Cyber Criminals with OpenBullet Configs
## New malware campaign uses OpenBullet configs to target inexperienced cyber criminals, delivering a dangerous RAT that steals sensitive information.
## Information:

+ Link: https://thehackernews.com/2023/08/new-malware-campaign-targets.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 07 August 2023, 21:27
+ Date scraped: 07 August 2023, 16:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjl3zwhDuERkaYelytSmPKvARJ2ZVt07HNL7tHKMIO0rqHPzULEEVCVEeHQiClEksHbpn4pIFGmwKVhQtdF5R5SZX9Y5vPidu7lCwdWKb9SU2mK1RwD_s8CBuEtFqjK5aGcMAmAVVIVpwof-Pj_DtDZ4wEGbUZvHSKfZ899wUSdBNDL3MXPTcsVpH2xFf1q/s728-e3650/hackers.jpg)


A new malware campaign has been observed making use of malicious OpenBullet configuration files to target inexperienced cyber criminals with the goal of delivering a remote access trojan (RAT) capable of stealing sensitive information.


Bot mitigation company Kasada [said](https://www.kasada.io/threat-intel-openbullet-malware/) the activity is designed to "exploit trusted criminal networks," describing it as an instance of advanced threat actors "preying on beginner hackers."


[OpenBullet](https://openbullet.github.io/ob1/usage.html) is a legitimate [open-source pen testing tool](https://www.kasada.io/openbullet/) used for automating credential stuffing attacks. It takes in a [configuration file](https://www.trendmicro.com/en_us/research/21/d/how-cybercriminals-abuse-openbullet-for-credential-stuffing-.html) that's tailored to a specific website and can combine it with a password list procured through other means to log successful attempts.


"OpenBullet can be used with Puppeteer, which is a headless browser that can be used for automating web interactions," the company [said](https://www.kasada.io/openbullet/how-cybercriminals-use-openbullet/). "This makes it very easy to launch credential stuffing attacks without having to deal with browser windows popping up."


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhm307Hkf3ltRaZ9aYPMAMkarRfeZqeb9lr76AYj5TyW4mi1Dhgxqe-mGbmRiDsl7xCcRfhBhMR0oDROzrIeBEpQTwhOju46GCQUVipAD8RLNXsz_A-luP30_JCYzIhfAVq7jXv4hyiDNxY8cYfqj0ucoSd1JH2jJLslSnVZ7_PIAQ9E_aUo-1_EmYeOKR3/s728-e3650/2.png)](https://thn.news/edWGl41h)
The configurations, essentially a piece of executable code to generate HTTP requests against the target website or web application, are also traded, or sold within criminal communities, lowering the bar for criminal activity and enabling script kiddies to mount their own attacks.


"The interest in the purchase of configs, for example, could indicate that the users of OpenBullet are relatively unsophisticated," Israeli cybersecurity company Cybersixgill [noted](https://cybersixgill.com/news/articles/behind-the-meteoric-rise-of-openbullet) back in September 2021.


"But it could also be yet another example of the dark web's highly efficient division of labor. That is, threat actors advertise that they want to buy configs because they don't know how to script them, but because it's easier and faster."


This flexibility can also be a double-edged sword, as it opens up a new vector, only it targets other criminal actors who are actively seeking such configuration files on hacking forums.


The campaign discovered by Kasada employs malicious configs shared on a Telegram channel to reach out to a GitHub repository to retrieve a Rust-based dropper called Ocean that's designed to fetch the next-stage payload from the same repository.


The executable, a Python-based malware referred to as Patent, ultimately launches a remote access trojan that utilizes Telegram as a command-and-control (C2) mechanism and issues instructions to capture screenshots, list directory contents, terminate tasks, exfiltrate crypto wallet information, and steal passwords and cookies from Chromium-based web browsers.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
Targeted browsers and crypto wallets include Brave, Google Chrome, Microsoft Edge, Opera, Opera GX, Opera Crypto, Yandex Browser, Atomic, Dash Core, Electron Cash, Electrum, Electrum-LTC, Ethereum Wallet, Exodus, Jaxx Liberty, Litecoin Wallet, and Mincoin.


The trojan also functions as a clipper to monitor the clipboard for cryptocurrency wallet addresses and substitute contents matching a predefined regular expression with an actor-controlled address, leading to unauthorized fund transfers.


Two of the Bitcoin wallet addresses operated by the adversary have received a total of $1,703.15 over the past two months, which were subsequently laundered using an anonymous crypto exchange known as Fixed Float.


"The distribution of the malicious OpenBullet configs within Telegram is a novel infection vector, likely targeting these criminal communities due to their frequent use of cryptocurrencies," the researchers said.


"This presents an opportunity for attackers to shape their collection to a specific target group and obtain other members' funds, accounts, or access. As the old saying goes, there is no honor amongst thieves."


  





## Tags:


### Autogenerated tags:
[[openbullet]] [[configs]]
