# New Mystic Stealer Malware Targets 40 Web Browsers and 70 Browser Extensions
## A new information-stealing malware called Mystic Stealer is targeting 40 web browsers and 70 browser extensions, as well as cryptocurrency wallets.
## Information:

+ Link: https://thehackernews.com/2023/06/new-mystic-stealer-malware-targets-40.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 19 June 2023, 20:51
+ Date scraped: 19 June 2023, 16:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEic0-jX34f5te7-SY9vXCThjsMe7rTZk_OzqlfqqTFfG54xigBGXDu7okfwRGuV0RwyPvhvl2KtyuLZXl5mcw4Wsq4J87VwraHt0N4An1Gtf0Qh3kIc_IitikAOqsjKK_hJU2PiUNU78RSji1w7-ssbmt4cvZVLimK8wnAjdaXuQOfyRji9hJ3ExZHVSho/s728-e3650/hacking.jpg)


A new information-stealing malware called **Mystic Stealer** has been found to steal data from about 40 different web browsers and over 70 web browser extensions.


First advertised on April 25, 2023, for $150 per month, the malware also targets cryptocurrency wallets, Steam, and Telegram, and employs extensive mechanisms to resist analysis.


"The code is heavily obfuscated making use of polymorphic string obfuscation, hash-based import resolution, and runtime calculation of constants," [InQuest](https://inquest.net/blog/2023/06/15/mystic-stealer-new-kid-block) and [Zscaler](https://www.zscaler.com/blogs/security-research/mystic-stealer) researchers said in an analysis published last week.


Mystic Stealer, like many other crimeware solutions that are offered for sale, focuses on pilfering data and is implemented in the C programming language. The control panel has been developed using Python.


Updates to the malware in May 2023 incorporate a loader component that allows it to retrieve and execute next-stage payloads fetched from a command-and-control (C2) server, making it a more formidable threat.


C2 communications are achieved using a custom binary protocol over TCP. As many as 50 operational C2 servers have been identified to date. The control panel, for its part, serves as the interface for buyers of the stealer to access data logs and other configurations.


Cybersecurity firm Cyfirma, which [published](https://www.cyfirma.com/outofband/mystic-stealer-evolving-stealth-malware/) a concurrent analysis of Mystic, said, "the author of the product openly invites suggestions for additional improvements in the stealer" through a dedicated Telegram channel, indicating active efforts to court the cybercriminal community.


"It seems clear that the developer of Mystic Stealer is looking to produce a stealer on par with the current trends of the malware space while attempting to focus on anti-analysis and defense evasion," the researchers said.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-2)
The findings come as [infostealers](https://www.accenture.com/us-en/blogs/security/information-stealer-malware-on-dark-web) have [emerged](https://thehackernews.com/2023/04/youtube-videos-distributing-aurora.html) as a [hot commodity](https://thehackernews.com/2023/05/new-stealthy-bandit-stealer-targeting.html) in the underground economy, often serving as the precursor by facilitating the collection of credentials to enable initial access into target environments.


Put differently, stealers are used as a foundation by other cybercriminals to launch financially motivated campaigns that employ ransomware and data extortion elements.


The spike in popularity notwithstanding, off-the-shelf stealer malware are not being marketed at affordable prices to appeal to a wider audience, they are also evolving to become more lethal, packing in advanced techniques to fly under the radar.


[![Mystic Stealer](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi4iuKtwpSsPzl2vSFZCE_i_WI0gNHt5Fzshfqy1iw2Rbyc8_X8mAMo2ffV1tVCysFQYTesgToOjvrDoRU5EUTpho5hfnApfA1lF8bhWBr8mISN366zpwSMWlTPPUbQtG215f_0t_CVn6ou3SAES2Iqizm5fulmTv7JmOKRfrLX1L6Y6-yR6WkxGEBzmBk/s728-e365/log.jpg)
The ever-evolving and volatile nature of the stealer universe is best exemplified by the steady introduction of new strains such as [Album Stealer](https://www.zscaler.com/blogs/security-research/album-stealer-targets-facebook-adult-only-content-seekers), [Bandit Stealer](https://www.zscaler.com/blogs/security-research/technical-analysis-bandit-stealer), [Devopt](https://www.zscaler.com/blogs/security-research/introducing-devopt-multifunctional-backdoor-arsenal), [Fractureiser](https://www.bitdefender.com/blog/labs/infected-minecraft-mods-lead-to-multi-stage-multi-platform-infostealer-malware/), and [Rhadamanthys](https://www.zscaler.com/blogs/security-research/technical-analysis-rhadamanthys-obfuscation-techniques) in recent months.


In a further sign of threat actor's attempts to evade detection, information stealers and remote access trojans have been observed packaged within crypters like [AceCryptor](https://thehackernews.com/2023/05/acecryptor-cybercriminals-powerful.html), [ScrubCrypt](https://thehackernews.com/2023/06/cybercriminals-using-powerful-batcloak.html) (aka BatCloak), and [Snip3](https://www.zscaler.com/blogs/security-research/snip3-crypter-reveals-new-ttps-over-time).


The development also comes as HP Wolf Security [detailed](https://press.hp.com/us/en/press-releases/2023/hp-wolf-security-q1-2023-threat-insights-report.html) a March 2023 [ChromeLoader](https://thehackernews.com/2022/05/experts-warn-of-rise-in-chromeloader.html) campaign codenamed Shampoo that's [engineered](https://thehackernews.com/2023/02/chromeloader-malware-targeting-gamers.html) to install a malicious extension in Google Chrome and steal sensitive data, redirect searches, and inject ads into a victim's browser session.


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Claim Your Spot](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
"Users encountered the malware mainly from downloading illegal content, such as movies (Cocaine Bear.vbs), video games, or other," security researcher Jack Royer [said](https://threatresearch.ext.hp.com/shampoo-a-new-chromeloader-campaign/). "These websites trick victims into running a malicious VBScript on their PCs that triggers the infection chain."


The VBScript then proceeds to launch PowerShell code capable of terminating all existing Chrome windows and opening a new session with the unpacked rogue extension using the "[--load-extension](https://thehackernews.com/2023/04/new-rilide-malware-targeting-chromium.html)" command line argument.


It also follows the discovery of a new modular malware trojan christened Pikabot that has the ability to execute arbitrary commands and inject payloads that are provided by a C2 server, such as [Cobalt Strike](https://thehackernews.com/2023/05/hackers-using-golang-variant-of-cobalt.html).


The implant, active since early 2023, has been found to share resemblances with [QBot](https://thehackernews.com/2023/06/evasive-qbot-malware-leverages-short.html) with regard to distribution methods, campaigns, and malware behaviors, although there is no conclusive evidence connecting the two families.


"Pikabot is a new malware family that implements an extensive set of anti-analysis techniques and offers common backdoor capabilities to load shellcode and execute arbitrary second-stage binaries," Zscaler [said](https://www.zscaler.com/blogs/security-research/technical-analysis-pikabot).


  





## Tags:


### Autogenerated tags:
[[malware]] [[c2]]
