# New Orchard Botnet Uses Bitcoin Founder’s Account Info to Generate Malicious Domains
## A new botnet named Orchard has been observed using Bitcoin creator Satoshi Nakamoto's account transaction information to generate domain names.
## Information:

+ Link: https://thehackernews.com/2022/08/new-orchard-botnet-uses-bitcoin.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 08 August 2022, 13:55
+ Date scraped: 08 August 2022, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhV_1yg4CnmxEATwnseOK55IcpTwdSdRAf7DOMAKq_ddLxqcUWbnsM4yL3r0hlb7RR-hstF38IjNw6HmmtM0KlpR9qBKnBSyWmiI_123zJvtLkWZOySDN-Qbac-z10hdlI5VtzPxMk2Hf-jcKtdYp1WtB_afaeZ7RP30ZlnnJpyYfDrKNssVSvlVj0v/s728-e1000/malware.jpg)


A new botnet named Orchard has been observed using Bitcoin creator Satoshi Nakamoto's account transaction information to generate domain names to conceal its command-and-control (C2) infrastructure.


"Because of the uncertainty of Bitcoin transactions, this technique is more unpredictable than using the common time-generated [[domain generation algorithms](https://en.wikipedia.org/wiki/Domain_generation_algorithm)], and thus more difficult to defend against," researchers from Qihoo 360's Netlab security team [said](https://blog.netlab.360.com/a-new-botnet-orchard-generates-dga-domains-with-bitcoin-transaction-information/) in a Friday write-up.


Orchard is said to have undergone three revisions since February 2021, with the botnet primarily used to deploy additional payloads onto a victim's machine and execute commands received from the C2 server.


It's also designed to upload device and user information as well as infect USB storage devices to propagate the malware. Netlab's analysis shows that over 3,000 hosts have been enslaved by the malware to date, most of them located in China.


Orchard has also been subjected to significant updates in over a year, one of which entails a brief tryst with Golang for its implementation, before switching back to C++ in its third iteration.


On top of that, the latest version incorporates features to launch a XMRig mining program to mint Monero (XMR) by abusing the compromised system's resources.


Another change relates to the use of the DGA algorithm employed in the attacks. While the first two variants exclusively rely on date strings to generate the domain names, the newer version uses balance information obtained from the cryptocurrency wallet address "[1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa](https://www.blockchain.com/btc/address/1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa)."


It's worth pointing out that the wallet address is the miner reward receiving address of the Bitcoin [Genesis Block](https://en.bitcoin.it/wiki/Genesis_block), which [occurred](https://coingeek.com/the-mystery-of-the-genesis-block/) on January 3, 2009, and is believed to be held by Nakamoto.


"Over the past decade or so, small amounts of bitcoin have been transferred to this wallet on a daily basis for various reasons, so it is variable and that change is difficult to predict, so the balance information for this wallet can also be used as DGA input," the researchers said.


The findings come as researchers took the wraps off a nascent IoT botnet malware codenamed [RapperBot](https://thehackernews.com/2022/08/new-iot-rapperbot-malware-targeting.html) that has been spotted brute-forcing SSH servers to potentially carry out distributed denial-of-service (DDoS) attacks.


  





## Tags:


### Autogenerated tags:
[[bitcoin]] [[botnet]] [[malware]]
