# New P2PInfect Worm Targets Redis Servers with Undocumented Breach Methods
## P2PInfect peer-to-peer (P2) worm has been observed employing previously undocumented initial access methods to breach susceptible Redis servers.
## Information:

+ Link: https://thehackernews.com/2023/07/new-p2pinfect-worm-targets-redis.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 31 July 2023, 19:08
+ Date scraped: 31 July 2023, 14:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjmsu6laBK5j5fAZScT_-J1VmR0aHNztUr5Leb7jt5T8uVfLKiRqylRA6kVMbAh54Q0oKGXzLCmKs6vEmRt0e36xBbNbsneOa8uU_WOJh9U5FHnweMYefIwCSO0yJqiZOL5r-6UBPopfD8s5wXuJBS-4mdAK0T3cNY42a8tmrr9AnWcKunN4HrqDCAIvW6o/s728-e3650/worm.jpg)


The P2PInfect peer-to-peer (P2) worm has been observed employing previously undocumented initial access methods to breach susceptible Redis servers and rope them into a botnet.


"The malware compromises exposed instances of the Redis data store by exploiting the replication feature," Cado Security researchers Nate Bill and Matt Muir [said](https://www.cadosecurity.com/redis-p2pinfect/) in a report shared with The Hacker News.


"A common attack pattern against Redis in cloud environments is to exploit this feature using a malicious instance to enable replication. This is achieved via connecting to an exposed Redis instance and issuing the SLAVEOF command."


The Rust-based malware was [first documented](https://thehackernews.com/2023/07/new-p2pinfect-worm-targeting-redis.html) by Palo Alto Networks Unit 42, calling out the malware's ability to exploit a critical Lua sandbox escape vulnerability ([CVE-2022-0543](https://nvd.nist.gov/vuln/detail/CVE-2022-0543), CVSS score: 10.0) to obtain a foothold into Redis instances. The campaign is believed to have commenced on or after June 29, 2023.


However, the latest discovery suggests that the threat actors behind the campaign are leveraging multiple exploits for initial access.


This is not the first time the [SLAVEOF command](https://medium.com/@knownsec404team/rce-exploits-of-redis-based-on-master-slave-replication-ef7a664ce1d0) has been abused in the wild. Previously, threat actors associated with malware families such as [H2Miner](https://www.alibabacloud.com/blog/new-outbreak-of-h2miner-worms-exploiting-redis-rce-detected_595743) and [HeadCrab](https://thehackernews.com/2023/02/new-threat-stealthy-headcrab-malware.html) have abused the attack technique to [illicitly mine cryptocurrency](https://www.microsoft.com/en-us/security/blog/2023/07/25/cryptojacking-understanding-and-defending-against-cloud-compute-resource-abuse/) on compromised hosts.


In doing so, the goal is to replicate a malicious instance and load a malicious module to activate the infection.


Another initial access vector entails the registration of a malicious cron job on the Redis host to download the malware from a remote server upon execution, a method previously observed in attacks mounted by the [WatchDog cryptojacking group](https://thehackernews.com/2023/03/new-cryptojacking-campaign-leverages.html).


A successful breach is followed by the distribution of next-stage payloads that allow the malware to alter [iptables firewall rules](https://www.digitalocean.com/community/tutorials/iptables-essentials-common-firewall-rules-and-commands) at will, upgrade itself, and potentially deploy cryptocurrency miners at a later date once the botnet has grown to a specific size.


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Learn, Connect, Grow](https://thn.news/I26t1VFD)
"The P2Pinfect malware makes use of a peer-to-peer botnet," the researchers said. "Each infected server is treated as a node, which then connects to other infected servers. This allows the entire botnet to gossip with each other without using a centralized C2 server."


A notable trait of the botnet is its worming behavior, enabling it to expand its reach by using a list of passwords to brute-force SSH servers and attempting to exploit the Lua sandbox escape vulnerability or use the SLAVEOF command in the case of Redis servers.


"P2Pinfect is well-designed and utilizes sophisticated techniques for replication and C2," the researchers concluded. "The choice of using Rust also allows for easier portability of code across platforms (with the Windows and Linux binaries sharing a lot of the same code), while also making static analysis of the code significantly harder."


  





## Tags:
***CVE's***: CVE-2022-0543

### Autogenerated tags:
[[redis]] [[malware]] [[botnet]] [[p2pinfect]] [[slaveof]]
