# New PowerExchange Backdoor Used in Iranian Cyber Attack on UAE Government
## An Iranian threat actor targeted a government entity in the UAE, leveraging PowerExchange backdoor to breach their Microsoft Exchange Servers.
## Information:

+ Link: https://thehackernews.com/2023/05/new-powerexchange-backdoor-used-in.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 25 May 2023, 19:09
+ Date scraped: 25 May 2023, 14:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjfP4KQu3IpV5hYEFWHfrZPoUa2WOZWH7-4Tk5XvQWqoFmsV-68uiJH-kfpmTDJeLUEDAKHhg-47E6E8WVsVoGEmFfYSD1d5CyaZvjeKBa-SZ2yAHfz7Jv8U8ldkZEMVEUaH5F3XPc1evAxf1uNwXPLYr707tyJgDCM5ONUVR2CtdXaZznLgjoy8EZQ/s728-e3650/ms.jpg)


An unnamed government entity associated with the United Arab Emirates (U.A.E.) was targeted by a likely Iranian threat actor to breach the victim's Microsoft Exchange Server with a "simple yet effective" backdoor dubbed **PowerExchange**.


According to a new report from Fortinet FortiGuard Labs, the intrusion relied on email phishing as an initial access pathway, leading to the execution of a .NET executable contained with a ZIP file attachment.


The binary, which masquerades as a PDF document, functions as a dropper to execute the final payload, which then launches the backdoor.


PowerExchange, written in PowerShell, employs text files attached to emails for command-and-control (C2) communication. It allows the threat actor to run arbitrary payloads and upload and download files from and to the system.


The custom implant achieves this by making use of the Exchange Web Services ([EWS](https://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/ews-operations-in-exchange)) API to connect to the victim's Exchange Server and uses a mailbox on the server to send and receive encoded commands from its operator. 


"The Exchange Server is accessible from the internet, saving C2 communication to external servers from the devices in the organizations," Fortinet researchers [said](https://www.fortinet.com/blog/threat-research/operation-total-exchange-backdoor-discovered). "It also acts as a proxy for the attacker to mask himself."


[![Microsoft Exchange backdoor](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi6CZg8bo_n-BVVXbHT30PG27xnosMFnVDvC5SidrMx38dtnUO-lw-cDe9MzxmlzvakfOkDznk9YTS0bePbxZBKP9am4OLnxWC7lfHOQNTJnFGGQ0h_X1pTtEkwjjZPwz_UyY3SQPVH1qZ9Ua542DHhR-y-GKPqkrptEoBaEogLzTx-9Kd14LedkDaS/s728-e365/malware.jpg)
That said, it's currently not known how the threat actor managed to obtain the domain credentials to connect to the target Exchange Server.


Fortinet's investigation also uncovered Exchange servers that were backdoored with several web shells, one of which is called [ExchangeLeech](https://web.archive.org/web/20210514205203/https://digital14.com/Microsoft-exchange-vulnerability.html) (aka System.Web.ServiceAuthentication.dll), to achieve persistent remote access and steal user credentials.


PowerExchange is suspected to be an upgraded version of [TriFive](https://exchange.xforce.ibmcloud.com/collection/Suspected-Iranian-Threat-Actor-Campaign-Targeting-Kuwaiti-Entities-04abb9338fef57ce9ecdec1c81d73865), which was previously used by the Iranian nation-stage actor APT34 (aka OilRig) in intrusions targeting government organizations in Kuwait.


Furthermore, communication via internet-facing Exchange servers is a tried-and-tested tactic adopted by the OilRig actors, as observed in the case of [Karkoff and MrPerfectionManager](https://thehackernews.com/2023/02/iranian-oilrig-hackers-using-new.html).


"Using the victim's Exchange server for the C2 channel allows the backdoor to blend in with benign traffic, thereby ensuring that the threat actor can easily avoid nearly all network-based detections and remediations inside and outside the target organization's infrastructure," the researchers said.



  





## Tags:


### Autogenerated tags:
[[powerexchange]] [[fortinet]] [[c2]]
