# New Report Exposes Vice Society's Collaboration with Rhysida Ransomware
## New report uncovers connections between Rhysida and Vice Society ransomware groups. Provides details on targeting, tools, and victim profiles.
## Information:

+ Link: https://thehackernews.com/2023/08/new-report-exposes-vice-societys.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 09 August 2023, 09:50
+ Date scraped: 09 August 2023, 11:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjMy2hxkn63MX-ueJ4SR154JaZjpkZBO-tD3VQQW7VvRNq-OAHNMpLJ_IhFeAqywQMbiTFpNUcEyEXypqM8nqv7C1k5zEO-eoHa93J0p8uCP87j73DRra46siv2GQSGq-H2aMkv3lkSfa0soy8KPq68QaYNaSvEEDBQY5ryCUevyI2VKmrfqvRBshwz04k/s728-e3650/ransomware.png)


Tactical similarities have been unearthed between the double extortion ransomware group known as **Rhysida** and **Vice Society**, including in their targeting of education and healthcare sectors.


"As Vice Society was observed deploying a variety of commodity ransomware payloads, this link does not suggest that Rhysida is exclusively used by Vice Society, but shows with at least medium confidence that Vice Society operators are now using Rhysida ransomware," Check Point [said](https://research.checkpoint.com/2023/the-rhysida-ransomware-activity-analysis-and-ties-to-vice-society/) in a new report.


[Vice Society](https://thehackernews.com/2023/04/vice-society-ransomware-using-stealthy.html), tracked by Microsoft under the name Storm-0832, has a [pattern](https://www.trendmicro.com/en_us/research/23/a/vice-society-ransomware-group-targets-manufacturing-companies.html) of employing already existing ransomware binaries that are sold on criminal forums to pull off their attacks. The financially motivated gang has also been observed resorting to pure extortion-themed attacks wherein the data is exfiltrated without encrypting them.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjDdxUPmQ8UJQm7kd9rIBsYCDlCQoR3bqVu4rchvOWFKGtnDq1ldILMskU-tlbXnHlWQVvGxivE1Fe-Lh5dJlECjsiblKiu8sbqMdqKgxy97B6MLcQuXtpP2lOmhjny2d5jmCkjl9wSzPqoLkAQ2KHee1cno62wV4IXDkMLIFfzgANa6DJDIBjFicKsID_i/s728-e3650/1.png)](https://thn.news/edWGl41h)
First observed in May 2023, the [Rhysida](https://thehackernews.com/2023/07/blackcat-operators-distributing.html) ransomware group is known to rely on phishing attacks and Cobalt Strike to breach targets' networks and deploy their payloads. A majority of its victims are based in the U.S., the U.K., Italy, Spain, and Austria.


Lateral movement is facilitated using remote desktop protocol (RDP) and remote PowerShell sessions, while the ransomware payload is deployed using PsExec. Command-and-control is achieved by means of [backdoors](https://thehackernews.com/2020/12/ransomware-attackers-using-systembc.html) like [SystemBC](https://medium.com/walmartglobaltech/systembc-powershell-version-68c9aad0f85c) and remote management tools such as AnyDesk.


[![Rhysida Ransomware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiKxEBP7yfdlDcrF-jAH2IuZkiycKDFH6naR8S08Khoe4m34IxVSYCMvWJVUfmOrMBisZY8_mz6nSd_RBb8f_OXyxvY7uWY1z2lesTTKjKaIayHmktCpi_A55YGwxW5otwk8D-5i4ldo9VhHsinwhVBXXGjWlT8wQye85fIsTjk1BRu1v92Ywg8Du8lPwA/s728-e3650/ransomware.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiKxEBP7yfdlDcrF-jAH2IuZkiycKDFH6naR8S08Khoe4m34IxVSYCMvWJVUfmOrMBisZY8_mz6nSd_RBb8f_OXyxvY7uWY1z2lesTTKjKaIayHmktCpi_A55YGwxW5otwk8D-5i4ldo9VhHsinwhVBXXGjWlT8wQye85fIsTjk1BRu1v92Ywg8Du8lPwA/s728-e365/ransomware.jpg)
The attack chains are also notable for consistently erasing logs and forensic artifacts to cover their trail and initiating a domain-wide password change to inhibit remediation efforts.


"They primarily attack education, government, manufacturing, and technology and managed service provider sectors; however, there have been recent attacks against the Healthcare and Public Health (HPH) sector," the U.S. Department of Health and Human Services' Health Sector Cybersecurity Coordination Center [said](https://www.hhs.gov/sites/default/files/rhysida-ransomware-sector-alert-tlpclear.pdf) in an alert last week.


The latest findings from the Israeli cybersecurity firm have revealed a "clear correlation" between the emergence of Rhysida and the disappearance of Vice Society.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
This comprises the use of NTDSUtil, the creation of local firewall rules to enable C2 communications via SystemBC, and the utilization of a commodity tool called PortStarter, which has been linked almost exclusively to Vice Society.


"Ever since Rhysida first appeared, Vice Society has only published two victims," Check Point said. "It's likely that those were performed earlier and were only published in June. Vice Society actors stopped posting on their leak site since June 21, 2023."


The other major indicator is the commonality in their victimology footprints. Both Rhysida and Vice Society have disproportionately targeted the education vertical, accounting for 32% and 35% of the overall distribution, respectively.


"Our analysis of Rhysida ransomware intrusions reveals clear ties between the group and the infamous Vice Society, but it also reveals a grim truth – the TTPs of prolific ransomware actors remain largely unchanged," the company said.


"From the usage of remote management tools such as AnyDesk to the deployment of ransomware through PsExec, threat actors leverage a variety of tools to facilitate such attacks."


  





## Tags:


### Autogenerated tags:
[[ransomware]] [[rhysida]]
