# New Russian-Backed Gamaredon's Spyware Variants Targeting Ukrainian Authorities
## Ukraine has warned about new strains of GammaLoad and GammaSteel malware that Russian-sponsored hackers are using in espionage operations.
## Information:

+ Link: https://thehackernews.com/2023/02/new-russian-backed-gamaredons-spyware.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 02 February 2023, 12:43
+ Date scraped: 02 February 2023, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiDTl4UQC1zP5wMieJ3LjhcJ9hcsRhq5YY-UCzBrpPMuxg2vuB1VVvKwgkHeHhtcreOvdbccdg4ltIq7eZfSgL49ZXZeCM4523Vy1UA8iaipHaa10IDYb9TLwFfqegSArLGWf7QjK89m3MU66zcJm0fHSaD-1rnNj8gzRetsfg13nJ248TF1g5ZglY9/s728-e3650/hackinggg.png)


The State Cyber Protection Centre (SCPC) of Ukraine has called out the Russian state-sponsored threat actor known as **Gamaredon** for its targeted cyber attacks on public authorities and critical information infrastructure in the country.


The advanced persistent threat, also known as Actinium, Armageddon, Iron Tilden, Primitive Bear, Shuckworm, Trident Ursa, and UAC-0010, has a [track record](https://www.elastic.co/security-labs/playing-defense-against-gamaredon-group) of [striking](https://thehackernews.com/2022/06/russian-hackers-exploiting-microsoft.html) [Ukrainian entities](https://thehackernews.com/2022/08/russian-state-hackers-continue-to.html) dating as far back as 2013.


"UAC-0010 group's ongoing activity is characterized by a multi-step download approach and executing payloads of the spyware used to maintain control over infected hosts," the SCPC [said](https://scpc.gov.ua/article/229). "For now, the UAC-0010 group uses [GammaLoad and GammaSteel](https://cert.gov.ua/article/1229152) spyware in their campaigns."


GammaLoad is a VBScript dropper malware engineered to download next-stage VBScript from a remote server. GammaSteel is a PowerShell script that's capable of conducting reconnaissance and executing additional commands.


The goal of the attacks is geared more towards espionage and information theft rather than sabotage, the agency noted. The SCPC also emphasized the "insistent" evolution of the group's tactics by redeveloping its malware toolset to stay under the radar, calling Gamaredon a "key cyber threat."


Attack chains commence with spear-phishing emails carrying a RAR archive that, when opened, activates a lengthy sequence comprising five intermediate stages – an LNK file, an HTA file, and three VBScript files – that eventually culminate in the delivery of a PowerShell payload.


Information pertaining to the IP address of the command-and-control (C2) servers is posted in periodically rotated Telegram channels, corroborating a [report](https://thehackernews.com/2023/01/gamaredon-group-launches-cyberattacks.html) from BlackBerry late last month.


All the analyzed VBScript droppers and PowerShell scripts, per SCPC, are variants of GammaLoad and GammaSteel malware, respectively, effectively permitting the adversary to exfiltrate sensitive information.

 The disclosure comes as the Computer Emergency Response Team of Ukraine (CERT-UA) [disclosed](https://cert.gov.ua/article/3761023) details of a new malicious campaign targeting state authorities of Ukraine and Poland.


The attacks take the form of lookalike web pages that impersonate the Ministry of Foreign Affairs of Ukraine, the Security Service of Ukraine, and the Polish Police (Policja) in an attempt to trick visitors into downloading software that claims to detect infected computers.


However, upon launching the file – a Windows batch script named "Protector.bat" – it leads to the execution of a PowerShell script that's capable of capturing screenshots and harvesting files with 19 different extensions from the workstation.


CERT-UA has attributed the operation to a threat actor it calls UAC-0114, which is also known as [Winter Vivern](https://www.domaintools.com/resources/blog/winter-vivern-a-look-at-re-crafted-government-maldocs/) – an [activity cluster](https://lab52.io/blog/winter-vivern-all-summer/) that has in the past leveraged weaponized Microsoft Excel documents containing [XLM macros](https://thehackernews.com/2022/07/hackers-opting-new-attack-methods-after.html) to deploy PowerShell implants on compromised hosts.

 Russia's invasion of Ukraine in February 2022 has been [complemented](https://www.trellix.com/en-us/about/newsroom/stories/research/growling-bears-make-thunderous-noise.html) by targeted phishing campaigns, [destructive](https://www.elastic.co/security-labs/operation-bleeding-bear) [malware strikes](https://thehackernews.com/2023/01/new-report-reveals-nikowiper-malware.html), and distributed denial-of-service (DDoS) attacks.


Cybersecurity firm Trellix said it [observed](https://www.trellix.com/en-us/about/newsroom/stories/research/cyberattacks-targeting-ukraine-increase.html) a 20-fold surge in email-based cyber attacks on Ukraine's public and private sectors in the third week of November 2022, attributing a majority of the messages to Gamaredon.


Other malware families prominently disseminated via these campaigns consist of Houdini RAT, FormBook, Remcos, and Andromeda, the latter of which has been [repurposed by the Turla hacking crew](https://thehackernews.com/2023/01/russian-turla-hackers-hijack-decade-old.html) to deploy their own malware.


"As the Ukraine-Russia war continues, the cyber attacks on Ukraine energy, government and transportation, infrastructure, financial sector etc. are going on consistently," Trellix said. "In times of such panic and unrest, the attackers aim to capitalize on the distraction and stress of the victims to successfully exploit them."


  





## Tags:


### Autogenerated tags:
[[malware]] [[powershell]] [[scpc]] [[vbscript]] [[gamaredon]] [[uac-0010]] [[gammaload]] [[gammasteel]]
