# New SOHO Router Botnet AVrecon Spreads to 70,000 Devices Across 20 Countries
## Alert! A new malware strain called AVrecon has quietly targeted over 70,000 small office/home office (SOHO) routers worldwide.
## Information:

+ Link: https://thehackernews.com/2023/07/new-soho-router-botnet-avrecon-spreads.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 14 July 2023, 13:10
+ Date scraped: 14 July 2023, 08:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgIAt0dtx2_JDXDxAduKTtD9YItkgONoDf-qpj5eRyhdSKugD2FG_50vShdBECG01t0QzsEZm7QFjXyCHNZseCpPTsWki4SE7Mmq9iH9CksV_3LMudZD6mPzJF2C0C2HzKKXgYmBWrgGQ3rBq5P-NXHiyY5oIaA9AvAjJCHHuTxTqgrWtXLO2WeD8kjfJyi/s728-e3650/black.jpg)


A new malware strain has been found covertly targeting small office/home office (SOHO) routers for more than two years, infiltrating over 70,000 devices and creating a botnet with 40,000 nodes spanning 20 countries.


Lumen Black Lotus Labs has dubbed the malware **AVrecon**, making it the third such strain to focus on SOHO routers after [ZuoRAT](https://thehackernews.com/2022/06/zuorat-malware-hijacking-home-office.html) and [HiatusRAT](https://thehackernews.com/2023/03/new-hiatusrat-malware-targets-business.html) over the past year.


"This makes AVrecon one of the largest SOHO router-targeting botnets ever seen," the company [said](https://blog.lumen.com/routers-from-the-underground-exposing-avrecon/). "The purpose of the campaign appears to be the creation of a covert network to quietly enable a range of criminal activities from password spraying to digital advertising fraud."


A majority of the infections are located in the U.K. and the U.S., followed by Argentina, Nigeria, Brazil, Italy, Bangladesh, Vietnam, India, Russia, and South Africa, among others.


AVrecon was [first highlighted](https://twitter.com/sethkinghi/status/1397814848549900288) by Kaspersky senior security researcher Ye (Seth) Jin in May 2021, indicating that the malware has managed to avoid detection until now.


In the attack chain detailed by Lumen, a successful infection is followed by enumerating the victim's SOHO router and exfiltrating that information back to an embedded command-and-control (C2) server.


It also checks if other instances of malware are already running on the host by searching for existing processes on port 48102 and opening a listener on that port. A process bound to that port is terminated.


[![SOHO Router Botnet](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgtjsLa3X2ubfwxz2aMlQC0mB4tq9-WgHf1NnPwciiiHvNGSkTc5YQcnh6Y2D-7ze2FhTmCZCWusck4AUoNjxEZX2XTWlNvgHOl41rl18gxbjT86CUuYF5eB0Z0PMQ4Y6bP1-PA9s4QJd8HRkH5jbSyVPmc2D0ncZ_QRKHR5QTniXrUWedYYk0mpEHP_gwO/s728-e3650/bots.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgtjsLa3X2ubfwxz2aMlQC0mB4tq9-WgHf1NnPwciiiHvNGSkTc5YQcnh6Y2D-7ze2FhTmCZCWusck4AUoNjxEZX2XTWlNvgHOl41rl18gxbjT86CUuYF5eB0Z0PMQ4Y6bP1-PA9s4QJd8HRkH5jbSyVPmc2D0ncZ_QRKHR5QTniXrUWedYYk0mpEHP_gwO/s728-e365/bots.jpg)
The next stage involves the compromised system establishing contact with a separate server, called the secondary C2 server, to await further commands. Lumen said it identified 15 such unique servers that have been active since at least October 2021.


It's worth noting that tiered C2 infrastructure is prevalent among notorious botnets like [Emotet](https://www.welivesecurity.com/2023/07/06/whats-up-with-emotet/) and [QakBot](https://thehackernews.com/2023/06/evasive-qbot-malware-leverages-short.html).


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Join Now](https://thn.news/I26t1VFD)
AVrecon is written in the C programming language, making it easy to port the malware for different architectures. What's more, a crucial reason why such attacks work is because they leverage infrastructure living on the edge that typically lacks support for security solutions.


Evidence gathered so far points to the botnet being used for clicking on various Facebook and Google ads, and to interact with Microsoft Outlook. This likely indicates a two-pronged effort to conduct advertising fraud and data exfiltration.


"The manner of attack seems to focus predominantly on stealing bandwidth – without impacting end-users – in order to create a [residential proxy service](https://thehackernews.com/2023/06/cybercriminals-hijacking-vulnerable-ssh.html) to help launder malicious activity and avoid attracting the same level of attention from Tor-hidden services or commercially available VPN services," the researchers said.


  





## Tags:


### Autogenerated tags:
[[malware]] [[avrecon]] [[c2]]
