# New Saitama backdoor Targeted Official from Jordan's Foreign Ministry
## A spear-phishing campaign targeting Jordan's foreign ministry has been observed dropping a new stealthy backdoor dubbed Saitama.
## Information:

+ Link: https://thehackernews.com/2022/05/new-saitama-backdoor-targeted-official.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 13 May 2022, 09:32
+ Date scraped: 13 May 2022, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjTyMrWrhgQHI6fGO6aJUn4z6pxPBFUH0knOkkU23Hyj7bR5m65WUBIh2-2n58QJlGFIBAbdAgZ4a41DTyKQssQjSOGw9-sJIuJn7EIUTWvCSPUpWN2piifhd9YUQak-LoJNot7vEkfEaWX5qOCc11BuUk7t8yLhMFD-lt2nLRTHphZgxOnfyAkVF-z/s728-e1000/hacking.jpg)


A spear-phishing campaign targeting Jordan's foreign ministry has been observed dropping a new stealthy backdoor dubbed Saitama.


Researchers from Malwarebytes and Fortinet FortiGuard Labs [attributed](https://blog.malwarebytes.com/threat-intelligence/2022/05/apt34-targets-jordan-government-using-new-saitama-backdoor/) the campaign to an Iranian cyber espionage threat actor tracked under the moniker APT34, citing [resemblances](https://thehackernews.com/2021/04/researchers-uncover-new-iranian-malware.html) to past campaigns staged by the group.


"Like many of these attacks, the email contained a malicious attachment," Fortinet researcher Fred Gutierrez [said](https://www.fortinet.com/blog/threat-research/please-confirm-you-received-our-apt). "However, the attached threat was not a garden-variety malware. Instead, it had the capabilities and techniques usually associated with advanced persistent threats (APTs)."


APT34, also known as OilRig, Helix Kitten, and Cobalt Gypsy, is known to be active since at least 2014 and has a track record of striking telecom, government, defense, oil, and financial sectors in the Middle East and North Africa (MENA) via targeted phishing attacks.


Earlier this February, ESET [tied](https://thehackernews.com/2022/02/iranian-hackers-using-new-marlin.html) the group to a long-running intelligence gather operation aimed at diplomatic organizations, technology companies, and medical organizations in Israel, Tunisia, and the United Arab Emirates.


[![Saitama backdoor](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhUQa9LKPXwByvUW3cLeXSK5ncoC0fgzxiDrU4O9iO9dL15Vy2nZOHcOX81q7idczwrSRzdCn4eSNijyHlaNS8biOVzi0vmA0DxTte5XiiUa5onl1Ivd4EgBwAra5J3BdZonjdLt0Ld2yOo1Qb6lQ07vdzg29xKMc8PKW4GIXnIHdu1a3AWiTJqRTr-/s728-e1000/map.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhUQa9LKPXwByvUW3cLeXSK5ncoC0fgzxiDrU4O9iO9dL15Vy2nZOHcOX81q7idczwrSRzdCn4eSNijyHlaNS8biOVzi0vmA0DxTte5XiiUa5onl1Ivd4EgBwAra5J3BdZonjdLt0Ld2yOo1Qb6lQ07vdzg29xKMc8PKW4GIXnIHdu1a3AWiTJqRTr-/s728-e100/map.jpg)
The newly observed phishing message contains a weaponized Microsoft Excel document, opening which prompts a potential victim to enable macros, leading to the execution of a malicious Visual Basic Application (VBA) macro that drops the malware payload ("update.exe").


Furthermore, the macro takes care of establishing persistence for the implant by adding a scheduled task that repeats every four hours.


A .NET-based binary, Saitama leverages the DNS protocol for its command-and-control (C2) communications as part of an effort to disguise its traffic, while employing a "[finite-state machine](https://en.wikipedia.org/wiki/Finite-state_machine)" approach to executing commands received from a C2 server.


"In the end, this basically means that this malware is receiving tasks inside a DNS response," Gutierrez explained. DNS tunneling, as it's called, makes it possible to encode the data of other programs or protocols in DNS queries and responses. 


In the final stage, the results of the command execution are subsequently sent back to the C2 server, with the exfiltrated data built into a DNS request.


"With the amount of work put into developing this malware, it does not appear to be the type to execute once and then delete itself, like other stealthy infostealers," Gutierrez said.


"Perhaps to avoid triggering any behavioral detections, this malware also does not create any persistence methods. Instead, it relies on the Excel macro to create persistence by way of a scheduled task."


  





## Tags:


### Autogenerated tags:
[[malware]] [[dns]] [[c2]]
