# New SkidMap Redis Malware Variant Targeting Vulnerable Redis Servers
## Attention Linux users! A dangerous new variant of SkidMap malware is targeting vulnerable Redis services across various distributions.
## Information:

+ Link: https://thehackernews.com/2023/08/new-skidmap-redis-malware-variant.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 07 August 2023, 15:22
+ Date scraped: 07 August 2023, 11:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjenOLHOAQ9pvDZpxvq7DXaXGoXHQZoFdp5SMOoMxlTI7KChtpBNxQ-3_NERNSC5kBgqyUCPTLwc9LlUKTGwpE8lPsIK-J-FXLizpFRdVUZ8YUJC1K40eqOAtusRviekcKhFKbd1MFi2ON3hZqhhZmbn5r7xvI1NyLSgTmXDhW9ei-XJ-6otXEeXBExwtVD/s728-e3650/rootkit.jpg)


Vulnerable [Redis services](https://thehackernews.com/2023/07/new-p2pinfect-worm-targets-redis.html) have been targeted by a "new, improved, dangerous" variant of a malware called SkidMap that's engineered to target a wide range of Linux distributions.


"The malicious nature of this malware is to adapt to the system on which it is executed," Trustwave security researcher Radoslaw Zdonczyk [said](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/honeypot-recon-new-variant-of-skidmap-targeting-redis/) in an analysis published last week.


Some of the Linux distribution SkidMap sets its eyes on include Alibaba, Anolis, openEuler, EulerOS, Stream, CentOS, RedHat, and Rocky.


SkidMap was [first disclosed](https://www.trendmicro.com/en_us/research/19/i/skidmap-linux-malware-uses-rootkit-capabilities-to-hide-cryptocurrency-mining-payload.html) by Trend Micro in September 2019 as a cryptocurrency mining botnet with capabilities to load malicious kernel modules that can obfuscate its activities as well as monitor the miner process.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgwAoxYDskfi-J01jeLkkPEZqHZy9bLaLX8kLNuruprE8YRTIB5EBEid3uvBbzR90H6IcIJgVhjn0srTxOZLXejyJ6Jz9ZP-lexe0SPTD7GA1oU6HgxduclFP4BBnHkKiVJ_bsnI7UWFpYdpeFEkKKy1rxI2i0Y5KObLKK-rA7YfSuph4A714RQKICG252V/s728-e3650/4.png)](https://thn.news/edWGl41h)
The operators of the malware have also been found camouflaging their backup command-and-control (C2) IP address on the Bitcoin blockchain, evocative of another botnet malware known as [Glupteba](https://thehackernews.com/2022/12/glupteba-botnet-continues-to-thrive.html).


"The technique of fetching real-time data from a decentralized and essentially uncensorable data source to generate a C2 IP address makes the infection difficult to take down and makes pivoting the C2 IP address simple and fast," Akamai [noted](https://www.akamai.com/blog/security/bitcoins--blockchains--and-botnets) in February 2021.


The latest attack chain documented by Trustwave involves breaching poorly secured Redis server instances to deploy a dropper shell script that's designed to distribute an ELF binary that masquerades as a GIF image file.


[![SkidMap Redis Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgYgcbN7qlA14DXansozqQeFxSS24YjGKMrYfKqTdxcxQHyewvzHJi0jF9nx01yqsYRYwZ6ABRedXtKS2kM3hG6AXv7tP11VcFf_1v5BbAr15Eh8CkQkyIF_PbXfTdBBdJKDiLMK-P69v6J3QDNSTA3l-6vC4JH5lbQaFwIZt-JQ_E-nYB5YhsqB6oCVu7G/s728-e3650/sppider.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgYgcbN7qlA14DXansozqQeFxSS24YjGKMrYfKqTdxcxQHyewvzHJi0jF9nx01yqsYRYwZ6ABRedXtKS2kM3hG6AXv7tP11VcFf_1v5BbAr15Eh8CkQkyIF_PbXfTdBBdJKDiLMK-P69v6J3QDNSTA3l-6vC4JH5lbQaFwIZt-JQ_E-nYB5YhsqB6oCVu7G/s728-e365/sppider.jpg)
The binary then proceeds to add SSH keys to the "/root/.ssh/authoried\_keys" file, disable SELinux, establish a reverse shell that pings an actor-controlled server every 60 minutes, and ultimately download an appropriate package (named gold, stream, or euler) based on the Linux distribution and the kernel used.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
The package, for its part, comes with several shell scripts to install the kernel modules and take steps to cover up the tracks by purging logs, and launch a botnet component capable of retrieving additional rootkit payloads: mcpuinfo.ko, to hide the miner process, and kmeminfo.ko, to analyze, modify, or drop network packets.


Also downloaded is the miner binary itself, although in some variants, a "built-in miner from an extracted 'GIF' binary file" is used.


"The level of advancement of this malware is really high, and detecting it, especially in larger server infrastructures, can be very hard," Zdonczyk said. "When testing it on home computers, the only serious indicator that something was wrong was the excessive operation of fans, and in the case of laptops, the temperature of the case."



  





## Tags:


### Autogenerated tags:
[[malware]] [[skidmap]] [[linux]] [[botnet]] [[c2]] [[ip]]
