# New Stealthy Shikitega Malware Targeting Linux Systems and IoT Devices
## Researchers discover a new stealthy malware, dubbed Shikitega, that targets Linux-based systems and IoT devices via a multi-stage infection chain.
## Information:

+ Link: https://thehackernews.com/2022/09/new-stealthy-shikitega-malware.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 07 September 2022, 12:38
+ Date scraped: 07 September 2022, 13:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg-ytbjowjqxThLpvsB-FvoxRkrGgnpeIkmqLe_lsrtaPIUi646CXBz9GY8oPalBvRln7_ZOvjxOmEK5LFaz53fsxND0xZ9B31hiCnFD2RJaZAYuXNkfX5_9805__4tVIoxJWoYowmvTz2GqN16nM1M286vjcWSvpx2-zFscTFDhf2GW-fQAiCPw2u0/s728-e1000/linux-malware.jpg)


A new piece of stealthy Linux malware called **Shikitega** has been uncovered adopting a multi-stage infection chain to compromise endpoints and IoT devices and deposit additional payloads.


"An attacker can gain full control of the system, in addition to the cryptocurrency miner that will be executed and set to persist," AT&T Alien Labs [said](https://cybersecurity.att.com/blogs/labs-research/shikitega-new-stealthy-malware-targeting-linux) in a new report published Tuesday.


The findings add to a growing list of Linux malware that has been found in the wild in recent months, including [BPFDoor](https://thehackernews.com/2022/06/quick-and-simple-bpfdoor-explained.html), [Symbiote](https://thehackernews.com/2022/06/symbiote-stealthy-linux-malware.html), [Syslogk](https://thehackernews.com/2022/06/new-syslogk-linux-rootkit-lets.html), [OrBit](https://thehackernews.com/2022/07/researchers-warn-of-new-orbit-linux.html), and [Lightning Framework](https://thehackernews.com/2022/07/new-linux-malware-framework-let.html).


Once deployed on a targeted host, the attack chain downloads and executes the Metasploit's "[Mettle](https://github.com/rapid7/mettle)" meterpreter to maximize control, exploits vulnerabilities to elevate its privileges, adds persistence on the host via crontab, and ultimately launches a cryptocurrency miner on infected devices.


The exact method by which the initial compromise is achieved remains unknown as yet, but what makes Shikitega evasive is its ability to download next-stage payloads from a command-and-control (C2) server and execute them directly in memory.


[![New Stealthy Shikitega Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgymsXoEng9V_dP3rPAaoUZoIkBLmVlAN993sfFMgg4oBa8LWlcYXvYfgIgiN2zGMmQ5INNs81IYWdOYKl4ma7c7vFwBAH7rjmwl-7ZOJWguKlDMySc059LkmMIYCgkyWZMMVLZJEPPuSb8Pgqwcd3U5NBnHM9XpzKSxAHWLxUtWuUpn6v25C4Pfiwl/s728-e1000/linux-malware.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgymsXoEng9V_dP3rPAaoUZoIkBLmVlAN993sfFMgg4oBa8LWlcYXvYfgIgiN2zGMmQ5INNs81IYWdOYKl4ma7c7vFwBAH7rjmwl-7ZOJWguKlDMySc059LkmMIYCgkyWZMMVLZJEPPuSb8Pgqwcd3U5NBnHM9XpzKSxAHWLxUtWuUpn6v25C4Pfiwl/s728-e100/linux-malware.jpg)
Privilege escalation is achieved by means of exploiting [CVE-2021-4034](https://thehackernews.com/2022/06/cisa-warns-of-active-exploitation-of.html) (aka PwnKit) and [CVE-2021-3493](https://nvd.nist.gov/vuln/detail/CVE-2021-3493), enabling the adversary to abuse the elevated permissions to fetch and execute the final stage shell scripts with root privileges to establish persistence and deploy the Monero crypto miner.


In a further attempt to fly under the radar, the malware operators employ a "[Shikata ga nai](https://en.wikipedia.org/wiki/Shikata_ga_nai#Other_references)" polymorphic encoder to make it more difficult to detect by antivirus engines and abuse legitimate cloud services for C2 functions.


"Threat actors continue to search for ways to deliver malware in new ways to stay under the radar and avoid detection," AT&T Alien Labs researcher Ofer Caspi said.


"Shiketega malware is delivered in a sophisticated way, it uses a polymorphic encoder, and it gradually delivers its payload where each step reveals only part of the total payload."


  





## Tags:
***CVE's***: CVE-2021-3493 CVE-2021-4034

### Autogenerated tags:
[[malware]]
