# New Stealthy Variant of Linux Backdoor BPFDoor Emerges from the Shadows
## BPFDoor, an undetected malware variant, has resurfaced with enhanced evasiveness. Find out how this Linux backdoor has remained hidden for years.
## Information:

+ Link: https://thehackernews.com/2023/05/new-variant-of-linux-backdoor-bpfdoor.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 12 May 2023, 18:54
+ Date scraped: 12 May 2023, 14:02

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEidiM15BrRaNM0x8CPs8juL0ofDo3kyM6lWNLfb1cZUuYFh5dF5YQOdMkTCWX3G5WNZTC-NTB050R3blTx7P5rY7DheuhnfFq2BTExRXOTxx2aG4i5QHXSj9BWU53J3XBprf5MEXlvr6jKgqIACTUaZjUSSv5R1cyydIvjcxwyW3-NvUXQwXgQG9unP/s728-e3650/linux.png)


A previously undocumented and mostly undetected variant of a Linux backdoor called **BPFDoor** has been spotted in the wild, cybersecurity firm Deep Instinct said in a technical report published this week.


"[BPFDoor](https://thehackernews.com/2022/06/quick-and-simple-bpfdoor-explained.html) retains its reputation as an extremely stealthy and difficult-to-detect malware with this latest iteration," security researchers Shaul Vilkomir-Preisman and Eliran Nissan [said](https://www.deepinstinct.com/blog/bpfdoor-malware-evolves-stealthy-sniffing-backdoor-ups-its-game).


BPFDoor (aka JustForFun), first documented by [PwC](https://www.pwc.com/gx/en/issues/cybersecurity/cyber-threat-intelligence/cyber-year-in-retrospect/yir-cyber-threats-report-download.pdf) and [Elastic Security Labs](https://www.elastic.co/security-labs/a-peek-behind-the-bpfdoor) in May 2022, is a passive Linux backdoor associated with a Chinese threat actor called [Red Menshen](https://malpedia.caad.fkie.fraunhofer.de/actor/red_menshen) (aka [DecisiveArchitect](https://www.crowdstrike.com/blog/how-to-hunt-for-decisivearchitect-and-justforfun-implant/) or Red Dev 18), which is known to single out telecom providers across the Middle East and Asia since at least 2021.


The malware is specifically geared towards [establishing persistent remote access](https://blog.qualys.com/vulnerabilities-threat-research/2022/08/01/heres-a-simple-script-to-detect-the-stealthy-nation-state-bpfdoor) to compromised target environments for extended periods of time, with evidence pointing to the hacking crew operating the backdoor undetected for years.


BPFDoor gets its name from the use of Berkeley Packet Filters ([BPF](https://prototype-kernel.readthedocs.io/en/latest/bpf/index.html)) – a technology that makes it possible to analyze and filter network traffic in Linux systems – for network communications and process incoming commands.


In doing so, threat actors can penetrate a victim's system and execute arbitrary code without being detected by firewalls, while simultaneously filtering out unnecessary data.


Deep Instinct's findings come from a [BPFDoor artifact](https://www.virustotal.com/gui/file/afa8a32ec29a31f152ba20a30eb483520fe50f2dce6c9aa9135d88f7c9c511d7/detection) that was uploaded to VirusTotal on February 8, 2023. As of writing, only three security vendors have flagged the ELF binary as malicious.


One of the key characteristics that make the new version of BPFDoor even more evasive is its removal of many hard-coded indicators and instead incorporating a static library for encryption ([libtomcrypt](https://github.com/libtom/libtomcrypt)) and a reverse shell for command-and-control (C2) communication.


[![Linux](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiPFAxbMHKs8Bsuva_OoRKFoLTPobdikj3Pn99lFBnp0e8KHp31eBouFBIozuAUyNAHXC3oVd4mHXhKr1lh7-iHUNLYY2R2JBQW_03A0gE5S1FJIt6IIgnKmq5wufcUvAWgSxoeCYJ1JEvLwDaACw4QSVCyRptWkr1Y5f60u7p7iBqZsHWxUsNiIJh_/s728-e365/flow.png)
Upon launch, BPFDoor is configured to ignore various [operating system signals](https://man7.org/linux/man-pages/man7/signal.7.html#:~:text=sensible%20software%20design!).-,Standard%20signals,-Linux%20supports%20the) to prevent it from being terminated. It then allocates a memory buffer and creates a special packet sniffing socket that monitors for incoming traffic with a specific [Magic Byte sequence](https://www.netspi.com/blog/technical/web-application-penetration-testing/magic-bytes-identifying-common-file-formats-at-a-glance/) by hooking a BPF filter onto the raw socket.


"When BPFdoor finds a packet containing its Magic Bytes in the filtered traffic, it will treat it as a message from its operator and will parse out two fields and will again fork itself," the researchers explained.


"The parent process will continue and monitor the filtered traffic coming through the socket while the child will treat the previously parsed fields as a command-and-control IP-Port combination and will attempt to contact it."


In the final stage, BPFDoor sets up an encrypted reverse shell session with the C2 server and awaits further instructions to be executed on the compromised machine.


The fact that BPFDoor has remained hidden for a long duration speaks to its sophistication, what with threat actors [increasingly developing malware](https://thehackernews.com/2022/09/new-stealthy-shikitega-malware.html) targeting Linux systems owing to their prevalence in enterprise and cloud environments.


The development comes as Google [announced](https://security.googleblog.com/2023/05/introducing-new-way-to-buzz-for-ebpf.html) a new extended Berkeley Packet Filter ([eBPF](https://ebpf.io/what-is-ebpf/)) fuzzing framework called [Buzzer](https://github.com/google/buzzer) to help harden the Linux [kernel](https://en.wikipedia.org/wiki/Kernel_(operating_system)) and ensure that sandboxed programs that run in a privileged context are valid and safe.


The tech giant further said the testing method led to the discovery of a [security flaw](https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=71b547f561247897a0a14f3082730156c0533fed) (CVE-2023-2163) that could be exploited to achieve arbitrary reading and writing of kernel memory.


  





## Tags:
***CVE's***: CVE-2023-2163

### Autogenerated tags:
[[bpfdoor]] [[linux]] [[malware]]
