# New Threat Actor 'AeroBlade' Emerges in Espionage Attack on U.S. Aerospace
## Aerospace organization in the U.S. targeted in suspected cyber espionage mission.
## Information:

+ Link: https://thehackernews.com/2023/12/new-threat-actor-aeroblade-emerges-in.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 05 December 2023, 13:25
+ Date scraped: 05 December 2023, 08:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgqEy4-aiml5Xrp2yNZ7KO7Esjd-qa-3vXhAoQaMLDuQX7mszzWfttQ91N7UjT4bXXuhuP_f1wHeFGByHhP9-7zrri7-cVDqK3GDuPkE9sdVMrXtF7JTygJJQcPERUysArGgE1T_648tQi3yupKhWoOsiyYDD0_PuDmkmHG5Co_gMaJk9O4SJVwMoRRmFVS/s728-rw-ft-e30/aero.jpg)


A previously undocumented threat actor has been linked to a cyber attack targeting an aerospace organization in the U.S. as part of what's suspected to be a cyber espionage mission.


The BlackBerry Threat Research and Intelligence team is tracking the activity cluster as **AeroBlade**. Its origin is currently unknown and it's not clear if the attack was successful.


"The actor used spear-phishing as a delivery mechanism: A weaponized document, sent as an email attachment, contains an embedded remote template injection technique and a malicious VBA macro code, to deliver the next stage to the final payload execution," the company [said](https://blogs.blackberry.com/en/2023/11/aeroblade-on-the-hunt-targeting-us-aerospace-industry) in an analysis published last week.


 UPCOMING WEBINAR  [Learn Insider Threat Detection with Application Response Strategies](https://thehacker.news/app-detection-response?source=inside)  Discover how application detection, response, and automated behavior modeling can revolutionize your defense against insider threats.

 [Join Now](https://thehacker.news/app-detection-response?source=inside) 
The network infrastructure used for the attack is said to have gone live around September 2022, with the offensive phase of the intrusion occurring nearly a year later in July 2023, but not before the adversary took steps to improvise its toolset to make it more stealthy in the intervening time period.


The initial attack, which took place in September 2022, commenced with a phishing email bearing a Microsoft Word attachment that, when opened, used a technique called [remote template injection](https://attack.mitre.org/techniques/T1221/) to retrieve a next-stage payload that's executed after the victim [enables macros](https://support.microsoft.com/en-au/office/enable-or-disable-macros-in-microsoft-365-files-12b036fd-d140-4e74-b45e-16fed1a7e5c6).


[![Espionage Attack](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhqeeSMgJKI5yvNWSmvUHkSH-51aseIDGYNOFiPChYGTVlg-K5s6Bgd2lEoxtBhn3MJ7xA8EXV89xggz-VKzgolmvQK47PhPLnFtFuo0MHW_uqQ6Ag5fjAVEuQovo7PffsyFQvn8Ff9fDSfm47JAWS5mvZHk-5OLXBRBZe1Eoet330cE_S-J63Uq2XaEhM_/s728-rw-ft-e30/cmp.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhqeeSMgJKI5yvNWSmvUHkSH-51aseIDGYNOFiPChYGTVlg-K5s6Bgd2lEoxtBhn3MJ7xA8EXV89xggz-VKzgolmvQK47PhPLnFtFuo0MHW_uqQ6Ag5fjAVEuQovo7PffsyFQvn8Ff9fDSfm47JAWS5mvZHk-5OLXBRBZe1Eoet330cE_S-J63Uq2XaEhM_/s728-rw-ft-e30/cmp.jpg)
The attack chain ultimately led to the deployment of a dynamic-link library (DLL) that functions as a reverse shell, connecting to a hard-coded command-and-control (C2) server and transmitting system information to the attackers.


The information gathering capabilities also include enumerating the complete list of directories on the infected host, indicating that this could be a reconnaissance effort carried out to see if the machine hosts any valuable data and aid its operators in strategizing their next steps.


"Reverse shells allow attackers to open ports to the target machines, forcing communication and enabling a complete takeover of the device," Dmitry Bestuzhev, senior director of cyber threat intelligence at BlackBerry, said. "It is therefore a severe security threat."


The heavily obfuscated DLL also comes fitted with anti-analysis and anti-disassembly techniques to make it challenging to detect and take apart, while also skipping execution on sandboxed environments. Persistence is accomplished by means of a Task Scheduler, in which a task named "WinUpdate2" is created to run every day at 10:10 a.m.


"During the time that elapsed between the two campaigns we observed, the threat actor put considerable effort into developing additional resources to ensure they could secure access to the sought-after information, and that they could exfiltrate it successfully," Bestuzhev said.



  





## Tags:


### Autogenerated tags:

