# New Version of Rilide Data Theft Malware Adapts to Chrome Extension Manifest V3
## Upgraded version of Rilide malware discovered. Targets Chromium-based web browsers. New version now adopts Chrome Extension Manifest V3.
## Information:

+ Link: https://thehackernews.com/2023/08/new-version-of-rilide-data-theft.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 03 August 2023, 20:03
+ Date scraped: 03 August 2023, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgl2L8igcAYCTMcw40XIpdhHodpjE0IWIS7aPtP7NMe7zPAtAwtdI1eu7FuD8RYxmVL7t4kNN5fCUJwNvyLnKYIRMugHGQ38PB6NiMe-K8aETDfjQeeGL39wsc3OOvIVMgJLf9BDo9I9SgSq1IYD-Ohz82tkUhyITHouGaRqysnS_KZPr4adGUGTKLSlcUD/s728-e3650/chrome.jpg)


Cybersecurity researchers have discovered a new version of malware called **Rilide** that targets Chromium-based web browsers to steal sensitive data and steal cryptocurrency.


"It exhibits a higher level of sophistication through modular design, code obfuscation, adoption to the [Chrome Extension Manifest V3](https://developer.chrome.com/docs/extensions/mv3/intro/), and additional features such as the ability to exfiltrate stolen data to a Telegram channel or interval-based screenshot captures," Trustwave security researcher Pawel Knapczyk [said](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/new-rilide-stealer-version-targets-banking-data-and-works-around-google-chrome-manifest-v3/) in a report shared with The Hacker News.


Rilide was [first documented](https://thehackernews.com/2023/04/new-rilide-malware-targeting-chromium.html) by the cybersecurity company in April 2023, uncovering two different attack chains that made use of Ekipa RAT and Aurora Stealer to deploy rogue browser extensions capable of data and crypto theft. It's sold on dark web forums by an actor named "friezer" for $5,000.


The malware is equipped with a wide range of features that allow it to disable other browser add-ons, harvest browsing history and cookies, collect login credentials, take screenshots, and inject malicious scripts to withdraw funds from various cryptocurrency exchanges.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjDdxUPmQ8UJQm7kd9rIBsYCDlCQoR3bqVu4rchvOWFKGtnDq1ldILMskU-tlbXnHlWQVvGxivE1Fe-Lh5dJlECjsiblKiu8sbqMdqKgxy97B6MLcQuXtpP2lOmhjny2d5jmCkjl9wSzPqoLkAQ2KHee1cno62wV4IXDkMLIFfzgANa6DJDIBjFicKsID_i/s728-e3650/1.png)](https://thn.news/edWGl41h)
The updated version also overlaps with malware tracked by Trellix under the name [CookieGenesis](https://www.trellix.com/en-in/about/newsroom/stories/research/genesis-market-no-longer-feeds-the-evil-cookie-monster.html), with the extension now making use of Chrome Extension Manifest V3, a [controversial](https://blog.mozilla.org/addons/2022/05/18/manifest-v3-in-firefox-recap-next-steps/) application programming interface (API) change [introduced](https://arstechnica.com/gadgets/2022/12/chrome-delays-plan-to-limit-ad-blockers-new-timeline-coming-in-march/) by Google that aims to curtail broad access given to extensions.


[![Rilide Data Theft Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiP1wCt7GBHLchIDP1GVk-Q0fLxwjFczL9aZp_mfGtxAlTU_lw5DDbkGIUHHCQejetWfd1wU_zM2915oGEuSgEz1yD5qnKYPX73JiM5N19D8avS8iB6OORN3bouM24pFrNNGZyTzCGVOZeFcpdyQS22R78QeEFDMs1Jl0g4k9N97BnN86p3NXSxjRDtr1S7/s728-e3650/chrome.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiP1wCt7GBHLchIDP1GVk-Q0fLxwjFczL9aZp_mfGtxAlTU_lw5DDbkGIUHHCQejetWfd1wU_zM2915oGEuSgEz1yD5qnKYPX73JiM5N19D8avS8iB6OORN3bouM24pFrNNGZyTzCGVOZeFcpdyQS22R78QeEFDMs1Jl0g4k9N97BnN86p3NXSxjRDtr1S7/s728-e365/chrome.jpg)
"With security in mind, one of the new [major improvements](https://chromium.googlesource.com/chromium/src/+/main/extensions/docs/security_faq.md) is that extensions can't load remote JavaScript code and execute arbitrary strings," Knapczyk explained. "Specifically, all logic must be included in the extension package thus allowing the more reliable and effective review process for the extensions submitted to the Chrome Web Store."


This has led to a complete refactor of Rilide's core capabilities, Trustwave said, adding the malware relies on the use of inline events to execute malicious JavaScript code.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
Two Rilide artifacts detected in the wild have been found to impersonate Palo Alto Networks' [GlobalProtect app](https://chrome.google.com/webstore/detail/globalprotect/nicidmbokaedpmoegdbcebhnchpegcdc) to deceive unsuspecting users into installing the malware as part of three different campaigns. One set of attacks are designed to singled out users in Australia and the U.K.


It's suspected that the threat actors use bogus landing pages hosting legitimate AnyDesk remote desktop software and employ vishing tactics to guide potential targets to install the application, and subsequently leverage the remote access to deploy the malware.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEilaQCrhAth6JJXfqrIH5QLsf7PTZMwouZWCYcjsLMdlq4vbwJWz0dt5IfCxZ48q5VqSq_pFUzEcyxgmv9uqnqDUqgo45qMtGnBgvXEG59wldDFbnljI4r1v7t2O-l39nwn_s-yZoBPoZYlQNdJhDikz8tuG2qzaqnk9JEC5lsi0fuzM9l_QUe4Z3yx0HlT/s728-e365/malware.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEilaQCrhAth6JJXfqrIH5QLsf7PTZMwouZWCYcjsLMdlq4vbwJWz0dt5IfCxZ48q5VqSq_pFUzEcyxgmv9uqnqDUqgo45qMtGnBgvXEG59wldDFbnljI4r1v7t2O-l39nwn_s-yZoBPoZYlQNdJhDikz8tuG2qzaqnk9JEC5lsi0fuzM9l_QUe4Z3yx0HlT/s728-e365/malware.jpg)
Another significant update to the modus operandi involves the use of a PowerShell loader to modify the browser's [Secure Preferences file](https://dl.acm.org/doi/abs/10.1007/978-3-030-65411-5_6) – which keeps the state of a user's personal browsing experience – to launch the application with the extension loaded permanently.


A further analysis of the command-and-control (C2) domain based on the registrant information shows a connection to a larger pool of websites, many of which have been observed serving malware such as [Bumblebee](https://thehackernews.com/2022/08/hackers-using-bumblebee-loader-to.html), [IcedID](https://thehackernews.com/2023/07/icedid-malware-adapts-and-expands.html), and [Phorpiex](https://thehackernews.com/2021/12/new-phorpiex-botnet-variant-steals-half.html).


It's worth noting that source code of the Rilide extension was leaked in February 2023, raising the possibility that threat actors other than the original author might have picked up the development efforts.


  





## Tags:


### Autogenerated tags:
[[malware]] [[rilide]]
