# New Wave of JSOutProx Malware Targeting Financial Firms in APAC and MENA
## Financial organizations in APAC & MENA are under attack. A sophisticated threat dubbed JSOutProx combines JavaScript & .NET to infiltrate systems.
## Information:

+ Link: https://thehackernews.com/2024/04/new-wave-of-jsoutprox-malware-targeting.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 05 April 2024, 13:18
+ Date scraped: 05 April 2024, 08:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiVdrsHw8rf504oNYPr3fAUWMbKVbl66HJiP_doAEH6G65DSIxS_-aMZ86t32mGBjIT0wETmGpvyaNhLeWWEu6hPdp5Xi-EXqu5fFmRUuR17d7Tqcqnn5vfDR2rdeoare9FR6bMMjk8jNO3Va_ZHufjnIIYzlx7L990gmqYIImXZYzXBpJjzbuM0H4w4Vxm/s728-rw-e365/hacking.png)


Financial organizations in the Asia-Pacific (APAC) and Middle East and North Africa (MENA) are being targeted by a new version of an "evolving threat" called **JSOutProx**.


"JSOutProx is a sophisticated attack framework utilizing both JavaScript and .NET," Resecurity [said](https://www.resecurity.com/blog/article/the-new-version-of-jsoutprox-is-attacking-financial-institutions-in-apac-and-mena-via-gitlab-abuse) in a technical report published this week.


"It employs the .NET (de)serialization feature to interact with a core JavaScript module running on the victim's machine. Once executed, the malware enables the framework to load various plugins, which conduct additional malicious activities on the target."


First [identified](https://yoroi.company/research/unveiling-jsoutprox-a-new-enterprise-grade-implant/) in December 2019 by Yoroi, early attacks distributing JSOutProx have been attributed to a threat actor tracked as [Solar Spider](https://yoroi.company/en/research/financial-institutions-in-the-sight-of-new-jsoutprox-attack-waves/). The operations track record of striking banks and other big companies in Asia and Europe.


In late 2021, Quick Heal Security Labs [detailed](https://www.seqrite.com/blog/multi-staged-jsoutprox-rat-targets-indian-cooperative-banks-and-finance-companies/) attacks leveraging the remote access trojan (RAT) to single out employees of small finance banks from India. Other campaign waves have taken aim at [Indian government establishments](https://www.zscaler.com/blogs/security-research/targeted-attacks-indian-government-and-financial-institutions-using-jsoutprox-rat) as far back as April 2020.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLX0O_pua_BNGD7OG05Td7ASGHjT-c6rLVfmEazcitNrUN4aS12_9AAEWdojbHmrg0EkMQCSyD42w-d6egVdsdVtAEaH-Z0w0f-jU1frNCfaTUp5tY4bg1olzAEY_W1iVATonnvuYqpel_Mxe4TJmkCMSqLOo4ol9NEGBRh_a8C0JhApfKqY8f-wf9m978/s728-e365/wing-d.png)](https://thehackernews.uk/automated-remediation-wing)
Attack chains are known to leverage spear-phishing emails bearing malicious JavaScript attachments masquerading as PDFs and ZIP archives containing rogue HTA files to deploy the heavily obfuscated implant.


"This malware has various plugins to perform various operations such as exfiltration of data, performing file system operations," Quick Heal [noted](https://www.seqrite.com/documents/en/white-papers/whitepaper-multi-staged-jsoutprox-rat-target-indian-co-operative-banks-and-finance-companies.pdf) [PDF] at the time. "Apart from that, it also has various methods with offensive capabilities that perform various operations."


The plugins allow it to harvest a wide range of information from the compromised host, control proxy settings, capture clipboard content, access Microsoft Outlook account details, and gather one-time passwords from Symantec VIP. A unique feature of the malware is its use of the Cookie header field for command-and-control (C2) communications.


JSOutProx also stands for the fact that it's a fully functional RAT implemented in JavaScript.


"JavaScript simply does not offer as much flexibility as a PE file does," Fortinet FortiGuard Labs [said](https://www.fortinet.com/blog/threat-research/adversary-playbook-javascript-rat-looking-for-that-government-cheese) in a report released in December 2020, describing a campaign directed against governmental monetary and financial sectors in Asia.


"However, as JavaScript is used by many websites, it appears to most users as benign, as individuals with basic security knowledge are taught to avoid opening attachments that end in .exe. Also, because JavaScript code can be obfuscated, it easily bypasses antivirus detection, allowing it to filter through undetected."


The latest set of attacks documented by Resecurity entails using fake SWIFT or MoneyGram payment notifications to trick email recipients into executing the malicious code. The activity is said to have witnessed a spike starting February 8, 2024.


The artifacts have been observed hosted on GitHub and GitLab repositories, which have since been blocked and taken down.


"Once the malicious code has been successfully delivered, the actor removes the repository and creates a new one," the cybersecurity company said. "This tactic is likely related to the actor uses to manage multiple malicious payloads and differentiate targets."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
The exact origins of the e-crime group behind the malware are presently unknown, although the victimology distribution of the attacks and the sophistication of the implant alludes to them originating from China or affiliated with it, Resecurity posited.


The development comes as cyber criminals are promoting on the dark web new software called GEOBOX that repurposes [Raspberry Pi devices](https://www.raspberrypi.org/) for conducting fraud and anonymization.


Offered for only $80 per month (or $700 for a lifetime license), the tool allows the operators to spoof GPS locations, emulate specific network and software settings, mimic settings of known Wi-Fi access points, as well as bypass anti-fraud filters.


Such tools could have serious security implications as they open the door to a broad spectrum of crimes like state-sponsored attacks, corporate espionage, dark web market operations, financial fraud, anonymous distribution of malware, and even access to geofenced content.


"The ease of access to GEOBOX raises significant concerns within the cybersecurity community about its potential for widespread adoption among various threat actors," Resecurity [said](https://www.resecurity.com/blog/article/cybercriminals-transform-raspberry-pi-into-a-tool-for-fraud-and-anonymization-geobox-discovery).


  





## Tags:


### Autogenerated tags:
[[javascript]] [[malware]] [[jsoutprox]] [[resecurity]] [[plugins]]
