# New ZLoader Malware Variant Surfaces with 64-bit Windows Compatibility
## ZLoader malware resurfaces after 2 years, targeting Windows systems with ransomware.
## Information:

+ Link: https://thehackernews.com/2024/01/new-zloader-malware-variant-surfaces.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 30 January 2024, 14:13
+ Date scraped: 30 January 2024, 09:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhqtmCNEVL3AqbYCgPvhQmmOhHoTH96Xni-rRGSM9O-5Ahml9HomLGCL80rjuepRiKUm-ndRP_HQE5qmptz5VNZKguljsVA46cQnAfWxpu-jfdOz7h9FzmeirnMO7AqbqeUY90Bu7j70YUnad5BVV7vF3v6TY13MJQo7ckMVAZzILSmOotf29HXsCl1FbxS/s728-rw-ft-e30/zscaler.jpg)


Threat hunters have identified a new campaign that delivers the **ZLoader** malware, resurfacing nearly two years after the botnet's infrastructure was dismantled in April 2022.


A new variant of the malware is said to have been in development since September 2023, Zscaler ThreatLabz said in an analysis published this month.


"The new version of Zloader made significant changes to the loader module, which added RSA encryption, updated the domain generation algorithm, and is now compiled for 64-bit Windows operating systems for the first time," researchers Santiago Vicente and Ismael Garcia Perez [said](https://www.zscaler.com/blogs/security-research/zloader-no-longer-silent-night).


ZLoader, also known by the names Terdot, DELoader, or Silent Night, is an offshoot of the Zeus banking trojan that first surfaced in 2015, before pivoting to functioning as a loader for next-stage payloads, including ransomware.


Typically distributed via phishing emails and malicious search engine ads, ZLoader suffered a huge blow after a group of companies led by Microsoft's Digital Crimes Unit (DCU) [seized](https://thehackernews.com/2022/04/microsoft-disrupts-zloader-cybercrime.html) control of 65 domains that were used to control and communicate with the infected hosts.


The latest versions of the malware, tracked as 2.1.6.0 and 2.1.7.0, incorporate junk code, and string obfuscation to resist analysis efforts. Each ZLoader artifact is also expected to have a specific filename for it to be executed on the compromised host.


"This could evade malware sandboxes that rename sample files," the researchers noted.


In addition to encrypting the [static configuration](https://www.proofpoint.com/us/blog/threat-insight/zloader-loads-again-new-zloader-variant-returns#:~:text=source%C2%A0IP%C2%A0address.-,Configuration,-ZLoader%C2%A0continues%20the) using RC4 with a hard-coded alphanumeric key to conceal information related to the campaign name and the command-and-control (C2) servers, the malware has been observed relying on an updated version of the domain generation algorithm as a fallback measure in the event the primary C2 servers are inaccessible.


The backup communications method was first observed in ZLoader version 1.1.22.0, which was propagated as part of phishing campaigns detected in March 2020.


"Zloader was a significant threat for many years and its comeback will likely result in new ransomware attacks," the researchers said. "The operational takedown temporarily stopped the activity, but not the threat group behind it."


The development comes as Red Canary [warned](https://redcanary.com/blog/msix-installers/) of an increase in the volume of campaigns leveraging MSIX files to deliver malware such as [NetSupport RAT](https://thehackernews.com/2023/11/netsupport-rat-infections-on-rise.html), [ZLoader](https://thehackernews.com/2022/11/microsoft-warns-of-hackers-using-google.html), and [FakeBat](https://thehackernews.com/2024/01/atomic-stealer-gets-upgrade-targeting.html) (aka EugenLoader), since July 2023, prompting Microsoft to [disable the protocol handler](https://thehackernews.com/2023/12/microsoft-disables-msix-app-installer.html) by default in late December 2023.


It also follows the emergence of new stealer malware families such as [Rage Stealer](https://www.cyfirma.com/outofband/from-screen-captures-to-crypto-wallets-analyzing-the-multi-faceted-threat-of-rage-stealer/) and [Monster Stealer](https://www.cyfirma.com/outofband/russian-stealer-log-aggregator-releases-fully-native-infostealer/) that are being used as an initial access pathway for information theft and as a launching pad for more severe cyber attacks.


  





## Tags:
***ipv4-adresses***: 2.1.6.0 1.1.22.0 2.1.7.0

### Autogenerated tags:
[[zloader]] [[malware]]
