# New Zaraza Bot Credential-Stealer Sold on Telegram Targeting 38 Web Browsers
## New malware alert! The Zaraza bot steals credentials and is sold on Telegram. It targets 38 web browsers and captures sensitive data.
## Information:

+ Link: https://thehackernews.com/2023/04/new-zaraza-bot-credential-stealer-sold.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 17 April 2023, 06:59
+ Date scraped: 17 April 2023, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgfC7Dn3YZ53Zsc_uC36BIYXPJGOJm1WAT08plkeW296O5RedsIxC0XTDO5XCwnSpuE_qC89zAHersZDJX8N39tqqrzvovRRQriDiEtdL6o9HQ_Dtp1KNXN-Vd9v68TmNRzj0jIP-Rhhmulyip6KMXc24oGIED9j2yUDYCORMfZ87fFYXjKSJDh0A-V/s728-e3650/stealer.jpg)


A novel credential-stealing malware called **Zaraza bot** is being offered for sale on Telegram while also using the [popular](https://thehackernews.com/2023/04/researchers-uncover-thriving-phishing.html) [messaging service](https://thehackernews.com/2023/04/new-python-based-legion-hacking-tool.html) as a command-and-control (C2).


"Zaraza bot targets a large number of web browsers and is being actively distributed on a Russian Telegram hacker channel popular with threat actors," cybersecurity company Uptycs [said](https://www.uptycs.com/blog/zaraza-bot-credential-password-stealer) in a report published last week.


"Once the malware infects a victim's computer, it retrieves sensitive data and sends it to a Telegram server where the attackers can access it immediately."


A 64-bit binary file compiled using C#, Zaraza bot is designed to target as many as 38 different web browsers, including Google Chrome, Microsoft Edge, Opera, AVG Browser, Brave, Vivaldi, and Yandex. It's also equipped to capture screenshots of the active window.


It's the latest example of malware that's capable of capturing login credentials associated with online bank accounts, cryptocurrency wallets, email accounts, and other websites deemed of value to the operators.


Stolen credentials pose a serious risk as they not only allow threat actors to gain unauthorized access to victims' accounts, but also conduct identity theft and financial fraud.


[![Zaraza Bot](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj9sDbAh-7Kz2r1PHCgf6hmPhYSXGu-nlg0JhXhtqpE4sxsVWE3dFT7--vaSywYtmtEPZukfuAXL_hGl0vrV4Nh9FAO7-AjwsH77KqSMtKWLkEjzG1c8lIH2oAlypZNRWXVTKI8nU7nZ3-uq1sJXcNq0nl7kS6un88ugb0DNUI-9bCr2k-aViN5K3i4/s728-e365/malware.png)
Evidence gathered by Uptycs points to Zaraza bot being offered as a commercial tool for other cybercriminals for a subscription. It's currently not clear how the malware is propagated, but information stealers have typically leveraged several methods such as malvertising and social engineering in the past.


[![Zaraza Bot](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjEjG-hz8IaEgMPXL8w2UZVgsAwf4-ZmpNJCRoP38NLr4QfrpYyIoHCMNTc-fCeq6v4ofM1sj6Bd2WSQS_76KJp20sD-7vUxpRD2WkTsUGeQx8uhXt8MeMf0gQYXcLjojCNWfwnLrqCPs9kuGh1KO6AZm9Wu7sZkorDUTEelbgz0Px4mcea_MqiD8DC/s728-e365/hacking-news.png)
The findings come as eSentire's Threat Response Unit (TRU) [disclosed](https://www.esentire.com/blog/guloader-targeting-the-financial-sector-using-a-tax-themed-phishing-lure) a [GuLoader](https://thehackernews.com/2023/02/guloader-malware-using-malicious-nsis.html) (aka CloudEyE) campaign targeting the financial sector via phishing emails by employing tax-themed lures to deliver information stealers and remote access trojans (RATs) like [Remcos RAT](https://thehackernews.com/2023/03/stealthy-dbatloader-malware-loader.html).


The development also follows a spike in malvertising and search engine poisoning techniques to distribute a growing number of malware families by enticing users searching for legitimate applications into downloading fake installers containing stealer payloads.


Russian cybersecurity firm Kaspersky, in a [new analysis](https://securelist.com/crimeware-report-uncommon-infection-methods-2/109522/), revealed the use of trojanized cracked software downloaded from BitTorrent or OneDrive to deploy CueMiner, a .NET-based downloader that acts as a conduit to installer a cryptocurrency miner known as SilentCryptoMiner.


To mitigate risks stemming from stealer malware, it's recommended that users enable two-factor authentication (2FA) and apply software and operating systems updates as and when they become available.



  





## Tags:


### Autogenerated tags:
[[malware]] [[zaraza]]
