# New ZenRAT Malware Targeting Windows Users via Fake Password Manager Software
## ⚠️ Beware of ZenRAT! This new modular malware strain targets Windows users through trojanized Bitwarden installers.
## Information:

+ Link: https://thehackernews.com/2023/09/new-zenrat-malware-targeting-windows.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 27 September 2023, 14:08
+ Date scraped: 27 September 2023, 09:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgEvuy7YpJ-s2Ccez38bQmGuNpqYrLK81cnE4IfaY4ORenivQ7-ElQ6npu8ehl7pTPTkF71a_QQ_4-u0448ZToOQ9yH0hMclmvaAziXdJkq6VN-p46A0mVJyLi7IC2JDJisPcQnRLR0gY4OgTY2wjdt49yUgg-siLCPXH8dNt6miaF6XBscBvV0qH0FC7DW/s728-rw-ft-e30/malware.jpg)


A new malware strain called **ZenRAT** has emerged in the wild that's distributed via bogus installation packages of the Bitwarden password manager.


"The malware is specifically targeting Windows users and will redirect people using other hosts to a benign web page," enterprise security firm Proofpoint [said](https://www.proofpoint.com/us/blog/threat-insight/zenrat-malware-brings-more-chaos-calm) in a technical report. "The malware is a modular remote access trojan (RAT) with information stealing capabilities."


ZenRAT is hosted on fake websites pretending to be associated with Bitwarden, although it's uncertain as to how traffic is being directed to the domains. Such malware has been propagated via phishing, malvertising, or SEO poisoning attacks in the past.


The payload (Bitwarden-Installer-version-2023-7-1.exe), downloaded from crazygameis[.]com, is a trojanized version of the standard Bitwarden installation package that contains a malicious .NET executable (ApplicationRuntimeMonitor.exe).


A noteworthy aspect of the campaign is that users who end up visiting the deceptive website from non-Windows systems are redirected to a cloned [opensource.com article](https://opensource.com/article/18/3/managing-passwords-bitwarden) published in March 2018 about "How to manage your passwords with Bitwarden, a LastPass alternative."


Further, Windows users clicking on downloading links marked for Linux or macOS on the Downloads page are redirected to the legitimate Bitwarden site, vault.bitwarden.com.


An analysis of the installer's metadata reveals attempts on the part of the threat actor to masquerade the malware as Piriform's Speccy, a freeware Windows utility to show hardware and software information.


The digital signature used to sign the executable is not only invalid, but also claims to be signed by Tim Kosse, a well-known German computer scientist known for developing the free cross-platform FTP software FileZilla.


ZenRAT, once launched, gathers details about the host, including CPU name, GPU name, operating system version, browser credentials, and installed applications and security software, to a command-and-control (C2) server (185.186.72[.]14) operated by the threat actors.


"The client initiates communication to the C2," Proofpoint said. "Regardless of the command, and extra data transmitted, the first packet is always 73 bytes."


ZenRAT is also configured to transmit its logs to the server in plaintext, which captures a series of system checks carried out by the malware and the status of the execution of each module, indicating its use as a "modular, extendable implant."


To mitigate such threats, it's recommended that users download software only from trusted sources and ensure the authenticity of the websites.


The disclosure comes as the information stealer known as Lumma Stealer has been [observed](https://www.esentire.com/blog/fake-browser-updates-distribute-lummac-stealer-amadey-and-privateloader-malware) compromising manufacturing, retail, and business industries since the beginning of August 2023.


"The infostealer was delivered via drive-by downloads disguised as fake installers such as Chrome and Edge browser installers, and some of them were distributed via [PrivateLoader](https://thehackernews.com/2022/12/privateloader-ppi-service-found.html)," eSentire [said](https://www.esentire.com/blog/the-case-of-lummac2-v4-0) earlier this month.


In a related campaign, rogue websites impersonating Google Business Profile and Google Sheets were found to trick users into installing a stealer malware dubbed [Stealc](https://thehackernews.com/2023/02/researchers-discover-dozens-samples-of.html) under the pretext of a security update.


"Drive-by downloads continue to be a prevalent method to spread malware, such as information stealers and loaders," the Canadian cybersecurity company [noted](https://www.esentire.com/blog/stealc-delivered-via-deceptive-google-sheets).


  





## Tags:
***ipv4-adresses***: 185.186.72.14
***urls***: http://crazygameis.com http://185.186.72.14

### Autogenerated tags:
[[malware]] [[bitwarden]] [[zenrat]] [[windows]] [[websites]]
