# Newly Uncovered ThirdEye Windows-Based Malware Steals Sensitive Data
## 🔒 Discover the newly unearthed Windows-based information stealer, ThirdEye! This malware operates stealthily, harvesting sensitive data from infected
## Information:

+ Link: https://thehackernews.com/2023/06/newly-uncovered-thirdeye-windows-based.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 29 June 2023, 10:18
+ Date scraped: 29 June 2023, 05:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgupKH1mEsS48AA57VjIJU2pAKH4YFipyVlRVKLbK8wucoh0-x7KgXtlToQQa17wN3DB1wqS4MeAdhk3k-jYSOKMPUTYsZOkFgpv6E48qRNLRkpuqH58xsDDG5t3suGgh8Ief0VxWd83a4bi00GWe7_XT_v6ZXP2gZaouG4Y5cHtBU0_PfQHwCyB4pUkpo/s728-e3650/eye-malware.jpg)


A previously undocumented Windows-based information stealer called **ThirdEye** has been discovered in the wild with capabilities to harvest sensitive data from infected hosts.


Fortinet FortiGuard Labs, which [made the discovery](https://www.fortinet.com/blog/threat-research/new-fast-developing-thirdeye-infostealer-pries-open-system-information), said it found the malware in an executable that masqueraded as a [PDF file](https://www.virustotal.com/gui/file/f6e6d44137cb5fcee20bcde0a162768dadbb84a09cc680732d9e23ccd2e79494) with a Russian name "CMK Правила оформления больничных листов.pdf.exe," which translates to "CMK Rules for issuing sick leaves.pdf.exe."


The arrival vector for the malware is presently unknown, although the nature of the lure points to it being used in a phishing campaign. The very [first ThirdEye sample](https://www.virustotal.com/gui/file/610aff11acce8398f2b35e3742cb46c6a168a781c23a816de2aca471492161b2) was uploaded to VirusTotal on April 4, 2023, with relatively fewer features.


The evolving stealer, like [other malware families](https://thehackernews.com/2023/06/new-mystic-stealer-malware-targets-40.html) of its kind, is equipped to gather system metadata, including BIOS release date and vendor, total/free disk space on the C drive, currently running processes, register usernames, and volume information. The amassed details are then transmitted to a command-and-control (C2) server. 


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-2)
A notable trait of the malware is that it uses the string "3rd\_eye" to beacon its presence to the C2 server.


There are no signs to suggest that ThirdEye has been utilized in the wild. That having said, given that a majority of the stealer artifacts were uploaded to VirusTotal from Russia, it's likely that the malicious activity is aimed at Russian-speaking organizations.


"While this malware is not considered sophisticated, it's designed to steal various information from compromised machines that can be used as stepping-stones for future attacks," Fortinet researchers said, adding the collected data is "valuable for understanding and narrowing down potential targets."


The development comes as [trojanized installers](https://www.virustotal.com/gui/file/e9cc8222d121a68b6802ff24a84754e117c55ae09d61d54b2bc96ef6fb267a54) for the popular Super Mario Bros video game franchise hosted on sketchy torrent sites are being used to propagate cryptocurrency miners and an open-source stealer written in C# called Umbral that exfiltrates data of interest using Discord Webhooks.


"The combination of mining and stealing activities leads to financial losses, a substantial decline in the victim's system performance, and the depletion of valuable system resources," Cyble [said](https://blog.cyble.com/2023/06/23/trojanized-super-mario-game-installer-spreads-supremebot-malware/).


[![Info Stealer Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhZ3IL5AzmU42dzcjW9qmTZwJzlDUv8-GaJ9yrTabxt5YsRAEO_t6wgvyNizR8xlrAGeJkLXoGaxuqqvdy6BPtXaCTvI0K3ddmbGMmWAicO6zq2FqunP1ZNfsR9_0MW_34Ngxh72LzlDZvdI4iqZnaGhud2uaaLvNe5_xfKbvugS6-0ey5UbuLzYtO5rAI/s728-e365/malware.jpg)
Video game users have also been targeted with [Python-based ransomware](https://blog.cyble.com/2023/06/13/threat-actor-targets-russian-gaming-community-with-wannacry-imitator/) and a remote access trojan dubbed [SeroXen](https://thehackernews.com/2023/06/beware-1000-fake-cryptocurrency-sites.html), which has been found to take advantage of a commercial batch file obfuscation engine known as [ScrubCrypt](https://thehackernews.com/2023/06/cybercriminals-using-powerful-batcloak.html) (aka BatCloak) to evade detection. Evidence shows that actors associated with SeroXen's development have also contributed to the creation of ScrubCrypt.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://www.memcyco.com/home/library/the-untold-cost-of-brand-impersonation-ebook/?utm_source=thn&utm_medium=referral&utm_campaign=ebook-campaign)
The malware, which was advertised for sale on a [clearnet website](https://web.archive.org/web/20230522160758/https://www.seroxen.net/about.html) that was registered on March 27, 2023 prior to its shutdown in late May, has further been promoted on Discord, TikTok, Twitter, and YouTube. A [cracked version of SeroXen](https://www.trendmicro.com/en_us/research/23/f/seroxen-mechanisms-exploring-distribution-risks-and-impact.html) has since found its way to criminal forums.


"Individuals are strongly advised to adopt a skeptical stance when encountering links and software packages associated with terms such as 'cheats,' 'hacks,' 'cracks,' and other pieces of software related to gaining a competitive edge," Trend Micro [noted](https://www.trendmicro.com/en_us/research/23/f/seroxen-incorporates-latest-batcloak-engine-iteration.html) in a new analysis of SeroXen.


"The addition of SeroXen and BatCloak to the malware arsenal of malicious actors highlights the evolution of FUD obfuscators with a low barrier to entry. The almost-amateur approach of using social media for aggressive promotion, considering how it can be easily traced, makes these developers seem like novices by advanced threat actors' standards."


  





## Tags:


### Autogenerated tags:
[[malware]] [[seroxen]] [[thirdeye]]
