# North Korea's Lazarus Group Deploys New Kaolin RAT via Fake Job Lures
## North Korean hackers used fake job offers to deliver a new Trojan called Kaolin RAT. It can change file timestamps and load malware.
## Information:

+ Link: https://thehackernews.com/2024/04/north-koreas-lazarus-group-deploys-new.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 25 April 2024, 22:17
+ Date scraped: 25 April 2024, 17:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi-eOMH0yikc2ziP8w_7miQp1DwkrTONPaXzgc73RsZ-4RZsBi7Yjespp6W3_drwPUPRBDrIgHmhWCbzSndSnIw2nDMWT7TqFNUVZF-p2EW8RkOwsSemxY_mi8CNQNtgf2K03pD5yrDg1oOc38p_5P22w0q0ofhVAl3jlKZ9qX15PnEISMwYvyIq-Sniaf4/s728-rw-e365/hackers.png)


The North Korea-linked threat actor known as Lazarus Group employed its time-tested fabricated job lures to deliver a new remote access trojan called **Kaolin RAT**.


The malware could, "aside from standard RAT functionality, change the last write timestamp of a selected file and load any received DLL binary from [command-and-control] server," Avast security researcher Luigino Camastra [said](https://decoded.avast.io/luiginocamastra/from-byovd-to-a-0-day-unveiling-advanced-exploits-in-cyber-recruiting-scams/) in a report published last week.


The RAT acts as a pathway to deliver the FudModule rootkit, which has been recently observed leveraging a now-patched [admin-to-kernel exploit](https://thehackernews.com/2024/02/lazarus-hackers-exploited-windows.html) in the appid.sys driver (CVE-2024-21338, CVSS score: 7.8) to obtain a kernel read/write primitive and ultimately disable security mechanisms.


The Lazarus Group's use of job offer lures to infiltrate targets is not new. Dubbed Operation Dream Job, the [long-running campaign](https://thehackernews.com/2022/09/north-korean-hackers-spreading.html) has a [track record](https://thehackernews.com/2023/09/lazarus-group-impersonates-recruiter.html) of using various social media and instant messaging platforms to [deliver malware](https://thehackernews.com/2023/11/north-korean-hackers-pose-as-job.html).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
These initial access vectors trick targets into launching a malicious optical disc image (ISO) file bearing three files, one of which [masquerades](https://thehackernews.com/2023/10/lazarus-group-targeting-defense-experts.html) as an Amazon VNC client ("AmazonVNC.exe") that, in reality, is a renamed version of a legitimate Windows application called "[choice.exe](https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/choice)."


The two other files are named "version.dll" and "aws.cfg." The executable "AmazonVNC.exe" is used to side-load "version.dll," which, in turn, spawns an IExpress.exe process and injects into it a payload residing within "aws.cfg."


The payload is designed to download shellcode from a command-and-control (C2) domain ("henraux[.]com"), which is suspected to be an actual-but-hacked website belonging to an Italian company that specializes in excavating and processing marble and granite.


While the exact nature of the shellcode is unclear, it's said to be used to launch RollFling, a DLL-based loader that serves to retrieve and launch the next-stage malware named RollSling, which was [disclosed](https://thehackernews.com/2023/10/microsoft-warns-of-north-korean-attacks.html) by Microsoft last year in connection with a Lazarus Group campaign exploiting a critical JetBrains TeamCity flaw (CVE-2023-42793, CVSS score: 9.8).


RollSling, executed directly in memory in a likely attempt to evade detection by the security software, represents the next phase of the infection procedure. Its primary function is to trigger the execution of a third loader dubbed RollMid that's also run in the system's memory.


[![Fake Job Lures](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjCd62yIJEqVXXZBcwWUvXN4kVqfgGLSr44DL0A92MFL5FMLFibEZ6nwCapt-DQ0_Q-X2A3vyK82jz0v3kQmyxRucaZhPb7A_tpcClScE3H50gt_mf-GJcCFyMyyi9u9hmzB1X-ucs6BShJ-bp5jqgNltOy7f6Nf6YYH1oL-lk8XlTH4UlQMu_bYRvoDdcg/s728-rw-e365/avast.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjCd62yIJEqVXXZBcwWUvXN4kVqfgGLSr44DL0A92MFL5FMLFibEZ6nwCapt-DQ0_Q-X2A3vyK82jz0v3kQmyxRucaZhPb7A_tpcClScE3H50gt_mf-GJcCFyMyyi9u9hmzB1X-ucs6BShJ-bp5jqgNltOy7f6Nf6YYH1oL-lk8XlTH4UlQMu_bYRvoDdcg/s728-rw-e365/avast.png)
RollMid comes fitted with capabilities to set the stage for the attack and establish contact with a C2 server, which involves a three-stage process of its own as follows -


* Communicate with the first C2 server to fetch a HTML containing the address of the second C2 server


* Communicate with the second C2 server to fetch a PNG image that embeds a malicious component using a technique called steganography


* Transmit data to the third C2 server using the address specified in the concealed data within the image


* Retrieve an additional Base64-encoded data blob from the third C2 server, which is the Kaolin RAT


The technical sophistication behind the multi-stage sequence, while no doubt complex and intricate, borders on overkill, Avast opined, with the Kaolin RAT paving the way for the deployment of the FudModule rootkit after setting up communications with the RAT's C2 server.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
On top of that, the malware is equipped to enumerate files; carry out file operations; upload files to the C2 server; alter a file's last modified timestamp; enumerate, create, and terminate processes; execute commands using cmd.exe; download DLL files from the C2 server; and connect to an arbitrary host.


"The Lazarus group targeted individuals through fabricated job offers and employed a sophisticated toolset to achieve better persistence while bypassing security products," Camastra said.


"It is evident that they invested significant resources in developing such a complex attack chain. What is certain is that Lazarus had to innovate continuously and allocate enormous resources to research various aspects of Windows mitigations and security products. Their ability to adapt and evolve poses a significant challenge to cybersecurity efforts."


  





## Tags:
***CVE's***: CVE-2023-42793 CVE-2024-21338

### Autogenerated tags:
[[c2]] [[malware]]
