# North Korea's ScarCruft Deploys RokRAT Malware via LNK File Infection Chains
## ScarCruft, the North Korean threat group behind RokRAT malware, has adapted to the blocking of macros by using oversized LNK files.
## Information:

+ Link: https://thehackernews.com/2023/05/north-koreas-scarcruft-deploys-rokrat.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 02 May 2023, 06:54
+ Date scraped: 02 May 2023, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjbpQKcQTrf1z7ZWruJsXXWoC6wjI12p-usncs6ZRRHfLB-o8G7iMY_oqjeq7q5x16Ix8fzbeIERVNB_8eALZYGMR4TxKDV2Gg0PLUOzjoFYX3o1bnz8FWnHeIYvysRieP3s8JcGnDxQoXpu8i7dM2uVg_WADb6ThqtPxmcVAgWCIFqgg7B-iJSh3Mp/s728-e3650/hacking.png)


The North Korean threat actor known as **ScarCruft** began experimenting with oversized LNK files as a delivery route for RokRAT malware as early as July 2022, the same month Microsoft [began blocking macros](https://thehackernews.com/2022/07/microsoft-resumes-blocking-office-vba.html) across Office documents by default.


"RokRAT has not changed significantly over the years, but its deployment methods have evolved, now utilizing archives containing LNK files that initiate multi-stage infection chains," Check Point [said](https://research.checkpoint.com/2023/chain-reaction-rokrats-missing-link/) in a new technical report.


"This is another representation of a major trend in the threat landscape, where APTs and cybercriminals alike attempt to overcome the blocking of macros from untrusted sources."


[ScarCruft](https://thehackernews.com/2022/12/google-warns-of-internet-explorer-zero.html), also known by the names APT37, InkySquid, Nickel Foxcroft, Reaper, RedEyes, and Ricochet Chollima, is a threat group that almost exclusively targets South Korean individuals and entities as part of spear-phishing attacks designed to deliver an array of custom tools.


The adversarial collective, unlike the [Lazarus Group or Kimsuky](https://thehackernews.com/2023/04/lazarus-subgroup-targeting-apple.html), is [overseen](https://www.mandiant.com/resources/blog/mapping-dprk-groups-to-government) by North Korea's Ministry of State Security ([MSS](https://www.dailynk.com/english/several-state-security-agency-agents-busted-for-accessing-internet-without-permission/)), which is tasked with domestic counterespionage and overseas counterintelligence activities, per Mandiant.


The group's primary malware of choice is [RokRAT](https://blog.talosintelligence.com/introducing-rokrat/) (aka DOGCALL), which has since been adapted to other platforms such as macOS ([CloudMensis](https://thehackernews.com/2022/07/experts-uncover-new-cloudmensis-spyware.html)) and Android ([RambleOn](https://thehackernews.com/2023/02/experts-warn-of-rambleon-android.html)), indicating that the backdoor is being actively developed and maintained.


RokRAT and its variants are equipped to carry out a wide range of activities like credential theft, data exfiltration, screenshot capture, system information gathering, command and shellcode execution, and file and directory management.


[![RokRAT Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi_2xgRd7KH-C9e5DISaaercHPXSNX49C7LUYRVxERXt5kaOd-CcHH5aSpy_hs8f9LVJ5zbkensJrE9ZaAHlFPg1SOoCfX8AfZB0clwKA18TzMXIXOrNBNosKHtFNvQGOkVIlOC48060O9g5TD0YpIP7AfBEZwIi8qG2Tdrlw-tKR1bV5ZSs5hkAmJF/s728-e365/webo.png)
The collected information, some of which is stored in the form of MP3 files to cover its tracks, is sent back using cloud services like Dropbox, Microsoft OneDrive, pCloud and Yandex Cloud in a bid to disguise the command-and-control (C2) communications as legitimate.


Other [bespoke](https://thehackernews.com/2023/03/scarcrufts-evolving-arsenal-researchers.html) malware used by the group include, but not limited to, Chinotto, BLUELIGHT, GOLDBACKDOOR, Dolphin, and, most recently, [M2RAT](https://thehackernews.com/2023/02/north-koreas-apt37-targeting-southern.html). It's also known to use commodity malware such as [Amadey](https://thehackernews.com/2022/11/amadey-bot-spotted-deploying-lockbit-30.html), a downloader that can receive commands from the attacker to download additional malware, in a bid to confuse attribution.


The use of LNK files as decoys to activate the infection sequences was also [highlighted](https://thehackernews.com/2023/04/tonto-team-uses-anti-malware-file-to.html) by the AhnLab Security Emergency Response Center (ASEC) last week, with the files containing PowerShell commands that deploy the RokRAT malware.


While the change in modus operandi signals ScarCruft's endeavors to keep up with the shifting threat ecosystem, it has continued to leverage macro-based malicious Word documents as recently as April 2023 to drop the malware, mirroring a similar chain that was [reported](https://www.malwarebytes.com/blog/news/2021/01/retrohunting-apt37-north-korean-apt-used-vba-self-decode-technique-to-inject-rokrat) by Malwarebytes in January 2021.


Another attack wave observed at the beginning of November 2022, according to the Israeli cybersecurity company, employed ZIP archives incorporating LNK files to deploy the Amadey malware.


"[The LNK file] method can trigger an equally effective infection chain by a simple double click, one that is more reliable than n-day exploits or the Office macros which require additional clicks to launch," Check Point said.


"APT37 continues to pose a considerable threat, launching multiple campaigns across the platforms and significantly improving its malware delivery methods."


The findings come as Kaspersky disclosed a new Go-based malware developed by ScarCruft codenamed SidLevel that utilizes the cloud messaging service Ably as a C2 mechanism for the first time and comes with "extensive capabilities to steal sensitive information from victims."


"The group continues to target individuals related to North Korea, including novelists, academic students, and also business people who appear to send funds back to North Korea," the Russian cybersecurity firm [noted](https://securelist.com/apt-trends-report-q1-2023/109581/) in its APT Trends Report for Q1 2023.



  





## Tags:


### Autogenerated tags:
[[malware]] [[lnk]] [[rokrat]] [[scarcruft]] [[cloud]]
