# North Korean Hacker Group Andariel Strikes with New EarlyRat Malware
## Andariel, affiliated with North Korea's Lazarus Group, strikes with EarlyRat malware exploiting Log4j vulnerability. Learn how they compromise systems
## Information:

+ Link: https://thehackernews.com/2023/06/north-korean-hacker-group-andariel.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 29 June 2023, 16:19
+ Date scraped: 29 June 2023, 11:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiBaU1Y9-4q33Cns1BwYcmQ9w92IFfUBHG7MHWDYE7V7YX0RTnHyPUKxsZMyPpfnZE17IKqeawKlFg84-oPKye8wPsn03fMYK-8yiIR8c3ALOxqJjJFGOsVdqeazRDbnVqA-JDuPj1OtsruDaBywlwzd0wuDhhLamNDi0LioQJqx2WOeMUHgOdy001LWdU/s728-e3650/hacker.jpg)


The North Korea-aligned threat actor known as **Andariel** leveraged a previously undocumented malware called **EarlyRat** in attacks exploiting the Log4j Log4Shell vulnerability last year.


"Andariel infects machines by executing a Log4j exploit, which, in turn, downloads further malware from the command-and-control (C2) server," Kaspersky [said](https://securelist.com/lazarus-andariel-mistakes-and-easyrat/110119/) in a new report.


Also called Silent Chollima and Stonefly, Andariel is associated with North Korea's Lab 110, a primary hacking unit that also houses [APT38](https://thehackernews.com/2023/04/lazarus-subgroup-targeting-apple.html) (aka BlueNoroff) and other subordinate elements collectively tracked under the umbrella name [Lazarus Group](https://blog.lexfo.fr/Lexfo-WhitePaper-The_Lazarus_Constellation.html). 


The threat actor, besides conducting espionage attacks against foreign government and military entities that are of strategic interest, is known to [carry out cyber crime](https://thehackernews.com/2023/03/north-korean-unc2970-hackers-expands.html) as an extra source of income to the sanctions-hit nation.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-2)
Some of the key cyber weapons in its arsenal include a ransomware strain referred to as [Maui](https://thehackernews.com/2022/08/experts-uncover-details-on-maui.html) and numerous remote access trojans and backdoors such as [Dtrack](https://thehackernews.com/2022/11/north-korean-hackers-targeting-europe.html) (aka Valefor and Preft), [NukeSped](https://thehackernews.com/2022/05/hackers-exploiting-vmware-horizon-to.html) (aka Manuscrypt), [MagicRAT](https://thehackernews.com/2022/09/north-korean-hackers-spotted-using-new.html), and [YamaBot](https://thehackernews.com/2022/09/north-korean-lazarus-hackers-targeting.html).


NukeSped [contains](https://www.cyfirma.com/outofband/nukesped-rat-report/) a range of features to create and terminate processes and move, read, and write files on the infected host. The use of NukeSped overlaps with a campaign tracked by the U.S. Cybersecurity and Infrastructure Security Agency (CISA) under the name [TraderTraitor](https://thehackernews.com/2023/01/fbi-says-north-korean-hackers-behind.html).


Andariel's weaponization of the Log4Shell vulnerability in unpatched VMware Horizon servers was previously documented by AhnLab Security Emergency Response Center ([ASEC](https://thehackernews.com/2022/05/hackers-exploiting-vmware-horizon-to.html)) and [Cisco Talos](https://thehackernews.com/2022/09/north-korean-lazarus-hackers-targeting.html) in 2022.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://www.memcyco.com/home/library/the-untold-cost-of-brand-impersonation-ebook/?utm_source=thn&utm_medium=referral&utm_campaign=ebook-campaign)
The latest attack chain discovered by Kaspsersky shows that EarlyRat is propagated by means of phishing emails containing decoy Microsoft Word documents. The files, when opened, prompt the recipients to enable macros, leading to the execution of VBA code responsible for downloading the trojan.


Described as a simple but limited backdoor, EarlyRat is designed to collect and exfiltrate system information to a remote server as well as execute arbitrary commands. It also shares high-level similarities with MagicRAT, not to mention written using a framework called [PureBasic](https://www.purebasic.com/). MagicRAT, on the other hand, employs the Qt Framework.


Another characteristic of the intrusion is the use of legitimate off-the-shelf tools like 3Proxy, ForkDump, NTDSDumpEx, Powerline, and PuTTY for further exploitation of the target.


"Despite being an APT group, Lazarus is known for performing typical cyber crime tasks, such as deploying ransomware, which makes the cybercrime landscape more complicated," Kaspersky said. "Moreover, the group uses a wide variety of custom tools, constantly updating existing and developing new malware."


  





## Tags:


### Autogenerated tags:
[[andariel]] [[malware]] [[earlyrat]] [[nukesped]] [[magicrat]]
