# North Korean Hackers Deploying New MagicRAT Malware in Targeted Campaigns
## Lazarus hackers have been spotted deploying a new remote access trojan (RAT), dubbed "MagicRAT," in targeted campaigns exploiting VMware Horizon.
## Information:

+ Link: https://thehackernews.com/2022/09/north-korean-hackers-spotted-using-new.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 07 September 2022, 12:10
+ Date scraped: 07 September 2022, 13:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiZBfYziLuYMigKzKiSiNlIImw-X873fGi6-VwSt8J9XQxJcRoK9goi-7rFuTz2Rc_EQm2NkIZUpdLIsTP9VSQNV2nfMIgaH_y1D9S4U-75BnTkWT7cckO4SpYRZpZ7LKwarx8oW8Ag9lQmRdrBu-aBu6octF9x5NIcSJJ6vbbKjKboK0XZ5BlK8pka/s728-e1000/malware.jpg)


The prolific North Korean nation-state actor known as the Lazarus Group has been linked to a new remote access trojan called **MagicRAT**.


The previously unknown piece of malware is said to have been deployed in victim networks that had been initially breached via successful exploitation of internet-facing VMware Horizon servers, Cisco Talos said in a report shared with The Hacker News.


"While being a relatively simple RAT capability-wise, it was built with recourse to the [Qt Framework](https://www.qt.io/product/framework), with the sole intent of making human analysis harder, and automated detection through machine learning and heuristics less likely," Talos researchers Jung soo An, Asheer Malhotra, and Vitor Ventura [said](https://blog.talosintelligence.com/2022/09/lazarus-magicrat.html).


[Lazarus Group](https://thehackernews.com/2022/08/north-korea-hackers-spotted-targeting.html), also known as APT38, Dark Seoul, Hidden Cobra, and Zinc, refers to a cluster of financial motivated and espionage-driven [cyber activities](https://www.cisa.gov/uscert/northkorea) undertaken by the North Korean government as a means to sidestep sanctions imposed on the country and meet its strategic objectives.


Like other umbrella collectives Winnti and MuddyWater, the state-sponsored hacking collective also has "spin-off" groups such as [Bluenoroff and Andariel](https://www.trendmicro.com/vinfo/pl/security/news/cybercrime-and-digital-threats/a-look-into-the-lazarus-groups-operations), which focus on specific kinds of attacks and targets.


While the Bluenoroff subgroup is focused on attacking foreign financial institutions and perpetrating monetary theft, Andariel is devoted in its pursuit of South Korean organizations and businesses.


[![North Korean Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg87gUOpUroJ40vh51XkbLomXKRbdOntMfuFYXENO8iv2YzUuy5uERTn_YvgI4bocTpiRN3SsazUddRVdywOpzkjkhLhNvPTejvlWpDTWzxzXGoGicgIhsiQg9nZSUhBwdtVFqw49phx_i6s6JEtJ92k-H4Kwz8ZTKgjHLsrtNZct3sY2S2MzUeZ-ZV/s728-e1000/commands.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg87gUOpUroJ40vh51XkbLomXKRbdOntMfuFYXENO8iv2YzUuy5uERTn_YvgI4bocTpiRN3SsazUddRVdywOpzkjkhLhNvPTejvlWpDTWzxzXGoGicgIhsiQg9nZSUhBwdtVFqw49phx_i6s6JEtJ92k-H4Kwz8ZTKgjHLsrtNZct3sY2S2MzUeZ-ZV/s728-e100/commands.jpg)
"Lazarus develops their own attack tools and malware, can use innovative attack techniques, works very methodically, and takes their time," cybersecurity firm NCC Group [said](https://www.nccgroup.com/us/the-lazarus-group-north-korean-scourge-for-10-years/) in a report detailing the threat actor.


"In particular, the North Korean methods aim to avoid detection by security products and to remain undetected within the hacked systems for as long as possible."


The latest addition to its wide-ranging malware toolset shows the group's ability to employ a multitude of tactics and techniques depending on their targets and their operational goals.


A C++-based implant, MagicRAT is designed to achieve persistence by creating scheduled tasks on the compromised system. It's also "rather simple" in that it provides the attacker with a remote shell to execute arbitrary commands and carry out file operations.


MagicRAT is also capable of launching additional payloads retrieved from a remote server on infected hosts. One of the executables retrieved from the command-and-control (C2) server takes the form of a GIF image file, but in reality is a lightweight port scanner.


Furthermore, the C2 infrastructure associated with MagicRAT has been found harboring and serving newer versions of [TigerRAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.tiger_rat), a [backdoor](https://thehackernews.com/2021/04/lazarus-apt-hackers-are-now-using-bmp.html) formerly attributed to Andariel and is engineered to execute commands, take screenshots, log keystrokes, and harvest system information.


Also incorporated in the latest variant is a USB Dump feature that allows the adversary to hunt for files with specific extensions, alongside laying the groundwork for implementing video capture from webcams.


"The discovery of MagicRAT in the wild is an indication of Lazarus' motivations to rapidly build new, bespoke malware to use along with their previously known malware such as TigerRAT to target organizations worldwide," the researchers said.


  





## Tags:


### Autogenerated tags:
[[magicrat]] [[malware]] [[andariel]]
