# North Korean Hackers Exploit Zero-Day Bug to Target Cybersecurity Researchers
## North Korean hackers using fake social media accounts and exploiting zero-day bugs to compromise cybersecurity researchers.
## Information:

+ Link: https://thehackernews.com/2023/09/north-korean-hackers-exploit-zero-day.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 08 September 2023, 14:22
+ Date scraped: 08 September 2023, 09:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhSJxhS5cEzmn59ofexmBK4Ps92IoL1nV10Amv0cQKenHJlVEW895el25UtTHMd0j5-QdSIornbg52UZQRoYX_qaY81Zi-1niMPOEKAkYeob1F_FRRABO-XWq5T82yQ4WWkJFIwEM9onVNFrV4Tg8-Hzybx3WMdY_i1gNdcOOk3QabUQCUFi-kgkAEqaNC8/s728-e3650/hacker.png)


Threat actors associated with North Korea are [continuing](https://thehackernews.com/2021/11/north-korean-hackers-target.html) to [target](https://thehackernews.com/2023/03/north-korean-unc2970-hackers-expands.html) the cybersecurity community using a zero-day bug in unspecified software over the past several weeks to infiltrate their machines.


The findings come from Google's Threat Analysis Group (TAG), which found the adversary setting up fake accounts on social media platforms like [X](https://twitter.com/paul091_) (formerly Twitter) and [Mastodon](https://infosec.exchange/@paul091_) to forge relationships with potential targets and build trust.


"In one case, they carried on a months-long conversation, attempting to collaborate with a security researcher on topics of mutual interest," security researchers Clement Lecigne and Maddie Stone [said](https://blog.google/threat-analysis-group/active-north-korean-campaign-targeting-security-researchers/). "After initial contact via X, they moved to an encrypted messaging app such as Signal, WhatsApp, or Wire."


The social engineering exercise ultimately paves the way for a malicious file containing at least one zero-day in a popular software package. The vulnerability is currently in the process of being fixed.


The payload, for its part, performs a number of anti-virtual machine (VM) checks and transmits the collected information, along with a screenshot, back to an attacker-controlled server.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhi4CwKKVvbrabSKgZxQMtcCPSAThCFPNdROHSodr7KQwhdCVXrAi_do7ciuRA2-3QiOXhZmPJs-4if9uDqHVZ41ExgY4nnjL9T0gPjhO7VYtzE2vXXHRh9v8bTaCTixHBKbgd3P7goFMq7rhywio_HjaVvoz6X5d0H6GqIxSp3-oup5PTnmGnWhtFXjJXv/s728-e365/aws-d.png)](https://thn.news/o6a5Vxgy)
A search on X shows that the now-suspended account has been active since at least October 2022, with the actor [releasing](https://github.com/dbgsymbol/) proof-of-concept (PoC) exploit code for [high-severity](https://github.com/dbgsymbol/windows_lpe_pocs/blob/main/cve-2021-34514-alpc_oob-poc.cpp) [privilege escalation flaws](https://github.com/dbgsymbol/windows_lpe_pocs/blob/main/cve-2022-21881-io_completion-poc.cpp) in the Windows Kernel such as [CVE-2021-34514](https://nvd.nist.gov/vuln/detail/CVE-2021-34514) and [CVE-2022-21881](https://nvd.nist.gov/vuln/detail/CVE-2022-21881).


This is not the first time North Korean actors have leveraged collaboration-themed lures to infect victims. In July 2023, GitHub [disclosed](https://thehackernews.com/2023/07/north-korean-state-sponsored-hackers.html) details of an npm campaign in which adversaries tracked as TraderTraitor (aka Jade Sleet) used fake personas to target the cybersecurity sector, among others.


"After establishing contact with a target, the threat actor invites the target to collaborate on a GitHub repository and convinces the target to clone and execute its contents," the Microsoft-owned company said at the time.


Google TAG said it also found a standalone Windows tool named "GetSymbol" developed by the attackers and hosted on GitHub as a potential secondary infection vector. It has been forked 23 times to date.


The rigged software, published on GitHub way back in September 2022 and now taken down, offers a means to "download [debugging symbols](https://learn.microsoft.com/en-us/windows-hardware/drivers/debugger/symbols) from Microsoft, Google, Mozilla, and Citrix symbol servers for reverse engineers."


But it also comes with the ability to download and execute arbitrary code from a command-and-control (C2) domain.


The disclosure comes as the AhnLab Security Emergency Response Center (ASEC) [revealed](https://asec.ahnlab.com/en/56756/) that North Korean nation-state actor known as [ScarCruft](https://thehackernews.com/2023/07/starkmule-targets-koreans-with-us.html) is leveraging LNK file lures in phishing emails to deliver a backdoor capable of harvesting sensitive data and executing malicious instructions.


It also follows [new findings](https://blogs.microsoft.com/on-the-issues/2023/09/07/digital-threats-cyberattacks-east-asia-china-north-korea/) from Microsoft that "multiple North Korean threat actors have recently targeted the Russian government and defense industry – likely for intelligence collection – while simultaneously providing material support for Russia in its war on Ukraine."


UPCOMING WEBINAR[Way Too Vulnerable: Uncovering the State of the Identity Attack Surface](https://thehacker.news/identity-attack-surface?source=inside)Achieved MFA? PAM? Service account protection? Find out how well-equipped your organization truly is against identity threats

[Attend for Free](https://thehacker.news/identity-attack-surface?source=inside)
The targeting of Russian defense companies was also [highlighted](https://thehackernews.com/2023/08/north-korean-hackers-targets-russian.html) by SentinelOne last month, which revealed that both Lazarus Group (aka Diamond Sleet or Labyrinth Chollima) and ScarCruft (aka Ricochet Chollima or Ruby Sleet) breached NPO Mashinostroyeniya, a Russian missile engineering firm, to facilitate intelligence gathering.


The two actors have also been observed infiltrating arms manufacturing companies based in Germany and Israel from November 2022 to January 2023, not to mention compromising an aerospace research institute in Russia as well as defense companies in Brazil, Czechia, Finland, Italy, Norway, and Poland since the start of the year.


"This suggests that the North Korean government is assigning multiple threat actor groups at once to meet high-priority collection requirements to improve the country's military capabilities," the tech giant said.


Earlier this week, the U.S. Federal Bureau of Investigation (FBI) [implicated](https://www.fbi.gov/news/press-releases/fbi-identifies-lazarus-group-cyber-actors-as-responsible-for-theft-of-41-million-from-stakecom) the [Lazarus Group](https://thehackernews.com/2023/08/north-korean-affiliates-suspected-in.html) as behind the theft of 41 million in virtual currency from Stake.com, an online casino and betting platform.


It said that the stolen funds associated with the Ethereum, Binance Smart Chain (BSC), and Polygon networks from Stake.com have been moved to 33 different wallets on or about September 4, 2023.


"North Korean cyber threat actors pursue cyber operations aiming to (1) collect intelligence on the activities of the state's perceived adversaries: South Korea, the United States, and Japan, (2) collect intelligence on other countries' military capabilities to improve their own, and (3) collect cryptocurrency funds for the state," Microsoft said.


  





## Tags:
***CVE's***: CVE-2022-21881 CVE-2021-34514

### Autogenerated tags:
[[github]] [[google]] [[microsoft]]
