# North Korean Hackers Spread AppleJeus Malware Disguised as Cryptocurrency Apps
## North Korean Lazarus hackers have been spotted distributing fake cryptocurrency apps to attack users with a new variant of AppleJeus malware.
## Information:

+ Link: https://thehackernews.com/2022/12/north-korean-hackers-spread-applejeus.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 05 December 2022, 10:30
+ Date scraped: 05 December 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjyo4lJKdnL8Xk3YX_bUcq2ezgfoS8A-26nugBxjV_VrOCVxqAAjAKVbIYsUVOMAtQmhuVPq4um6lq5kmgsWDZXzd93MaVpCY_RYX3AUfcUGpPdz8N9yRjjDdGgaIyXNQjzz54aWdIKJxWthnbtJEcGMSmho3Om1V2VhT3laSe4r98FFdm-ZlwRjO41/s728-e1000/crypto-apps.png)


The Lazarus Group threat actor has been observed leveraging fake cryptocurrency apps as a lure to deliver a previously undocumented version of the AppleJeus malware, according to new findings from Volexity.


"This activity notably involves a campaign likely targeting cryptocurrency users and organizations with a variant of the AppleJeus malware by way of malicious Microsoft Office documents," researchers Callum Roxan, Paul Rascagneres, and Robert Jan Mora [said](https://www.volexity.com/blog/2022/12/01/buyer-beware-fake-cryptocurrency-applications-serving-as-front-for-applejeus-malware/).


The North Korean government is known to adopt a three-pronged approach by employing malicious cyber activity designed to collect intelligence, conduct attacks, and generate illicit revenue for the sanctions hit nation. The threats are collectively tracked under the name [Lazarus Group](https://www.cisa.gov/uscert/northkorea) (aka Hidden Cobra or [Zinc](https://explore.avertium.com/resource/an-in-depth-look-at-north-korean-threat-actor-zinc)).


"North Korea has conducted cyber theft against financial institutions and cryptocurrency exchanges worldwide, potentially stealing hundreds of millions of dollars, probably to fund government priorities, such as its nuclear and missile programs," per the 2021 Annual Threat Assessment released by U.S. intelligence agencies.


Earlier this April, the Cybersecurity and Infrastructure Security Agency (CISA) warned of an activity cluster dubbed [TraderTraitor](https://thehackernews.com/2022/04/fbi-us-treasury-and-cisa-warns-of-north.html) that targets cryptocurrency exchanges and trading companies through trojanized crypto apps for Windows and macOS.


[![AppleJeus Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhPvDZwCheVFY-WP-1Ml3H0mE7Z8mjBcygJlu3ZkKRGkLs9sjnnXWW-UjnERFff_z7b7u8FbZecM_K8E_vPhLE88S0ZJAnJGDWpE1JOpGTFRdbV9oGpZ0ANwU5gxQjuMoX9UO4dKcXvPQgHeS6krRVV5KB7c02_89IJGq7Aw96-58ecK2EYGW-VJrkc/s728-e1000/dll.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhPvDZwCheVFY-WP-1Ml3H0mE7Z8mjBcygJlu3ZkKRGkLs9sjnnXWW-UjnERFff_z7b7u8FbZecM_K8E_vPhLE88S0ZJAnJGDWpE1JOpGTFRdbV9oGpZ0ANwU5gxQjuMoX9UO4dKcXvPQgHeS6krRVV5KB7c02_89IJGq7Aw96-58ecK2EYGW-VJrkc/s728-e100/dll.png)
While the TraderTraitor attacks culminate in the deployment of the Manuscrypt remote access trojan, the new activity makes use of a supposed crypto trading website named BloxHolder, a copycat of the legitimate HaasOnline platform, to deliver [AppleJeus](https://thehackernews.com/2021/02/us-charges-3-north-korean-hackers-over.html) via an installer file.


AppleJeus, [first documented](https://thehackernews.com/2022/03/north-korean-hackers-exploited-chrome.html) by Kaspersky in 2018, is designed to harvest information about the infected system (i.e., MAC address, computer name, and operating system version) and download shellcode from a command-and-control (C2) server.


The attack chain is said to have undergone a slight deviation in October 2022, with the adversary shifting from MSI installer files to a booby-trapped Microsoft Excel document that uses macros to download a remotely hosted payload, a PNG image, from OpenDrive.


The idea behind the switch is likely to reduce static detection by security products, Volexy said, adding it couldn't obtain the image file ("Background.png") from the OpenDrive link but noted it embeds three files, including an encoded payload that's subsequently extracted and launched on the compromised host.


"The Lazarus Group continues its effort to target cryptocurrency users, despite ongoing attention to their campaigns and tactics," the researchers concluded.


  





## Tags:


### Autogenerated tags:
[[applejeus]]
