# North Korean Kimsuky Hackers Strike Again with Advanced Reconnaissance Malware
## Kimsuky, the North Korean APT group, is back in action! They're using a new custom malware called RandomQuery to conduct reconnaissance.
## Information:

+ Link: https://thehackernews.com/2023/05/north-korean-kimsuky-hackers-strike.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 23 May 2023, 19:26
+ Date scraped: 23 May 2023, 15:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhNmBYdW7bJfaAo1AHQPbiQGp9ggy2zic7X9pcNJRr9df0m-4ayZqvJAfU-jvAuzeO4_mxVM7lyrXf9NLhF3fE1xbj0W7H5JGwwQkdG7lAVRiwvzhSKBIdl9KEAYiT7oX25i6QS12WF8qRKHpeZze2gudxwunmBhmR7LJ07_6-yWYvE7tq4R7kYh66i/s728-e365/north-korean-hackers.png)


The North Korean advanced persistent threat (APT) group known as **Kimsuky** has been observed using a piece of custom malware called RandomQuery as part of a reconnaissance and information exfiltration operation.


"Lately, Kimsuky has been consistently distributing custom malware as part of reconnaissance campaigns to enable subsequent attacks," SentinelOne researchers Aleksandar Milenkoski and Tom Hegel [said](https://www.sentinelone.com/labs/kimsuky-ongoing-campaign-using-tailored-reconnaissance-toolkit/) in a report published today.


The ongoing targeted campaign, per the cybersecurity firm, is primarily geared towards information services as well as organizations supporting human rights activists and North Korean defectors.


Kimsuky, active since 2012, has a track record of striking organizations and individuals who are of strategic interest to North Korea.


The intelligence collection missions have recently involved the use of another reconnaissance tool called [ReconShark](https://thehackernews.com/2023/05/n-korean-kimsuky-hackers-using-new.html), as detailed by SentinelOne earlier this month.


The latest activity cluster associated with the group commenced on May 5, 2023, and leverages a variant of RandomQuery that's specifically designed to enumerate files and siphon sensitive data.


RandomQuery, alongside FlowerPower and AppleSeed, are among the [most](https://asec.ahnlab.com/en/51461/) [frequently distributed](https://asec.ahnlab.com/en/51469/) tools in Kimsuky's arsenal, with the former functioning as an information stealer and a conduit for distributing remote access trojans like TutRAT and xRAT.


The attacks begin with phishing emails that purport to be from Daily NK, a prominent Seoul-based online publication that covers North Korean affairs, to entice potential targets into opening a Microsoft Compiled HTML Help (CHM) file.


It's worth noting at this stage that CHM files have also been adopted as a lure by a different North Korean nation-state actor referred to as [ScarCruft](https://thehackernews.com/2023/03/scarcrufts-evolving-arsenal-researchers.html).


Launching the CHM file leads to the execution of a Visual Basic Script that issues a HTTP GET request to a remote server to retrieve the second-stage payload, a VBScript flavor of RandomQuery.


The malware then proceeds to harvest system metadata, running processes, installed applications, and files from different folders, all of which are transmitted back to the command-and-control (C2) server.


"This campaign also demonstrates the group's consistent approach of delivering malware through CHM files," the researchers said.


"These incidents underscore the ever-changing landscape of North Korean threat groups, whose remit not only encompasses political espionage but also sabotage and financial threats."


The findings arrive days after the AhnLab Security Emergency response Center (ASEC) [uncovered](https://asec.ahnlab.com/en/52970/) a watering hole attack mounted by Kimsuky that entails setting up a lookalike webmail system used by national policy research institutes to harvest credentials entered by victims.


In a related development, Kimsuky has also been [linked to attacks](https://asec.ahnlab.com/en/53046/) that weaponize vulnerable Windows Internet Information Services ([IIS](https://thehackernews.com/2021/08/several-malware-families-targeting-iis.html)) servers to drop the Metasploit Meterpreter post-exploitation framework, which is then used to deploy a Go-based proxy malware.

 
  





## Tags:


### Autogenerated tags:
[[kimsuky]] [[malware]] [[randomquery]]
