# Notorious Emotet Malware Returns With High-Volume Malspam Campaign
## Notorious Emotet malware has returned with renewed vigor as part of a large-volume malspam campaign, dropping payloads like IcedID and Bumblebee.
## Information:

+ Link: https://thehackernews.com/2022/11/notorious-emotet-malware-returns-with.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 21 November 2022, 14:24
+ Date scraped: 22 November 2022, 13:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhQnxMMi5ezQTBHVYeGtXYVe-ZDGgbEWulTP9LDyhaOnjpZPauukJNuDZbDGe45oLWzk4Wap1iogdLR3RayLkAw5I_etf7Nfsr6ofvnd8sVgl4ryYcDo4QOY4WfVVYfjwHV9WIOjRlpfX21MJtddKwsz1g6fAFuG3OPzJ9Zyl2iJwD_n3A1loh9jo6h/s728-e1000/emotet.png)


The notorious Emotet malware has returned with renewed vigor as part of a high-volume malspam campaign designed to drop payloads like [IcedID](https://thehackernews.com/2022/04/new-hacking-campaign-targeting.html) and [Bumblebee](https://thehackernews.com/2022/08/hackers-using-bumblebee-loader-to.html).


"Hundreds of thousands of emails per day" have been sent since early November 2022, enterprise security company Proofpoint [said](https://www.proofpoint.com/us/blog/threat-insight/comprehensive-look-emotets-fall-2022-return) last week, adding, "the new activity suggests Emotet is returning to its full functionality acting as a delivery network for major malware families."


Among the primary countries targeted are the U.S., the U.K., Japan, Germany, Italy, France, Spain, Mexico, and Brazil.


The Emotet-related activity was last observed in July 2022, although [sporadic](https://thehackernews.com/2022/09/emotet-botnet-started-distributing.html) [infections](https://thehackernews.com/2022/10/new-report-uncovers-emotets-delivery.html) have been [reported](https://thehackernews.com/2022/10/emotet-botnet-distributing-self.html) since then. In mid-October, ESET [revealed](https://thehackernews.com/2022/10/black-basta-ransomware-hackers.html) that Emotet may be readying for a new wave of attacks, pointing out updates to its "systeminfo" module.


The malware, which is attributed to a threat actor known as Mummy Spider (aka Gold Crestwood or TA542), staged a revival of sorts late last year after its infrastructure was dismantled during a coordinated law enforcement operation in January 2021.


Europol called Emotet the "world's most dangerous malware" for its ability to act as a "primary door opener for computer systems" to deploy next-stage binaries that facilitate data theft and ransomware. It started off in 2014 as a banking trojan before evolving into a botnet.


[![Emotet malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhz_58FFPuOE50rEGvKir4RhWdGLuTxS2MYAm4YuA39fZpbjK1XLNIFHH2hODpVdGPPEnvx_xMpu7Si5qNu-852qJszmhEz8TnYDrMpVdulv0BaeET-Wtj-jTJT8fms956V2IKpXdnKjop_oZ1YR6W3vJt2anu-nfMyJXk-TsBi4OVLA4MkXniEucZt/s728-e1000/excel.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhz_58FFPuOE50rEGvKir4RhWdGLuTxS2MYAm4YuA39fZpbjK1XLNIFHH2hODpVdGPPEnvx_xMpu7Si5qNu-852qJszmhEz8TnYDrMpVdulv0BaeET-Wtj-jTJT8fms956V2IKpXdnKjop_oZ1YR6W3vJt2anu-nfMyJXk-TsBi4OVLA4MkXniEucZt/s728-e100/excel.png)
Infection chains involving the malware are known to employ generic lures as well as the technique of [email thread hijacking](https://thehackernews.com/2022/03/hackers-hijack-email-reply-chains-on.html) to lure recipients into opening macro-enabled Excel attachments.


"Following Microsoft's recent [announcement](https://thehackernews.com/2022/07/hackers-opting-new-attack-methods-after.html) that it would begin disabling macros by default in Office documents downloaded from the internet, many malware families have begun migrating away from Office macros to other delivery mechanisms like ISO and LNK files," Cisco Talos [said](https://blog.talosintelligence.com/emotet-coming-in-hot/) earlier this month.


[![Emotet malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiD1et0no-3sqpxArH9jw1x2nged8215MQKghn5daB_W7KJZFAVwm8dppbAU_bb8-D58NfSe1yuh8xFy1JtzLyjiKBQRdwia1NWUzJyoJCWCHYwsXGG8hQCtCGjoFYAJu-_rBtaokdBxNrr0QI9kxEgT4xl4WaJrGFv96yHXulcxWw3jTlzCh87z05A/s728-e1000/hack.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiD1et0no-3sqpxArH9jw1x2nged8215MQKghn5daB_W7KJZFAVwm8dppbAU_bb8-D58NfSe1yuh8xFy1JtzLyjiKBQRdwia1NWUzJyoJCWCHYwsXGG8hQCtCGjoFYAJu-_rBtaokdBxNrr0QI9kxEgT4xl4WaJrGFv96yHXulcxWw3jTlzCh87z05A/s728-e100/hack.png)
"Therefore, it is interesting to note that this new campaign of Emotet is using its old method of distributing malicious Microsoft Office documents (maldocs) via email-based phishing.


An alternative method urges potential victims to copy the file to a Microsoft Office Template location – a trusted location – and launch the lure document from there instead of having to explicitly enable macros to activate the kill-chain.


The [renewed activity](https://asec.ahnlab.com/en/41826/) has also been accompanied by changes to the Emotet loader component, a reimplementation of the C2 communications using the Windows [Timer Queue API](https://learn.microsoft.com/en-us/windows/win32/sync/timer-queues), addition of new commands, and updates to the packer to resist reverse engineering.


One of the follow-on payloads distributed through Emotet is a brand new variant of the IcedID loader, which receives commands to read and send file contents to a remote server, in addition to executing other backdoor instructions that allow it to extract web browser data.


The use of IcedID is concerning as it's likely a precursor for ransomware, the researchers pointed out. Another malware dropped via Emotet is [Bumblebee](https://twitter.com/Unit42_Intel/status/1590002190298804225), according to Palo Alto Networks Unit 42.


"Overall, these modifications made to the client indicate the developers are trying to deter researchers and reduce the number of fake or captive bots that exist within the botnet," researchers Pim Trouerbach and Axel F said.


"Emotet has not demonstrated full functionality and consistent follow-on payload delivery (that's not Cobalt Strike) since 2021, when it was observed distributing The Trick and Qbot."


  





## Tags:


### Autogenerated tags:
[[emotet]] [[malware]] [[icedid]] [[microsoft]]
