# Notorious TrickBot Malware Gang Shuts Down its Botnet Infrastructure
## Notorious Trickbot malware group has officially shut down its infrastructure after reports of its imminent retirement.
## Information:

+ Link: https://thehackernews.com/2022/02/notorious-trickbot-malware-gang-shuts.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 25 February 2022, 07:30
+ Date scraped: 25 February 2022, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEhasVMZZmFcWktuGA5Mt4dvEGzhdh1QrTLNyz19fqxCIZ1gPSVo4SdUlWP9Ym0SqF3LHi-5HL0s72Po705o5uqPsVBug9A7uUj6giB16ALNoux1o06CEl-UuDyK0LsWUE7DhnI7OA_4FL2l8ypoOwvDsnzLfOwxavC2S7JRZ9_D-gqst1_T7zUXfGue=s728-e1000)


The modular Windows crimeware platform known as TrickBot formally shuttered its infrastructure on Thursday after reports emerged of its [imminent retirement](https://thehackernews.com/2022/02/trickbot-gang-likely-shifting.html) amid a lull in its activity for almost two months, marking an end to one of the most persistent malware campaigns in recent years.


"TrickBot is gone... It is official now as of Thursday, February 24, 2022. See you soon... or not," AdvIntel's CEO Vitali Kremez [tweeted](https://twitter.com/VK_Intel/status/1496944228135493638).


Attributed to a Russia-based criminal enterprise called [Wizard Spider](https://malpedia.caad.fkie.fraunhofer.de/actor/wizard_spider), TrickBot started out as a financial trojan in late 2016 and is a derivative of another banking malware called [Dyre](https://securityintelligence.com/news/trickbot-malware-resurrects-the-ghost-of-dyre/) that was dismantled in November 2015. Over the years, it morphed into a veritable Swiss Army knife of malicious capabilities, enabling threat actors to steal information via [web injects](https://thehackernews.com/2022/01/trickbot-malware-using-new-techniques.html) and drop additional payloads.


TrickBot's activities took a noticeable hit in October 2020 when the U.S. Cyber Command and a consortium of private security companies led by Microsoft attempted to [disrupt most of its infrastructure](https://thehackernews.com/2020/10/trickbot-computer-virus.html), forcing the malware's authors to [scale up](https://thehackernews.com/2021/10/attackers-behind-trickbot-expanding.html) and evolve its tactics.


The criminal entity is said to have invested more than $20 million into its infrastructure and growth, security firm Hold Security was quoted as saying in a [WIRED report](https://www.wired.com/story/trickbot-malware-group-internal-messages/) earlier this month, calling out TrickBot's "businesslike structure" to run its day-to-day operations and "hire" new engineers into the group.


The development comes as twin reports from cybersecurity firms [AdvIntel](https://www.advintel.io/post/the-trickbot-saga-s-finale-has-aired-but-a-spinoff-is-already-in-the-works) and [Intel 471](https://thehackernews.com/2022/02/trickbot-gang-likely-shifting.html) hinted at the possibility that TrickBot's five-year-saga may be coming to an end in the wake of increased visibility into their malware operations, prompting the operators to shift to newer, improved malware such as BazarBackdoor (aka BazarLoader).


"TrickBot, after all, is relatively old malware that hasn't been updated in a major way," Intel 471 researchers said. "Detection rates are high and the network traffic from bot communication is easily recognized."


Indeed, malware tracking research project Abuse.ch's Feodo Tracker shows that while no new command-and-control (C2) servers have been set up for [TrickBot](https://feodotracker.abuse.ch/browse/trickbot/) attacks since December 16, 2021, [BazarLoader](https://feodotracker.abuse.ch/browse/bazarloader/) and [Emotet](https://feodotracker.abuse.ch/browse/emotet/) are in full swing, with new C2 servers registered as recently as February 19 and 24, respectively.


BazarBackdoor, which first [appeared in 2021](https://thehackernews.com/2021/07/phony-call-centers-tricking-users-into.html), originated as a part of Trickbot's modular toolkit arsenal but has since emerged as a fully autonomous malware mainly used by the Conti (previously Ryuk) cybercrime gang to deploy ransomware on enterprise networks.


TrickBot's demise has also come as the operators of Conti ransomware recruited top talent from the former to focus on stealthier replacement malware like BazarBackdoor. "TrickBot has been linked with Conti for a while, so further synergy there is highly possible," Intel 471 told The Hacker News.


Conti has also been credited with [resurrecting and integrating](https://thehackernews.com/2021/12/140000-reasons-why-emotet-is.html) the Emotet botnet into its multi-pronged attack framework starting November 2021, with TrickBot, ironically, utilized as a delivery vehicle to distribute the malware after a gap of 10 months.


"However, the people who have led TrickBot throughout its long run will not simply disappear," AdvIntel noted last week. "After being 'acquired' by Conti, they are now rich in prospects with the secure ground beneath them, and Conti will always find a way to make use of the available talent."


  






## Tags:


### Autogenerated tags:
[[trickbot]] [[malware]] [[conti]] [[advintel]] [[bazarbackdoor]]
