# Ongoing Campaign Bombarded Enterprises with Spam Emails and Phone Calls
## A new social engineering campaign is targeting enterprises with spam emails to gain initial access. The threat actor overwhelms users' email and calls
## Information:

+ Link: https://thehackernews.com/2024/05/ongoing-campaign-bombarded-enterprises.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 14 May 2024, 16:14
+ Date scraped: 14 May 2024, 11:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi73OKiZQwK_Ile4L79a5ZC2ZHqReLRn0hfIzp96t0SQVa_YKh5L6e7Evy-GG8C8YI_WZ9zh5RkLdPYLWCDcRuxu2WaBhotnL2BiT4EUFnvu5FHVrqddCfG8ocx0R0pmn_piAgDkIkqqdy3CmzJeSB3B-m7lQ9vXfUP8jV7rCPQLXT8jNfoxoo5fGiCsIlZ/s728-rw-e365/phone-spam.png)


Cybersecurity researchers have uncovered an ongoing social engineering campaign that bombards enterprises with spam emails with the goal of obtaining initial access to their environments for follow-on exploitation.


"The incident involves a threat actor overwhelming a user's email with junk and calling the user, offering assistance," Rapid7 researchers Tyler McGraw, Thomas Elkins, and Evan McCann [said](https://www.rapid7.com/blog/post/2024/05/10/ongoing-social-engineering-campaign-linked-to-black-basta-ransomware-operators/).


"The threat actor prompts impacted users to download remote monitoring and management software like AnyDesk or utilize Microsoft's built-in Quick Assist feature in order to establish a remote connection."


The novel campaign is said to be underway since late April 2024, with the emails primarily consisting of newsletter sign-up confirmation messages from legitimate organizations and done so with an aim to overwhelm email protection solutions.


The impacted users are then approached over phone calls by masquerading as the company's IT team, tricking them into installing a remote desktop software under the guise of resolving the email issues.


The remote access to their computer is subsequently leveraged to download additional payloads to harvest credentials and maintain persistence on the hosts.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
This is accomplished by executing various batch scripts, one of which also establishes contact with a command-and-control (C2) server to download a legitimate copy of OpenSSH for Windows and ultimately launch a reverse shell to the server.


In one incident observed by the cybersecurity firm, the threat actors behind the campaign unsuccessfully attempted to deploy Cobalt Strike beacons to other assets within the compromised network.


While there is no evidence of ransomware being executed as part of the campaign, Rapid7 said the activity overlaps with previously identified attack indicators associated with the [Black Basta ransomware operators](https://thehackernews.com/2024/05/black-basta-ransomware-strikes-500.html).


[![Spam Emails and Phone Calls](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhRyEk-b1kLPPVIrA81hR0sdA7u9EAtDj1Rp38wgrufuZ8pyIvUml5Ya-92QY6eusqrwgs2LDQLAlVwfHq9_1KGNSN487KvwL1p7Vpcb7Du2QQ31wpjU1Ws-rtRh84mJhuK9Uxwdr-fNkj02jRFR_dRVlgaZnHs28Ww5WrPQkTRNRYW6EAxlSmntPXVDjdP/s728-rw-e365/code.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhRyEk-b1kLPPVIrA81hR0sdA7u9EAtDj1Rp38wgrufuZ8pyIvUml5Ya-92QY6eusqrwgs2LDQLAlVwfHq9_1KGNSN487KvwL1p7Vpcb7Du2QQ31wpjU1Ws-rtRh84mJhuK9Uxwdr-fNkj02jRFR_dRVlgaZnHs28Ww5WrPQkTRNRYW6EAxlSmntPXVDjdP/s728-rw-e365/code.png)
The attack chain has also been used to deliver additional remote monitoring and management tools like ConnectWise ScreenConnect as well as a remote access trojan called NetSupport RAT, which has been recently put to use by [FIN7 actors](https://thehackernews.com/2024/05/fin7-hacker-group-leverages-malicious.html) as part of a malvertising campaign.


This is particularly noteworthy in light of the fact that FIN7 actors are [suspected](https://thehackernews.com/2022/11/researchers-find-links-bw-black-basta.html) to have [close](https://adlumin.com/post/the-need-to-know-black-basta-ransomware-gang/) ties with Black Basta. While FIN7 initially used point-of-sale (PoS) malware to conduct financial fraud, it has since [pivoted to ransomware operations](https://thehackernews.com/2022/12/fin7-cybercrime-syndicate-emerges-as.html), either in the capacity of an affiliate or conducting its own operations under the names DarkSide and BlackMatter.


"After successfully gaining access to the compromised asset, Rapid7 observed the threat actor attempting to deploy Cobalt Strike beacons, disguised as a legitimate Dynamic Link Library (DLL) named 7z.DLL, to other assets within the same network as the compromised asset using the Impacket toolset," Rapid7 said.


### Phorpiex Distributes LockBit Black[#](#phorpiex-distributes-lockbit-black)


The development comes as Proofpoint revealed details of a new [LockBit Black](https://thehackernews.com/2023/06/lockbit-ransomware-extorts-91-million.html) (aka LockBit 3.0) ransomware campaign that leverages the [Phorpiex](https://thehackernews.com/2021/12/new-phorpiex-botnet-variant-steals-half.html) (aka Trik) botnet as a conduit to deliver email messages containing the ransomware payload.


Millions of messages are estimated to have been sent out during the high-volume campaign that began on April 24, 2024. It's currently not clear who is behind the attack.


"The LockBit Black sample from this campaign was likely built from the [LockBit builder](https://thehackernews.com/2023/08/lockbit-30-ransomware-builder-leak.html) that was leaked during the summer of 2023," Proofpoint researchers [said](https://www.proofpoint.com/us/blog/threat-insight/security-brief-millions-messages-distribute-lockbit-black-ransomware).


"The LockBit Black builder has provided threat actors with access to proprietary and sophisticated ransomware. The combination of this with the longstanding Phorpiex botnet amplifies the scale of such threat campaigns and increases chances of successful ransomware attacks."


### Insights into the Mallox Ransomware Group[#](#insights-into-the-mallox-ransomware-group)


Ransomware attacks have also been observed brute-forcing Microsoft SQL servers to deploy the [Mallox file-encrypting malware](https://thehackernews.com/2023/07/mallox-ransomware-exploits-weak-ms-sql.html) via a .NET-based loader named [PureCrypter](https://thehackernews.com/2023/02/purecrypter-malware-targets-government.html), according to Sekoia.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
A closed ransomware group operating from the European region, Mallox is known to be distributed since at least June 2021. It gained prominence in mid-2022 following its transition to a ransomware-as-a-service (RaaS) model and a double extortion strategy.


Two different online personas associated with the group, namely Mallx and RansomR, have been observed actively recruiting affiliates for the operation on several underground forums.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLNBtnLUpK6UGOi77U0UgICvo-jfWQSzTkU00GjkgL7b2elj73PNl9xNnZcevZAV9vDeIihvPod9teo0IIGC6ICYS-N-EgjybK11VUjRp7x4u8rT9hkdq14gDpi96FQtqI_wUdCQVhf3i2MaH1FAX70lvBrAmBDrbqrFFifh-C11gd7UTLfpgcbYjVXWvu/s728-rw-e365/seko.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLNBtnLUpK6UGOi77U0UgICvo-jfWQSzTkU00GjkgL7b2elj73PNl9xNnZcevZAV9vDeIihvPod9teo0IIGC6ICYS-N-EgjybK11VUjRp7x4u8rT9hkdq14gDpi96FQtqI_wUdCQVhf3i2MaH1FAX70lvBrAmBDrbqrFFifh-C11gd7UTLfpgcbYjVXWvu/s728-rw-e365/seko.png)
Further analysis of the threat actor's data exfiltration server and their dark web infrastructure has revealed the names of different "staff" members, including Admin, Support, Maestro, Team, Neuroframe, Panda, Grindr, Hiervos, and Vampire.


"Mallox is almost certainly an opportunistic intrusion set impacting organizations in various verticals, notably the manufacturing, the retail and the technology ones," the company [said](https://blog.sekoia.io/mallox-ransomware-affiliate-leverages-purecrypter-in-microsoft-sql-exploitation-campaigns/).


"Although Mallox representatives actively seek high-revenue targets (as indicated in recruitment posts on cybercrime forums), most of the ransomware's victims known in open-source are small and middle size enterprises."


  





## Tags:


### Autogenerated tags:
[[ransomware]] [[lockbit]] [[mallox]] [[rapid7]] [[fin7]] [[phorpiex]]
