# Over 12,000 Juniper Firewalls Found Vulnerable to Recently Disclosed RCE Vulnerability
## Nearly 12,000 Juniper firewall devices exposed on the internet are vulnerable to a recently disclosed remote code execution flaw.
## Information:

+ Link: https://thehackernews.com/2023/09/over-12000-juniper-firewalls-found.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 19 September 2023, 15:00
+ Date scraped: 19 September 2023, 10:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgPj8GXglnT0zqN3LnQWJDacycxPkJWkyK81gHLJ0tCG6vNneu0byZWVlnt0Jegdahpx1VvcZRAg6ODO3kkfYZJL0t30IeTTdicIxBSZQ5JibDqV5VUWCly6fkmtptUnSrK60waRFBjleoZM8vxbIVXIbwUXatOeytYT-hzDeE5USjWUsxWszo9hgBbsPBY/s728-e3650/exploit.jpg)


New research has found that close to 12,000 internet-exposed Juniper firewall devices are vulnerable to a recently disclosed remote code execution flaw.


VulnCheck, which [discovered](https://vulncheck.com/blog/juniper-cve-2023-36845) a new exploit for CVE-2023-36845, said it could be [exploited](https://github.com/vulncheck-oss/cve-2023-36845-scanner) by an "unauthenticated and remote attacker to execute arbitrary code on Juniper firewalls without creating a file on the system."


CVE-2023-36845 refers to a [medium-severity flaw](https://thehackernews.com/2023/08/new-juniper-junos-os-flaws-expose.html) in the J-Web component of Junos OS that could be weaponized by a threat actor to control certain, important environment variables. It was patched by Juniper Networks last month alongside CVE-2023-36844, CVE-2023-36846, and CVE-2023-36847 in an out-of-cycle update.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhi4CwKKVvbrabSKgZxQMtcCPSAThCFPNdROHSodr7KQwhdCVXrAi_do7ciuRA2-3QiOXhZmPJs-4if9uDqHVZ41ExgY4nnjL9T0gPjhO7VYtzE2vXXHRh9v8bTaCTixHBKbgd3P7goFMq7rhywio_HjaVvoz6X5d0H6GqIxSp3-oup5PTnmGnWhtFXjJXv/s728-e365/aws-d.png)](https://thn.news/o6a5Vxgy)
A subsequent proof-of-concept (PoC) exploit devised by watchTowr combined CVE-2023-36846 and CVE-2023-36845 to upload a PHP file containing malicious shellcode and achieve code execution.


The latest exploit, on the other hand, impacts older systems and can be written using a single cURL command. Specifically, it relies on just CVE-2023-36845 to realize the same objective.


[![RCE Vulnerability](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgBtW1_xIGA75zqhDVzAhvaBkjWexax1nwbTpcAvpZLbzGqNj9fdhHhC8tpjNL1S3jfQz2a2PM2sKXpxZJ5xK-I9yut2SHo_zp7taj41hH3LTBZgKBtKV7Gqa5cVn7L34Adg0QyLBc4ZkkcAK8Y1WP6fgFytwLtaZnwpfGEB0JwJ7tAV7bja84sI8KmRUMD/s728-e3650/shodan.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgBtW1_xIGA75zqhDVzAhvaBkjWexax1nwbTpcAvpZLbzGqNj9fdhHhC8tpjNL1S3jfQz2a2PM2sKXpxZJ5xK-I9yut2SHo_zp7taj41hH3LTBZgKBtKV7Gqa5cVn7L34Adg0QyLBc4ZkkcAK8Y1WP6fgFytwLtaZnwpfGEB0JwJ7tAV7bja84sI8KmRUMD/s728-e365/shodan.jpg)
This, in turn, is accomplished by using the standard input stream (aka [stdin](https://en.wikipedia.org/wiki/Standard_streams#Standard_input_(stdin))) to set the [PHPRC](https://www.php.net/manual/en/configuration.php) environment variable to "/dev/fd/0" via a specially crafted HTTP request, effectively turning "/dev/fd/0" into a makeshift file, and leak sensitive information.


Arbitrary code execution is then achieved by leveraging PHP's [auto\_prepend\_file](https://www.php.net/manual/en/ini.core.php#ini.auto-prepend-file) and [allow\_url\_include](https://www.php.net/manual/en/filesystem.configuration.php#ini.allow-url-include) options in conjunction with the [data:// protocol wrapper](https://www.php.net/manual/en/wrappers.data.php).


UPCOMING WEBINAR[Identity is the New Endpoint: Mastering SaaS Security in the Modern Age](https://thehacker.news/itdr-saas?source=inside)Dive deep into the future of SaaS security with Maor Bin, CEO of Adaptive Shield. Discover why identity is the new endpoint. Secure your spot now.

[Supercharge Your Skills](https://thehacker.news/itdr-saas?source=inside)
"Firewalls are interesting targets to APT as they help bridge into the protected network and can serve as useful hosts for C2 infrastructure," Jacob Baines said. "Anyone who has an unpatched Juniper firewall should examine it for signs of compromise."


Juniper has since [disclosed](https://supportportal.juniper.net/s/article/2023-08-Out-of-Cycle-Security-Bulletin-Junos-OS-SRX-Series-and-EX-Series-Multiple-vulnerabilities-in-J-Web-can-be-combined-to-allow-a-preAuth-Remote-Code-Execution?language=en_US) that it's not aware of a successful exploit against its customers, but warned that it has detected exploitation attempts in the wild, making it imperative that users apply the necessary fixes to mitigate potential threats.


  





## Tags:
***CVE's***: CVE-2023-36844 CVE-2023-36845 CVE-2023-36846 CVE-2023-36847

### Autogenerated tags:
[[cve-2023-36845]]
