# Pakistan-linked Hackers Deploy Python, Golang, and Rust Malware on Indian Targets
## Indian government, defense, and aerospace sectors targeted by Pakistan-nexus actor Transparent Tribe.
## Information:

+ Link: https://thehackernews.com/2024/05/pakistan-linked-hackers-deploy-python.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 27 May 2024, 12:01
+ Date scraped: 27 May 2024, 07:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjgk2rs-P-9FlvoQfl6FijOim5xNwDZRBHZ2wD5Wm9imowW00ij946EciIKaImy8ExQjaWPDNVfC4JK6CJOTDpfhhxXkFYc2wi8v5X6yuSlXFgXYJQS6naT8fBn2xAAYWXo7dj5FxpVbAJEOy-LjNW_lMG3aM73JTEiQiyqvuTJnVinV2a7h4qOOFgFy5DR/s728-rw-e365/pakistani-hacker.png)


The Pakistan-nexus **Transparent Tribe** actor has been linked to a new set of attacks targeting Indian government, defense, and aerospace sectors using cross-platform malware written in Python, Golang, and Rust.


"This cluster of activity spanned from late 2023 to April 2024 and is anticipated to persist," the BlackBerry Research and Intelligence Team [said](https://blogs.blackberry.com/en/2024/05/transparent-tribe-targets-indian-government-defense-and-aerospace-sectors) in a technical report published earlier this week.


The spear-phishing campaign is also notable for its abuse of popular online services such as Discord, Google Drive, Slack, and Telegram, once again underscoring how threat actors are [adopting legitimate programs](https://thehackernews.com/2024/05/cyber-criminals-exploit-github-and.html) into their attack flows.


According to BlackBerry, the targets of the email-based attacks included three companies that are crucial stakeholders and clients of the Department of Defense Production ([DDP](https://www.ddpmod.gov.in/)). All the three companies targeted are headquartered in the Indian city of Bengaluru.


While the names of the firms were not disclosed, indications are that the email messages targeted Hindustan Aeronautics Limited ([HAL](https://en.wikipedia.org/wiki/Hindustan_Aeronautics_Limited)), one of the largest aerospace and defense companies in the world; Bharat Electronics Limited ([BEL](https://en.wikipedia.org/wiki/Bharat_Electronics)), a government-owned aerospace and defense electronics company; and [BEML Limited](https://en.wikipedia.org/wiki/BEML), a public sector undertaking that manufactures earth moving equipment.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Transparent Tribe is also [tracked](https://thehackernews.com/2022/02/new-caprarat-android-malware-targets.html) by the larger cybersecurity community under the names APT36, Earth Karkaddan, Mythic Leopard, Operation C-Major, and PROJECTM.


The adversarial collective, believed to be active since at least 2013, has a [track record](https://thehackernews.com/2023/04/pakistan-based-transparent-tribe.html) of conducting cyber espionage operations against government, military, and education entities in India, although it has also undertaken highly targeted mobile spyware campaigns against victims in Pakistan, Afghanistan, Iraq, Iran, and the United Arab Emirates.


Furthermore, the group is known to experiment with new methods of intrusion and has cycled through different malware over the years, iterating on their tactics and toolkit many times over to evade detection.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhxuldminIybF3nh7ZZMuocy4j9D2RnkP_o5WT21ionQbLNLoYf7A7gHJNfGvaC3s8j6g4sGDRr4v_PmFNSl1MtqnMbUWsTw0m7WKEmfe9yaR2cFHEWSxy3qk7WZR5Yy36VPVL335tWPZVaDLjd2Dzauk8_XWAxkJEFZWmAsCbTlVQsUeS3iT_5TKoC0rXX/s728-rw-e365/flow.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhxuldminIybF3nh7ZZMuocy4j9D2RnkP_o5WT21ionQbLNLoYf7A7gHJNfGvaC3s8j6g4sGDRr4v_PmFNSl1MtqnMbUWsTw0m7WKEmfe9yaR2cFHEWSxy3qk7WZR5Yy36VPVL335tWPZVaDLjd2Dzauk8_XWAxkJEFZWmAsCbTlVQsUeS3iT_5TKoC0rXX/s728-rw-e365/flow.png)
Some of the [notable malware families](https://thehackernews.com/2023/09/transparent-tribe-uses-fake-youtube.html) put to use by Transparent Tribe include CapraRAT, CrimsonRAT, ElizaRAT, GLOBSHELL, LimePad, ObliqueRAT, Poseidon, PYSHELLFOX, Stealth Mango, and Tangelo, with the latter two linked to a freelance developer group based out of Lahore.


These developers are "available for hire" and "at least one government employee moonlights as a mobile app developer," mobile security firm Lookout [noted](https://www.lookout.com/threat-intelligence/article/stealth-mango) way back in 2018.


Attack chains mounted by the group involve the use of spear-phishing emails to deliver payloads using malicious links or ZIP archives, particularly focusing their efforts on distributing ELF binaries due to the Indian government's heavy reliance on Linux-based operating systems.


The infections culminated in the deployment of three different versions of GLOBSHELL, a Python-based information-gathering utility that was [previously documented](https://thehackernews.com/2023/10/donot-teams-new-firebird-backdoor-hits.html) by Zscaler in connection with attacks targeting the Linux environment within Indian government organizations. Also deployed is PYSHELLFOX to exfiltrate data from Mozilla Firefox.


BlackBerry said it also discovered bash script versions and Python-based Windows binaries being served from the threat actor-controlled domain "apsdelhicantt[.]in" -


* **swift\_script.sh**, a bash version of GLOBSHELL
* **Silverlining.sh**, an open-source command-and-control (C2) framework called [Sliver](https://thehackernews.com/2023/01/threat-actors-turn-to-sliver-as-open.html)
* **swift\_uzb.sh**, a script to gather files from a connected USB driver
* **afd.exe**, an intermediate executable responsible for downloading win\_hta.exe and win\_service.exe
* **win\_hta.exe and win\_service.exe**, two Windows versions of GLOBSHELL


In what's a sign of Transparent Tribe's tactical evolution, phishing campaigns orchestrated in October 2023 have been observed making use of ISO images to deploy the Python-based remote access trojan that uses Telegram for C2 purposes.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
It's worth pointing out that the use of ISO lures to target Indian government entities has been an approach [observed since the start of the year](https://thehackernews.com/2024/03/hackers-target-indian-defense-and.html) as part of two possibly related intrusion sets – a modus operandi the Canadian cybersecurity company stated: "had the hallmark of a Transparent Tribe attack chain."


Further infrastructure analysis has also unearthed a Golang-compiled "all-in-one" program that has the capability to find and exfiltrate files with popular file extensions, take screenshots, upload and download files, and execute commands.


The espionage tool, a modified version of an open-source project [Discord-C2](https://github.com/bmdyy/discord-c2/blob/main/client.go), receives instructions from Discord and is delivered via an ELF binary downloader packed within a ZIP archive.


"Transparent Tribe has been persistently targeting critical sectors vital to India's national security," BlackBerry said. "This threat actor continues to utilize a core set of tactics, techniques, and procedures (TTPs), which they have been adapting over time."


  





## Tags:
***urls***: http://apsdelhicantt.in

### Autogenerated tags:
[[globshell]] [[malware]] [[python-based]]
