# Prynt Stealer Contains a Backdoor to Steal Victims' Data Stolen by Other Cybercriminals
## Researchers discovered a backdoor in the "Prynt information stealing malware" that the developer added to secretly steal a copy of victims' data.
## Information:

+ Link: https://thehackernews.com/2022/09/prynt-stealer-contains-backdoor-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 02 September 2022, 14:34
+ Date scraped: 02 September 2022, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjlw1YQ5rjI2iF_GDcrQjCkDP_ECZUh0PPvzf___V8UMWKxLp3Ata48junYsGGiJXALMTYwdSrbOuYm05fvZMka0GE_CY8_FxL9Cqr4oQlU-xKxRsypbtmWgyjbOWPgRmjpOchJbGMlBFmmT1ALZ5DHze5eVNGG1JcGr49auexQnkCjtKHmrQkhSOVH/s728-e1000/malware.jpg)


Researchers discovered a private Telegram channel-based backdoor in the information stealing malware, dubbed **Prynt Stealer**, which its developer added with the intention of secretly stealing a copy of victims' exfiltrated data when used by other cybercriminals.


"While this untrustworthy behavior is nothing new in the world of cybercrime, the victims' data end up in the hands of multiple threat actors, increasing the risks of one or more large scale attacks to follow," Zscaler ThreatLabz researchers Atinderpal Singh and Brett Stone-Gross [said](https://www.zscaler.com/blogs/security-research/no-honor-among-thieves-prynt-stealers-backdoor-exposed) in a new report.


Prynt Stealer, which [came to light](https://thehackernews.com/2022/05/experts-detail-saintstealer-and-prynt.html) earlier this April, comes with capabilities to log keystrokes, steal credentials from web browsers, and siphon data from Discord and Telegram. It's sold for $100 for a one-month license and $900 for a lifetime subscription.


The cybersecurity firm analysis of Prynt Stealer shows that its codebase is derived from two other open source malware families, [AsyncRAT](https://github.com/NYAN-x-CAT/AsyncRAT-C-Sharp) and [StormKitty](https://github.com/swagkarna/StormKitty/), with new additions incorporated to include a backdoor Telegram channel to collect the information stolen by other actors to the malware's author.


[![Prynt Stealer](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgoJNZJKHyiy8GE44IyDvyuuMpC5sIPzkjLxxVG7_0NoxPCb8Bv1NWREqufSnX-57UdWK-FaAjfnTDB7xLOTF3bSDWSQ-e1LmZM6ZZivAFYS1YaUREIxXqyk9rQpZB8j3Z3AGezd-0CPxci_8Vf5a09NnLp0NYWJy3eKwtxlzYz_jXbN5Zn4SvsU7en/s728-e1000/infostealer.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgoJNZJKHyiy8GE44IyDvyuuMpC5sIPzkjLxxVG7_0NoxPCb8Bv1NWREqufSnX-57UdWK-FaAjfnTDB7xLOTF3bSDWSQ-e1LmZM6ZZivAFYS1YaUREIxXqyk9rQpZB8j3Z3AGezd-0CPxci_8Vf5a09NnLp0NYWJy3eKwtxlzYz_jXbN5Zn4SvsU7en/s728-e100/infostealer.jpg)
The code responsible for Telegram data exfiltration is said to be copied from StormKitty, but for a few minor changes.


Also included is an anti-analysis feature that equips the malware to continuously monitor the victim's process list for processes such as taskmgr, netstat, and wireshark, and if detected, block the Telegram command-and-control communication channels.


While bad actors have employed similar data stealing tactics in the past where the malware is given away for free, the development marks one of the rare instances where a stealer that's sold on a subscription basis is also sending the plundered information back to its developer.


"Note that there are cracked/leaked copies of Prynt Stealer with the same backdoor, which in turn will benefit the malware author even without direct compensation," the researchers said.


Zscaler said it identified two more variants of Prynt Stealer variants dubbed WorldWind and DarkEye written by the same author, the latter of which is bundled as an implant with a "free" Prynt Stealer builder.


The builder is also designed to drop and execute a remote access trojan called [Loda RAT](https://thehackernews.com/2021/02/lodarat-windows-malware-now-also.html), an AutoIT-based malware that's able to access and exfiltrate both system and user information, act as a keylogger, take screenshots, launch and terminate processes, and download additional malware payloads via a connection to a C2 server.


"The free availability of source code for numerous malware families has made development easier than ever for less sophisticated threat actors," the researchers concluded.


"The Prynt Stealer author went a step further and added a backdoor to steal from their customers by hardcoding a Telegram token and chat ID into the malware. As the saying goes, there is no honor among thieves."


  





## Tags:


### Autogenerated tags:
[[malware]] [[prynt]]
