# PureCrypter Malware Targets Government Entities in Asia-Pacific and North America
## Government entities in Asia-Pacific and North America are being targeted with an off-the-shelf malware downloader known as PureCrypter.
## Information:

+ Link: https://thehackernews.com/2023/02/purecrypter-malware-targets-government.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 27 February 2023, 10:22
+ Date scraped: 27 February 2023, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgYTTjYUXSTL5xMUBkV1VgU5KrfeAH2zGsF28dLYgW_JlwFkkPQcEi2zLe2IdRBs_JyCsukowr7_h4xATf2Rvtv7zEU_UhlUMfQRQKvGliYPdQkhd8pDq4axxkX5tB6rmh1ZJxWrWeXD1PsKrxE4Fp4oTipj_QFeFBiuC_g79UJ2Fa34n9SqohT4kZ3/s728-e3650/ransomware.png)


Government entities in Asia-Pacific and North America are being targeted by an unknown threat actor with an off-the-shelf malware downloader known as **PureCrypter** to deliver an array of information stealers and ransomware.


"The PureCrypter campaign uses the domain of a compromised non-profit organization as a command-and-control (C2) to deliver a secondary payload," Menlo Security researcher Abhay Yadav [said](https://www.menlosecurity.com/blog/purecrypter-targets-government-entities-through-discord/).


The different types of malware propagated using PureCrypter include [RedLine Stealer](https://thehackernews.com/2022/04/new-rig-exploit-kit-campaign-infecting.html), [Agent Tesla](https://thehackernews.com/2022/09/researchers-detail-originlogger-rat.html), [Eternity](https://thehackernews.com/2022/05/researchers-warn-of-eternity-project.html), [Blackmoon](https://malpedia.caad.fkie.fraunhofer.de/details/win.krbanker) (aka [KRBanker](https://sectrio.com/malware-report/blackmoon-a-banking-trojan/)), and [Philadelphia](https://blogs.blackberry.com/en/2017/05/threat-spotlight-philadelphia-ransomware) ransomware.


First documented in June 2022, PureCrypter is [advertised](https://thehackernews.com/2022/06/researchers-detail-purecrypter-loader.html) for sale by its author for $59 for one-month access (or $245 for a one-off lifetime purchase) and is capable of distributing a multitude of malware.


[![PureCrypter Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhsL7Jm_FNUwNgHOFSrZmtYMX8KnoWnUoGbvyen82J2gpHjUEg_1ndsOA3no_gDFWuQP6KKRxadfEYBcJSV3ULhN7t9N8vxK8UixCyTXOd3FMz28tR0meEZPl6-ZoqjyN6glSU4JoQbuUoaKlCMeYR_WrZpKOWNIGHEd2CZupFTN949qC1_E4vOxWYg/s728-e365/malware.png)
In December 2022, PureCoder – the developer behind the program – [expanded](https://blog.cyble.com/2022/12/27/pure-coder-offers-multiple-malware-for-sale-in-darkweb-forums/) the slate of offerings to include a logger and information stealer known as PureLogs, which is designed to siphon data from web browsers, crypto wallets, and email clients. It costs $99 a year (or $199 for lifetime access).


The infection sequence detailed by Menlo Security commences with a phishing email containing a Discord URL that points to the first-stage component, a password-protected ZIP archive that, in turn, loads the PureCrypter malware.

 The loader, for its part, reaches out to the website of the breached non-profit entity to fetch the secondary payload, which is a .NET-based keylogger named [Agent Tesla](https://cofense.com/blog/the-rise-of-agent-tesla-understanding-the-notorious-keylogger/).


The backdoor then establishes a connection to an FTP server located in Pakistan to exfiltrate the harvested data, indicating that compromised credentials may have been used to perform the activity.



  





## Tags:


### Autogenerated tags:
[[purecrypter]] [[malware]]
