# QakBot Malware Operators Expand C2 Network with 15 New Servers
## New findings: QakBot malware operators set up 15 new command-and-control servers, raising questions about their activities during the 'break' period.
## Information:

+ Link: https://thehackernews.com/2023/08/qakbot-malware-operators-expand-c2.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 08 August 2023, 19:45
+ Date scraped: 08 August 2023, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjx_TxdpG_JwGioKb907POIY8lwbtnZ0DPeOAJW7JgUIlq5dBclj7T8zx52j3a5F8V4khNqxtY4ueOgh5FsOu3OX1TvYyMbBpe8xk_u8W-mDWfB5EzMwcwze_v2Avmh1NSX4atgsckAZGe2gVaBj_EJTr-vXOdGq8zQyZ3_e-vyws_MGyVGcUyTTNd0n40l/s728-e3650/c2c.jpg)


The operators associated with the QakBot (aka QBot) malware have set up 15 new command-and-control (C2) servers as of late June 2023.


The findings are a continuation of the malware's infrastructure analysis from Team Cymru, and arrive a little over two months after Lumen Black Lotus Labs [revealed](https://thehackernews.com/2023/06/evasive-qbot-malware-leverages-short.html) that 25% of its C2 servers are only active for a single day.


"QakBot has a history of taking an extended break each summer before returning sometime in September, with this year's spamming activities ceasing around 22 June 2023," the cybersecurity firm [said](https://www.team-cymru.com/post/visualizing-qakbot-infrastructure-part-ii-uncharted-territory).


"But are the QakBot operators actually on vacation when they aren't spamming, or is this 'break' a time for them to refine and update their infrastructure and tools?"


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgwAoxYDskfi-J01jeLkkPEZqHZy9bLaLX8kLNuruprE8YRTIB5EBEid3uvBbzR90H6IcIJgVhjn0srTxOZLXejyJ6Jz9ZP-lexe0SPTD7GA1oU6HgxduclFP4BBnHkKiVJ_bsnI7UWFpYdpeFEkKKy1rxI2i0Y5KObLKK-rA7YfSuph4A714RQKICG252V/s728-e3650/4.png)](https://thn.news/edWGl41h)
QakBot's C2 network, like in the case of Emotet and IcedID, is [characterized](https://thehackernews.com/2023/07/icedid-malware-adapts-and-expands.html) by a tiered architecture in which C2 nodes communicate with upstream Tier 2 (T2) C2 nodes hosted on VPS providers geolocated in Russia.


A majority of the bot C2 servers, which communicate with the victim hosts, are located in India and the U.S. Destination IP addresses identified from outbound T2 connections are primarily based in the U.S., India, Mexico, and Venezuela.


Also present alongside the C2s and the Tier 2 C2s is a [BackConnect](https://thehackernews.com/2023/07/icedid-malware-adapts-and-expands.html) (BC) server that turns the infected bots into a proxy for other malicious purposes.


[![QakBot Malware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgyMoRfinLpSGq4nSX9EdQHCGnYEKgGMdhtuG-ZjSgKbJdk17Yup07rrfHpUavuvTvGhhHAQgm_GdiGk1bTCtfuWf5nkOkNsNsRnjocPalh3XqBE3fUTCnwh82jRLWVY1vmsKwYh9nW94J5dbKkQnaC9LKnBdi8LQIHlUTRjVh1GRFUKNSiRwakbDqHNmk1/s728-e3650/6283c5_c918e62c2a8b40e6915530ce957c7857~mv2.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgyMoRfinLpSGq4nSX9EdQHCGnYEKgGMdhtuG-ZjSgKbJdk17Yup07rrfHpUavuvTvGhhHAQgm_GdiGk1bTCtfuWf5nkOkNsNsRnjocPalh3XqBE3fUTCnwh82jRLWVY1vmsKwYh9nW94J5dbKkQnaC9LKnBdi8LQIHlUTRjVh1GRFUKNSiRwakbDqHNmk1/s728-e365/6283c5_c918e62c2a8b40e6915530ce957c7857~mv2.png)
The latest research from Team Cymru reveals that the number of existing C2s communicating with the T2 layer has significantly decreased, with only eight remaining, in part driven by Black Lotus Labs' [null-routing of the higher-tier infrastructure](https://github.com/blacklotuslabs/IOCs/blob/main/Qakbot_retool_reinfect_recycle.txt) in May 2023.


"We observe that on June 2, U.S. C2s all but disappeared, and traffic from Indian C2s significantly decreased," the company said, attributing the lack of U.S. activity to null-routing the T2 layer.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
Outside of the 15 C2 servers, six C2 servers active since before June and two C2 servers that came alive in June have continued to exhibit activity in July after spamming concluded.


A further analysis of NetFlow data exhibits a pattern wherein "instances of increased outbound T2 connections often occur following spikes in activity for inbound bot C2 connections" and "spikes in outbound T2 connections frequently correspond with a decline in bot C2 activity."


"In elevating victims to be used as C2 infrastructure with T2 communication, QakBot effectively punishes users twice, first in the initial compromise, and second in the potential risk to reputation of a host being identified publicly as malicious," Team Cymru said.


By cutting off communications to the upstream servers, the company pointed out, victims are prevented from receiving C2 instructions, thereby effectively protecting current and future users from compromise.


  





## Tags:


### Autogenerated tags:
[[c2]] [[t2]] [[qakbot]] [[c2s]] [[u.s]] [[cymru]]
