# QakBot Threat Actors Still in Action, Using Ransom Knight and Remcos RAT in Latest Attacks
## 🕵️‍♂️ Despite infrastructure disruption, QakBot malware operators are still active in an ongoing phishing campaign, delivering Ransom Knight ransomwa
## Information:

+ Link: https://thehackernews.com/2023/10/qakbot-threat-actors-still-in-action.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 05 October 2023, 18:48
+ Date scraped: 05 October 2023, 14:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiQauQZOzG9ZshPGmelwwFZGjxdy4K9QWSFtv5RQ2n5KpHoSzYcyiuvnDucm13g5VZm7nMiJ3QdBbjAmFAmzm2YCyK4GYDKUFfaGqukr1cl-RkqNTSaWVmdknGoyOyhAO4NCBmRHJnFSSkgNVVwVpSjTeX1WDsXY-60Gv9hV8JSE6aa2EuaYdO3VvcxdF8V/s728-rw-ft-e30/hacking.png)


Despite the disruption to its infrastructure, the threat actors behind the QakBot malware have been linked to an ongoing phishing campaign since early August 2023 that led to the delivery of Ransom Knight (aka Cyclops) ransomware and Remcos RAT.


This indicates that "the law enforcement operation may not have impacted Qakbot operators' spam delivery infrastructure but rather only their command-and-control (C2) servers," Cisco Talos researcher Guilherme Venere [said](https://blog.talosintelligence.com/qakbot-affiliated-actors-distribute-ransom/) in a new report published today.


The activity has been attributed with moderate confidence by the cybersecurity firm to QakBot affiliates. There is no evidence to date that the threat actors have resumed distributing the malware loader itself post-infrastructure takedown.


QakBot, also called QBot and Pinkslipbot, originated as a Windows-based banking trojan in 2007 and subsequently developed capabilities to deliver additional payloads, including ransomware. In late August 2023, the notorious malware operation was dealt a blow as part of an operation named [Duck Hunt](https://thehackernews.com/2023/08/fbi-dismantles-qakbot-malware-frees.html).


[![Ransom Knight and Remcos RAT](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgUBpYWp6rSbYOGsvvAUYw2e9vIrVZij2u7q0cF7AK2QFRZ5S-WvR63hHIqe52q2-dITiQ1VPiQr1pSxPLirExBDFP5HMNu-Z82kl7cH4wEPsUKBlbCdddsP4NW06HE8F38SqmoeRl_IxrAdoByTLY0UyPnEF2VNw8FIKLbJM4zWESHvcu2s9GaJGf55WGl/s728-rw-ft-e30/cyber.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgUBpYWp6rSbYOGsvvAUYw2e9vIrVZij2u7q0cF7AK2QFRZ5S-WvR63hHIqe52q2-dITiQ1VPiQr1pSxPLirExBDFP5HMNu-Z82kl7cH4wEPsUKBlbCdddsP4NW06HE8F38SqmoeRl_IxrAdoByTLY0UyPnEF2VNw8FIKLbJM4zWESHvcu2s9GaJGf55WGl/s728-rw-ft-e30/cyber.png)
The latest activity, which commenced just before the takedown, starts with a malicious LNK file likely distributed via phishing emails that, when launched, detonates the infection and ultimately deploys the Ransom Knight ransomware, a recent rebrand of the [Cyclops](https://thehackernews.com/2023/06/cyclops-ransomware-gang-offers-go-based.html) ransomware-as-a-service (RaaS) scheme.


The ZIP archives containing the LNK files have also been observed incorporating Excel add-in (.XLL) files to propagate the Remcos RAT, which facilitates persistent backdoor access to the endpoints.


Some of the file names being used in the campaign are written in Italian, which suggests the attackers are targeting users in that region.


"Though we have not seen the threat actors distributing Qakbot post-infrastructure takedown, we assess the malware will likely continue to pose a significant threat moving forward," Venere said.


"Given the operators remain active, they may choose to rebuild Qakbot infrastructure to fully resume their pre-takedown activity."



  





## Tags:


### Autogenerated tags:
[[qakbot]] [[malware]] [[ransomware]]
