# Raspberry Robin Malware Upgrades with Discord Spread and New Exploits
## Raspberry Robin malware has been spotted using new exploits and is now spreading via Discord for wider infection.
## Information:

+ Link: https://thehackernews.com/2024/02/raspberry-robin-malware-upgrades-with.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 09 February 2024, 22:02
+ Date scraped: 09 February 2024, 17:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEja5AlujvTKd5ZTOI0NwjKfrJXCKMOQNII665vxjlUOKbrZImzlaFRh48avgqIksNsv4hb51H8jpar6degm-o20QyH8aB4xB3zEGGiz4o7BJFq8fqiEqHaI-fZPgQVKw8SEO_pdOUdGqCUoLzhNAt5rmR70t_tQV0wvNiC4HcobKCCnI2DEmI0L77_ktMLW/s728-rw-e30/hacker.jpg)


The operators of **Raspberry Robin** are now using two new one-day exploits to achieve local privilege escalation, even as the malware continues to be refined and improved to make it stealthier than before.


This means that "Raspberry Robin has access to an exploit seller or its authors develop the exploits themselves in a short period of time," Check Point [said](https://research.checkpoint.com/2024/raspberry-robin-keeps-riding-the-wave-of-endless-1-days/) in a report this week.


Raspberry Robin (aka QNAP worm), first documented in 2021, is an [evasive malware family](https://thehackernews.com/2023/01/new-analysis-reveals-raspberry-robin.html) that's known to act as one of the [top initial access facilitators](https://www.reliaquest.com/blog/the-3-malware-loaders-behind-80-of-incidents/) for other malicious payloads, including ransomware.


Attributed to a threat actor named Storm-0856 (previously DEV-0856), it's propagated via several entry vectors, including infected USB drives, with Microsoft [describing](https://thehackernews.com/2022/10/raspberry-robin-operators-selling.html) it as part of a "complex and interconnected malware ecosystem" with ties to other e-crime groups like [Evil Corp, Silence, and TA505](https://thehackernews.com/2022/12/new-truebot-malware-variant-leveraging.html).


Raspberry Robin's use of one-day exploits such as CVE-2020-1054 and CVE-2021-1732 for privilege escalation was [previously highlighted](https://research.checkpoint.com/2023/raspberry-robin-anti-evasion-how-to-exploit-analysis/) by Check Point in April 2023.


The cybersecurity firm, which detected "large waves of attacks" since October 2023, said the threat actors have implemented additional anti-analysis and obfuscation techniques to make it harder to detect and analyze.


"Most importantly, Raspberry Robin continues to use different exploits for vulnerabilities either before or only a short time after they were publicly disclosed," it noted.


"Those one-day exploits were not publicly disclosed at the time of their use. An exploit for one of the vulnerabilities, CVE-2023-36802, was also used in the wild as a zero-day and was sold on the dark web."


A report from Cyfirma late last year [revealed](https://www.cyfirma.com/outofband/critical-exploits-for-sale-on-the-dark-web/) that an exploit for [CVE-2023-36802](https://securityintelligence.com/x-force/critically-close-to-zero-day-exploiting-microsoft-kernel-streaming-service/) was being advertised on dark web forums in February 2023. This was seven months before Microsoft and CISA released an advisory on active exploitation. It was [patched](https://thehackernews.com/2023/09/microsoft-releases-patch-for-two-new.html) by the Windows maker in September 2023.


[![Raspberry Robin Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjeMhjSBwsIPvUyDdIShijoIebzyLeMXco_tsbXZiwYQmHSm3LVN5yMU6Z2dzMgWZocjUebkqANb2MdlXXueGOmXzzei30iaXE9ezi7LKlR_8vNHLjpqRt433L8Q1OK4wHnBQ76oVGmhZe3i4qrNI39sqa7-jNR10GiirRp7ll-rHgQlUYuiHwlltICyHDe/s728-rw-e30/cp.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjeMhjSBwsIPvUyDdIShijoIebzyLeMXco_tsbXZiwYQmHSm3LVN5yMU6Z2dzMgWZocjUebkqANb2MdlXXueGOmXzzei30iaXE9ezi7LKlR_8vNHLjpqRt433L8Q1OK4wHnBQ76oVGmhZe3i4qrNI39sqa7-jNR10GiirRp7ll-rHgQlUYuiHwlltICyHDe/s728-rw-e30/cp.jpg)
Raspberry Robin is said to have started utilizing an exploit for the flaw sometime in October 2023, the same month a public exploit code was made available, as well as for [CVE-2023-29360](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29360) in August. The latter was publicly disclosed in June 2023, but an exploit for the bug did not appear until September 2023.


It's assessed that the threat actors purchase these exploits rather than developing them in-house owing to the fact that they are used as an external 64-bit executable and are not as heavily obfuscated as the malware's core module.


"Raspberry Robin's ability to quickly incorporate newly disclosed exploits into its arsenal further demonstrates a significant threat level, exploiting vulnerabilities before many organizations have applied patches," the company said.


One of the other significant changes concerns the initial access pathway itself, leveraging rogue RAR archive files containing Raspberry Robin samples that are hosted on Discord.


Also modified in the newer variants is the lateral movement logic, which now uses PAExec.exe instead of PsExec.exe, and the command-and-control (C2) communication method by randomly choosing a V3 onion address from a list of 60 hardcoded onion addresses.


"It starts with trying to contact legitimate and well-known Tor domains and checking if it gets any response," Check Point explained. "If there is no response, Raspberry Robin doesn't try to communicate with the real C2 servers."


  





## Tags:
***CVE's***: CVE-2021-1732 CVE-2023-29360 CVE-2023-36802 CVE-2020-1054

### Autogenerated tags:
[[malware]] [[one-day]]
