# Raspberry Robin Worm Evolves to Attack Financial and Insurance Sectors in Europe
## Raspberry Robin worm is targeting financial and insurance sectors in Europe, especially Spanish and Portuguese-speaking organizations, and has evolved
## Information:

+ Link: https://thehackernews.com/2023/01/raspberry-robin-worm-evolves-to-attack.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 03 January 2023, 10:13
+ Date scraped: 03 January 2023, 18:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjW9zhUW8cTVWuNjWMZHahDUrmASlPD9hAvqcvxSuPrPswDgM76DeMsfUCOyDEBieGFrnwNeRZ1Gqa_au2_flTZ_VeXOcm-54CN902n19OhSM0n7LyFRj-5ir594YvudTeotj51I7kyqsudq0fp7XpBRhhSPkN-O_qX9ldUik0CGZrcXQwGkY0dnu-T/s728-rj-e3650/hackers.png)


Financial and insurance sectors in Europe have been targeted by the **Raspberry Robin** worm, as the malware continues to evolve its post-exploitation capabilities while remaining under the radar.


"What is unique about the malware is that it is heavily obfuscated and highly complex to statically disassemble," Security Joes [said](https://www.securityjoes.com/post/raspberry-robin-detected-itw-targeting-insurance-financial-institutes-in-europe) in a new report published Monday.


The intrusions, observed against Spanish and Portuguese-speaking organizations, are notable for collecting more victim machine data than previously documented, with the malware now exhibiting sophisticated techniques to resist analysis.


Raspberry Robin, also called QNAP worm, is [being used](https://thehackernews.com/2022/12/raspberry-robin-worm-strikes-again.html) by several threat actors as a means to gain a foothold into target networks. Spread via infected USB drives and other methods, the framework has been recently put to use in attacks aimed at telecom and government sectors.


Microsoft is tracking the operators of Raspberry Robin under the moniker [DEV-0856](https://thehackernews.com/2022/10/raspberry-robin-operators-selling.html).


Security Joes' forensic investigation into one such attack has revealed the use of a 7-Zip file, which is downloaded from the victim's browser via social engineering and contains an MSI installer file designed to drop multiple modules.


[![Raspberry Robin Worm](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEigpvQ2fu1hJSwe9LRQ7h2MFWTUGLKrSPQaFAOzzthlHl2AidcUPcBsQuKQdTwkpsfg37PGD5jfQ3EidaDhy93f8LHksrp9runWZHUwF7KjJi7CmYAOHYvtmzEnl-anxiG0yJRD_mEylmePgP9IuCjbqFnCJ_70WZWlOssriPVzB2LZ8ScZtyKl2bms/s728-rj-e365/hacking.png)
In another instance, a ZIP file is said to have been downloaded by the victim through a fraudulent ad hosted on a domain that's known to distribute adware.


The archive file, stored in a Discord server, contains encoded JavaScript code that, upon execution, drops a downloader that's protected with numerous layers of obfuscation and encryption to evade detection.


The shellcode downloader is primarily engineered to fetch additional executables, but it has also seen significant upgrades that enables it to profile its victims to deliver appropriate payloads, in some cases even resorting to a form of trickery by [serving fake malware](https://thehackernews.com/2022/12/raspberry-robin-worm-strikes-again.html).

 This involves collecting the host's Universally Unique Identifier ([UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)), processor name, attached display devices, and the number of minutes that have elapsed since system startup, along with the hostname and username information that was gathered by older versions of the malware.


The reconnaissance data is then encrypted using a hard-coded key and transmitted to a command-and-control (C2) server, which responds back with a Windows binary that's then executed on the machine.


"Not only did we discover a version of the malware that is several times more complex, but we also found that the C2 beaconing, which used to have a URL with a plaintext username and hostname, now has a robust RC4 encrypted payload," threat researcher Felipe Duarte said.


  





## Tags:


### Autogenerated tags:
[[malware]]
