# Researchers Discover Dozens Samples of Information Stealer 'Stealc' in the Wild
## A new information stealer called Stealc is being advertised on the dark web, gaining traction among criminal groups.
## Information:

+ Link: https://thehackernews.com/2023/02/researchers-discover-dozens-samples-of.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 21 February 2023, 10:35
+ Date scraped: 21 February 2023, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEic9BMnFm3_FtN4X9lscswtKFC1OJx9ubURjCQ32o8Wvy-Uu956oGsftTo9oMJEzuZ8y6Xu-0mAUW9eeiDnLKojHi8rVrulERWCjGAD5eV-olmyXOkPVuVbQ8iUZRw-HR7BahirEzIbas9YAZr1gv8NHuGpcEUPbGlHf94_Fe0G750TAcTFbeTfNajQ/s728-e3650/hacingg.jpg)


A new information stealer called **Stealc** that's being advertised on the dark web could emerge as a worthy competitor to other malware of its ilk.


"The threat actor presents Stealc as a fully featured and ready-to-use stealer, whose development relied on [Vidar](https://thehackernews.com/2023/01/the-evolving-tactics-of-vidar-stealer.html), [Raccoon](https://thehackernews.com/2023/01/raccoon-and-vidar-stealers-spreading.html), [Mars](https://thehackernews.com/2022/03/researchers-expose-mars-stealer-malware.html), and [RedLine](https://thehackernews.com/2022/04/new-rig-exploit-kit-campaign-infecting.html) stealers," SEKOIA [said](https://blog.sekoia.io/stealc-a-copycat-of-vidar-and-raccoon-infostealers-gaining-in-popularity-part-1/) in a Monday report.


The French cybersecurity company said it [discovered](https://www.virustotal.com/gui/file/1e09d04c793205661d88d6993cb3e0ef5e5a37a8660f504c1d36b0d8562e63a2/detection) [more than](https://www.virustotal.com/gui/file/77d6f1914af6caf909fa2a246fcec05f500f79dd56e5d0d466d55924695c702d/detection) [40 Stealc samples](https://www.virustotal.com/gui/file/87f18bd70353e44aa74d3c2fda27a2ae5dd6e7d238c3d875f6240283bc909ba6/detection) distributed in the wild and 35 active command-and-control (C2) servers, suggesting that the malware is already gaining traction among criminal groups.


Stealc, first marketed by an actor named Plymouth on the XSS and BHF Russian-speaking underground forums on January 9, 2023, is written in C and comes with capabilities to steal data from web browsers, crypto wallets, email clients, and messaging apps.


The malware-as-a-service (MaaS) also boasts of a "customizable" file grabber that allows its buyers to tailor the module to siphon files of interest. It further implements loader capabilities to deploy additional payloads.


SEKOIA assessed with "high confidence that its alleged developer quickly established itself as a reliable threat actor, and its malware gained the trust of cybercriminals dealing with infostealers."


[![Information Stealer](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi_m1l-fCRIY8v38P87jWcaY0orC1ORmJHHzuUsmp2q2ZZHOkV33Uf-B36EN7uRo-7oj1f8VbkAkuEQFF4UoQtfl-ukD8QEQP_gTL3sG8tps9_S2AIgFnn7wo1omUhcRF3IlPhBwRRKd8pgI0c6xCZo4BI97gR2rwRFBYmO3zNvYUvUu4Nu0Igfv2Cv/s728-e365/view.png)
Among the distribution vectors used to deliver Stealc are YouTube videos posted from compromised accounts that link to a website peddling cracked software ("rcc-software[.]com").


This also indicates that users searching for ways to install pirated software on YouTube are a target, mirroring the same tactic adopted by another infostealer dubbed [Aurora](https://thehackernews.com/2022/11/researchers-warn-of-cyber-criminals.html).


"Since customers of the Stealc MaaS own a build of its administration panel to host the stealer C2 server and generate stealer samples themselves, it is likely that the build will leak into the underground communities in the medium term," the company added.

 According to antivirus vendor Avast, [FormBook](https://thehackernews.com/2023/02/formbook-malware-spreads-via.html), [Agent Tesla](https://thehackernews.com/2022/09/researchers-detail-originlogger-rat.html), RedLine, [LokiBot](https://malpedia.caad.fkie.fraunhofer.de/details/win.lokipws), Raccoon, [Snake Keylogger](https://thehackernews.com/2022/06/researchers-detail-purecrypter-loader.html), and [Arkei](https://thehackernews.com/2022/12/privateloader-ppi-service-found.html) (along with its fork Vidar) accounted for the [most prevalent stealer malware strains](https://decoded.avast.io/threatresearch/avast-q4-2022-threat-report/) during Q4 2022.



  





## Tags:
***urls***: http://rcc-software.com

### Autogenerated tags:
[[stealc]] [[malware]]
