# Researchers Find New Evidence Linking Kwampirs Malware to Shamoon APT Hackers
## Researchers find new evidence linking the Kwampirs malware to the Shamoon APT hacker group.
## Information:

+ Link: https://thehackernews.com/2022/03/researchers-find-new-evidence-linking.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 14 March 2022, 09:17
+ Date scraped: 14 March 2022, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEhXGDk5V-_-6jr8h32mPleTMnTrDEJl6qMQdbJ6pyUnIICOP3PmK6owR59Qpx5DL8_LYzxU0fLVOzHnlAtYPnM8HTJrjFyJsBTmn-m4PltylKT33yshE4zLYQV8Dhyv9YvbXRYCTu9cvrRgpuaPvI7xAwezZ-b8nWOJQqq8Zx8LBhD6fbkF8zzYTcdx=s728-e1000)


New findings released last week showcase the overlapping source code and techniques between the operators of [Shamoon](https://malpedia.caad.fkie.fraunhofer.de/details/win.disttrack) and [Kwampirs](https://malpedia.caad.fkie.fraunhofer.de/details/win.kwampirs), indicating that they "are the same group or really close collaborators."


"Research evidence shows identification of co-evolution between both Shamoon and Kwampirs malware families during the known timeline," Pablo Rincón Crespo of Cylera Labs [said](https://resources.cylera.com/new-evidence-linking-kwampirs-malware-to-shamoon-apts).


"If Kwampirs is based on the original Shamoon, and Shamoon 2 and 3 campaign code is based on Kwampirs, […] then the authors of Kwampirs would be potentially the same as the authors of Shamoon, or must have a very strong relationship, as has been seen over the course of many years," Rincón Crespo added.


Shamoon, also known as DistTrack, functions as an information-stealing malware that also incorporates a destructive component that allows it to overwrite the Master Boot Record (MBR) with arbitrary data so as to render the infected machine inoperable.


The malware, developed by the eponymous hacking crew also tracked as Magic Hound, Timberworm, COBALT GIPSY, was [first documented](https://community.broadcom.com/symantecenterprise/communities/community-home/librarydocuments/viewdocument?DocumentKey=281521ea-2d18-4bf9-9e88-8b1dc41cfdb6&CommunityKey=1ecf5f55-9545-44d6-b0f4-4e4a7f5f5e68&tab=librarydocuments) by Broadcom-owned Symantec in August 2012. At least two updated versions of Shamoon have since emerged, Shamoon 2 in 2016 and Shamoon 3 in 2018.


In July 2021, the U.S. government [attributed](https://www.cisa.gov/uscert/ics/jsar/JSAR-12-241-01B) Shamoon as the handiwork of [Iranian state-sponsored actors](https://www.cisa.gov/uscert/iran), linking it to cyber offensives targeting industrial control systems.


On the other hand, attack activity involving the [Kwampirs backdoor](https://blog.reversinglabs.com/blog/unpacking-kwampirs-rat) has been connected to a threat group known as Orangeworm, with Symantec disclosing an intrusion campaign aimed at entities in the healthcare sector in the U.S., Europe, and Asia.


![Shamoon APT Hackers](https://thehackernews.com/new-images/img/a/AVvXsEhjbPvnxzdsueO8Q8jNAYSrG44QEM-_Odoed3yOlLYESr79atB_pCRObSyeKGwLtxMxpNhOnKstzHt3fE1ov8KRyRIMhZVQDwDdMsW8ITDfIkITB5F900oxwqfci6yhU0y_97hWcs0QrD2mstb_otmUkeneu7L3GaM1h4p5dxSxOEuLe_V0M-_bEeTE=s728-e1000)
"First identified in January 2015, Orangeworm has also conducted targeted attacks against organizations in related industries as part of a larger supply-chain attack in order to reach their intended victims," Symantec [said](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/orangeworm-targets-healthcare-us-europe-asia) in an analysis in April 2018.


Cylera Labs' uncovering of the connection stems from malware artifacts and previously unnoticed components, one of which is said to be an intermediary "stepping stone" version. It's a Shamoon dropper but sans the wiper feature, while simultaneously reusing the same loader code as Kwampirs.


What's more, code-level similarities have been uncovered between Kwampirs and subsequent versions of Shamoon. This includes the functionality to retrieve system metadata, fetch MAC address, and the victim's keyboard layout information as well as the use of the same [InternetOpenW](https://docs.microsoft.com/en-us/windows/win32/api/wininet/nf-wininet-internetopenw) Windows API to craft HTTP requests to the command-and-control (C2) server.


![Shamoon APT Hackers](https://thehackernews.com/new-images/img/a/AVvXsEgc9KfNhtqQCg8Uxr1F3H36mHgWEzh0-22iV246Sw8liH9C-h2jBqyHrXrYIu84mFz_1CW4blxbb-p-EOdQ180HGfy-skzX1xO9k1DLXvkjXFqGVsucKjj3pPxcDAUIbhGoxb-Azv4SX7qaGZXxX8CjIBkj278RzVyDxD8heBd6BA1-dLZEUixwwpsZ=s728-e1000)
Also put to use is a common template system to create the reporter module that houses capabilities to upload host information and download additional payloads to execute from their C2 servers, a feature that was missing in the first version of Shamoon.


In connecting the disparate dots, the investigation has led to the assessment that Kwampirs is likely based on Shamoon 1 and that Shamoon 2 inherited some of its code from Kwampirs, implying that the operators of both the malware are different sub-groups of a larger umbrella groups or that it's the work of a single actor.


[![Shamoon APT Hackers](https://thehackernews.com/new-images/img/a/AVvXsEgkDPD0Tptzs7qeETrhz0lcrmB_iEtfV1I3TgBdDxgu3r-8_1P5-R05_-fjjJhdnHYxIQis94W6MVyucq59A8Oimisuq53Mftn7RR3FoiSB_Wn_0cAcDQxM7JSc_0dG08OdX4WYzGnUd4HyTR-9kqctSqFuIX00vP9dpej6enALexPeh73z3AZykkYb=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEgkDPD0Tptzs7qeETrhz0lcrmB_iEtfV1I3TgBdDxgu3r-8_1P5-R05_-fjjJhdnHYxIQis94W6MVyucq59A8Oimisuq53Mftn7RR3FoiSB_Wn_0cAcDQxM7JSc_0dG08OdX4WYzGnUd4HyTR-9kqctSqFuIX00vP9dpej6enALexPeh73z3AZykkYb)
Such a claim isn't without precedence. Just last week, Cisco Talos [detailed](https://thehackernews.com/2022/03/iranian-hackers-targeting-turkey-and.html) the TTPs of another Iranian actor called MuddyWater, noting that the nation-state actor is a "conglomerate" of multiple teams operating independently rather than a single threat actor group.


"These conclusions, if indeed correct, would recast Kwampirs as a large-scale, multi-year attack on global healthcare supply chains conducted by a foreign state actor," the researchers concluded.


"The data gathered and systems accessed in these campaigns have a wide range of potential usage, including theft of intellectual property, gathering of medical records of targets like dissidents or military leaders, or reconnaissance to aid in the planning of future destructive attacks."


  





## Tags:


### Autogenerated tags:
[[shamoon]] [[kwampirs]] [[malware]] [[symantec]]
