# Researchers Uncover New Metador APT Targeting Telcos, ISPs, and Universities
## Researchers have identified a previously unknown APT hacking group, dubbed Metador, which has infiltrated telecommunications companies, universities,
## Information:

+ Link: https://thehackernews.com/2022/09/researchers-uncover-new-metador-apt.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 23 September 2022, 13:25
+ Date scraped: 23 September 2022, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEij-FW2mOsGcsx6EEEID_F1bq3QvANSuZQFhBtXIpzvcqBFUXMWPVQbIwVgXXu2Y-DH6EWzYLGe3DCzER9G6IGZcQskTczf2VeiVhDxm3ZQPv-CeDideIkg-qJRgiilqEreKNhA6RsGX6RkSMGKICC71UHZf5lKx-2-X_6BROnfNXQrFhZaIy-f3wka/s728-e100/apt.jpg)


A previously undocumented threat actor of unknown origin has been linked to attacks targeting telecom, internet service providers, and universities across multiple countries in the Middle East and Africa.


"The operators are highly aware of operations security, managing carefully segmented infrastructure per victim, and quickly deploying intricate countermeasures in the presence of security solutions," researchers from SentinelOne [said](https://www.sentinelone.com/labs/the-mystery-of-metador-an-unattributed-threat-hiding-in-telcos-isps-and-universities/) in a new report.


The cybersecurity firm codenamed the group **Metador** in reference to a string "I am meta" in one of their malware samples and because of Spanish-language responses from the command-and-control (C2) servers.


The threat actor is said to have primarily focused on the development of cross-platform malware in its pursuit of espionage aims. Other hallmarks of the campaign are the limited number of intrusions and long-term access to targets.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjlK7cWOnAQ0rEdSIy-YJtDZzWcdBHScBG8iunu7xPzozXiiTcoxhZw-OlwFhQWk_XCTJkUt4ggHAzThHlaNswHIkgX7jdVmYBohGeNrSpCDPLwF18ZOMNpnqILeqWYoamTvwUIDfKFdpP5vlaUc1CfT2EnXr5vaoJ4xs1-BpsAYuhzETlFCzCCA5tN/s728-e100/labs.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjlK7cWOnAQ0rEdSIy-YJtDZzWcdBHScBG8iunu7xPzozXiiTcoxhZw-OlwFhQWk_XCTJkUt4ggHAzThHlaNswHIkgX7jdVmYBohGeNrSpCDPLwF18ZOMNpnqILeqWYoamTvwUIDfKFdpP5vlaUc1CfT2EnXr5vaoJ4xs1-BpsAYuhzETlFCzCCA5tN/s728-e100/labs.jpg)
This includes two different Windows malware platforms called metaMain and Mafalda that are expressly engineered to operate in-memory and elude detection. metaMain also acts as a conduit to deploy Mafalda, a flexible interactive implant supporting 67 commands.


metaMain, for its part, is feature-rich on its own, enabling the adversary to maintain long-term access, log keystrokes, download and upload arbitrary files, and execute shellcode.


In a sign that Mafalda is being actively maintained by its developers, the malware gained support for 13 new commands between two variants compiled in April and December 2021, adding options for credential theft, network reconnaissance, and file system manipulation.


Attack chains have further involved an unknown Linux malware that's employed to gather information from the compromised environment and funnel it back to Mafalda. The entry vector used to facilitate the intrusions is unknown as yet.


What's more, references in the internal command's documentation for Mafalda suggest a clear separation of responsibilities between the developers and operators. Ultimately though, Metador's attribution remains a "garbled mystery."


"Moreover, the technical complexity of the malware and its active development suggest a well-resourced group able to acquire, maintain and extend multiple frameworks," researchers Juan Andres Guerrero-Saade, Amitai Ben Shushan Ehrlich, and Aleksandar Milenkoski noted.


  





## Tags:


### Autogenerated tags:
[[malware]] [[mafalda]] [[metamain]]
