# Researchers Unmask Sandman APT's Hidden Link to China-Based KEYPLUG Backdoor
## Tactical overlaps discovered between APT Sandman and China-based threat cluster using KEYPLUG backdoor.
## Information:

+ Link: https://thehackernews.com/2023/12/researchers-unmask-sandman-apts-hidden.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 11 December 2023, 19:29
+ Date scraped: 11 December 2023, 14:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiIDq4xWDqC2Oqgs7140KBsSThj_PIFm53ag4RTG4rCUJ0awog7hg35NAsoT3VY3MmSd_X33DtPUnD37BFzZmaozu9zwNL2PpDnIiLqmHfJUhpUmyaX-Owx5kn71QK19qYRsQL5aSZoEntLf3MqUDih4iS3czegTlUbROrPU8JoGp_CW1x2FbvFZLh6TOsU/s728-rw-ft-e30/chinese.jpg)


Tactical and targeting overlaps have been discovered between the enigmatic advanced persistent threat (APT) called **Sandman** and a China-based threat cluster that's known to use a backdoor known as KEYPLUG.


The assessment comes jointly from SentinelOne, PwC, and the Microsoft Threat Intelligence team based on the fact that the adversary's Lua-based malware LuaDream and KEYPLUG have been determined to cohabit "in the same victim networks.


Microsoft and PwC are tracking the activity under the names Storm-0866 and Red Dev 40, respectively.


"Sandman and Storm-0866/Red Dev 40 share infrastructure control and management practices, including hosting provider selections, and domain naming conventions, the companies [said](https://www.sentinelone.com/labs/sandman-apt-china-based-adversaries-embrace-lua/) in a report shared with The Hacker News.


"The implementation of LuaDream and KEYPLUG reveals indicators of shared development practices and overlaps in functionalities and design, suggesting shared functional requirements by their operators."


 UPCOMING WEBINAR  [Cracking the Code: Learn How Cyber Attackers Exploit Human Psychology](https://thehacker.news/social-engineering-psychology?source=inside)  Ever wondered why social engineering is so effective? Dive deep into the psychology of cyber attackers in our upcoming webinar.

 [Join Now](https://thehacker.news/social-engineering-psychology?source=inside) 
Sandman was [first exposed](https://thehackernews.com/2023/09/mysterious-sandman-threat-actor-targets.html) by SentinelOne in September 2023, detailing its attacks on telecommunication providers in the Middle East, Western Europe, and South Asia using a novel implant codenamed LuaDream. The intrusions were recorded in August 2023.


Storm-0866/Red Dev 40, on the other hand, refers to an emerging APT cluster primarily singling out entities in the Middle East and the South Asian subcontinent, including telecommunication providers and government entities.


One of the key tools in Storm-0866's arsenal is KEYPLUG, a backdoor that was [first disclosed](https://thehackernews.com/2022/03/chinese-apt41-hackers-broke-into-at.html) by Google-owned Mandiant as part of attacks mounted by the China-based APT41 (aka Brass Typhoon or Barium) actor to infiltrate six U.S. state government networks between May 2021 and February 2022.


In a report published earlier this March, Recorded Future attributed the use of KEYPLUG to a Chinese state-sponsored threat activity group it's tracking as [RedGolf](https://thehackernews.com/2023/03/chinese-redgolf-group-targeting-windows.html), which it said "closely overlaps with threat activity reported under the aliases of APT41/BARIUM."


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi8tjSNufmVmgtsxvRdJipAe43k8tgnUSE2tV2KNLvvL7aGcjxqXtsf85yKKcVhjCkvLm_fTWyaE-dm4w47cFEqOIWYjprhXSC7Chlq2zPc3xdNl8x6dMZOnGyrUcVMoKDkd4kVROm9wZs_9ZWvgZ67CcDSVroK90cGQEfbrVJa4lo6TjgZYFnvhWguAchj/s728-rw-ft-e30/labs.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi8tjSNufmVmgtsxvRdJipAe43k8tgnUSE2tV2KNLvvL7aGcjxqXtsf85yKKcVhjCkvLm_fTWyaE-dm4w47cFEqOIWYjprhXSC7Chlq2zPc3xdNl8x6dMZOnGyrUcVMoKDkd4kVROm9wZs_9ZWvgZ67CcDSVroK90cGQEfbrVJa4lo6TjgZYFnvhWguAchj/s728-rw-ft-e30/labs.jpg)
"A close examination of the implementation and C2 infrastructure of these distinct malware strains revealed indicators of shared development as well as infrastructure control and management practices, and some overlaps in functionalities and design, suggesting shared functional requirements by their operators," the companies pointed out.


One of the notable overlaps is are two LuaDream C2 domains named "dan.det-ploshadka[.]com" and "ssl.e-novauto[.]com," which has also been put to use as a KEYPLUG C2 server and which has been tied to Storm-0866.


Another interesting commonality between LuaDream and KEYPLUG is that both the implants support QUIC and WebSocket protocols for C2 communications, indicating common requirements and the likely presence of a [digital quartermaster](https://thehackernews.com/2023/03/operation-soft-cell-chinese-hackers.html) behind the coordination. 


"The order in which LuaDream and KEYPLUG evaluate the configured protocol among HTTP, TCP, WebSocket, and QUIC is the same: HTTP, TCP, WebSocket, and QUIC in that order," the researchers said. "The high-level execution flows of LuaDream and KEYPLUG are very similar."


The adoption of Lua is another sign that threat actors, both nation-state aligned and cybercrime-focused, are increasingly setting their sights on [uncommon programming languages](https://thehackernews.com/2021/07/hackers-turning-to-exotic-programming.html) like [DLang](https://thehackernews.com/2023/12/lazarus-group-using-log4j-exploits-to.html) and [Nim](https://cyble.com/blog/kanti-a-nim-based-ransomware-unleashed-in-the-wild/) to evade detection and persist in victim environments for extended periods of time.


Lua-based malware, in particular, have been spotted only a handful of times in the wild over the past decade. This includes Flame, Animal Farm (aka SNOWGLOBE), and Project Sauron.


"There are strong overlaps in operational infrastructure, targeting, and TTPs associating the Sandman APT with China-based adversaries using the KEYPLUG backdoor, STORM-0866/Red Dev 40 in particular," the researchers said. "This highlights the complex nature of the Chinese threat landscape."


  





## Tags:
***urls***: http://ssl.e-novauto.com http://dan.det-ploshadka.com

### Autogenerated tags:
[[keyplug]] [[luadream]] [[c2]] [[china-based]] [[malware]] [[storm-0866]] [[storm-0866/red]] [[quic]] [[websocket]]
