# Researchers Warn of 'Raspberry Robin' Malware Spreading via External Drives
## Security researchers have discovered a new Windows malware with worm-like capabilities that is propagated via removable USB devices.
## Information:

+ Link: https://thehackernews.com/2022/05/researchers-warn-of-raspberry-robin.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 06 May 2022, 11:07
+ Date scraped: 06 May 2022, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi_JJTRy0WEXV5vdQ0fCUCI6BSSboudL85qjwAQNL6Mccy9DxMPmyEMnjUHCTG0HVroriI1v6O51ZTP5AGdh3nPYt1tB6ng1EPnSHoA9pZfRQqj_xV74Ln1fZ5kVDTIrj-c0C0bdFZTUD53UfSVUIJyRT9JjwvTL57gJlL3aMKXFlqt3oPQO0a_namY/s728-e1000/red-malware.jpg)


Cybersecurity researchers have discovered a new Windows malware with worm-like capabilities and is propagated by means of removable USB devices.


Attributing the malware to a cluster named "**Raspberry Robin**," Red Canary researchers [noted](https://redcanary.com/blog/raspberry-robin/) that the worm "leverages Windows Installer to reach out to QNAP-associated domains and download a malicious DLL."


The earliest signs of the activity are said to date back to September 2021, with infections observed in organizations with ties to technology and manufacturing sectors.


Attack chains pertaining to Raspberry Robin start with connecting an infected USB drive to a Windows machine. Present within the device is the worm payload, which appears as a .LNK shortcut file to a legitimate folder.


[![Raspberry Robin](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjHA2wTPQH6zXk-RjE4MjaE_4GC_ldeEneWzRmc3Yp6uplX3f7KXcX8vl-4kslLjtBhQYBO8uOIxQ83lnWx58_PizeMKeoAOPLa_jZzYLy3VquWgA0RYUrxaB5e93TYFeArtWnGDamZpsqW_SWev5Sr-XbANSwHSJja-LFlJKCg43lPOeCJIxu7c7WT/s728-e1000/usb.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjHA2wTPQH6zXk-RjE4MjaE_4GC_ldeEneWzRmc3Yp6uplX3f7KXcX8vl-4kslLjtBhQYBO8uOIxQ83lnWx58_PizeMKeoAOPLa_jZzYLy3VquWgA0RYUrxaB5e93TYFeArtWnGDamZpsqW_SWev5Sr-XbANSwHSJja-LFlJKCg43lPOeCJIxu7c7WT/s728-e100/usb.jpg)
The worm then takes care of spawning a new process using cmd.exe to read and execute a malicious file stored on the external drive.


This is followed by launching explorer.exe and msiexec.exe, the latter of which is used for external network communication to a rogue domain for command-and-control (C2) purposes and to download and install a DLL library file.


The malicious DLL is subsequently loaded and executed using a chain of legitimate Windows utilities such as fodhelper.exe, rundll32.exe to rundll32.exe, and odbcconf.exe, effectively [bypassing User Account Control](https://research.splunk.com/endpoint/fodhelper_uac_bypass/) (UAC).


Also common across Raspberry Robin detections is the presence of outbound C2 contact involving the processes regsvr32.exe, rundll32.exe, and dllhost.exe to IP addresses associated with Tor nodes.


That said, the operators' objectives remain unanswered at this stage. It's also unclear how and where the external drives are infected, although it's suspected that it's carried out offline.


"We also don't know why Raspberry Robin installs a malicious DLL," the researchers said. "One hypothesis is that it may be an attempt to establish persistence on an infected system."


  





## Tags:


### Autogenerated tags:
[[windows]] [[dll]] [[rundll32.exe]]
