# Researchers Warn of CatDDoS Botnet and DNSBomb DDoS Attack Technique
## CatDDoS botnet exploits 80+ vulnerabilities, targeting 300+ devices daily for DDoS attacks. DNSBomb, a new attack technique, achieves a 20,000x amplif
## Information:

+ Link: https://thehackernews.com/2024/05/researchers-warn-of-catddos-botnet-and.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 28 May 2024, 15:45
+ Date scraped: 28 May 2024, 11:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEigZXVtGUSVvV8Jv6AnEy0frBzR74Wt67u-MPmYbpVqickJtmz434_SfBG5DIVJCtQxoCPB-uySRQiXscRqa8Ute79cLxY9Hee9SFD0Fz7p6kTTDEndJwJ-mCOyIqkF83mNVE8qK7gF20CIrtsNx8kyiAFlPREiAztF7nUryZJ75L_LmBVpgkaC-Wd7gepk/s728-rw-e365/cat-ddos.png)


The threat actors behind the CatDDoS malware botnet have exploited over 80 known security flaws in various software over the past three months to infiltrate vulnerable devices and co-opt them into a botnet for conducting distributed denial-of-service (DDoS) attacks.


"CatDDoS-related gangs' samples have used a large number of known vulnerabilities to deliver samples," the QiAnXin XLab team [said](https://blog.xlab.qianxin.com/catddos-derivative-en/). "Additionally, the maximum number of targets has been observed to exceed 300+ per day."


The flaws impact routers, networking gear, and other devices from vendors such as Apache (ActiveMQ, Hadoop, Log4j, and RocketMQ), Cacti, Cisco, D-Link, DrayTek, FreePBX, GitLab, Gocloud, Huawei, Jenkins, Linksys, Metabase, NETGEAR, Realtek, Seagate, SonicWall, Tenda, TOTOLINK, TP-Link, ZTE, and Zyxel, among others.


CatDDoS was previously documented by [QiAnXin](https://ti.qianxin.com/blog/articles/New-Generation-Botnet-CatDDoS-is-Evolving-Continuously-CN/?ref=blog.xlab.qianxin.com) and [NSFOCUS](https://thehackernews.com/2023/11/alert-oracleiv-ddos-botnet-targets.html) in late 2023, describing it as a [Mirai botnet variant](https://thehackernews.com/2024/05/mirai-botnet-exploits-ivanti-connect.html) capable of performing DDoS attacks using UDP, TCP, and other methods.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
First emerged in the wild in August 2023, the malware gets its name owing to cat-related references in strings like "catddos.pirate" and "password\_meow" for command-and-control (C2) domains.


A majority of the attack targets of the malware are located in China, followed by the U.S., Japan, Singapore, France, Canada, the U.K., Bulgaria, Germany, the Netherlands, and India, per the information shared by NSFOCUS as of October 2023.


Besides using the ChaCha20 algorithm to encrypt communications with the C2 server, it makes use of an OpenNIC domain for C2 in an attempt to evade detection, a technique previously adopted by another Mirai-based DDoS botnet called [Fodcha](https://thehackernews.com/2022/10/fodcha-ddos-botnet-resurfaces-with-new.html).


[![CatDDoS Botnet and DNSBomb DDoS Attack](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi8o7w_Trlj1j5EDmZRa9RZkgjd3Iho7ouln0YQO9FK5zO6nHPlBEm1nEkB42ZRVTpnH5rXTcnmqoyUf627NP7P07ccbilm7RPqDkIhJ28f_TKw4tpwwMbFKHmwoPcdwSoKYJ5fwnQi2MvooQDkh5ypP5uQ8nG0JXFdkiBf4IxUgDQkPmDNJs-l6WlMFtaf/s728-rw-e365/explois.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi8o7w_Trlj1j5EDmZRa9RZkgjd3Iho7ouln0YQO9FK5zO6nHPlBEm1nEkB42ZRVTpnH5rXTcnmqoyUf627NP7P07ccbilm7RPqDkIhJ28f_TKw4tpwwMbFKHmwoPcdwSoKYJ5fwnQi2MvooQDkh5ypP5uQ8nG0JXFdkiBf4IxUgDQkPmDNJs-l6WlMFtaf/s728-rw-e365/explois.png)
In an interesting twist, CatDDoS also shares the same key/nonce pair for the ChaCha20 algorithm as three other DDoS botnets named hailBot, VapeBot, and Woodman.


XLab said the attacks are primarily focused on countries such as the U.S., France, Germany, Brazil, and China, spanning cloud service providers, education, scientific research, information transmission, public administration, construction, and other industries.


It's suspected that the original authors behind the malware shut down their operations in December 2023, but not before putting up the source code for sale in a dedicated Telegram group.


"Due to the sale or leak of the source code, new variants emerged, such as RebirthLTD, Komaru, Cecilio Network, etc. after the shutdown," the researchers said. "Although the different variants may be managed by different groups, there is little variation in the code, communication design, strings, decryption methods, etc."


### Researchers Demonstrate DNSBomb[#](#researchers-demonstrate-dnsbomb)


The disclosure comes as details have emerged about a practical and potent "pulsing" denial-of-service (PDoS) attack technique dubbed DNSBomb (CVE-2024-33655) that, as the name implies, exploits the Domain Name System (DNS) queries and responses to achieve an amplification factor of 20,000x.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
The attack, at its core, capitalizes on legitimate DNS features such as query rate limits, query-response timeouts, query aggregation, and maximum response size settings to create timed floods of responses using a maliciously designed authority and a vulnerable recursive resolver.


"DNSBomb exploits multiple widely-implemented DNS mechanisms to accumulate DNS queries that are sent at a low rate, amplify queries into large-sized responses, and concentrate all DNS responses into a short, high-volume periodic pulsing burst to simultaneously overwhelm target systems," Xiang Li, a Ph.D. candidate at the Tsinghua University NISL Lab, [said](https://dnsbomb.net/).


[![CatDDoS Botnet and DNSBomb DDoS Attack](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi330Y1-EbU7tJT1V85-NaJL9_dbX2_c2KzdyYejTINa1OX0KRNaDsF1-L01nKa4pjnIJ3YKPGT9ffovtEWADEBNCrk77IU190UBNwCSiKGJImcWsSckhFCdRGvN4iNFht7sXC8W1mKOIYtDo3n-2c54f6MuxFcccDh_odXurFBUHGobD8gzutp9eopdk2l/s728-rw-e365/dnsbomb.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi330Y1-EbU7tJT1V85-NaJL9_dbX2_c2KzdyYejTINa1OX0KRNaDsF1-L01nKa4pjnIJ3YKPGT9ffovtEWADEBNCrk77IU190UBNwCSiKGJImcWsSckhFCdRGvN4iNFht7sXC8W1mKOIYtDo3n-2c54f6MuxFcccDh_odXurFBUHGobD8gzutp9eopdk2l/s728-rw-e365/dnsbomb.png)
"The attack strategy involves IP-spoofing multiple DNS queries to a domain controlled by the attacker, then withholding responses to aggregate multiple replies. DNSBomb aims to overwhelm victims with periodic bursts of amplified traffic that are challenging to detect."


The findings were [presented](https://sp2024.ieee-security.org/accepted-papers.html) at the 45th IEEE Symposium on Security and Privacy held in San Francisco last week and previously at the GEEKCON 2023 event that took place in Shanghai in October 2023.


The Internet Systems Consortium (ISC), which develops and maintains the BIND software suite, [said](https://www.isc.org/blogs/2024-dnsbomb/) it's not vulnerable to DNSBomb, adding that the existing mitigations are enough to mitigate risks posed by the attack.


  





## Tags:
***CVE's***: CVE-2024-33655

### Autogenerated tags:
[[dns]] [[malware]] [[botnet]] [[ddos]] [[dnsbomb]] [[catddos]] [[c2]]
