# Researchers Warn of New Go-based Malware Targeting Windows and Linux Systems
## Researchers Warn of New Go-based Malware Targeting Windows and Linux Systems | Read breaking news and high quality articles on cyber security, hacking, information security, computer security, cybercrime, ethical hacking and technology.
## Information:

+ Link: https://thehackernews.com/2022/09/researchers-warn-of-new-go-based.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 28 September 2022, 14:00
+ Date scraped: 28 September 2022, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhBWtMbIYj48YeZXsqul94H3rYouHSTaprVh8tRsYEZhign-iSQ6eXMKv42gCdN6uZBaSmiP6Jgdx3T6x3xQz2AiTAUcXa7SMyOMP0Bg_0TZ6Zr76LaJ7xxaGIpNwK76CIPzpEo01bZvySygsysCgCXPdiNwWG8E6diMUNwpqI7QrVc0Dqnbnr_01CK/s728-e100/ransomware-malware.jpg)


A new, multi-functional Go-based malware dubbed **Chaos** has been rapidly growing in volume in recent months to ensnare a wide range of Windows, Linux, small office/home office (SOHO) routers, and enterprise servers into its botnet.


"Chaos functionality includes the ability to enumerate the host environment, run remote shell commands, load additional modules, automatically propagate through stealing and brute-forcing SSH private keys, as well as launch DDoS attacks," researchers from Lumen's Black Lotus Labs [said](https://blog.lumen.com/chaos-is-a-go-based-swiss-army-knife-of-malware/?utm_source=press+release&utm_medium=referral) in a write-up shared with The Hacker News.


A majority of the bots are located in Europe, specifically Italy, with other infections reported in China and the U.S., collectively representing "hundreds of unique IP addresses" over a one-month time period from mid-June through mid-July 2022.


Written in Chinese and leveraging China-based infrastructure for command-and-control, the botnet joins a long list of malware that are designed to establish persistence for extended periods and likely abuse the foothold for nefarious purposes, such as DDoS attacks and cryptocurrency mining.


If anything, the development also points to a dramatic uptick in threat actors shifting to programming languages like Go to evade detection and render reverse engineering difficult, not to mention targeting several platforms at once.


Chaos (not to be confused with the [ransomware builder](https://thehackernews.com/2022/05/new-chaos-ransomware-builder-variant.html) of the same name) lives up to its name by exploiting known security vulnerabilities to gain initial access, subsequently abusing it to conduct reconnaissance and initiate lateral movement across the compromised network.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhkDThSg2gZRJzWfHsEGm7s2uBy9oK_Z1oUVE9dvEjq_RcBKbwu0dYC5C_2F1HehdptqEtZEzZ5AaA8QvlmMkMF4JqGYEReyB2ZempsB3ILmuOtUD6QmVNtGwwO6Qq-DNMVdN8bGPzLhe-n29vPDVdIbNmWgWPf0olJRmmzTzRC_mmNs9IuG92SR2ya/s728-e100/map.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhkDThSg2gZRJzWfHsEGm7s2uBy9oK_Z1oUVE9dvEjq_RcBKbwu0dYC5C_2F1HehdptqEtZEzZ5AaA8QvlmMkMF4JqGYEReyB2ZempsB3ILmuOtUD6QmVNtGwwO6Qq-DNMVdN8bGPzLhe-n29vPDVdIbNmWgWPf0olJRmmzTzRC_mmNs9IuG92SR2ya/s728-e100/map.jpg)
What's more, the malware has versatility that similar malware does not, enabling it to operate across a wide range of instruction set architectures from ARM, Intel (i386), MIPS, and PowerPC, effectively allowing the threat actor to broaden the scope of its targets and swiftly accrue in volume.


On top of that, Chaos further has the ability to execute as many as 70 different commands sent from the C2 server, one of which is an instruction to trigger the exploitation of publicly-disclosed flaws ([CVE-2017-17215](https://nvd.nist.gov/vuln/detail/cve-2017-17215) and [CVE-2022-30525](https://thehackernews.com/2022/05/watch-out-hackers-begin-exploiting.html)) defined in a file.


Chaos is also believed to be an evolution of another Go-based DDoS malware named [Kaiji](https://malpedia.caad.fkie.fraunhofer.de/details/elf.kaiji) that has previously targeted [misconfigured Docker instances](https://thehackernews.com/2020/06/cryptocurrency-docker-image.html). The correlations, per Black Lotus Labs, stem from overlapping code and functions based on an analysis of over 100 samples.


A GitLab server located in Europe was one among the victims of the Chaos botnet in the first weeks of September, the company said, adding it identified a string of DDoS attacks aimed at entities spanning gaming, financial services, and technology, media and entertainment, and hosting providers. Also targeted was a crypto mining exchange.


The findings come exactly three months after the cybersecurity company exposed a new remote access trojan dubbed [ZuoRAT](https://thehackernews.com/2022/06/zuorat-malware-hijacking-home-office.html) that has been singling out SOHO routers as part of a sophisticated campaign directed against North American and European networks.


"We are seeing a complex malware that has quadrupled in size in just two months, and it is well-positioned to continue accelerating," said Mark Dehus, director of threat intelligence for Lumen Black Lotus Labs. "Chaos poses a threat to a variety of consumer and enterprise devices and hosts."


  





## Tags:
***CVE's***: CVE-2022-30525 CVE-2017-17215

### Autogenerated tags:
[[malware]] [[ddos]] [[botnet]]
