# Researchers Warn of ReverseRAT Backdoor Targeting Indian Government Agencies
## A Pakistani threat group called SideCopy is suspected of being behind the spear-phishing campaign targeting Indian government entities.
## Information:

+ Link: https://thehackernews.com/2023/02/researchers-warn-of-reverserat-backdoor.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 21 February 2023, 05:55
+ Date scraped: 21 February 2023, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhgCCfHSIzoDTc6xFjFRi_e6UJchPjWfF1XiN5ghEE_ZWupVSF0UxOOgSMFCWUS6pEIF5s2SR7RwWCQdrYErIlq-PoU6CBIyH-HE_LpJvFWnjvFN-g8tUC95mQqqX9RwzZ5ntf6Q0nl4GMCQ66R8ri3fFedynpHmQl8vKbLSftEK5AVDrlKtGEFUjsS/s728-e365/india.png)


A spear-phishing campaign targeting Indian government entities aims to deploy an updated version of a backdoor called **ReverseRAT**.


Cybersecurity firm ThreatMon [attributed](https://threatmon.io/apt-sidecopy-targeting-indian-government-entities/) the activity to a threat actor tracked as **SideCopy**.


SideCopy is a threat group of Pakistani origin that shares overlaps with another actor called [Transparent Tribe](https://thehackernews.com/2022/11/researchers-detail-new-malware-campaign.html). It is so named for mimicking the infection chains associated with [SideWinder](https://thehackernews.com/2023/02/researchers-link-sidewinder-group-to.html) to deliver its own malware.


The adversarial crew was first observed delivering ReverseRAT in 2021, when Lumen's Black Lotus Labs [detailed](https://thehackernews.com/2021/06/pakistan-linked-hackers-targeted-indian.html) a set of attacks targeting victims aligned with the government and power utility verticals in India and Afghanistan.


Recent attack campaigns associated with SideCopy have primarily [set their sights](https://thehackernews.com/2022/12/researchers-warn-of-kavach-2fa-phishing.html) on a two-factor authentication solution known as Kavach (meaning "armor" in Hindi) that's used by Indian government officials.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgHrsB9ahlvfoC0BK98nqa5wVx3c8zesB29o3y_rTYuwCGzJMNeq8cB6DvJak0BVW2X_NScaD782zTI8AnSIiK-dKYVm40u2aEOn9LR7CE_7j0UCSNLyWTlePo9iovWpS9pJ_oTArWvP5QvN7qkkPOh4OY6a2Z_vgJoa6_xImOllKn6QW4Wpl2bQPy1/s728-e365/a.png)
The infection journey documented by ThreatMon commences with a phishing email containing a macro-enabled Word document ("Cyber Advisory 2023.docm").


The file masquerades as a fake advisory from India's Ministry of Communications about "Android Threats and Preventions." That said, most of the content has been [copied verbatim](https://dot.gov.in/sites/default/files/2020_07_09%20Cybersec%20SA.pdf) from an actual alert published by the department in July 2020 about best cybersecurity practices.

 Once the file is opened and macros are enabled, it triggers the execution of malicious code that leads to the deployment of ReverseRAT on the compromised system.


"Once ReverseRAT gains persistence, it enumerates the victim's device, collects data, encrypts it using RC4, and sends it to the command-and-control (C2) server," the company said in a report published last week.


"It waits for commands to execute on the target machine, and some of its functions include taking screenshots, downloading and executing files, and uploading files to the C2 server."



  





## Tags:


### Autogenerated tags:
[[reverserat]] [[sidecopy]]
