# Rhadamanthys Malware: Swiss Army Knife of Information Stealers Emerges
## Rhadamanthys, a versatile info-stealer, introduces a plugin system, making it more customizable. Cybercriminals can now tailor it to their needs.
## Information:

+ Link: https://thehackernews.com/2023/12/rhadamanthys-malware-swiss-army-knife.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 18 December 2023, 20:01
+ Date scraped: 18 December 2023, 15:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgc5Q_37pcETEgLpkH4CiCsAVcoWGG3A1r0JeMo3JUQR-OeJpy19h418vQwrde_YLzSpaqu5m31b0pOFf6FViio0j-owcsciTWmTd8uUUtEJL6rAr3BjXPr1srLcvkZ3DwXQo-WVXGUSCzQ_INZmDt7ppQVBhW80CQYb23o0kgl9WOoR5wRWI6O9EddsZ0G/s728-rw-ft-e30/malware.jpg)


The developers of the information stealer malware known as [Rhadamanthys](https://thehackernews.com/2023/01/raccoon-and-vidar-stealers-spreading.html) are actively iterating on its features, broadening its information-gathering capabilities and also incorporating a plugin system to make it more customizable.


This approach not only transforms it into a threat capable of delivering "specific distributor needs," but also makes it more potent, Check Point [said](https://research.checkpoint.com/2023/rhadamanthys-v0-5-0-a-deep-dive-into-the-stealers-components/) in a technical deepdive published last week.


Rhadamanthys, [first documented](https://threatmon.io/rhadamanthys-stealer-analysis-2022/) by ThreatMon in October 2022, has been sold under the malware-as-a-service (MaaS) model as early as September 2022 by an actor under the alias "kingcrete2022."


Typically distributed through malicious websites mirroring those of genuine software that are advertised through Google ads, the malware is capable of harvesting a wide range of sensitive information from compromised hosts, including from web browsers, crypto wallets, email clients, VPN, and instant messaging apps.


 UPCOMING WEBINAR  [Beat AI-Powered Threats with Zero Trust - Webinar for Security Professionals](https://thehacker.news/zero-trust-attack-surface?source=inside)  Traditional security measures won't cut it in today's world. It's time for Zero Trust Security. Secure your data like never before.

 [Join Now](https://thehacker.news/zero-trust-attack-surface?source=inside) 
"Rhadamanthys represents a step in the emerging tradition of malware that tries to do as much as possible, and also a demonstration that in the malware business, having a strong brand is everything," the Israeli cybersecurity firm [noted](https://research.checkpoint.com/2023/rhadamanthys-the-everything-bagel-infostealer/) in March 2022.


A [subsequent investigation](https://research.checkpoint.com/2023/from-hidden-bee-to-rhadamanthys-the-evolution-of-custom-executable-formats/) into the off-the-shelf malware in August revealed "design and implementation" overlap with that of the [Hidden Bee coin miner](https://malpedia.caad.fkie.fraunhofer.de/details/win.hiddenbee).


"The similarity is apparent at many levels: custom executable formats, the use of similar virtual filesystems, identical paths to some of the components, reused functions, similar use of steganography, use of LUA scripts, and overall analogous design," the researchers said, describing the malware's development as "fast-paced and ongoing."


As of writing, the current working version of Rhadamanthys is 0.5.2, per the [description](https://telegram.me/kingcrete) on the threat actor's Telegram channel.


Check Point's analysis of versions 0.5.0 and 0.5.1 reveals a new plugin system that effectively makes it more of a Swiss Army knife, indicating a shift towards modularization and customization. This also allows the stealer customers to deploy additional tools tailored to their targets.


The stealer components are both active, capable of opening processes and injecting additional payloads designed to facilitate information theft, and passive, which are designed to search and parse specific files to retrieve saved credentials.


Another noticeable aspect is the use of a Lua script runner that can load up to 100 Lua scripts to pilfer as much information as possible from cryptocurrency wallets, email agents, FTP services, note-taking apps, instant messengers, VPNs, two-factor authentication apps, and password managers.


Version 0.5.1 goes a step further, adding clipper functionality to alter clipboard data matching wallet addresses to divert cryptocurrency payments to an attacker-controlled wallet as well as an option to recover Google Account cookies, following the footsteps of [Lumma Stealer](https://thehackernews.com/2023/11/clearfake-campaign-expands-to-deliver.html).


"The author keeps enriching the set of available features, trying to make it not only a stealer but a multipurpose bot, by enabling it to load multiple extensions created by a distributor," security researcher Aleksandra "Hasherezade" Doniec said.


"The added features, such as a keylogger, and collecting information about the system, are also a step towards making it a general-purpose spyware."


AsyncRAT's Code Injection into aspnet\_compiler.exe[#](#asyncrats-code-injection-into-aspnet_compilerexe)
---------------------------------------------------------------------------------------------------------


The findings come as Trend Micro detailed new [AsyncRAT](https://thehackernews.com/2023/07/hotrat-new-variant-of-asyncrat-malware.html) infection chains that leverage a legitimate Microsoft process called aspnet\_compiler.exe, which is used for precompiling ASP.NET web applications, to stealthily deploy the remote access trojan (RAT) via [phishing attacks](https://www.mcafee.com/blogs/other-blogs/mcafee-labs/unmasking-asyncrat-new-infection-chain/).


Similar to how Rhadamanthys carries out code injection into running processes, the multi-stage process culminates in the AsyncRAT payload being injected into a newly spawned aspnet\_compiler.exe process to ultimately establish contact with a command-and-control (C2) server.


"The AsyncRAT backdoor has other capabilities depending on the embedded configuration," security researchers Buddy Tancio, Fe Cureg, and Maria Emreen Viray said. "This includes anti-debugging and analysis checks, persistence installation, and keylogging."


It's also designed to scan particular folders within the application directory, browser extensions, and user data to check for the presence of crypto wallets. On top of that, the threat actors have been observed relying on Dynamic DNS ([DDNS](https://www.cloudflare.com/learning/dns/glossary/dynamic-dns/)) to deliberately obfuscate their activities.


"The use of dynamic host servers allows threat actors to seamlessly update their IP addresses, strengthening their ability to remain undetected within the system," the researchers said.


  





## Tags:


### Autogenerated tags:
[[malware]] [[asyncrat]] [[apps]] [[lua]]
