# Russia Hackers Using TinyTurla-NG to Breach European NGO's Systems
## Russian threat group Turla strikes again! NGO in Europe hit with TinyTurla-NG backdoor.
## Information:

+ Link: https://thehackernews.com/2024/03/russia-hackers-using-tinyturla-ng-to.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 21 March 2024, 21:33
+ Date scraped: 21 March 2024, 17:05

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhpl4KTifULp_KL519pfn_LM1Qpb_O-KwUZ-KS8DWzcElP_DeDwhEcg6IinPOAx7W6l3Fm_QpeK516gOx9IER4UKNO9wTC5C01n0yJCUsSDctagYCDNefWD-_7gC4gAXGL77Vti4ZkUUaa4I9XZnGUPS1l4rdz3dR0d8PnxYKpQ7besnv2JGxohYIMfOFTK/s728-rw-e365/russian-hackers.jpg)


The Russia-linked threat actor known as Turla infected several systems belonging to an unnamed European non-governmental organization (NGO) in order to deploy a backdoor called **TinyTurla-NG**.


"The attackers compromised the first system, established persistence and added exclusions to antivirus products running on these endpoints as part of their preliminary post-compromise actions," Cisco Talos [said](https://blog.talosintelligence.com/tinyturla-full-kill-chain/) in a new report published today.


"Turla then opened additional channels of communication via Chisel for data exfiltration and to pivot to additional accessible systems in the network."


There is evidence indicating that the infected systems were breached as early as October 2023, with Chisel deployed in December 2023 and data exfiltrating taking place via the tool a month later, around January 12, 2024.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
TinyTurla-NG was [first documented](https://thehackernews.com/2024/02/russian-turla-hackers-target-polish.html) by the cybersecurity company last month after it was found to be used in connection with a cyber attack targeting a Polish NGO working on improving Polish democracy and supporting Ukraine during the Russian invasion.


Cisco Talos told The Hacker News at the time that the campaign appears to be highly targeted and focused on a small number of organizations, most of which are located in Poland.


[![Russia Hackers](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiY12hoKVzzox0ACmab7DYWXggS8N1xFz07FOmIDH-GrH_a1pQNoB1RmZjapWDFC9bK7DukCNzX58gRyhHtnjGTJiuNwV9xmMa3GXNWL1NidissbThLvYV89r7zDm8Meo3LIQMPfOw1J5-LLWr80Lxvgae0HEhF5vXxRnOVDAJG42Q-P34A-kCnS-62MZOo/s728-rw-e365/talos.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiY12hoKVzzox0ACmab7DYWXggS8N1xFz07FOmIDH-GrH_a1pQNoB1RmZjapWDFC9bK7DukCNzX58gRyhHtnjGTJiuNwV9xmMa3GXNWL1NidissbThLvYV89r7zDm8Meo3LIQMPfOw1J5-LLWr80Lxvgae0HEhF5vXxRnOVDAJG42Q-P34A-kCnS-62MZOo/s728-rw-e365/talos.jpg)
The attack chain involves Turla exploiting their initial access to configure Microsoft Defender [antivirus exclusions](https://learn.microsoft.com/en-us/microsoft-365/security/defender-endpoint/configure-exclusions-microsoft-defender-antivirus) to evade detection and drop TinyTurla-NG, which is then persisted by creating a malicious "sdm" service that masquerades as a "System Device Manager" service. 


TinyTurla-NG acts as a backdoor to conduct follow-on reconnaissance, exfiltrate files of interest to a command-and-control (C2) server, and deploy a custom-built version of the Chisel tunneling software. The exact intrusion pathway is still being investigated.


"Once the attackers have gained access to a new box, they will repeat their activities to create Microsoft Defender exclusions, drop the malware components, and create persistence," Talos researchers said.

 
  





## Tags:


### Autogenerated tags:
[[tinyturla-ng]] [[turla]] [[talos]]
