# Russia-Linked Hackers Launches Espionage Attacks on Foreign Diplomatic Entities
## Russia-linked APT29 (Cozy Bear) is behind an ongoing cyber espionage campaign targeting foreign ministries & diplomatic entities in NATO states, EU, &
## Information:

+ Link: https://thehackernews.com/2023/04/russia-linked-hackers-launches.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 14 April 2023, 12:57
+ Date scraped: 14 April 2023, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgclC4EYajDaDCm5dxSFmEeskK1tWBV4QMWJHhSv8gWE8GCHU3KZ-Si3f_rsWH9rRWPxkibmYDIEvv-uBlDO5v71oh_v1c8BaSQH8YO9un4AwaMzyWK0DZ7oLEE7LfAUc7PKRp7_fU3UwK0rBQFLgxW0pGc-AOuLvQBYBNZRXWtn2_NuunK_BiSVCxN/s728-e3650/hacking.png)


The Russia-linked **APT29** (aka Cozy Bear) threat actor has been attributed to an ongoing cyber espionage campaign targeting foreign ministries and diplomatic entities located in NATO member states, the European Union, and Africa.


According to Poland's Military Counterintelligence Service and the CERT Polska team, the observed activity shares tactical overlaps with a cluster tracked by Microsoft as [Nobelium](https://thehackernews.com/2022/11/apt29-exploited-windows-feature-to.html), which is known for its high-profile [attack on SolarWinds](https://thehackernews.com/2021/01/heres-how-solarwinds-hackers-stayed.html) in 2020.


Nobelium's operations have been attributed to Russia's Foreign Intelligence Service ([SVR](https://en.wikipedia.org/wiki/Foreign_Intelligence_Service_(Russia))), an organization that's tasked with protecting "individuals, society, and the state from foreign threats."


That said, the campaign represents an evolution of the Kremlin-backed hacking group's tactics, indicating [persistent attempts](https://thehackernews.com/2022/08/microsoft-uncovers-new-post-compromise.html) at improving its cyber weaponry to infiltrate victim systems for intelligence gathering.


"New tools were used at the same time and independently of each other, or replacing those whose effectiveness had declined, allowing the actor to maintain a continuous, high operational tempo," the agencies [said](https://www.gov.pl/web/baza-wiedzy/espionage-campaign-linked-to-russian-intelligence-services).


[![Espionage Attacks](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgDrt0RsIjZTP52kSbgiYatruO9ZmWe-vzGXjUuVgM1JBNyvlfL8Qd5WHr4A06fRL-JFpIZJdq7FC1bdMtxH7lqjUqsayVXaNmYwzNRAuLaB5k1HzKVMzheQSLuRAvrdga61U4Heib7RtWXHonSGO8ZpDBOYGM4jwWccI2Fbt_Ilk5uhOs4SmuqqS6t/s728-e365/cyber.png)
The attacks commence with spear-phishing emails impersonating European embassies that aim to entice targeted diplomats into opening malware-laced attachments under the guise of an invitation or a meeting.


Embedded within the PDF attachment is a booby-trapped URL that leads to the deployment of an HTML dropper called [EnvyScout](https://thehackernews.com/2022/07/russian-hackers-using-dropbox-and.html) (aka ROOTSAW), which is then used as a conduit to deliver three previously unknown strains SNOWYAMBER, HALFRIG, and QUARTERRIG.


SNOWYAMBER, also referred to as [GraphicalNeutrino](https://thehackernews.com/2023/01/new-report-reveals-nikowiper-malware.html) by Recorded Future, leverages the Notion note-taking service for command-and-control (C2) and downloading additional payloads such as [Brute Ratel](https://thehackernews.com/2022/07/hackers-abusing-brc4-red-team.html).


QUARTERRIG also functions as a downloader capable of retrieving an executable from an actor-controlled server. HALFRIG, on the other hand, acts as a loader to launch the [Cobalt Strike](https://thehackernews.com/2023/04/microsoft-takes-legal-action-to-disrupt.html) post-exploitation toolkit contained within it.


It's worth noting that the disclosure dovetails with [recent findings](https://thehackernews.com/2023/03/winter-vivern-apt-group-targeting.html) from BlackBerry, which detailed a Nobelium campaign targeting European Union countries, with a specific emphasis on agencies that are "aiding Ukrainian citizens fleeing the country, and providing help to the government of Ukraine."



  





## Tags:


### Autogenerated tags:

