# Russian APT Deploys New 'Kapeka' Backdoor in Eastern European Attacks
## A new stealthy backdoor malware called Kapeka, likely created by Russia's APT group Sandworm, has been targeting Eastern Europe.
## Information:

+ Link: https://thehackernews.com/2024/04/russian-apt-deploys-new-kapeka-backdoor.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 17 April 2024, 19:02
+ Date scraped: 17 April 2024, 14:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiXJGzxXWApk_OMb5lv6Kx_E9LQPIGCe9hetfdPIpuFr4AA3a2SYUVsQYUEVtcP1-RPih-LTnhPmWETK5-eQPVF4uda8F-ZL1P1M70YCxFAbH9bnwgXXw98AlKLOzAxjGNiR4SRc64BithE2X349R3eUENFUEmi4gie3zH8aJenzueqVYM1fybkF6F5SNW5/s728-rw-e365/russian-hackers.png)


A previously undocumented "flexible" backdoor called **Kapeka** has been "sporadically" observed in cyber attacks targeting Eastern Europe, including Estonia and Ukraine, since at least mid-2022.


The findings come from Finnish cybersecurity firm WithSecure, which attributed the malware to the Russia-linked advanced persistent threat (APT) group tracked as [Sandworm](https://thehackernews.com/2024/03/russian-hackers-target-ukrainian.html) (aka APT44 or Seashell Blizzard). Microsoft is tracking the same malware under the name KnuckleTouch.


"The malware [...] is a flexible backdoor with all the necessary functionalities to serve as an early-stage toolkit for its operators, and also to provide long-term access to the victim estate," security researcher Mohammad Kazem Hassan Nejad [said](https://labs.withsecure.com/publications/kapeka).


Kapeka comes fitted with a dropper that's designed to launch and execute a backdoor component on the infected host, after which it removes itself. The dropper is also responsible for setting up persistence for the backdoor either as a scheduled task or autorun registry, depending on whether the process has SYSTEM privileges.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Microsoft, in its own [advisory](https://www.microsoft.com/en-us/wdsi/threats/malware-encyclopedia-description?Name=Backdoor:Win64/KnuckleTouch.A!dha&threatId=-2147067254) released in February 2024, described Kapeka as involved in multiple campaigns distributing ransomware and that it can be used to carry out a variety of functions, such as stealing credentials and other data, conducting destructive attacks, and granting threat actors remote access to the device.


The backdoor is a Windows DLL written in C++ and features an embedded command-and-control (C2) configuration that's used to establish contact with an actor-controlled server and holds information about the frequency at which the server needs to be polled in order to retrieve commands.


Besides masquerading as a [Microsoft Word add-in](https://learn.microsoft.com/en-us/office/dev/add-ins/word/word-add-ins-programming-overview) to make it appear genuine, the backdoor DLL gathers information about the compromised host and implements multi-threading to fetch incoming instructions, process them, and exfiltrate the results of the execution to the C2 server. 


[![Russian APT](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEghQvqX4lextHuitkPCGff-Ggz7P_yrjDu7rbEw8lQxTVhaZD3Z0xL7WFg2im1e65BXUWvjHYU6ieVyygdippKNbd-iBhfKgkDssAyAqdk4X2TWDsDgsq9FOjmQZIFPY2UuqR5nmMCTpzBwpJuHIvdWKAHKKaV6VRUuM_MqkAtkIDZJRALpwRfvIKV2xZqL/s728-rw-e365/backdoor.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEghQvqX4lextHuitkPCGff-Ggz7P_yrjDu7rbEw8lQxTVhaZD3Z0xL7WFg2im1e65BXUWvjHYU6ieVyygdippKNbd-iBhfKgkDssAyAqdk4X2TWDsDgsq9FOjmQZIFPY2UuqR5nmMCTpzBwpJuHIvdWKAHKKaV6VRUuM_MqkAtkIDZJRALpwRfvIKV2xZqL/s728-rw-e365/backdoor.png)
"The backdoor uses WinHttp 5.1 COM interface (winhttpcom.dll) to implement its network communication component," Nejad explained. "The backdoor communicates with its C2 to poll for tasks and to send back fingerprinted information and task results. The backdoor utilizes JSON to send and receive information from its C2."


The implant is also capable of updating its C2 configuration on-the-fly by receiving a new version from the C2 server during polling. Some of the main features of the backdoor allow it to read and write files from and to disk, launch payloads, execute shell commands, and even upgrade and uninstall itself.


The exact method through which the malware is propagated is currently unknown. However, Microsoft [noted](https://www.microsoft.com/en-us/wdsi/threats/malware-encyclopedia-description?Name=TrojanDropper:Win64/KnuckleTouch.A!dha&threatId=-2147067253) that the dropper is retrieved from compromised websites using the [certutil utility](https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/certutil), underscoring the use of a legitimate living-off-the-land binary (LOLBin) to orchestrate the attack.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
Kapeka's connections to Sandworm come conceptual and configuration overlaps with previously disclosed families like [GreyEnergy](https://thehackernews.com/2020/12/russian-apt28-hackers-using-covid-19-as.html), a likely successor to the BlackEnergy toolkit, and [Prestige](https://thehackernews.com/2022/11/microsoft-blames-russian-hackers-for.html).


"It is likely that Kapeka was used in intrusions that led to the deployment of Prestige ransomware in late 2022," WithSecure said. "It is probable that Kapeka is a successor to GreyEnergy, which itself was likely a replacement for BlackEnergy in Sandworm's arsenal."


"The backdoor's victimology, infrequent sightings, and level of stealth and sophistication indicate APT-level activity, highly likely of Russian origin."


  





## Tags:


### Autogenerated tags:
[[kapeka]] [[c2]] [[malware]] [[microsoft]]
