# Russian Courts Targeted by New CryWiper Data Wiper Malware Posing as Ransomware
## New CryWiper malware disguised as ransomware targeting Russian government agencies, including mayor's offices and courts.
## Information:

+ Link: https://thehackernews.com/2022/12/russian-courts-targeted-by-new-crywiper.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 05 December 2022, 12:24
+ Date scraped: 05 December 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhU-v14x_JwR-Lkq7kvq6Q-HVO0IZeoEzFpXuc2YGj8g8SLJ0yUH80NGR4gr76n-3yivmRGRW0V7t-zmhC7QvaqL2gXEGGIajZcipnbRuDZ9hyVkNeg8f0zFwmG3dkR2x0VbHD6GJJXNEggF0rFD9gp6KAfckxvUysDwUe7tiv4SoR3dcpUVYoWbv8z/s728-e1000/rasnowmare-data-wiper.png)


A new data wiper malware called **CryWiper** has been found targeting Russian government agencies, including mayor's offices and courts.


"Although it disguises itself as a ransomware and extorts money from the victim for 'decrypting' data, [it] does not actually encrypt, but purposefully destroys data in the affected system," Kaspersky researchers Fedor Sinitsyn and Janis Zinchenko [said](https://securelist.ru/novyj-troyanec-crywiper/106114/) in a write-up.


Additional details of the attacks were shared by the Russian-language news publication [Izvestia](https://iz.ru/1433190/ivan-chernousov/stiratelnyi-pocherk-gosstruktury-atakoval-novyi-virus-shifrovalshchik). The intrusions have not been attributed to a specific adversarial group so far.


A C++-based malware, CryWiper is configured to establish persistence via a scheduled task and communicate with a command-and-control (C2) server to initiate the malicious activity.


Besides terminating processes related to database and email servers, the malware is equipped with capabilities to delete shadow copies of files and modify the Windows Registry to prevent RDP connections in a likely attempt to obstruct incident response efforts.


As the last step, the wiper corrupts all files with the exception of those with ".exe," ".dll," "lnk," ".sys," and ".msi" extensions, while also skipping specific directories, including C:\Windows, Boot, and tmp, which could otherwise render the machine inoperable.


The files overwritten with garbage data are subsequently appended with an extension called ".CRY," following which a ransom note is dropped to give the impression that it's a ransomware program, urging the victim to pay 0.5 Bitcoin to recover access.


"The activity of CryWiper once again shows that the payment of the ransom does not guarantee the recovery of files," the researchers said, stating the malware "deliberately destroys the contents of files."


CryWiper is the second [retaliatory wiper malware strain](https://blogs.vmware.com/security/2022/04/ruransom-a-retaliatory-wiper.html) aimed at Russia after [RURansom](https://thehackernews.com/2022/03/caddywiper-yet-another-data-wiping.html), a .NET-based wiper that was found targeting entities in the country earlier this March.


The ongoing conflict between Russia and Ukraine has involved the deployment of multiple wipers, with the latter hit with a wide range of malware such as WhisperGate, HermeticWiper, AcidRain, IsaacWiper, CaddyWiper, Industroyer2, and DoubleZero.


"Wipers can be effective regardless of the technical skills of the attacker, as even the simplest wiper can wreak havoc on affected systems," Trellix researcher Max Kersten [said](https://www.trellix.com/en-us/about/newsroom/stories/research/wipermania-an-all-you-can-wipe-buffet.html) in an analysis of destructive malware last month.


"The required time to create such a piece of malware is low, especially when compared to complex espionage backdoors and the often-accompanying vulnerabilities that are used. The return of investment need not be high in those cases, although it is unlikely that a few wipers are to wreak that much havoc in and of themselves."


  





## Tags:


### Autogenerated tags:
[[malware]] [[crywiper]]
