# Russian Government Software Backdoored to Deploy Konni RAT Malware
## Russian government software compromised in suspected North Korean cyberattack. Konni RAT backdoor discovered in Ministry of Foreign Affairs tool.
## Information:

+ Link: https://thehackernews.com/2024/02/russian-government-software-backdoored.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 22 February 2024, 16:13
+ Date scraped: 22 February 2024, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgPj49rhqqA-mxtmox1fybU0tENIeJuA_2g3BytqZBQjH8PEScWg5QxtfprIfKf7oQcv-YabbjzNAltHcZCbA0sLFmrXjUdRB9DIAhzOYFuNeoasslqkEQNKZ-OfevXS-UIIISE53qayWiM2qXMpUF1lPRepm3Cqyczrw62w9Kqa1HSkcP9MP-162wM8cus/s728-rw-e365/north-korean-hackers.jpg)


An installer for a tool likely used by the Russian Consular Department of the Ministry of Foreign Affairs (MID) has been backdoored to deliver a remote access trojan called **Konni RAT** (aka [UpDog](https://twitter.com/greglesnewich/status/1729268138804646358)).


The findings come from German cybersecurity company DCSO, which linked the activity as originating from the Democratic People's Republic of Korea (DPRK)-nexus actors targeting Russia.


The Konni (aka Opal Sleet, Osmium, or [TA406](https://thehackernews.com/2021/11/north-korean-hackers-found-behind-range.html)) activity cluster has an established pattern of deploying Konni RAT against Russian entities, with the threat actor also linked to [attacks directed against MID](https://thehackernews.com/2022/01/north-korean-hackers-start-new-year.html) at least since October 2021.


In November 2023, Fortinet FortiGuard Labs [revealed](https://thehackernews.com/2023/11/konni-group-using-russian-language.html) the use of Russian-language Microsoft Word documents to deliver malware capable of harvesting sensitive information from compromised Windows hosts.


DCSO said the package of the Konni RAT within software installers is a technique [previously adopted](https://twitter.com/DCSO_CyTec/status/1714246570760163672) by the group in October 2023, when it was found to leverage a backdoored Russian tax filing software named Spravki BK to distribute the trojan.


"In this instance, the backdoored installer appears to be for a tool named 'Statistika KZU' (Cтатистика КЗУ)," the Berlin-based company [said](https://medium.com/@DCSO_CyTec/to-russia-with-love-assessing-a-konni-backdoored-suspected-russian-consular-software-installer-ce618ea4b8f3).


[![Konni RAT Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgb5NfXZrvukAfFkNCgzEfRZZP-iQEF4DYimz9z0bHYYZVhQmr4JktdQxMrYE9vUD0V-z3YZh-FaNHQ_pOmDimF99I9hkQI1L8eWB-U-QK0M-w_Xd0xUaoRtJgeZxEeboZl2l3FHqdzzQaJ1fO9MVT_Pmvy2qmObnyqpZ6AobLdBopt7T9rqncIWdtiXaNn/s728-rw-e365/russia.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgb5NfXZrvukAfFkNCgzEfRZZP-iQEF4DYimz9z0bHYYZVhQmr4JktdQxMrYE9vUD0V-z3YZh-FaNHQ_pOmDimF99I9hkQI1L8eWB-U-QK0M-w_Xd0xUaoRtJgeZxEeboZl2l3FHqdzzQaJ1fO9MVT_Pmvy2qmObnyqpZ6AobLdBopt7T9rqncIWdtiXaNn/s728-rw-e365/russia.jpg)
"On the basis of install paths, file metadata, and user manuals bundled into the installer, [...] the software is intended for internal use within the Russian Ministry of Foreign Affairs (MID), specifically for the relaying of annual report files from overseas consular posts (КЗУ — консульские загранучреждения) to the Consular Department of the MID via a secure channel."


The trojanized installer is an MSI file that, when launched, initiates the infection sequence to establish contact with a command-and-control (C2) server to await further instructions.


[![Konni RAT Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhNA1yULxP61ME1sP26wd_Vxljyy4SgtFuA-uq3Y6THVqzIVr7hFppj1QE31Q4UJ8uejX1Vg7cRtAY-KxVIBbKJKtEqbv9qDgnVcRTV2dzFn3rvb2ScG42nbH6L7Esz3w_IzTB-u5VX22moCYsdlpN6n_z9x7P6tFIuP-eNWms9VbATGTR1jaNcgHg8VVm6/s728-rw-e365/malware.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhNA1yULxP61ME1sP26wd_Vxljyy4SgtFuA-uq3Y6THVqzIVr7hFppj1QE31Q4UJ8uejX1Vg7cRtAY-KxVIBbKJKtEqbv9qDgnVcRTV2dzFn3rvb2ScG42nbH6L7Esz3w_IzTB-u5VX22moCYsdlpN6n_z9x7P6tFIuP-eNWms9VbATGTR1jaNcgHg8VVm6/s728-rw-e365/malware.jpg)
The remote access trojan, which comes with capabilities for file transfers and command execution, is believed to have been put to use as early as 2014 and has also been utilized by another North Korean threat actor known as [Kimsuky and ScarCruft](https://thehackernews.com/2022/07/north-korean-hackers-using-malicious.html) (aka APT37).


It's currently not clear how the threat actors managed to obtain the installer, given that it's not publicly obtainable. But it's suspected that the long history of espionage operations targeting Russia may have helped them identify prospective tools for subsequent attacks.


While North Korea's [targeting of Russia](https://research.checkpoint.com/2019/north-korea-turns-against-russian-targets/) is not new, the development comes amid [growing geopolitical proximity](https://www.reuters.com/world/europe/russia-is-developing-ties-with-n-korea-all-areas-including-sensitive-ones-2024-01-17/) between Russia and North Korea. State media from the Hermit Kingdom [reported](https://www.bbc.com/news/world-europe-68346867) this week that Russian President Vladimir Putin has given leader Kim Jong Un a luxury Russian-made car.


"To some extent, this should not come as a surprise; increasing strategic proximity would not be expected to fully overwrite extant DPRK collection needs, with an ongoing need on the part of the DPRK to be able to assess and verify Russian foreign policy planning and objectives," DCSO said.


  





## Tags:


### Autogenerated tags:
[[konni]] [[backdoored]] [[dcso]] [[dprk]]
