# RustDoor macOS Backdoor Targets Cryptocurrency Firms with Fake Job Offers
## A new macOS backdoor dubbed "RustDoor" is targeting cryptocurrency companies.
## Information:

+ Link: https://thehackernews.com/2024/02/rustdoor-macos-backdoor-targets.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 16 February 2024, 18:57
+ Date scraped: 16 February 2024, 14:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhsylQV-v4Puy4OHUSxWRQmAkvsQqmpB5oLn6AjFyeE-vs7ukdX7NCYsMxbws7IJi-iosKChhfgjjQpiFVBhQjsRcjEi7BwyZW582Xo9ojQ1LEC-CMNzhVPkOJuC-P_IB8lFaT27B2aJUKL9MKCdNZww0GI1ArlnotYv4i4W1akPjtAw2ZEi9-9l0gctTCy/s728-rw-e365/macos.jpg)


Several companies operating in the cryptocurrency sector are the target of a newly discovered Apple macOS backdoor codenamed **RustDoor**.


RustDoor was [first documented](https://thehackernews.com/2024/02/alert-new-stealthy-rustdoor-backdoor.html) by Bitdefender last week, describing it as a Rust-based malware capable of harvesting and uploading files, as well as gathering information about the infected machines. It's distributed by masquerading itself as a Visual Studio update.


While prior evidence uncovered at least three different variants of the backdoor, the exact initial propagation mechanism remained unknown.


That said, the Romanian cybersecurity firm subsequently told The Hacker News that the malware was used as part of a targeted attack rather than a shotgun distribution campaign, noting that it found additional artifacts that are responsible for downloading and executing RustDoor.


"Some of these first stage downloaders claim to be PDF files with job offerings, but in reality, are scripts that download and execute the malware while also downloading and opening an innocuous PDF file that bills itself as a confidentiality agreement," Bogdan Botezatu, director of threat research and reporting at Bitdefender, said.


Since then, three more malicious samples that act as first-stage payloads have come to light, each of them purporting to be a job offering. These ZIP archives predate the earlier RustDoor binaries by nearly a month.


The new component of the attack chain – i.e., the archive files ("Jobinfo.app.zip" or "Jobinfo.zip") – contains a basic shell script that's responsible for fetching the implant from a website named turkishfurniture[.]blog. It's also engineered to preview a harmless decoy PDF file ("job.pdf") hosted on the same site as a distraction.


[![Fake Job Offers](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhMq6wE4SbH4IGVU03ir0PWB3TEp90QytaxXDdh-0hUSldPemJ7lOHINUhDhAezkjeCgYgWt-mk5cXFT11rJOQS5B_pzvzL0QBuSh5VbGgtbs-KME7qHCwf6S9s2RBXbZQ2HjOkDkeGPDm_NEI4p4tdYZtC1t6ELPcYfYFSNVMb59WCIR53Zh6_3N-6hsML/s728-rw-e365/jobs.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhMq6wE4SbH4IGVU03ir0PWB3TEp90QytaxXDdh-0hUSldPemJ7lOHINUhDhAezkjeCgYgWt-mk5cXFT11rJOQS5B_pzvzL0QBuSh5VbGgtbs-KME7qHCwf6S9s2RBXbZQ2HjOkDkeGPDm_NEI4p4tdYZtC1t6ELPcYfYFSNVMb59WCIR53Zh6_3N-6hsML/s728-rw-e365/jobs.jpg)
Bitdefender [said](https://www.bitdefender.com/blog/labs/new-macos-backdoor-written-in-rust-shows-possible-link-with-windows-ransomware-group/) it also detected four new Golang-based binaries that communicate with an actor-controlled domain ("sarkerrentacars[.]com"), whose purpose is to "collect information about the victim's machine and its network connections using the system\_profiler and networksetup utilities, which are part of the macOS operating system.


In addition, the binaries are capable of extracting details about the disk via "diskutil list" as well as retrieving a wide list of kernel parameters and configuration values using the "sysctl -a" command.


A closer investigation of the command-and-control (C2) infrastructure has also revealed a leaky endpoint ("/client/bots") that makes it possible to glean details about the currently infected victims, including the timestamps when the infected host was registered and the last activity was observed.


The development comes as South Korea's National Intelligence Service (NIS) [revealed](https://www.nis.go.kr:4016/CM/1_10/view.do?seq=480&currentPa) that an IT organization affiliated with the Workers' Party of North Korea's Office No. 39 is [generating illicit revenue](https://thehackernews.com/2023/11/north-korean-hackers-pose-as-job.html) by [selling](https://www.seoul.co.kr/news/newsView.php?id=20240214500151&wlog_tag3=naver) thousands of malware-laced gambling websites to other cybercriminals for stealing sensitive data from unsuspecting gamblers.


The company behind the malware-as-a-service (MaaS) scheme is Gyeongheung (also spelled Gyonghung), a 15-member entity based in Dandong that has allegedly received $5,000 from an unidentified South Korean criminal organization in exchange for creating a single website and $3,000 per month for maintaining the website, Yonhap News Agency [reported](https://en.yna.co.kr/view/AEN20240214008600320).


  





## Tags:
***urls***: http://sarkerrentacars.com http://turkishfurniture.blog

### Autogenerated tags:
[[rustdoor]] [[bitdefender]] [[malware]] [[pdf]] [[website]]
