# STARK#MULE Targets Koreans with U.S. Military-themed Document Lures
## Cyber attack campaign STARK#MULE targets Korean speakers using U.S. Military-themed document lures to spread malware.
## Information:

+ Link: https://thehackernews.com/2023/07/starkmule-targets-koreans-with-us.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 28 July 2023, 18:27
+ Date scraped: 28 July 2023, 14:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjO3IpSdzXErermqZ01XfIjoH22VYYRsvxPcM40PnVL8cU1IoKEBXqSxckUuxdNNTflemxIDO4KqZgGnCOQeWkimNL5cmh7Cnz_Bzbi6A2jWE78oJemjmqBduIZ_vZyNHvZPye0TpSws3BzV96qDFpLO5UjlRQ8EcRxdrE7zmygmyyNJSJyq-Sjip4lPi2G/s728-e3650/malware.jpg)


An ongoing cyber attack campaign has set its sights on Korean-speaking individuals by employing U.S. Military-themed document lures to trick them into running malware on compromised systems.


Cybersecurity firm Securonix is tracking the activity under the name **STARK#MULE**.


"Based on the source and likely targets, these types of attacks are on par with past attacks stemming from typical North Korean groups such as APT37 as South Korea has historically been a primary target of the group, especially its government officials," security researchers Den Iuzvyk, Tim Peck, and Oleg Kolesnikov said in a report shared with The Hacker News.


APT37, also known by the names Nickel Foxcroft, Reaper, Ricochet Chollima, and ScarCruft, is a [North Korean nation-state actor](https://thehackernews.com/2023/06/scarcruft-hackers-exploit-ably-service.html) that's known to exclusively focus on targets in its southern counterpart, specifically those involved in reporting on North Korea and supporting defectors.


Attack chains mounted by the group have historically relied on social engineering to phish victims and deliver payloads such as RokRat onto target networks. That said, the adversarial collective has expanded its offensive arsenal with a variety of malware families in recent months, including a Go-based backdoor called AblyGo.


A notable trait of the new campaign is the use of compromised Korean e-commerce websites for staging payloads and command-and-control (C2) in an attempt to fly under the radar of security solutions installed on the systems.


The phishing emails that act as the progenitor make use of U.S. Army recruitment messages to convince recipients into opening a ZIP archive file, which contains a shortcut file that appears under the guise of a PDF document.


The shortcut file, when launched, displays a decoy PDF, but also surreptitiously activates the execution of a rogue "Thumbs.db" file present in the archive file.


"This file performs several functions which include downloading further stagers and leveraging schtasks.exe to establish persistence," the researchers explained.


Two of the next-stage modules – "lsasetup.tmp" and "winrar.exe" – are retrieved from a compromised e-commerce website named "www.jkmusic.co[.]kr," the latter of which is used to extract and run the contents of "lsasetup.tmp," an obfuscated binary that reached out to a second e-commerce site named "www.notebooksell[.]kr."


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhNENQ9nkiS8819Y4NFcHofY1N--whfBd6LzfZN9eyramJgFqnFgJpGtd6DPLIuYC0XozFyXkLld5an_70DwwZVBndd3gOQW-Dc95KWLbla80x-HmL4t3UcMgqx--enHWC2_HgiyoRSDhJhs9KTfVsOABgOuMZZSfeNAB6G1JTZFvaCWPcJSKeLcJXJfbX1/s728-e365/hacking.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhNENQ9nkiS8819Y4NFcHofY1N--whfBd6LzfZN9eyramJgFqnFgJpGtd6DPLIuYC0XozFyXkLld5an_70DwwZVBndd3gOQW-Dc95KWLbla80x-HmL4t3UcMgqx--enHWC2_HgiyoRSDhJhs9KTfVsOABgOuMZZSfeNAB6G1JTZFvaCWPcJSKeLcJXJfbX1/s728-e365/hacking.jpg)
"Once the connection was established, the attackers were able to acquire system details such as system MAC, Windows version, [and] IP address," the researchers said. "Both websites are registered in Korea [and] only utilize the HTTP protocol."


The disclosure comes as APT37 has also been observed making use of CHM files in phishing emails impersonating security emails from financial institutes and insurance companies to deploy information-stealing malware and other binaries, according to the AhnLab Security Emergency Response Center (ASEC).


"In particular, malware that targets specific users in Korea may include content on topics of interest to the user to encourage them to execute the malware, so users should refrain from opening emails from unknown sources and should not execute their attachments," [ASEC](https://asec.ahnlab.com/en/55569/) [said](https://asec.ahnlab.com/en/55585/).


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Join Today](https://thn.news/I26t1VFD)
APT37 is one of the [many North Korean state-sponsored groups](https://thehackernews.com/2023/07/north-korean-nation-state-actors.html) that have drawn attention for executing attacks that are designed to perpetrate financial theft – including the recent attacks on [Alphapo](https://twitter.com/zachxbt/status/1682941291825627137) and [CoinsPaid](https://coinspaid.com/tpost/0zx28tmj51-coinspaid-is-back-to-processing-after-be) – and gather intelligence in pursuit of the regime's political and national security objectives.


This also comprises the notorious Lazarus Group and its sub-clusters [Andariel](https://thehackernews.com/2023/06/north-korean-hacker-group-andariel.html) and [BlueNoroff](https://thehackernews.com/2023/07/beware-new-rustbucket-malware-variant.html), with the actors leveraging a new backdoor dubbed ScoutEngine and a completely rewritten version of a malware framework called [MATA](https://thehackernews.com/2020/07/lazarus-north-korean-hackers.html) (MATAv5) in intrusions aimed at defense contractors in Eastern Europe in September 2022.


"This sophisticated malware, completely rewritten from scratch, exhibits an advanced and complex architecture that makes use of loadable and embedded modules and plugins," Kaspersky [said](https://securelist.com/apt-trends-report-q2-2023/110231/) in its APT trends report for Q2 2023.


"The malware leverages Inter-Process Communication (IPC) channels internally and employs a diverse range of commands, enabling it to establish proxy chains across various protocols, including within the victim's environment."


  





## Tags:
***urls***: http://www.jkmusic.co.kr http://www.notebooksell.kr

### Autogenerated tags:
[[malware]] [[apt37]] [[emails]] [[e-commerce]]
