# SideCopy Exploiting WinRAR Flaw in Attacks Targeting Indian Government Entities
## Pakistani threat actor SideCopy exploiting recent WinRAR vulnerability in attacks on Indian government entities.
## Information:

+ Link: https://thehackernews.com/2023/11/sidecopy-exploiting-winrar-flaw-in.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 07 November 2023, 14:29
+ Date scraped: 07 November 2023, 09:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg22ap8i8sIo3vf9Np3Z9-K-E6B1oS5d-KiQ11tPMZSKl_Y4Lu3tsm167IpanStJgKwtwFnwCn3Whv3H6noLHWu5iOD4Yg6QORIh2IJK-kbLqlBiDWWu3-4AwdGkUC4oykes0b_ResQKFHS1B5siST8kZpz89rdtqIfEn9JHkxnH9HZTQDNy1kn9q1eWUuX/s728-rw-ft-e30/hacker.jpg)


The Pakistan-linked threat actor known as **SideCopy** has been observed leveraging the recent WinRAR security vulnerability in its attacks targeting Indian government entities to deliver various remote access trojans such as AllaKore RAT, Ares RAT, and DRat.


Enterprise security firm SEQRITE described the campaign as multi-platform, with the attacks also designed to infiltrate Linux systems with a compatible version of Ares RAT.


SideCopy, active since at least 2019, is [known](https://ti.qianxin.com/blog/articles/Sidecopy-dual-platform-weapon/) for its [attacks](https://www.telsy.com/sidecopy-apt-from-windows-to-nix/) on Indian and Afghanistan entities. It's suspected to be a sub-group of the [Transparent Tribe](https://thehackernews.com/2023/10/donot-teams-new-firebird-backdoor-hits.html) (ak APT36).


"Both SideCopy and APT36 share infrastructure and code to aggressively target India," SEQRITE researcher Sathwik Ram Prakki [said](https://www.seqrite.com/blog/sidecopys-multi-platform-onslaught-leveraging-winrar-zero-day-and-linux-variant-of-ares-rat/) in a Monday report.


Earlier this May, the group was [linked](https://thehackernews.com/2023/05/sidecopy-using-action-rat-and-allakore.html) to a phishing campaign that took advantage of lures related to India's Defence Research and Development Organization (DRDO) to deliver information-stealing malware.


Since then, SideCopy has also been [implicated](https://www.seqrite.com/blog/double-action-triple-infection-and-a-new-rat-sidecopys-persistent-targeting-of-indian-defence/) in a set of phishing attacks targeting the Indian defense sector with ZIP archive attachments to propagate Action RAT and a new .NET-based trojan that supports 18 different commands.


The new phishing campaigns detected by SEQRITE entail two different attack chains, each targeting Linux and Windows operating systems.


[![SideCopy Exploiting WinRAR Flaw](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgodeDSa7Sqm6OBnB_kKdjlG63SAHOoID3Wg4DVuxAztFgZXkEL4DbiYZ0YQxRxjhz8wXQK1p_LTYB8HxFiqhEHe2MBXOzsI3gZXuo8lVvPNlSKWR61M-LZfCKyQbvWwtecgGJmMSbtMVk9Opw3SdJ9EeRbnXLSmgLbb_G7dvttsaVxv_5pjH7lOeqaOFEs/s728-rw-ft-e30/winrar.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgodeDSa7Sqm6OBnB_kKdjlG63SAHOoID3Wg4DVuxAztFgZXkEL4DbiYZ0YQxRxjhz8wXQK1p_LTYB8HxFiqhEHe2MBXOzsI3gZXuo8lVvPNlSKWR61M-LZfCKyQbvWwtecgGJmMSbtMVk9Opw3SdJ9EeRbnXLSmgLbb_G7dvttsaVxv_5pjH7lOeqaOFEs/s728-rw-ft-e30/winrar.jpg)
The former revolves around a Golang-based ELF binary that paves the way for a Linux version of [Ares RAT](https://github.com/sweetsoftware/Ares) that's capable of enumerating files, taking screenshots, and file downloading and uploading, among others.


The second campaign, on the other hand, entails the exploitation of [CVE-2023-38831](https://thehackernews.com/2023/10/google-tag-detects-state-backed-threat.html), a security flaw in the WinRAR archiving tool, to trigger the execution of malicious code, leading to the deployment of AllaKore RAT, Ares RAT, and two new trojans called DRat and Key RAT.


"[AllaKore RAT] has the functionality to steal system information, keylogging, take screenshots, upload & download files, and take the remote access of the victim machine to send commands and upload stolen data to the C2," Ram Prakki said.


DRat is capable of parsing as many as 13 commands from the C2 server to gather system data, download and execute additional payloads, and perform other file operations.


The targeting of Linux is not coincidental and is likely motivated by India's decision to replace Microsoft Windows with a Linux flavor called Maya OS across government and defense sectors.


"Expanding its arsenal with zero-day vulnerability, SideCopy consistently targets Indian defense organizations with various remote access trojans," Ram Prakki said.


"APT36 is expanding its Linux arsenal constantly, where sharing its Linux stagers with SideCopy is observed to deploy an open-source Python RAT called Ares."


  





## Tags:
***CVE's***: CVE-2023-38831

### Autogenerated tags:
[[linux]] [[sidecopy]] [[seqrite]] [[apt36]] [[prakki]] [[phishing]]
