# SideWinder Hackers Launched Over a 1,000 Cyber Attacks Over the Past 2 Years
## Hackers from the SideWinder APT Group are responsible for over 1,000 new attacks since April 2020.
## Information:

+ Link: https://thehackernews.com/2022/05/sidewinder-hackers-launched-over-1000.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 31 May 2022, 08:30
+ Date scraped: 31 May 2022, 09:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEho1rSXMX8K-pkpStupEViixOyQelE73JjHWZYhwhFMY4hJtxeNjuI5nCpz2gT3XPWmJFZ61ir54HlQHtb2CZBFhd71L1S8-Mi3cDR0ax9Q43A4k2l0Jxfn9Swbv8qScEQ-oV1zVkYwsjww4lDnHpoByC6f4gDs6zA7VDTR7ckAe4kfytOhy3mu4WLa/s728-e1000/suppply-chain-cyberattack.jpg)


An "aggressive" advanced persistent threat (APT) group known as **SideWinder** has been linked to over 1,000 new attacks since April 2020.


"Some of the main characteristics of this threat actor that make it stand out among the others, are the sheer number, high frequency and persistence of their attacks and the large collection of encrypted and obfuscated malicious components used in their operations," cybersecurity firm Kaspersky [said](https://www.blackhat.com/asia-22/briefings/schedule/index.html#sidewinder-uncoils-to-strike-26513) in a report that was presented at Black Hat Asia this month.


[SideWinder](https://malpedia.caad.fkie.fraunhofer.de/actor/sidewinder), also called Rattlesnake or T-APT-04, is said to have been active since at least 2012 with a [track record](https://www.trendmicro.com/en_us/research/20/l/sidewinder-leverages-south-asian-territorial-issues-for-spear-ph.html) of targeting military, defense, aviation, IT companies, and legal firms in Central Asian countries such as Afghanistan, Bangladesh, Nepal, and Pakistan.


Kaspersky's APT trends report for Q1 2022 [published](https://securelist.com/apt-trends-report-q1-2022/106351/) late last month revealed that the threat actor is actively expanding the geography of its targets beyond its victim profile to other countries and regions, including Singapore.


SideWinder has also been observed [capitalizing](https://thehackernews.com/2022/04/multiple-hacker-groups-capitalizing-on.html) the ongoing Russo-Ukrainian war as a lure in its phishing campaigns to distribute malware and steal sensitive information.


[![SideWinder Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh0p1ZPzxAsNB6hmotD-WTVGa8kyL0ovXXDHgKRSbmlrjDMKvSrdDuhmzc_R9YBm5DK15rcH13bqJOxyeTqWXhw20IaaismfadwvEQMCb53R_GGwPKfqQ6l6DNU1gxIyez5YSn525rv7IbcnaIwMz4KZZljGx_RdrgM8RToAq4njh36-nMNTx_xGRYC/s728-e1000/infection-chain.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh0p1ZPzxAsNB6hmotD-WTVGa8kyL0ovXXDHgKRSbmlrjDMKvSrdDuhmzc_R9YBm5DK15rcH13bqJOxyeTqWXhw20IaaismfadwvEQMCb53R_GGwPKfqQ6l6DNU1gxIyez5YSn525rv7IbcnaIwMz4KZZljGx_RdrgM8RToAq4njh36-nMNTx_xGRYC/s728-e100/infection-chain.jpg)
The adversarial collective's infection chains are notable for incorporating malware-rigged documents that take advantage of a remote code vulnerability in the Equation Editor component of Microsoft Office ([CVE-2017-11882](https://www.trendmicro.com/vinfo/us/security/news/vulnerabilities-and-exploits/17-year-old-ms-office-flaw-cve-2017-11882-actively-exploited-in-the-wild)) to deploy malicious payloads on compromised systems. 


Furthermore, SideWinder's toolset employs several sophisticated obfuscation routines, encryption with unique keys for each malicious file, multi-layer malware, and splitting command-and-control (C2) infrastructure strings into different malware components.


The three-stage infection sequence commences with the rogue documents dropping a HTML Application (HTA) payload, which subsequently loads a .NET-based module to install a second-stage HTA component that's designed to deploy a .NET-based installer.


This installer, in the next phase, is both responsible for establishing persistence on the host and loading the final backdoor in memory. The implant, for its part, is capable of harvesting files of interest as well as system information, among others.


No fewer than 400 domains and subdomains have been put to use by the threat actor over the past two years. To add an additional layer of stealth, the URLs used for C2 domains are sliced into two parts, the first portion of which is included in the .NET installer and the latter half is encrypted inside the second stage HTA module.


"This threat actor has a relatively high level of sophistication using various infection vectors and advanced attack techniques," Noushin Shabab of Kaspersky said, urging that organizations use up-to-date versions of Microsoft Office to mitigate such attacks.


  





## Tags:
***CVE's***: CVE-2017-11882

### Autogenerated tags:
[[kaspersky]] [[malware]] [[hta]]
