# SolarMarker Malware Evolves to Resist Takedown Attempts with Multi-Tiered Infrastructure
## SolarMarker malware evolves with a multi-tiered infrastructure, making it harder for law enforcement to take down.
## Information:

+ Link: https://thehackernews.com/2024/05/solarmarker-malware-evolves-to-resist.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 21 May 2024, 18:37
+ Date scraped: 21 May 2024, 14:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiKDnmEKwvzLV2hL7i2IT8S_VQhFv6YwsXJibqHeluhcApde6rbg88bCohB453m2cTCkdc2cfiWD-9QqmXH58eqe16Xi-cYoDrekGAas2rovMyHR-AUzNlr-u5uAvVR3C_3nOAZ-e6qfZTDs6bd-Y25HtCe5xThuhKDr44buyCiEGZMWhQSC9Gx27LX2NfD/s728-rw-e365/may.png)


The persistent threat actors behind the **SolarMarker** information-stealing malware have established a multi-tiered infrastructure to complicate law enforcement takedown efforts, new findings from Recorded Future show.


"The core of SolarMarker's operations is its layered infrastructure, which consists of at least two clusters: a primary one for active operations and a secondary one likely used for testing new strategies or targeting specific regions or industries," the company [said](https://www.recordedfuture.com/exploring-the-depths-of-solarmarkers-multi-tiered-infrastructure) in a report published last week.


"This separation enhances the malware's ability to adapt and respond to countermeasures, making it particularly difficult to eradicate."


[SolarMarker](https://thehackernews.com/2021/08/solarmarker-infostealer-malware-once.html), known by the names Deimos, Jupyter Infostealer, Polazert, and Yellow Cockatoo, is a sophisticated threat that has [exhibited a continuous evolution](https://thehackernews.com/2023/11/new-jupyter-infostealer-version-emerges.html) since its emergence in September 2020. It has the capability to steal data from several web browsers and cryptocurrency wallets, as well as target VPN and RDP configurations.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Among the top targeted verticals are education, government, healthcare, hospitality, and small and medium-sized enterprises, per data gathered since September 2023. This includes prominent universities, government departments, global hotel chains, and healthcare providers. A majority of the victims are located in the U.S.


Over the years, the malware authors have focused their development efforts on making it more stealthy through increased payload sizes, the use of valid [Authenticode certificates](https://squiblydoo.blog/2023/05/12/certified-bad/), novel [Windows Registry changes](https://news.sophos.com/en-us/2022/02/01/solarmarker-campaign-used-novel-registry-changes-to-establish-persistence/), and the ability to run it directly from memory rather than disk.


[Infection pathways](https://resources.prodaft.com/solar-marker-report) typically involve hosting SolarMarker on bogus downloader sites advertising popular software that can be visited by a victim either inadvertently or due to search engine optimization (SEO) poisoning, or via a link in a malicious email.


The initial droppers take the form of executables (EXE) and Microsoft Software Installer (MSI) files that, when launched, lead to the deployment of a .NET-based backdoor that's responsible for downloading additional payloads for facilitating information theft.


[![SolarMarker Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgsVnRybky7-w_gx6BUmDsHmShVC82PIMoxJ8BV_-xXexLmdwfGXyj0DgDQ_ojir9gRZvvzAANKkvgOSpeU5oB-5o_XowhcOziCpU0d2VGCZbaOHe7_tnpvcGgxqui6fVM1J__QruQd0Tfj0luTyejc5wlH2oapQmQfCPpsv6ZCrOyEOOBBf9Yq40RjcFDE/s728-rw-e365/rf.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgsVnRybky7-w_gx6BUmDsHmShVC82PIMoxJ8BV_-xXexLmdwfGXyj0DgDQ_ojir9gRZvvzAANKkvgOSpeU5oB-5o_XowhcOziCpU0d2VGCZbaOHe7_tnpvcGgxqui6fVM1J__QruQd0Tfj0luTyejc5wlH2oapQmQfCPpsv6ZCrOyEOOBBf9Yq40RjcFDE/s728-rw-e365/rf.png)
Alternate sequences [leverage](https://thehackernews.com/2023/11/new-jupyter-infostealer-version-emerges.html) the counterfeit installers to drop a legitimate application (or a decoy file), while simultaneously launching a PowerShell loader for delivering and executing the SolarMarker backdoor in memory.


SolarMarker attacks over the past year have also involved the delivery of a Delphi-based hVNC backdoor called [SolarPhantom](https://www.esentire.com/blog/solarmarker-to-jupyter-and-back) that allows for remotely controlling a victim machine without their knowledge.


"In recent cases, SolarMarker's threat actor has alternated between Inno Setup and PS2EXE tools to generate payloads," cybersecurity firm eSentire [noted](https://www.esentire.com/blog/the-oncoming-wave-of-solarmarker) in February 2024.


As recently as two months ago, a new PyInstaller version of the malware was spotted in the wild propagated using a dishwasher manual as a decoy, according to a malware researcher who goes by the name [Squiblydoo](https://x.com/SquiblydooBlog/status/1773460064105320522) and has [extensively documented](https://squiblydoo.blog/blog/) SolarMarker over the years.


There is evidence to suggest that SolarMarker is the work of a lone actor of unknown provenance, although [prior research](https://blog.morphisec.com/jupyter-infostealer-backdoor-introduction) from Morphisec has alluded to a possible Russian connection.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
Recorded Future's investigation into the server configurations linked to the command-and-control (C2) servers has uncovered a multi-tiered architecture that is part of two broad clusters, one of which is likely used for testing purposes or for targeting specific regions or industries.


The layered infrastructure includes a set of Tier 1 C2 servers that are in direct contact with victim machines. These servers connect to a Tier 2 C2 server via port 443. Tier 2 C2 servers, similarly communicate with Tier 3 C2 servers via port 443, and Tier 3 C2 servers consistently connect to Tier 4 C2 servers via the same port.


"The Tier 4 server is considered the central server of the operation, presumably used for effectively administering all downstream servers on a long-term basis," the cybersecurity firm said, adding it also observed the Tier 4 C2 server communicating with another "auxiliary server" via port 8033.


"Although the precise purpose of this server remains unknown, we speculate that it is used for monitoring, possibly serving as a health check or backup server."


  





## Tags:


### Autogenerated tags:
[[solarmarker]] [[c2]] [[malware]]
