# Sophisticated BundleBot Malware Disguised as Google AI Chatbot and Utilities
## Beware of BundleBot, a stealthy malware strain that's stealing sensitive info from compromised hosts! It spreads through Facebook Ads.
## Information:

+ Link: https://thehackernews.com/2023/07/sophisticated-bundlebot-malware.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 21 July 2023, 17:40
+ Date scraped: 21 July 2023, 13:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEimi1MAV8WXp1KvCklxnHttUkti8pIWs5VMHXjKV31lpnjQ9Ag--puyJ1McU_6kdQxnzhyoohEJgGRvzpkSwWoCVyNOsQn-1lk5x10hZWn3lOc3itT7ylecUnPuyDUrNhP8D8pUpjAlRbmBX9ZXdBPddC3STpnsJatiICW923kMzPphE2qVovAK9nxv8xge/s728-e3650/hacking.jpg)


A new malware strain known as **BundleBot** has been stealthily operating under the radar by taking advantage of [.NET single-file deployment techniques](https://learn.microsoft.com/en-us/dotnet/core/deploying/single-file/overview), enabling threat actors to capture sensitive information from compromised hosts.


"BundleBot is abusing the dotnet bundle (single-file), self-contained format that results in very low or no static detection at all," Check Point [said](https://research.checkpoint.com/2023/byos-bundle-your-own-stealer/) in a report published this week, adding it is "commonly distributed via Facebook Ads and compromised accounts leading to websites masquerading as regular program utilities, AI tools, and games."


Some of these websites aim to mimic Google Bard, the company's conversational generative artificial intelligence chatbot, enticing victims into downloading a bogus RAR archive ("Google\_AI.rar") hosted on legitimate cloud storage services such as Dropbox.


The archive file, when unpacked, contains an executable file ("GoogleAI.exe"), which is the .NET single-file, self-contained application ("GoogleAI.exe") that, in turn, incorporates a DLL file ("GoogleAI.dll"), whose responsibility is to fetch a password-protected ZIP archive from Google Drive.


The extracted content of the ZIP file ("ADSNEW-1.0.0.3.zip") is another .NET single-file, self-contained application ("RiotClientServices.exe") that incorporates the BundleBot payload ("RiotClientServices.dll") and a command-and-control (C2) packet data serializer ("LirarySharing.dll").


"The assembly RiotClientServices.dll is a custom, new stealer/bot that uses the library LirarySharing.dll to process and serialize the packet data that are being sent to C2 as a part of the bot communication," the Israeli cybersecurity company said.


The binary artifacts employ custom-made obfuscation and junk code in a bid to resist analysis, and come with capabilities to siphon data from web browsers, capture screenshots, grab Discord tokens, information from Telegram, and Facebook account details.


Check Point said it also detected a second BundleBot sample that's virtually identical in all aspects barring the use of HTTPS to exfiltrate the information to a remote server in the form of a ZIP archive.


"The delivering method via Facebook Ads and compromised accounts is something that has been abused by threat actors for a while, still combining it with one of the capabilities of the revealed malware (to steal a victim's Facebook account information) could serve as a tricky self-feeding routine," the company noted.


[![Google AI Chatbot and Utilities](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhLAHsl3juy34rXjduP84-bn_CoF6YdKslkJaOKlVyTPQQ-XfdA5rANfRlQ6lWyOuBxUrZ_vAGGawrV5QJ11OE3xvWkP4dNxIjPJzMwnIXf8CwZq1TdPWDBzwgolTwNP-dMdbcf88qx9nBXlFkyopdxBk_UQ6BGXcCqJ4UXbjSsg4SmnoRDfJ1MOZR74J26/s728-e3650/ai.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhLAHsl3juy34rXjduP84-bn_CoF6YdKslkJaOKlVyTPQQ-XfdA5rANfRlQ6lWyOuBxUrZ_vAGGawrV5QJ11OE3xvWkP4dNxIjPJzMwnIXf8CwZq1TdPWDBzwgolTwNP-dMdbcf88qx9nBXlFkyopdxBk_UQ6BGXcCqJ4UXbjSsg4SmnoRDfJ1MOZR74J26/s728-e365/ai.jpg)
The development comes as Malwarebytes [uncovered](https://www.malwarebytes.com/blog/threat-intelligence/2023/07/criminals-target-businesses-with-malicious-extension-for-metas-ads-manager-and-accidentally-leak-stolen-accounts) a new campaign that employs sponsored posts and compromised verified accounts that impersonate Facebook Ads Manager to entice users into downloading rogue Google Chrome extensions that are designed to steal Facebook login information.


Users who click on the embedded link are prompted to download a RAR archive file containing an MSI installer file that, for its part, launches a batch script to spawn a new Google Chrome window with the malicious extension [loaded](https://thehackernews.com/2023/06/new-malware-campaign-leveraging-satacom.html) using the "--load-extension" flag -



> *start chrome.exe --load-extension="%~dp0/nmmhkkegccagdldgiimedpiccmgmiedagg4" "https://www.facebook.com/business/tools/ads-manager"*


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Join Today](https://thn.news/I26t1VFD)
"That custom extension is cleverly disguised as Google Translate and is considered 'Unpacked' because it was loaded from the local computer, rather than the Chrome Web Store," Jérôme Segura, director of threat intelligence at Malwarebytes, explained, noting it is "entirely focused on Facebook and grabbing important pieces of information that could allow an attacker to log into accounts."


The captured data is subsequently sent using the [Google Analytics API](https://thehackernews.com/2020/06/google-analytics-hacking.html) to get around content security policies ([CSPs](https://developer.mozilla.org/en-US/docs/Web/HTTP/CSP)) to mitigate cross-site scripting (XSS) and data injection attacks.


The threat actors behind the activity are suspected to be of Vietnamese origin, who have, in recent months, [exhibited](https://thehackernews.com/2023/05/vietnamese-threat-actor-infects-500000.html) [acute interest](https://thehackernews.com/2023/05/meta-takes-down-malware-campaign-that.html) in targeting Facebook business and advertising accounts. Over 800 victims worldwide have been impacted, with 310 of those located in the U.S.


"Fraudsters have a lot of time on their hands and spend years studying and understanding how to abuse social media and cloud platforms, where it is a constant arm's race to keep bad actors out," Segura said. "Remember that there is no silver bullet and anything that sounds too good to be true may very well be a scam in disguise."


  





## Tags:
***urls***: https://www.facebook.com/business/tools/ads-manager

### Autogenerated tags:
[[facebook]] [[google]] [[bundlebot]] [[single-file]] [[self-contained]]
