# Sophisticated DownEx Malware Campaign Targeting Central Asian Governments
## DownEx: The new fileless malware targeting Central Asian government organizations.
## Information:

+ Link: https://thehackernews.com/2023/05/sophisticated-downex-malware-campaign.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 May 2023, 18:35
+ Date scraped: 10 May 2023, 14:02

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhyQOKnVm6sPTco1hFOwgR-ipL_BqWZslhxVGKRJyVyi3wWAFzVnfHN_sE8XZdX4KahCnSqCzVnOdC9PLjIBF8KVof07Xpm2_7zPZzR7NIoNzDRWXc4Pac1LIKsA8t-hKkqnGfpY0X_3YuUqqpbo10LrlTjTQgKsJ_hlJsN_2g7G0OtoK0F5X9AKeMI/s728-e3650/malware.png)


Government organizations in Central Asia are the target of a sophisticated espionage campaign that leverages a previously undocumented strain of malware dubbed **DownEx**.


Bitdefender, in a [report](https://businessinsights.bitdefender.com/deep-dive-into-downex-espionage-operation-in-central-asia) shared with The Hacker News, said the activity remains active, with evidence likely pointing to the involvement of Russia-based threat actors.


The Romanian cybersecurity firm said it first detected the malware in a highly targeted attack aimed at foreign government institutions in Kazakhstan in late 2022. Subsequently, another attack was observed in Afghanistan.


The use of a diplomat-themed lure document and the campaign's focus on data exfiltration suggests the involvement of a state-sponsored group, although the exact identity of the hacking outfit remains indeterminate at this stage.


The initial intrusion vector for the campaign is suspected to be a spear-phishing email bearing a booby-trapped payload, which is a loader executable that masquerades as a Microsoft Word file.


Opening the attachment leads to the extraction of two files, including a decoy document that's displayed to the victim while a malicious HTML application (.HTA) with embedded VBScript code runs in the background.


The HTA file, for its part, is designed to establish contact with a remote command-and-control (C2) server to retrieve a next-stage payload. While the exact nature of the malware is not unknown, it's said to be a backdoor to establish persistence.


[![DownEx Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh2081Qg6EfIm_bLcBmigFMN_ouR8I8fnIaW-PQjKjwEHYgAxDjudZlb_L-9JEg0LvMlwS6zNFaz2wL464FiyCcUXqs0WmKnAX5T3LprTlfSjTavF05vkkLSMj_MMZ37xzNCyhA__LDIeWc-euG1P7BGIQx_kiloMQtm1f5GuX0VMpQmAJJA07ixuCq/s728-e365/c2c.png)
The attacks are also notable for employing a variety of custom tools for carrying out post-exploitation activities. This includes -


* Two C/C++-based binaries (wnet.exe and utility.exe) to enumerate all the resources on a network,
* A Python script (help.py) to establish an infinite communication loop with the C2 server and receive instructions to steal files with certain extensions, delete files created by other malware, and capture screenshots, and
* A C++-based malware (diagsvc.exe aka DownEx) that's chiefly designed to exfiltrate files to the C2 server


Two other variants of DownEx have also been earthed, the first of which executes an intermediate VBScript to harvest and transmit the files in the form of a ZIP archive.


The other version, which is downloaded via a VBE script (slmgr.vbe) from a remote server, eschews C++ for VBScript, but retains the same functionality as the former.


"This is a fileless attack – the DownEx script is executed in memory and never touches the disk," Bitdefender said. "This attack highlights the sophistication of a modern cyberattack. Cybercriminals are finding new methods for making their attacks more reliable."



  





## Tags:


### Autogenerated tags:
[[malware]] [[downex]] [[vbscript]] [[c2]]
