# SpectralBlur: New macOS Backdoor Threat from North Korean Hackers
## Cybersecurity experts unveil SpectralBlur, a new macOS backdoor with ties to North Korean malware.
## Information:

+ Link: https://thehackernews.com/2024/01/spectralblur-new-macos-backdoor-threat.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 05 January 2024, 21:05
+ Date scraped: 05 January 2024, 16:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhE5vc9SiyQBf8cf9mwADcBAklaBzW53ebVQD-Y08-Ygj4BOnQynsD-EMDXyrUYc_hChIXVRQFr9vVCZSL_0Rwa-PLEvlc2EjVgwg9cJ7HM5PlVcwWUQxPNlDWoORk5KXLV8WFixkPFq2DQ44X6gH8bKv3xryqjgLNl9JFDI-_JXwuazrtCH4LGeYQeP5P_/s728-rw-ft-e30/apple.jpg)


Cybersecurity researchers have discovered a new Apple macOS backdoor called **SpectralBlur** that overlaps with a known malware family that has been attributed to North Korean threat actors.


"SpectralBlur is a moderately capable backdoor that can upload/download files, run a shell, update its configuration, delete files, hibernate, or sleep, based on commands issued from the [command-and-control] server," security researcher Greg Lesnewich [said](https://g-les.github.io/yara/2024/01/03/100DaysofYARA_SpectralBlur.html).


The malware shares similarities with [KANDYKORN](https://thehackernews.com/2023/11/north-korean-hackers-tageting-crypto.html) (aka SockRacket), an advanced implant that functions as a remote access trojan capable of taking control of a compromised host.


It's worth noting that the KANDYKORN activity also intersects with another campaign orchestrated by the Lazarus sub-group known as BlueNoroff (aka TA444) which culminates in the deployment of a backdoor referred to as [RustBucket](https://thehackernews.com/2023/04/lazarus-subgroup-targeting-apple.html) and a late-stage payload dubbed [ObjCShellz](https://thehackernews.com/2023/11/n-korean-bluenoroff-blamed-for-hacking.html).


In recent months, the threat actor has been observed [combining disparate pieces of these two infection chains](https://thehackernews.com/2023/11/n-korean-hackers-mixing-and-matching.html), leveraging RustBucket droppers to deliver KANDYKORN.


The latest findings are another sign that North Korean threat actors are [increasingly setting their sights](https://thehackernews.com/2023/10/lazarus-group-targeting-defense-experts.html) on macOS to infiltrate high-value targets, particularly those within the cryptocurrency and the blockchain industries.


"TA444 keeps running fast and furious with these new macOS malware families," Lesnewich said.


Security researcher Patrick Wardle, who shared [additional insights](https://objective-see.org/blog/blog_0x78.html) into the inner workings of SpectralBlur, said the Mach-O binary was [uploaded](https://virustotal.com/gui/file/06c8c84fb0a85bdf3520608b0a5c910b77e3b8c1) to the VirusTotal malware scanning service in August 2023 from Colombia.


The functional similarities between KANDYKORN and SpectralBlur have raised the possibility that they may have been built by different developers keeping the same requirements in mind.


What makes the malware stand out are its attempts to hinder analysis and evade detection while using [grantpt](https://developer.apple.com/library/archive/documentation/System/Conceptual/ManPages_iPhoneOS/man3/grantpt.3.html) to set up a pseudo-terminal and execute shell commands received from the C2 server.


The disclosure comes as a total of 21 new malware families designed to target macOS systems, including ransomware, information stealers, remote access trojans, and nation-state-backed malware, were discovered in 2023, up from [13 identified in 2022](https://objective-see.org/blog/blog_0x71.html).


"With the continued growth and popularity of macOS (especially in the enterprise!), 2024 will surely bring a bevy of new macOS malware," Wardle [noted](https://objective-see.org/blog/blog_0x77.html).


  





## Tags:


### Autogenerated tags:
[[malware]] [[macos]] [[spectralblur]] [[kandykorn]]
