# Suspected Iranian Hackers Targeted Several Israeli Organizations for Espionage
## Iranian hackers have been linked to a series of attacks aimed at Israeli shipping, government, energy, and healthcare organizations as part of an espi
## Information:

+ Link: https://thehackernews.com/2022/08/suspected-iranian-hackers-targeted.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 23 August 2022, 11:44
+ Date scraped: 23 August 2022, 12:05

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiU0YAzMBS5SuMI1qARzbD7Hp1KiPccHnGVC_-cnYchCoWfiCC0JQHsKJNQanuW9IbaaY2nEsi1rSonM_Ek5lCT16xf2lxzwFKQw--9wQznjsrJglos8PEmFRSSErcSZ96SWCgz367DcvtoDWLqkhOnPSUNUfluwkZZWK9y3gE2E4-na4ZpCYd5JGXD/s728-e1000/iran.jpg)


A suspected Iranian threat activity cluster has been linked to attacks aimed at Israeli shipping, government, energy, and healthcare organizations as part of an espionage-focused campaign that commenced in late 2020.


Cybersecurity firm Mandiant is tracking the group under its uncategorized moniker **UNC3890**, which is believed to conduct operations that align with Iranian interests.


"The collected data may be leveraged to support various activities, from hack-and-leak, to enabling kinetic warfare attacks like those that have plagued the shipping industry in recent years," the company's Israel Research Team [noted](https://www.mandiant.com/resources/blog/suspected-iranian-actor-targeting-israeli-shipping).


Intrusions mounted by the group lead to the deployment of two proprietary pieces of malware: a "small but efficient" backdoor named SUGARUSH and a browser credential stealer called SUGARDUMP that exfiltrates password information to an email address associated with Gmail, ProtonMail, Yahoo, and Yandex.


Also employed is a network of command-and-control (C2) servers that host fake login pages impersonating legitimate platforms such as Office 365, LinkedIn, and Facebook that are designed to communicate with the targets as well as a watering hole that's believed to have singled out the shipping sector.


[![Israeli Organizations for Espionage](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEju3MxpNIT52MPH1xr31GL33nTN9a0ULf0JKApi4R5KzogZIk9oICpI8BLIF4v0tVwe9Pezf9GVI4unlGx_LhQB0aONVpdSAaKo-FxzA-5G3wovujDuGDQHb4X8f_vvO0hlyofktsPuZHPkXVXyBEbAlvtxz8xMU6e0vMrB0nN1KcEjvnddaZUc2vbk/s728-e1000/hacking.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEju3MxpNIT52MPH1xr31GL33nTN9a0ULf0JKApi4R5KzogZIk9oICpI8BLIF4v0tVwe9Pezf9GVI4unlGx_LhQB0aONVpdSAaKo-FxzA-5G3wovujDuGDQHb4X8f_vvO0hlyofktsPuZHPkXVXyBEbAlvtxz8xMU6e0vMrB0nN1KcEjvnddaZUc2vbk/s728-e100/hacking.jpg)
The watering hole, as of November 2021, was hosted on a login page of a legitimate Israeli shipping company, Mandiant pointed out, adding the malware transmitted preliminary data about the logged-in user to an attacker-controlled domain.


While the exact methodology for initial access remains unknown, it's suspected to involve a mix of watering holes, credential harvesting by masquerading as legitimate services, and fraudulent job offers for a software developer position at a data analytics firm LexisNexis.


"One of UNC3890's most recent endeavors to target victims includes the usage of a video commercial for AI-based robotic dolls, used as a lure to deliver SUGARDUMP," the researchers noted.


SUGARUSH, the second bespoke malware, works by establishing a connection with an embedded C2 server to execute arbitrary CMD commands issued by the attacker, granting the adversary full control over the victim's environment upon gaining initial access.


Other tools used by UNC3890 include the Metasploit penetration testing software and Unicorn, a publicly available utility for conducting a PowerShell downgrade attack and injecting shellcode into memory.


The group's connections to Iran stem from the use of Farsi language artifacts in the newest version of SUGARDUMP, the consistent targeting of Israeli entities that dovetails with other Iranian threat actor clusters, and the usage of the NorthStar C2 Framework.


  





## Tags:


### Autogenerated tags:
[[unc3890]] [[malware]] [[sugardump]] [[c2]]
