# SystemBC Malware's C2 Server Analysis Exposes Payload Delivery Tricks
## Cybersecurity experts reveal the inner workings of SystemBC's command-and-control (C2) server, a dangerous malware available on the dark web.
## Information:

+ Link: https://thehackernews.com/2024/01/systembc-malwares-c2-server-analysis.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 25 January 2024, 19:53
+ Date scraped: 25 January 2024, 15:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgmT4oebiU39WJIbm0njGRHOxTC4e6nzddiUfRpIJTrE4D0__lR_ig5LFzL5UQ4VXLDEC8gI24FuTaipmIyVYR2WI-qHlLIr3h394m7mnlvZLJHtN5WGmKPReTjVTjmx4u5Gsz9KYkjsrUzlM8UExO4nu63BxJWEah5TdrohQmoRPYj1_LTmn5XPZ-B6M1e/s728-rw-ft-e30/server.jpg)


Cybersecurity researchers have shed light on the command-and-control (C2) server of a known malware family called **SystemBC**.


"SystemBC can be purchased on underground marketplaces and is supplied in an archive containing the implant, a command-and-control (C2) server, and a web administration portal written in PHP," Kroll [said](https://www.kroll.com/en/insights/publications/cyber/inside-the-systembc-malware-server) in an analysis published last week.


The risk and financial advisory solutions provider said it has witnessed an increase in the use of malware throughout Q2 and Q3 2023.


SystemBC, [first observed](https://thehackernews.com/2023/08/new-systembc-malware-variant-targets.html) in the wild in 2018, allows threat actors to remote control a compromised host and deliver additional payloads, including trojans, Cobalt Strike, and ransomware. It also features support for launching ancillary modules on the fly to expand on its core functionality.


A standout aspect of the malware revolves around its use of SOCKS5 proxies to mask network traffic to and from C2 infrastructure, acting as a persistent access mechanism for post-exploitation.


Customers who end up purchasing SystemBC are provided with an installation package that includes the implant executable, Windows and Linux binaries for the C2 server, and a PHP file for rendering the C2 panel interface, alongside instructions in English and Russian that detail the steps and commands to run.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi0WW_jfnBi-Ypls6JWci6TfGaTrPung8tmLU4du8l0-gZuO0RKemSJBwdUrL7QOFkIMX8sp9-6DpdgaMbbEzVTUJ5zlIimG8OfktSw5Fv8DN2JU4tOW2tnwOnVsqpCcHvZiE_I9_sjmlCeWzXNBhSCf_9dpkTlnikyexvPN10467R5_uD0OanigKgw46Jm/s728-rw-ft-e30/c2.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi0WW_jfnBi-Ypls6JWci6TfGaTrPung8tmLU4du8l0-gZuO0RKemSJBwdUrL7QOFkIMX8sp9-6DpdgaMbbEzVTUJ5zlIimG8OfktSw5Fv8DN2JU4tOW2tnwOnVsqpCcHvZiE_I9_sjmlCeWzXNBhSCf_9dpkTlnikyexvPN10467R5_uD0OanigKgw46Jm/s728-rw-ft-e30/c2.jpg)
The C2 server executables -- "server.exe" for Windows and "server.out" for Linux -- are designed to open up no less than three TCP ports for facilitating C2 traffic, inter-process communication (IPC) between itself and the PHP-based panel interface (typically port 4000), and one for each active implant (aka bot).


The server component also makes use of three other files to record information regarding the interaction of the implant as a proxy and a loader, as well as details pertaining to the victims.


The PHP-based panel, on the other hand, is minimalist in nature and displays a list of active implants at any given point of time. Furthermore, it acts as a conduit to run shellcode and arbitrary files on a victim machine.



"The shellcode functionality is not only limited to a reverse shell, but also has full remote capabilities that can be injected into the implant at runtime, while being less obvious than spawning cmd.exe for a reverse shell," Kroll researchers said.


The development comes as the company also shared an analysis of an updated version of [DarkGate](https://thehackernews.com/2023/12/researchers-unveal-guloader-malwares.html) (version 5.2.3), a remote access trojan (RAT) that enables attackers to fully compromise victim systems, siphon sensitive data, and distribute more malware.


"The version of DarkGate that was analyzed shuffles the Base64 alphabet in use at the initialization of the program," security researcher Sean Straw [said](https://www.kroll.com/en/insights/publications/cyber/brute-forcing-darkgate-encodings). "DarkGate swaps the last character with a random character before it, moving from back to front in the alphabet."


Kroll said it identified a weakness in this custom Base64 alphabet that makes it trivial to decode the on-disk configuration and keylogging outputs, which are encoded using the alphabet and stored within an exfiltration folder on the system.


"This analysis enables forensic analysts to decode the configuration and keylogger files without needing to first determine the hardware ID," Straw said. "The keylogger output files contain keystrokes stolen by DarkGate, which can include typed passwords, composed emails and other sensitive information."


  





## Tags:


### Autogenerated tags:
[[c2]] [[malware]] [[systembc]] [[darkgate]] [[kroll]]
