# TA505 Hackers Using TeslaGun Panel to Manage ServHelper Backdoor Attacks
## Researchers detail TeslaGun, a previously undocumented software control panel used by the financially motivated cybercrime group TA505.
## Information:

+ Link: https://thehackernews.com/2022/09/ta505-hackers-using-teslagun-panel-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 06 September 2022, 09:57
+ Date scraped: 06 September 2022, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiyTD3JtJVZNg9Pu1C6uEtg9hUOlVxcFy9U3NRc0o3emA0KitDAKkV64NyFmXXiJTYJmqdThFeM4U4nM6kKsEYLH9N8c0TmvjP_yNaWaC6uqr_knrOIw_4vpHBuanTdhP_Wcmyy_Va7kt19zDd8-gQg0nqLMVH09CrwLMKjxanSUkcCK6dlKACP--TT/s728-e1000/hacking.jpg)


Cybersecurity researchers have offered insight into a previously undocumented software control panel used by a financially motivated threat group known as TA505.


"The group frequently changes its malware attack strategies in response to global cybercrime trends," Swiss cybersecurity firm PRODAFT [said](https://www.prodaft.com/resource/detail/ta505-ta505-groups-tesla-gun-depth-analysis) in a report shared with The Hacker News. "It opportunistically adopts new technologies in order to gain leverage over victims before the wider cybersecurity industry catches on."


Also tracked under the names Evil Corp, Gold Drake, Dudear, Indrik Spider, and SectorJ04, TA505 is an aggressive [Russian cybercrime syndicate](https://www.truesec.com/hub/blog/are-the-notorious-cyber-criminals-evil-corp-actually-russian-spies) behind the infamous Dridex banking trojan and which has been linked to a [number of ransomware campaigns](https://thehackernews.com/2022/06/evil-corp-cybercrime-group-shifts-to.html) in recent years. 


It's also said to be connected to the [Raspberry Robin attacks](https://thehackernews.com/2022/09/new-evidence-links-raspberry-robin.html) that emerged in September 2021, with similarities uncovered between the malware and Dridex.


[![TA505 Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEip8DfCPTVCyGY12BHlXVZL41JWmOI9EfEojxnSnbo43Y20zeFoZpAoxvf41GNv5BtW9tWbGGVvrRuAfY3dpeS9neMWX-VguaxWoG6rrBRctDgC1u4o5Ge0MXcGZek529MX0vF2qCEgqEGziXrYlxpj3HkIW6GEv38HatcsCXsGe267RhA6VY6pVfCN/s728-e1000/tool.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEip8DfCPTVCyGY12BHlXVZL41JWmOI9EfEojxnSnbo43Y20zeFoZpAoxvf41GNv5BtW9tWbGGVvrRuAfY3dpeS9neMWX-VguaxWoG6rrBRctDgC1u4o5Ge0MXcGZek529MX0vF2qCEgqEGziXrYlxpj3HkIW6GEv38HatcsCXsGe267RhA6VY6pVfCN/s728-e100/tool.jpg)
Other notable malware families associated with the group include [FlawedAmmyy](https://malpedia.caad.fkie.fraunhofer.de/details/win.flawedammyy), [Neutrino botnet](https://www.ptsecurity.com/ww-en/analytics/pt-esc-threat-intelligence/operation-ta505/), and a backdoor codenamed [ServHelper](https://blog.talosintelligence.com/2021/08/raccoon-and-amadey-install-servhelper.html), one variant of which is capable of downloading a remote access trojan called [FlawedGrace](https://thehackernews.com/2021/10/a-new-variant-of-flawedgrace-spreading.html).


The control panel, called TeslaGun, is said to be used by the adversary to manage the ServHelper implant, working as a command-and-control (C2) framework to commandeer the compromised machines.


Additionally, the panel offers the ability for the attackers to issue commands, not to mention send a single command to all victim devices in go or configure the panel such that a predefined command is automatically run when a new victim is added to the panel.


[![TA505 Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjyVMMCkX995VsRMFYL1pdyaxNrCo-Bdz1c0L7f5NJvbODvl8PbJMP_hPamtSY6ASFsWhBQSasjALs5aexDf2j_TOUvxI4psjpqTEctcl_euboxYVOzeEkaepE1bMwRKk6r-Fj9InnqVxsYwIxI6OUKgwtcBOvl1cXfu1MXk2cRi6wwOZ5V4MYTRgch/s728-e1000/infra.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjyVMMCkX995VsRMFYL1pdyaxNrCo-Bdz1c0L7f5NJvbODvl8PbJMP_hPamtSY6ASFsWhBQSasjALs5aexDf2j_TOUvxI4psjpqTEctcl_euboxYVOzeEkaepE1bMwRKk6r-Fj9InnqVxsYwIxI6OUKgwtcBOvl1cXfu1MXk2cRi6wwOZ5V4MYTRgch/s728-e100/infra.jpg)
"The TeslaGun panel has a pragmatic, minimalist design. The main dashboard only contains infected victim data, a generic comment section for each victim, and several options for filtering victim records," the researchers said.


Aside from using the panel, the threat actors are also known to employ a remote desktop protocol (RDP) tool to manually connect to the targeted systems via [RDP tunnels](https://www.mandiant.com/resources/blog/bypassing-network-restrictions-through-rdp-tunneling).


PRODAFT's analysis of TeslaGun victim data shows that the group's phishing and targeted campaigns have hit at least 8,160 targets since July 2020. A majority of those victims are located in the U.S. (3,667), followed by Russia (647), Brazil (483), Romania (444), and the U.K. (359).


"It is clear that TA505 is actively looking for online banking or retail users, including crypto-wallets and e-commerce accounts," the researchers noted, citing comments made by the adversarial group in the TeslaGun panel.


[![TA505 Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgbOJoOvkWHcp-tUYr3QnjukM6FK3XG3Q0MVf7IwDlCApAD9yg8VuvaUQkuw6DmGZnOpLOkHOV6yfW3WqIjFwADKKs75MdkiKfUmih03pdWg1Sje1QL8qxa9INUYUIQme5bWUWrpbTUigXCDlnQyfrfg6qp58tl-VBcXhDl4uypVeV6bscDz2m3zAXL/s728-e1000/victims.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgbOJoOvkWHcp-tUYr3QnjukM6FK3XG3Q0MVf7IwDlCApAD9yg8VuvaUQkuw6DmGZnOpLOkHOV6yfW3WqIjFwADKKs75MdkiKfUmih03pdWg1Sje1QL8qxa9INUYUIQme5bWUWrpbTUigXCDlnQyfrfg6qp58tl-VBcXhDl4uypVeV6bscDz2m3zAXL/s728-e100/victims.jpg)
The findings also come as the U.S. Department of Health and Human Services (HHS) warned of significant threats posed by the group to the health sector via data exfiltration attacks that aim to steal intellectual property and ransomware operations.


"Evil Corp has a wide set of highly-capable tools at their disposal," the agency's Health Sector Cybersecurity Coordination Center (HC3) [said](https://www.hhs.gov/about/agencies/asa/ocio/hc3/products/index.html) in an advisory published late last month.


"These are developed and maintained in-house, but are often used in conjunction with commodity malware, living-off-the-land techniques and common security tools that were designed for legitimate and lawful security assessments."


  





## Tags:


### Autogenerated tags:
[[cybersecurity]] [[malware]] [[teslagun]] [[ta505]]
