# TeamTNT's Silentbob Botnet Infecting 196 Hosts in Cloud Attack Campaign
## A highly aggressive cloud campaign by the TeamTNT group called Silentbob has infected 196 hosts
## Information:

+ Link: https://thehackernews.com/2023/07/teamtnts-silentbob-botnet-infecting-196.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 13 July 2023, 21:25
+ Date scraped: 13 July 2023, 16:02

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhHaH8oj5sS8THWq4FqfAvn3tAK7zniXoufh9yxOdGCD1wjAG5aB-BzjzEoTMOV4GjVfwJEHWZVTcOq3623mxCjRfI17kO9vDpjrcat2o_G9sj12PKKU8OPiHf_lsOlpit0P9CwmpyNv6JwJoVxZXYO6x_-wueudwW_m8Q1JEbexfXTahs0uBjzePucSupm/s728-e3650/aqa.jpg)


As many as 196 hosts have been infected as part of an aggressive cloud campaign mounted by the TeamTNT group called **Silentbob**.


"The botnet run by TeamTNT has set its sights on Docker and Kubernetes environments, Redis servers, Postgres databases, Hadoop clusters, Tomcat and Nginx servers, Weave Scope, SSH, and Jupyter applications," Aqua security researchers Ofek Itach and Assaf Morag [said](https://blog.aquasec.com/teamtnt-reemerged-with-new-aggressive-cloud-campaign) in a report shared with The Hacker News.


"The focus this time seems to be more on infecting systems and testing the botnet, rather than deploying cryptominers for profit."


The development arrives a week after the cloud security company [detailed](https://thehackernews.com/2023/07/silentbob-campaign-cloud-native.html) an intrusion set linked to the TeamTNT group that targets exposed JupyterLab and Docker APIs to deploy the Tsunami malware and hijack system resources to run a cryptocurrency miner.


The latest findings suggest a broader campaign and the use of a larger attack infrastructure than previously thought, including various shell scripts to steal credentials, deploy SSH backdoors, download additional payloads, and drop legitimate tools like [kubectl](https://kubernetes.io/docs/reference/kubectl/), [Pacu](https://rhinosecuritylabs.com/aws/pacu-open-source-aws-exploitation-framework/), and [Peirates](https://github.com/inguardians/peirates) to conduct reconnaissance of the cloud environment.


The attack chains are realized through the deployment of rogue container images hosted on Docker Hub, which are designed to scan the internet for misconfigured instances and infect the newly identified victims with Tsunami and a worm script to co-opt more machines into a botnet.


"This botnet is notably aggressive, rapidly proliferating across the cloud and targeting a wide array of services and applications within the Software Development Life Cycle (SDLC)," the researchers said. "It operates at an impressive speed, demonstrating remarkable scanning capability."


Tsunami uses the Internet Relay Chat ([IRC](https://en.wikipedia.org/wiki/Internet_Relay_Chat)) protocol to connect to the command-and-control (C2) server, which then issues commands to all the infected hosts under its control, thereby allowing the threat actor to maintain backdoor access.


What's more, the cryptomining execution is hidden using a rootkit called prochider to prevent it from being detected when a [ps command](https://man7.org/linux/man-pages/man1/ps.1.html) is run on the hacked system to retrieve the list of active processes.


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Claim Your Spot](https://thn.news/I26t1VFD)
"TeamTNT is scanning for credentials across multiple cloud environments, including AWS, Azure, and GCP," the researchers said. It's the latest evidence that the threat actors are upgrading their tradecraft.


"They are not only looking for general credentials but also specific applications such as Grafana, Kubernetes, Docker Compose, Git access, and NPM. Additionally, they are searching for databases and storage systems such as Postgres, AWS S3, Filezilla, and SQLite."


[![Silentbob Botnet](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgHImREuLjETJ05Q_XCPxwlrj9puH50U3o_8U5GR1BteU9aTilhLs9-I08jN6y01bFKsS2unyt8IlzET36Xi1LSEK4y_3CZZTnDcy0dzYN9Ty5laYH3qeQCIxzcbz-9pj6QlXi5s8dzP0vB7w1IgqrqKvzlvU10NzhQ371jSiaZSz9BxStYN3L9m2unYFFI/s728-e3650/ll.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgHImREuLjETJ05Q_XCPxwlrj9puH50U3o_8U5GR1BteU9aTilhLs9-I08jN6y01bFKsS2unyt8IlzET36Xi1LSEK4y_3CZZTnDcy0dzYN9Ty5laYH3qeQCIxzcbz-9pj6QlXi5s8dzP0vB7w1IgqrqKvzlvU10NzhQ371jSiaZSz9BxStYN3L9m2unYFFI/s728-e365/ll.jpg)
While there were circumstantial links connecting SCARLETEEL to TeamTNT, Aqua told The Hacker News that the intrusion set is in fact linked to the threat actor.


"This is another campaign by TeamTNT," Morag, lead data analyst at Aqua Nautilus research team, said. "The SCARLETEEL IP address, [45.9.148[.]221](https://www.virustotal.com/gui/ip-address/45.9.148.221/relations), was used just days ago in TeamTNT's IRC channel C2 server. The scripts are very similar and the TTPs are the same. It looks like TeamTNT never stopped attacking. If they ever retired, it was only for a brief moment."


  





## Tags:
***ipv4-adresses***: 45.9.148.221
***urls***: http://45.9.148.221

### Autogenerated tags:
[[teamtnt]] [[cloud]] [[botnet]]
