# The Evolving Tactics of Vidar Stealer: From Phishing Emails to Social Media
## Vidar stealer now uses throwaway accounts on social media platforms to retrieve the address of its command-and-control servers and steal information.
## Information:

+ Link: https://thehackernews.com/2023/01/the-evolving-tactics-of-vidar-stealer.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 05 January 2023, 08:48
+ Date scraped: 05 January 2023, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhQuZSiaxornSB1Ph7__9WstNaifLaa2QfLzI3Fpcmrxp6tHUpDDA5ugB5wnfu45ZI98kiImeMEVxFu5dWB7wrpzus5lc0uQRmetlf7kZOWUXliQbBS4aRXh3sZo9pvMrEIFMAR-qFAxZ4eDyxQsJkqdyQ3S7AsrGNQZwmTJcwuTPaELKqPn0HL3ESK/s728-rj-e3650/malware.jpg)


The notorious information-stealer known as **Vidar** is continuing to leverage popular social media services such as TikTok, Telegram, Steam, and Mastodon as an intermediate command-and-control (C2) server.


"When a user creates an account on an online platform, a unique account page that can be accessed by anyone is generated," AhnLab Security Emergency Response Center (ASEC) disclosed in a technical analysis [published](https://asec.ahnlab.com/en/44554/) late last month. "Threat actors write identifying characters and the C2 address in parts of this page."


In other words, the technique relies on actor-controlled throwaway accounts created on social media to retrieve the C2 address.


An advantage to this approach is that should the C2 server be taken down or blocked, the adversary can trivially get around the restrictions by setting up a new server and editing the account pages to allow the previously distributed malware to communicate with the server.


Vidar, first identified in 2018, is a [commercial](https://blog.cyble.com/2021/10/26/vidar-stealer-under-the-lens-a-deep-dive-analysis/) [off-the-shelf](https://asec.ahnlab.com/en/30875/) [malware](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/vidar-malware-launcher-concealed-in-help-file/) that's capable of harvesting a wide range of information from compromised hosts. It typically relies on delivery mechanisms like phishing emails and cracked software for propagation.


"After information collection is complete, the extorted information is compressed into a ZIP file, encoded in Base64, and transmitted to the C2 server," ASEC researchers said.


What's new in the latest version of the malware (version 56.1) is that the gathered data is encoded prior to exfiltration, a change from the previous variants that have been known to send the compressed file data in plaintext format.


[![Vidar](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgTEWdAmLObDXx6DgBfq5nAr0RdhGlH4ly6rCPYErRkd6Ti0CFvGv3D4lyN9giiv_L7KnrsDMe2z1e8PTuCLv_NQlfOHRE2gvwGCsYGbpHl7uAArr6gXf4o_gILY0ey9LfqKsBCDcDZAOB9rX0TK438B2XtD0gGXVm-T-vuZQNWtu0oyPpZeBUz_S6z/s728-rj-e365/malware.png)
"As Vidar uses famous platforms as the intermediary C2, it has a long lifespan," the researchers said. "A threat actor's account created six months ago is still being maintained and continuously updated."


The development comes amid recent findings that the malware is being distributed using a variety of methods, including malicious [Google Ads](https://thehackernews.com/2022/12/new-malvertising-campaign-via-google.html) and a [malware loader](https://thehackernews.com/2022/08/hackers-using-bumblebee-loader-to.html) dubbed [Bumblebee](https://research.checkpoint.com/2022/bumblebee-increasing-its-capacity-and-evolving-its-ttps/), the latter of which is attributed to a threat actor tracked as Exotic Lily and [Projector Libra](https://unit42.paloaltonetworks.com/bumblebee-malware-projector-libra/).

 Risk consulting firm Kroll, in an [analysis](https://www.kroll.com/en/insights/publications/cyber/threat-actors-google-ads-deploy-vidar-stealer) published last month, said it discovered an ad for the GIMP open source image editor that, when clicked from the Google search result, redirected the victim to a typosquatted domain hosting the Vidar malware.


If anything, the evolution of malware delivery methods in the threat landscape is in part a response to Microsoft's decision to block macros by default in Office files downloaded from the internet since July 2022.


This has led to an increase in the abuse of [alternative](https://thehackernews.com/2022/12/hacking-using-svg-files-to-smuggle-qbot.html) [file](https://thehackernews.com/2022/12/bluenoroff-apt-hackers-using-new-ways.html) [formats](https://thehackernews.com/2022/12/apt-hackers-turn-to-malicious-excel-add.html) like ISO, VHD, SVG, and XLL in email attachments to bypass Mark of the Web (MotW) protections and evade anti-malware scanning measures.


"Disk image files can bypass the MotW feature because when the files inside them are extracted or mounted, MotW is not inherited to the files," ASEC researchers [said](https://asec.ahnlab.com/en/44662/), detailing a Qakbot campaign that leverages a combination of HTML smuggling and VHD file to launch the malware.


  





## Tags:


### Autogenerated tags:
[[malware]] [[c2]] [[vidar]] [[asec]] [[motw]]
