# Threat Actors Turn to Sliver as Open Source Alternative to Popular C2 Frameworks
## New findings indicate that the Sliver C2 framework is gaining popularity among threat actors as a versatile alternative to traditional C2 tools.
## Information:

+ Link: https://thehackernews.com/2023/01/threat-actors-turn-to-sliver-as-open.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 23 January 2023, 09:54
+ Date scraped: 23 January 2023, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi0KuMZ1t9xqCDu4w156XXY_oqt3vh8M_rMSzPleSrBMeATilO_VBiRWDBlWOVMz6vkOP-X-u0tmYGfPdBB3l2jX7Y3q5XcdQt8L9FiHvsRWBmXFUsbrO16gUB-tNcmdA2C71-sJ-OnyfGBdBc8j_B-iUvBrYmSsW26a17VlySrPcr-giKVNISOgDCb/s728-rj-e3650/silver-c2.png)


The legitimate command-and-control (C2) framework known as Sliver is [gaining](https://thehackernews.com/2021/05/top-11-security-flaws-russian-spy.html) [more traction](https://thehackernews.com/2022/08/cybercrime-groups-increasingly-adopting.html) from threat actors as it emerges as an open source alternative to [Cobalt Strike](https://thehackernews.com/2022/11/google-identifies-34-cracked-versions.html) and Metasploit.


The findings come from Cybereason, which [detailed](https://www.cybereason.com/blog/sliver-c2-leveraged-by-many-threat-actors) its inner workings in an exhaustive analysis last week.


Sliver, developed by cybersecurity company BishopFox, is a Golang-based cross-platform post-exploitation framework that's designed to be used by security professionals in their red team operations.


Its myriad features for adversary simulation – including dynamic code generation, in-memory payload execution, and process injection – have also made it an appealing tool for threat actors looking to gain elevated access to the target system upon gaining an initial foothold.


[![Silver C2 Framework](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEishpEqvU7v2ZMnRGOlJTdKKdKCFZxGt9Zz5Oqjam3L0467KNGBd2oDPDOyeZeSXtk2ZghIdCtLSj0c63ZeXD0vzjfkyuOXvWGcbFDuV_XMvH3vSQDa8eXH9bFVDj0FVm3eCfQffXYH9EVQI_DC0e3pTaIuubC2m3erK73Ikbx60P6s0_RL2lRCw_be/s728-rj-e365/silver-1.png)
In other words, the software is used as a second-stage to conduct next steps of the attack chain after already compromising a machine using one of the initial intrusion vectors such as spear-phishing or exploitation of unpatched flaws.


"Silver C2 implant is executed on the workstation as stage two payload, and from [the] Sliver C2 server we get a shell session," Cybereason researchers Loïc Castel and Meroujan Antonyan said. "This session provides multiple methods to execute commands and other scripts or binaries."


A hypothetical attack sequence detailed by the Israeli cybersecurity company shows that Sliver could be leveraged for privilege escalation, following it up by credential theft and lateral movement to ultimately take over the domain controller for the exfiltration of sensitive data.

 Sliver has been weaponized in recent years by the Russia-linked [APT29](https://thehackernews.com/2021/05/top-11-security-flaws-russian-spy.html) group (aka Cozy Bear) as well as cybercrime operators like [Shathak](https://www.proofpoint.com/us/blog/security-briefs/ta551-uses-sliver-red-team-tool-new-activity) (aka TA551) and [Exotic Lily](https://thehackernews.com/2023/01/the-evolving-tactics-of-vidar-stealer.html) (aka Projector Libra), the latter of which is attributed to the Bumblebee malware loader.


[![Silver C2 Framework](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjEL8WmoS86_zoz59L8il6UhJTcyY5KkU1skyYB1MSGkNtK4w94-bVgPNidSGXNblfwzw-1ep3TdKV-EuUs1sLr7HY61qy4U5x_wjMGpEWerJuUUcxfFH06rYXNeWbyXQsgyTf1orfMWua46tuyBSxBTh8YcXTG2K_Mu7FrUXQywZxHiadZ0oxTcgmQ/s728-rj-e365/silver-2.png)
That said, Sliver is far from the only open source framework to be exploited for malicious ends. Last month, Qualys [disclosed](https://blog.qualys.com/vulnerabilities-threat-research/2022/12/12/dissecting-the-empire-c2-framework) how several hacking groups, including [Turla](https://thehackernews.com/2023/01/russian-turla-hackers-hijack-decade-old.html), [Vice Society](https://thehackernews.com/2022/12/vice-society-ransomware-attackers-adopt.html), and [Wizard Spider](https://thehackernews.com/2022/07/trickbot-malware-shifted-its-focus-on.html), have utilized Empire for post-exploitation and to expand their foothold in victim environments.


"Empire is an impressive post exploitation framework with expansive capabilities," Qualys security researcher Akshat Pradhan said. "This has led to it becoming a frequent favorite toolkit of several adversaries."


  





## Tags:


### Autogenerated tags:
[[c2]]
