# TrickBot Malware Abusing Hacked IoT Devices as Command-and-Control Servers
## Microsoft explains how TrickBot malware is utilizing hacked IoT devices to serve as command-and-control servers.
## Information:

+ Link: https://thehackernews.com/2022/03/trickbot-malware-abusing-hacked-iot.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 17 March 2022, 10:05
+ Date scraped: 17 March 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEjtABJtT4zheeL0GMjWhl2OjB3Do_4F7ldpyEPdM_cfDSLIJU8NaQk_VLf7iknCvtaVVH7IC21zhlVJUfWSa8SxMjevGqJqVH0JW480uIDFhKz-M107U4ZX5oOYC_HkCLNPWd1C_B_whSRDYpoJVl-EjsCQcwPGktu3RIhNMEVHcvuB5EOa4PO0ebGT)


Microsoft on Wednesday detailed a previously undiscovered technique put to use by the TrickBot malware that involves using compromised Internet of Things (IoT) devices as a go-between for establishing communications with the command-and-control (C2) servers.


"By using MikroTik routers as proxy servers for its C2 servers and redirecting the traffic through non-standard ports, TrickBot adds another persistence layer that helps malicious IPs evade detection by standard security systems," Microsoft's Defender for IoT Research Team and Threat Intelligence Center (MSTIC) [said](https://www.microsoft.com/security/blog/2022/03/16/uncovering-trickbots-use-of-iot-devices-in-command-and-control-infrastructure/).


TrickBot, which emerged as a banking trojan in 2016, has evolved into a sophisticated and persistent threat, with its modular architecture enabling it to adapt its tactics to suit different networks, environments, and devices as well as offer access-as-a-service for next-stage payloads like Conti ransomware.


The expansion to TrickBot's capabilities comes amid reports of its [infrastructure going offline](https://thehackernews.com/2022/03/trickbot-malware-gang-upgrades-its.html), even as the botnet has continually refined its features to make its attack framework durable, evade reverse engineering, and maintain the stability of its C2 servers.


[![](https://thehackernews.com/new-images/img/a/AVvXsEgmGbCwyvXca5lxmYnBKqNHp3ZW7Dy8L-XgAoMIE9Iq7RI3R9zdqxbDadh7h3INXYIN9js-Gkv7LQZkw19gcdGmfwTG_L-Gf_49W2twor70-cQeXueqbJAOyAkidVFe_61dAjyh2txEdU2IXT8yqDJiqa0s_JIFj9GmBlKKB0DJocVyZR9wKRUimXAl)](https://thehackernews.com/new-images/img/a/AVvXsEgmGbCwyvXca5lxmYnBKqNHp3ZW7Dy8L-XgAoMIE9Iq7RI3R9zdqxbDadh7h3INXYIN9js-Gkv7LQZkw19gcdGmfwTG_L-Gf_49W2twor70-cQeXueqbJAOyAkidVFe_61dAjyh2txEdU2IXT8yqDJiqa0s_JIFj9GmBlKKB0DJocVyZR9wKRUimXAl)
Specifically, the new method identified by MSTIC involves leveraging hacked IoT devices such as routers from MikroTik to "create a line of communication between the TrickBot-affected device and the C2 server."


This also entails breaking into the routers by using a combination of methods, namely default passwords, brute-force attacks, or exploiting a now-patched flaw in MikroTik RouterOS ([CVE-2018-14847](https://blog.mikrotik.com/security/winbox-vulnerability.html)), followed by changing the router's password to maintain access.


In the next step, the attackers then [issue](https://github.com/microsoft/routeros-scanner) a network address translation (NAT) command that's designed to redirect traffic between ports 449 and 80 in the router, establishing a path for the TrickBot-infected hosts to communicate with the C2 server.


"As security solutions for conventional computing devices continue to evolve and improve, attackers will explore alternative ways to compromise target networks," the researchers said. "Attack attempts against routers and other IoT devices are not new, and being unmanaged, they can easily be the weakest links in the network."


  





## Tags:
***CVE's***: CVE-2018-14847

### Autogenerated tags:
[[c2]] [[trickbot]] [[iot]] [[mikrotik]]
