# Trickbot Malware Targeted Customers of 60 High-Profile Companies Since 2020
## Trickbot malware has been targeting customers of 60 high-profile companies since 2020, including cryptocurrency and technology companies.
## Information:

+ Link: https://thehackernews.com/2022/02/trickbot-malware-targeted-customers-of.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 16 February 2022, 14:03
+ Date scraped: 16 February 2022, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEgZYDR-u4FcEKPRyReJMiA5y630xmruGK6Gi1jZoN2dBTX1e6Gg9L8RkxMw_t6HKxBi0W865oHSjKo2rAjoGaGX4ME7vrZTQ1qDVJBaeG9oSfHjvY0uYUQ8XmDGs94-2qO3atuP9_23jNfEDIoXrKN7ngv0Rad98JQ_tK2U77kfb1_iKnEPF5iqX7z1=s728-e1000)


The notorious TrickBot malware is targeting customers of 60 financial and technology companies, including cryptocurrency firms, primarily located in the U.S., even as its operators have updated the botnet with new anti-analysis features.


"TrickBot is a sophisticated and versatile malware with more than 20 modules that can be downloaded and executed on demand," Check Point researchers Aliaksandr Trafimchuk and Raman Ladutska [said](https://research.checkpoint.com/2022/a-modern-ninja-evasive-trickbot-attacks-customers-of-60-high-profile-companies/) in a report published today.


In addition to being both prevalent and persistent, TrickBot has [continually](https://thehackernews.com/2021/12/140000-reasons-why-emotet-is.html) [evolved](https://thehackernews.com/2022/01/trickbot-malware-using-new-techniques.html) its tactics to go past security and detection layers. To that end, the malware's "injectDll" web-injects module, which is responsible for stealing banking and credential data, leverages anti-deobfuscation techniques to crash the web page and thwart attempts to scrutinize the source code.


Also put in place are anti-analysis guardrails to prevent security researchers from sending automated requests to command-and-control (C2) servers to retrieve fresh web injects.


[![Trickbot Malware](https://thehackernews.com/new-images/img/a/AVvXsEi1MEIEt5beVkkwN7pa1KdC8AnxCNHrI5ktk4495-MJ5ErkTAVyv-Ps0-2W4Lh0_gflv-9nv3DTdPnTfGF_BWWDLxlsjllLoeG7bAHpdqo678kvodlSXw5mXN-3C_zEum7Wpulr68CsQtecPuJfebMA4TjRnvDz5m00tf4eqVsLSj8-kq47TrT6w3K1=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEi1MEIEt5beVkkwN7pa1KdC8AnxCNHrI5ktk4495-MJ5ErkTAVyv-Ps0-2W4Lh0_gflv-9nv3DTdPnTfGF_BWWDLxlsjllLoeG7bAHpdqo678kvodlSXw5mXN-3C_zEum7Wpulr68CsQtecPuJfebMA4TjRnvDz5m00tf4eqVsLSj8-kq47TrT6w3K1)
Another of TrickBot's key strengths is its ability to propagate itself, which it achieves by using the "tabDLL" module to steal the users' credentials and spread the malware via SMBv1 network share using the [EternalRomance](https://thehackernews.com/2017/04/window-zero-day-patch.html) exploit.


A third crucial module deployed as part of TrickBot infections is "pwgrabc," a credential stealer designed to siphon passwords from web browsers and a number of other applications such as Outlook, Filezilla, WinSCP, RDP, Putty, OpenSSH, OpenVPN, and TeamViewer.


"TrickBot attacks high-profile victims to steal the credentials and provide its operators access to the portals with sensitive data where they can cause greater damage," the researchers said, adding "the operators behind the infrastructure are very experienced with malware development on a high level as well."


The findings also come as the TrickBot gang was disclosed as employing [metaprogramming methods](https://securityintelligence.com/posts/trickbot-gang-template-based-metaprogramming-bazar-malware/) for its [Bazar family of malware](https://www.cybereason.com/blog/a-bazar-of-tricks-following-team9s-development-cycles) to conceal their code and protect against reverse engineering with the ultimate goal of evading signature-based detection.


  






## Tags:


### Autogenerated tags:
[[trickbot]] [[malware]]
