# U.S. Cybersecurity Agency Raises Alarm Over Royal Ransomware's Deadly Capabilities
## Royal ransomware is back and targeting US and international organizations! It infiltrates networks, disables antivirus software.
## Information:

+ Link: https://thehackernews.com/2023/03/us-cybersecurity-agency-raises-alarm.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 03 March 2023, 06:42
+ Date scraped: 03 March 2023, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiyVC2LsN57tB9XJRGYHrmpxNwjwDpbvMCbgfplm_rradiP1DjpT-TJgmf1a9JrHrlgtwoGD0e56KKEhyoI_tdb0IUJWMTLYX4NQkRD8ef26XlildwqqDhNYhDXJQaTuKr4NWz0TrsjLRSsu0GQpswpD9WKy42hfB9Dw8FgmdLU10qIcoi657y9oxCh/s728-e3650/royal-ransomware.png)


The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has [released](https://www.cisa.gov/news-events/alerts/2023/03/02/fbi-and-cisa-release-stopransomware-royal-ransomware) a new advisory about [Royal ransomware](https://thehackernews.com/2022/12/royal-ransomware-threat-takes-aim-at-us.html), which emerged in the threat landscape last year.


"After gaining access to victims' networks, Royal actors disable antivirus software and exfiltrate large amounts of data before ultimately deploying the ransomware and encrypting the systems," CISA [said](https://www.cisa.gov/news-events/cybersecurity-advisories/aa23-061a).


The custom [ransomware program](https://www.trendmicro.com/en_us/research/23/b/ransomware-evolution-part-3.html), which has targeted U.S. and international organizations since September 2022, is believed to have evolved from earlier iterations that were dubbed Zeon. 


What's more, it's said to be [operated](https://thehackernews.com/2022/12/vice-society-ransomware-attackers-adopt.html) by seasoned threat actors who used to be part of Conti Team One, cybersecurity company Trend Micro disclosed in December 2022.


The ransomware group employs call back phishing as a means of delivering their ransomware to victims, a technique [widely adopted](https://thehackernews.com/2022/08/conti-cybercrime-cartel-using-bazarcall.html) by criminal groups that splintered from the Conti enterprise last year following its shutdown.


Other modes of initial access include remote desktop protocol (RDP), exploitation of public-facing applications, and via initial access brokers (IABs).


Ransom demands made by Royal vary from $1 million to $11 million, with attacks targeting a variety of critical sectors, including communications, education, healthcare, and manufacturing.


"Royal ransomware uses a unique partial encryption approach that allows the threat actor to choose a specific percentage of data in a file to encrypt," CISA noted. "This approach allows the actor to lower the encryption percentage for larger files, which helps evade detection."

 The cybersecurity agency said multiple command-and-control (C2) servers associated with [Qakbot](https://thehackernews.com/2022/12/hacking-using-svg-files-to-smuggle-qbot.html) have been utilized in Royal ransomware intrusions, although it's currently undetermined if the malware exclusively relies on Qakbot infrastructure.


The intrusions are also characterized by the use of Cobalt Strike and PsExec for lateral movement as well as deleting shadow copies to prevent system recovery. Cobalt Strike is also repurposed for data aggregation and exfiltration.


As of February 2023, Royal ransomware is [capable](https://www.kroll.com/en/insights/publications/cyber/royal-ransomware-deep-dive) of targeting both Windows and Linux environments. It has been [linked](https://www.malwarebytes.com/blog/business/2023/02/ransomware-in-february-2023) to 19 attacks in the month of January 2023 alone, putting it behind LockBit, ALPHV, and Vice Society.



  





## Tags:


### Autogenerated tags:
[[ransomware]] [[cybersecurity]] [[cisa]]
