# U.S. DoJ Dismantles Warzone RAT Infrastructure, Arrests Key Operators
## U.S. shut down Warzone RAT, a tool used for data theft and remote control. Two individuals face charges.
## Information:

+ Link: https://thehackernews.com/2024/02/us-doj-dismantles-warzone-rat.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 11 February 2024, 16:24
+ Date scraped: 11 February 2024, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjUXEKTnOYM_YsJ_LE6GkDNuae-rQXTZcnr-j9S1TYcdN7g_JfV0mFkPbieFs4U1JhhKJdd4031VjX2K3lqlTpKYW_ff32eV9jNUWYF6qmaEEmEi4AHXXGvdsAg-UUvcUO8Q810V-NbyuC7QN0UyJjgS6usBJTlYZd2QGUF044auS0zPahujlIlHtmGBWU9/s728-rw-e30/warzone.jpg)


The U.S. Justice Department (DoJ) on Friday announced the seizure of online infrastructure that was used to sell a remote access trojan (RAT) called **Warzone RAT**.


The domains – [www.warzone[.]ws](https://web.archive.org/web/20230702215535/https://warzone.ws/) and three others – were "used to sell computer malware used by cybercriminals to secretly access and steal data from victims' computers," the DoJ [said](https://www.justice.gov/opa/pr/international-cybercrime-malware-service-dismantled-federal-authorities-key-malware-sales).


Alongside the takedown, the international law enforcement effort has arrested and indicted two individuals in Malta and Nigeria for their involvement in selling and supporting the malware and helping other cybercriminals use the RAT for malicious purposes.


The defendants, Daniel Meli (27) and Prince Onyeoziri Odinakachi (31) have been charged with unauthorized damage to protected computers, with the former also accused of "illegally selling and advertising an electronic interception device and participating in a conspiracy to commit several computer intrusion offenses."


Meli is alleged to have offered malware services at least since 2012 through online hacking forums, sharing e-books, and helping other criminals use RATs to carry out cyber attacks. Prior to Warzone RAT, he had sold another RAT known as Pegasus RAT.


Like Meli, Odinakachi also provided online customer support to purchasers of Warzone RAT malware between June 2019 and no earlier than March 2023. Both individuals were arrested on February 7, 2024.


Warzone RAT, also known as Ave Maria, was [first documented](https://yoroi.company/en/research/the-ave_maria-malware/) by Yoroi in January 2019 as part of a cyber attack targeting an Italian organization in the oil and gas sector towards the end of 2018 using phishing emails bearing bogus Microsoft Excel files exploiting a known security flaw in the Equation Editor ([CVE-2017-11882](https://thehackernews.com/2023/12/hackers-exploiting-old-ms-excel.html)).


Sold under the malware-as-a-service (Maas) model for $38 a month (or $196 for a year), it [functions](https://blog.morphisec.com/threat-alert-ave-maria-infostealer-on-the-rise-with-new-stealthier-delivery) as an [information stealer](https://www.splunk.com/en_us/blog/security/defending-the-gates-understanding-and-detecting-ave-maria-warzone-rat.html) and facilitates remote control, thereby allowing threat actors to commandeer the infected hosts for follow-on exploitation.


Some of the notable features of the malware include the ability to browse victim file systems, take screenshots, record keystrokes, steal victim usernames and passwords, and activate the computer's webcams without the victim's knowledge or consent.


"Ave Maria attacks are initiated via phishing emails, once the dropped payload infects the victim's machine with the malware, it establishes communication with the attacker's command-and-control (C2) server on non-HTTP protocol, after decrypting its C2 connection using RC4 algorithm," Zscaler ThreatLabz [said](https://www.zscaler.com/blogs/security-research/dynamic-approaches-seen-avemaria-s-distribution-strategy) in early 2023.


On one of the now-dismantled websites, which had the tagline "Serving you loyally since 2018," the developers of the C/C++ malware described it as reliable and easy to use. They also provided the ability for customers to [contact](https://web.archive.org/web/20230610073047/https://warzone.ws/contact.html) them via email (solmyr@warzone[.]ws), Telegram ([@solwz](https://t.me/solwz) and [@sammysamwarzone](https://t.me/daniel96420)), Skype (vuln.hf), as well as via a dedicated "[client area](https://web.archive.org/web/20230925092614/https://warzone.ws/customer/)."


An additional contact avenue was Discord, where the users were asked to get in touch with an account with the ID Meli#4472. Another Telegram account linked to Meli was [@daniel96420](https://t.me/daniel96420).


Outside of [cybercrime groups](https://thehackernews.com/2023/06/multistorm-campaign-targets-india-and.html), the malware has also been put to use by several advanced threat actors like [YoroTrooper](https://thehackernews.com/2023/03/yorotrooper-stealing-credentials-and.html) as well as those associated with [Russia](https://thehackernews.com/2023/04/russian-hackers-tomiris-targeting.html) over the past year.


The DoJ said the U.S. Federal Bureau of Investigation (FBI) covertly purchased copies of Warzone RAT and confirmed its nefarious functions. The coordinated exercise involved assistance from authorities in Australia, Canada, Croatia, Finland, Germany, Japan, Malta, the Netherlands, Nigeria, Romania, and Europol.


  





## Tags:
***CVE's***: CVE-2017-11882
***email-adresses***: emailsolmyr@warzone.ws
***urls***: http://warzone.ws http://www.warzone.ws

### Autogenerated tags:
[[malware]] [[warzone]] [[meli]] [[doj]]
