# UAC-0099 Using WinRAR Exploit to Target Ukrainian Firms with LONEPAGE Malware
## Threat actor UAC-0099 continues to target Ukraine with cyberattacks. They exploit a critical WinRAR flaw to deliver the dangerous LONEPAGE malware.
## Information:

+ Link: https://thehackernews.com/2023/12/uac-0099-using-winrar-exploit-to-target.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 22 December 2023, 13:16
+ Date scraped: 22 December 2023, 08:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgxQzFg5i47dE3nOSA1zDH988S8thIGt9PvP9kYJ-PdlWodYdrBCB8dFCl0tunmMP0_4U7AP0VLccwFQ4xiSWxNTM9c4NGhp6-EB0QsJYpV3PbI2uRifXA2dQLBc9CLzEQl0DJPXv9LSCTzpBWGrVxT0Hm9SwsibLLc7NQQVJ3S1axQ9zsLedcBHvkkDu4r/s728-rw-ft-e30/malware.jpg)


The threat actor known as **UAC-0099** has been linked to continued attacks aimed at Ukraine, some of which leverage a high-severity flaw in the WinRAR software to deliver a malware strain called LONEPAGE.


"The threat actor targets Ukrainian employees working for companies outside of Ukraine," cybersecurity firm Deep Instinct [said](https://www.deepinstinct.com/blog/threat-actor-uac-0099-continues-to-target-ukraine) in a Thursday analysis.


UAC-0099 was [first documented](https://thehackernews.com/2023/07/picassoloader-malware-used-in-ongoing.html) by the Computer Emergency Response Team of Ukraine (CERT-UA) in June 2023, detailing its attacks against state organizations and media entities for espionage motives.


 UPCOMING WEBINAR  [Beat AI-Powered Threats with Zero Trust - Webinar for Security Professionals](https://thehacker.news/zero-trust-attack-surface?source=inside)  Traditional security measures won't cut it in today's world. It's time for Zero Trust Security. Secure your data like never before.

 [Join Now](https://thehacker.news/zero-trust-attack-surface?source=inside) 
The attack chains leveraged phishing messages containing HTA, RAR, and LNK file attachments that led to the deployment of [LONEPAGE](https://cert.gov.ua/article/4818341), a Visual Basic Script (VBS) malware that's capable of contacting a command-and-control (C2) server to retrieve additional payloads such as keyloggers, stealers, and screenshot malware.


"During 2022-2023, the mentioned group received unauthorized remote access to several dozen computers in Ukraine," CERT-UA said at the time.


The latest analysis from Deep Instinct reveals that the use of HTA attachments is just one of three different infections, the other two of which leverage self-extracting (SFX) archives and bobby-trapped ZIP files, which exploit the [WinRAR vulnerability](https://thehackernews.com/2023/08/winrar-security-flaw-exploited-in-zero.html) (CVE-2023-38831, CVSS score: 7.8) to distribute LONEPAGE.


[![WinRAR Vulnerability](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhVex05xGg2L6eIctOf9nT0twruTHa7Kg5IJbZhKjeSRHyWPbiJeaKlpRRBoe9apY41Hg92ep-i0Nm8nYxgw-6f0371l_qEykZqr2ePKuiNWYi0DMQz7FbH_sf5B0g5sfGI-xnP7GWzPsCJxaYrQ_rA2XJNulsSitZoiOOaifgTrngLwyUjkgUZIk-TppJP/s728-rw-ft-e30/hacking.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhVex05xGg2L6eIctOf9nT0twruTHa7Kg5IJbZhKjeSRHyWPbiJeaKlpRRBoe9apY41Hg92ep-i0Nm8nYxgw-6f0371l_qEykZqr2ePKuiNWYi0DMQz7FbH_sf5B0g5sfGI-xnP7GWzPsCJxaYrQ_rA2XJNulsSitZoiOOaifgTrngLwyUjkgUZIk-TppJP/s728-rw-ft-e30/hacking.jpg)
In the former, the SFX file houses an LNK shortcut that's disguised as a DOCX file for a court summons while using the icon for Microsoft WordPad to entice the victim into opening it, resulting in the execution of malicious PowerShell code that drops the LONEPAGE malware.


The other attack sequence uses a specially crafted ZIP archive that's susceptible to CVE-2023-38831, with Deep Instinct finding two such artifacts created by UAC-0099 on August 5, 2023, three days after WinRAR maintainers [released a patch](https://thehackernews.com/2023/08/new-winrar-vulnerability-could-allow.html) for the bug.


"The tactics used by 'UAC-0099' are simple, yet effective," the company said. "Despite the different initial infection vectors, the core infection is the same — they rely on PowerShell and the creation of a scheduled task that executes a VBS file."


The development comes as CERT-UA [warned](https://cert.gov.ua/article/4818341) of a new wave of phishing messages purporting to be outstanding Kyivstar dues to propagate a remote access trojan known as Remcos RAT. The agency attributed the campaign to [UAC-0050](https://thehackernews.com/2023/11/russian-cyber-espionage-group-deploys.html).


  





## Tags:
***CVE's***: CVE-2023-38831

### Autogenerated tags:
[[malware]] [[lonepage]] [[uac-0099]] [[winrar]] [[cert-ua]]
