# Ukrainian Military Targeted in Phishing Campaign Leveraging Drone Manuals
## Ukrainian military hit by a phishing campaign using drone manuals as bait to deliver a Go-based open-source post-exploitation toolkit called Merlin.
## Information:

+ Link: https://thehackernews.com/2023/09/ukrainian-military-targeted-in-phishing.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 25 September 2023, 18:35
+ Date scraped: 25 September 2023, 14:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhDLdlkww9ikct9bHJE_XUxs1DLmdKFnNmu-n8-9cKQRh__llnCwkrjs1w2SktC-xW70M7pAFRNH5r3qM1IX98QcGgTLqxagDgbYwsnLaJ9JLVHzVb7dCIxVnZpeTW6daXM19m79P1mJDb28uOhbXZTgnJhZX02gF2Vwbb1cyQUPywlVpzVRnm-QcANK8PR/s728-e3650/powershell.jpg)


Ukrainian military entities are the target of a phishing campaign that leverages drone manuals as lures to deliver a Go-based open-source post-exploitation toolkit called Merlin.


"Since drones or Unmanned Aerial Vehicles (UAVs) have been an integral tool used by the Ukrainian military, malware-laced lure files themed as UAVs service manuals have begun to surface," Securonix researchers Den Iuzvyk, Tim Peck, and Oleg Kolesnikov said in a [report](https://www.securonix.com/blog/threat-labs-security-advisory-new-starkvortex-attack-campaign-threat-actors-use-drone-manual-lures-to-deliver-merlinagent-payloads/) shared with The Hacker News.


The cybersecurity company is tracking the campaign under the name **STARK#VORTEX**.


The starting point of the attack is a Microsoft Compiled HTML Help (CHM) file that, when opened, runs malicious JavaScript embedded inside one of the HTML pages to execute PowerShell code designed to contact a remote server to fetch an obfuscated binary.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjPYBKMZbU-7Y7Kg3jq6dgh_5dNBqpJMQZyBnu7A58Cl9-Hf3Zqlp6O7GKltaeaspPcedrN2-3WCGOvSx55C92iJOqEdWBLCE6RGwVakDy6TsH2P4xv2Vcu4oSW3hat-7_q1c_MTiOdDXb3niTcU9DAgkJ__W9jQIcIDRZOA7cx6KqCxchAOHDOf8wyQIda/s728-e365/bb-d.png)](https://thn.news/iEqhOvqh)
The Windows-based payload is decoded to extract the [Merlin Agent](https://merlin-c2.readthedocs.io/en/latest/quickStart/agent.html), which, in turn, is configured to communicate with a command-and-control (C2) server for post-exploitation actions, effectively seizing control over the host.


"While the attack chain is quite simple, the attackers leveraged some pretty complex TTPs and obfuscation methods in order to evade detection," the researchers said.


This is the first time Ukrainian government organizations have been targeted using Merlin. In early August 2023, the Computer Emergency Response Team of Ukraine (CERT-UA) [disclosed](https://thehackernews.com/2023/08/russian-hackers-use-zulip-chat-app-for.html) a similar attack chain that employs CHM files as decoys to infect the computers with the open-source tool.


[![Phishing Campaign](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjBuW9FtIlgLqpf9BnSRvV6Xdg_YFw7I5KaWefZ-w17H8Fo9LA2ckl9jNnOTmmeGH9dqVT3ZecMw5kpt8O_Mr4KWWr5qszeSTi43fvoEB-ZoUsEVQc6PQqSfWCsY0cdwyMSGg8uu-tisosGe1kaYMwZNxGZYeVpTAdGQ6KyFmwOO2lg8BfOIN361s4QZI_E/s728-e3650/dji.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjBuW9FtIlgLqpf9BnSRvV6Xdg_YFw7I5KaWefZ-w17H8Fo9LA2ckl9jNnOTmmeGH9dqVT3ZecMw5kpt8O_Mr4KWWr5qszeSTi43fvoEB-ZoUsEVQc6PQqSfWCsY0cdwyMSGg8uu-tisosGe1kaYMwZNxGZYeVpTAdGQ6KyFmwOO2lg8BfOIN361s4QZI_E/s728-e365/dji.jpg)
CERT-UA attributed the intrusions to a threat actor it monitors under the name UAC-0154.


"Files and documents used in the attack chain are very capable of bypassing defenses," the researchers explained.


UPCOMING WEBINAR[Fight AI with AI — Battling Cyber Threats with Next-Gen AI Tools](https://thehacker.news/ai-cyberattacks?source=inside)Ready to tackle new AI-driven cybersecurity challenges? Join our insightful webinar with Zscaler to address the growing threat of generative AI in cybersecurity.

[Attend for Free](https://thehacker.news/ai-cyberattacks?source=inside)
"Typically receiving a Microsoft help file over the internet would be considered unusual. However, the attackers framed the lure documents to appear as something an unsuspecting victim might expect to appear in a help-themed document or file."


The development arrives weeks after the CERT-UA [said](https://thehackernews.com/2023/09/ukraines-cert-thwarts-apt28s.html) it detected an unsuccessful cyber attack against an unnamed critical energy infrastructure facility in the country undertaken by the Russian state-sponsored crew called APT28.



  





## Tags:


### Autogenerated tags:
[[cert-ua]]
