# VexTrio: The Uber of Cybercrime - Brokering Malware for 60+ Affiliates
## Massive "Criminal Affiliate Program" Exposed: VexTrio Brokers Traffic for 60+ Cybercriminals, Including ClearFake & SocGholish.
## Information:

+ Link: https://thehackernews.com/2024/01/vextrio-uber-of-cybercrime-brokering.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 23 January 2024, 20:03
+ Date scraped: 23 January 2024, 15:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiex3NCiGCTiRUF4n4vncO2jTMjEiqvFbQnbjDJCeSeYEPps6mc3jk601jUS5j8X-A0usnLsO5tTTKR9Bhf9vPZcn-684Kop8wjgYIS3GHvdqNN5fQBiipblMSncrIyStZXcg3h3jcSG_M_aQqqwLdEHzVDg5a-wMOHofVuYDF26OLCM0d_eu9qBmj8VlF0/s728-rw-ft-e30/main.jpg)


The threat actors behind ClearFake, SocGholish, and dozens of other actors have established partnerships with another entity known as **VexTrio** as part of a massive "criminal affiliate program," new findings from Infoblox reveal.


The latest development demonstrates the "breadth of their activities and depth of their connections within the cybercrime industry," the company [said](https://blogs.infoblox.com/cyber-threat-intelligence/cybercrime-central-vextrio-operates-massive-criminal-affiliate-program/), describing VexTrio as the "single largest malicious traffic broker described in security literature."


VexTrio, which is believed to be have been active since at least 2017, has been attributed to [malicious campaigns](https://blogs.infoblox.com/cyber-threat-intelligence/cyber-threat-advisory/vextrio-ddga-domains-spread-adware-spyware-and-scam-web-forms/) that use domains generated by a dictionary domain generation algorithm ([DDGA](https://www.splunk.com/en_us/blog/security/threat-hunting-for-dictionary-dga-with-peak.html)) to propagate scams, riskware, spyware, adware, potentially unwanted programs (PUPs), and pornographic content.


This also includes a 2022 activity cluster that [distributed the Glupteba malware](https://thehackernews.com/2022/12/glupteba-botnet-continues-to-thrive.html) following an earlier attempt by Google to take down a significant chunk of its infrastructure in December 2021.


In August 2023, the group [orchestrated](https://thehackernews.com/2023/11/mirai-based-botnet-exploiting-zero-day.html) a widespread attack involving compromised WordPress websites that conditionally redirect visitors to intermediary command-and-control (C2) and DDGA domains.


What made the infections significant was the fact that the threat actor leveraged the Domain Name System (DNS) protocol to retrieve the redirect URLs, effectively acting as a DNS-based traffic distribution (or delivery or direction) system ([TDS](https://thehackernews.com/2021/08/a-wide-range-of-cyber-attacks.html)).


VexTrio is estimated to operate a network of more than 70,000 known domains, brokering traffic for as many as 60 affiliates, including [ClearFake](https://thehackernews.com/2023/10/binances-smart-chain-exploited-in-new.html), [SocGholish](https://thehackernews.com/2023/10/malvertisers-using-google-ads-to-target.html), and TikTok Refresh.


"VexTrio operates their affiliate program in a unique way, providing a small number of dedicated servers to each affiliate," Infoblox said in a deep-dive report shared with The Hacker News. "VexTrio's affiliate relationships appear longstanding."


[![VexTrio Affiliate Network](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhqCAyF4tsuDMvyugzTJhWsL6z6D7MTfDwSfx9p0ppdj5OFIMkjX1jsQxh_jWCKuj8CFD6dbZoPi-GGlAaHgmUaoyszXwHCFdEnZkeBMeDzVuWlKXHVNYCVGQfPbTmDgcG1OV8jBLwHbjTMvMS0ylyAJwh4kZeZdMlEbTq_olR_yh__X4znjQoItDcxVsB-/s728-rw-ft-e30/2.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhqCAyF4tsuDMvyugzTJhWsL6z6D7MTfDwSfx9p0ppdj5OFIMkjX1jsQxh_jWCKuj8CFD6dbZoPi-GGlAaHgmUaoyszXwHCFdEnZkeBMeDzVuWlKXHVNYCVGQfPbTmDgcG1OV8jBLwHbjTMvMS0ylyAJwh4kZeZdMlEbTq_olR_yh__X4znjQoItDcxVsB-/s728-rw-ft-e30/2.jpg)
Not only can its attack chains can include multiple actors, VexTrio also controls multiple TDS networks to route site visitors to illegitimate content based on their profile attributes (e.g. geolocation, browser cookies, and browser language settings) in order to maximize profits, while filtering out the rest.


These attacks feature infrastructure owned by different parties wherein participating affiliates forward traffic originating from their own resources (e.g., compromised websites) to VexTrio-controlled TDS servers. In the next phase, this traffic is relayed to other fraudulent sites or malicious affiliate networks.


"VexTrio's network uses a TDS to consume web traffic from other cybercriminals, as well as sell that traffic to its own customers," the researchers said. "VexTrio's TDS is a large and sophisticated cluster server that leverages tens of thousands of domains to manage all of the network traffic passing through it."


[![VexTrio Affiliate Network](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEigg2Om1wyFMnecHLNAn7IyXeo0OweAOeAX7kB3_d_L9HJB6qOgwK8DrXoWL9w6HipWe-MiNDgD0_3UVwv2eqJNrCPHRIzvtNNA8LOWQCDTcvqkBdyVP0QDaeoOfS0zwY2fTj5iKMa7AfUMgOnyt0uFlUj7SjaAM4jt1RUK3BByesnqmPyE1UqtompQyL7X/s728-rw-ft-e30/1.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEigg2Om1wyFMnecHLNAn7IyXeo0OweAOeAX7kB3_d_L9HJB6qOgwK8DrXoWL9w6HipWe-MiNDgD0_3UVwv2eqJNrCPHRIzvtNNA8LOWQCDTcvqkBdyVP0QDaeoOfS0zwY2fTj5iKMa7AfUMgOnyt0uFlUj7SjaAM4jt1RUK3BByesnqmPyE1UqtompQyL7X/s728-rw-ft-e30/1.jpg)
The VexTrio-operated TDS comes in two flavors, one which is based on HTTP that handles URL queries with different parameters, and another based on DNS, the latter of which began to be first put to use in July 2023.


It's worth noting at this stage that while SocGholish (aka FakeUpdates) is a VexTrio affiliate, it also operates other TDS servers, such as [Keitaro](https://thehackernews.com/2023/09/microsoft-warns-of-new-phishing.html) and [Parrot TDS](https://thehackernews.com/2022/06/researchers-uncover-malware-controlling.html), with the latter acting as a mechanism for redirecting web traffic to SocGholish infrastructure.


According to Palo Alto Networks Unit 42, Parrot TDS has been active since October 2021, although there is evidence to suggest that it may have been around as early as August 2019.


"Websites with Parrot TDS have malicious scripts injected into existing JavaScript code hosted on the server," the company [noted](https://unit42.paloaltonetworks.com/parrot-tds-javascript-evolution-analysis/) in an analysis last week. "This injected script consists of two components: an initial landing script that profiles the victim, and a payload script that can direct the victim's browser to a malicious location or piece of content."


The injections, in turn, are facilitated by the exploitation of known security vulnerabilities in content management systems (CMS) such as WordPress and Joomla!


The attack vectors adopted by the VexTrio affiliate network for gathering victim traffic is no different in that they primarily single out websites running a vulnerable version of the WordPress software to insert rogue JavaScript into their HTML pages.


In one instance identified by Infobox, a compromised website based in South Africa was found to be injected with JavaScript from ClearFake, SocGholish, and VexTrio.


That's not all. Besides contributing web traffic to numerous cyber campaigns, VexTrio is also suspected to carry out some of its own, making money by abusing referral programs and receiving web traffic from an affiliate and then reselling that traffic to a downstream threat actor.


"VexTrio's advanced business model facilitates partnerships with other actors and creates a sustainable and resilient ecosystem that is extremely difficult to destroy," Infoblox concluded.


"Due to the complex design and entangled nature of the affiliate network, precise classification and attribution is difficult to achieve. This complexity has allowed VexTrio to flourish while remaining nameless to the security industry for over six years."


  





## Tags:


### Autogenerated tags:
[[vextrio]] [[tds]] [[socgholish]] [[websites]] [[clearfake]] [[infoblox]] [[wordpress]] [[javascript]]
