# Vietnam-Based Hackers Steal Financial Data Across Asia with Malware
## CoralRaider, a suspected Vietnamese threat actor, has been on the prowl since May 2023, targeting Asia and Southeast Asia with malware aimed at steali
## Information:

+ Link: https://thehackernews.com/2024/04/vietnam-based-hackers-steal-financial.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 04 April 2024, 21:12
+ Date scraped: 04 April 2024, 16:16

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgZK-8M4t3F-MFGnsaCf01fbkTb9Jhrio7613mAB3T40CQhWe5W-bNO8Pf9_r_LUK3zUacRd4yZbwGfw5kQRKKO-aScJnFL8uDmZ9L_XE4zgyL0trZ9jKKcSJ7MqyU0C_Dnwc0qsT0lHxLXt2fi2YWLfVhJ5rg75HtFmuqT8sfDRIbKDCOVOMVYJIzMBBHX/s728-rw-e365/code.png)


A suspected Vietnamese-origin threat actor has been observed targeting victims in several Asian and Southeast Asian countries with malware designed to harvest valuable data since at least May 2023.


Cisco Talos is tracking the cluster under the name **CoralRaider**, describing it as financially motivated. Targets of the campaign include India, China, South Korea, Bangladesh, Pakistan, Indonesia, and Vietnam.


"This group focuses on stealing victims' credentials, financial data, and social media accounts, including business and advertisement accounts," security researchers Chetan Raghuprasad and Joey Chen [said](https://blog.talosintelligence.com/coralraider-targets-socialmedia-accounts/). "They use RotBot, a customized variant of Quasar RAT, and XClient stealer as payloads."


Other commodity malware used by the group comprises a combination of remote access trojans and information stealers such as [AsyncRAT](https://thehackernews.com/2023/12/rhadamanthys-malware-swiss-army-knife.html), [NetSupport RAT](https://thehackernews.com/2024/03/new-phishing-attack-uses-clever.html), and Rhadamanthys.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLX0O_pua_BNGD7OG05Td7ASGHjT-c6rLVfmEazcitNrUN4aS12_9AAEWdojbHmrg0EkMQCSyD42w-d6egVdsdVtAEaH-Z0w0f-jU1frNCfaTUp5tY4bg1olzAEY_W1iVATonnvuYqpel_Mxe4TJmkCMSqLOo4ol9NEGBRh_a8C0JhApfKqY8f-wf9m978/s728-e365/wing-d.png)](https://thehackernews.uk/automated-remediation-wing)
The targeting of business and advertisement accounts has been of particular focus for attackers operating out of Vietnam, with various stealer malware families like [Ducktail, NodeStealer, and VietCredCare](https://thehackernews.com/2024/02/new-vietcredcare-stealer-targeting.html) deployed to take control of the accounts for further monetization.


The modus operandi entails the use of Telegram to exfiltrate the stolen information from victim machines, which is then traded in underground markets to generate illicit revenues.


"CoralRaider operators are based in Vietnam, based on the actor messages in their Telegram C2 bot channels and language preference in naming their bots, PDB strings, and other Vietnamese words hard-coded in their payload binaries," the researchers said.


Attack chains start with a Windows shortcut file (LNK), although there is currently no clear explanation as to how these files are distributed to the targets.


[![Financial Data](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjx9G7IZhLipuiQJ1KvuuIWfS1BFExyZTcEO3w1ClfXzyMBfQczqoqbQQ9UrcHoa-E1MbdTN0jIxYGbz36fB1-cGv5Rt_rvxIp_YDq1pDj6walC3Fz1pheGv7iFZr9aGKFIKYK3i0vFeD59KjGpDCpkmZMxhyphenhyphen6pMbR18yq89nTdvpmIpSbEflO_ZOdyNm8W/s728-rw-e365/infection.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjx9G7IZhLipuiQJ1KvuuIWfS1BFExyZTcEO3w1ClfXzyMBfQczqoqbQQ9UrcHoa-E1MbdTN0jIxYGbz36fB1-cGv5Rt_rvxIp_YDq1pDj6walC3Fz1pheGv7iFZr9aGKFIKYK3i0vFeD59KjGpDCpkmZMxhyphenhyphen6pMbR18yq89nTdvpmIpSbEflO_ZOdyNm8W/s728-rw-e365/infection.png)
Should the LNK file be opened, an HTML application (HTA) file is downloaded and executed from an attacker-controlled download server, which, in turn, runs an embedded Visual Basic script.


The script, for its part, decrypts and sequentially executes three other PowerShell scripts that are responsible for performing anti-VM and anti-analysis checks, circumventing Windows User Access Control ([UAC](https://learn.microsoft.com/en-us/windows/security/application-security/application-control/user-account-control/how-it-works)), disabling Windows and application notifications, and downloading and running RotBot.


RotBot is configured to contact a Telegram bot and retrieve the XClient stealer malware and execute it in memory, ultimately facilitating the theft of cookies, credentials, and financial information from web browsers like Brave, Cốc Cốc, Google Chrome, Microsoft Edge, Mozilla Firefox, and Opera; Discord and Telegram data; and screenshots.


XClient is also engineered to siphon data from victims' Facebook, Instagram, TikTok and YouTube accounts, gathering details about the payment methods and permissions associated with their Facebook business and ads accounts.


"RotBot is a variant of the Quasar RAT client that the threat actor has customized and compiled for this campaign," the researchers said. "[XClient] has extensive information-stealing capability through its plugin module and various modules for performing remote administrative tasks."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
The development comes as Bitdefender disclosed details of a malvertising campaign on Facebook that's taking advantage of the buzz surrounding generative AI tools to push an assortment of information stealers like [Rilide](https://thehackernews.com/2023/08/new-version-of-rilide-data-theft.html), [Vidar](https://thehackernews.com/2023/06/vidar-malware-using-new-tactics-to.html), [IceRAT](https://www.gdatasoftware.com/blog/icerat-evades-antivirus-by-using-jphp), and a new entrant known as Nova Stealer.


The starting point of the attack is the threat actor taking over an existing Facebook account and modifying its appearance to mimic well-known AI tools from Google, OpenAI, and Midjourney, and expanding their reach by running sponsored ads on the platform.


One is imposter page masquerading as Midjourney had 1.2 million followers before it was taken down on March 8, 2023. The threat actors managing the page were mainly from Vietnam, the U.S., Indonesia, the U.K., and Australia, among others.


"The malvertising campaigns have tremendous reach through Meta's sponsored ad system and have actively been targeting European users from Germany, Poland, Italy, France, Belgium, Spain, the Netherlands, Romania, Sweden, and elsewhere," the Romanian cybersecurity company [said](https://www.bitdefender.com/blog/labs/ai-meets-next-gen-info-stealers-in-social-media-malvertising-campaigns/).


  





## Tags:


### Autogenerated tags:
[[malware]] [[rotbot]] [[facebook]] [[xclient]] [[windows]]
