# Warning: New Malware Emerges in Attacks Exploiting Ivanti VPN Vulnerabilities
## Chinese hackers are exploiting zero-days in Ivanti VPNs, stealing sensitive data
## Information:

+ Link: https://thehackernews.com/2024/02/warning-new-malware-emerges-in-attacks.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 01 February 2024, 13:13
+ Date scraped: 01 February 2024, 08:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi3nrJbRs2yw5uK7rbvIOCEVk4D5JJlXr3nyA4nOVPGuibJqWzHnAG3zplhYpU896J5vbWkNkI_t_0x9zbRbaskQgAL05npMW8mpY7m5oWzjyKK966DSWjVsybc0ECoU4x9CfEqAlUHiHIXOmVW7zfk-_eT9w1sKEsISeBkqkVsLx7nhBPa-76w6Q6LJuGH/s728-rw-ft-e30/malware.jpg)


Google-owned Mandiant said it identified new malware employed by a China-nexus espionage threat actor known as UNC5221 and other threat groups during post-exploitation activity targeting Ivanti Connect Secure VPN and Policy Secure devices.


This includes custom web shells such as BUSHWALK, CHAINLINE, FRAMESTING, and a variant of [LIGHTWIRE](https://thehackernews.com/2024/01/nation-state-actors-weaponize-ivanti.html).


"CHAINLINE is a Python web shell backdoor that is embedded in a Ivanti Connect Secure Python package that enables arbitrary command execution," the company [said](https://www.mandiant.com/resources/blog/investigating-ivanti-zero-day-exploitation), attributing it to UNC5221, adding it also detected multiple new versions of [WARPWIRE](https://thehackernews.com/2024/01/nation-state-actors-weaponize-ivanti.html), a JavaScript-based credential stealer.


The infection chains entail a successful exploitation of [CVE-2023-46805 and CVE-2024-21887](https://thehackernews.com/2024/01/chinese-hackers-exploiting-critical-vpn.html), which allow an unauthenticated threat actor to execute arbitrary commands on the Ivanti appliance with elevated privileges.


The flaws have been abused as zero-days since early December 2023. Germany's Federal Office for Information Security (BSI) [said](https://www.bsi.bund.de/SharedDocs/Cybersicherheitswarnungen/DE/2024/2024-205101-1032.pdf?__blob=publicationFile&v=5) it's aware of "multiple compromised systems" in the country.


BUSHWALK, written in Perl and deployed by circumventing the Ivanti-issued mitigations in highly-targeted attacks, is embedded into a legitimate Connect Secure file named "querymanifest.cgi" and offers the ability to read or write to files to a server.


On the other hand, FRAMESTING is a Python web shell embedded in an Ivanti Connect Secure Python package (located in the following path "/home/venv3/lib/python3.6/site-packages/cav-0.1-py3.6.egg/cav/api/resources/category.py") that enables arbitrary command execution.


Mandiant's analysis of the [ZIPLINE](https://thehackernews.com/2024/01/nation-state-actors-weaponize-ivanti.html) passive backdoor has also uncovered its use of "extensive functionality to ensure the authentication of its custom protocol used to establish command-and-control (C2)."


Furthermore, the attacks are characterized by the use of open-source utilities like [Impacket](https://github.com/fortra/impacket), [CrackMapExec](https://github.com/byt3bl33d3r/CrackMapExec), [iodine](https://github.com/yarrick/iodine), and [Enum4linux](https://www.kali.org/tools/enum4linux/) to support post-exploitation activity on Ivanti CS appliances, including network reconnaissance, lateral movement, and data exfiltration within victim environments.


Ivanti has since [disclosed](https://thehackernews.com/2024/01/alert-ivanti-discloses-2-new-zero-day.html) two more security flaws, CVE-2024-21888 and CVE-2024-21893, the latter of which has come under active exploitation targeting a "limited number of customers." The company has also released the first round of fixes to address the four vulnerabilities.


UNC5221 is said to target a wide range of industries that are of strategic interest to China, with its infrastructure and tooling overlapping with past intrusions linked to China-based espionage actors.


"Linux-based tools identified in incident response investigations use code from multiple Chinese-language Github repositories," Mandiant said. "UNC5221 has largely leveraged TTPs associated with zero-day exploitation of edge infrastructure by suspected PRC nexus actors."


  





## Tags:
***CVE's***: CVE-2024-21887 CVE-2024-21888 CVE-2023-46805 CVE-2024-21893

### Autogenerated tags:
[[ivanti]] [[unc5221]] [[mandiant]]
