# Warning: New RapperBot Campaign Aims to Launch DDoS Attacks at Game Servers
## Researchers have unearthed new samples of RapperBot botnet malware capable of launching massive DDoS attacks against game servers.
## Information:

+ Link: https://thehackernews.com/2022/11/warning-new-rapperbot-campaign-aims-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 16 November 2022, 07:35
+ Date scraped: 16 November 2022, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj46rD4JirBV04bIevqK64k5D3iOuE82i5JSJuSV4QjDoK7fCaC4ldIghI_-hhkv1fNylwKmh2OTMmTUulOY63EEWr5mhrUi5N4GCz8MndKIrS7L-gLTdm89msN7cjPSoDNOqvT8LnUVz4WOyd7ucrKtTVWKkVL79xf_tprO96ZSDT5-K8B8vwJnQcC/s728-e1000/ddos-gaming.jpg)


Cybersecurity researchers have unearthed new samples of malware called RapperBot that are being used to build a botnet capable of launching Distributed Denial of Service (DDoS) attacks against game servers.


"In fact, it turns out that this campaign is less like RapperBot than an older campaign that appeared in February and then mysteriously disappeared in the middle of April," Fortinet FortiGuard Labs researchers Joie Salvio and Roy Tay [said](https://www.fortinet.com/blog/threat-research/new-rapperbot-campaign-ddos-attacks) in a Tuesday report.


RapperBot, which was first [documented](https://thehackernews.com/2022/08/new-iot-rapperbot-malware-targeting.html) by the network security firm in August 2022, is known to exclusively brute-force SSH servers configured to accept [password authentication](https://www.hostinger.com/tutorials/vps/how-to-disable-ssh-password-authentication-on-vps).


The nascent malware is heavily inspired by the [Mirai botnet](https://thehackernews.com/2022/04/hackers-exploiting-spring4shell.html), whose source code leaked in October 2016, leading to the rise of several variants.


What's notable about the updated version of RapperBot is its ability to perform Telnet brute-force, in addition to supporting DoS attacks using the Generic Routing Encapsulation ([GRE](https://en.wikipedia.org/wiki/Generic_Routing_Encapsulation)) tunneling protocol.


"The Telnet brute-forcing code is designed primarily for self-propagation and resembles the old Mirai Satori botnet," the researchers said.


[![DDoS Attacks](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjhU9CZxrNVjPFNDPeaJMfqIoUm14wsis4Gcp3Fio8_tg-YB2mX1yA4JXiscPkEjz23KIYFkqMShXJIeG4Kt9yRh20qgi8romq3OsFNrhg2mKNTMbbhyej1_FRhP5EyY1jztwIXNZ0c1re4ruSn5LkH9bsYde0q1ERDJrPNqxxnebZPp31o3zmBVq0I/s728-e1000/traffic.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjhU9CZxrNVjPFNDPeaJMfqIoUm14wsis4Gcp3Fio8_tg-YB2mX1yA4JXiscPkEjz23KIYFkqMShXJIeG4Kt9yRh20qgi8romq3OsFNrhg2mKNTMbbhyej1_FRhP5EyY1jztwIXNZ0c1re4ruSn5LkH9bsYde0q1ERDJrPNqxxnebZPp31o3zmBVq0I/s728-e100/traffic.jpg)
This list of hard-coded plaintext credentials, which are default credentials associated with IoT devices, are embedded into the binary as opposed to retrieving it from a command-and-control (C2) server, a behavior that was observed in artifacts detected after July 2022.


A successful break-in is followed by reporting the credentials used back to the C2 server and installing the RapperBot payload on the hacked device.


Fortinet said the malware is designed to only target appliances that run on ARM, MIPS, PowerPC, SH4, and SPARC architectures, and halt its self-propagation mechanism should they be running on Intel chipsets.


What's more, the October 2022 campaign has been found to share overlaps with other operations involving the malware as far back as May 2021, with the Telnet spreader module making its first appearance in August 2021, only to be removed in later samples and reintroduced last month.


"Based on the undeniable similarities between this new campaign and the previously reported RapperBot campaign, it is highly likely that they are being operated by a single threat actor or by different threat actors with access to a privately-shared base source code," the researchers concluded.


  





## Tags:


### Autogenerated tags:
[[rapperbot]] [[malware]] [[botnet]] [[telnet]]
