# Watch Out for 'Latrodectus' - This Malware Could Be In Your Inbox
## 'Latrodectus' strikes via phishing emails. This powerful downloader can execute commands, evade detection, and pave the way for further attacks.
## Information:

+ Link: https://thehackernews.com/2024/04/watch-out-for-latrodectus-this-malware.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 08 April 2024, 16:59
+ Date scraped: 08 April 2024, 12:17

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjzBIFIIDBwC0PPEKDtlzUFl6ZrQj-eXSKDFISEJdWsCI1FWDxrIZ2rwxvGhtVITcLr1jfqt3l5fINlqEOw69fKaRyo5aWETMYX0GmJnK_EV9wI0tKGriGUt7ZZLOIofKbvqD6ctX9EFdjQGv7vZTghcN1y6bqPzz-UIsRzzvGccNEz8yvoN41W5VvwZkel/s728-rw-e365/malware.png)


Threat hunters have discovered a new malware called **Latrodectus** that has been distributed as part of email phishing campaigns since at least late November 2023.


"Latrodectus is an up-and-coming downloader with various sandbox evasion functionality," researchers from Proofpoint and Team Cymru [said](https://www.proofpoint.com/us/blog/threat-insight/latrodectus-spider-bytes-ice) in a joint analysis published last week, adding it's designed to retrieve payloads and execute arbitrary commands.


There is evidence to suggest that the malware is likely written by the same threat actors behind the [IcedID malware](https://thehackernews.com/2023/07/icedid-malware-adapts-and-expands.html), with the downloader put to use by initial access brokers (IABs) to facilitate the deployment of other malware.


Latrodectus has been primarily linked to two different IABs tracked by Proofpoint under the names [TA577](https://thehackernews.com/2024/01/alert-water-curupira-hackers-actively.html) (aka Water Curupira) and TA578, the former of which has also been linked to the distribution of QakBot and PikaBot.


As of mid-January 2024, it's been employed almost exclusively by TA578 in email threat campaigns, in some cases delivered via a [DanaBot infection](https://thehackernews.com/2023/12/microsoft-warns-of-malvertising-scheme.html).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLX0O_pua_BNGD7OG05Td7ASGHjT-c6rLVfmEazcitNrUN4aS12_9AAEWdojbHmrg0EkMQCSyD42w-d6egVdsdVtAEaH-Z0w0f-jU1frNCfaTUp5tY4bg1olzAEY_W1iVATonnvuYqpel_Mxe4TJmkCMSqLOo4ol9NEGBRh_a8C0JhApfKqY8f-wf9m978/s728-e365/wing-d.png)](https://thehackernews.uk/automated-remediation-wing)
TA578, known to be [active](https://thehackernews.com/2022/04/cybercriminals-using-new-malware-loader.html) since at least May 2020, has been linked to email-based campaigns delivering Ursnif, IcedID, KPOT Stealer, Buer Loader, BazaLoader, Cobalt Strike, and Bumblebee.


Attack chains leverage contact forms on websites to send legal threats regarding alleged copyright infringement to targeted organizations. The links embedded in the messages direct the recipients to a bogus website to trick them into downloading a JavaScript file that's responsible for launching the main payload using [msiexec](https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/msiexec).


"Latrodectus will post encrypted system information to the command-and-control server (C2) and request the download of the bot," the researchers said. "Once the bot registers with the C2, it sends requests for commands from the C2."


[![Latrodectus](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj7ySODuXTLpS7b1LOuDSPGx1ZEPuSGEWc5_RZGuwJao5quOZIWakqZwE2JPsJrhgEZvqhCINspPpbfnp5MwLV8yIBg1cWYHYS1c2JyLdzC9xrAJtVk34StHFX6S4g-BNBLmaaaYhICVbNll9AQphkSS3j6BI6pt2m1BKHcV6JuLIr0SjsEh6e0E_QCMMoo/s728-rw-e365/data.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj7ySODuXTLpS7b1LOuDSPGx1ZEPuSGEWc5_RZGuwJao5quOZIWakqZwE2JPsJrhgEZvqhCINspPpbfnp5MwLV8yIBg1cWYHYS1c2JyLdzC9xrAJtVk34StHFX6S4g-BNBLmaaaYhICVbNll9AQphkSS3j6BI6pt2m1BKHcV6JuLIr0SjsEh6e0E_QCMMoo/s728-rw-e365/data.png)
It also comes with capabilities to detect if it's running in a sandboxed environment by checking if the host has a valid MAC address and there are at least 75 running processes on systems running Windows 10 or newer.


Like in the case of IcedID, Latrodectus is designed to send the registration information in a POST request to the C2 server where the fields are HTTP parameters stringed together and encrypted, after which it awaits further instructions from the server.


The commands allow the malware to enumerate files and processes, execute binaries and DLL files, run arbitrary directives via cmd.exe, update the bot, and even shut down a running process.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
A further examination of the attacker infrastructure reveals that the first C2 servers came alive on September 18, 2023. These servers, in turn, are configured to communicate with an upstream Tier 2 server that was set up around August 2023.


Latrodectus' connections to [IcedID](https://medium.com/walmartglobaltech/icedid-gets-loaded-af073b7b6d39) stems from the fact that the T2 server "maintains connections with backend infrastructure associated with IcedID" and use of jump boxes [previously associated](https://thehackernews.com/2023/07/icedid-malware-adapts-and-expands.html) with IcedID operations.


"Latrodectus will become increasingly used by financially motivated threat actors across the criminal landscape, particularly those who previously distributed IcedID," Team Cymru [assessed](https://www.team-cymru.com/post/latrodectus-this-spider-bytes-like-ice).


  





## Tags:


### Autogenerated tags:
[[icedid]] [[malware]] [[c2]] [[ta578]]
