# More than 600,000 routers knocked out in October by Chalubo malware
## In a new report, researchers at Black Lotus Labs described a “destructive” incident between October 25-27 affecting routers made by Sagemcom and ActionTec.
## Information:

+ Link: https://therecord.media/destructive-attack-routers-october-2023-chalubo-malware
+ Source: The Record
+ Author: Jonathan Greig
+ Date published: 31 May 2024, 00:00
+ Date scraped: 31 May 2024, 19:01

## Article:
![Main article image](https://cms.therecord.media/uploads/format_webp/ethernet_router_hardware_7a9d2694e0.jpg)

A strain of malware named Chalubo wrecked over 600,000 routers for small offices and homes in the U.S. last year.

In a new report from Lumen Technologies’ Black Lotus Labs, researchers described a “destructive” incident between October 25-27 in which hundreds of thousands of routers made by Sagemcom and ActionTec were rendered permanently inoperable.

 Chalubo was first [discovered](https://news.sophos.com/en-us/2018/10/22/chalubo-botnet-wants-to-ddos-from-your-server-or-iot-device/) in 2018 by researchers from Sophos, which said it was used to infect devices and add them to powerful botnets that could perform distributed denial of service (DDoS) attacks. 

 Black Lotus Labs did not name the internet service provider (ISP) that deployed the routers but Reuters [said](https://www.reuters.com/technology/cybersecurity/hundreds-thousands-us-internet-routers-destroyed-newly-discovered-2023-hack-2024-05-30/) an analysis of news coverage indicated it was likely Arkansas-based Windstream, which did not respond to requests for comment.  

Further research revealed that the routers were destroyed by a firmware update sent out to the devices that had already been compromised by Chalubo.

 “At this time, we do not have an overlap between this activity and any known nation-state activity clusters,” the researchers [explained](https://blog.lumen.com/the-pumpkin-eclipse/). “We assess with high confidence that the malicious firmware update was a deliberate act intended to cause an outage, and though we expected to see a number of router make and models affected across the internet, this event was confined to the single ISP’s autonomous system number (ASN).” 

A survey of complaints on internet forums and outage detectors revealed that most people were complaining about issues with router models Sagemcom F5380, ActionTec T3200s and ActionTec T3260s.

Users who contacted ActionTec’s support center were told the entire router would need to be replaced. To check whether those models were the only ones affected, the researchers used internet scanning tool Censys and found that between October 27 and October 28, there was a 179,000 drop in IP addresses connected to ActionTec devices and a decrease of 480,000 devices associated with Sagemcom.

Lumen researchers noted that the Chalubo malware family continues to be active and found that more than 330,000 IP addresses communicated with tools connected to the malware, indicating that “while the Chalubo malware was used in this destructive attack, it was not written specifically for destructive actions.”

'Rural or underserved communities'
----------------------------------

The researchers do not know what exploit was used to gain initial access to compromised devices. They could not find vulnerabilities for the specific models impacted, “suggesting the threat actor likely either abused weak credentials or exploited an exposed administrative interface.”

“We suspect the threat actors behind this event chose a commodity malware family to obfuscate attribution, instead of using a custom-developed toolkit,” they said.

The researchers noted that “a sizeable portion of this Internet Service Provider’s service area covers rural or underserved communities,” potentially making recovery more difficult.

The outage affected “places where residents may have lost access to emergency services, farming concerns may have lost critical information from remote monitoring of crops during the harvest, and health care providers cut off from telehealth or patients’ records,” they said.

Chalubo is a sophisticated malware family that its creators went to great lengths to conceal. The malicious code removes all of its files and renames itself after something already present on the device.

All of the communication with command and control (C2) servers is encrypted — which Lumen said contributed to the lack of previous research on the malware.

 There has been significant law enforcement focus this week on malware that affects routers. International law enforcement agencies [announced Thursday](https://therecord.media/dropper-malware-takedown-europol-operation-endgame) that they took several of the most influential malware families offline in the “largest ever operation against botnets.” 

 The FBI and international partners [dismantled another massive botnet](https://therecord.media/911-S5-botnet-takedown-arrest) on Wednesday that infected more than 19 million IP addresses across 200 countries and was used for years to conceal cybercrime. 

[![Jonathan Greig](https://cms.therecord.media/uploads/format_webp/DSC_0283_1_a6f4e4e315.jpg?w=828)](/author/jonathan-greig)

[Jonathan Greig](/author/jonathan-greig)is a Breaking News Reporter at Recorded Future News. Jonathan has worked across the globe as a journalist since 2014. Before moving back to New York City, he worked for news outlets in South Africa, Jordan and Cambodia. He previously covered cybersecurity at ZDNet and TechRepublic.






## Tags:


### Autogenerated tags:
[[malware]] [[chalubo]] [[actiontec]] [[ip]]
