# Russian foreign intelligence service spotted exploiting JetBrains vulnerability
## Agencies in the U.S., U.K. and Poland said the hacking group tracked as APT29 or Cozy Bear was exploiting a software vulnerability previously used by hackers attributed to North Korea's government.
## Information:

+ Link: https://therecord.media/russia-svr-exploiting-jetbrains-vulnerability
+ Source: The Record
+ Author: Jonathan Greig
+ Date published: 13 December 2023, 00:00
+ Date scraped: 13 December 2023, 19:02

## Article:
![Main article image](https://cms.therecord.media/uploads/pexels_plato_terentev_9811494_87d2a8003c.jpg)

Government agencies in the U.S., Poland and the U.K. said on Wednesday that Russia’s Foreign Intelligence Service (SVR) has been exploiting a vulnerability that was exposed earlier this year in a popular product from Czech software giant JetBrains.


Officials said they have [notified dozens of companies](https://www.cisa.gov/news-events/cybersecurity-advisories/aa23-347a) across the U.S., Europe, Asia and Australia after discovering hundreds of compromised devices.


The agencies attributed the attacks to hackers within the SVR known as APT29 — also tracked by cybersecurity researchers as CozyBear or Midnight Blizzard — and said the “large scale” campaign began in September.


Microsoft previously said [North Korean hackers were exploiting the bug](https://therecord.media/teamcity-vulnerability-targeted-by-nk-hackers) — labeled CVE-2023-42793 — in September. It affects a product called TeamCity, which is used by developers to test and exchange software code before its release.


Now the SVR has been spotted “using the initial access gleaned by exploiting the TeamCity CVE to escalate its privileges, move laterally, deploy additional backdoors, and take other steps to ensure persistent and long-term access to the compromised network environments,” Wednesday’s alert said.


“Generally, the victim types do not fit into any sort of pattern or trend, aside from having an unpatched, Internet-reachable JetBrains TeamCity server, leading to the assessment that SVR’s exploitation of these victims’ networks was opportunistic in nature and not necessarily a targeted attack.”


The organizations attacked include an energy trade association; companies that provide software for billing, medical devices, customer care, employee monitoring, financial management, marketing, sales, and video games; as well as web hosting companies, tool manufacturers, and small and large IT companies.


JetBrains [published a patch](https://blog.jetbrains.com/teamcity/2023/09/critical-security-issue-affecting-teamcity-on-premises-update-to-2023-05-4-now/) for the issue on September 20 but the [subsequent release](https://www.sonarsource.com/blog/teamcity-vulnerability/) of [technical details](https://infosec.exchange/@simontsui/111138259292793843) led to [immediate exploitation](https://viz.greynoise.io/tag/jetbrains-teamcity-authentication-bypass-attempt?days=10) by a range of ransomware groups, according to [researchers at PRODRAFT](https://twitter.com/PRODAFT/status/1708586257444430019). More than 1,200 unpatched servers vulnerable to the issue [were discovered](https://dashboard.shadowserver.org/statistics/combined/time-series/?date_range=other&d1=2023-09-28&d2=2023-10-02&source=http_vulnerable6&style=stacked).


### Aimed at software developers


The advisory was published by the FBI, NSA, U.S. Cybersecurity & Infrastructure Security Agency (CISA), Polish Military Counterintelligence Service (SKW), [CERT Polska](https://cert.pl/posts/2023/12/apt29-teamcity/) (CERT.PL), and the UK’s National Cyber Security Centre (NCSC).


They warned that access to a TeamCity server would “provide malicious actors with access to that software developer’s source code, signing certificates, and the ability to subvert software compilation and deployment processes — access a malicious actor could further use to conduct supply chain operations.”


The advisory notes that the SVR previously conducted a similar attack using a vulnerability in [SolarWinds' software](https://therecord.media/tag/solarwinds), but has not used its access to the TeamCity vulnerability in the same way.


One of the main concerns raised in Wednesday’s advisory is the prospect of the SVR benefiting from the compromise of the networks of dozens of software developers who use TeamCity.


“While the authoring agencies assess the SVR has not yet used its accesses to software developers to access customer networks and is likely still in the preparatory phase of its operation, having access to these companies’ networks presents the SVR with opportunities to enable hard-to- detect command and control (C2) infrastructure,” they said.


Any organization with affected systems that did not immediately apply the patch issued by JetBrains should assume they were compromised and begin investigations.


The agencies said they have seen the SVR use the vulnerability to exfiltrate files that provide insight into a victim’s operating system and use several techniques to “disable or outright kill endpoint detection and response (EDR) and antivirus (AV) software.”


SVR hackers were seen using multiple custom-made and open source available tools and backdoors


“The FBI, CISA, NSA, SKW, CERT Polska, and NCSC assess the scope and indiscriminate targeting of this campaign poses a threat to public safety and recommend organizations implement the mitigations below to improve organization’s cybersecurity posture,” they said.


### More than a decade in action


The agencies noted that the SVR has a long history of targeting public and private organizations’ networks globally since at least 2013. The SVR has shown a “a long-term targeting pattern aimed at collecting, and enabling the collection of, foreign intelligence, a broad concept that for Russia encompasses information on the politics, economics, and military of foreign states; science and technology; and foreign counterintelligence.”


The advisory adds that the U.S. government published a report in December 2016 highlighting the SVR’s role in the compromise of a U.S. political party leading up to a presidential election — a reference to the hack of the Democratic National Committee’s network.


The CIA [told U.S. lawmakers at the time](https://www.washingtonpost.com/world/national-security/obama-orders-review-of-russian-hacking-during-presidential-campaign/2016/12/09/31d6b300-be2a-11e6-94ac-3d324840106c_story.html) that most agencies believed the SVR conducted the hacks in an effort to help Donald Trump win the presidency. The SVR [also hacked](https://www.houstonchronicle.com/news/nation-world/article/Russia-Hacked-Republican-Committee-but-Kept-Data-10787385.php) the Republican National Committee but did not release the information it stole from its network.


The hackers also targeted [organizations involved in COVID-19 vaccine development](https://therecord.media/cisa-fbi-nsa-reveal-five-enterprise-bugs-exploited-by-russias-apt29-group) and energy companies in 2020 with custom malware.


According to the advisory, the SVR’s hackers are currently involved in a campaign called “Diplomatic Orbiter” involving the compromise of diplomatic agencies — with dozens of embassies targeted across the world.


Microsoft [published its own notice](https://twitter.com/MsftSecIntel/status/1734984089768165688) of the JetBrains attack, noting its [previous advisory](https://therecord.media/teamcity-vulnerability-targeted-by-nk-hackers) about multiple groups of hackers tied to North Korea’s government exploiting the vulnerability.


The tech giant said in its investigations, it has seen SVR hackers use the VaporRage malware. They echoed the law enforcement advisory, writing that they have also seen credential theft, attempts to turn off antivirus tools and efforts to gain deeper access to compromised systems.

[Previous article](/hackers-damaged-kyivstar-functions-ukraine-telecom-cyberattack)[Next article](/russian-with-hive-ties-arrested-france)[Hackers damaged some infrastructure of Ukraine’s Kyivstar telecom company](/hackers-damaged-kyivstar-functions-ukraine-telecom-cyberattack)[Russian national with alleged Hive ransomware ties arrested in Paris](/russian-with-hive-ties-arrested-france)


## Tags:
***CVE's***: CVE-2023-42793

### Autogenerated tags:
[[svr]] [[u.s]] [[teamcity]] [[jetbrains]] [[cybersecurity]]
