# Log4Shell Vulnerability Targeted in VMware Servers to Exfiltrate Data
## CISA warns that threat actors are ramping up attacks against unpatched Log4Shell vulnerability in VMware servers.
## Information:

+ Link: https://kasperskycontenthub.com/threatpost-global/?p=180072
+ Source: ThreatPost
+ Author: Sagar Tiwari
+ Date published: 28 June 2022, 11:57
+ Date scraped: 29 June 2022, 08:23

## Article:
![Main article image](https://media.kasperskycontenthub.com/wp-content/uploads/sites/103/2021/12/13082913/log4shell-logo-e1639402166277.jpg)


The Cybersecurity and Infrastructure Security Agency (CISA) and Coast Guard Cyber Command (CGCYBER) released a [joint advisory](https://www.cisa.gov/uscert/ncas/alerts/aa22-174a) warning the Log4Shell flaw is being abused by threat actors that are compromising public-facing VMware Horizon and Unified Access Gateway (UAG) servers.


The VMware Horizon is a platform used by administrators to run and deliver virtual desktops and apps in the hybrid cloud, while UAG provides secure access to the resources residing inside a network.


According to the CISA, in one instance the advance persistent threat (APT) actor compromises the victim’s internal network, procures a disaster recovery network, and extracts sensitive information. “As part of this exploitation, suspected APT actors implanted loader malware on compromised systems with embedded executables enabling remote command and control (C2),” CISA added.


[Log4Shell](https://threatpost.com/log4jshell-swarm-vmware-servers-miners-backdoors/179142/) is a remote code execution (RCE) vulnerability affecting the logging library known as “Log4j” in Apache. The library is widely used by various organizations, enterprises, applications, and services.


## **Attack Analysis**


The CGCYBER conducts a proactive threat hunting engagement at an organization that was compromised by the threat actors who exploited Log4Shell in VMware Horizon. This revealed that after gaining initial access to the victim system, the adversary uploaded a malware identified as “hmsvc.exe”.


The researchers analyzed the sample of the hmsvc.exe malware and confirmed that the process masquerading as a legitimate Windows service and an altered version of SysInternals LogonSessions software.


According to the researcher sample of hmsvc.exe malware was running with the highest privilege level on a Windows system and contains an embedded executable that allows threat actors to log keystrokes, upload and execute payloads.


“The malware can function as a C2 tunneling proxy, allowing a remote operator to pivot to other systems and move further into a network,” The initial execution of malware created a scheduled task that is set to execute every hour.


According to CISA in another onsite incident response engagement, they observed bi-directional traffic between the victim and the suspected APT IP address.


The attackers initially gain access to the victim’s production environment (a set of computers where the user-ready software or update are deployed), by exploiting Log4Shell in unpatched VMware Horizon servers. Later CISA observed that the adversary uses Powershell scripts to perform lateral movements, retrieve and execute the loader malware with the capability to remotely monitor a system, gain reverse shell and exfiltrate sensitive information.


Further analysis revealed that attackers with access to the organization test and production environment leveraged [CVE-2022-22954](https://threatpost.com/vmware-bugs-abused-mirai-log4shell/179652/), an RCE flaw in VMware workspace ONE access and Identity manager. to implant the Dingo J-spy web shell,


## **Incident Response and Mitigations**


CISA and CGCYBER recommended multiple actions that should be taken if an administrator discovers compromised systems:


1. Isolate compromised system
2. Analyze the relevant log, data and artifacts.
3. All software should be updated and patched from the  .
4. Reduce the non-essential public-facing hosting service to restrict the attack surface and implement  DMZ, strict network access control, and WAF to protect against attack.
5. Organizations are advised to implement best practices for identity and access management (IAM) by introducing multifactor authentication (MFA), enforcing strong passwords, and limited user access.





## Tags:
***CVE's***: CVE-2022-22954

### Autogenerated tags:
[[malware]] [[cisa]] [[vmware]] [[log4shell]] [[cgcyber]]
