# Hackers are still finding - and using - flaws in Internet Explorer
## The hackers delivered an IE exploit in an emailed Office document, which renders web content in IE even if it is not the default browser.
## Information:

+ Link: https://www.zdnet.com/article/hackers-are-still-finding-and-using-flaws-in-internet-explorer/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 08 December 2022, 15:19
+ Date scraped: 13 December 2022, 15:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/cd31a5985c71130ed8be79db23f07c1d16ae2e27/2021/12/06/65e99cdf-bb9a-43e6-b9f2-7bbcfab2c195/hacker-hands-typing-on-a-keyboard.jpg?auto=webp&fit=crop&height=675&width=1200)

Google has filled in the blanks about a curious zero-day flaw that Microsoft addressed in its November Patch Tuesday.

The remote code execution flaw, tracked as [CVE-2022-41128,](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-41128) was in one of its Windows JavaScript scripting languages, JScript9 – the JavaScript engine used in IE 11. The bug affected Windows 7 through to Windows 11, as well as Windows Server 2008 through 2022. 

Microsoft [ended support for IE 11 on June 15, 2022](https://www.zdnet.com/home-and-office/work-life/microsofts-internet-explorer-browser-is-finally-gone-not-everyone-is-a-happy-about-it/), and has been encouraging customers to use Edge instead with 'IE mode'. But Google has found this type of IE bug continues to be exploited in Office documents because the IE engine remains integrated with Office.  

And who were the actors behind the newly discovered exploit for legacy IE 11?

According to TAG members Clement Lecigne (who reported the flaw to Microsoft) and Benoit Sevens, the IE exploit was developed by North Korean actors APT37.

**Also: [Cybersecurity jobs: Five ways to help you build your career](https://www.zdnet.com/article/cybersecurity-jobs-five-ways-to-help-you-build-your-career/)**

The attackers distributed the IE exploit in an Office document because, as TAG explains, Office renders HTML content using IE. IE exploits have been delivered via Office since 2017 for this reason because, even if Chrome is set as the default, Office defaults to the IE engine when it encounters HTML or web content.

"Delivering IE exploits via this vector has the advantage of not requiring the target to use Internet Explorer as its default browser, nor to chain the exploit with an EPM sandbox escape," the threat analysts note.

They also note that this flaw is very similar to the bug, CVE-2021-34480, that Google Project Zero (GPZ) found last year in IE 11's JIT compiler. GPZ's [analysis of the new IE flaw](https://googleprojectzero.github.io/0days-in-the-wild/0day-RCAs/2022/CVE-2022-41128.html) also traced it to IE's JIT compiler. 

At the time, GPZ researcher Ivan Fratric noted that, although Microsoft had ended support for IE 11, IE (or the IE engine) was [still integrated into other products, most notably, Microsoft Office](https://googleprojectzero.blogspot.com/2021/09/). Due to that still-existing integration, Fratric wondered how long it would take before attackers stopped abusing it. 

TAG notes that in a typical scenario, when an IE exploit is delivered in an Office document, the user would have to disable Office Protected View before the remote RTF is fetched.

**Also:** [**What is a CISO? Everything you need to know about the Chief Information Security Officer role**](https://www.zdnet.com/article/what-is-a-ciso-everything-you-need-to-know-about-the-chief-information-security-officer/)

TAG didn't find the final payload for this campaign. However, TAG noted that APT37 (also known as ScarCruft and Reaper) has used several implants like [ROKRAT](https://blog.talosintelligence.com/rokrat-reloaded/), [BLUELIGHT](https://www.volexity.com/blog/2021/08/24/north-korean-bluelight-special-inkysquid-deploys-rokrat/), and [DOLPHIN](https://www.welivesecurity.com/2022/11/30/whos-swimming-south-korean-waters-meet-scarcrufts-dolphin/).

"APT37 implants typically abuse legitimate cloud services as a C2 channel and offer capabilities typical of most backdoors," TAG notes.

TAG also commended Microsoft for the quick patch, which it delivered eight days after Google first analyzed the malicious Office file from VirusTotal.

#### More Microsoft

   [![win1022h2isout]()

 Microsoft starts rolling out the annual Windows 10 feature update, Windows 10 22H2](/article/microsoft-starts-rolling-out-the-annual-windows-10-feature-update-windows-10-22h2/)  [![scottguthriemicrosoft]()

 Microsoft Cloud and AI chief Scott Guthrie on what's new and next for Microsoft Cloud customers](/article/microsoft-cloud-and-ai-chief-scott-guthrie-on-whats-new-and-next-for-microsoft-cloud-customers/)  [![security-team-develops-engineers-tech-workers-collaboration]()

 Microsoft warns over unusual ransomware attacks](/article/microsoft-warns-over-unusual-ransomware-attacks/)  [![Azure Kubernetes Arc Microsoft]()

 Microsoft readies Kubernetes public preview for Windows, IoT devices](/article/microsoft-readies-kubernetes-public-preview-for-windows-iot-devices/)  [![tabbedfileexplorerwin11preview]()

 Microsoft makes Tabbed File Explorer, additional Windows 11 22H2 features available in preview](/article/microsoft-makes-tabbed-file-explorer-additional-windows-11-22h2-features-available-in-preview/)  



 



  * [![win1022h2isout]()

 Microsoft starts rolling out the annual Windows 10 feature update, Windows 10 22H2](/article/microsoft-starts-rolling-out-the-annual-windows-10-feature-update-windows-10-22h2/)
* [![scottguthriemicrosoft]()

 Microsoft Cloud and AI chief Scott Guthrie on what's new and next for Microsoft Cloud customers](/article/microsoft-cloud-and-ai-chief-scott-guthrie-on-whats-new-and-next-for-microsoft-cloud-customers/)
* [![security-team-develops-engineers-tech-workers-collaboration]()

 Microsoft warns over unusual ransomware attacks](/article/microsoft-warns-over-unusual-ransomware-attacks/)
* [![Azure Kubernetes Arc Microsoft]()

 Microsoft readies Kubernetes public preview for Windows, IoT devices](/article/microsoft-readies-kubernetes-public-preview-for-windows-iot-devices/)
* [![tabbedfileexplorerwin11preview]()

 Microsoft makes Tabbed File Explorer, additional Windows 11 22H2 features available in preview](/article/microsoft-makes-tabbed-file-explorer-additional-windows-11-22h2-features-available-in-preview/)



## Tags:
***CVE's***: CVE-2022-41128 CVE-2021-34480

### Autogenerated tags:
[[microsoft]] [[windows]] [[cloud]] [[google]] [[22h2]] [[gpz]]
