# Meet CoinStomp: new cryptojacking malware targets Asian cloud service providers | ZDNet
## Shell scripts are being used to exploit cloud instances.
## Information:

+ Link: https://www.zdnet.com/article/meet-coinstomp-new-cryptojacking-malware-targets-asian-cloud-service-providers/
+ Source: ZDNet
+ Author: Charlie Osborne
+ Date published: 02 February 2022, 12:46
+ Date scraped: 02 February 2022, 14:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/8b497cff5a0028d77450ec08e8318cacba872b9e/2021/08/12/880e080a-7301-4a4b-a4e7-def615879cd5/cryptocurrency-hackers.jpg?width=770&height=578&fit=crop&auto=webp)


A new malware family targeting cloud services to mine cryptocurrency has been discovered by researchers.


Dubbed [CoinStomp](https://www.cadosecurity.com/coinstomp-malware-family-targets-asian-cloud-service-providers/), the malware is compromised of shell scripts that "attempt to exploit cloud compute instances hosted by cloud service providers for the purpose of mining cryptocurrency," according to Cado Security. 

The firm's researchers say that the overall purpose of CoinStomp is to quietly compromise instances in order to harness computing power to illicit mine for cryptocurrency, a form of attack known as cryptojacking. 

A number of attack attempts have been focused, so far, on cloud service providers in Asia. 

Clues in code also [referenced Xanthe](https://www.zdnet.com/article/abcbot-botnet-has-now-been-linked-to-xanthe-cryptojacking-group/), a cryptojacking threat group recently tied to the Abcbot botnet. However, the clue – found in a defunct payload URL – is not enough to firmly establish who is responsible for CoinStomp and may have been included in "an attempt to foil attribution," according to the team.  

CoinStomp has a number of interesting capabilities. One is its reliance on "timestomping" – the manipulation of timestamps by running the touch -t command on Linux systems to update file modification and access times.  

"It seems likely that timestomping was employed to obfuscate usage of the chmod and chattr utilities, as forensic tools would display the copied versions of these binaries as being last accessed (executed) at the timestamp used in the touch command," Cado Security noted.  






In addition, the malware will attempt to tamper with Linux server cryptographic policies. These policies can prevent malicious executables from being dropped or executed, and so CoinStomp's developer has included features to disable system-wide cryptographic policies through a kill command.  

"This could undo attempts to harden the target machine by administrators, ensuring that the malware achieves its objectives," the researchers say. 

CoinStomp will then establish a connection to its command-and-control (C2) server via a reverse shell. The script then downloads and executes further payloads as system-wide systemd services, complete with root privileges. 

These include binaries to potentially create backdoors and a custom version of XMRig, legitimate Monero mining software abused for criminal purposes. 

"CoinStomp demonstrates the sophistication and knowledge of attackers in the cloud security space," Cado Security says. "Employing anti-forensics techniques and weakening the target machine by removing cryptographic policies demonstrates not only a knowledge of Linux security measures, but also an understanding of the incident response process." 

###  Previous and related coverage

* [Cryptojacking now added to list of cryptocurrency threats](https://www.zdnet.com/article/cryptojacking-dusting-and-reverse-proxy-phishing-to-list-of-cryptocurrency-cyberthreats/)
* [Abcbot botnet is linked to Xanthe cryptojacking group](https://www.zdnet.com/article/abcbot-botnet-has-now-been-linked-to-xanthe-cryptojacking-group/)
* [Cryptojacking campaign strikes China with fileless attacks](https://www.zdnet.com/article/cryptojacking-campaign-strikes-china-with-fileless-attacks/)



---

**Have a tip?** Get in touch securely via WhatsApp | Signal at +447713 025 499, or over at Keybase: charlie0



---





## Tags:


### Autogenerated tags:
[[coinstomp]] [[cloud]] [[cryptojacking]] [[malware]] [[cado]] [[linux]]
