# This stealthy and 'most advanced' malware burrows deep into networks to steal data | ZDNet
## Researchers say Daxin is the most advanced malware known to have come from China-linked actors.
## Information:

+ Link: https://www.zdnet.com/article/this-stealthy-and-most-advanced-malware-burrows-deep-into-networks-to-steal-data/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 01 March 2022, 10:15
+ Date scraped: 01 March 2022, 12:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/f39099afe20cd7496f64fa09fb59ed39f0ad859c/2021/04/09/7adf05da-57d7-4674-ba30-798c2d5d7e58/istock-1270379991.jpg?width=770&height=578&fit=crop&auto=webp)


Security researchers have uncovered a stealthy backdoor from a China-linked hacking group that is being used to target critical infrastructure in multiple countries. 

The malware, dubbed Daxin by researchers at [Broadcom-owned Symantec](https://www.zdnet.com/article/broadcom-buys-symantecs-enterprise-security-portfolio-for-10-7-billion/), is a backdoor 'rootkit' or malware designed to give an attacker low-level 'root' privilege-level access to a compromised system. It was last used in November 2021, according to Symantec. 


Symantec [declared in a blogpost](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/daxin-backdoor-espionage) that the Windows kernel driver malware was the "most advanced piece of malware" its researchers had seen from China-linked actors. 

**SEE:** [**Cybersecurity: Let's get tactical**](https://www.zdnet.com/topic/cybersecurity-lets-get-tactical/#link=%7B%22linkText%22:%22Cybersecurity:%20Let's%20get%20tactical%20(ZDNet%20special%20report)%22,%22target%22:%22_blank%22,%22href%22:%22https://www.zdnet.com/topic/cybersecurity-lets-get-tactical/%22,%22role%22:%22standard%22,%22absolute%22:%22%22%7D%23link=%7B%22role%22:%22standard%22,%22href%22:%22https://www.zdnet.com/topic/cybersecurity-lets-get-tactical/%23link=%7B%22linkText%22:%22Cybersecurity:%20Let's%20get%20tactical%20(ZDNet%20special%20report)%22,%22target%22:%22_blank%22,%22href%22:%22https://www.zdnet.com/topic/cybersecurity-lets-get-tactical/%22,%22role%22:%22standard%22,%22absolute%22:%22%22%7D%22,%22target%22:%22%22,%22absolute%22:%22%22,%22linkText%22:%22%3Cstrong%3ECybersecurity:%20Let's%20get%20tactical%20(ZDNet%20special%20report%3C/strong%3E%22%7D) **(ZDNet special report)**

The malware is designed to penetrate networks that have been hardened against cyberattacks.

The US Cybersecurity and Infrastructure Agency (CISA) marked Daxin as a "high-impact" security incident based on information shared through its [private sector US cybersecurity partners in the Joint Cyber Defense Collaborative](https://www.zdnet.com/article/cisa-to-partner-with-amazon-google-microsoft-verizon-at-t-and-more-for-cyberdefense-initiative/). 

CISA notes that Daxin has been used against select governments and other critical infrastructure targets. CISA and Symantec engaged with multiple governments targeted with Daxin malware and assisted in detection and remediation, CISA says. 

Daxin is a "highly sophisticated rootkit backdoor with complex, stealthy command and control (C2) functionality", according to CISA. 

"Daxin appears to be optimized for use against hardened targets, allowing the actors to deeply burrow into targeted networks and exfiltrate data without raising suspicions," CISA notes. 

Symantec researchers believe the malware is used for espionage rather than to destroy data like [the WhisperGate and HermeticWiper malware currently targeting Ukraine organizations](https://www.zdnet.com/article/cisa-fbi-warn-us-orgs-of-whispergate-and-hermeticwiper-malware/). 

"Most of the targets appear to be organizations and governments of strategic interest to China," Symantec threat researchers said. 

"Daxin is without doubt the most advanced piece of malware Symantec researchers have seen used by a China-linked actor."       

Windows kernel driver malware is rare today, according to Symantec researchers, who believe it is similar to Regin, a piece of malware [its researchers were impressed by in 2014](https://www.zdnet.com/article/which-nation-state-is-behind-the-sophisticated-stealthy-regin-malware/). 

Daxin's standout feature is that it doesn't start its own network services but relies on legitimate network services running on computers it's already compromised. 

The methods are similar to "living-off-the-land" techniques that Microsoft has [previously warned about in connection with malware that uses legitimate Windows services to evade detection](https://www.zdnet.com/article/microsoft-warns-about-astaroth-malware-campaign/). But rather than riding on legitimate operating-system processes, Daxin exploits legitimate secured network traffic between internal servers to infect computers and avoid detection.   

The malware allows the attackers to communicate across a network of infected computers and picks the optimal path for communications between those computers in a single sweep. 

It works by hijacking the encryption key exchange process between networked computers based on incoming TCP traffic signals that indicate whether a given connection is worth targeting. 

**SEE:** [**Linux malware attacks are on the rise, and businesses aren't ready for it**](https://www.zdnet.com/article/linux-malware-attacks-are-on-the-rise-and-businesses-arent-ready-for-it/#link=%7B%22linkText%22:%22Linux%20malware%20attacks%20are%20on%20the%20rise,%20and%20businesses%20aren't%20ready%20for%20it%22,%22target%22:%22_blank%22,%22href%22:%22https://www.zdnet.com/article/linux-malware-attacks-are-on-the-rise-and-businesses-arent-ready-for-it/%22,%22role%22:%22standard%22,%22absolute%22:%22%22%7D)

TCP is one of [the internet's original protocols](https://datatracker.ietf.org/doc/html/rfc793), designed to protect end-to-end communications between network-connected devices. 

"While it is not uncommon for attackers' communications to make multiple hops across networks in order to get around firewalls and generally avoid raising suspicions, this is usually done step-by-step, such that each hop requires a separate action," Symantec notes. 

"However, in the case of Daxin, this process is a single operation, suggesting the malware is designed for attacks on well-guarded networks, where attackers may need to periodically reconnect into compromised computers."

Symantec notes that the attackers attempted to deploy Daxin in 2019 using a PsExec session. [PSExec is a legitimate Windows tool](https://attack.mitre.org/software/S0029/) that allows admins to remotely fix computers. 

However, it adds that similarities between the code bases of Daxin and previously known malware called Zala suggest the group has been active since 2009. Daxin improves on Zala's pre-existing networking features. 





## Tags:


### Autogenerated tags:
[[malware]] [[daxin]] [[symantec]] [[cisa]] [[windows]] [[china-linked]] [[cybersecurity]]
